﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 登録／参照＿科歴番号変更
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN010F040

#Region "コンスタント"

	' ソート
	Private Const CST_SORT As String = "PATIENT_NO,HSP_HISTORY_NO,CH_NO"
	' 更新対象テーブル名群
	Private ReadOnly UPD_TBL() As String = { _
	 "MTI_CH", _
	 "MTI_WARD", _
	 "MTI_DOCTOR", _
	 "MTI_MED_COST", _
	 "MTI_OTHER_DEPT", _
	 "MTI_DISEASE", _
	 "MTI_OPE", _
	 "MTI_OPE_DOCTOR", _
	 "MTI_TEST", _
	 "MTI_CARE", _
	 "MTI_ASST1", _
	 "MTI_ASST2", _
	 "MTI_EMERGENCY", _
	 "MTI_CB", _
	 "MTI_CB_CHILD", _
	 "MTI_CB_SB", _
	 "MTI_PATH", _
	 "MTI_LENDITM", _
	 "MTI_LEND", _
	 "MTI_INSPECT" _
	 }

#End Region

#Region "変数"

	' ＤＢ更新時情報
	Private pUpdUserCd As String = Nothing
	Private pUpdDt As Date = Nothing

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo			'患者番号
		Me.HspHistoryNo = pHspHistoryNo		'入退院歴番号
		Me.ChNo = pChNo						'科歴番号
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F040_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN010F040_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F040_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F040_Load", "画面ロード時 Start")
		Try
			' 初期情報設定
			Me.ReturnValue = Nothing
			' 病歴番号の表記
			Me.c02008MEN010F040.HeaderText = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F040_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F040_Shown", "画面初回起動時 Start")
		Dim cliGridStyle As clsGridStyle
		Try
			' 初期値設定
			Me.lbl002MEN010F040.Text = Me.HspHistoryNo.ToString
			Me.lbl004MEN010F040.Text = Me.ChNo.ToString
			Me.num006MEN010F040.Text = Me.ChNo.ToString
			' グリッドの書式設定
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv008MEN010F040)
			Me.dgv008MEN010F040.AutoGenerateColumns = False
			Me.dgv008MEN010F040.DataSource = Nothing
			' データを取得
			Using cliMTI_CH As clsMTI_CH = New clsMTI_CH
				Using dtCH As DataTable = cliMTI_CH.getChPlusHspDa(Me.PatientNo, Me.HspHistoryNo)
					If dtCH IsNot Nothing OrElse dtCH.Rows.Count > 0 Then
						' 入院フラグが立っているデータは対象外
						For i As Integer = dtCH.Rows.Count - 1 To 0 Step -1
							With dtCH.Rows(i)
								If Not IsDBNull(.Item(sqlMTI_CH.itmHSP_FLG)) AndAlso _
								 .Item(sqlMTI_CH.itmHSP_FLG).ToString <> CInt(clsConst.Enum_Chk.ChkOff).ToString Then
									.Delete()
								End If
							End With
						Next
						dtCH.AcceptChanges()
						' データの並べ替え
						dtCH.DefaultView.ApplyDefaultSort = True
						dtCH.DefaultView.Sort = CST_SORT
						Me.dgv008MEN010F040.DataSource = dtCH
						Me.dgv008MEN010F040.CurrentCell = Nothing
					End If
				End Using
			End Using
			' フォーカス設定
			Me.num006MEN010F040.Focus()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧セルダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv008MEN010F040_CellDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv008MEN010F040.CellDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv008MEN010F040_CellDoubleClick", "一覧セルダブルクリック Start")
		Try
			SetCurrentCellNo()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' CurrentCellの該当行に対する番号を設定
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetCurrentCellNo()
		log(clsSysMst.logLevel.DBG, "SetCurrentCellNo", "CurrentCellの該当行に対する番号を設定 Start")
		Try
			Me.lbl004MEN010F040.Text = Me.dgv008MEN010F040.Rows(Me.dgv008MEN010F040.CurrentCell.RowIndex).Cells(Me.c01008MEN010F040.Name).Value.ToString
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 該当キーに対する件数を取得
	''' </summary>
	''' <returns>件数</returns>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetCount() As Integer
		log(clsSysMst.logLevel.DBG, "GetCount", "該当キーに対する件数を取得 Start")
		Dim iRet As Integer = 0
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Using dtData As DataTable = New DataTable
					With db
						.setSQLDa(sqlMEN010F040.sqlSelectCount)
						.setParamDa(sqlMEN010F040.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlMEN010F040.prmPATIENT_NO, Me.PatientNo)
						.setParamDa(sqlMEN010F040.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMEN010F040.prmHSP_HISTORY_NO, Me.HspHistoryNo)
						.setParamDa(sqlMEN010F040.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMEN010F040.prmCH_NO, CInt(Me.num006MEN010F040.Text))
						.execQueryDa(dtData)
						If dtData IsNot Nothing AndAlso dtData.Rows.Count > 0 Then
							iRet = CInt(dtData.Rows(0).Item(sqlMEN010F040.itmCOUNT).ToString)
						End If
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 番号更新
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdNo()
		log(clsSysMst.logLevel.DBG, "UpdNo", "番号更新 Start")
		Dim arLockData As ArrayList
		Try
			pUpdUserCd = Me._userID
			pUpdDt = Now()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						For Each sTblNm As String In UPD_TBL
							' 更新前参照
							arLockData = GetTgtData(db, sTblNm)
							If arLockData.Count = 0 Then
								' 更新対象がない場合は次のテーブルへ
								Continue For
							End If
							' 更新(置換後キー)
							UpdTgtData(db, sTblNm)
						Next
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						If .statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			arLockData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 対象テーブル取得
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <param name="sTblNm">対象テーブル</param>
	''' <returns>取得内容</returns>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetTgtData(ByRef db As clsDB, ByVal sTblNm As String) As ArrayList
		log(clsSysMst.logLevel.DBG, "GetTgtData", "対象テーブル取得 Start")
		Dim arRet As ArrayList
		Try
			arRet = New ArrayList(0)
			With db
				.setSQL(sqlMEN010F040.sqlSelectForLock.Replace(sqlMEN010F040.sqlRepTblNm, sTblNm))
				.setParam(sqlMEN010F040.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F040.prmPATIENT_NO, Me.PatientNo)
				.setParam(sqlMEN010F040.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F040.prmHSP_HISTORY_NO, Me.HspHistoryNo)
				.setParam(sqlMEN010F040.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F040.prmCH_NO, CInt(Me.lbl004MEN010F040.Text))
				.execQuery(GetType(datMEN010F040_KeyRec), arRet, False)
			End With
		Catch ex As Exception
			Throw
		End Try
		Return arRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象テーブル更新
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <param name="sTblNm">対象テーブル</param>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdTgtData(ByRef db As clsDB, ByVal sTblNm As String)
		log(clsSysMst.logLevel.DBG, "UpdTgtData", "対象テーブル更新 Start")
		Dim iRet As Integer
		Try
			With db
				.setSQL(sqlMEN010F040.sqlUpdate.Replace(sqlMEN010F040.sqlRepTblNm, sTblNm))
				.setParam(sqlMEN010F040.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F040.prmPATIENT_NO, Me.PatientNo)
				.setParam(sqlMEN010F040.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F040.prmHSP_HISTORY_NO, Me.HspHistoryNo)
				.setParam(sqlMEN010F040.prmCH_NO_OLD, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F040.prmCH_NO_OLD, CInt(Me.lbl004MEN010F040.Text))
				.setParam(sqlMEN010F040.prmCH_NO_NEW, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F040.prmCH_NO_NEW, CInt(Me.num006MEN010F040.Text))
				.setParam(sqlMEN010F040.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F040.prmLASTUPDUSER_CD, pUpdUserCd)
				.setParam(sqlMEN010F040.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMEN010F040.prmLASTUPD_DT, pUpdDt)
				iRet = .execNonQuery(False)
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Enterキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "Enterキー押下処理 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv008MEN010F040.Name Then
				SetCurrentCellNo()
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Dim bRet As Boolean = False
		Try
			' 子コントロールの検証
			bRet = Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Dim bRet As Boolean = False
		Try
			If String.IsNullOrEmpty(Me.num006MEN010F040.Text) Then
				addErrList("E0001", Me.num006MEN010F040.Name, "新科歴番号", Nothing)
				nextErrForm()
				Return bRet
			End If
			' 新番号が重複していないかどうかチェック
			If GetCount() > 0 Then
				showMsg("E0020", "存在しない番号に", Nothing)
				Return bRet
			End If
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim bRet As Boolean = False
		Try
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If confMsg("Q0005", "科歴番号を変更", Nothing) = MsgBoxResult.Cancel Then
			If confMsg("Q0005", "科歴番号を変更", Nothing) = MsgBoxResult.No Then
'(M) END V4-12053-000 004 2012/12/14 ID
				Return bRet
			End If
			UpdNo()
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Dim bRet As Boolean = False
		Try
			Me.FormReturn = Enum_FormReturn.OK
			EndProc()
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			Me.dgv008MEN010F040.DataSource = Nothing
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
		End Try
	End Sub

#End Region

End Class