﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 管理状況すべて
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN010F070

#Region "コンスタント"
	' 標準の前景色
	Private ReadOnly CR_DEFAULTFORECOLOR As Color = SystemColors.ControlText
	' カラム名
	Private Const C_COL_LI_BYOREKI_NO As String = "c02001MEN010F070"
	Private Const C_COL_L_BYOREKI_NO As String = "c02002MEN010F070"
	Private Const C_COL_MNGSTATUS_RNM As String = "c09001MEN010F070"
#End Region

#Region "変数"
	' 貸出物情報
	Private pdtLendItm As DataTable
	' 貸出情報
	Private pdtLend As DataTable
	' 管理状況
	Private pdtMTM_LendItem_MngStatus As DataTable
	' クラス
	Private cliGridStyle As clsGridStyle
	Private cliMTM_LendItem As clsMTM_LENDITEM
	Private cliMTM_LendItem_MngStatus As clsMTM_LENDITEM_MNGSTATUS
	Private cliCom As clsCom
	Private cliGridSort As clsGridSort
	' 貸出物マスタデータ
	Private parLendItem As ArrayList
	' グリッドスタイル配列
	Private csRowIndex As ArrayList
	Private csLendItemStyle As ArrayList
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPatientNo"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo					'患者番号
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開く時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F070_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F070_Load", "フォームが開く時のイベント")
		Try
			' インスタンス生成
			cliGridStyle = New clsGridStyle
			cliMTM_LendItem = New clsMTM_LENDITEM
			cliMTM_LendItem_MngStatus = New clsMTM_LENDITEM_MNGSTATUS
			cliCom = New clsCom
			cliGridSort = New clsGridSort
			csRowIndex = New ArrayList
			csLendItemStyle = New ArrayList
			' グリッドスタイル設定
			Me.dgv001MEN010F070.ReadOnly = True
			Me.dgv001MEN010F070.AutoGenerateColumns = False
			cliGridStyle.setGridHeight(Me.dgv001MEN010F070)
			Me.dgv002MEN010F070.ReadOnly = True
			Me.dgv002MEN010F070.AutoGenerateColumns = False
			cliGridStyle.setGridHeight(Me.dgv002MEN010F070)
			' 病歴番号タイトル取得
			Dim strByoreki_No As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Me.dgv001MEN010F070.Columns(C_COL_LI_BYOREKI_NO).HeaderText = strByoreki_No
			Me.dgv002MEN010F070.Columns(C_COL_L_BYOREKI_NO).HeaderText = strByoreki_No
			' 貸出物マスタ取得
			parLendItem = cliMTM_LendItem.getAll()
			If parLendItem Is Nothing OrElse
			 parLendItem.Count <= 0 Then
				Me.showMsg("E0009", "貸出物マスタ", "マスタ保守", Nothing)
				' 画面終了
				Me.EndProc4Load()
				Exit Sub
			End If
			' 貸出物情報取得
			pdtLendItm = getLendItm()
			' 管理状況全件取得
			pdtMTM_LendItem_MngStatus = cliMTM_LendItem_MngStatus.getAll()
			' 患者単位のデータを１件にマージ
			pdtLendItm = updPatientTani(pdtLendItm)
			Me.dgv001MEN010F070.DataSource = pdtLendItm
			' 貸出情報取得
			pdtLend = getLend()
			' 患者単位のデータを１件にマージ
			pdtLend = updPatientTani(pdtLend)
			Me.dgv002MEN010F070.DataSource = pdtLend
			' グリッドスタイル設定
			setGridStyle()
			' ソート配列設定
			setGridSortCriteria()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F070_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN010F070_FormClosing", "フォームが閉じる時のイベント")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' カラムヘッダークリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN010F070_ColumnHeaderMouseClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv001MEN010F070.ColumnHeaderMouseClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN010F070_ColumnHeaderMouseClick", "カラムヘッダークリックイベント")
		Try
			If CType(sender, DataGridView).Rows.Count <= 0 Then Exit Sub
			If CType(sender, DataGridView).Columns(e.ColumnIndex).SortMode <> _
			 DataGridViewColumnSortMode.Programmatic Then Exit Sub
			Me.Cursor = Cursors.WaitCursor
			cliGridSort.SortRow(sender, CType(sender, DataGridView).Columns(e.ColumnIndex).DataPropertyName, e.ColumnIndex)

			setGridStyle()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報取得処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItm() As DataTable
		log(clsSysMst.logLevel.DBG, "getLendItm", "貸出物情報取得処理")
		Try
			Dim dt As New DataTable

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					' ■SQL文作成
					Dim bUnionFirst As Boolean = True
					' 取得SQL
					Dim strSql As String = sqlMEN010F070.sqlSelLendItm
					' カルテ
					Dim dat As datMTM_LENDITEM = cliMTM_LendItem.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.MedicalRecord)
					If Not String.IsNullOrEmpty(dat.LENDITEM_NM) Then
						strSql &= sqlMEN010F070.sqlSelLendItm1
						' 入退院、科歴情報SQL取得
						strSql &= getSQLHspCh(clsConst.Enum_Lenditem.MedicalRecord)
						bUnionFirst = False
					End If
					' サマリ
					dat = cliMTM_LendItem.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.Summary)
					If Not String.IsNullOrEmpty(dat.LENDITEM_NM) Then
						If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
						strSql &= sqlMEN010F070.sqlSelLendItm2
						' 入退院、科歴情報SQL取得
						strSql &= getSQLHspCh(clsConst.Enum_Lenditem.Summary)
						bUnionFirst = False
					End If
					' 他１
					dat = cliMTM_LendItem.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.LendItem3)
					If Not String.IsNullOrEmpty(dat.LENDITEM_NM) Then
						If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
						strSql &= sqlMEN010F070.sqlSelLendItm3
						' 入退院、科歴情報SQL取得
						strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem3)
						bUnionFirst = False
					End If

					' 他２
					dat = cliMTM_LendItem.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.LendItem4)
					If Not String.IsNullOrEmpty(dat.LENDITEM_NM) Then
						If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
						strSql &= sqlMEN010F070.sqlSelLendItm4
						' 入退院、科歴情報SQL取得
						strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem4)
						bUnionFirst = False
					End If

					' 他３
					dat = cliMTM_LendItem.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.LendItem5)
					If Not String.IsNullOrEmpty(dat.LENDITEM_NM) Then
						If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
						strSql &= sqlMEN010F070.sqlSelLendItm5
						' 入退院、科歴情報SQL取得
						strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem5)
						bUnionFirst = False
					End If

					' SQL END設定
					strSql &= sqlMEN010F070.sqlSelEnd
					' マスタ取得SQL
					strSql &= sqlMEN010F070.sqlSel_Join

					.setSQLDa(strSql)
					' 患者番号
					.setParamDa(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmPATIENT_NO, Me.PatientNo)
					' カルテ
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD1, clsConst.Enum_Lenditem.MedicalRecord)
					' サマリ
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD2, clsConst.Enum_Lenditem.Summary)
					' 他１
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD3, clsConst.Enum_Lenditem.LendItem3)
					' 他２
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD4, clsConst.Enum_Lenditem.LendItem4)
					' 他３
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD5, clsConst.Enum_Lenditem.LendItem5)

					.execQueryDa(dt)

				End With
			End Using

			Return dt

		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報取得処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLend() As DataTable
		log(clsSysMst.logLevel.DBG, "getLend", "貸出情報取得処理")
		Try
			Dim dt As New DataTable

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					' ■SQL文作成
					Dim bUnionFirst As Boolean = True
					' 取得SQL
					Dim strSql As String = sqlMEN010F070.sqlSelLend
					' カルテ
					strSql &= sqlMEN010F070.sqlSelLendItm1
					' 入退院、科歴情報SQL取得
					strSql &= getSQLHspCh(clsConst.Enum_Lenditem.MedicalRecord)
					bUnionFirst = False

					' サマリ
					If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
					strSql &= sqlMEN010F070.sqlSelLendItm2
					' 入退院、科歴情報SQL取得
					strSql &= getSQLHspCh(clsConst.Enum_Lenditem.Summary)
					bUnionFirst = False

					' 他１
					If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
					strSql &= sqlMEN010F070.sqlSelLendItm3
					' 入退院、科歴情報SQL取得
					strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem3)
					bUnionFirst = False

					' 他２
					If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
					strSql &= sqlMEN010F070.sqlSelLendItm4
					' 入退院、科歴情報SQL取得
					strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem4)
					bUnionFirst = False

					' 他３
					If Not bUnionFirst Then strSql &= sqlMEN010F070.sqlSelUnion_All
					strSql &= sqlMEN010F070.sqlSelLendItm5
					' 入退院、科歴情報SQL取得
					strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem5)
					bUnionFirst = False

					' SQL END設定
					strSql &= sqlMEN010F070.sqlSelEnd
					' マスタ取得SQL
					strSql &= sqlMEN010F070.sqlSelLend_Join

					.setSQLDa(strSql)
					' 患者番号
					.setParamDa(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmPATIENT_NO, Me.PatientNo)
					' カルテ
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD1, clsConst.Enum_Lenditem.MedicalRecord)
					' サマリ
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD2, clsConst.Enum_Lenditem.Summary)
					' 他１
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD3, clsConst.Enum_Lenditem.LendItem3)
					' 他２
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD4, clsConst.Enum_Lenditem.LendItem4)
					' 他３
					' 貸出物コード
					.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD5, clsConst.Enum_Lenditem.LendItem5)

					.execQueryDa(dt)

				End With
			End Using

			Return dt

		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報、科歴情報を単位判定より取得
	''' </summary>
	''' <param name="eLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSQLHspCh(ByVal eLendItem_Cd As clsConst.Enum_Lenditem) As String
		log(clsSysMst.logLevel.DBG, "getSQLHspCh", "入退院情報、科歴情報を単位判定より取得")
		Try
			Dim strRet As String = String.Empty
			Dim dat As datMTM_LENDITEM = cliMTM_LendItem.getLendItem_Rec(parLendItem, eLendItem_Cd)
			Select Case dat.UNIT_CD
				Case CType(clsConst.Enum_LendUnit.Each_Dept, String)
					' 科歴毎
					strRet = sqlMEN010F070.sqlSel_CH
				Case CType(clsConst.Enum_LendUnit.Each_Hosp, String)
					' 入退院毎
					strRet = sqlMEN010F070.sqlSel_HSP
				Case CType(clsConst.Enum_LendUnit.Each_Patient, String)
					' 患者毎
					strRet = sqlMEN010F070.sqlSel_PATIENT
				Case Else
			End Select

			Return strRet

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者単位のデータを１件にする。
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updPatientTani(ByVal dt As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "updPatientTani", "患者単位のデータを１件にする。")
		Try
			' 患者単位のデータを１件にする。
			Dim strPatient_No As String = String.Empty
			' 患者単位の貸出物コード保存
			Dim arLendItem_Cd_Patient = New ArrayList
			For Each ar As datMTM_LENDITEM In parLendItem
				If ar.UNIT_CD = CType(clsConst.Enum_LendUnit.Each_Patient, String) Then
					arLendItem_Cd_Patient.Add(ar.LENDITEM_CD)
				End If
			Next
			' 患者単位
			For Each strLendItem_Cd As String In arLendItem_Cd_Patient
				Dim dr() As DataRow = dt.Select(sqlMEN010F070.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'")
				Dim bFirst As Boolean = True
				For Each d As DataRow In dr
					If bFirst Then
						bFirst = False
					Else
						' 先頭以外のデータ削除
						d.Delete()
					End If
				Next
			Next
			dt.AcceptChanges()
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの書式設定
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridStyle()
		log(clsSysMst.logLevel.DBG, "setGridStyle", "グリッドの書式設定")
		Try
			Dim iRowIndex As Integer = 0
			Dim iMngStatusIndex As Integer = 0
			' スタイル配列作成
			createCellStyles()
			' スタイル設定
			For Each row As DataGridViewRow In Me.dgv001MEN010F070.Rows
				' 管理物単位にスタイル設定
				iRowIndex = getRowIndex(getRowData(row, sqlMEN010F070.itmLENDITEM_CD).ToString)
				If iRowIndex > -1 Then
					row.DefaultCellStyle = csLendItemStyle(iRowIndex)
				End If
				' 管理状況単位に前景色設定
				Dim crForeColor As Color = getCellStyleFromMngStatus(row)
				row.Cells(C_COL_MNGSTATUS_RNM).Style.ForeColor = crForeColor
				row.Cells(C_COL_MNGSTATUS_RNM).Style.SelectionForeColor = crForeColor
			Next
			Me.dgv001MEN010F070.ClearSelection()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビューロウより値取得処理
	''' </summary>
	''' <param name="row"></param>
	''' <param name="strItemName"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRowData(ByVal row As DataGridViewRow, ByVal strItemName As String) As Object
		log(clsSysMst.logLevel.DBG, "getRowData", "データグリッドビューロウより値取得処理")
		Try
			If row IsNot Nothing Then
				Return CType(row.DataBoundItem, DataRowView).Row(strItemName)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' セルスタイル作成
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub createCellStyles()
		log(clsSysMst.logLevel.DBG, "createCellStyles", "セルスタイル作成")
		Dim iRed As Integer = 0
		Dim iGreen As Integer = 0
		Dim iBlue As Integer = 0
		Dim iRowIndex As Integer = 0
		Dim crBackColor As Color
		Try
			' 貸出物毎のセルスタイル作成
			csRowIndex.Clear()
			csLendItemStyle.Clear()
			For i As Integer = 0 To parLendItem.Count - 1
				Dim li As datMTM_LENDITEM = parLendItem(i)
				If IsNumeric(li.COLOR_CD_R) Then
					iRed = li.COLOR_CD_R
				Else
					iRed = 0
				End If
				If IsNumeric(li.COLOR_CD_G) Then
					iGreen = li.COLOR_CD_G
				Else
					iGreen = 0
				End If
				If IsNumeric(li.COLOR_CD_B) Then
					iBlue = li.COLOR_CD_B
				Else
					iBlue = 0
				End If
				crBackColor = ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))
				' インデックス作成
				csRowIndex.Add(li.LENDITEM_CD)
				' セルスタイル作成
				Dim csRE = New DataGridViewCellStyle
				csRE.ForeColor = CR_DEFAULTFORECOLOR
				csRE.BackColor = crBackColor
				csRE.SelectionForeColor = csRE.ForeColor
				csRE.SelectionBackColor = crBackColor
				csLendItemStyle.Add(csRE)
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビュー行スタイルインデックス取得
	''' </summary>
	''' <param name="strMngItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRowIndex(ByVal strMngItem_Cd As String) As Integer
		log(clsSysMst.logLevel.DBG, "getRowIndex", "データグリッドビュー行スタイルインデックス取得")
		Try
			For i As Integer = 0 To csRowIndex.Count - 1
				If csRowIndex(i) = strMngItem_Cd Then
					Return i
				End If
			Next
			Return -1

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況毎の前景色取得処理
	''' </summary>
	''' <param name="row"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCellStyleFromMngStatus(ByVal row As DataGridViewRow) As Color
		log(clsSysMst.logLevel.DBG, "getCellStyleFromMngStatus", "管理状況毎の前景色取得処理")
		Try
			Dim iRed As Integer = 0
			Dim iGreen As Integer = 0
			Dim iBlue As Integer = 0
			' 管理状況毎に前景色設定
			Dim rwMngStatus() As DataRow = pdtMTM_LendItem_MngStatus.Select(sqlMEN010F070.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(getRowData(row, sqlMEN010F070.itmLENDITEM_CD).ToString) & "'" & _
			 " AND " & sqlMEN010F070.itmMNGSTATUS_CD & " = '" & cliCom.getDtItmValue(getRowData(row, sqlMEN010F070.itmMNGSTATUS_CD).ToString) & "'")
			If rwMngStatus.Length > 0 Then
				If IsNumeric(rwMngStatus(0)(sqlMEN010F070.itmCOLOR_CD_R).ToString) Then
					iRed = CInt(rwMngStatus(0)(sqlMEN010F070.itmCOLOR_CD_R).ToString)
				Else
					iRed = 0
				End If
				If IsNumeric(rwMngStatus(0)(sqlMEN010F070.itmCOLOR_CD_G).ToString) Then
					iGreen = CInt(rwMngStatus(0)(sqlMEN010F070.itmCOLOR_CD_G).ToString)
				Else
					iGreen = 0
				End If
				If IsNumeric(rwMngStatus(0)(sqlMEN010F070.itmCOLOR_CD_B).ToString) Then
					iBlue = CInt(rwMngStatus(0)(sqlMEN010F070.itmCOLOR_CD_B).ToString)
				Else
					iBlue = 0
				End If
				Return ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))
			End If
		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ソート配列設定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridSortCriteria()
		log(clsSysMst.logLevel.DBG, "setGridSortCriteria", "ソート配列設定処理")
		Dim arData As ArrayList
		Try
			' 歴番号
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmHSP_HISTORY_NO, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmCH_NO, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmHISTORY_NO, arData)
			' 病歴番号
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmBYOREKI_NO, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmBYOREKI_NO, arData)
			' 開始日
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmSTART_DT, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmSTART_DT, arData)
			' 終了日
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmEND_DT, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmEND_DT, arData)
			' 診療科
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmDEPT_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmDEPT_RNM, arData)
			' 医師
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmDOCTOR_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmDOCTOR_NM, arData)
			' 貸出物
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmLENDITEM_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmLENDITEM_RNM, arData)
			' 受領日
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmRECEIPT_DT, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmRECEIPT_DT, arData)
			' 管理
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmMNGSTATUS_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmMNGSTATUS1_RNM, arData)
			' 保場所
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmKEEPLCT_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmKEEPLCT_RNM, arData)
			' 整理
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmARG_STATUS_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmARG_STATUS_RNM, arData)
			' サマリ作成者
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmSUMMARY_MAKER_CD, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmSUMMARY_MAKER_NM, arData)
			' サマリ承認日
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMEN010F070.itmSUMMARY_APPROVAL_DT, clsGridSort.Enum_SortType.SortNone))
			arData = setGridSortCriteriaCommon(arData)
			cliGridSort.Add(sqlMEN010F070.itmSUMMARY_APPROVAL_DT, arData)

		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ソート配列設定処理
	''' </summary>
	''' <param name="ar"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setGridSortCriteriaCommon(ByVal ar As ArrayList) As ArrayList
		log(clsSysMst.logLevel.DBG, "setGridSortCriteriaCommon", "ソート配列設定処理")
		Try
			ar.Add(New DictionaryEntry(sqlMEN010F070.itmHSP_HISTORY_NO, clsGridSort.Enum_SortType.SortNone))
			ar.Add(New DictionaryEntry(sqlMEN010F070.itmLENDITEM_CD, clsGridSort.Enum_SortType.SortNone))
			ar.Add(New DictionaryEntry(sqlMEN010F070.itmCH_NO, clsGridSort.Enum_SortType.SortNone))
			Return ar
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' DataTable解放
			If pdtLendItm IsNot Nothing Then pdtLendItm.Dispose()
			If pdtLend IsNot Nothing Then pdtLend.Dispose()
			If pdtMTM_LendItem_MngStatus IsNot Nothing Then pdtMTM_LendItem_MngStatus.Dispose()
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' DataTable解放
			pdtLendItm = Nothing
			pdtLend = Nothing
			pdtMTM_LendItem_MngStatus = Nothing
			' クラス解放
			cliGridStyle = Nothing
			cliMTM_LendItem = Nothing
			cliMTM_LendItem_MngStatus = Nothing
			cliCom = Nothing
			cliGridSort = Nothing
			csRowIndex = Nothing
			csLendItemStyle = Nothing
			parLendItem = Nothing
		End Try
	End Sub

#End Region

End Class