﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 手術名マスタ追加
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN050F030

#Region "コンスタント"

#End Region

#Region "変数"
	Private _MNG_DIV As String								'管理記号
	Private _MNG_NO As Integer								'管理番号
	Private _OPE_KANJI As String							'手術名
	Private DataMTM_OPE_NM_DIV_DSP_ITM As DataTable			'手術名分類表示項目マスタ検索結果テーブル
	Private MAX_MNG_NO As Integer							'管理番号(マックス)
	Private datNewOpeRec As datMTM_OPE_NM_OneRec			'変更用手術レコード
	Private datGetOpeRec As datMTM_OPE_NM_PLUS_OneRec		'現状手術名+名称レコード
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal MNG_DIV As String, ByVal MNG_NO As Integer, ByVal OPE_KANJI As String)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_MNG_DIV = MNG_DIV
		_MNG_NO = MNG_NO
		_OPE_KANJI = OPE_KANJI
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 手術名マスタ追加画面＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F030_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN050F030_Load", "手術名マスタ追加画面＿初期表示 Start")
		Try
			DataMTM_OPE_NM_DIV_DSP_ITM = getDataMTM_OPE_NM_DIV_DSP_ITM()
			Using cliMTM_OPE_NM As clsMTM_OPE_NM = New clsMTM_OPE_NM
				datGetOpeRec = cliMTM_OPE_NM.getMTM_OPE_NM_PLUS_OneRec(_MNG_DIV, _MNG_NO)
				MAX_MNG_NO = cliMTM_OPE_NM.getMTM_OPE_NM_MAX_MNG_NO(clsConst.CST_SIGN_U)
			End Using
			If datGetOpeRec Is Nothing Then
				Me.showMsg("E0015", "指定された管理記号・管理番号で設定されている手術名", Nothing)
				' 画面終了
				Me.EndProc4Load()
				Exit Sub
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術名マスタ追加画面＿初期値表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F030_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN050F030_Load", "手術名マスタ追加画面＿初期表示 Start")
		Try
			Dim count As Integer = DataMTM_OPE_NM_DIV_DSP_ITM.Rows.Count
			Dim Rowscounter As Long

			chk026MEN050F030.Visible = False
			chk027MEN050F030.Visible = False
			chk028MEN050F030.Visible = False
			chk029MEN050F030.Visible = False
			chk030MEN050F030.Visible = False
			chk042MEN050F030.Visible = False
			chk043MEN050F030.Visible = False
			chk044MEN050F030.Visible = False
			chk045MEN050F030.Visible = False
			chk046MEN050F030.Visible = False

			If count <> 0 Then
				For Rowscounter = 0 To count - 1
					'頻度表記
					Select Case True
						Case Rowscounter = 0
							chk026MEN050F030.Visible = True
							chk026MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk042MEN050F030.Visible = True
							chk042MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 1
							chk027MEN050F030.Visible = True
							chk027MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk043MEN050F030.Visible = True
							chk043MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 2
							chk028MEN050F030.Visible = True
							chk028MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk044MEN050F030.Visible = True
							chk044MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 3
							chk029MEN050F030.Visible = True
							chk029MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk045MEN050F030.Visible = True
							chk045MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 4
							chk030MEN050F030.Visible = True
							chk030MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk046MEN050F030.Visible = True
							chk046MEN050F030.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Else
					End Select
				Next Rowscounter
			End If

			'元データ
			Me.lbl003MEN050F030.Text = datGetOpeRec.MNG_DIV
			Me.lbl004MEN050F030.Text = datGetOpeRec.MNG_NO
			Me.lbl006MEN050F030.Text = datGetOpeRec.ICD9CM1_CD
			Me.lbl008MEN050F030.Text = datGetOpeRec.OPE_KANJI
			Me.lbl010MEN050F030.Text = datGetOpeRec.OPE_KNM
			Me.lbl012MEN050F030.Text = datGetOpeRec.L_GRP_CD
			Me.lbl013MEN050F030.Text = datGetOpeRec.L_GRP_NM
			Me.lbl015MEN050F030.Text = datGetOpeRec.M_GRP_CD
			Me.lbl016MEN050F030.Text = datGetOpeRec.M_GRP_NM
			Me.lbl018MEN050F030.Text = datGetOpeRec.DIGS3_GRP_CD
			Me.lbl019MEN050F030.Text = datGetOpeRec.OPE_3DIGS_GRP_NM
			Me.lbl021MEN050F030.Text = datGetOpeRec.RECEIPT_CD
			Me.lbl023MEN050F030.Text = datGetOpeRec.K_CD
			Me.lbl025MEN050F030.Text = datGetOpeRec.HSP_OPE_CD
			If chk026MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP1_FLG) Then
					Me.chk026MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP1_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk027MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP2_FLG) Then
					Me.chk027MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP2_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk028MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP3_FLG) Then
					Me.chk028MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk029MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP4_FLG) Then
					Me.chk029MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk030MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP5_FLG) Then
					Me.chk030MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If

			'追加データ
			Me.lbl034MEN050F030.Text = datGetOpeRec.ICD9CM1_CD
			If String.IsNullOrEmpty(_OPE_KANJI) Then
				Me.txt039MEN050F030.Text = datGetOpeRec.OPE_KANJI
			Else
				Me.txt039MEN050F030.Text = _OPE_KANJI
			End If
			Me.txt041MEN050F030.Text = datGetOpeRec.OPE_KNM
			If chk042MEN050F030.Visible = True Then
				If Not String.IsNullOrEmpty(datGetOpeRec.DSP_GRP1_FLG) Then
					Me.chk042MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP1_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk043MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP2_FLG) Then
					Me.chk043MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP2_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk044MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP3_FLG) Then
					Me.chk044MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk045MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP4_FLG) Then
					Me.chk045MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk046MEN050F030.Visible = True Then
				If String.IsNullOrEmpty(datGetOpeRec.DSP_GRP5_FLG) Then
					Me.chk046MEN050F030.Checked = IIf(datGetOpeRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術名マスタ追加画面＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F030_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN050F030_FormClosing", "手術名マスタ追加画面＿終了処理 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 手術名分類表示項目マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDataMTM_OPE_NM_DIV_DSP_ITM() As DataTable
		log(clsSysMst.logLevel.DBG, "getDataMTM_OPE_NM_DIV_DSP_ITM", "手術名分類表示項目マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlMEN050F030.sqlMTM_OPE_NM_DIV_DSP_ITM)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術名マスタ情報を新規追加する際のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkChAdd() As Boolean
		log(clsSysMst.logLevel.DBG, "chkChAdd", "手術名マスタ情報を新規追加する際のチェック Start")
		Try
			'必須項目の未入力チェック
			If String.IsNullOrEmpty(Me.txt039MEN050F030.Text) Then
				Me.addErrList("E0001", Me.txt039MEN050F030.Name, Me.lbl038MEN050F030.Text, Nothing)
			End If
			If String.IsNullOrEmpty(Me.txt041MEN050F030.Text) Then
				Me.addErrList("E0001", Me.txt041MEN050F030.Name, Me.lbl040MEN050F030.Text, Nothing)
			End If
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術名マスタ情報を新規追加する際のデータ作成
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setAdd()
		log(clsSysMst.logLevel.DBG, "setAdd", "手術名マスタ情報を新規追加する際のデータ作成 Start")
		Try
			Using cliMTM_OPE_NM As clsMTM_OPE_NM = New clsMTM_OPE_NM
				datNewOpeRec = cliMTM_OPE_NM.getMTM_OPE_NM_OneRec(_MNG_DIV, _MNG_NO)
			End Using
			datNewOpeRec.MNG_DIV = clsConst.CST_SIGN_U
			datNewOpeRec.MNG_NO = MAX_MNG_NO
			datNewOpeRec.OPE_KANJI = txt039MEN050F030.Text				'手術等漢字
			datNewOpeRec.OPE_KNM = txt041MEN050F030.Text				'手術等カナ
			datNewOpeRec.ICD9CM1_CD = lbl034MEN050F030.Text				'ＩＣＤ９ＣＭ１
			datNewOpeRec.NONDSP_FLG = clsConst.Enum_NonDsp_Flg.Dsp		'非表示フラグ
			datNewOpeRec.DSP_GRP1_FLG = IIf(Me.chk042MEN050F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ１
			datNewOpeRec.DSP_GRP2_FLG = IIf(Me.chk043MEN050F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ２
			datNewOpeRec.DSP_GRP3_FLG = IIf(Me.chk044MEN050F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ３
			datNewOpeRec.DSP_GRP4_FLG = IIf(Me.chk045MEN050F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ４
			datNewOpeRec.DSP_GRP5_FLG = IIf(Me.chk046MEN050F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ５
		Catch ex As Exception
			Throw
		End Try
	End Sub
#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術名マスタ情報を新規追加（Ｆ３キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "手術名マスタ情報を新規追加 Start")
		Try
			' 手術名マスタ情報を新規追加する際のチェック
			If Not chkChAdd() Then
				Return False
			End If
			' 手術名マスタ追加
			datNewOpeRec = New datMTM_OPE_NM_OneRec
			setAdd()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					Using cliMTM_OPE_NM As clsMTM_OPE_NM = New clsMTM_OPE_NM
						cliMTM_OPE_NM.execInsMTM_OPE_NM_OneRec(db, datNewOpeRec)
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
'(A) STR V4-12075-000 004 20130207 ID)平井(病名、手術画面起動の高速化)
					' 登録時、共有メモリーを初期化
					clsSysMst.ICD9CMStatus = clsSysMst.Enum_AsyncStatus.Enum_None
'(A) END V4-12075-000 004 20130207
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
			Using cliMTM_OPE_NM As clsMTM_OPE_NM = New clsMTM_OPE_NM
				datNewOpeRec = cliMTM_OPE_NM.getMTM_OPE_NM_OneRec(clsConst.CST_SIGN_U, MAX_MNG_NO)
			End Using
			Me.FormReturn = Enum_FormReturn.OK
			Me.ReturnValue = datNewOpeRec
			Me.EndProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			If DataMTM_OPE_NM_DIV_DSP_ITM IsNot Nothing Then DataMTM_OPE_NM_DIV_DSP_ITM.Dispose()
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			DataMTM_OPE_NM_DIV_DSP_ITM = Nothing
			datNewOpeRec = Nothing
			datGetOpeRec = Nothing
		End Try
	End Sub

#End Region

End Class