﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 手術医師情報複写
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN050F050

#Region "コンスタント"

	'手術情報表示列コントロール
	Private DSPCOL_NAME_OPE As String() = { _
	"c01001MEN050F050", "c02001MEN050F050", "c03001MEN050F050", "c04001MEN050F050", "c05001MEN050F050"}
	'手術医師情報表示列コントロール
	Private DSPCOL_NAME_DOCTOR As String() = { _
	"c01002MEN050F050", "c02002MEN050F050"}

#End Region

#Region "変数"

	'画面呼び出し時のパラメータ(コンストラクタでセット)
	Private pOpeSerialNo As Integer					'手術連番

	Private pdtOpe As DataTable						'手術情報データテーブル
	Private pdtOpeDoctor As DataTable				'手術医師情報データテーブル

	Private pSelectOpeNo As Integer = Nothing		'手術連番（絞込み条件）

	Private pRetData As DataTable					'追加情報一覧

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="opeSerialNo">手術連番</param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal patientNo As String, ByVal historyNo As Integer, ByVal chNo As Integer, ByVal opeSerialNo As Integer)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = patientNo		'患者番号
		Me.HspHistoryNo = historyNo		'入退院歴番号
		Me.ChNo = chNo					'科歴番号
		Me.pOpeSerialNo = opeSerialNo	'手術連番
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F050_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN050F050_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F050_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN050F050_Load", "画面ロード時イベント Start")
		Dim cliGridStyle As clsGridStyle
		Try
			cliGridStyle = New clsGridStyle

			'「追加しました。」メッセージラベルを非表示
			Me.lbl003MEN050F050.Visible = False

			'初期化
			Me.pdtOpe = New DataTable				'手術情報データテーブル
			Me.pdtOpeDoctor = New DataTable			'手術医師情報データテーブル
			Me.pSelectOpeNo = Nothing				'手術連番（絞込み条件）

			'手術情報の検索
			'Using cliOpe As New clsMTI_OPE
			'	Me.pdtOpe = cliOpe.getOpePlusPatientDa(pPatientNo)
			'End Using
			Me.pdtOpe = Me.getOpeData()
			'手術医師情報の検索
			'Using cliOpeDoctor As New clsMTI_OPE_DOCTOR
			'	Me.pdtOpeDoctor = cliOpe.getOpeDoctorPlusPatientDa(pPatientNo)
			'End Using
			Me.pdtOpeDoctor = Me.getOpeDoctorData()

			'検索情報と同じ型にしておく
			pRetData = Me.pdtOpeDoctor.Clone

			cliGridStyle.setGridHeight(Me.dgv001MEN050F050)
			cliGridStyle.setGridHeight(Me.dgv002MEN050F050)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F050_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN050F050_Shown", "画面オープン時イベント Start")
		Try
			'手術情報一覧表示
			Me.setOpeList()
			'手術情報一覧にフォーカス移動
			Me.dgv001MEN050F050.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「手術情報」クリック時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN050F050_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv001MEN050F050.CellClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN050F050_CellClick", "「手術情報」クリック時イベント Start")
		Try
			With Me.dgv001MEN050F050
				Me.pSelectOpeNo = .Rows(.CurrentRow.Index).Cells(3).Value
			End With
			'手術医師情報一覧表示
			Me.setOpeDoctorList()
			'手術医師情報一覧にフォーカス移動
			Me.dgv002MEN050F050.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「手術情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN050F050_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv001MEN050F050.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv001MEN050F050_SelectionChanged", "「手術情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「手術情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			With Me.dgv001MEN050F050
				If .CurrentRow IsNot Nothing AndAlso .CurrentRow.Index > -1 Then
					Me.pSelectOpeNo = .Rows(.CurrentRow.Index).Cells(3).Value
				End If
			End With
			'手術医師情報一覧表示
			Me.setOpeDoctorList()
			'手術医師情報一覧にフォーカス移動
			Me.dgv002MEN050F050.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「手術医師情報」ダブルクリック時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv002MEN050F050_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv002MEN050F050.DoubleClick
		log(clsSysMst.logLevel.NRM, "dgv002MEN050F050_DoubleClick", "「手術医師情報」ダブルクリック時イベント Start")
		Try
			'追加処理
			Me.addData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「手術医師情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv002MEN050F050_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv002MEN050F050.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv002MEN050F050_SelectionChanged", "「手術医師情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「手術医師情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			'「追加しました。」メッセージラベルを非表示
			Me.lbl003MEN050F050.Visible = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 手術情報の取得
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOpeData() As DataTable
		log(clsSysMst.logLevel.DBG, "getOpeData", "手術情報の取得 Start")
		Dim retData As DataTable
		Try
			retData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.setSQLDa(sqlMEN050F050.strSqlSelOpe)
					.setParamDa(sqlMEN050F050.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlMEN050F050.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					.setParamDa(sqlMEN050F050.prmCH_NO, clsDB.Enum_dbType.dbInt)
					.setParamDa(sqlMEN050F050.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMEN050F050.prmPATIENT_NO, Me.PatientNo)
					.setValDa(sqlMEN050F050.prmHSP_HISTORY_NO, Me.HspHistoryNo)
					.setValDa(sqlMEN050F050.prmCH_NO, Me.ChNo)
					.setValDa(sqlMEN050F050.prmOPE_SERIAL_NO, Me.pOpeSerialNo)
					'SQL実行
					.execQueryDa(retData)
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術医師情報の取得
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOpeDoctorData() As DataTable
		log(clsSysMst.logLevel.DBG, "getOpeDoctorData", "手術医師情報の取得 Start")
		Dim retData As DataTable
		Try
			retData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.setSQLDa(sqlMEN050F050.strSqlSelOpeDoctor)
					.setParamDa(sqlMEN050F050.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlMEN050F050.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					.setParamDa(sqlMEN050F050.prmCH_NO, clsDB.Enum_dbType.dbInt)
					.setParamDa(sqlMEN050F050.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMEN050F050.prmPATIENT_NO, Me.PatientNo)
					.setValDa(sqlMEN050F050.prmHSP_HISTORY_NO, Me.HspHistoryNo)
					.setValDa(sqlMEN050F050.prmCH_NO, Me.ChNo)
					.setValDa(sqlMEN050F050.prmOPE_SERIAL_NO, Me.pOpeSerialNo)
					'SQL実行
					.execQueryDa(retData)
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術情報一覧表示
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setOpeList()
		log(clsSysMst.logLevel.DBG, "setOpeList", "手術情報一覧表示 Start")
		Try
			With Me.dgv001MEN050F050
				.DataSource = Me.pdtOpe
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_OPE, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_OPE, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_OPE(i)).DisplayIndex = i
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術医師情報一覧表示
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setOpeDoctorList()
		log(clsSysMst.logLevel.DBG, "setOpeDoctorList", "手術医師情報一覧表示 Start")
		Dim listData As DataTable
		Try
			listData = Me.pdtOpeDoctor.Clone
			With Me.pdtOpeDoctor
				For i As Integer = 0 To .Rows.Count - 1
					If Me.pSelectOpeNo = .Rows(i)(3) Then
						listData.ImportRow(.Rows(i))
					End If
				Next
			End With
			Me.dgv002MEN050F050.DataSource = listData
			With Me.dgv002MEN050F050
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_DOCTOR, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_DOCTOR, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_DOCTOR(i)).DisplayIndex = i
				Next
			End With
		Catch ex As Exception
			Throw
		Finally
			listData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addData()
		log(clsSysMst.logLevel.DBG, "addData", "追加処理 Start")
		Try
			'手術医師情報が０件の場合
			If Me.dgv002MEN050F050.DataSource Is Nothing OrElse CType(Me.dgv002MEN050F050.DataSource, DataTable).Rows.Count <= 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Me.showMsg("E0003", "手術医師情報が０件の", "複写", Nothing)
				Exit Sub
			End If
			'手術医師情報が選択されていない場合
			If Me.dgv002MEN050F050.CurrentCell Is Nothing OrElse Me.dgv002MEN050F050.CurrentCell.ColumnIndex < 0 OrElse Me.dgv002MEN050F050.CurrentCell.RowIndex < 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Me.showMsg("E0014", "手術医師情報", Nothing)
				Exit Sub
			End If
			'内部変数に手術医師情報をセット
			With CType(Me.dgv002MEN050F050.DataSource, DataTable)
				'追加
				pRetData.ImportRow(.Rows(Me.dgv002MEN050F050.CurrentCell.RowIndex))
			End With
			'「追加しました。」メッセージラベルを表示
			Me.lbl003MEN050F050.Visible = True
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 戻り値作成処理
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getReturnValue() As ArrayList
		log(clsSysMst.logLevel.DBG, "getReturnValue", "戻り値作成処理 Start")
		Dim arData As ArrayList = New ArrayList()
		Dim dtData As datMTI_OPE_DOCTOR_OneRec = Nothing
		Dim iHspHistoryNo As Integer = 0
		Dim iChNo As Integer = 0
		Dim iOpeSerialNo As Integer = 0
		Dim iOpeDoctorSerialNo As Integer = 0
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliOpeDoctor As clsMTI_OPE_DOCTOR = New clsMTI_OPE_DOCTOR
				For Each row As DataRow In Me.pRetData.Rows
					Select Case False
						Case Integer.TryParse(row(sqlMTI_OPE_DOCTOR.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) AndAlso iHspHistoryNo > 0
						Case Integer.TryParse(row(sqlMTI_OPE_DOCTOR.itmCH_NO).ToString, iChNo) AndAlso iChNo > 0
						Case Integer.TryParse(row(sqlMTI_OPE_DOCTOR.itmOPE_SERIAL_NO).ToString, iOpeSerialNo) AndAlso iOpeSerialNo > 0
						Case Integer.TryParse(row(sqlMTI_OPE_DOCTOR.itmOPE_DOCTOR_SERIAL_NO).ToString, iOpeDoctorSerialNo) AndAlso iOpeDoctorSerialNo > 0
						Case Else
							dtData = cliOpeDoctor.getOpeDoctorOneRec(db, Me.PatientNo, iHspHistoryNo, iChNo, iOpeSerialNo, iOpeDoctorSerialNo)
							If dtData IsNot Nothing Then
								arData.Add(dtData.Copy)
							End If
					End Select
				Next
			End Using
			Return arData
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
			dtData = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー（追加）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下処理 Start")
		Try
			'追加処理
			Me.addData()
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー（閉じる）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCloseProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCloseProc", "Ｆ１２キー押下処理 Start")
		Dim retArray As ArrayList
		Try
			'戻り値を作成
			retArray = getReturnValue()
			'呼び出し元画面に戻る
			If retArray.Count > 0 Then
				Me.ReturnValue = retArray
				Me.FormReturn = Enum_FormReturn.OK
			End If
			'終了処理
			Me.EndProc()
		Catch ex As Exception
			Throw
		Finally
			retArray = Nothing
		End Try

		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/24 新規作成　CS)中岡<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv002MEN050F050.Name Then
				'追加処理
				Me.addData()
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 「全件追加」ボタン押下時イベント
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "「全件追加」ボタン押下時イベント Start")
		Dim retArray As ArrayList
		Try
			'手術医師情報が０件の場合
			If Me.dgv002MEN050F050.DataSource Is Nothing OrElse CType(Me.dgv002MEN050F050.DataSource, DataTable).Rows.Count <= 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Me.showMsg("E0003", "手術医師情報が０件の", "複写", Nothing)
				Exit Function
			End If

'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", "手術医師情報を全件追加", Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", "手術医師情報を全件追加", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				With CType(Me.dgv002MEN050F050.DataSource, DataTable)
					For i As Integer = 0 To .Rows.Count - 1
						'追加
						pRetData.ImportRow(.Rows(i))
					Next
				End With
				'「追加しました。」メッセージラベルを表示
				Me.lbl003MEN050F050.Visible = True
				'戻り値を作成
				retArray = getReturnValue()
				'呼び出し元画面に戻る
				If retArray.Count > 0 Then
					Me.ReturnValue = retArray
					Me.FormReturn = Enum_FormReturn.OK
				End If
				'終了処理
				Me.EndProc()
			End If
		Catch ex As Exception
			Throw
		Finally
			retArray = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/11/24 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If pdtOpe IsNot Nothing Then
				pdtOpe.Dispose()
			End If
			If pdtOpeDoctor IsNot Nothing Then
				pdtOpeDoctor.Dispose()
			End If
			If pRetData IsNot Nothing Then
				pRetData.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			pdtOpe = Nothing
			pdtOpeDoctor = Nothing
			pRetData = Nothing
		End Try
	End Sub

#End Region

End Class