﻿Imports XCM
Imports XSP
Imports System.Windows.Forms

''' ---------------------------------------------
''' <summary>
''' 補足項目１登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN080F010

#Region "コンスタント"

	Private Const CST_MAX_ASST_ITM As Integer = 132		'補足項目の最大値

#End Region

#Region "変数"

	Private slAsst1Itm As SortedList = Nothing
	Private _asst1 As datMTI_ASST1_OneRec = Nothing		'補足項目１情報
	Private _asst1bk As datMTI_ASST1_OneRec = Nothing	'補足項目１情報(保存用)

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		Me.BeforeTransit = Enum_Transit.eAssist1	'画面遷移前は「補足項目１」
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１情報の項目
	''' </summary>
	''' <param name="ITEM_CD">項目コード</param>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Property ASST_ITM(ByVal ITEM_CD As String) As Integer
		Get
			Select Case ITEM_CD
				Case "001" : Return _asst1.ASST_ITM001		'補足項目０１
				Case "002" : Return _asst1.ASST_ITM002		'補足項目０２
				Case "003" : Return _asst1.ASST_ITM003		'補足項目０３
				Case "004" : Return _asst1.ASST_ITM004		'補足項目０４
				Case "005" : Return _asst1.ASST_ITM005		'補足項目０５
				Case "006" : Return _asst1.ASST_ITM006		'補足項目０６
				Case "007" : Return _asst1.ASST_ITM007		'補足項目０７
				Case "008" : Return _asst1.ASST_ITM008		'補足項目０８
				Case "009" : Return _asst1.ASST_ITM009		'補足項目０９
				Case "010" : Return _asst1.ASST_ITM010		'補足項目１０
				Case "011" : Return _asst1.ASST_ITM011		'補足項目１１
				Case "012" : Return _asst1.ASST_ITM012		'補足項目１２
				Case "013" : Return _asst1.ASST_ITM013		'補足項目１３
				Case "014" : Return _asst1.ASST_ITM014		'補足項目１４
				Case "015" : Return _asst1.ASST_ITM015		'補足項目１５
				Case "016" : Return _asst1.ASST_ITM016		'補足項目１６
				Case "017" : Return _asst1.ASST_ITM017		'補足項目１７
				Case "018" : Return _asst1.ASST_ITM018		'補足項目１８
				Case "019" : Return _asst1.ASST_ITM019		'補足項目１９
				Case "020" : Return _asst1.ASST_ITM020		'補足項目２０
				Case "021" : Return _asst1.ASST_ITM021		'補足項目２１
				Case "022" : Return _asst1.ASST_ITM022		'補足項目２２
				Case "023" : Return _asst1.ASST_ITM023		'補足項目２３
				Case "024" : Return _asst1.ASST_ITM024		'補足項目２４
				Case "025" : Return _asst1.ASST_ITM025		'補足項目２５
				Case "026" : Return _asst1.ASST_ITM026		'補足項目２６
				Case "027" : Return _asst1.ASST_ITM027		'補足項目２７
				Case "028" : Return _asst1.ASST_ITM028		'補足項目２８
				Case "029" : Return _asst1.ASST_ITM029		'補足項目２９
				Case "030" : Return _asst1.ASST_ITM030		'補足項目３０
				Case "031" : Return _asst1.ASST_ITM031		'補足項目３１
				Case "032" : Return _asst1.ASST_ITM032		'補足項目３２
				Case "033" : Return _asst1.ASST_ITM033		'補足項目３３
				Case "034" : Return _asst1.ASST_ITM034		'補足項目３４
				Case "035" : Return _asst1.ASST_ITM035		'補足項目３５
				Case "036" : Return _asst1.ASST_ITM036		'補足項目３６
				Case "037" : Return _asst1.ASST_ITM037		'補足項目３７
				Case "038" : Return _asst1.ASST_ITM038		'補足項目３８
				Case "039" : Return _asst1.ASST_ITM039		'補足項目３９
				Case "040" : Return _asst1.ASST_ITM040		'補足項目４０
				Case "041" : Return _asst1.ASST_ITM041		'補足項目４１
				Case "042" : Return _asst1.ASST_ITM042		'補足項目４２
				Case "043" : Return _asst1.ASST_ITM043		'補足項目４３
				Case "044" : Return _asst1.ASST_ITM044		'補足項目４４
				Case "045" : Return _asst1.ASST_ITM045		'補足項目４５
				Case "046" : Return _asst1.ASST_ITM046		'補足項目４６
				Case "047" : Return _asst1.ASST_ITM047		'補足項目４７
				Case "048" : Return _asst1.ASST_ITM048		'補足項目４８
				Case "049" : Return _asst1.ASST_ITM049		'補足項目４９
				Case "050" : Return _asst1.ASST_ITM050		'補足項目５０
				Case "051" : Return _asst1.ASST_ITM051		'補足項目５１
				Case "052" : Return _asst1.ASST_ITM052		'補足項目５２
				Case "053" : Return _asst1.ASST_ITM053		'補足項目５３
				Case "054" : Return _asst1.ASST_ITM054		'補足項目５４
				Case "055" : Return _asst1.ASST_ITM055		'補足項目５５
				Case "056" : Return _asst1.ASST_ITM056		'補足項目５６
				Case "057" : Return _asst1.ASST_ITM057		'補足項目５７
				Case "058" : Return _asst1.ASST_ITM058		'補足項目５８
				Case "059" : Return _asst1.ASST_ITM059		'補足項目５９
				Case "060" : Return _asst1.ASST_ITM060		'補足項目６０
				Case "061" : Return _asst1.ASST_ITM061		'補足項目６１
				Case "062" : Return _asst1.ASST_ITM062		'補足項目６２
				Case "063" : Return _asst1.ASST_ITM063		'補足項目６３
				Case "064" : Return _asst1.ASST_ITM064		'補足項目６４
				Case "065" : Return _asst1.ASST_ITM065		'補足項目６５
				Case "066" : Return _asst1.ASST_ITM066		'補足項目６６
				Case "067" : Return _asst1.ASST_ITM067		'補足項目６７
				Case "068" : Return _asst1.ASST_ITM068		'補足項目６８
				Case "069" : Return _asst1.ASST_ITM069		'補足項目６９
				Case "070" : Return _asst1.ASST_ITM070		'補足項目７０
				Case "071" : Return _asst1.ASST_ITM071		'補足項目７１
				Case "072" : Return _asst1.ASST_ITM072		'補足項目７２
				Case "073" : Return _asst1.ASST_ITM073		'補足項目７３
				Case "074" : Return _asst1.ASST_ITM074		'補足項目７４
				Case "075" : Return _asst1.ASST_ITM075		'補足項目７５
				Case "076" : Return _asst1.ASST_ITM076		'補足項目７６
				Case "077" : Return _asst1.ASST_ITM077		'補足項目７７
				Case "078" : Return _asst1.ASST_ITM078		'補足項目７８
				Case "079" : Return _asst1.ASST_ITM079		'補足項目７９
				Case "080" : Return _asst1.ASST_ITM080		'補足項目８０
				Case "081" : Return _asst1.ASST_ITM081		'補足項目８１
				Case "082" : Return _asst1.ASST_ITM082		'補足項目８２
				Case "083" : Return _asst1.ASST_ITM083		'補足項目８３
				Case "084" : Return _asst1.ASST_ITM084		'補足項目８４
				Case "085" : Return _asst1.ASST_ITM085		'補足項目８５
				Case "086" : Return _asst1.ASST_ITM086		'補足項目８６
				Case "087" : Return _asst1.ASST_ITM087		'補足項目８７
				Case "088" : Return _asst1.ASST_ITM088		'補足項目８８
				Case "089" : Return _asst1.ASST_ITM089		'補足項目８９
				Case "090" : Return _asst1.ASST_ITM090		'補足項目９０
				Case "091" : Return _asst1.ASST_ITM091		'補足項目９１
				Case "092" : Return _asst1.ASST_ITM092		'補足項目９２
				Case "093" : Return _asst1.ASST_ITM093		'補足項目９３
				Case "094" : Return _asst1.ASST_ITM094		'補足項目９４
				Case "095" : Return _asst1.ASST_ITM095		'補足項目９５
				Case "096" : Return _asst1.ASST_ITM096		'補足項目９６
				Case "097" : Return _asst1.ASST_ITM097		'補足項目９７
				Case "098" : Return _asst1.ASST_ITM098		'補足項目９８
				Case "099" : Return _asst1.ASST_ITM099		'補足項目９９
				Case "100" : Return _asst1.ASST_ITM100		'補足項目１００
				Case "101" : Return _asst1.ASST_ITM101		'補足項目１０１
				Case "102" : Return _asst1.ASST_ITM102		'補足項目１０２
				Case "103" : Return _asst1.ASST_ITM103		'補足項目１０３
				Case "104" : Return _asst1.ASST_ITM104		'補足項目１０４
				Case "105" : Return _asst1.ASST_ITM105		'補足項目１０５
				Case "106" : Return _asst1.ASST_ITM106		'補足項目１０６
				Case "107" : Return _asst1.ASST_ITM107		'補足項目１０７
				Case "108" : Return _asst1.ASST_ITM108		'補足項目１０８
				Case "109" : Return _asst1.ASST_ITM109		'補足項目１０９
				Case "110" : Return _asst1.ASST_ITM110		'補足項目１１０
				Case "111" : Return _asst1.ASST_ITM111		'補足項目１１１
				Case "112" : Return _asst1.ASST_ITM112		'補足項目１１２
				Case "113" : Return _asst1.ASST_ITM113		'補足項目１１３
				Case "114" : Return _asst1.ASST_ITM114		'補足項目１１４
				Case "115" : Return _asst1.ASST_ITM115		'補足項目１１５
				Case "116" : Return _asst1.ASST_ITM116		'補足項目１１６
				Case "117" : Return _asst1.ASST_ITM117		'補足項目１１７
				Case "118" : Return _asst1.ASST_ITM118		'補足項目１１８
				Case "119" : Return _asst1.ASST_ITM119		'補足項目１１９
				Case "120" : Return _asst1.ASST_ITM120		'補足項目１２０
				Case "121" : Return _asst1.ASST_ITM121		'補足項目１２１
				Case "122" : Return _asst1.ASST_ITM122		'補足項目１２２
				Case "123" : Return _asst1.ASST_ITM123		'補足項目１２３
				Case "124" : Return _asst1.ASST_ITM124		'補足項目１２４
				Case "125" : Return _asst1.ASST_ITM125		'補足項目１２５
				Case "126" : Return _asst1.ASST_ITM126		'補足項目１２６
				Case "127" : Return _asst1.ASST_ITM127		'補足項目１２７
				Case "128" : Return _asst1.ASST_ITM128		'補足項目１２８
				Case "129" : Return _asst1.ASST_ITM129		'補足項目１２９
				Case "130" : Return _asst1.ASST_ITM130		'補足項目１３０
				Case "131" : Return _asst1.ASST_ITM131		'補足項目１３１
				Case "132" : Return _asst1.ASST_ITM132		'補足項目１３２
				Case Else : Return 0
			End Select
		End Get
		Set(ByVal value As Integer)
			Select Case ITEM_CD
				Case "001" : _asst1.ASST_ITM001 = value		'補足項目０１
				Case "002" : _asst1.ASST_ITM002 = value		'補足項目０２
				Case "003" : _asst1.ASST_ITM003 = value		'補足項目０３
				Case "004" : _asst1.ASST_ITM004 = value		'補足項目０４
				Case "005" : _asst1.ASST_ITM005 = value		'補足項目０５
				Case "006" : _asst1.ASST_ITM006 = value		'補足項目０６
				Case "007" : _asst1.ASST_ITM007 = value		'補足項目０７
				Case "008" : _asst1.ASST_ITM008 = value		'補足項目０８
				Case "009" : _asst1.ASST_ITM009 = value		'補足項目０９
				Case "010" : _asst1.ASST_ITM010 = value		'補足項目１０
				Case "011" : _asst1.ASST_ITM011 = value		'補足項目１１
				Case "012" : _asst1.ASST_ITM012 = value		'補足項目１２
				Case "013" : _asst1.ASST_ITM013 = value		'補足項目１３
				Case "014" : _asst1.ASST_ITM014 = value		'補足項目１４
				Case "015" : _asst1.ASST_ITM015 = value		'補足項目１５
				Case "016" : _asst1.ASST_ITM016 = value		'補足項目１６
				Case "017" : _asst1.ASST_ITM017 = value		'補足項目１７
				Case "018" : _asst1.ASST_ITM018 = value		'補足項目１８
				Case "019" : _asst1.ASST_ITM019 = value		'補足項目１９
				Case "020" : _asst1.ASST_ITM020 = value		'補足項目２０
				Case "021" : _asst1.ASST_ITM021 = value		'補足項目２１
				Case "022" : _asst1.ASST_ITM022 = value		'補足項目２２
				Case "023" : _asst1.ASST_ITM023 = value		'補足項目２３
				Case "024" : _asst1.ASST_ITM024 = value		'補足項目２４
				Case "025" : _asst1.ASST_ITM025 = value		'補足項目２５
				Case "026" : _asst1.ASST_ITM026 = value		'補足項目２６
				Case "027" : _asst1.ASST_ITM027 = value		'補足項目２７
				Case "028" : _asst1.ASST_ITM028 = value		'補足項目２８
				Case "029" : _asst1.ASST_ITM029 = value		'補足項目２９
				Case "030" : _asst1.ASST_ITM030 = value		'補足項目３０
				Case "031" : _asst1.ASST_ITM031 = value		'補足項目３１
				Case "032" : _asst1.ASST_ITM032 = value		'補足項目３２
				Case "033" : _asst1.ASST_ITM033 = value		'補足項目３３
				Case "034" : _asst1.ASST_ITM034 = value		'補足項目３４
				Case "035" : _asst1.ASST_ITM035 = value		'補足項目３５
				Case "036" : _asst1.ASST_ITM036 = value		'補足項目３６
				Case "037" : _asst1.ASST_ITM037 = value		'補足項目３７
				Case "038" : _asst1.ASST_ITM038 = value		'補足項目３８
				Case "039" : _asst1.ASST_ITM039 = value		'補足項目３９
				Case "040" : _asst1.ASST_ITM040 = value		'補足項目４０
				Case "041" : _asst1.ASST_ITM041 = value		'補足項目４１
				Case "042" : _asst1.ASST_ITM042 = value		'補足項目４２
				Case "043" : _asst1.ASST_ITM043 = value		'補足項目４３
				Case "044" : _asst1.ASST_ITM044 = value		'補足項目４４
				Case "045" : _asst1.ASST_ITM045 = value		'補足項目４５
				Case "046" : _asst1.ASST_ITM046 = value		'補足項目４６
				Case "047" : _asst1.ASST_ITM047 = value		'補足項目４７
				Case "048" : _asst1.ASST_ITM048 = value		'補足項目４８
				Case "049" : _asst1.ASST_ITM049 = value		'補足項目４９
				Case "050" : _asst1.ASST_ITM050 = value		'補足項目５０
				Case "051" : _asst1.ASST_ITM051 = value		'補足項目５１
				Case "052" : _asst1.ASST_ITM052 = value		'補足項目５２
				Case "053" : _asst1.ASST_ITM053 = value		'補足項目５３
				Case "054" : _asst1.ASST_ITM054 = value		'補足項目５４
				Case "055" : _asst1.ASST_ITM055 = value		'補足項目５５
				Case "056" : _asst1.ASST_ITM056 = value		'補足項目５６
				Case "057" : _asst1.ASST_ITM057 = value		'補足項目５７
				Case "058" : _asst1.ASST_ITM058 = value		'補足項目５８
				Case "059" : _asst1.ASST_ITM059 = value		'補足項目５９
				Case "060" : _asst1.ASST_ITM060 = value		'補足項目６０
				Case "061" : _asst1.ASST_ITM061 = value		'補足項目６１
				Case "062" : _asst1.ASST_ITM062 = value		'補足項目６２
				Case "063" : _asst1.ASST_ITM063 = value		'補足項目６３
				Case "064" : _asst1.ASST_ITM064 = value		'補足項目６４
				Case "065" : _asst1.ASST_ITM065 = value		'補足項目６５
				Case "066" : _asst1.ASST_ITM066 = value		'補足項目６６
				Case "067" : _asst1.ASST_ITM067 = value		'補足項目６７
				Case "068" : _asst1.ASST_ITM068 = value		'補足項目６８
				Case "069" : _asst1.ASST_ITM069 = value		'補足項目６９
				Case "070" : _asst1.ASST_ITM070 = value		'補足項目７０
				Case "071" : _asst1.ASST_ITM071 = value		'補足項目７１
				Case "072" : _asst1.ASST_ITM072 = value		'補足項目７２
				Case "073" : _asst1.ASST_ITM073 = value		'補足項目７３
				Case "074" : _asst1.ASST_ITM074 = value		'補足項目７４
				Case "075" : _asst1.ASST_ITM075 = value		'補足項目７５
				Case "076" : _asst1.ASST_ITM076 = value		'補足項目７６
				Case "077" : _asst1.ASST_ITM077 = value		'補足項目７７
				Case "078" : _asst1.ASST_ITM078 = value		'補足項目７８
				Case "079" : _asst1.ASST_ITM079 = value		'補足項目７９
				Case "080" : _asst1.ASST_ITM080 = value		'補足項目８０
				Case "081" : _asst1.ASST_ITM081 = value		'補足項目８１
				Case "082" : _asst1.ASST_ITM082 = value		'補足項目８２
				Case "083" : _asst1.ASST_ITM083 = value		'補足項目８３
				Case "084" : _asst1.ASST_ITM084 = value		'補足項目８４
				Case "085" : _asst1.ASST_ITM085 = value		'補足項目８５
				Case "086" : _asst1.ASST_ITM086 = value		'補足項目８６
				Case "087" : _asst1.ASST_ITM087 = value		'補足項目８７
				Case "088" : _asst1.ASST_ITM088 = value		'補足項目８８
				Case "089" : _asst1.ASST_ITM089 = value		'補足項目８９
				Case "090" : _asst1.ASST_ITM090 = value		'補足項目９０
				Case "091" : _asst1.ASST_ITM091 = value		'補足項目９１
				Case "092" : _asst1.ASST_ITM092 = value		'補足項目９２
				Case "093" : _asst1.ASST_ITM093 = value		'補足項目９３
				Case "094" : _asst1.ASST_ITM094 = value		'補足項目９４
				Case "095" : _asst1.ASST_ITM095 = value		'補足項目９５
				Case "096" : _asst1.ASST_ITM096 = value		'補足項目９６
				Case "097" : _asst1.ASST_ITM097 = value		'補足項目９７
				Case "098" : _asst1.ASST_ITM098 = value		'補足項目９８
				Case "099" : _asst1.ASST_ITM099 = value		'補足項目９９
				Case "100" : _asst1.ASST_ITM100 = value		'補足項目１００
				Case "101" : _asst1.ASST_ITM101 = value		'補足項目１０１
				Case "102" : _asst1.ASST_ITM102 = value		'補足項目１０２
				Case "103" : _asst1.ASST_ITM103 = value		'補足項目１０３
				Case "104" : _asst1.ASST_ITM104 = value		'補足項目１０４
				Case "105" : _asst1.ASST_ITM105 = value		'補足項目１０５
				Case "106" : _asst1.ASST_ITM106 = value		'補足項目１０６
				Case "107" : _asst1.ASST_ITM107 = value		'補足項目１０７
				Case "108" : _asst1.ASST_ITM108 = value		'補足項目１０８
				Case "109" : _asst1.ASST_ITM109 = value		'補足項目１０９
				Case "110" : _asst1.ASST_ITM110 = value		'補足項目１１０
				Case "111" : _asst1.ASST_ITM111 = value		'補足項目１１１
				Case "112" : _asst1.ASST_ITM112 = value		'補足項目１１２
				Case "113" : _asst1.ASST_ITM113 = value		'補足項目１１３
				Case "114" : _asst1.ASST_ITM114 = value		'補足項目１１４
				Case "115" : _asst1.ASST_ITM115 = value		'補足項目１１５
				Case "116" : _asst1.ASST_ITM116 = value		'補足項目１１６
				Case "117" : _asst1.ASST_ITM117 = value		'補足項目１１７
				Case "118" : _asst1.ASST_ITM118 = value		'補足項目１１８
				Case "119" : _asst1.ASST_ITM119 = value		'補足項目１１９
				Case "120" : _asst1.ASST_ITM120 = value		'補足項目１２０
				Case "121" : _asst1.ASST_ITM121 = value		'補足項目１２１
				Case "122" : _asst1.ASST_ITM122 = value		'補足項目１２２
				Case "123" : _asst1.ASST_ITM123 = value		'補足項目１２３
				Case "124" : _asst1.ASST_ITM124 = value		'補足項目１２４
				Case "125" : _asst1.ASST_ITM125 = value		'補足項目１２５
				Case "126" : _asst1.ASST_ITM126 = value		'補足項目１２６
				Case "127" : _asst1.ASST_ITM127 = value		'補足項目１２７
				Case "128" : _asst1.ASST_ITM128 = value		'補足項目１２８
				Case "129" : _asst1.ASST_ITM129 = value		'補足項目１２９
				Case "130" : _asst1.ASST_ITM130 = value		'補足項目１３０
				Case "131" : _asst1.ASST_ITM131 = value		'補足項目１３１
				Case "132" : _asst1.ASST_ITM132 = value		'補足項目１３２
				Case Else
			End Select
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN080F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN080F010_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <remarks>
	'''2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN080F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN080F010_Load", "画面ロード時 Start")
		Dim datAsst1Itm As datMTM_ASST1_ITM = Nothing
		Try
			' Ｆ１０キーで切り替えるタブコントロールを設定
			Me.F10TabControl = Me.tab001MEN080F010
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' 補足項目１情報を取得
				Using cliAsst1 As clsMTI_ASST1 = New clsMTI_ASST1
					_asst1 = cliAsst1.getAsst1OneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				End Using
				If _asst1 Is Nothing Then
					_asst1 = New datMTI_ASST1_OneRec
					_asst1.PATIENT_NO = Me.PatientNo
					_asst1.HSP_HISTORY_NO = Me.HspHistoryNo
					_asst1.CH_NO = Me.ChNo
				End If
				' 補足項目１情報を保存
				_asst1bk = _asst1.Copy
				' 補足項目１項目マスタを表示順で取得
				Using cliAsst1Itm As clsMTM_ASST1_ITM = New clsMTM_ASST1_ITM
					slAsst1Itm = cliAsst1Itm.getAsst1ItmSortedList(db)
				End Using
				If slAsst1Itm.Count = 0 Then
					' 補足項目１項目マスタがない場合、エラーメッセージを出力し、親画面に戻る。
					Me.showMsg("E0009", "補足項目１項目マスタ", "マスタ保守", Nothing)
					' 画面終了
					Me.EndProc4Load()
					Exit Sub
				End If
			End Using

			Dim Tab1 As String								'タブ1名称
			Dim Tab2 As String								'タブ2名称

			Using cliAsst1Tab As clsMTM_ASST_TAB = New clsMTM_ASST_TAB
				Tab1 = cliAsst1Tab.getAsstTabtmInfo(clsConst.CST_ASST1_1TABCD)
				Tab2 = cliAsst1Tab.getAsstTabtmInfo(clsConst.CST_ASST1_2TABCD)
			End Using

			If Tab1 Is Nothing AndAlso Tab2 Is Nothing Then
				' 補足項目タブマスタがない場合、エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0009", "補足項目タブマスタ", "マスタ保守", Nothing)
				' 画面終了
				Me.EndProc4Load()
				Exit Sub
			End If

			'タブマスタ取得
			tpg002MEN080F010.Text = Tab1
			tpg155MEN080F010.Text = Tab2

			For i As Integer = 1 To CST_MAX_ASST_ITM
				If slAsst1Itm.ContainsKey(i) Then
					datAsst1Itm = slAsst1Itm(i)
					With GetAsst1ItmGrpCdLabel(i)
						If String.IsNullOrEmpty(datAsst1Itm.ITEM_NM) Then
							.Visible = False
						Else
							.Visible = True
							.Text = datAsst1Itm.GRP_CD
						End If
					End With
					With GetAsst1ItmCheckBox(i)
						If String.IsNullOrEmpty(datAsst1Itm.ITEM_NM) Then
							.Visible = False
						Else
							.Visible = True
							.Text = datAsst1Itm.ITEM_NM
						End If
					End With
				End If
			Next

		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			datAsst1Itm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN080F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN080F010_Shown", "画面初回起動時 Start")
		Try
			Me.repaint()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 分類名ラベルの取得
	''' </summary>
	''' <param name="intOrder">項目順</param>
	''' <returns>分類名ラベル</returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetAsst1ItmGrpCdLabel(ByVal intOrder As Integer) As Label
		log(clsSysMst.logLevel.DBG, "GetAsst1ItmGrpCdLabel", "分類名ラベルの取得 Start")
		Try
			' 項目順により分類名ラベルを返す
			Select Case intOrder
				Case 1 : Return Me.lbl011MEN080F010		'分類名０１
				Case 2 : Return Me.lbl013MEN080F010		'分類名０２
				Case 3 : Return Me.lbl015MEN080F010		'分類名０３
				Case 4 : Return Me.lbl017MEN080F010		'分類名０４
				Case 5 : Return Me.lbl019MEN080F010		'分類名０５
				Case 6 : Return Me.lbl021MEN080F010		'分類名０６
				Case 7 : Return Me.lbl023MEN080F010		'分類名０７
				Case 8 : Return Me.lbl025MEN080F010		'分類名０８
				Case 9 : Return Me.lbl027MEN080F010		'分類名０９
				Case 10 : Return Me.lbl029MEN080F010	'分類名１０
				Case 11 : Return Me.lbl031MEN080F010	'分類名１１
				Case 12 : Return Me.lbl033MEN080F010	'分類名１２
				Case 13 : Return Me.lbl035MEN080F010	'分類名１３
				Case 14 : Return Me.lbl037MEN080F010	'分類名１４
				Case 15 : Return Me.lbl039MEN080F010	'分類名１５
				Case 16 : Return Me.lbl041MEN080F010	'分類名１６
				Case 17 : Return Me.lbl043MEN080F010	'分類名１７
				Case 18 : Return Me.lbl045MEN080F010	'分類名１８
				Case 19 : Return Me.lbl047MEN080F010	'分類名１９
				Case 20 : Return Me.lbl049MEN080F010	'分類名２０
				Case 21 : Return Me.lbl051MEN080F010	'分類名２１
				Case 22 : Return Me.lbl053MEN080F010	'分類名２２
				Case 23 : Return Me.lbl055MEN080F010	'分類名２３
				Case 24 : Return Me.lbl057MEN080F010	'分類名２４
				Case 25 : Return Me.lbl059MEN080F010	'分類名２５
				Case 26 : Return Me.lbl061MEN080F010	'分類名２６
				Case 27 : Return Me.lbl063MEN080F010	'分類名２７
				Case 28 : Return Me.lbl065MEN080F010	'分類名２８
				Case 29 : Return Me.lbl067MEN080F010	'分類名２９
				Case 30 : Return Me.lbl069MEN080F010	'分類名３０
				Case 31 : Return Me.lbl071MEN080F010	'分類名３１
				Case 32 : Return Me.lbl073MEN080F010	'分類名３２
				Case 33 : Return Me.lbl075MEN080F010	'分類名３３
				Case 34 : Return Me.lbl077MEN080F010	'分類名３４
				Case 35 : Return Me.lbl079MEN080F010	'分類名３５
				Case 36 : Return Me.lbl081MEN080F010	'分類名３６
				Case 37 : Return Me.lbl083MEN080F010	'分類名３７
				Case 38 : Return Me.lbl085MEN080F010	'分類名３８
				Case 39 : Return Me.lbl087MEN080F010	'分類名３９
				Case 40 : Return Me.lbl089MEN080F010	'分類名４０
				Case 41 : Return Me.lbl091MEN080F010	'分類名４１
				Case 42 : Return Me.lbl093MEN080F010	'分類名４２
				Case 43 : Return Me.lbl095MEN080F010	'分類名４３
				Case 44 : Return Me.lbl097MEN080F010	'分類名４４
				Case 45 : Return Me.lbl099MEN080F010	'分類名４５
				Case 46 : Return Me.lbl101MEN080F010	'分類名４６
				Case 47 : Return Me.lbl103MEN080F010	'分類名４７
				Case 48 : Return Me.lbl105MEN080F010	'分類名４８
				Case 49 : Return Me.lbl107MEN080F010	'分類名４９
				Case 50 : Return Me.lbl109MEN080F010	'分類名５０
				Case 51 : Return Me.lbl111MEN080F010	'分類名５１
				Case 52 : Return Me.lbl113MEN080F010	'分類名５２
				Case 53 : Return Me.lbl115MEN080F010	'分類名５３
				Case 54 : Return Me.lbl117MEN080F010	'分類名５４
				Case 55 : Return Me.lbl119MEN080F010	'分類名５５
				Case 56 : Return Me.lbl121MEN080F010	'分類名５６
				Case 57 : Return Me.lbl123MEN080F010	'分類名５７
				Case 58 : Return Me.lbl125MEN080F010	'分類名５８
				Case 59 : Return Me.lbl127MEN080F010	'分類名５９
				Case 60 : Return Me.lbl129MEN080F010	'分類名６０
				Case 61 : Return Me.lbl131MEN080F010	'分類名６１
				Case 62 : Return Me.lbl133MEN080F010	'分類名６２
				Case 63 : Return Me.lbl135MEN080F010	'分類名６３
				Case 64 : Return Me.lbl137MEN080F010	'分類名６４
				Case 65 : Return Me.lbl139MEN080F010	'分類名６５
				Case 66 : Return Me.lbl141MEN080F010	'分類名６６
				Case 67 : Return Me.lbl143MEN080F010	'分類名６７
				Case 68 : Return Me.lbl145MEN080F010	'分類名６８
				Case 69 : Return Me.lbl147MEN080F010	'分類名６９
				Case 70 : Return Me.lbl149MEN080F010	'分類名７０
				Case 71 : Return Me.lbl151MEN080F010	'分類名７１
				Case 72 : Return Me.lbl153MEN080F010	'分類名７２
				Case 73 : Return Me.lbl162MEN080F010	'分類名７３
				Case 74 : Return Me.lbl164MEN080F010	'分類名７４
				Case 75 : Return Me.lbl166MEN080F010	'分類名７５
				Case 76 : Return Me.lbl168MEN080F010	'分類名７６
				Case 77 : Return Me.lbl170MEN080F010	'分類名７７
				Case 78 : Return Me.lbl172MEN080F010	'分類名７８
				Case 79 : Return Me.lbl174MEN080F010	'分類名７９
				Case 80 : Return Me.lbl176MEN080F010	'分類名８０
				Case 81 : Return Me.lbl178MEN080F010	'分類名８１
				Case 82 : Return Me.lbl180MEN080F010	'分類名８２
				Case 83 : Return Me.lbl182MEN080F010	'分類名８３
				Case 84 : Return Me.lbl184MEN080F010	'分類名８４
				Case 85 : Return Me.lbl186MEN080F010	'分類名８５
				Case 86 : Return Me.lbl188MEN080F010	'分類名８６
				Case 87 : Return Me.lbl190MEN080F010	'分類名８７
				Case 88 : Return Me.lbl192MEN080F010	'分類名８８
				Case 89 : Return Me.lbl194MEN080F010	'分類名８９
				Case 90 : Return Me.lbl196MEN080F010	'分類名９０
				Case 91 : Return Me.lbl198MEN080F010	'分類名９１
				Case 92 : Return Me.lbl200MEN080F010	'分類名９２
				Case 93 : Return Me.lbl202MEN080F010	'分類名９３
				Case 94 : Return Me.lbl204MEN080F010	'分類名９４
				Case 95 : Return Me.lbl206MEN080F010	'分類名９５
				Case 96 : Return Me.lbl208MEN080F010	'分類名９６
				Case 97 : Return Me.lbl210MEN080F010	'分類名９７
				Case 98 : Return Me.lbl212MEN080F010	'分類名９８
				Case 99 : Return Me.lbl214MEN080F010	'分類名９９
				Case 100 : Return Me.lbl216MEN080F010	'分類名１００
				Case 101 : Return Me.lbl218MEN080F010	'分類名１０１
				Case 102 : Return Me.lbl220MEN080F010	'分類名１０２
				Case 103 : Return Me.lbl222MEN080F010	'分類名１０３
				Case 104 : Return Me.lbl224MEN080F010	'分類名１０４
				Case 105 : Return Me.lbl226MEN080F010	'分類名１０５
				Case 106 : Return Me.lbl228MEN080F010	'分類名１０６
				Case 107 : Return Me.lbl230MEN080F010	'分類名１０７
				Case 108 : Return Me.lbl232MEN080F010	'分類名１０８
				Case 109 : Return Me.lbl234MEN080F010	'分類名１０９
				Case 110 : Return Me.lbl236MEN080F010	'分類名１１０
				Case 111 : Return Me.lbl238MEN080F010	'分類名１１１
				Case 112 : Return Me.lbl240MEN080F010	'分類名１１２
				Case 113 : Return Me.lbl242MEN080F010	'分類名１１３
				Case 114 : Return Me.lbl244MEN080F010	'分類名１１４
				Case 115 : Return Me.lbl246MEN080F010	'分類名１１５
				Case 116 : Return Me.lbl248MEN080F010	'分類名１１６
				Case 117 : Return Me.lbl250MEN080F010	'分類名１１７
				Case 118 : Return Me.lbl252MEN080F010	'分類名１１８
				Case 119 : Return Me.lbl254MEN080F010	'分類名１１９
				Case 120 : Return Me.lbl256MEN080F010	'分類名１２０
				Case 121 : Return Me.lbl258MEN080F010	'分類名１２１
				Case 122 : Return Me.lbl260MEN080F010	'分類名１２２
				Case 123 : Return Me.lbl262MEN080F010	'分類名１２３
				Case 124 : Return Me.lbl264MEN080F010	'分類名１２４
				Case 125 : Return Me.lbl266MEN080F010	'分類名１２５
				Case 126 : Return Me.lbl268MEN080F010	'分類名１２６
				Case 127 : Return Me.lbl270MEN080F010	'分類名１２７
				Case 128 : Return Me.lbl272MEN080F010	'分類名１２８
				Case 129 : Return Me.lbl274MEN080F010	'分類名１２９
				Case 130 : Return Me.lbl276MEN080F010	'分類名１３０
				Case 131 : Return Me.lbl278MEN080F010	'分類名１３１
				Case 132 : Return Me.lbl280MEN080F010	'分類名１３２
				Case Else : Return New Label
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目チェックボックスの取得
	''' </summary>
	''' <param name="intOrder">項目順</param>
	''' <returns>分類名ラベル</returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetAsst1ItmCheckBox(ByVal intOrder As Integer) As BT_CheckBox
		log(clsSysMst.logLevel.DBG, "GetAsst1ItmCheckBox", "補足項目チェックボックスの取得 Start")
		Try
			' 項目順により補足項目チェックボックスを返す
			Select Case intOrder
				Case 1 : Return Me.chk012MEN080F010		'補足項目０１
				Case 2 : Return Me.chk014MEN080F010		'補足項目０２
				Case 3 : Return Me.chk016MEN080F010		'補足項目０３
				Case 4 : Return Me.chk018MEN080F010		'補足項目０４
				Case 5 : Return Me.chk020MEN080F010		'補足項目０５
				Case 6 : Return Me.chk022MEN080F010		'補足項目０６
				Case 7 : Return Me.chk024MEN080F010		'補足項目０７
				Case 8 : Return Me.chk026MEN080F010		'補足項目０８
				Case 9 : Return Me.chk028MEN080F010		'補足項目０９
				Case 10 : Return Me.chk030MEN080F010	'補足項目１０
				Case 11 : Return Me.chk032MEN080F010	'補足項目１１
				Case 12 : Return Me.chk034MEN080F010	'補足項目１２
				Case 13 : Return Me.chk036MEN080F010	'補足項目１３
				Case 14 : Return Me.chk038MEN080F010	'補足項目１４
				Case 15 : Return Me.chk040MEN080F010	'補足項目１５
				Case 16 : Return Me.chk042MEN080F010	'補足項目１６
				Case 17 : Return Me.chk044MEN080F010	'補足項目１７
				Case 18 : Return Me.chk046MEN080F010	'補足項目１８
				Case 19 : Return Me.chk048MEN080F010	'補足項目１９
				Case 20 : Return Me.chk050MEN080F010	'補足項目２０
				Case 21 : Return Me.chk052MEN080F010	'補足項目２１
				Case 22 : Return Me.chk054MEN080F010	'補足項目２２
				Case 23 : Return Me.chk056MEN080F010	'補足項目２３
				Case 24 : Return Me.chk058MEN080F010	'補足項目２４
				Case 25 : Return Me.chk060MEN080F010	'補足項目２５
				Case 26 : Return Me.chk062MEN080F010	'補足項目２６
				Case 27 : Return Me.chk064MEN080F010	'補足項目２７
				Case 28 : Return Me.chk066MEN080F010	'補足項目２８
				Case 29 : Return Me.chk068MEN080F010	'補足項目２９
				Case 30 : Return Me.chk070MEN080F010	'補足項目３０
				Case 31 : Return Me.chk072MEN080F010	'補足項目３１
				Case 32 : Return Me.chk074MEN080F010	'補足項目３２
				Case 33 : Return Me.chk076MEN080F010	'補足項目３３
				Case 34 : Return Me.chk078MEN080F010	'補足項目３４
				Case 35 : Return Me.chk080MEN080F010	'補足項目３５
				Case 36 : Return Me.chk082MEN080F010	'補足項目３６
				Case 37 : Return Me.chk084MEN080F010	'補足項目３７
				Case 38 : Return Me.chk086MEN080F010	'補足項目３８
				Case 39 : Return Me.chk088MEN080F010	'補足項目３９
				Case 40 : Return Me.chk090MEN080F010	'補足項目４０
				Case 41 : Return Me.chk092MEN080F010	'補足項目４１
				Case 42 : Return Me.chk094MEN080F010	'補足項目４２
				Case 43 : Return Me.chk096MEN080F010	'補足項目４３
				Case 44 : Return Me.chk098MEN080F010	'補足項目４４
				Case 45 : Return Me.chk100MEN080F010	'補足項目４５
				Case 46 : Return Me.chk102MEN080F010	'補足項目４６
				Case 47 : Return Me.chk104MEN080F010	'補足項目４７
				Case 48 : Return Me.chk106MEN080F010	'補足項目４８
				Case 49 : Return Me.chk108MEN080F010	'補足項目４９
				Case 50 : Return Me.chk110MEN080F010	'補足項目５０
				Case 51 : Return Me.chk112MEN080F010	'補足項目５１
				Case 52 : Return Me.chk114MEN080F010	'補足項目５２
				Case 53 : Return Me.chk116MEN080F010	'補足項目５３
				Case 54 : Return Me.chk118MEN080F010	'補足項目５４
				Case 55 : Return Me.chk120MEN080F010	'補足項目５５
				Case 56 : Return Me.chk122MEN080F010	'補足項目５６
				Case 57 : Return Me.chk124MEN080F010	'補足項目５７
				Case 58 : Return Me.chk126MEN080F010	'補足項目５８
				Case 59 : Return Me.chk128MEN080F010	'補足項目５９
				Case 60 : Return Me.chk130MEN080F010	'補足項目６０
				Case 61 : Return Me.chk132MEN080F010	'補足項目６１
				Case 62 : Return Me.chk134MEN080F010	'補足項目６２
				Case 63 : Return Me.chk136MEN080F010	'補足項目６３
				Case 64 : Return Me.chk138MEN080F010	'補足項目６４
				Case 65 : Return Me.chk140MEN080F010	'補足項目６５
				Case 66 : Return Me.chk142MEN080F010	'補足項目６６
				Case 67 : Return Me.chk144MEN080F010	'補足項目６７
				Case 68 : Return Me.chk146MEN080F010	'補足項目６８
				Case 69 : Return Me.chk148MEN080F010	'補足項目６９
				Case 70 : Return Me.chk150MEN080F010	'補足項目７０
				Case 71 : Return Me.chk152MEN080F010	'補足項目７１
				Case 72 : Return Me.chk154MEN080F010	'補足項目７２
				Case 73 : Return Me.chk163MEN080F010	'補足項目７３
				Case 74 : Return Me.chk165MEN080F010	'補足項目７４
				Case 75 : Return Me.chk167MEN080F010	'補足項目７５
				Case 76 : Return Me.chk169MEN080F010	'補足項目７６
				Case 77 : Return Me.chk171MEN080F010	'補足項目７７
				Case 78 : Return Me.chk173MEN080F010	'補足項目７８
				Case 79 : Return Me.chk175MEN080F010	'補足項目７９
				Case 80 : Return Me.chk177MEN080F010	'補足項目８０
				Case 81 : Return Me.chk179MEN080F010	'補足項目８１
				Case 82 : Return Me.chk181MEN080F010	'補足項目８２
				Case 83 : Return Me.chk183MEN080F010	'補足項目８３
				Case 84 : Return Me.chk185MEN080F010	'補足項目８４
				Case 85 : Return Me.chk187MEN080F010	'補足項目８５
				Case 86 : Return Me.chk189MEN080F010	'補足項目８６
				Case 87 : Return Me.chk191MEN080F010	'補足項目８７
				Case 88 : Return Me.chk193MEN080F010	'補足項目８８
				Case 89 : Return Me.chk195MEN080F010	'補足項目８９
				Case 90 : Return Me.chk197MEN080F010	'補足項目９０
				Case 91 : Return Me.chk199MEN080F010	'補足項目９１
				Case 92 : Return Me.chk201MEN080F010	'補足項目９２
				Case 93 : Return Me.chk203MEN080F010	'補足項目９３
				Case 94 : Return Me.chk205MEN080F010	'補足項目９４
				Case 95 : Return Me.chk207MEN080F010	'補足項目９５
				Case 96 : Return Me.chk209MEN080F010	'補足項目９６
				Case 97 : Return Me.chk211MEN080F010	'補足項目９７
				Case 98 : Return Me.chk213MEN080F010	'補足項目９８
				Case 99 : Return Me.chk215MEN080F010	'補足項目９９
				Case 100 : Return Me.chk217MEN080F010	'補足項目１００
				Case 101 : Return Me.chk219MEN080F010	'補足項目１０１
				Case 102 : Return Me.chk221MEN080F010	'補足項目１０２
				Case 103 : Return Me.chk223MEN080F010	'補足項目１０３
				Case 104 : Return Me.chk225MEN080F010	'補足項目１０４
				Case 105 : Return Me.chk227MEN080F010	'補足項目１０５
				Case 106 : Return Me.chk229MEN080F010	'補足項目１０６
				Case 107 : Return Me.chk231MEN080F010	'補足項目１０７
				Case 108 : Return Me.chk233MEN080F010	'補足項目１０８
				Case 109 : Return Me.chk235MEN080F010	'補足項目１０９
				Case 110 : Return Me.chk237MEN080F010	'補足項目１１０
				Case 111 : Return Me.chk239MEN080F010	'補足項目１１１
				Case 112 : Return Me.chk241MEN080F010	'補足項目１１２
				Case 113 : Return Me.chk243MEN080F010	'補足項目１１３
				Case 114 : Return Me.chk245MEN080F010	'補足項目１１４
				Case 115 : Return Me.chk247MEN080F010	'補足項目１１５
				Case 116 : Return Me.chk249MEN080F010	'補足項目１１６
				Case 117 : Return Me.chk251MEN080F010	'補足項目１１７
				Case 118 : Return Me.chk253MEN080F010	'補足項目１１８
				Case 119 : Return Me.chk255MEN080F010	'補足項目１１９
				Case 120 : Return Me.chk257MEN080F010	'補足項目１２０
				Case 121 : Return Me.chk259MEN080F010	'補足項目１２１
				Case 122 : Return Me.chk261MEN080F010	'補足項目１２２
				Case 123 : Return Me.chk263MEN080F010	'補足項目１２３
				Case 124 : Return Me.chk265MEN080F010	'補足項目１２４
				Case 125 : Return Me.chk267MEN080F010	'補足項目１２５
				Case 126 : Return Me.chk269MEN080F010	'補足項目１２６
				Case 127 : Return Me.chk271MEN080F010	'補足項目１２７
				Case 128 : Return Me.chk273MEN080F010	'補足項目１２８
				Case 129 : Return Me.chk275MEN080F010	'補足項目１２９
				Case 130 : Return Me.chk277MEN080F010	'補足項目１３０
				Case 131 : Return Me.chk279MEN080F010	'補足項目１３１
				Case 132 : Return Me.chk281MEN080F010	'補足項目１３２
				Case Else : Return New BT_CheckBox
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' -------------------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Dim cliMENCommon As clsMENCOMMON = Nothing
		Dim datAsst1Itm As datMTM_ASST1_ITM = Nothing
		Try
			cliMENCommon = New clsMENCOMMON
			For i As Integer = 1 To CST_MAX_ASST_ITM
				If slAsst1Itm.ContainsKey(i) Then
					datAsst1Itm = slAsst1Itm(i)
					If Not String.IsNullOrEmpty(datAsst1Itm.ITEM_NM) Then
						GetAsst1ItmCheckBox(i).Checked = cliMENCommon.getCheckBoxValue(Me.ASST_ITM(datAsst1Itm.ITEM_CD))
					End If
				End If
			Next
			Me.lbl283MEN080F010.Text = cliMENCommon.getDateFormat(_asst1.LASTUPD_DT)	'最終更新日
			'処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				'全ての入力項目を参照モードにする。
				clsMENCOMMON.setAllItemCanInput(Me.tab001MEN080F010, False)
			End If
		Catch ex As Exception
			Throw
		Finally
			cliMENCommon = Nothing
			datAsst1Itm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Dim bRet As Boolean = False
		Dim datAsst1Itm As datMTM_ASST1_ITM = Nothing
		Try
			tpg002MEN080F010.Show()
			tpg155MEN080F010.Show()
			For i As Integer = 1 To CST_MAX_ASST_ITM
				With GetAsst1ItmCheckBox(i)
					datAsst1Itm = slAsst1Itm(i)
					If .Visible = True Then
						If Me.ASST_ITM(datAsst1Itm.ITEM_CD) = clsConst.Enum_CheckBox_Flg.CheckOn Then
							If .Checked = False Then
								bRet = True
								Exit For
							End If
						Else
							If .Checked = True Then
								bRet = True
								Exit For
							End If
						End If
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
		'入力項目に変更がある場合のみ処理する
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim datAsst1Itm As datMTM_ASST1_ITM = Nothing
		Try
			For i As Integer = 1 To CST_MAX_ASST_ITM
				With GetAsst1ItmCheckBox(i)
					datAsst1Itm = slAsst1Itm(i)
					If .Checked = True Then
						Me.ASST_ITM(datAsst1Itm.ITEM_CD) = clsConst.Enum_CheckBox_Flg.CheckOn
					Else
						Me.ASST_ITM(datAsst1Itm.ITEM_CD) = clsConst.Enum_CheckBox_Flg.CheckOff
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Dim count As Integer
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					'更新
					Using clsMTI_ASST1 As clsMTI_ASST1 = New clsMTI_ASST1
						clsMTI_ASST1.execDelAsst1OneRec(db, PatientNo, HspHistoryNo, ChNo)
						count = clsMTI_ASST1.execInsAsst1OneRec(db, _asst1)
					End Using
					Using clsMTI_CH As clsMTI_CH = New clsMTI_CH
						clsMTI_CH.execUpdChAsstItm1Count(db, PatientNo, HspHistoryNo, ChNo, count)
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			' 補足項目１情報を復元
			_asst1 = _asst1bk.Copy
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If slAsst1Itm IsNot Nothing Then
				slAsst1Itm.Clear()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			slAsst1Itm = Nothing
			_asst1 = Nothing
			_asst1bk = Nothing
		End Try
	End Sub

#End Region

End Class
