﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 補足項目２登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN090F010

#Region "コンスタント"

	Private Const CST_MAX_ASST_ITM As Integer = 108		'補足項目の最大値
	Private Const CD As String = "CNT_CD"				'ドロップダウン用コード
	Private Const NM As String = "CNT_NM"				'ドロップダウン用ネーム
	Private Const item_cd As String = "ITEM_CD = "
#End Region

#Region "変数"

	Private slAsst2Itm As SortedList = Nothing
	Private cliCombo As clsComboCom						'コンボ作成用クラス
	Private Asst2Cnt As DataTable
	Private _asst2 As datMTI_ASST2_OneRec = Nothing		'補足項目２情報
	Private _asst2bk As datMTI_ASST2_OneRec = Nothing	'補足項目２情報(保存用)
	Private cliCom As clsCom							'共通メソッド

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent= value呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		Me.BeforeTransit = Enum_Transit.eAssist2	'画面遷移前は「補足項目２」
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目２情報の項目
	''' </summary>
	''' <param name="ITEM_CD">項目コード</param>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Property ASST_ITM(ByVal ITEM_CD As String) As String
		Get
			Select Case ITEM_CD
				Case "001" : Return _asst2.TEXT1			'テキスト１
				Case "002" : Return _asst2.TEXT2			'テキスト２
				Case "003" : Return _asst2.TEXT3			'テキスト３
				Case "004" : Return _asst2.TEXT4			'テキスト４
				Case "005" : Return _asst2.TEXT5			'テキスト５
				Case "006" : Return _asst2.TEXT6			'テキスト６
				Case "007" : Return _asst2.TEXT7			'テキスト７
				Case "008" : Return _asst2.TEXT8			'テキスト８
				Case "009" : Return _asst2.TEXT9			'テキスト９
				Case "010" : Return _asst2.TEXT10			'テキスト１０
				Case "011" : Return _asst2.TEXT11			'テキスト１１
				Case "012" : Return _asst2.TEXT12			'テキスト１２
				Case "013"
					If _asst2.NUMBER1.HasValue Then			'数字１
						Return _asst2.NUMBER1.Value.ToString
					Else
						Return String.Empty
					End If
				Case "014"
					If _asst2.NUMBER2.HasValue Then			'数字２
						Return _asst2.NUMBER2.Value.ToString
					Else
						Return String.Empty
					End If
				Case "015"									'数字３
					If _asst2.NUMBER3.HasValue Then
						Return _asst2.NUMBER3.Value.ToString
					Else
						Return String.Empty
					End If
				Case "016"									'数字４
					If _asst2.NUMBER4.HasValue Then
						Return _asst2.NUMBER4.Value.ToString
					Else
						Return String.Empty
					End If
				Case "017"									'数字５
					If _asst2.NUMBER5.HasValue Then
						Return _asst2.NUMBER5.Value.ToString
					Else
						Return String.Empty
					End If
				Case "018"									'数字６
					If _asst2.NUMBER6.HasValue Then
						Return _asst2.NUMBER6.Value.ToString
					Else
						Return String.Empty
					End If
				Case "019"									'数字７
					If _asst2.NUMBER7.HasValue Then
						Return _asst2.NUMBER7.Value.ToString
					Else
						Return String.Empty
					End If
				Case "020"									'数字８
					If _asst2.NUMBER8.HasValue Then
						Return _asst2.NUMBER8.Value.ToString
					Else
						Return String.Empty
					End If
				Case "021"									'数字９
					If _asst2.NUMBER9.HasValue Then
						Return _asst2.NUMBER9.Value.ToString
					Else
						Return String.Empty
					End If
				Case "022"									'数字１０
					If _asst2.NUMBER10.HasValue Then
						Return _asst2.NUMBER10.Value.ToString
					Else
						Return String.Empty
					End If
				Case "023"									'数字１１
					If _asst2.NUMBER11.HasValue Then
						Return _asst2.NUMBER11.Value.ToString
					Else
						Return String.Empty
					End If
				Case "024"									'数字１２
					If _asst2.NUMBER12.HasValue Then
						Return _asst2.NUMBER12.Value.ToString
					Else
						Return String.Empty
					End If
				Case "025"									'日付１
					If _asst2.DATE1.HasValue Then
						Return _asst2.DATE1.Value.ToString
					Else
						Return String.Empty
					End If
				Case "026"									'日付２
					If _asst2.DATE2.HasValue Then
						Return _asst2.DATE2.Value.ToString
					Else
						Return String.Empty
					End If
				Case "027"									'日付３
					If _asst2.DATE3.HasValue Then
						Return _asst2.DATE3.Value.ToString
					Else
						Return String.Empty
					End If
				Case "028"									'日付４
					If _asst2.DATE4.HasValue Then
						Return _asst2.DATE4.Value.ToString
					Else
						Return String.Empty
					End If
				Case "029"									'日付５
					If _asst2.DATE5.HasValue Then
						Return _asst2.DATE5.Value.ToString
					Else
						Return String.Empty
					End If
				Case "030"									'日付６
					If _asst2.DATE6.HasValue Then
						Return _asst2.DATE6.Value.ToString
					Else
						Return String.Empty
					End If
				Case "031"									'日付７
					If _asst2.DATE7.HasValue Then
						Return _asst2.DATE7.Value.ToString
					Else
						Return String.Empty
					End If
				Case "032"									'日付８
					If _asst2.DATE8.HasValue Then
						Return _asst2.DATE8.Value.ToString
					Else
						Return String.Empty
					End If
				Case "033"									'日付９
					If _asst2.DATE9.HasValue Then
						Return _asst2.DATE9.Value.ToString
					Else
						Return String.Empty
					End If
				Case "034"									'日付１０
					If _asst2.DATE10.HasValue Then
						Return _asst2.DATE10.Value.ToString
					Else
						Return String.Empty
					End If
				Case "035"									'日付１１
					If _asst2.DATE11.HasValue Then
						Return _asst2.DATE11.Value.ToString
					Else
						Return String.Empty
					End If
				Case "036"									'日付１２
					If _asst2.DATE12.HasValue Then
						Return _asst2.DATE12.Value.ToString
					Else
						Return String.Empty
					End If
				Case "037" : Return _asst2.COMBO1			'コンボ１
				Case "038" : Return _asst2.COMBO2			'コンボ２
				Case "039" : Return _asst2.COMBO3			'コンボ３
				Case "040" : Return _asst2.COMBO4			'コンボ４
				Case "041" : Return _asst2.COMBO5			'コンボ５
				Case "042" : Return _asst2.COMBO6			'コンボ６
				Case "043" : Return _asst2.COMBO7			'コンボ７
				Case "044" : Return _asst2.COMBO8			'コンボ８
				Case "045" : Return _asst2.COMBO9			'コンボ９
				Case "046" : Return _asst2.COMBO10			'コンボ１０
				Case "047" : Return _asst2.COMBO11			'コンボ１１
				Case "048" : Return _asst2.COMBO12			'コンボ１２
				Case "049" : Return _asst2.TEXT13			'テキスト１３
				Case "050" : Return _asst2.TEXT14			'テキスト１４
				Case "051" : Return _asst2.TEXT15			'テキスト１５
				Case "052" : Return _asst2.TEXT16			'テキスト１６
				Case "053" : Return _asst2.TEXT17			'テキスト１７
				Case "054" : Return _asst2.TEXT18			'テキスト１８
				Case "055" : Return _asst2.TEXT19			'テキスト１９
				Case "056" : Return _asst2.TEXT20			'テキスト２０
				Case "057" : Return _asst2.TEXT21			'テキスト２１
				Case "058" : Return _asst2.TEXT22			'テキスト２２
				Case "059" : Return _asst2.TEXT23			'テキスト２３
				Case "060" : Return _asst2.TEXT24			'テキスト２４
				Case "061" : Return _asst2.TEXT25			'テキスト２５
				Case "062" : Return _asst2.TEXT26			'テキスト２６
				Case "063" : Return _asst2.TEXT27			'テキスト２７
				Case "064" : Return _asst2.TEXT28			'テキスト２８
				Case "065" : Return _asst2.TEXT29			'テキスト２９
				Case "066" : Return _asst2.TEXT30			'テキスト３０
				Case "067"									'数字１３
					If _asst2.NUMBER13.HasValue Then
						Return _asst2.NUMBER13.Value.ToString
					Else
						Return String.Empty
					End If
				Case "068"									'数字１４
					If _asst2.NUMBER14.HasValue Then
						Return _asst2.NUMBER14.Value.ToString
					Else
						Return String.Empty
					End If
				Case "069"									'数字１５
					If _asst2.NUMBER15.HasValue Then
						Return _asst2.NUMBER15.Value.ToString
					Else
						Return String.Empty
					End If
				Case "070"									'数字１６
					If _asst2.NUMBER16.HasValue Then
						Return _asst2.NUMBER16.Value.ToString
					Else
						Return String.Empty
					End If
				Case "071"									'数字１７
					If _asst2.NUMBER17.HasValue Then
						Return _asst2.NUMBER17.Value.ToString
					Else
						Return String.Empty
					End If
				Case "072"									'数字１８
					If _asst2.NUMBER18.HasValue Then
						Return _asst2.NUMBER18.Value.ToString
					Else
						Return String.Empty
					End If
				Case "073"									'数字１９
					If _asst2.NUMBER19.HasValue Then
						Return _asst2.NUMBER19.Value.ToString
					Else
						Return String.Empty
					End If
				Case "074"									'数字２０
					If _asst2.NUMBER20.HasValue Then
						Return _asst2.NUMBER20.Value.ToString
					Else
						Return String.Empty
					End If
				Case "075"									'数字２１
					If _asst2.NUMBER21.HasValue Then
						Return _asst2.NUMBER21.Value.ToString
					Else
						Return String.Empty
					End If
				Case "076"									'数字２２
					If _asst2.NUMBER22.HasValue Then
						Return _asst2.NUMBER22.Value.ToString
					Else
						Return String.Empty
					End If
				Case "077"									'数字２３
					If _asst2.NUMBER23.HasValue Then
						Return _asst2.NUMBER23.Value.ToString
					Else
						Return String.Empty
					End If
				Case "078"									'数字２４
					If _asst2.NUMBER24.HasValue Then
						Return _asst2.NUMBER24.Value.ToString
					Else
						Return String.Empty
					End If
				Case "079"									'数字２５
					If _asst2.NUMBER25.HasValue Then
						Return _asst2.NUMBER25.Value.ToString
					Else
						Return String.Empty
					End If
				Case "080"									'数字２６
					If _asst2.NUMBER26.HasValue Then
						Return _asst2.NUMBER26.Value.ToString
					Else
						Return String.Empty
					End If
				Case "081"									'数字２７
					If _asst2.NUMBER27.HasValue Then
						Return _asst2.NUMBER27.Value.ToString
					Else
						Return String.Empty
					End If
				Case "082"									'数字２８
					If _asst2.NUMBER28.HasValue Then
						Return _asst2.NUMBER28.Value.ToString
					Else
						Return String.Empty
					End If
				Case "083"									'数字２９
					If _asst2.NUMBER29.HasValue Then
						Return _asst2.NUMBER29.Value.ToString
					Else
						Return String.Empty
					End If
				Case "084"									'数字３０
					If _asst2.NUMBER30.HasValue Then
						Return _asst2.NUMBER30.Value.ToString
					Else
						Return String.Empty
					End If
				Case "085" : Return _asst2.COMBO13			'コンボ１３
				Case "086" : Return _asst2.COMBO14			'コンボ１４
				Case "087" : Return _asst2.COMBO15			'コンボ１５
				Case "088" : Return _asst2.COMBO16			'コンボ１６
				Case "089" : Return _asst2.COMBO17			'コンボ１７
				Case "090" : Return _asst2.COMBO18			'コンボ１８
				Case "091" : Return _asst2.COMBO19			'コンボ１９
				Case "092" : Return _asst2.COMBO20			'コンボ２０
				Case "093" : Return _asst2.COMBO21			'コンボ２１
				Case "094" : Return _asst2.COMBO22			'コンボ２２
				Case "095" : Return _asst2.COMBO23			'コンボ２３
				Case "096" : Return _asst2.COMBO24			'コンボ２４
				Case "097" : Return _asst2.COMBO25			'コンボ２５
				Case "098" : Return _asst2.COMBO26			'コンボ２６
				Case "099" : Return _asst2.COMBO27			'コンボ２７
				Case "100" : Return _asst2.COMBO28			'コンボ２８
				Case "101" : Return _asst2.COMBO29			'コンボ２９
				Case "102" : Return _asst2.COMBO30			'コンボ３０
				Case "103" : Return _asst2.COMBO31			'コンボ３１
				Case "104" : Return _asst2.COMBO32			'コンボ３２
				Case "105" : Return _asst2.COMBO33			'コンボ３３
				Case "106" : Return _asst2.COMBO34			'コンボ３４
				Case "107" : Return _asst2.COMBO35			'コンボ３５
				Case "108" : Return _asst2.COMBO36			'コンボ３６
				Case Else : Return String.Empty
			End Select
		End Get
		Set(ByVal value As String)
			Select Case ITEM_CD
				Case "001" : _asst2.TEXT1 = value			'テキスト１
				Case "002" : _asst2.TEXT2 = value			'テキスト２
				Case "003" : _asst2.TEXT3 = value			'テキスト３
				Case "004" : _asst2.TEXT4 = value			'テキスト４
				Case "005" : _asst2.TEXT5 = value			'テキスト５
				Case "006" : _asst2.TEXT6 = value			'テキスト６
				Case "007" : _asst2.TEXT7 = value			'テキスト７
				Case "008" : _asst2.TEXT8 = value			'テキスト８
				Case "009" : _asst2.TEXT9 = value			'テキスト９
				Case "010" : _asst2.TEXT10 = value			'テキスト１０
				Case "011" : _asst2.TEXT11 = value			'テキスト１１
				Case "012" : _asst2.TEXT12 = value			'テキスト１２
				Case "013"									'数字１
					If IsNumeric(value) Then
						_asst2.NUMBER1 = value
					Else
						_asst2.NUMBER1 = Nothing
					End If
				Case "014"									'数字２
					If IsNumeric(value) Then
						_asst2.NUMBER2 = value
					Else
						_asst2.NUMBER2 = Nothing
					End If
				Case "015"									'数字３
					If IsNumeric(value) Then
						_asst2.NUMBER3 = value
					Else
						_asst2.NUMBER3 = Nothing
					End If
				Case "016"									'数字４
					If IsNumeric(value) Then
						_asst2.NUMBER4 = value
					Else
						_asst2.NUMBER4 = Nothing
					End If
				Case "017"									'数字５
					If IsNumeric(value) Then
						_asst2.NUMBER5 = value
					Else
						_asst2.NUMBER5 = Nothing
					End If
				Case "018"									'数字６
					If IsNumeric(value) Then
						_asst2.NUMBER6 = value
					Else
						_asst2.NUMBER6 = Nothing
					End If
				Case "019"									'数字７
					If IsNumeric(value) Then
						_asst2.NUMBER7 = value
					Else
						_asst2.NUMBER7 = Nothing
					End If
				Case "020"									'数字８
					If IsNumeric(value) Then
						_asst2.NUMBER8 = value
					Else
						_asst2.NUMBER8 = Nothing
					End If
				Case "021"									'数字９
					If IsNumeric(value) Then
						_asst2.NUMBER9 = value
					Else
						_asst2.NUMBER9 = Nothing
					End If
				Case "022"									'数字１０
					If IsNumeric(value) Then
						_asst2.NUMBER10 = value
					Else
						_asst2.NUMBER10 = Nothing
					End If
				Case "023"									'数字１１
					If IsNumeric(value) Then
						_asst2.NUMBER11 = value
					Else
						_asst2.NUMBER11 = Nothing
					End If
				Case "024"									'数字１２
					If IsNumeric(value) Then
						_asst2.NUMBER12 = value
					Else
						_asst2.NUMBER12 = Nothing
					End If
				Case "025"									'日付１
					If IsDate(value) Then
						_asst2.DATE1 = value
					Else
						_asst2.DATE1 = Nothing
					End If
				Case "026"									'日付２
					If IsDate(value) Then
						_asst2.DATE2 = value
					Else
						_asst2.DATE2 = Nothing
					End If
				Case "027"									'日付３
					If IsDate(value) Then
						_asst2.DATE3 = value
					Else
						_asst2.DATE3 = Nothing
					End If
				Case "028"									'日付４
					If IsDate(value) Then
						_asst2.DATE4 = value
					Else
						_asst2.DATE4 = Nothing
					End If
				Case "029"									'日付５
					If IsDate(value) Then
						_asst2.DATE5 = value
					Else
						_asst2.DATE5 = Nothing
					End If
				Case "030"									'日付６
					If IsDate(value) Then
						_asst2.DATE6 = value
					Else
						_asst2.DATE6 = Nothing
					End If
				Case "031"									'日付７
					If IsDate(value) Then
						_asst2.DATE7 = value
					Else
						_asst2.DATE7 = Nothing
					End If
				Case "032"									'日付８
					If IsDate(value) Then
						_asst2.DATE8 = value
					Else
						_asst2.DATE8 = Nothing
					End If
				Case "033"									'日付９
					If IsDate(value) Then
						_asst2.DATE9 = value
					Else
						_asst2.DATE9 = Nothing
					End If
				Case "034"									'日付１０
					If IsDate(value) Then
						_asst2.DATE10 = value
					Else
						_asst2.DATE10 = Nothing
					End If
				Case "035"									'日付１１
					If IsDate(value) Then
						_asst2.DATE11 = value
					Else
						_asst2.DATE11 = Nothing
					End If
				Case "036"									'日付１２
					If IsDate(value) Then
						_asst2.DATE12 = value
					Else
						_asst2.DATE12 = Nothing
					End If
				Case "037" : _asst2.COMBO1 = value			'コンボ１
				Case "038" : _asst2.COMBO2 = value			'コンボ２
				Case "039" : _asst2.COMBO3 = value			'コンボ３
				Case "040" : _asst2.COMBO4 = value			'コンボ４
				Case "041" : _asst2.COMBO5 = value			'コンボ５
				Case "042" : _asst2.COMBO6 = value			'コンボ６
				Case "043" : _asst2.COMBO7 = value			'コンボ７
				Case "044" : _asst2.COMBO8 = value			'コンボ８
				Case "045" : _asst2.COMBO9 = value			'コンボ９
				Case "046" : _asst2.COMBO10 = value			'コンボ１０
				Case "047" : _asst2.COMBO11 = value			'コンボ１１
				Case "048" : _asst2.COMBO12 = value			'コンボ１２
				Case "049" : _asst2.TEXT13 = value			'テキスト１３
				Case "050" : _asst2.TEXT14 = value			'テキスト１４
				Case "051" : _asst2.TEXT15 = value			'テキスト１５
				Case "052" : _asst2.TEXT16 = value			'テキスト１６
				Case "053" : _asst2.TEXT17 = value			'テキスト１７
				Case "054" : _asst2.TEXT18 = value			'テキスト１８
				Case "055" : _asst2.TEXT19 = value			'テキスト１９
				Case "056" : _asst2.TEXT20 = value			'テキスト２０
				Case "057" : _asst2.TEXT21 = value			'テキスト２１
				Case "058" : _asst2.TEXT22 = value			'テキスト２２
				Case "059" : _asst2.TEXT23 = value			'テキスト２３
				Case "060" : _asst2.TEXT24 = value			'テキスト２４
				Case "061" : _asst2.TEXT25 = value			'テキスト２５
				Case "062" : _asst2.TEXT26 = value			'テキスト２６
				Case "063" : _asst2.TEXT27 = value			'テキスト２７
				Case "064" : _asst2.TEXT28 = value			'テキスト２８
				Case "065" : _asst2.TEXT29 = value			'テキスト２９
				Case "066" : _asst2.TEXT30 = value			'テキスト３０
				Case "067"									'数字１３
					If IsNumeric(value) Then
						_asst2.NUMBER13 = value
					Else
						_asst2.NUMBER13 = Nothing
					End If
				Case "068"									'数字１４
					If IsNumeric(value) Then
						_asst2.NUMBER14 = value
					Else
						_asst2.NUMBER14 = Nothing
					End If
				Case "069"									'数字１５
					If IsNumeric(value) Then
						_asst2.NUMBER15 = value
					Else
						_asst2.NUMBER15 = Nothing
					End If
				Case "070"									'数字１６
					If IsNumeric(value) Then
						_asst2.NUMBER16 = value
					Else
						_asst2.NUMBER16 = Nothing
					End If
				Case "071"									'数字１７
					If IsNumeric(value) Then
						_asst2.NUMBER17 = value
					Else
						_asst2.NUMBER17 = Nothing
					End If
				Case "072"									'数字１８
					If IsNumeric(value) Then
						_asst2.NUMBER18 = value
					Else
						_asst2.NUMBER18 = Nothing
					End If
				Case "073"									'数字１９
					If IsNumeric(value) Then
						_asst2.NUMBER19 = value
					Else
						_asst2.NUMBER19 = Nothing
					End If
				Case "074"									'数字２０
					If IsNumeric(value) Then
						_asst2.NUMBER20 = value
					Else
						_asst2.NUMBER20 = Nothing
					End If
				Case "075"									'数字２１
					If IsNumeric(value) Then
						_asst2.NUMBER21 = value
					Else
						_asst2.NUMBER21 = Nothing
					End If
				Case "076"									'数字２２
					If IsNumeric(value) Then
						_asst2.NUMBER22 = value
					Else
						_asst2.NUMBER22 = Nothing
					End If
				Case "077"									'数字２３
					If IsNumeric(value) Then
						_asst2.NUMBER23 = value
					Else
						_asst2.NUMBER23 = Nothing
					End If
				Case "078"									'数字２４
					If IsNumeric(value) Then
						_asst2.NUMBER24 = value
					Else
						_asst2.NUMBER24 = Nothing
					End If
				Case "079"									'数字２５
					If IsNumeric(value) Then
						_asst2.NUMBER25 = value
					Else
						_asst2.NUMBER25 = Nothing
					End If
				Case "080"									'数字２６
					If IsNumeric(value) Then
						_asst2.NUMBER26 = value
					Else
						_asst2.NUMBER26 = Nothing
					End If
				Case "081"									'数字２７
					If IsNumeric(value) Then
						_asst2.NUMBER27 = value
					Else
						_asst2.NUMBER27 = Nothing
					End If
				Case "082"									'数字２８
					If IsNumeric(value) Then
						_asst2.NUMBER28 = value
					Else
						_asst2.NUMBER28 = Nothing
					End If
				Case "083"									'数字２９
					If IsNumeric(value) Then
						_asst2.NUMBER29 = value
					Else
						_asst2.NUMBER29 = Nothing
					End If
				Case "084"									'数字３０
					If IsNumeric(value) Then
						_asst2.NUMBER30 = value
					Else
						_asst2.NUMBER30 = Nothing
					End If
				Case "085" : _asst2.COMBO13 = value			'コンボ１３
				Case "086" : _asst2.COMBO14 = value			'コンボ１４
				Case "087" : _asst2.COMBO15 = value			'コンボ１５
				Case "088" : _asst2.COMBO16 = value			'コンボ１６
				Case "089" : _asst2.COMBO17 = value			'コンボ１７
				Case "090" : _asst2.COMBO18 = value			'コンボ１８
				Case "091" : _asst2.COMBO19 = value			'コンボ１９
				Case "092" : _asst2.COMBO20 = value			'コンボ２０
				Case "093" : _asst2.COMBO21 = value			'コンボ２１
				Case "094" : _asst2.COMBO22 = value			'コンボ２２
				Case "095" : _asst2.COMBO23 = value			'コンボ２３
				Case "096" : _asst2.COMBO24 = value			'コンボ２４
				Case "097" : _asst2.COMBO25 = value			'コンボ２５
				Case "098" : _asst2.COMBO26 = value			'コンボ２６
				Case "099" : _asst2.COMBO27 = value			'コンボ２７
				Case "100" : _asst2.COMBO28 = value			'コンボ２８
				Case "101" : _asst2.COMBO29 = value			'コンボ２９
				Case "102" : _asst2.COMBO30 = value			'コンボ３０
				Case "103" : _asst2.COMBO31 = value			'コンボ３１
				Case "104" : _asst2.COMBO32 = value			'コンボ３２
				Case "105" : _asst2.COMBO33 = value			'コンボ３３
				Case "106" : _asst2.COMBO34 = value			'コンボ３４
				Case "107" : _asst2.COMBO35 = value			'コンボ３５
				Case "108" : _asst2.COMBO36 = value			'コンボ３６
				Case Else
			End Select
		End Set
	End Property
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN090F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN090F010_Load", "画面ロード時 Start")
		Dim datAsst2Itm As datMTM_ASST2_ITM = Nothing
		Try
			cliCombo = New clsComboCom
			cliCom = New clsCom
			' Ｆ１０キーで切り替えるタブコントロールを設定
			Me.F10TabControl = Me.tab001MEN090F010
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' 補足項目２情報を取得
				Using cliAsst2 As clsMTI_ASST2 = New clsMTI_ASST2
					_asst2 = cliAsst2.getAsst2OneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				End Using
				If _asst2 Is Nothing Then
					_asst2 = New datMTI_ASST2_OneRec
					_asst2.PATIENT_NO = Me.PatientNo
					_asst2.HSP_HISTORY_NO = Me.HspHistoryNo
					_asst2.CH_NO = Me.ChNo
				End If
				' 補足項目２情報を保存
				_asst2bk = _asst2.Copy
				' 補足項目２項目マスタを表示順で取得
				Using cliAsst2Itm As clsMTM_ASST2_ITM = New clsMTM_ASST2_ITM
					slAsst2Itm = cliAsst2Itm.getAsst2ItmSortedList(db)
				End Using
				If slAsst2Itm.Count = 0 Then
					' 補足項目２項目マスタがない場合、エラーメッセージを出力し、親画面に戻る。
					Me.showMsg("E0009", "補足項目２項目マスタ", "マスタ保守", Nothing)
					' 画面終了
					Me.EndProc4Load()
					Exit Sub
				End If
				'コンボ内容取得
				Asst2Cnt = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Asst2Cnt)
			End Using

			Dim Tab1 As String								'タブ1名称
			Dim Tab2 As String								'タブ2名称
			Dim Tab3 As String								'タブ3名称

			'タブ名取得
			Using cliAsstTab As clsMTM_ASST_TAB = New clsMTM_ASST_TAB
				Tab1 = cliAsstTab.getAsstTabtmInfo(clsConst.CST_ASST2_1TABCD)
				Tab2 = cliAsstTab.getAsstTabtmInfo(clsConst.CST_ASST2_2TABCD)
				Tab3 = cliAsstTab.getAsstTabtmInfo(clsConst.CST_ASST2_3TABCD)
			End Using

			If Tab1 Is Nothing AndAlso Tab2 Is Nothing AndAlso Tab3 Is Nothing Then
				' 補足項目タブマスタがない場合、エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0009", "補足項目タブマスタ", "マスタ保守", Nothing)
				' 画面終了
				Me.EndProc4Load()
				Exit Sub
			End If

			'タブマスタ取得
			tpg002MEN090F010.Text = Tab1
			tpg077MEN090F010.Text = Tab2
			tpg152MEN090F010.Text = Tab3

			For i As Integer = 1 To CST_MAX_ASST_ITM
				If slAsst2Itm.ContainsKey(i) Then
					datAsst2Itm = slAsst2Itm(i)
				Else
					datAsst2Itm = New datMTM_ASST2_ITM
				End If
				With getAsst2ItmGrpCdLabel(i)
'(M) STR V4-11036-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No73 マスタに設定されていない項目を非表示にする対応
'					If String.IsNullOrEmpty(datAsst2Itm.ITEM_CD) Then
					If String.IsNullOrEmpty(datAsst2Itm.ITEM_NM) Then
'(M) END V4-11036-000 004 20110905
						.Visible = False
					Else
						.Visible = True
						.Text = datAsst2Itm.ITEM_NM
					End If
				End With
				With getAsst2ItmControl(i)
'(M) STR V4-11036-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No73 マスタに設定されていない項目を非表示にする対応
'					If String.IsNullOrEmpty(datAsst2Itm.ITEM_CD) Then
					If String.IsNullOrEmpty(datAsst2Itm.ITEM_NM) Then
'(M) END V4-11036-000 004 20110905
						.Visible = False
					Else
						.Visible = True
						Select Case datAsst2Itm.ITEM_TYPE
							Case clsConst.Enum_Asst2Type.txt_type
								.ControlType = BT_MultiInput.Enum_ControlType.BT_TextBox
							Case clsConst.Enum_Asst2Type.nud_type
								.ControlType = BT_MultiInput.Enum_ControlType.BT_Number
							Case clsConst.Enum_Asst2Type.num_type
								.ControlType = BT_MultiInput.Enum_ControlType.BT_Number
							Case clsConst.Enum_Asst2Type.date_type
								.ControlType = BT_MultiInput.Enum_ControlType.BT_Date
							Case clsConst.Enum_Asst2Type.cmb_type
								.ControlType = BT_MultiInput.Enum_ControlType.BT_MultiComboBox
								.IN_MultiComboBox.FormattingEnabled = True
						End Select
					End If
				End With
			Next
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			datAsst2Itm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN090F010_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN090F010_Shown", "画面初回起動時 Start")
		Try
			Me.repaint()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN090F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN090F010_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ラベルの取得
	''' </summary>
	''' <param name="intOrder">項目順</param>
	''' <returns>ラベル</returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getAsst2ItmGrpCdLabel(ByVal intOrder As Integer) As Label
		log(clsSysMst.logLevel.DBG, "getAsst2ItmGrpCdLabel", "ラベルの取得 Start")
		Try
			' 項目順により分類名ラベルを返す
			Select Case intOrder
				Case 1 : Return Me.lbl005MEN090F010
				Case 2 : Return Me.lbl007MEN090F010
				Case 3 : Return Me.lbl009MEN090F010
				Case 4 : Return Me.lbl011MEN090F010
				Case 5 : Return Me.lbl013MEN090F010
				Case 6 : Return Me.lbl015MEN090F010
				Case 7 : Return Me.lbl017MEN090F010
				Case 8 : Return Me.lbl019MEN090F010
				Case 9 : Return Me.lbl021MEN090F010
				Case 10 : Return Me.lbl023MEN090F010
				Case 11 : Return Me.lbl025MEN090F010
				Case 12 : Return Me.lbl027MEN090F010
				Case 13 : Return Me.lbl029MEN090F010
				Case 14 : Return Me.lbl031MEN090F010
				Case 15 : Return Me.lbl033MEN090F010
				Case 16 : Return Me.lbl035MEN090F010
				Case 17 : Return Me.lbl037MEN090F010
				Case 18 : Return Me.lbl039MEN090F010
				Case 19 : Return Me.lbl041MEN090F010
				Case 20 : Return Me.lbl043MEN090F010
				Case 21 : Return Me.lbl045MEN090F010
				Case 22 : Return Me.lbl047MEN090F010
				Case 23 : Return Me.lbl049MEN090F010
				Case 24 : Return Me.lbl051MEN090F010
				Case 25 : Return Me.lbl053MEN090F010
				Case 26 : Return Me.lbl055MEN090F010
				Case 27 : Return Me.lbl057MEN090F010
				Case 28 : Return Me.lbl059MEN090F010
				Case 29 : Return Me.lbl061MEN090F010
				Case 30 : Return Me.lbl063MEN090F010
				Case 31 : Return Me.lbl065MEN090F010
				Case 32 : Return Me.lbl067MEN090F010
				Case 33 : Return Me.lbl069MEN090F010
				Case 34 : Return Me.lbl071MEN090F010
				Case 35 : Return Me.lbl073MEN090F010
				Case 36 : Return Me.lbl075MEN090F010
				Case 37 : Return Me.lbl080MEN090F010
				Case 38 : Return Me.lbl082MEN090F010
				Case 39 : Return Me.lbl084MEN090F010
				Case 40 : Return Me.lbl086MEN090F010
				Case 41 : Return Me.lbl088MEN090F010
				Case 42 : Return Me.lbl090MEN090F010
				Case 43 : Return Me.lbl092MEN090F010
				Case 44 : Return Me.lbl094MEN090F010
				Case 45 : Return Me.lbl096MEN090F010
				Case 46 : Return Me.lbl098MEN090F010
				Case 47 : Return Me.lbl100MEN090F010
				Case 48 : Return Me.lbl102MEN090F010
				Case 49 : Return Me.lbl104MEN090F010
				Case 50 : Return Me.lbl106MEN090F010
				Case 51 : Return Me.lbl108MEN090F010
				Case 52 : Return Me.lbl110MEN090F010
				Case 53 : Return Me.lbl112MEN090F010
				Case 54 : Return Me.lbl114MEN090F010
				Case 55 : Return Me.lbl116MEN090F010
				Case 56 : Return Me.lbl118MEN090F010
				Case 57 : Return Me.lbl120MEN090F010
				Case 58 : Return Me.lbl122MEN090F010
				Case 59 : Return Me.lbl124MEN090F010
				Case 60 : Return Me.lbl126MEN090F010
				Case 61 : Return Me.lbl128MEN090F010
				Case 62 : Return Me.lbl130MEN090F010
				Case 63 : Return Me.lbl132MEN090F010
				Case 64 : Return Me.lbl134MEN090F010
				Case 65 : Return Me.lbl136MEN090F010
				Case 66 : Return Me.lbl138MEN090F010
				Case 67 : Return Me.lbl140MEN090F010
				Case 68 : Return Me.lbl142MEN090F010
				Case 69 : Return Me.lbl144MEN090F010
				Case 70 : Return Me.lbl146MEN090F010
				Case 71 : Return Me.lbl148MEN090F010
				Case 72 : Return Me.lbl150MEN090F010
				Case 73 : Return Me.lbl155MEN090F010
				Case 74 : Return Me.lbl157MEN090F010
				Case 75 : Return Me.lbl159MEN090F010
				Case 76 : Return Me.lbl161MEN090F010
				Case 77 : Return Me.lbl163MEN090F010
				Case 78 : Return Me.lbl165MEN090F010
				Case 79 : Return Me.lbl167MEN090F010
				Case 80 : Return Me.lbl169MEN090F010
				Case 81 : Return Me.lbl171MEN090F010
				Case 82 : Return Me.lbl173MEN090F010
				Case 83 : Return Me.lbl175MEN090F010
				Case 84 : Return Me.lbl177MEN090F010
				Case 85 : Return Me.lbl179MEN090F010
				Case 86 : Return Me.lbl181MEN090F010
				Case 87 : Return Me.lbl183MEN090F010
				Case 88 : Return Me.lbl185MEN090F010
				Case 89 : Return Me.lbl187MEN090F010
				Case 90 : Return Me.lbl189MEN090F010
				Case 91 : Return Me.lbl191MEN090F010
				Case 92 : Return Me.lbl193MEN090F010
				Case 93 : Return Me.lbl195MEN090F010
				Case 94 : Return Me.lbl197MEN090F010
				Case 95 : Return Me.lbl199MEN090F010
				Case 96 : Return Me.lbl201MEN090F010
				Case 97 : Return Me.lbl203MEN090F010
				Case 98 : Return Me.lbl205MEN090F010
				Case 99 : Return Me.lbl207MEN090F010
				Case 100 : Return Me.lbl209MEN090F010
				Case 101 : Return Me.lbl211MEN090F010
				Case 102 : Return Me.lbl213MEN090F010
				Case 103 : Return Me.lbl215MEN090F010
				Case 104 : Return Me.lbl217MEN090F010
				Case 105 : Return Me.lbl219MEN090F010
				Case 106 : Return Me.lbl221MEN090F010
				Case 107 : Return Me.lbl223MEN090F010
				Case 108 : Return Me.lbl225MEN090F010
				Case Else : Return New Label
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 項目コントロールの取得
	''' </summary>
	''' <param name="intOrder">項目順</param>
	''' <returns>項目コントロール</returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getAsst2ItmControl(ByVal intOrder As Integer) As BT_MultiInput
		log(clsSysMst.logLevel.DBG, "getAsst2ItmControl", "項目コントロールの取得 Start")
		Try
			' 項目順により項目コントロールを返す
			Select Case intOrder
				Case 1 : Return Me.ctl006MEN090F010
				Case 2 : Return Me.ctl008MEN090F010
				Case 3 : Return Me.ctl010MEN090F010
				Case 4 : Return Me.ctl012MEN090F010
				Case 5 : Return Me.ctl014MEN090F010
				Case 6 : Return Me.ctl016MEN090F010
				Case 7 : Return Me.ctl018MEN090F010
				Case 8 : Return Me.ctl020MEN090F010
				Case 9 : Return Me.ctl022MEN090F010
				Case 10 : Return Me.ctl024MEN090F010
				Case 11 : Return Me.ctl026MEN090F010
				Case 12 : Return Me.ctl028MEN090F010
				Case 13 : Return Me.ctl030MEN090F010
				Case 14 : Return Me.ctl032MEN090F010
				Case 15 : Return Me.ctl034MEN090F010
				Case 16 : Return Me.ctl036MEN090F010
				Case 17 : Return Me.ctl038MEN090F010
				Case 18 : Return Me.ctl040MEN090F010
				Case 19 : Return Me.ctl042MEN090F010
				Case 20 : Return Me.ctl044MEN090F010
				Case 21 : Return Me.ctl046MEN090F010
				Case 22 : Return Me.ctl048MEN090F010
				Case 23 : Return Me.ctl050MEN090F010
				Case 24 : Return Me.ctl052MEN090F010
				Case 25 : Return Me.ctl054MEN090F010
				Case 26 : Return Me.ctl056MEN090F010
				Case 27 : Return Me.ctl058MEN090F010
				Case 28 : Return Me.ctl060MEN090F010
				Case 29 : Return Me.ctl062MEN090F010
				Case 30 : Return Me.ctl064MEN090F010
				Case 31 : Return Me.ctl066MEN090F010
				Case 32 : Return Me.ctl068MEN090F010
				Case 33 : Return Me.ctl070MEN090F010
				Case 34 : Return Me.ctl072MEN090F010
				Case 35 : Return Me.ctl074MEN090F010
				Case 36 : Return Me.ctl076MEN090F010
				Case 37 : Return Me.ctl081MEN090F010
				Case 38 : Return Me.ctl083MEN090F010
				Case 39 : Return Me.ctl085MEN090F010
				Case 40 : Return Me.ctl087MEN090F010
				Case 41 : Return Me.ctl089MEN090F010
				Case 42 : Return Me.ctl091MEN090F010
				Case 43 : Return Me.ctl093MEN090F010
				Case 44 : Return Me.ctl095MEN090F010
				Case 45 : Return Me.ctl097MEN090F010
				Case 46 : Return Me.ctl099MEN090F010
				Case 47 : Return Me.ctl101MEN090F010
				Case 48 : Return Me.ctl103MEN090F010
				Case 49 : Return Me.ctl105MEN090F010
				Case 50 : Return Me.ctl107MEN090F010
				Case 51 : Return Me.ctl109MEN090F010
				Case 52 : Return Me.ctl111MEN090F010
				Case 53 : Return Me.ctl113MEN090F010
				Case 54 : Return Me.ctl115MEN090F010
				Case 55 : Return Me.ctl117MEN090F010
				Case 56 : Return Me.ctl119MEN090F010
				Case 57 : Return Me.ctl121MEN090F010
				Case 58 : Return Me.ctl123MEN090F010
				Case 59 : Return Me.ctl125MEN090F010
				Case 60 : Return Me.ctl127MEN090F010
				Case 61 : Return Me.ctl129MEN090F010
				Case 62 : Return Me.ctl131MEN090F010
				Case 63 : Return Me.ctl133MEN090F010
				Case 64 : Return Me.ctl135MEN090F010
				Case 65 : Return Me.ctl137MEN090F010
				Case 66 : Return Me.ctl139MEN090F010
				Case 67 : Return Me.ctl141MEN090F010
				Case 68 : Return Me.ctl143MEN090F010
				Case 69 : Return Me.ctl145MEN090F010
				Case 70 : Return Me.ctl147MEN090F010
				Case 71 : Return Me.ctl149MEN090F010
				Case 72 : Return Me.ctl151MEN090F010
				Case 73 : Return Me.ctl156MEN090F010
				Case 74 : Return Me.ctl158MEN090F010
				Case 75 : Return Me.ctl160MEN090F010
				Case 76 : Return Me.ctl162MEN090F010
				Case 77 : Return Me.ctl164MEN090F010
				Case 78 : Return Me.ctl166MEN090F010
				Case 79 : Return Me.ctl168MEN090F010
				Case 80 : Return Me.ctl170MEN090F010
				Case 81 : Return Me.ctl172MEN090F010
				Case 82 : Return Me.ctl174MEN090F010
				Case 83 : Return Me.ctl176MEN090F010
				Case 84 : Return Me.ctl178MEN090F010
				Case 85 : Return Me.ctl180MEN090F010
				Case 86 : Return Me.ctl182MEN090F010
				Case 87 : Return Me.ctl184MEN090F010
				Case 88 : Return Me.ctl186MEN090F010
				Case 89 : Return Me.ctl188MEN090F010
				Case 90 : Return Me.ctl190MEN090F010
				Case 91 : Return Me.ctl192MEN090F010
				Case 92 : Return Me.ctl194MEN090F010
				Case 93 : Return Me.ctl196MEN090F010
				Case 94 : Return Me.ctl198MEN090F010
				Case 95 : Return Me.ctl200MEN090F010
				Case 96 : Return Me.ctl202MEN090F010
				Case 97 : Return Me.ctl204MEN090F010
				Case 98 : Return Me.ctl206MEN090F010
				Case 99 : Return Me.ctl208MEN090F010
				Case 100 : Return Me.ctl210MEN090F010
				Case 101 : Return Me.ctl212MEN090F010
				Case 102 : Return Me.ctl214MEN090F010
				Case 103 : Return Me.ctl216MEN090F010
				Case 104 : Return Me.ctl218MEN090F010
				Case 105 : Return Me.ctl220MEN090F010
				Case 106 : Return Me.ctl222MEN090F010
				Case 107 : Return Me.ctl224MEN090F010
				Case 108 : Return Me.ctl226MEN090F010
				Case Else : Return New BT_MultiInput
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

#Region "オーバーライドメソッド"

	''' -------------------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Dim cliMENCommon As clsMENCOMMON = Nothing
		Dim datAsst2Itm As datMTM_ASST2_ITM = Nothing
		Dim returnValue As DataRow()
		Dim cdans As String
		Dim Itemtable As DataTable
		Dim intValue As Integer
		Dim doubleValue As Double
		Dim dateValue As Date
		Try
			cliMENCommon = New clsMENCOMMON
			For i As Integer = 1 To CST_MAX_ASST_ITM
				If slAsst2Itm.ContainsKey(i) Then
					datAsst2Itm = slAsst2Itm(i)
				Else
					datAsst2Itm = New datMTM_ASST2_ITM
				End If
				If String.IsNullOrEmpty(datAsst2Itm.ITEM_CD) Then
					Continue For
				End If
				With getAsst2ItmControl(i)
					Select Case datAsst2Itm.ITEM_TYPE
						Case clsConst.Enum_Asst2Type.txt_type
							.IN_TextBox.Text = ASST_ITM(datAsst2Itm.ITEM_CD)
						Case clsConst.Enum_Asst2Type.nud_type
							.IN_Number.MinusFormat = True
							If Integer.TryParse(ASST_ITM(datAsst2Itm.ITEM_CD), intValue) Then
								.IN_Number.Text = intValue
							Else
								.IN_Number.Text = Nothing
							End If
						Case clsConst.Enum_Asst2Type.num_type
							.IN_Number.MinusFormat = True
							.IN_Number.DecimalPlaces = -1
							If Double.TryParse(ASST_ITM(datAsst2Itm.ITEM_CD), doubleValue) Then
								.IN_Number.Text = doubleValue
							Else
								.IN_Number.Text = Nothing
							End If
						Case clsConst.Enum_Asst2Type.date_type
							If Date.TryParse(ASST_ITM(datAsst2Itm.ITEM_CD), dateValue) Then
								.IN_Date.DateValue = dateValue
							Else
								.IN_Date.DateValue = Nothing
							End If
						Case clsConst.Enum_Asst2Type.cmb_type
							cdans = item_cd & datAsst2Itm.ITEM_CD
							returnValue = Asst2Cnt.Select(cdans)
							Itemtable = cliCom.getTableFromRows(Asst2Cnt, returnValue)
							Itemtable.Columns.RemoveAt(0)
							.IN_MultiComboBox.DataSource = Itemtable
							.IN_MultiComboBox.DisplayMember = CD
							.IN_MultiComboBox.DisplayMemberEx = NM
							.IN_MultiComboBox.ValueMember = CD
							cliCom.setComboValue(.IN_MultiComboBox, ASST_ITM(datAsst2Itm.ITEM_CD))
						Case Else
					End Select
				End With
			Next
			Me.lbl228MEN090F010.Text = cliMENCommon.getDateFormat(_asst2.LASTUPD_DT)	'最終更新日
			'処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				'全ての入力項目を参照モードにする。
				clsMENCOMMON.setAllItemCanInput(Me.tab001MEN090F010, False)
			Else
				ctl006MEN090F010.Focus()
			End If
		Catch ex As Exception
			Throw
		Finally
			cliMENCommon = Nothing
			datAsst2Itm = Nothing
			returnValue = Nothing
			cdans = Nothing
			Itemtable = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Dim bRet As Boolean = False
		Dim datAsst2Itm As datMTM_ASST2_ITM = Nothing
		Try
			tpg002MEN090F010.Show()
			tpg077MEN090F010.Show()
			tpg152MEN090F010.Show()
			For i As Integer = 1 To CST_MAX_ASST_ITM
				With getAsst2ItmControl(i)
					datAsst2Itm = slAsst2Itm(i)
					If .Visible = True Then
						Select Case datAsst2Itm.ITEM_TYPE
							Case clsConst.Enum_Asst2Type.txt_type
								If .IN_TextBox.Text <> ASST_ITM(datAsst2Itm.ITEM_CD) Then
									bRet = True
									Exit For
								End If
							Case clsConst.Enum_Asst2Type.nud_type
								Dim intValue As Integer
								If Integer.TryParse(ASST_ITM(datAsst2Itm.ITEM_CD), intValue) Then
									If .IN_Number.Text <> intValue.ToString Then
										bRet = True
										Exit For
									End If
								Else
									If .IN_Number.Text <> Nothing Then
										bRet = True
										Exit For
									End If
								End If
							Case clsConst.Enum_Asst2Type.num_type
								Dim doubleValue As Double
								If Double.TryParse(ASST_ITM(datAsst2Itm.ITEM_CD), doubleValue) Then
									If .IN_Number.Text <> doubleValue.ToString Then
										bRet = True
										Exit For
									End If
								Else
									If .IN_Number.Text <> Nothing Then
										bRet = True
										Exit For
									End If
								End If
							Case clsConst.Enum_Asst2Type.date_type
								Dim dateValue As Date
								.ControlType = BT_MultiInput.Enum_ControlType.BT_Date
								If Date.TryParse(ASST_ITM(datAsst2Itm.ITEM_CD), dateValue) Then
									If .IN_Date.DateValue <> dateValue.ToString Then
										bRet = True
										Exit For
									End If
								Else
									If .IN_Date.DateValue <> Nothing Then
										bRet = True
										Exit For
									End If
								End If
							Case clsConst.Enum_Asst2Type.cmb_type
								If .IN_MultiComboBox.Text <> ASST_ITM(datAsst2Itm.ITEM_CD) Then
									bRet = True
									Exit For
								End If
						End Select
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
		'入力項目に変更がある場合のみ処理する
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim datAsst2Itm As datMTM_ASST2_ITM = Nothing
		Try
			tpg002MEN090F010.Show()
			tpg077MEN090F010.Show()
			tpg152MEN090F010.Show()
			For i As Integer = 1 To CST_MAX_ASST_ITM
				With getAsst2ItmControl(i)
					datAsst2Itm = slAsst2Itm(i)
					If .Visible = True Then
						Select Case datAsst2Itm.ITEM_TYPE
							Case clsConst.Enum_Asst2Type.txt_type
								If String.IsNullOrEmpty(.IN_TextBox.Text) Then
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = Nothing
								Else
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = .IN_TextBox.Text
								End If
							Case clsConst.Enum_Asst2Type.nud_type
								Dim intValue As Integer
								If Integer.TryParse(.IN_Number.Text, intValue) Then
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = intValue.ToString
								Else
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = Nothing
								End If
							Case clsConst.Enum_Asst2Type.num_type
								Dim doubleValue As Double
								If Double.TryParse(.IN_Number.Text, doubleValue) Then
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = doubleValue.ToString
								Else
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = Nothing
								End If
							Case clsConst.Enum_Asst2Type.date_type
								Dim dateValue As Date
								If Date.TryParse(.IN_Date.DateValue.ToString, dateValue) Then
									If .IN_Date.DateValue.Equals(Nothing) Then
										Me.ASST_ITM(datAsst2Itm.ITEM_CD) = Nothing
									Else
										Me.ASST_ITM(datAsst2Itm.ITEM_CD) = dateValue.ToString
									End If
								Else
									Me.ASST_ITM(datAsst2Itm.ITEM_CD) = Nothing
								End If
							Case clsConst.Enum_Asst2Type.cmb_type
								Me.ASST_ITM(datAsst2Itm.ITEM_CD) = .IN_MultiComboBox.Text
						End Select
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Dim count As Integer
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					'更新
					Using clsMTI_ASST2 As clsMTI_ASST2 = New clsMTI_ASST2
						clsMTI_ASST2.execDelAsst2OneRec(db, PatientNo, HspHistoryNo, ChNo)
						count = clsMTI_ASST2.execInsAsst2OneRec(db, _asst2)
					End Using
					Using clsMTI_CH As clsMTI_CH = New clsMTI_CH
						clsMTI_CH.execUpdChAsstItm2Count(db, PatientNo, HspHistoryNo, ChNo, count)
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			' 補足項目２情報を復元
			_asst2 = _asst2bk.Copy
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If slAsst2Itm IsNot Nothing Then
				slAsst2Itm.Clear()
			End If
			If Asst2Cnt IsNot Nothing Then
				Asst2Cnt.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			slAsst2Itm = Nothing
			cliCombo = Nothing
			cliCom = Nothing
			Asst2Cnt = Nothing
			_asst2 = Nothing
			_asst2bk = Nothing
		End Try
	End Sub

#End Region

End Class