﻿Imports System.Windows.Forms
Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 救命救急登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN110F010

#Region "コンスタント"
	Private Const CONTROL_C01001MEN110F010 As String = "c01001MEN110F010"
	Private Const CONST_MAXINROOMDATE As Integer = 9999
#End Region

#Region "変数"
	' 救命救急連番
	Private _pEmergencySerialNo As Integer
	'グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle
	' 救命救急データテーブル
	Private datEmergency As DataTable
	' 入力チェッククラス
	Private cliMEN010F060 As clsMEN010F060
	' MEN共通クラス
	Private cliMENCOMMON As clsMENCOMMON
	' 現在編集中連番
	Private pNowSerialNo As Integer = 0
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		Me.New(pExeMode, pPatientNo, pHspHistoryNo, pChNo, 0)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <param name="aEmergencySerialNo">救命救急連番</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal aEmergencySerialNo As Integer)
		' この呼び出しはデザイナーで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		Me.BeforeTransit = Enum_Transit.eEmergency	'画面遷移前は「救命救急」
		_pEmergencySerialNo = aEmergencySerialNo
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN110F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN110F010_Load", "救命救急＿Ｌｏａｄ処理 Start")
		Dim cliCombo As clsComboCom
		Dim larData As ArrayList
		Try
			cliCombo = New clsComboCom
			cliGridStyle = New clsGridStyle
			cliMEN010F060 = New clsMEN010F060
			cliMENCOMMON = New clsMENCOMMON
			datEmergency = New DataTable
			'コントロール名の設定
			setControlName()
			' 起動状態により切替
			If Me.ExeMode = Enum_ExeMode.eReference Then showReferenceMode()
			'入力必須項目については該当する見出しの前景色を青色にする。
			lbl006MEN110F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' コンボボックスの初期化
				With cliCombo
					'重症コード
					Me.cmb035MEN110F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencySevereDiv)
					Me.cmb035MEN110F010.setDropDownWidth()
					'出法コード
					Me.cmb020MEN110F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencyOutMethod)
					Me.cmb020MEN110F010.setDropDownWidth()
					'入法コード
					Me.cmb004MEN110F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencyInMethod)
					Me.cmb004MEN110F010.setDropDownWidth()
				End With
				'救命救急情報の取得
				Using cliEmergency As clsMTI_EMERGENCY = New clsMTI_EMERGENCY
					datEmergency = cliEmergency.getEmergencyPlusChDa(Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					datEmergency.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
					datEmergency.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
				End Using
				dgv001MEN110F010.AutoGenerateColumns = False		'自動行追加禁止
				cliGridStyle.setGridHeight(Me.dgv001MEN110F010)		'グリッド１行の高さを設定
				dgv001MEN110F010.DataSource = datEmergency
				datEmergency.AcceptChanges()						'変更をすべてクリアする
			End Using
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
			larData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急＿初期表示処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN110F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN110F010_Shown", "救命救急＿初期表示 Start")
		Try
			' レコードなしチェック
			If datEmergency.Rows.Count = 0 Then
				If Me.ExeMode = Enum_ExeMode.eEntry Then
					' 新規レコード追加
					AddNewRow()
				End If
			Else
				' 救命救急連番でレコードを取得しセットする（なければ先頭）
				srhSerialNo(Me._pEmergencySerialNo)
			End If
			dspDataRow()
'(A) STR V4-15015-000 003 2014/04/04 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
			Me.setInitialFocus()
'(A) END V4-15015-000 003 2014/04/04 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急グリッドKeyDown処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN110F010_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles dgv001MEN110F010.KeyDown
		log(clsSysMst.logLevel.DBG, "dgv001MEN110F010_KeyDown", "救命救急グリッドKeyDown処理 Start")	'大量ログ出力の為、DBGに変更
		Dim lPageDisplayedCnt As Integer = dgv001MEN110F010.DisplayedRowCount(False)
		Dim lCurrentIndex As Integer = 0
		Try
			Select Case e.KeyCode
				Case Keys.Down
					If dgv001MEN110F010.RowCount = 0 Then Exit Sub
					If dgv001MEN110F010.RowCount - 1 <= dgv001MEN110F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(False)
					e.SuppressKeyPress = True
				Case Keys.Up
					If dgv001MEN110F010.RowCount = 0 Then Exit Sub
					If 0 >= dgv001MEN110F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(True)
					e.SuppressKeyPress = True
				Case Keys.PageUp
					If dgv001MEN110F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN110F010.FirstDisplayedScrollingRowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Exit Sub
					Select Case True
						Case 0 <= lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN110F010.Rows(lCurrentIndex - lPageDisplayedCnt).Cells(CONTROL_C01001MEN110F010).Value)
							dspDataRow()
						Case 0 > lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN110F010.Rows(0).Cells(CONTROL_C01001MEN110F010).Value)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Keys.PageDown
					If dgv001MEN110F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN110F010.CurrentCell.RowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Exit Sub
					Select Case True
						Case dgv001MEN110F010.Rows.Count - 1 >= lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN110F010.Rows(lCurrentIndex + lPageDisplayedCnt).Cells(CONTROL_C01001MEN110F010).Value, False, False)
							dspDataRow()
						Case dgv001MEN110F010.Rows.Count - 1 < lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN110F010.Rows(dgv001MEN110F010.Rows.Count - 1).Cells(CONTROL_C01001MEN110F010).Value, False, False)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lPageDisplayedCnt = Nothing
			lCurrentIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急セルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN110F010_CellMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv001MEN110F010.CellMouseClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN110F010_CellMouseClick", "救命救急セルクリック Start")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Exit Sub
			selGridView()
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入室日付内容変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte008MEN110F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles dte008MEN110F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dte008MEN110F010_Validated", "入室日付内容変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "入室日付内容変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso dte008MEN110F010.ContainsFocus = False Then Exit Sub
			cliMENCOMMON.setAgeLabel(BasicInfoRec.BIRTH_DT, dte008MEN110F010.DateValue, lbl011MEN110F010, lbl013MEN110F010, lbl015MEN110F010, lbl016MEN110F010, lbl017MEN110F010)
			If String.IsNullOrEmpty(num038MEN110F010.Text) Then
				num038MEN110F010.Text = calcInRoomDays()
			End If
			If msk041MEN110F010.IsNullOrEmpty Then
				msk041MEN110F010.Text = calcRequiredTiem()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 退室日付内容変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte024MEN110F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles dte024MEN110F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dte024MEN110F010_Validated", "退室日付内容変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "退室日付内容変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso dte024MEN110F010.ContainsFocus = False Then Exit Sub
			cliMENCOMMON.setAgeLabel(BasicInfoRec.BIRTH_DT, dte024MEN110F010.DateValue, lbl027MEN110F010, lbl029MEN110F010, lbl031MEN110F010, lbl032MEN110F010, lbl033MEN110F010)
			If String.IsNullOrEmpty(num038MEN110F010.Text) Then
				num038MEN110F010.Text = calcInRoomDays()
			End If
			If msk041MEN110F010.IsNullOrEmpty Then
				msk041MEN110F010.Text = calcRequiredTiem()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入室時刻内容変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk009MEN110F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk009MEN110F010.Validated
		If Not msk009MEN110F010.CanFocus Then Exit Sub
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "msk009MEN110F010_Validated", "入室時刻内容変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "入室時刻内容変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso msk009MEN110F010.ContainsFocus = False Then Exit Sub
			If msk041MEN110F010.IsNullOrEmpty Then
				msk041MEN110F010.Text = calcRequiredTiem()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 退室時間内容変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk025MEN110F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk025MEN110F010.Validated
		If Not msk025MEN110F010.CanFocus Then Exit Sub
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "msk025MEN110F010_Validated", "退室時間内容変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "退室時間内容変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso msk025MEN110F010.ContainsFocus = False Then Exit Sub
			If msk041MEN110F010.IsNullOrEmpty Then
				msk041MEN110F010.Text = calcRequiredTiem()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 在室日時ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn037MEN110F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn037MEN110F010.Click
		log(clsSysMst.logLevel.NRM, "btn037MEN110F010_Click", "在室日時ボタンクリック Start")
		Try
			num038MEN110F010.Text = calcInRoomDays()
			num038MEN110F010.Focus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 所要時間ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn040MEN110F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn040MEN110F010.Click
		log(clsSysMst.logLevel.NRM, "btn040MEN110F010_Click", "所要時間ボタンクリック Start")
		Try
			msk041MEN110F010.Text = calcRequiredTiem()
			msk041MEN110F010.Focus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN110F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN110F010_FormClosing", "閉じるボタンクリック Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名の設定
	''' </summary>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlName()
		log(clsSysMst.logLevel.DBG, "setControlName", "コントロール名の設定 Start")
		Try
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.IN_METHOD_CD) = cmb004MEN110F010.Name			'入法コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ENTERING_DT) = dte008MEN110F010.Name			'入室日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ENTERING_TIME) = msk009MEN110F010.Name			'入室時刻
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.OUT_METHOD_CD) = cmb020MEN110F010.Name			'出法コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.LEAVING_DT) = dte024MEN110F010.Name				'退室日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.LEAVING_TIME) = msk025MEN110F010.Name			'退室時刻
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.SEVERE_CD) = cmb035MEN110F010.Name				'重症コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.IN_ROOM_DAYS) = num038MEN110F010.Name			'在室日数
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.MED_REQUIRED_TIME) = msk041MEN110F010.Name		'救命所要時間
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替_参照処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showReferenceMode()
		log(clsSysMst.logLevel.DBG, "showReferenceMode", "表示切替_参照処理 Start")
		Try
			btn004MEN000F010.Visible = False
			btn005MEN000F010.Visible = False
			pnl020MEN000F040.Visible = False
			btn011MEN000F010.Visible = False
			btn013MEN000F010.Visible = False

			cmb004MEN110F010.CanInput = False
			dte008MEN110F010.CanInput = False
			msk009MEN110F010.CanInput = False

			cmb020MEN110F010.CanInput = False
			dte024MEN110F010.CanInput = False
			msk025MEN110F010.CanInput = False

			btn037MEN110F010.CanInput = False
			num038MEN110F010.CanInput = False
			btn040MEN110F010.CanInput = False
			msk041MEN110F010.CanInput = False
			cmb035MEN110F010.CanInput = False
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 在室日数計算処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function calcInRoomDays() As String
		log(clsSysMst.logLevel.DBG, "calcInRoomDays", "在室日数計算処理 Start")
		Dim lRetDate As String = Nothing
		Try
			lRetDate = cliMENCOMMON.calcDateTime(clsMENCOMMON.Enum_Mode.eDate, _
			  IIf(String.IsNullOrEmpty(dte008MEN110F010.Text), Nothing, dte008MEN110F010.DateValue), _
			  IIf(String.IsNullOrEmpty(dte024MEN110F010.Text), Nothing, dte024MEN110F010.DateValue), _
			  String.Empty, String.Empty)
			If String.IsNullOrEmpty(lRetDate) = False AndAlso Integer.Parse(lRetDate) > CONST_MAXINROOMDATE Then
				lRetDate = CONST_MAXINROOMDATE
			End If
			Return lRetDate
		Catch ex As Exception
			Throw
		Finally
			lRetDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 所要時間計算処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function calcRequiredTiem() As String
		log(clsSysMst.logLevel.DBG, "calcRequiredTiem", "所要時間計算処理 Start")
		Try
			Return cliMENCOMMON.calcDateTime(clsMENCOMMON.Enum_Mode.eTime6, _
			   IIf(String.IsNullOrEmpty(dte008MEN110F010.Text), Nothing, dte008MEN110F010.DateValue), _
			   IIf(String.IsNullOrEmpty(dte024MEN110F010.Text), Nothing, dte024MEN110F010.DateValue), _
			   IIf(msk009MEN110F010.IsNullOrEmpty, Nothing, String.Format(clsMENCOMMON.CONST_FORMAT_TIME, msk009MEN110F010.ValidateText)), _
			   IIf(msk025MEN110F010.IsNullOrEmpty, Nothing, String.Format(clsMENCOMMON.CONST_FORMAT_TIME, msk025MEN110F010.ValidateText)))
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連番を探しカレントにする
	''' </summary>
	''' <param name="aSerialNo">シリアル番号</param>
	''' <param name="aMvFlg">移動可否</param>
	''' <param name="aDisplayScroll">スクロール可否</param>
	''' <returns>行番号</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function srhSerialNo(ByVal aSerialNo As Integer, Optional ByVal aMvFlg As Boolean = False, Optional ByVal aDisplayScroll As Boolean = True) As Integer
		log(clsSysMst.logLevel.DBG, "srhSerialNo", "連番を探しカレントにする Start")
		Dim lRetIndex As Integer = -1
		Dim lcnt As Integer = 0
		Try
			For lcnt = 0 To dgv001MEN110F010.Rows.Count - 1
				If dgv001MEN110F010.Rows(lcnt).Cells(CONTROL_C01001MEN110F010).Value = aSerialNo Then
					If Not aMvFlg Then
						dgv001MEN110F010.Rows(lcnt).Selected = True
						dgv001MEN110F010.Rows(lcnt).Cells(1).Selected = True
						If aDisplayScroll Then
							dgv001MEN110F010.FirstDisplayedScrollingRowIndex = lcnt
						End If
						dgv001MEN110F010.Refresh()
					End If
					lRetIndex = lcnt
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lcnt = Nothing
		End Try
		Return lRetIndex
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 修正表示処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dspDataRow()
		log(clsSysMst.logLevel.DBG, "dspDataRow", "修正表示処理 Start")
		'共通メソッドクラス
		Dim cliCom As clsCom = Nothing
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Dim lAge As Integer = 0
		Dim lMonthAge As Integer = 0
		Dim lDayAge As Integer = 0
		Try
			cliCom = New clsCom
			' 選択行レコード取得
			lGridViewRow = Me.dgv001MEN110F010.CurrentRow
			If lGridViewRow Is Nothing Then Exit Sub
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)

			' 編集中連番を退避する
			pNowSerialNo = lDataRow.Item(sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO)

			' 入法
			cliCom.setComboValue(cmb004MEN110F010, lDataRow.Item(sqlMTI_EMERGENCY.itmIN_METHOD_CD).ToString)
			If IsDBNull(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_DT)) Then
				dte008MEN110F010.DateValue = Nothing
			Else
				dte008MEN110F010.DateValue = lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_DT)
			End If
			msk009MEN110F010.Text = lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_TIME).ToString
			If Not Integer.TryParse(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_AGE).ToString, lAge) Then
				lAge = 0
			End If
			If Not Integer.TryParse(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_MONTH_AGE).ToString, lMonthAge) Then
				lMonthAge = 0
			End If
			If Not Integer.TryParse(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_DAY_AGE).ToString, lDayAge) Then
				lDayAge = 0
			End If
			cliMENCOMMON.setAgeLabel(lAge, lMonthAge, lDayAge, lbl011MEN110F010, lbl013MEN110F010, lbl015MEN110F010, lbl016MEN110F010, lbl017MEN110F010)
			' 出法
			cliCom.setComboValue(cmb020MEN110F010, lDataRow.Item(sqlMTI_EMERGENCY.itmOUT_METHOD_CD).ToString)
			If IsDBNull(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_DT)) Then
				dte024MEN110F010.DateValue = Nothing
			Else
				dte024MEN110F010.DateValue = lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_DT)
			End If
			msk025MEN110F010.Text = lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_TIME).ToString
			If Not Integer.TryParse(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_AGE).ToString, lAge) Then
				lAge = 0
			End If
			If Not Integer.TryParse(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_MONTH_AGE).ToString, lMonthAge) Then
				lMonthAge = 0
			End If
			If Not Integer.TryParse(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_DAY_AGE).ToString, lDayAge) Then
				lDayAge = 0
			End If
			cliMENCOMMON.setAgeLabel(lAge, lMonthAge, lDayAge, lbl027MEN110F010, lbl029MEN110F010, lbl031MEN110F010, lbl032MEN110F010, lbl033MEN110F010)
			' 重症コード
			cliCom.setComboValue(cmb035MEN110F010, lDataRow.Item(sqlMTI_EMERGENCY.itmSEVERE_CD).ToString)
			' 在室日数
			num038MEN110F010.Text = lDataRow.Item(sqlMTI_EMERGENCY.itmIN_ROOM_DAYS).ToString
			' 救命所要時間
			msk041MEN110F010.Text = lDataRow.Item(sqlMTI_EMERGENCY.itmMED_REQUIRED_TIME).ToString
			' 最終更新日
			lbl043MEN110F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_EMERGENCY.itmLASTUPD_DT))
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 矢印制御
				cliMENCOMMON.dspUpDownButtonFace(dgv001MEN110F010, Me)
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
			lAge = Nothing
			lMonthAge = Nothing
			lDayAge = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRow() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "chkDataRow", "入力チェック Start")
		Dim lRet As MsgBoxResult = MsgBoxResult.Yes
		Dim ldtEmerginceInfoRow As datEmergencyInfo		' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			' すべて入力なしの場合は抜ける
			Select Case False
				Case String.IsNullOrEmpty(cmb004MEN110F010.Text)
				Case String.IsNullOrEmpty(dte008MEN110F010.Text)
				Case msk009MEN110F010.IsNullOrEmpty
				Case String.IsNullOrEmpty(cmb020MEN110F010.Text)
				Case String.IsNullOrEmpty(dte024MEN110F010.Text)
				Case msk025MEN110F010.IsNullOrEmpty
				Case String.IsNullOrEmpty(cmb035MEN110F010.Text)
				Case String.IsNullOrEmpty(num038MEN110F010.Text)
				Case msk041MEN110F010.IsNullOrEmpty
				Case Else
					Return MsgBoxResult.Cancel
			End Select
			ldtEmerginceInfoRow = New datEmergencyInfo
			ldtEmerginceInfoRow.PATIENT_NO = Me.PatientNo
			ldtEmerginceInfoRow.HSP_HISTORY_NO = Me.HspHistoryNo
			ldtEmerginceInfoRow.CH_NO = Me.ChNo
			ldtEmerginceInfoRow.EMERGENCY_SERIAL_NO = pNowSerialNo
			ldtEmerginceInfoRow.IN_METHOD_CD = cmb004MEN110F010.Text			'入法コード
			ldtEmerginceInfoRow.OUT_METHOD_CD = cmb020MEN110F010.Text			'出法コード
			'入室日
			If Not String.IsNullOrEmpty(dte008MEN110F010.Text) Then
				ldtEmerginceInfoRow.ENTERING_DT = dte008MEN110F010.Text
			End If
			'退室日
			If Not String.IsNullOrEmpty(dte024MEN110F010.Text) Then
				ldtEmerginceInfoRow.LEAVING_DT = dte024MEN110F010.Text
			End If
			'入室時年齢
			If Not String.IsNullOrEmpty(lbl011MEN110F010.Text) Then
				ldtEmerginceInfoRow.ENTERING_AGE = Integer.Parse(lbl011MEN110F010.Text)
			End If
			'入室時月齢
			If Not String.IsNullOrEmpty(lbl013MEN110F010.Text) Then
				ldtEmerginceInfoRow.ENTERING_MONTH_AGE = Integer.Parse(lbl013MEN110F010.Text)
			End If
			'入室時日齢
			If Not String.IsNullOrEmpty(lbl016MEN110F010.Text) Then
				ldtEmerginceInfoRow.ENTERING_DAY_AGE = Integer.Parse(lbl016MEN110F010.Text)
			End If
			'退室時年齢
			If Not String.IsNullOrEmpty(lbl027MEN110F010.Text) Then
				ldtEmerginceInfoRow.LEAVING_AGE = Integer.Parse(lbl027MEN110F010.Text)
			End If
			'退室時月齢
			If Not String.IsNullOrEmpty(lbl029MEN110F010.Text) Then
				ldtEmerginceInfoRow.LEAVING_MONTH_AGE = Integer.Parse(lbl029MEN110F010.Text)
			End If
			'退室時日齢
			If Not String.IsNullOrEmpty(lbl032MEN110F010.Text) Then
				ldtEmerginceInfoRow.LEAVING_DAY_AGE = Integer.Parse(lbl032MEN110F010.Text)
			End If
			'在室日数
			If Not String.IsNullOrEmpty(num038MEN110F010.Text) Then
				ldtEmerginceInfoRow.IN_ROOM_DAYS = Integer.Parse(num038MEN110F010.Text)
			End If
			ldtEmerginceInfoRow.SEVERE_CD = cmb035MEN110F010.Text				'重症コード
			'入室時刻
			If Not msk009MEN110F010.IsNullOrEmpty Then
				ldtEmerginceInfoRow.ENTERING_TIME = String.Format(clsMENCOMMON.CONST_FORMAT_TIME, msk009MEN110F010.ValidateText)
			End If
			'退室時刻
			If Not msk025MEN110F010.IsNullOrEmpty Then
				ldtEmerginceInfoRow.LEAVING_TIME = String.Format(clsMENCOMMON.CONST_FORMAT_TIME, msk025MEN110F010.ValidateText)
			End If
			'救命所要時間
			If Not msk041MEN110F010.IsNullOrEmpty Then
				ldtEmerginceInfoRow.MED_REQUIRED_TIME = msk041MEN110F010.Text
			End If
			'誕生日
			If Not BasicInfoRec.BIRTH_DT.Equals(Nothing) Then
				ldtEmerginceInfoRow.BIRTH_DT = BasicInfoRec.BIRTH_DT
			End If
			'開始日
			If Not ChRec.START_DT.Equals(Nothing) Then
				ldtEmerginceInfoRow.START_DT = ChRec.START_DT
			End If
			'終了日
			If Not ChRec.END_DT.Equals(Nothing) Then
				ldtEmerginceInfoRow.END_DT = ChRec.END_DT
			End If
			'入院日
			If Not HspRec.HSP_DT.Equals(Nothing) Then
				ldtEmerginceInfoRow.HSP_DT = HspRec.HSP_DT
			End If
			'退院日
			If Not HspRec.OUT_HSP_DT.Equals(Nothing) Then
				ldtEmerginceInfoRow.OUT_HSP_DT = HspRec.OUT_HSP_DT
			End If
			ldtEmerginceInfoRow.IN_METHOD_NM = lbl005MEN110F010.Text					'入法名
			ldtEmerginceInfoRow.OUT_METHOD_NM = lbl021MEN110F010.Text					'出法名
			ldtEmerginceInfoRow.SEVERE_DIV_NM = lbl036MEN110F010.Text					'重症区分名
			' チェック処理
			lArList = New ArrayList
			lArList.Add(ldtEmerginceInfoRow)
			lRetErrCnt = cliMEN010F060.chkEmergencyInfo(lArList, Me)
			For Each lChkObj In lRetErrCnt
				If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
					lRet = MsgBoxResult.No
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			ldtEmerginceInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 全入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRowAll() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDataRowAll", "全入力チェック Start")
		Dim lRet As Boolean = True
		Dim lDtRow As DataRow = Nothing
		Dim ldtEmerginceInfoRow As datEmergencyInfo		' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			lArList = New ArrayList
			For Each lDtRow In datEmergency.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				ldtEmerginceInfoRow = New datEmergencyInfo
				With ldtEmerginceInfoRow
					.PATIENT_NO = lDtRow(sqlMTI_EMERGENCY.itmPATIENT_NO)
					.HSP_HISTORY_NO = lDtRow(sqlMTI_EMERGENCY.itmHSP_HISTORY_NO)
					.CH_NO = lDtRow(sqlMTI_EMERGENCY.itmCH_NO)
					.EMERGENCY_SERIAL_NO = lDtRow(sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO)
					'入法
					.IN_METHOD_CD = lDtRow(sqlMTI_EMERGENCY.itmIN_METHOD_CD).ToString
					.IN_METHOD_NM = lDtRow(sqlMTI_EMERGENCY.itmIN_METHOD_NM).ToString
					'入室日
					If IsDate(lDtRow(sqlMTI_EMERGENCY.itmENTERING_DT)) Then
						.ENTERING_DT = lDtRow(sqlMTI_EMERGENCY.itmENTERING_DT)
					End If
					'入室時刻
					.ENTERING_TIME = lDtRow(sqlMTI_EMERGENCY.itmENTERING_TIME).ToString
					'入室時年齢
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmENTERING_AGE)) Then
						.ENTERING_AGE = lDtRow(sqlMTI_EMERGENCY.itmENTERING_AGE)
					End If
					'入室時月齢
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmENTERING_MONTH_AGE)) Then
						.ENTERING_MONTH_AGE = lDtRow(sqlMTI_EMERGENCY.itmENTERING_MONTH_AGE)
					End If
					'入室時日齢
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmENTERING_DAY_AGE)) Then
						.ENTERING_DAY_AGE = lDtRow(sqlMTI_EMERGENCY.itmENTERING_DAY_AGE)
					End If
					'出法
					.OUT_METHOD_CD = lDtRow(sqlMTI_EMERGENCY.itmOUT_METHOD_CD).ToString
					.OUT_METHOD_NM = lDtRow(sqlMTI_EMERGENCY.itmOUT_METHOD_NM).ToString
					'退室日
					If IsDate(lDtRow(sqlMTI_EMERGENCY.itmLEAVING_DT)) Then
						.LEAVING_DT = lDtRow(sqlMTI_EMERGENCY.itmLEAVING_DT)
					End If
					'退室時刻
					.LEAVING_TIME = lDtRow(sqlMTI_EMERGENCY.itmLEAVING_TIME).ToString
					'退室時年齢
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmLEAVING_AGE)) Then
						.LEAVING_AGE = lDtRow(sqlMTI_EMERGENCY.itmLEAVING_AGE)
					End If
					'退室時月齢
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmLEAVING_MONTH_AGE)) Then
						.LEAVING_MONTH_AGE = lDtRow(sqlMTI_EMERGENCY.itmLEAVING_MONTH_AGE)
					End If
					'退室時日齢
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmLEAVING_DAY_AGE)) Then
						.LEAVING_DAY_AGE = lDtRow(sqlMTI_EMERGENCY.itmLEAVING_DAY_AGE)
					End If
					'重症コード
					.SEVERE_CD = lDtRow(sqlMTI_EMERGENCY.itmSEVERE_CD).ToString
					.SEVERE_DIV_NM = lDtRow(sqlMTI_EMERGENCY.itmSEVERE_DIV_NM).ToString
					'在室日数
					If IsNumeric(lDtRow(sqlMTI_EMERGENCY.itmIN_ROOM_DAYS)) Then
						.IN_ROOM_DAYS = lDtRow(sqlMTI_EMERGENCY.itmIN_ROOM_DAYS)
					End If
					'救命所要時間
					.MED_REQUIRED_TIME = lDtRow(sqlMTI_EMERGENCY.itmMED_REQUIRED_TIME).ToString
					'誕生日
					If Not BasicInfoRec.BIRTH_DT.Equals(Nothing) Then
						.BIRTH_DT = BasicInfoRec.BIRTH_DT
					End If
					'開始日
					If Not ChRec.START_DT.Equals(Nothing) Then
						.START_DT = ChRec.START_DT
					End If
					'終了日
					If Not ChRec.END_DT.Equals(Nothing) Then
						.END_DT = ChRec.END_DT
					End If
					'入院日
					If Not HspRec.HSP_DT.Equals(Nothing) Then
						.HSP_DT = HspRec.HSP_DT
					End If
					'退院日
					If Not HspRec.OUT_HSP_DT.Equals(Nothing) Then
						.OUT_HSP_DT = HspRec.OUT_HSP_DT
					End If
				End With
				lArList.Add(ldtEmerginceInfoRow)
			Next
			'チェック
			If lArList.Count > 0 Then
				lRetErrCnt = cliMEN010F060.chkEmergencyInfo(lArList, Me)
				For Each lChkObj In lRetErrCnt
					If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
						lRet = False
					End If
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			ldtEmerginceInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 修正データグリッド反映処理
	''' </summary>
	''' <param name="aRowIndex">対象行番号</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataRow(ByVal aRowIndex As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "setDataRow", "修正データグリッド反映処理 Start")
		Dim lRegistDay As String
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Return True
			If dgv001MEN110F010.Rows.Count = 0 Then Return True
			' コントロール値確定
			If aRowIndex < 0 Then Return False
			If Not Me.ValidateChildren() Then Return False

			Dim lRowState As Boolean = False
			' 選択行レコード取得
			lGridViewRow = Me.dgv001MEN110F010.Rows(aRowIndex)
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)

			' 在室日計算
			If String.IsNullOrEmpty(dte008MEN110F010.Text) = False AndAlso String.IsNullOrEmpty(dte024MEN110F010.Text) = False Then
				' 経過日チェック
				lRegistDay = calcInRoomDays()
				If num038MEN110F010.Text <> lRegistDay Then
					Select Case confMsg("Q0005", MessageBoxButtons.YesNoCancel, "在室日数が変更されています。再計算", Nothing)
						Case vbYes
							num038MEN110F010.Text = lRegistDay
						Case vbCancel
							Return False
						Case Else
					End Select
				End If
				' 所要時間チェック
				lRegistDay = calcRequiredTiem()
				If ((msk041MEN110F010.IsNullOrEmpty) = False And String.IsNullOrEmpty(lRegistDay) = False) AndAlso _
				  Replace(msk041MEN110F010.Text, clsMENCOMMON.CONTST_TIME_SPLIT_STRING, String.Empty) <> lRegistDay Then
					Select Case confMsg("Q0005", MessageBoxButtons.YesNoCancel, "所要時間が変更されています。再計算", Nothing)
						Case vbYes
							msk041MEN110F010.Text = lRegistDay
						Case vbCancel
							Return False
						Case Else
					End Select
				End If

			End If
			' 入力チェックを行う
			Select Case chkDataRow()
				Case MsgBoxResult.Cancel
					Return True
				Case MsgBoxResult.No
					If Me.getErrCount <> 0 Then nextErrForm()
					Return False
				Case Else
			End Select
			lDataRow.BeginEdit()
			lDataRow.Item(sqlMTI_EMERGENCY.itmPATIENT_NO) = Me.PatientNo
			lDataRow.Item(sqlMTI_EMERGENCY.itmHSP_HISTORY_NO) = Me.HspHistoryNo
			lDataRow.Item(sqlMTI_EMERGENCY.itmCH_NO) = Me.ChNo
			' 入法コード
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_EMERGENCY.itmIN_METHOD_CD), cmb004MEN110F010) Then
				lDataRow.Item(sqlMTI_EMERGENCY.itmIN_METHOD_NM) = lbl005MEN110F010.Text
				lRowState = True
			End If
			' 入室日
			If cliMENCOMMON.setDtTableField_BTDate(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_DT), dte008MEN110F010) Then
				lRowState = True
			End If
			' 入室時刻
			If cliMENCOMMON.setDtTableField_BTMask(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_TIME), msk009MEN110F010) Then
				lRowState = True
			End If
			' 入室時年齢
			If cliMENCOMMON.setDtTableField_TextInt(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_AGE), lbl011MEN110F010.Text) Then
				lRowState = True
			End If
			' 入室時月齢
			If cliMENCOMMON.setDtTableField_TextInt(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_MONTH_AGE), lbl013MEN110F010.Text) Then
				lRowState = True
			End If
			' 入室時日齢
			If cliMENCOMMON.setDtTableField_TextInt(lDataRow.Item(sqlMTI_EMERGENCY.itmENTERING_DAY_AGE), lbl016MEN110F010.Text) Then
				lRowState = True
			End If
			' 出法コード
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_EMERGENCY.itmOUT_METHOD_CD), cmb020MEN110F010) Then
				lDataRow.Item(sqlMTI_EMERGENCY.itmOUT_METHOD_NM) = lbl021MEN110F010.Text
				lRowState = True
			End If
			' 退室日
			If cliMENCOMMON.setDtTableField_BTDate(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_DT), dte024MEN110F010) Then
				lRowState = True
			End If
			' 退室時刻
			If cliMENCOMMON.setDtTableField_BTMask(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_TIME), msk025MEN110F010) Then
				lRowState = True
			End If
			' 退室時年齢
			If cliMENCOMMON.setDtTableField_TextInt(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_AGE), lbl027MEN110F010.Text) Then
				lRowState = True
			End If
			' 退室時月齢
			If cliMENCOMMON.setDtTableField_TextInt(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_MONTH_AGE), lbl029MEN110F010.Text) Then
				lRowState = True
			End If
			' 退室時日齢
			If cliMENCOMMON.setDtTableField_TextInt(lDataRow.Item(sqlMTI_EMERGENCY.itmLEAVING_DAY_AGE), lbl032MEN110F010.Text) Then
				lRowState = True
			End If
			' 重症コード
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_EMERGENCY.itmSEVERE_CD), cmb035MEN110F010) Then
				lDataRow.Item(sqlMTI_EMERGENCY.itmSEVERE_DIV_NM) = lbl036MEN110F010.Text
				lRowState = True
			End If
			' 在室日数
			If cliMENCOMMON.setDtTableField_BTNumber(lDataRow.Item(sqlMTI_EMERGENCY.itmIN_ROOM_DAYS), num038MEN110F010) Then
				lRowState = True
			End If
			' 救命所要時間
			If cliMENCOMMON.setDtTableField_BTMask(lDataRow.Item(sqlMTI_EMERGENCY.itmMED_REQUIRED_TIME), msk041MEN110F010) Then
				lRowState = True
			End If
			' 更新チェック
			If lRowState Then
				lDataRow.Item(sqlMTI_EMERGENCY.itmLASTUPDUSER_CD) = clsSysMst.getLoginId	'更新者コード
				lDataRow.Item(sqlMTI_EMERGENCY.itmLASTUPD_DT) = Now							'最終更新日
				lDataRow.EndEdit()
				' 新規行クリア
				resetNewRow(lDataRow.Item(sqlMENCOMMON.itmAddCol4NewRow).ToString)
			Else
				lDataRow.CancelEdit()
			End If
		Catch ex As Exception
			Throw
		Finally
			lRegistDay = Nothing
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規行クリア処理
	''' </summary>
	''' <param name="aNewRow">新規行識別</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub resetNewRow(ByVal aNewRow As String)
		log(clsSysMst.logLevel.DBG, "resetNewRow", "新規行クリア処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			If String.IsNullOrEmpty(aNewRow) Then Exit Sub
			For Each lGridViewRow In dgv001MEN110F010.Rows
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				With lDataRow
					'同じ新規行識別
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString <> aNewRow Then Continue For
					.BeginEdit()
					.Item(sqlMENCOMMON.itmAddCol4NewRow) = DBNull.Value				'新規行識別
					.Item(sqlMENCOMMON.itmAddCol4RowSeq) = DBNull.Value				'順番識別
					.EndEdit()
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急情報更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProcEmergency()
		log(clsSysMst.logLevel.DBG, "UpdProcEmergency", "救命救急情報更新処理 Start")
		Dim lSerialNo As Integer = 0
		Dim lInsertCount As Integer = 0
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliEmergency As clsMTI_EMERGENCY = New clsMTI_EMERGENCY
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					' 救命救急情報の対象レコード削除
					cliEmergency.execDelEmergencyCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' 救命救急情報を登録
					Using ldv As DataView = New DataView(datEmergency)
						ldv.Sort = sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO
						For Each lDtRow As DataRow In ldv.ToTable.Rows
							Select Case lDtRow.RowState
								Case DataRowState.Added, DataRowState.Modified, DataRowState.Unchanged	' 追加 変更 変更なし
									' 入室時が入っていないものは登録しない
									If IsDBNull(lDtRow(sqlMTI_EMERGENCY.itmENTERING_DT)) Then Continue For
								Case Else
									Continue For
							End Select
							lSerialNo += 1
							lDtRow(sqlMTI_EMERGENCY.itmPATIENT_NO) = Me.PatientNo
							lDtRow(sqlMTI_EMERGENCY.itmHSP_HISTORY_NO) = Me.HspHistoryNo
							lDtRow(sqlMTI_EMERGENCY.itmCH_NO) = Me.ChNo
							lDtRow(sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO) = lSerialNo
							cliEmergency.execInsEmergencyOneRec(db, lDtRow)
							lInsertCount = lInsertCount + 1
						Next
					End Using
					' 救命救急数を更新
					Using cliCh As clsMTI_CH = New clsMTI_CH
						cliCh.execUpdChEmergencyCount(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lInsertCount)
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			lSerialNo = Nothing
			lInsertCount = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下入替え処理
	''' </summary>
	''' <param name="aRowIndex1">入替え元Index</param>
	''' <param name="aRowIndex2">入替え先Index</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chgUpDownGrid(ByVal aRowIndex1 As Integer, ByVal aRowIndex2 As Integer)
		log(clsSysMst.logLevel.DBG, "chgUpDownGrid", "グリッド上下入替え処理 クリック Start")
		Dim wGridViewRow1 As DataGridViewRow = Nothing
		Dim wGridViewRow2 As DataGridViewRow = Nothing
		Dim wDataRowView1 As DataRowView = Nothing
		Dim wDataRowView2 As DataRowView = Nothing
		Dim wDataRow1 As DataRow = Nothing
		Dim wDataRow2 As DataRow = Nothing
		Dim ldv As DataView = Nothing
		Try
			dgv001MEN110F010.Columns(CONTROL_C01001MEN110F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			Dim wIndex As Integer
			Dim wIndex2 As Integer
			wGridViewRow1 = Me.dgv001MEN110F010.Rows(aRowIndex1)
			wGridViewRow2 = Me.dgv001MEN110F010.Rows(aRowIndex2)
			wDataRowView1 = CType(wGridViewRow1.DataBoundItem, DataRowView)
			wDataRowView2 = CType(wGridViewRow2.DataBoundItem, DataRowView)
			wDataRow1 = CType(wDataRowView1.Row, DataRow)
			wDataRow2 = CType(wDataRowView2.Row, DataRow)
			' Index退避
			wIndex = dgv001MEN110F010.Rows(aRowIndex1).Cells(CONTROL_C01001MEN110F010).Value
			wIndex2 = dgv001MEN110F010.Rows(aRowIndex2).Cells(CONTROL_C01001MEN110F010).Value
			' 選択行レコード取得
			wDataRow1.BeginEdit()
			wDataRow2.BeginEdit()
			wDataRow1(sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO) = wIndex2
			wDataRow2(sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO) = wIndex
			wDataRow1.EndEdit()
			wDataRow2.EndEdit()
			' ソート処理
			ldv = datEmergency.DefaultView
			ldv.Sort = sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO
			dgv001MEN110F010.Columns(CONTROL_C01001MEN110F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			' 現在行にフォーカス移動
			srhSerialNo(wIndex2)
			pNowSerialNo = wIndex2
			' ボタン表示切替
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN110F010, Me)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow1 = Nothing
			wGridViewRow2 = Nothing
			wDataRowView1 = Nothing
			wDataRowView2 = Nothing
			wDataRow1 = Nothing
			wDataRow2 = Nothing
			ldv = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下移動処理
	''' </summary>
	''' <param name="aUpFlg"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub GrdRowUpDownIndex(ByVal aUpFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "GrdRowUpDownIndex", "グリッド上下移動処理 クリック Start")
		Try
			Dim wRowIndex As Integer = srhSerialNo(pNowSerialNo, True)
			Dim wRowNextIndex As Integer = IIf(aUpFlg, wRowIndex - 1, wRowIndex + 1)
			' グリッドに反映
			If Not setDataRow(wRowIndex) Then Exit Sub
			If wRowNextIndex >= 0 AndAlso wRowNextIndex < dgv001MEN110F010.RowCount Then
				dgv001MEN110F010.Rows(wRowNextIndex).Cells(1).Selected = True
			End If
			' グリッドから取得
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新規レコード追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddNewRow()
		log(clsSysMst.logLevel.DBG, "AddNewRow", "新規レコード追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Try
			' 既存の最大救命救急連番を取得する
			If dgv001MEN110F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv001MEN110F010.Rows(dgv001MEN110F010.Rows.Count - 1).Cells(CONTROL_C01001MEN110F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datEmergency.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv001MEN110F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datEmergency.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_EMERGENCY.itmEMERGENCY_SERIAL_NO) = lSerialNo
			'新規行
			wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_NEWROW
			If lRowIndex < 0 Then
				'追加
				datEmergency.Rows.Add(wRow)
			Else
				'更新終了
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN110F010, Me)
			' 新規選択
			dgv001MEN110F010.Rows(dgv001MEN110F010.Rows.Count - 1).Cells(1).Selected = True
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの行確定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selGridView()
		log(clsSysMst.logLevel.DBG, "selGridView", "グリッドの行確定処理 クリック Start")
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then
				srhSerialNo(pNowSerialNo)
				dgv001MEN110F010.Refresh()
				Exit Sub
			End If
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-15015-000 019 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
	''' ---------------------------------------------
	''' <summary>
	''' 初期フォーカス
	''' </summary>
	''' <remarks>
	''' 2014/03/31 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitialFocus()
		log(clsSysMst.logLevel.DBG, "setInitialFocus", "初期フォーカス START")
		Try
			dte008MEN110F010.Focus()
			If String.IsNullOrEmpty(dte008MEN110F010.Text) = False Then dte008MEN110F010.textSelect(dte008MEN110F010.Text.ToString.Length, 0)
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-15015-000 019 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			' 現状行のDataTable反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then
				Return False
			End If
			dspDataRow()
			' 全入力行のチェック処理
			If Not chkDataRowAll() Then
				If Me.getErrCount <> 0 Then nextErrForm()
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Try
			' 更新処理
			UpdProcEmergency()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpWardProc", "上へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN110F010.CurrentCell.RowIndex, dgv001MEN110F010.CurrentCell.RowIndex - 1)
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.UpWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 下へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DownWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DownWardProc", "下へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN110F010.CurrentCell.RowIndex, dgv001MEN110F010.CurrentCell.RowIndex + 1)
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.DownWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル上移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "カーソル上移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(True)
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.Func1Proc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル下移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "カーソル下移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(False)
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.Func2Proc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下 Start")
		Try
			' グリッドに反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
			AddNewRow()
			dspDataRow()
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下による削除
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncDeleteProc", "Ｆ５キー押下 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			lGridViewRow = Me.dgv001MEN110F010.CurrentRow
			If lGridViewRow Is Nothing Then Return False
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
				' 選択行レコード取得
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				' 最終行の場合は１つカーソルを前に移動する
				If dgv001MEN110F010.CurrentCell.RowIndex = dgv001MEN110F010.Rows.Count - 1 AndAlso dgv001MEN110F010.Rows.Count <> 1 Then
					dgv001MEN110F010.Rows(dgv001MEN110F010.Rows.Count - 2).Cells(1).Selected = True
				End If
				lDataRow.Delete()
				' すべて削除されている場合は新規追加
				If dgv001MEN110F010.Rows.Count = 0 Then
					AddNewRow()
				End If
				dspDataRow()
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'				cmb004MEN110F010.Focus()
				Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
			End If
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による保存
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncExecProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncExecProc", "Ｆ７キー押下 Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN110F010, Me)
			dspDataRow()
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ８キー押下による取消し
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCancelProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCancelProc", "Ｆ８キー押下 Start")
		Try
			If confMsg("Q0001", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "修正内容を取消します。", Nothing) = MsgBoxResult.Yes Then
				dspDataRow()
			End If
'(M) STR V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
'			cmb004MEN110F010.Focus()
			Me.setInitialFocus()
'(M) END V4-15015-000 004 2014/03/31 ID)荒川 未登録部分がなければ病名テキストの末尾を選択する対応
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			Select Case True
				Case dgv001MEN110F010.Focused
					selGridView()
					Return True
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If cliMEN010F060 IsNot Nothing Then cliMEN010F060.Dispose()
			If datEmergency IsNot Nothing Then datEmergency.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			_pEmergencySerialNo = Nothing
			cliGridStyle = Nothing
			datEmergency = Nothing
			cliMEN010F060 = Nothing
			cliMENCOMMON = Nothing
			pNowSerialNo = Nothing
		End Try
	End Sub

#End Region

End Class