﻿Imports System.Windows.Forms
Imports System.Reflection
Imports System.Globalization
Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理　登録／参照　共通メソッド
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsMENCOMMON

#Region "コンスタント"

	Public Const CONST_DISP_MAX_MED_REQUIRED_TIME6 As Integer = 999999							'救命救急経過時間最大値置換時間
	Public Const CONST_DISP_MAX_MED_REQUIRED_TIME4 As Integer = 9999							'救命救急経過時間最大値置換時間
	Public Const CONST_FORMAT_DATETIME As String = "yyyy/MM/dd HH:mm"							'時間関数変換フォーマット
	Public Const CONST_DISP_MSKMAX_TIME6 As Integer = 10000 * 60								'６桁表示最大分
	Public Const CONST_DISP_MSKMAX_TIME4 As Integer = 100 * 60									'４桁表示最大分
	Public Const CONST_FORMAT_TIME As String = "{0:HH:mm}"										'分娩用フォーマット
	Public Const CONST_MNGSIGN_F As String = "F"												'管理記号（F)
	Public Const CONST_MNGSIGN_U As String = "U"												'管理記号（U)
	Public Const CONST_XSP140_RETURNCOUNT As Integer = 3										'XSP140からの最小戻り値
	Public Const CONST_XSP110_RETRUNCOUNT As Integer = 2										'XSP110からの最小戻り値
	Public Const CONST_XSP230_RETRUNCOUNT As Integer = 2										'XSP230からの最小戻り値
	Public Const CONTROL_STRING_COMMA As String = ","											'文字区切り「,」
	Public Const CONTST_TIME_SPLIT_STRING As String = ":"										'時間区切り「:」
	Public Const CONST_DISP_MASKFORMAT_ZERO As String = "0000"									'０詰め用
	Public Const CONST_BLOOD_TRAN_ICD9CM_CODE As String = "990%"								'輸血有無チェックのICD9CMコード条件
	Public Const CONST_MEN050F030 As String = "MEN050F030"										'マスタ登録
	Public Const CONST_MEN050F020 As String = "MEN050F020"										'過去より
	Public Const CONST_DPC_MODEL_YEAR_2006 As String = "2006"									'ＤＰＣ２００６
	Public Const CONST_DPC_MODEL_YEAR_2008 As String = "2008"									'ＤＰＣ２００８
	Public Const CONST_DPC_MODEL_YEAR_2010 As String = "2010"									'ＤＰＣ２０１０
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
	Public Const CONST_DPC_MODEL_YEAR_2012 As String = "2012"									'ＤＰＣ２０１２
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/11 ID)唐渡 DPC2014対応
	Public Const CONST_DPC_MODEL_YEAR_2014 As String = "2014"									'ＤＰＣ２０１４
'(A) END V4-15019-000 003 2014/04/11 ID)唐渡 DPC2014対応
	Public Const CONST_ADDROW As String = "1"													'追加行
	Public Const CONST_NEWROW As String = "9"													'新規行
	Public Const CONST_MEDCOST_MAX As Integer = 999999999										'医療費最大値
	Public Const CONST_MEDCOST_MIN As Integer = -999999999										'医療費最小値
	Public Const CONST_SAY_YES As String = "YES"												'はい
	Public Const CONST_SAY_NO As String = "NO"													'いいえ

	'コンボボックス設定用
	Private Const COMBOBOX_KEY = "key"
	Private Const COMBOBOX_VALUE = "value"

	''' ---------------------------------------------
	''' <summary>
	''' 計算モード
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　CS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Mode As Integer
		''' ---------------------------------------------
		''' <summary>日付計算</summary>
		''' ---------------------------------------------
		eDate = 0
		''' ---------------------------------------------
		''' <summary>時間計算 9999:99</summary>
		''' ---------------------------------------------
		eTime6 = 1
		''' ---------------------------------------------
		''' <summary>時間計算 99:99</summary>
		''' ---------------------------------------------
		eTime4 = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 分娩区分内容マスタ．項目コード
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Cb_Delivery_Kbn As Integer
		''' ---------------------------------------------
		''' <summary>分娩1</summary>
		''' ---------------------------------------------
		eDelivery1 = 1
		''' ---------------------------------------------
		''' <summary>分娩2</summary>
		''' ---------------------------------------------
		eDelivery2 = 2
		''' ---------------------------------------------
		''' <summary>分娩3</summary>
		''' ---------------------------------------------
		eDelivery3 = 7
		''' ---------------------------------------------
		''' <summary>分娩4</summary>
		''' ---------------------------------------------
		eDelivery4 = 8
		''' ---------------------------------------------
		''' <summary>分娩様式1</summary>
		''' ---------------------------------------------
		eDeliveryStyle1 = 3
		''' ---------------------------------------------
		''' <summary>分娩様式2</summary>
		''' ---------------------------------------------
		eDeliveryStyle2 = 4
		''' ---------------------------------------------
		''' <summary>分娩様式3</summary>
		''' ---------------------------------------------
		eDeliveryStyle3 = 5
		''' ---------------------------------------------
		''' <summary>分娩様式4</summary>
		''' ---------------------------------------------
		eDeliveryStyle4 = 6
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 分娩チェック項目マスタ．項目コード
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Cb_Check_Kbn As Integer
		''' ---------------------------------------------
		''' <summary>分娩チェック1</summary>
		''' ---------------------------------------------
		eCbCheck1 = 11
		''' ---------------------------------------------
		''' <summary>分娩チェック2</summary>
		''' ---------------------------------------------
		eCbCheck2 = 12
		''' ---------------------------------------------
		''' <summary>分娩チェック3</summary>
		''' ---------------------------------------------
		eCbCheck3 = 13
		''' ---------------------------------------------
		''' <summary>子分娩チェック1</summary>
		''' ---------------------------------------------
		eCbChildCheck1 = 21
		''' ---------------------------------------------
		''' <summary>子分娩チェック2</summary>
		''' ---------------------------------------------
		eCbChildCheck2 = 22
		''' ---------------------------------------------
		''' <summary>子分娩チェック3</summary>
		''' ---------------------------------------------
		eCbChildCheck3 = 23
		''' ---------------------------------------------
		''' <summary>子分娩チェック4</summary>
		''' ---------------------------------------------
		eCbChildCheck4 = 24
		''' ---------------------------------------------
		''' <summary>子分娩チェック5</summary>
		''' ---------------------------------------------
		eCbChildCheck5 = 25
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 更新フラグ
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_UpdFlg As Integer
		''' ---------------------------------------------
		''' <summary>初期値</summary>
		''' ---------------------------------------------
		eInit = 0
		''' ---------------------------------------------
		''' <summary>未登録</summary>
		''' ---------------------------------------------
		eEmpty = 1
		''' ---------------------------------------------
		''' <summary>更新</summary>
		''' ---------------------------------------------
		eUpdate = 2
		''' ---------------------------------------------
		''' <summary>削除</summary>
		''' ---------------------------------------------
		eDelete = 3
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 様式モード
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_StyleMode
		''' ---------------------------------------------
		''' <summary>親様式モード</summary>
		''' ---------------------------------------------
		eParent = 1
		''' ---------------------------------------------
		''' <summary>子様式モード</summary>
		''' ---------------------------------------------
		eChild = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' ＡＤＬスコア画面起動時の画面種類
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_AdlScoreKind As Integer
		''' ---------------------------------------------
		''' <summary>入院時</summary>
		''' ---------------------------------------------
		eHsp = 1
		''' ---------------------------------------------
		''' <summary>退院時</summary>
		''' ---------------------------------------------
		eOutHsp = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ項目番号
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_DpcNo As Integer
		eDPC1 = 1
		eDPC2 = 2
		eDPC3 = 3
		eDPC4 = 4
		eDPC5 = 5
		eDPC6 = 6
		eDPC7 = 7
		eDPC8 = 8
		eDPC9 = 9
		eDPC10 = 10
		eDPC11 = 11
		eDPC12 = 12
		eDPC13 = 13
		eDPC14 = 14
		eDPC15 = 15
		eDPC16 = 16
		eDPC17 = 17
		eDPC18 = 18
		eDPC19 = 19
		eDPC20 = 20
		eDPC21 = 21
		eDPC22 = 22
		eDPC23 = 23
		eDPC24 = 24
		eDPC25 = 25
		eDPC26 = 26
		eDPC27 = 27
		eDPC28 = 28
		eDPC29 = 29
		eDPC30 = 30
		eDPC31 = 31
		eDPC32 = 32
		eDPC33 = 33
		eDPC34 = 34
		eDPC35 = 35
		eDPC36 = 36
		eDPC37 = 37
		eDPC38 = 38
		eDPC39 = 39
		eDPC40 = 40
		eDPC41 = 41
		eDPC42 = 42
		eDPC43 = 43
		eDPC44 = 44
		eDPC45 = 45
		eDPC46 = 46
		eDPC47 = 47
		eDPC48 = 48
		eDPC49 = 49
		eDPC50 = 50
		eDPC51 = 51
		eDPC52 = 52
		eDPC53 = 53
		eDPC54 = 54
		eDPC55 = 55
		eDPC56 = 56
		eDPC57 = 57
		eDPC58 = 58
		eDPC59 = 59
		eDPC60 = 60
		eDPC61 = 61
		eDPC62 = 62
		eDPC63 = 63
		eDPC64 = 64
		eDPC65 = 65
		eDPC66 = 66
		eDPC67 = 67
		eDPC68 = 68
		eDPC69 = 69
		eDPC70 = 70
		eDPC71 = 71
		eDPC72 = 72
		eDPC73 = 73
		eDPC74 = 74
		eDPC75 = 75
		eDPC76 = 76
		eDPC77 = 77
		eDPC78 = 78
		eDPC79 = 79
		eDPC80 = 80
		eDPC81 = 81
		eDPC82 = 82
		eDPC83 = 83
		eDPC84 = 84
		eDPC85 = 85
		eDPC86 = 86
		eDPC87 = 87
		eDPC88 = 88
		eDPC89 = 89
		eDPC90 = 90
		eDPC91 = 91
		eDPC92 = 92
		eDPC93 = 93
		eDPC94 = 94
		eDPC95 = 95
		eDPC96 = 96
		eDPC97 = 97
		eDPC98 = 98
		eDPC99 = 99
		eDPC100 = 100
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 画面種類（病名・手術・治療処置・検査情報画面）
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_ScrKind As Integer
		''' ---------------------------------------------
		''' <summary>病名</summary>
		''' ---------------------------------------------
		eDisease = 4
		''' ---------------------------------------------
		''' <summary>手術</summary>
		''' ---------------------------------------------
		eOpe = 1
		''' ---------------------------------------------
		''' <summary>治療処置</summary>
		''' ---------------------------------------------
		eCare = 2
		''' ---------------------------------------------
		''' <summary>検査</summary>
		''' ---------------------------------------------
		eTest = 3
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 医療費登録画面動作モード
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_MedCostScrMode As Integer
		''' ---------------------------------------------
		''' <summary>入退院モード</summary>
		''' ---------------------------------------------
		eHspMode = 1
		''' ---------------------------------------------
		''' <summary>科歴モード</summary>
		''' ---------------------------------------------
		eChMode = 2
		''' ---------------------------------------------
		''' <summary>入退院明細モード</summary>
		''' ---------------------------------------------
		eHspDetailMode = 3
		''' ---------------------------------------------
		''' <summary>科歴明細モード</summary>
		''' ---------------------------------------------
		eChDetailMode = 4
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 前回退院日選択モード
	''' </summary>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_LastOutHsp As Integer
		''' ---------------------------------------------
		''' <summary>前回退院日モード</summary>
		''' ---------------------------------------------
		eLastOutHsp = 1
		''' ---------------------------------------------
		''' <summary>同一疾病前回退院日モード</summary>
		''' ---------------------------------------------
		eSameDiseaseLastOutHsp = 2
	End Enum

#End Region

#Region "変数"
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 経過日時計算処理（退院フラグを見ない）
	''' </summary>
	''' <param name="aMode">Enum_Mode構造体</param>
	''' <param name="aStDate">開始日</param>
	''' <param name="aEdDate">終了日</param>
	''' <param name="aStTime">開始時刻</param>
	''' <param name="aEdTime">終了時刻</param>
	''' <returns>結果（String型)</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function calcDateTime(ByVal aMode As Enum_Mode, ByVal aStDate As Nullable(Of Date), ByVal aEdDate As Nullable(Of Date), _
	ByVal aStTime As String, ByVal aEdTime As String) As String
		Try
			Return calcDateTime(aMode, aStDate, aEdDate, aStTime, aEdTime, Nothing)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 経過日時計算処理（退院フラグを見る）
	''' </summary>
	''' <param name="aMode">Enum_Mode構造体</param>
	''' <param name="aStDate">開始日</param>
	''' <param name="aEdDate">終了日</param>
	''' <param name="aStTime">開始時刻</param>
	''' <param name="aEdTime">終了時刻</param>
	''' <param name="aOutHspFlg">退院フラグ</param>
	''' <returns>結果（String型)</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function calcDateTime(ByVal aMode As Enum_Mode, ByVal aStDate As Nullable(Of Date), ByVal aEdDate As Nullable(Of Date), _
	ByVal aStTime As String, ByVal aEdTime As String, ByVal aOutHspFlg As Nullable(Of Integer)) As String
		Try
			Select Case True
				Case Not aOutHspFlg.HasValue
					' 退院フラグを見ない
					Return calcDateTime(aMode, aStDate, aEdDate, aStTime, aEdTime, aOutHspFlg, Nothing)
				Case aOutHspFlg.Value = clsConst.Enum_CheckBox_Flg.CheckOn
					' 退院フラグ＝オン
					Return calcDateTime(aMode, aStDate, aEdDate, aStTime, aEdTime, aOutHspFlg, aEdDate)
				Case Else
					' 退院フラグ＝オフ
					Return calcDateTime(aMode, aStDate, aEdDate, aStTime, aEdTime, aOutHspFlg, Nothing)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 経過日時計算処理（退院フラグを見る）
	''' </summary>
	''' <param name="aMode">Enum_Mode構造体</param>
	''' <param name="aStDate">開始日</param>
	''' <param name="aEdDate">終了日</param>
	''' <param name="aStTime">開始時刻</param>
	''' <param name="aEdTime">終了時刻</param>
	''' <param name="aOutHspFlg">退院フラグ</param>
	''' <param name="aOutHspDate">退院日</param>
	''' <returns>結果（String型)</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function calcDateTime(ByVal aMode As Enum_Mode, ByVal aStDate As Nullable(Of Date), ByVal aEdDate As Nullable(Of Date), _
	ByVal aStTime As String, ByVal aEdTime As String, ByVal aOutHspFlg As Nullable(Of Integer), ByVal aOutHspDate As Nullable(Of Date)) As String
		Dim lAryList As ArrayList = Nothing
		Dim lstDate As DateTime = Nothing
		Dim ledDate As DateTime = Nothing
		Dim lTravelTime As TimeSpan = Nothing
		Dim lRet As String = String.Empty
		Dim lDay As Integer = 0
		Try
			Select Case aMode
				Case Enum_Mode.eDate	' 日付計算
					Select Case True
						Case Not aStDate.HasValue OrElse Not aEdDate.HasValue OrElse aStDate.Value.Equals(Nothing) OrElse aEdDate.Value.Equals(Nothing)
							' 開始日もしくは終了日が設定されていない場合、ブランク
						Case Date.Compare(aStDate, aEdDate) > 0
							' 開始日＞終了日の場合、ブランク
						Case Date.Compare(aStDate, aEdDate) = 0
							' 開始日＝終了日の場合、動作環境設定の「在院日数の計算」より
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00004)
								Case clsConst.Enum_HspDaysCalc.StrEndEqual, clsConst.Enum_HspDaysCalc.StrEndPlus
									' 退院(終了)日－入院(開始)日、もしくは退院(終了)日－入院(開始)日＋１
									lRet = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00006)	' 在院日数の初期値
								Case clsConst.Enum_HspDaysCalc.StrEndOutPlus
									' 退院の歴のみ＋１
									Select Case True
										Case Not aOutHspFlg.HasValue
											' 退院フラグを見ない
											lRet = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00006)	' 在院日数の初期値
										Case aOutHspFlg.Value = clsConst.Enum_CheckBox_Flg.CheckOn
											' 退院フラグ＝オン
											Select Case True
												Case aOutHspDate.HasValue AndAlso aOutHspDate.Value.Equals(aEdDate.Value)
													' 退院日＝終了日の場合
													lRet = (1).ToString
												Case Else
													' 退院日≠終了日の場合
													lRet = (0).ToString
											End Select
										Case Else
											' 退院フラグ＝オフ
											lRet = (0).ToString
									End Select
								Case Else
							End Select
						Case Date.Compare(aStDate, aEdDate) < 0
							' 開始日＜終了日の場合、終了日－開始日を計算
							lDay = DateDiff(DateInterval.Day, aStDate.Value, aEdDate.Value)
							' 動作環境設定の「在院日数の計算」より
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00004)
								Case clsConst.Enum_HspDaysCalc.StrEndEqual
									' 退院(終了)日－入院(開始)日
									lRet = lDay.ToString
								Case clsConst.Enum_HspDaysCalc.StrEndPlus
									' 退院(終了)日－入院(開始)日＋１
									lRet = (lDay + 1).ToString
								Case clsConst.Enum_HspDaysCalc.StrEndOutPlus
									' 退院の歴のみ＋１
									Select Case True
										Case Not aOutHspFlg.HasValue
											' 退院フラグを見ない場合、退院(終了)日－入院(開始)日
											lRet = lDay.ToString
										Case aOutHspFlg.Value = clsConst.Enum_CheckBox_Flg.CheckOn
											' 退院フラグ＝オン
											Select Case True
												Case aOutHspDate.HasValue AndAlso aOutHspDate.Value.Equals(aEdDate.Value)
													' 退院日＝終了日の場合、退院(終了)日－入院(開始)日＋１
													lRet = (lDay + 1).ToString
												Case Else
													' 退院日≠終了日の場合、退院(終了)日－入院(開始)日
													lRet = lDay.ToString
											End Select
										Case Else
											' 退院フラグ＝オフの場合、退院(終了)日－入院(開始)日
											lRet = lDay.ToString
									End Select
								Case Else
							End Select
						Case Else
					End Select
				Case Enum_Mode.eTime6, Enum_Mode.eTime4		' 時間計算
					Select Case True
						Case aStDate Is Nothing
						Case aEdDate Is Nothing
						Case String.IsNullOrEmpty(aStTime)
						Case String.IsNullOrEmpty(aEdTime)
						Case Not DateTime.TryParseExact(Format(aStDate, clsConst.CST_YYYYMMDD_FORMAT) & Space(1) & aStTime, CONST_FORMAT_DATETIME, System.Globalization.DateTimeFormatInfo.InvariantInfo, System.Globalization.DateTimeStyles.None, lstDate)
						Case Not DateTime.TryParseExact(Format(aEdDate, clsConst.CST_YYYYMMDD_FORMAT) & Space(1) & aEdTime, CONST_FORMAT_DATETIME, System.Globalization.DateTimeFormatInfo.InvariantInfo, System.Globalization.DateTimeStyles.None, ledDate)
						Case DateTime.Compare(lstDate, ledDate) > 0
						Case Else
							lTravelTime = ledDate - lstDate
							If aMode = Enum_Mode.eTime6 Then
								If (lTravelTime.TotalMinutes >= CONST_DISP_MSKMAX_TIME6) Then
									lRet = CONST_DISP_MAX_MED_REQUIRED_TIME6
								Else
									' 表示時はフォーマットして出力
									'lRet = Right(Space(7) & Format(Fix(lTravelTime.TotalHours) * 100 + (lTravelTime.TotalMinutes Mod 60), CONST_DISP_MSKFORMAT_MED_REQUIRED_TIME6), 7)
									lRet = Format(Right(CONST_DISP_MASKFORMAT_ZERO & Fix(lTravelTime.TotalHours), 4) + Right((CONST_DISP_MASKFORMAT_ZERO & lTravelTime.TotalMinutes Mod 60), 2))
								End If
							Else
								If (lTravelTime.TotalMinutes >= CONST_DISP_MSKMAX_TIME4) Then
									lRet = CONST_DISP_MAX_MED_REQUIRED_TIME4
								Else
									' 表示時はフォーマットして出力
									'lRet = Right(Space(5) & Format(Fix(lTravelTime.TotalHours) * 100 + (lTravelTime.TotalMinutes Mod 60), CONST_DISP_MSKFORMAT_MED_REQUIRED_TIME4), 5)
									lRet = Format(Right(CONST_DISP_MASKFORMAT_ZERO & Fix(lTravelTime.TotalHours), 2) + Right((CONST_DISP_MASKFORMAT_ZERO & lTravelTime.TotalMinutes Mod 60), 2))
								End If
							End If
					End Select
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		Finally
			lAryList = Nothing
			lstDate = Nothing
			ledDate = Nothing
			lTravelTime = Nothing
			lDay = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上下ボタン表示切替処理
	''' </summary>
	''' <param name="aDataGridView">GridView</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub dspUpDownButtonFace(ByVal aDataGridView As DataGridView, ByVal aForm As MEN000F040)
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Dim lRowCount As Integer = 0
		Dim lRowIndex As Integer = 0
		Try
			' 選択行レコード取得
			lGridViewRow = aDataGridView.CurrentRow
			If lGridViewRow IsNot Nothing Then
				lRowCount = aDataGridView.Rows.Count
				lRowIndex = lGridViewRow.Index
				For Each lGridViewRow In aDataGridView.Rows
					lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
					lDataRow = CType(lDataRowView.Row, DataRow)
					If lDataRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = CONST_NEWROW Then
						If lGridViewRow.Equals(aDataGridView.CurrentRow) Then
							lRowIndex = -1
						End If
						lRowCount -= 1
					End If
				Next
			End If
			Select Case True
				Case lRowCount <= 1 OrElse lRowIndex < 0
					aForm.btn004MEN000F010.Enabled = False		' ↑
					aForm.btn006MEN000F010.Enabled = False		' 前へ
					aForm.btn005MEN000F010.Enabled = False		' ↓
					aForm.btn007MEN000F010.Enabled = False		' 次へ
				Case lRowIndex >= lRowCount - 1
					aForm.btn004MEN000F010.Enabled = True		' ↑
					aForm.btn006MEN000F010.Enabled = True		' 前へ
					aForm.btn005MEN000F010.Enabled = False		' ↓
					aForm.btn007MEN000F010.Enabled = False		' 次へ
				Case lRowIndex <= 0
					aForm.btn004MEN000F010.Enabled = False		' ↑
					aForm.btn006MEN000F010.Enabled = False		' 前へ
					aForm.btn005MEN000F010.Enabled = True		' ↓
					aForm.btn007MEN000F010.Enabled = True		' 次へ
				Case Else
					aForm.btn004MEN000F010.Enabled = True		' ↑
					aForm.btn005MEN000F010.Enabled = True		' ↓
					aForm.btn006MEN000F010.Enabled = True		' 前へ
					aForm.btn007MEN000F010.Enabled = True		' 次へ
			End Select
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
			lRowCount = Nothing
			lRowIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス表示内容の取得
	''' </summary>
	''' <param name="flg">
	''' チェックボックスON＆OFFフラグ
	''' 0:OFF
	''' -1:ON
	''' </param>
	''' <returns>チェックフラグ表示内容</returns>
	''' <remarks>
	''' 2010/11/10 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCheckFlgDisp(ByVal flg As clsConst.Enum_CheckBox_Flg) As String
		Dim row() As DataRow = Nothing
		Dim iflg As Integer = flg
		Try
			Using dt As DataTable = clsConst.getCheckBox
				row = dt.Select(clsConst.CHK_CD & " = '" & iflg.ToString & "'")
				If row Is Nothing OrElse row.Length = 0 Then
					Return String.Empty
				Else
					Return row(0).Item(clsConst.CHK_NM)
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 有無マスタ表示内容の取得
	''' </summary>
	''' <param name="flg">
	''' 有無マスタの内容
	''' 0:無し
	''' 1:有り
	''' </param>
	''' <returns>有無マスタ表示内容</returns>
	''' <remarks>
	''' 2010/11/10 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getExistDisp(ByVal flg As clsConst.Enum_Chk) As String
		Dim row() As DataRow = Nothing
		Dim iflg As Integer = flg
		Try
			Using dt As DataTable = clsConst.getExist
				row = dt.Select(clsConst.CHK_CD & " = '" & iflg.ToString & "'")
				If row Is Nothing OrElse row.Length = 0 Then
					Return String.Empty
				Else
					Return row(0).Item(clsConst.CHK_NM)
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コンボボックスのデータ設定
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setComboBoxData(ByVal multiComb As BT_MultiComboBox, ByVal cmbMb()() As String)
		Dim tblCmb As DataTable = Nothing
		Dim column As DataColumn = Nothing
		Dim row As DataRow = Nothing
		Dim colwidths() As String = Nothing
		Dim updflg As Boolean = False
		Try
			'コンボボックスのColWidthsのCloneを取得
			colwidths = multiComb.ColWidths.Clone
			'DataTableの準備
			tblCmb = New DataTable()
			column = New DataColumn()
			column.ColumnName = COMBOBOX_KEY
			tblCmb.Columns.Add(column)
			column = New DataColumn()
			column.ColumnName = COMBOBOX_VALUE
			tblCmb.Columns.Add(column)
			For i As Integer = 0 To cmbMb.GetUpperBound(0)
				row = tblCmb.NewRow()
				row(COMBOBOX_KEY) = cmbMb(i)(0)
				row(COMBOBOX_VALUE) = cmbMb(i)(1)
				tblCmb.Rows.Add(row)
				For j As Integer = 0 To cmbMb(i).GetUpperBound(0)
					Select Case False
						Case colwidths.Length > j
						Case colwidths(j) <> "0"
						Case colwidths(j) < clsMisc.getByteLength(cmbMb(i)(j))
						Case Else
							colwidths(j) = clsMisc.getByteLength(cmbMb(i)(j))
							updflg = True
					End Select
				Next
			Next
			'コンボボックスの設定
			With multiComb
				If updflg Then
					.ColWidths = colwidths
				End If
				.DisplayMember = COMBOBOX_KEY
				.DisplayMemberEx = COMBOBOX_VALUE
				.ValueMember = COMBOBOX_KEY
				.DataSource = tblCmb
				.setDropDownWidth()
			End With
		Catch ex As Exception
			Throw
		Finally
			tblCmb = Nothing
			column = Nothing
			row = Nothing
			colwidths = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンボボックスのデータ設定
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setComboBoxData(ByVal multiComb As BT_MultiComboBox, ByVal cmbMb() As String)
		Dim tblCmb As DataTable = Nothing
		Dim column As DataColumn = Nothing
		Dim row As DataRow = Nothing
		Dim colwidths() As String = Nothing
		Dim updflg As Boolean = False
		Try
			'コンボボックスのColWidthsのCloneを取得
			colwidths = multiComb.ColWidths.Clone
			'DataTableの準備
			tblCmb = New DataTable()
			column = New DataColumn()
			column.ColumnName = COMBOBOX_KEY
			tblCmb.Columns.Add(column)
			For i As Integer = 0 To cmbMb.GetUpperBound(0)
				row = tblCmb.NewRow()
				row(COMBOBOX_KEY) = cmbMb(i)
				tblCmb.Rows.Add(row)
				Select Case False
					Case colwidths.Length > 0
					Case colwidths(0) <> "0"
					Case colwidths(0) < clsMisc.getByteLength(cmbMb(i))
					Case Else
						colwidths(0) = clsMisc.getByteLength(cmbMb(i))
						updflg = True
				End Select
			Next
			'コンボボックスの設定
			With multiComb
				If updflg Then
					.ColWidths = colwidths
				End If
				.DisplayMember = COMBOBOX_KEY
				.ValueMember = COMBOBOX_KEY
				.DataSource = tblCmb
				.setDropDownWidth()
			End With
		Catch ex As Exception
			Throw
		Finally
			tblCmb = Nothing
			column = Nothing
			row = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全項目入力可/入力不可設定
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Sub setAllItemCanInput(ByVal pControl As Control, ByVal pCanInput As Boolean, ByVal ParamArray pRuledOutCtrl() As String)
		Try
			For Each ctrl As Control In pControl.Controls
				If Array.IndexOf(pRuledOutCtrl, ctrl.Name) >= 0 Then
					Continue For
				End If
				Select Case True
					Case TypeOf ctrl Is BT_Button
						CType(ctrl, BT_Button).CanInput = pCanInput
					Case TypeOf ctrl Is BT_CheckBox
						CType(ctrl, BT_CheckBox).CanInput = pCanInput
					Case TypeOf ctrl Is BT_Date
						CType(ctrl, BT_Date).CanInput = pCanInput
					Case TypeOf ctrl Is BT_Like
						CType(ctrl, BT_Like).CanInput = pCanInput
					Case TypeOf ctrl Is BT_Mask
						CType(ctrl, BT_Mask).CanInput = pCanInput
					Case TypeOf ctrl Is BT_MultiComboBox
						CType(ctrl, BT_MultiComboBox).CanInput = pCanInput
					Case TypeOf ctrl Is BT_MultiInput
						CType(ctrl, BT_MultiInput).CanInput = pCanInput
					Case TypeOf ctrl Is BT_MultiRow
						CType(ctrl, BT_MultiRow).CanInput = pCanInput
					Case TypeOf ctrl Is BT_Number
						CType(ctrl, BT_Number).CanInput = pCanInput
					Case TypeOf ctrl Is BT_NumericUpDown
						CType(ctrl, BT_NumericUpDown).CanInput = pCanInput
					Case TypeOf ctrl Is BT_RadioButton
						CType(ctrl, BT_RadioButton).CanInput = pCanInput
					Case TypeOf ctrl Is BT_TextBox
						CType(ctrl, BT_TextBox).CanInput = pCanInput
					Case ctrl.HasChildren
						setAllItemCanInput(ctrl, pCanInput, pRuledOutCtrl)
					Case Else
				End Select
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全項目可視/不可視設定
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Sub setAllItemVisible(ByVal pControl As Control, ByVal pVisible As Boolean, ByVal ParamArray pRuledOutCtrl() As String)
		Try
			For Each ctrl As Control In pControl.Controls
				If Array.IndexOf(pRuledOutCtrl, ctrl.Name) >= 0 Then
					Continue For
				End If
				Select Case True
					Case TypeOf ctrl Is Label
						ctrl.Visible = pVisible
					Case TypeOf ctrl Is BT_Button
						CType(ctrl, BT_Button).Visible = pVisible
					Case TypeOf ctrl Is BT_CheckBox
						CType(ctrl, BT_CheckBox).Visible = pVisible
					Case TypeOf ctrl Is BT_Date
						CType(ctrl, BT_Date).Visible = pVisible
					Case TypeOf ctrl Is BT_Like
						CType(ctrl, BT_Like).Visible = pVisible
					Case TypeOf ctrl Is BT_Mask
						CType(ctrl, BT_Mask).Visible = pVisible
					Case TypeOf ctrl Is BT_MultiComboBox
						CType(ctrl, BT_MultiComboBox).Visible = pVisible
					Case TypeOf ctrl Is BT_MultiInput
						CType(ctrl, BT_MultiInput).Visible = pVisible
					Case TypeOf ctrl Is BT_MultiRow
						CType(ctrl, BT_MultiRow).Visible = pVisible
					Case TypeOf ctrl Is BT_Number
						CType(ctrl, BT_Number).Visible = pVisible
					Case TypeOf ctrl Is BT_NumericUpDown
						CType(ctrl, BT_NumericUpDown).Visible = pVisible
					Case TypeOf ctrl Is BT_RadioButton
						CType(ctrl, BT_RadioButton).Visible = pVisible
					Case TypeOf ctrl Is BT_TextBox
						CType(ctrl, BT_TextBox).Visible = pVisible
'(A) STR V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
					Case TypeOf ctrl Is Button
						CType(ctrl, Button).Visible = pVisible
'(A) END V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
					Case ctrl.HasChildren
						setAllItemVisible(ctrl, pVisible, pRuledOutCtrl)
					Case Else
				End Select
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンボ区分デフォルト値抽出処理(病名区分コンボ、手術区分コンボ、治療処置区分コンボ、検査区分コンボ)
	''' </summary>
	''' <param name="aDtable">コンボのデータソース</param>
	''' <param name="aNowSerialNo">現在の連番</param>
	''' <param name="aRetString">戻り値</param>
	''' <param name="aMode">選択モード</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub selectCodeKbnDefIndex(ByVal aDtable As DataTable, ByVal aNowSerialNo As Integer, ByRef aRetString As String, ByRef aDIV_NM As String, ByRef aDIV_RNM As String, ByRef aFIXED_CD As String, ByRef aDSPORDER As Nullable(Of Integer), ByVal aMode As Enum_ScrKind)
		Dim lFirstSelect As String = String.Empty		'１件目のデフォルト値の固定コード
		Dim lSecondSelect As String = String.Empty		'２件目以降のデフォルト値の固定コード
		Dim lNoSecondUseFirst As Boolean = False		'２件目以降のデフォルト値の設定がない場合の１件目のデフォルト値の使用有無
		Try
			Select Case aMode
				Case Enum_ScrKind.eDisease
					'病名区分では２件目以降のデフォルト値の設定がない場合、１件目のデフォルト値は使用しない
					lFirstSelect = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease)
					lSecondSelect = CStr(clsConst.Enum_Disease_Div_Fix1.NextInitDisplay)
				Case Enum_ScrKind.eOpe
					'手術区分では２件目以降のデフォルト値の設定がない場合、１件目のデフォルト値を使用する
					lFirstSelect = CStr(clsConst.Enum_Ope_Div_Fix1.MainOpe)
					lSecondSelect = CStr(clsConst.Enum_Ope_Div_Fix1.NextInitDislay)
					lNoSecondUseFirst = True
				Case Enum_ScrKind.eCare
					'治療処置区分では２件目以降のデフォルト値は設定されないため、常に１件目のデフォルト値を使用する
					lFirstSelect = CStr(clsConst.Enum_Insprect_Fix1.InitDisplay)
					lNoSecondUseFirst = True
				Case Enum_ScrKind.eTest
					'検査区分では２件目以降のデフォルト値は設定されないため、常に１件目のデフォルト値を使用する
					lFirstSelect = CStr(clsConst.Enum_CareDisposal_Fix1.InitDisplay)
					lNoSecondUseFirst = True
				Case Else
					Exit Sub
			End Select
			'２件目以降のデフォルト値→１件目のデフォルト値の順に固定コードを判定
			For iStep As Integer = 2 To 1 Step -1
				'コンボのデータソースを検索
				For Each lDtRow As DataRow In aDtable.Rows
					Select Case True
						Case String.IsNullOrEmpty(lDtRow(XSP.sqlComboCom.itmFIXED_CD).ToString)
							'固定コードがない場合は除外
							Continue For
						Case iStep = 1 AndAlso lDtRow(XSP.sqlComboCom.itmFIXED_CD).ToString = lFirstSelect
							'１件目のデフォルト値の固定コードの場合
							If aNowSerialNo = 1 OrElse lNoSecondUseFirst Then
								'１件目が対象の場合はデフォルト値を抽出
								Exit Select
							Else
								Exit For
							End If
						Case iStep = 2 AndAlso lDtRow(XSP.sqlComboCom.itmFIXED_CD).ToString = lSecondSelect
							'２件目以降のデフォルト値の固定コードの場合
							If aNowSerialNo > 1 Then
								'２件目以降が対象の場合はデフォルト値を抽出
								Exit Select
							Else
								Exit For
							End If
						Case Else
							Continue For
					End Select
					'デフォルト値抽出
					Select Case aMode
						Case Enum_ScrKind.eDisease
							'病名区分
							aRetString = lDtRow.Item(sqlComboCom.itmDISEASE_DIV_CD)
							aDIV_NM = lDtRow.Item(sqlComboCom.itmDISEASE_DIV_NM)
							aDIV_RNM = lDtRow.Item(sqlComboCom.itmDISEASE_DIV_RNM)
							aFIXED_CD = lDtRow.Item(sqlComboCom.itmFIXED_CD)
							aDSPORDER = If(IsDBNull(lDtRow.Item(sqlComboCom.itmDSPORDER)), Nothing, lDtRow.Item(sqlComboCom.itmDSPORDER))
						Case Enum_ScrKind.eOpe
							'手術区分
							aRetString = lDtRow.Item(sqlComboCom.itmOPE_DIV_CD)
							aDIV_NM = lDtRow.Item(sqlComboCom.itmOPE_DIV_NM)
							aDIV_RNM = lDtRow.Item(sqlComboCom.itmOPE_DIV_RNM)
							aFIXED_CD = lDtRow.Item(sqlComboCom.itmFIXED_CD)
							aDSPORDER = If(IsDBNull(lDtRow.Item(sqlComboCom.itmDSPORDER)), Nothing, lDtRow.Item(sqlComboCom.itmDSPORDER))
						Case Enum_ScrKind.eCare
							'治療処置区分
							aRetString = lDtRow.Item(sqlComboCom.itmCARE_DIV_CD)
							aDIV_NM = lDtRow.Item(sqlComboCom.itmCARE_DIV_NM)
							aDIV_RNM = lDtRow.Item(sqlComboCom.itmCARE_DIV_RNM)
							aFIXED_CD = lDtRow.Item(sqlComboCom.itmFIXED_CD)
							aDSPORDER = If(IsDBNull(lDtRow.Item(sqlComboCom.itmDSPORDER)), Nothing, lDtRow.Item(sqlComboCom.itmDSPORDER))
						Case Enum_ScrKind.eTest
							'検査区分
							aRetString = lDtRow.Item(sqlComboCom.itmTEST_DIV_CD)
							aDIV_NM = lDtRow.Item(sqlComboCom.itmTEST_DIV_NM)
							aDIV_RNM = lDtRow.Item(sqlComboCom.itmTEST_DIV_RNM)
							aFIXED_CD = lDtRow.Item(sqlComboCom.itmFIXED_CD)
							aDSPORDER = If(IsDBNull(lDtRow.Item(sqlComboCom.itmDSPORDER)), Nothing, lDtRow.Item(sqlComboCom.itmDSPORDER))
						Case Else
					End Select
					Exit Sub
				Next
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセットテキスト型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_Text(ByRef aDtItem As Object, ByVal aValue As String) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If Not String.IsNullOrEmpty(aValue) Then
						aDtItem = aValue
						lRet = True
					End If
				Case String.IsNullOrEmpty(aValue)
					If Not IsDBNull(aDtItem) Then
						aDtItem = DBNull.Value
						lRet = True
					End If
				Case aDtItem <> aValue
					aDtItem = aValue
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセットテキスト数値型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_TextInt(ByRef aDtItem As Object, ByVal aValue As String) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If Not String.IsNullOrEmpty(aValue) Then
						aDtItem = Integer.Parse(aValue)
						lRet = True
					End If
				Case String.IsNullOrEmpty(aValue)
					If Not IsDBNull(aDtItem) Then
						aDtItem = DBNull.Value
						lRet = True
					End If
				Case aDtItem <> Integer.Parse(aValue)
					aDtItem = Integer.Parse(aValue)
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセットBT_Number型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/12/03 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_BTNumber(ByRef aDtItem As Object, ByVal aValue As BT_Number) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If Not String.IsNullOrEmpty(aValue.Text) Then
						aDtItem = aValue.DblValue
						lRet = True
					End If
				Case String.IsNullOrEmpty(aValue.Text)
					If Not IsDBNull(aDtItem) Then
						aDtItem = DBNull.Value
						lRet = True
					End If
				Case CDbl(aDtItem) <> aValue.DblValue
					aDtItem = aValue.DblValue
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセットBT_Mask型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/12/03 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_BTMask(ByRef aDtItem As Object, ByVal aValue As BT_Mask) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If Not aValue.IsNullOrEmpty Then
						aDtItem = aValue.Text
						lRet = True
					End If
				Case aValue.IsNullOrEmpty
					If Not IsDBNull(aDtItem) Then
						aDtItem = DBNull.Value
						lRet = True
					End If
				Case aDtItem <> aValue.Text
					aDtItem = aValue.Text
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセット BT_DATE型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_BTDate(ByRef aDtItem As Object, ByVal aValue As BT_Date) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If Not String.IsNullOrEmpty(aValue.Text) Then
						aDtItem = aValue.DateValue
						lRet = True
					End If
				Case String.IsNullOrEmpty(aValue.Text)
					If Not IsDBNull(aDtItem) Then
						aDtItem = DBNull.Value
						lRet = True
					End If
				Case aDtItem <> aValue.DateValue
					aDtItem = aValue.DateValue
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセット BT_Combo型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_BTMultiCombo(ByRef aDtItem As Object, ByVal aValue As BT_MultiComboBox) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If Not String.IsNullOrEmpty(aValue.Text) Then
						aDtItem = aValue.Text
						lRet = True
					End If
				Case aDtItem.ToString <> aValue.Text
					aDtItem = aValue.Text
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセット 数値型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_Integer(ByRef aDtItem As Object, ByVal aValue As Nullable(Of Integer)) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					If (aValue Is Nothing) = False Then
						aDtItem = aValue
						lRet = True
					End If
				Case aValue Is Nothing
					If Not IsDBNull(aDtItem) Then
						aDtItem = DBNull.Value
						lRet = True
					End If
				Case aDtItem <> aValue
					aDtItem = aValue
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataTableセット Boolean型処理
	''' </summary>
	''' <param name="aDtItem">データテーブルの項目</param>
	''' <param name="aValue">設定する値</param>
	''' <returns>変更の成否</returns>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setDtTableField_Checked(ByRef aDtItem As Object, ByVal aValue As Boolean) As Boolean
		Dim lRet As Boolean = False
		Try
			Select Case True
				Case IsDBNull(aDtItem)
					aDtItem = setCheckBoxValue(aValue)
					lRet = True
				Case aDtItem <> setCheckBoxValue(aValue)
					aDtItem = setCheckBoxValue(aValue)
					lRet = True
				Case Else
			End Select
			Return lRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術、検査、処置のICD9CM内容チェック＆科歴更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub chkBloodTran(ByRef db As clsDB, ByVal aPatientNo As String, ByVal aHspHistoryNo As Integer, ByVal aChNo As Integer)
		Dim lRet As Boolean = False
		Dim arData As ArrayList = Nothing
		Dim datCount As datRetCountInfo = Nothing
		Try
			arData = New ArrayList()
			With db
				'手術テーブル
				.setSQL(sqlMENCOMMON.sqlBLOOD_TRAN_CHK)
				.setParam(sqlMENCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMENCOMMON.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setParam(sqlMENCOMMON.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setParam(sqlMENCOMMON.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMENCOMMON.prmPATIENT_NO, aPatientNo)
				.setVal(sqlMENCOMMON.prmHSP_HISTORY_NO, aHspHistoryNo, False)
				.setVal(sqlMENCOMMON.prmCH_NO, aChNo, False)
				.setVal(sqlMENCOMMON.prmICD9CM_CD, CONST_BLOOD_TRAN_ICD9CM_CODE)
				'値取得
				.execQuery(GetType(datRetCountInfo), arData, False)
				If arData.Count <> 0 Then
					If CType(arData(0), datRetCountInfo).CNT <> 0 Then
						.setSQL(sqlMENCOMMON.sqlMtiCh_BLOOD_TRAN_CHK_UPD)
						.setParam(sqlMENCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMENCOMMON.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMENCOMMON.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMENCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMENCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
						.setParam(sqlMENCOMMON.prmBLOOD_TRAN_CHK, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMENCOMMON.prmBLOOD_TRAN_CHK, CStr(clsConst.Enum_Chk.ChkOn))
						.setVal(sqlMENCOMMON.prmPATIENT_NO, aPatientNo)
						.setVal(sqlMENCOMMON.prmHSP_HISTORY_NO, aHspHistoryNo, False)
						.setVal(sqlMENCOMMON.prmCH_NO, aChNo, False)
						.setVal(sqlMENCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
						.setVal(sqlMENCOMMON.prmLASTUPD_DT, Now)
						.execNonQuery(False)
					End If
				End If
			End With
		Catch ex As Exception
			Throw
		Finally
			datCount = Nothing
			arData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DataRow より科歴情報クラスを作成
	''' </summary>
	''' <param name="pRow">科歴情報 DataRow</param>
	''' <returns>科歴情報＋名称クラス</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getChRecFromDataRow(ByVal pRow As DataRow) As datMTI_CH_PLUS_OneRec
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "診療情報管理", "共通クラス", "DataRow より科歴情報クラスを作成 Start")
		Dim retDat As datMTI_CH_PLUS_OneRec = Nothing
		Dim hType As Type = Nothing
		Dim hFieldInfos As FieldInfo() = Nothing
		Dim objValue As Object = Nothing
		Dim bSetValue As Boolean = False
		Try
			' DataRow 無しの場合
			If pRow Is Nothing OrElse pRow.Table.Columns.Count = 0 Then
				Return Nothing
			End If

			' インスタンス生成
			retDat = New datMTI_CH_PLUS_OneRec

			' クラス要素の取得
			hType = retDat.GetType
			hFieldInfos = hType.GetFields(BindingFlags.GetField Or BindingFlags.Public Or BindingFlags.Instance Or BindingFlags.DeclaredOnly)

			' 値の取得および設定
			For Each aFieldInfo As FieldInfo In hFieldInfos
				' 値を取得
				If Not pRow.Table.Columns.Contains(aFieldInfo.Name) Then
					Continue For
				End If
				objValue = pRow(aFieldInfo.Name)
				' 値を設定
				If objValue IsNot Nothing AndAlso objValue IsNot DBNull.Value Then
					hType.InvokeMember(aFieldInfo.Name, _
						BindingFlags.SetField Or BindingFlags.Public Or BindingFlags.Instance Or BindingFlags.DeclaredOnly, _
						Nothing, _
						retDat, _
						New Object() {objValue})
					bSetValue = True
				End If
			Next
			If bSetValue Then
				Return retDat
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			hType = Nothing
			hFieldInfos = Nothing
			objValue = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報より入退院情報を取得
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>入退院情報＋名称クラス</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHspRecFromChInfo(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer) As datMTI_HSP_PLUS_OneRec
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "診療情報管理", "共通クラス", "科歴情報より入退院情報を取得 Start")
		Dim retDat As datMTI_HSP_PLUS_OneRec = Nothing
		Dim arDataCh As ArrayList = Nothing							'１入退院分の科歴情報
		Dim datHspRec As datMTI_HSP_PLUS_OneRec = Nothing			'現在の入退院情報
		Dim datChRecHsp As datMTI_CH_PLUS_OneRec = Nothing			'入院の科歴情報
		Dim datChRecOutHsp As datMTI_CH_PLUS_OneRec = Nothing		'退院の科歴情報
		Dim datChRecMainDpm As datMTI_CH_PLUS_OneRec = Nothing		'主科の科歴情報
		Dim datChRecLast As datMTI_CH_PLUS_OneRec = Nothing			'最終の科歴情報
		Dim datChRecWork As datMTI_CH_PLUS_OneRec = Nothing			'作業用
		Dim intTotalMedCost As Integer = 0							'医療費合計
		Dim intHspDays As Integer = 0								'在院日数
		Dim datHspMedCost As datMTI_MED_COST_OneRec = Nothing		'入院単位の医療費情報
		Dim arChMedCost As ArrayList = Nothing						'診療科単位の医療費情報
		Dim arMedCostItem As ArrayList = Nothing					'医療費項目マスタ
		Dim iChkOn As Integer = clsConst.Enum_Chk.ChkOn
		Dim iChkOff As Integer = clsConst.Enum_Chk.ChkOff
		Dim intFixedCd As Integer = 0
		Dim intEnv As Integer = 0
		Dim iRet As Long = 0
		Try
			' １入退院分の科歴情報＋名称を取得
			Using cliCh As clsMTI_CH = New clsMTI_CH
				arDataCh = cliCh.getChPlusHsp(db, pPatientNo, pHspHistoryNo)
			End Using

			' 科歴情報無しの場合、処理しない
			If arDataCh Is Nothing OrElse arDataCh.Count = 0 Then
				Return Nothing
			End If

			' 現在の入退院情報＋名称を取得
			Using cliHsp As clsMTI_HSP = New clsMTI_HSP
				datHspRec = cliHsp.getHspPlusOneRec(db, pPatientNo, pHspHistoryNo)
			End Using

			' インスタンス生成
			retDat = New datMTI_HSP_PLUS_OneRec

			' 先に入退院情報の有無コードを初期化
			With retDat
				' 転科有無コード＝「無し」
				.CHANGE_DEPT_CHK = iChkOff.ToString
				.CHANGE_DEPT_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOff)
				' 兼科有無コード＝「無し」
				.HOLD_DEPT_CHK = iChkOff.ToString
				.HOLD_DEPT_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOff)
				' 治験実施有無コード＝「無し」
				.CLINICAL_TRIAL_CHK = iChkOff.ToString
				.CLINICAL_TRIAL_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOff)
				' 院内感染症有無コード＝「無し」
				.HSP_INFECTION_CHK = iChkOff.ToString
				.HSP_INFECTION_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOff)
			End With

			' 科歴情報の収集
			For Each datChRec As datMTI_CH_PLUS_OneRec In arDataCh
				' 入院・退院・主科・最終
				If datChRec.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
					' 入院
					datChRecHsp = datChRec
				End If
				If datChRec.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
					' 退院
					datChRecOutHsp = datChRec
				End If
				If datChRec.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
					' 主科
					datChRecMainDpm = datChRec
				End If
				If datChRecLast Is Nothing Then
					' 最終
					datChRecLast = datChRec
				End If

				' 先に入退院情報の有無コードを設定
				With retDat
					' 開始経路コードより
					intFixedCd = 0
					If Integer.TryParse(datChRec.START_CNL_FIXED_CD, intFixedCd) Then
						Select Case intFixedCd
							Case clsConst.Enum_HspChannel_Fix1.ChangeDept
								' 開始経路コードに「転科」の入院経路コードがある場合、転科有無コード＝「有り」
								.CHANGE_DEPT_CHK = iChkOn.ToString
								.CHANGE_DEPT_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOn)
							Case clsConst.Enum_HspChannel_Fix1.HoldDept
								' 開始経路コードに「兼科」の入院経路コードがある場合、兼科有無コード＝「有り」
								.HOLD_DEPT_CHK = iChkOn.ToString
								.HOLD_DEPT_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOn)
							Case Else
						End Select
					End If
					' 治験実施有無コードに「有り」がある場合
					If datChRec.CLINICAL_TRIAL_CHK = iChkOn.ToString Then
						' 治験実施有無コード＝「有り」
						.CLINICAL_TRIAL_CHK = iChkOn.ToString
						.CLINICAL_TRIAL_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOn)
					End If
					' 院内感染症有無コードに「有り」がある場合
					If datChRec.HSP_INFECTION_CHK = iChkOn.ToString Then
						' 院内感染症有無コード＝「有り」
						.HSP_INFECTION_CHK = iChkOn.ToString
						.HSP_INFECTION_CHK_NM = getExistDisp(clsConst.Enum_Chk.ChkOn)
					End If
				End With

				' 先に科歴情報の医療費合計を合算
				intTotalMedCost += datChRec.TOTAL_MED_COST

				' 先に兼科以外の科歴情報の在院日数を合算
				If intFixedCd <> clsConst.Enum_HspChannel_Fix1.HoldDept Then
					intHspDays += datChRec.HSP_DAYS
				End If
			Next

			' 収集した科歴情報より入退院情報を設定
			With retDat
				' 退院がある場合の主科、もしくは科歴番号が最終の科歴情報より更新
				If datChRecOutHsp IsNot Nothing Then
					datChRecWork = datChRecMainDpm
				Else
					datChRecWork = datChRecLast
				End If
				If datChRecWork IsNot Nothing Then
					' 病歴番号
					.BYOREKI_NO = datChRecWork.BYOREKI_NO
					' 診療科コード
					.DEPT_CD = datChRecWork.DEPT_CD
					.DEPT_NM = datChRecWork.DEPT_NM
					.DEPT_RNM = datChRecWork.DEPT_RNM
					' 病棟コード
					.WARD_CD = datChRecWork.WARD_CD
					.WARD_NM = datChRecWork.WARD_NM
					.WARD_RNM = datChRecWork.WARD_RNM
					' 医師コード
					.DOCTOR_CD = datChRecWork.DOCTOR_CD
					.DOCTOR_NM = datChRecWork.DOCTOR_NM
				Else
					.BYOREKI_NO = Nothing
					.DEPT_CD = Nothing
					.DEPT_NM = Nothing
					.DEPT_RNM = Nothing
					.WARD_CD = Nothing
					.WARD_NM = Nothing
					.WARD_RNM = Nothing
					.DOCTOR_CD = Nothing
					.DOCTOR_NM = Nothing
				End If

				' 入院の科歴情報より更新
				If datChRecHsp IsNot Nothing Then
					' 入院経路コード←開始経路コード
					.HSP_CNL_CD = datChRecHsp.START_CNL_CD
					.HSP_CNL_NM = datChRecHsp.START_CNL_NM
					.HSP_CNL_RNM = datChRecHsp.START_CNL_RNM
					.HSP_CNL_FIXED_CD = datChRecHsp.START_CNL_FIXED_CD
					' 入院目的コード
					.HSP_AIM_CD = datChRecHsp.HSP_AIM_CD
					' 入院形態コード
					.HSP_FORM_CD = datChRecHsp.HSP_FORM_CD
					' 入院日←開始日
					.HSP_DT = datChRecHsp.START_DT
					' 入院時刻←開始時刻
					.HSP_TIME = datChRecHsp.START_TIME
					' 入院時年齢←開始時年齢
					.HSP_AGE = datChRecHsp.START_AGE
					' 入院時月齢←開始時月齢
					.HSP_MONTH_AGE = datChRecHsp.START_MONTH_AGE
					' 入院時日齢←開始時日齢
					.HSP_DAY_AGE = datChRecHsp.START_DAY_AGE
					' 救急車搬送有無コード
					.TAKE_AMBULANCE_CHK = datChRecHsp.TAKE_AMBULANCE_CHK
					.TAKE_AMBULANCE_CHK_NM = datChRecHsp.TAKE_AMBULANCE_CHK_NM
					' 予定緊急コード
					.PLAN_EMERGENCY_CD = datChRecHsp.PLAN_EMERGENCY_CD
					.PLAN_EMERGENCY_NM = datChRecHsp.PLAN_EMERGENCY_NM
					' 身長
					.STATURE = datChRecHsp.STATURE
					' 体重
					.WEIGHT = datChRecHsp.WEIGHT
					' 時間外フラグ
					.TIME_OUT_FLG = datChRecHsp.TIME_OUT_FLG
'(A) STR V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
					'' 紹介元コード
					.INTRODUCED_CD = datChRecHsp.INTRODUCED_CD
					' 紹介元名
					.INTRODUCED_NM = datChRecHsp.INTRODUCED_NM
					' 紹介元医師名
					.INTRODUCED_DOCTOR_NM = datChRecHsp.INTRODUCED_DOCTOR_NM
					' 紹介元備考
					.INTRODUCED_REMARKS = datChRecHsp.INTRODUCED_REMARKS
'(A) END V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
				Else
					.HSP_CNL_CD = Nothing
					.HSP_CNL_NM = Nothing
					.HSP_CNL_RNM = Nothing
					.HSP_CNL_FIXED_CD = Nothing
					.HSP_AIM_CD = Nothing
					.HSP_FORM_CD = Nothing
					.HSP_DT = Nothing
					.HSP_TIME = Nothing
					.HSP_AGE = Nothing
					.HSP_MONTH_AGE = Nothing
					.HSP_DAY_AGE = Nothing
					.TAKE_AMBULANCE_CHK = Nothing
					.TAKE_AMBULANCE_CHK_NM = Nothing
					.PLAN_EMERGENCY_CD = Nothing
					.PLAN_EMERGENCY_NM = Nothing
					.STATURE = Nothing
					.WEIGHT = Nothing
					.TIME_OUT_FLG = Nothing
'(A) STR V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
					.INTRODUCED_CD = Nothing
					.INTRODUCED_NM = Nothing
					.INTRODUCED_DOCTOR_NM = Nothing
					.INTRODUCED_REMARKS = Nothing
'(A) END V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
				End If

				' 退院の科歴情報より更新
				If datChRecOutHsp IsNot Nothing Then
					' 退院日←終了日
					.OUT_HSP_DT = datChRecOutHsp.END_DT
					' 退院時刻←終了時刻
					.OUT_HSP_TIME = datChRecOutHsp.END_TIME
					' 退院時年齢←終了時年齢
					.OUT_HSP_AGE = datChRecOutHsp.END_AGE
					' 退院時月齢←終了時月齢
					.OUT_HSP_MONTH_AGE = datChRecOutHsp.END_MONTH_AGE
					' 退院時日齢←終了時日齢
					.OUT_HSP_DAY_AGE = datChRecOutHsp.END_DAY_AGE
					' 退院経路コード←終了経路コード
					.OUT_HSP_CNL_CD = datChRecOutHsp.END_CNL_CD
					.OUT_HSP_CNL_NM = datChRecOutHsp.END_CNL_NM
					.OUT_HSP_CNL_RNM = datChRecOutHsp.END_CNL_RNM
					.OUT_HSP_CNL_FIXED_CD = datChRecOutHsp.END_CNL_FIXED_CD
					' 退院転帰コード←終了転帰コード
					.OUT_HSP_OUTCOME_CD = datChRecOutHsp.END_OUTCOME_CD
					.OUT_HSP_OUTCOME_NM = datChRecOutHsp.END_OUTCOME_NM
					.OUT_HSP_OUTCOME_RNM = datChRecOutHsp.END_OUTCOME_RNM
					.OUT_HSP_OUTCOME_FIXED_CD = datChRecOutHsp.END_OUTCOME_FIXED_CD
'(A) STR V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
					' 紹介先コード
					.REFERENCE_CD = datChRecOutHsp.REFERENCE_CD
					' 紹介先名
					.REFERENCE_NM = datChRecOutHsp.REFERENCE_NM
					' 紹介先医師名
					.REFERENCE_DOCTOR_NM = datChRecOutHsp.REFERENCE_DOCTOR_NM
					' 紹介先備考
					.REFERENCE_REMARKS = datChRecOutHsp.REFERENCE_REMARKS
'(A) END V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
				Else
					.OUT_HSP_DT = Nothing
					.OUT_HSP_TIME = Nothing
					.OUT_HSP_AGE = Nothing
					.OUT_HSP_MONTH_AGE = Nothing
					.OUT_HSP_DAY_AGE = Nothing
					.OUT_HSP_CNL_CD = Nothing
					.OUT_HSP_CNL_NM = Nothing
					.OUT_HSP_CNL_RNM = Nothing
					.OUT_HSP_CNL_FIXED_CD = Nothing
					.OUT_HSP_OUTCOME_CD = Nothing
					.OUT_HSP_OUTCOME_NM = Nothing
					.OUT_HSP_OUTCOME_RNM = Nothing
					.OUT_HSP_OUTCOME_FIXED_CD = Nothing
'(A) STR V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
					.REFERENCE_CD = Nothing
					.REFERENCE_NM = Nothing
					.REFERENCE_DOCTOR_NM = Nothing
					.REFERENCE_REMARKS = Nothing
'(A) END V4-99999-000 018 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
				End If

				' 動作環境設定の入退院情報で再入院フラグの基準となる科歴情報（主科 or 入院）より更新
				If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009), intEnv) Then
					intEnv = 0
				End If
				Select Case intEnv
					Case clsConst.Enum_HspReadMissionStdCh.MainCh
						' 主科
						datChRecWork = datChRecMainDpm
					Case clsConst.Enum_HspReadMissionStdCh.Hsp
						' 入院
						datChRecWork = datChRecHsp
					Case Else
						datChRecWork = Nothing
				End Select
				If datChRecWork IsNot Nothing Then
					' 再入院フラグ
					.READMISSION_FLG = datChRecWork.READMISSION_FLG
					' 再入院フラグ＝オンの場合のみ、
					If .READMISSION_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						' 前回自他院区分
						.LAST_SELF_OTHER_HSP_DIV = datChRecWork.LAST_SELF_OTHER_HSP_DIV
						' 前回退院日
						.LAST_OUT_HSP_DT = datChRecWork.LAST_OUT_HSP_DT
					Else
						.LAST_SELF_OTHER_HSP_DIV = Nothing
						.LAST_OUT_HSP_DT = Nothing
					End If
					' 疾病再入院フラグ
					.DISEASE_READMISSION_FLG = datChRecWork.DISEASE_READMISSION_FLG
					' 疾病再入院フラグ＝オンの場合のみ、
					If .DISEASE_READMISSION_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						' 同一疾病前回退院日
						.SAME_DISEASE_LAST_HSP_DT = datChRecWork.SAME_DISEASE_LAST_HSP_DT
					Else
						.SAME_DISEASE_LAST_HSP_DT = Nothing
					End If
				Else
					.READMISSION_FLG = Nothing
					.LAST_SELF_OTHER_HSP_DIV = Nothing
					.LAST_OUT_HSP_DT = Nothing
					.DISEASE_READMISSION_FLG = Nothing
					.SAME_DISEASE_LAST_HSP_DT = Nothing
				End If

				' 動作環境設定の転科有無の修正＝修正可、且つ、(更新前)転科有無コード＝「有り」の場合
				If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00097) = iChkOn.ToString AndAlso _
				   datHspRec IsNot Nothing AndAlso _
				   datHspRec.CHANGE_DEPT_CHK = iChkOn.ToString Then
					' 転科有無コードは更新しない
					.CHANGE_DEPT_CHK = datHspRec.CHANGE_DEPT_CHK
					.CHANGE_DEPT_CHK_NM = datHspRec.CHANGE_DEPT_CHK_NM
				End If

				' 在院日数の計算
				If Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008), intEnv) AndAlso _
				   intEnv = clsConst.Enum_HspStayDaysCalc.StayDaysSum Then
					' 動作環境設定の入退院歴在院日数＝科歴の在院日数の合計（兼科は除く）の場合、合算した在院日数を設定
					If Not .HSP_DT.Equals(Nothing) AndAlso Not .OUT_HSP_DT.Equals(Nothing) Then
						.HSP_DAYS = intHspDays
					Else
						.HSP_DAYS = 0
					End If
				Else
					' 動作環境設定の入退院歴在院日数＝科歴の在院日数の計算に従うの場合、入院日と退院日より在院日数を計算
					If Integer.TryParse(calcDateTime(Enum_Mode.eDate, .HSP_DT, .OUT_HSP_DT, .HSP_TIME, .OUT_HSP_TIME, clsConst.Enum_CheckBox_Flg.CheckOn), intHspDays) Then
						.HSP_DAYS = intHspDays
					Else
						.HSP_DAYS = 0
					End If
				End If

				' 動作環境設定の医療費の登録方法より、医療費合計、医療費数を更新
				If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012), intEnv) Then
					intEnv = clsConst.Enum_MedCostInput.NoInput
				End If
				Select Case intEnv
					Case clsConst.Enum_MedCostInput.NoInput
						' 登録しないの場合、更新しない
					Case clsConst.Enum_MedCostInput.HspNoDetail, clsConst.Enum_MedCostInput.HspDetail
						' １入院単位の場合、更新前より取得する
						If datHspRec IsNot Nothing Then
							' 医療費合計、医療費数
							.TOTAL_MED_COST = datHspRec.TOTAL_MED_COST
							.MED_COST_COUNT = datHspRec.MED_COST_COUNT
						End If
					Case clsConst.Enum_MedCostInput.HspDeptNoDetail, clsConst.Enum_MedCostInput.HspDeptDetail
						' １入院１診療科単位の場合、
						Using cliMedCost As clsMTI_MED_COST = New clsMTI_MED_COST
							' １入退院分の医療費情報を取得
							arChMedCost = cliMedCost.getMedCostHsp(db, pPatientNo, pHspHistoryNo)
							' 入院単位の医療費情報を取得
							datHspMedCost = getHspMedCostRecFromArray(arChMedCost)
							' 医療費情報を削除→追加、医療費数を更新
							cliMedCost.execDelMedCostOneRec(db, pPatientNo, pHspHistoryNo, 0)
							iRet = cliMedCost.execInsMedCostOneRec(db, datHspMedCost)
						End Using
						Select Case iRet
							Case 0
								' 医療費情報を追加しなかった場合、科歴情報の医療費合計を合算
								.TOTAL_MED_COST = intTotalMedCost
							Case Is > 0
								' 医療費情報を追加できた場合、医療費項目マスタを取得
								Using cliMedCostItemMst As clsMTM_MED_COST_ITM = New clsMTM_MED_COST_ITM
									arMedCostItem = cliMedCostItemMst.getMedCostItmInfo(db)
								End Using
								' 医療費項目マスタより合計対象の医療費を合算する
								intTotalMedCost = 0
								getTotalMedCostFromMedCostRec(datHspMedCost, arMedCostItem, intTotalMedCost)
								' 医療費合計、医療費数
								.TOTAL_MED_COST = intTotalMedCost
								.MED_COST_COUNT = 1
							Case Else
						End Select
					Case Else
				End Select

				' 更新前より
				If datHspRec IsNot Nothing Then
					' キー項目
					.PATIENT_NO = datHspRec.PATIENT_NO
					.HSP_HISTORY_NO = datHspRec.HSP_HISTORY_NO
					' ＤＰＣ番号
					.DPC_NO = datHspRec.DPC_NO
					' 統計対象外フラグ
					.EXCLUDE_STATISTICS_FLG = datHspRec.EXCLUDE_STATISTICS_FLG
					' 備考
					.REMARKS = datHspRec.REMARKS
					' 一般病棟以外からの移動有無コード
					.HSP_FREEITEM1 = datHspRec.HSP_FREEITEM1
					' 一般病棟以外への移動有無コード
					.HSP_FREEITEM2 = datHspRec.HSP_FREEITEM2
					' 入退院有無コード３～６
					.HSP_FREEITEM3 = datHspRec.HSP_FREEITEM3
					.HSP_FREEITEM4 = datHspRec.HSP_FREEITEM4
					.HSP_FREEITEM5 = datHspRec.HSP_FREEITEM5
					.HSP_FREEITEM6 = datHspRec.HSP_FREEITEM6
					' データ取込日
					.DATA_CAPTURE_DT = datHspRec.DATA_CAPTURE_DT
					' 新規登録日
					.NEW_REG_DT = datHspRec.NEW_REG_DT
				Else
					' キー項目
					.PATIENT_NO = datChRecLast.PATIENT_NO
					.HSP_HISTORY_NO = datChRecLast.HSP_HISTORY_NO
					' 新規登録日
					.NEW_REG_DT = Now()
				End If
				' 更新者コード
				.LASTUPDUSER_CD = clsSysMst.getLoginId
				' 最終更新日
				.LASTUPD_DT = Now()
			End With
			Return retDat
		Catch ex As Exception
			Throw
		Finally
			arDataCh = Nothing
			datHspRec = Nothing
			datChRecHsp = Nothing
			datChRecOutHsp = Nothing
			datChRecMainDpm = Nothing
			datChRecLast = Nothing
			datChRecWork = Nothing
			datHspMedCost = Nothing
			arChMedCost = Nothing
			arMedCostItem = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報より基本情報の最終退院日を更新
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updBasicInfoLastLeftHspDt(ByVal db As clsDB, ByVal pPatientNo As String) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "診療情報管理", "共通クラス", "入退院情報より基本情報の最終退院日を更新 Start")
		Dim arDataHsp As ArrayList = Nothing
		Dim dtLastLeftHsp As Date = Nothing
		Try
			' 入退院情報より最終の退院日を取得
			Using cliHsp As clsMTI_HSP = New clsMTI_HSP
				arDataHsp = cliHsp.getHspPatient(db, pPatientNo)
			End Using
			For Each dbDataHsp As datMTI_HSP_OneRec In arDataHsp
				Select Case True
					Case dbDataHsp.OUT_HSP_DT.Equals(Nothing)
						' 退院日が未入力がある場合、最終退院日は未設定
						dtLastLeftHsp = Nothing
						Exit For
					Case Date.Compare(dtLastLeftHsp, dbDataHsp.OUT_HSP_DT) < 0
						' 最終退院日＜退院日の場合、最終退院日 ← 退院日
						dtLastLeftHsp = dbDataHsp.OUT_HSP_DT
					Case Else
				End Select
			Next

			' 基本情報の最終退院日を更新
			With db
				.setSQL(sqlMENCOMMON.sqlUpdBasicInfo_LastLeftHspDt)

				.setParam(sqlMENCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
				.setParam(sqlMENCOMMON.prmLASTLEFTHSP_DT, clsDB.Enum_dbType.dbDateTime)	'最終退院日
				.setParam(sqlMENCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	'更新者コード
				.setParam(sqlMENCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日

				.setVal(sqlMENCOMMON.prmPATIENT_NO, pPatientNo)
				.setVal(sqlMENCOMMON.prmLASTLEFTHSP_DT, dtLastLeftHsp)
				.setVal(sqlMENCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setVal(sqlMENCOMMON.prmLASTUPD_DT, Now())

				Return .execNonQuery(False)
			End With
		Catch ex As Exception
			Throw
		Finally
			arDataHsp = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療科単位の医療費情報より入院単位の医療費情報を取得
	''' </summary>
	''' <param name="pMedCostRecArray">１入退院分の医療費情報クラス</param>
	''' <returns>医療費情報クラス</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHspMedCostRecFromArray(ByVal pMedCostRecArray As ArrayList) As datMTI_MED_COST_OneRec
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "診療情報管理", "共通クラス", "診療科単位の医療費情報より入院単位の医療費情報を取得 Start")
		Dim retDat As datMTI_MED_COST_OneRec = Nothing
		Dim datHspMedCostRec As datMTI_MED_COST_OneRec = Nothing		'現在の入院単位の医療費情報
		Dim datChMedCostRecLast As datMTI_MED_COST_OneRec = Nothing		'最終
		Dim decMedCost(45) As Decimal									'医療費ワーク
		Try
			' 診療科単位の医療費情報無しの場合
			If pMedCostRecArray Is Nothing OrElse pMedCostRecArray.Count = 0 Then
				Return Nothing
			End If

			' 診療科単位の医療費情報の収集
			For Each datChRec As datMTI_MED_COST_OneRec In pMedCostRecArray
				If datChRec.CH_NO = 0 Then
					' 現在の入院単位の医療費情報
					datHspMedCostRec = datChRec
					' 次のレコードへ
					Continue For
				End If
				' 医療費０１～４５をそれぞれ合算
				decMedCost(1) += datChRec.MED_COST01
				decMedCost(2) += datChRec.MED_COST02
				decMedCost(3) += datChRec.MED_COST03
				decMedCost(4) += datChRec.MED_COST04
				decMedCost(5) += datChRec.MED_COST05
				decMedCost(6) += datChRec.MED_COST06
				decMedCost(7) += datChRec.MED_COST07
				decMedCost(8) += datChRec.MED_COST08
				decMedCost(9) += datChRec.MED_COST09
				decMedCost(10) += datChRec.MED_COST10
				decMedCost(11) += datChRec.MED_COST11
				decMedCost(12) += datChRec.MED_COST12
				decMedCost(13) += datChRec.MED_COST13
				decMedCost(14) += datChRec.MED_COST14
				decMedCost(15) += datChRec.MED_COST15
				decMedCost(16) += datChRec.MED_COST16
				decMedCost(17) += datChRec.MED_COST17
				decMedCost(18) += datChRec.MED_COST18
				decMedCost(19) += datChRec.MED_COST19
				decMedCost(20) += datChRec.MED_COST20
				decMedCost(21) += datChRec.MED_COST21
				decMedCost(22) += datChRec.MED_COST22
				decMedCost(23) += datChRec.MED_COST23
				decMedCost(24) += datChRec.MED_COST24
				decMedCost(25) += datChRec.MED_COST25
				decMedCost(26) += datChRec.MED_COST26
				decMedCost(27) += datChRec.MED_COST27
				decMedCost(28) += datChRec.MED_COST28
				decMedCost(29) += datChRec.MED_COST29
				decMedCost(30) += datChRec.MED_COST30
				decMedCost(31) += datChRec.MED_COST31
				decMedCost(32) += datChRec.MED_COST32
				decMedCost(33) += datChRec.MED_COST33
				decMedCost(34) += datChRec.MED_COST34
				decMedCost(35) += datChRec.MED_COST35
				decMedCost(36) += datChRec.MED_COST36
				decMedCost(37) += datChRec.MED_COST37
				decMedCost(38) += datChRec.MED_COST38
				decMedCost(39) += datChRec.MED_COST39
				decMedCost(40) += datChRec.MED_COST40
				decMedCost(41) += datChRec.MED_COST41
				decMedCost(42) += datChRec.MED_COST42
				decMedCost(43) += datChRec.MED_COST43
				decMedCost(44) += datChRec.MED_COST44
				decMedCost(45) += datChRec.MED_COST45
				' 最終
				datChMedCostRecLast = datChRec
			Next

			' 入院単位の医療費情報
			retDat = New datMTI_MED_COST_OneRec
			With retDat
				' 合算した医療費０１～４５を設定
				.MED_COST01 = setMedCostLimit(decMedCost(1))
				.MED_COST02 = setMedCostLimit(decMedCost(2))
				.MED_COST03 = setMedCostLimit(decMedCost(3))
				.MED_COST04 = setMedCostLimit(decMedCost(4))
				.MED_COST05 = setMedCostLimit(decMedCost(5))
				.MED_COST06 = setMedCostLimit(decMedCost(6))
				.MED_COST07 = setMedCostLimit(decMedCost(7))
				.MED_COST08 = setMedCostLimit(decMedCost(8))
				.MED_COST09 = setMedCostLimit(decMedCost(9))
				.MED_COST10 = setMedCostLimit(decMedCost(10))
				.MED_COST11 = setMedCostLimit(decMedCost(11))
				.MED_COST12 = setMedCostLimit(decMedCost(12))
				.MED_COST13 = setMedCostLimit(decMedCost(13))
				.MED_COST14 = setMedCostLimit(decMedCost(14))
				.MED_COST15 = setMedCostLimit(decMedCost(15))
				.MED_COST16 = setMedCostLimit(decMedCost(16))
				.MED_COST17 = setMedCostLimit(decMedCost(17))
				.MED_COST18 = setMedCostLimit(decMedCost(18))
				.MED_COST19 = setMedCostLimit(decMedCost(19))
				.MED_COST20 = setMedCostLimit(decMedCost(20))
				.MED_COST21 = setMedCostLimit(decMedCost(21))
				.MED_COST22 = setMedCostLimit(decMedCost(22))
				.MED_COST23 = setMedCostLimit(decMedCost(23))
				.MED_COST24 = setMedCostLimit(decMedCost(24))
				.MED_COST25 = setMedCostLimit(decMedCost(25))
				.MED_COST26 = setMedCostLimit(decMedCost(26))
				.MED_COST27 = setMedCostLimit(decMedCost(27))
				.MED_COST28 = setMedCostLimit(decMedCost(28))
				.MED_COST29 = setMedCostLimit(decMedCost(29))
				.MED_COST30 = setMedCostLimit(decMedCost(30))
				.MED_COST31 = setMedCostLimit(decMedCost(31))
				.MED_COST32 = setMedCostLimit(decMedCost(32))
				.MED_COST33 = setMedCostLimit(decMedCost(33))
				.MED_COST34 = setMedCostLimit(decMedCost(34))
				.MED_COST35 = setMedCostLimit(decMedCost(35))
				.MED_COST36 = setMedCostLimit(decMedCost(36))
				.MED_COST37 = setMedCostLimit(decMedCost(37))
				.MED_COST38 = setMedCostLimit(decMedCost(38))
				.MED_COST39 = setMedCostLimit(decMedCost(39))
				.MED_COST40 = setMedCostLimit(decMedCost(40))
				.MED_COST41 = setMedCostLimit(decMedCost(41))
				.MED_COST42 = setMedCostLimit(decMedCost(42))
				.MED_COST43 = setMedCostLimit(decMedCost(43))
				.MED_COST44 = setMedCostLimit(decMedCost(44))
				.MED_COST45 = setMedCostLimit(decMedCost(45))
				' 更新前より
				If datHspMedCostRec IsNot Nothing Then
					' キー項目
					.PATIENT_NO = datHspMedCostRec.PATIENT_NO
					.HSP_HISTORY_NO = datHspMedCostRec.HSP_HISTORY_NO
					.CH_NO = datHspMedCostRec.CH_NO
					' データ取込日
					.DATA_CAPTURE_DT = datHspMedCostRec.DATA_CAPTURE_DT
					' 新規登録日
					.NEW_REG_DT = datHspMedCostRec.NEW_REG_DT
				Else
					' キー項目
					.PATIENT_NO = datChMedCostRecLast.PATIENT_NO
					.HSP_HISTORY_NO = datChMedCostRecLast.HSP_HISTORY_NO
					.CH_NO = 0
					' 新規登録日
					.NEW_REG_DT = Now()
				End If
				' 更新者コード
				.LASTUPDUSER_CD = clsSysMst.getLoginId
				' 最終更新日
				.LASTUPD_DT = Now()
			End With
			Return retDat
		Catch ex As Exception
			Throw
		Finally
			datHspMedCostRec = Nothing
			datChMedCostRecLast = Nothing
			decMedCost = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 合計対象の医療費を合算する
	''' </summary>
	''' <param name="pMedCostRec">医療費情報クラス</param>
	''' <param name="pMedCostItemArray">医療費項目マスタクラス</param>
	''' <param name="pTotalMedCost">医療費合計</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getTotalMedCostFromMedCostRec(ByVal pMedCostRec As datMTI_MED_COST_OneRec, ByVal pMedCostItemArray As ArrayList, ByRef pTotalMedCost As Integer) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "診療情報管理", "共通クラス", "合計対象の医療費を合算 Start")
		Dim retFlg As Boolean = False
		Dim decTotalMedCost As Decimal = 0
		Dim intMedCost() As Integer = {}
		Dim intMedCostCd As Integer = 0
		Try
			' 医療費情報もしくは医療費項目マスタがない場合は処理しない
			If pMedCostRec Is Nothing OrElse pMedCostItemArray Is Nothing Then
				Return False
			End If

			' 医療費を配列化
			With pMedCostRec
				intMedCost = {0, _
							  .MED_COST01, .MED_COST02, .MED_COST03, .MED_COST04, .MED_COST05, _
							  .MED_COST06, .MED_COST07, .MED_COST08, .MED_COST09, .MED_COST10, _
							  .MED_COST11, .MED_COST12, .MED_COST13, .MED_COST14, .MED_COST15, _
							  .MED_COST16, .MED_COST17, .MED_COST18, .MED_COST19, .MED_COST20, _
							  .MED_COST21, .MED_COST22, .MED_COST23, .MED_COST24, .MED_COST25, _
							  .MED_COST26, .MED_COST27, .MED_COST28, .MED_COST29, .MED_COST30, _
							  .MED_COST31, .MED_COST32, .MED_COST33, .MED_COST34, .MED_COST35, _
							  .MED_COST36, .MED_COST37, .MED_COST38, .MED_COST39, .MED_COST40, _
							  .MED_COST41, .MED_COST42, .MED_COST43, .MED_COST44, .MED_COST45}
			End With

			' 医療費項目マスタをがある場合
			For Each datMedCostItem As datMTM_MED_COST_ITM In pMedCostItemArray
				With datMedCostItem
					' 医療費項目名なしは除外
					If String.IsNullOrWhiteSpace(.MED_COST_NM) Then
						Continue For
					End If

					' 合計対象フラグがオンの場合
					If .TOTAL_OBJECT_FLG = clsConst.Enum_CheckBox_Flg.CheckOn AndAlso _
					   Integer.TryParse(.MED_COST_CD, intMedCostCd) AndAlso _
					   intMedCostCd > 0 AndAlso _
					   intMedCostCd < intMedCost.Length Then
						' 医療費を合算する
						decTotalMedCost += intMedCost(intMedCostCd)
						retFlg = True
					End If
				End With
			Next
			If retFlg Then
				pTotalMedCost = setMedCostLimit(decTotalMedCost)
			End If
			Return retFlg
		Catch ex As Exception
			Throw
		Finally
			intMedCost = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費を上限および下限で制限する
	''' </summary>
	''' <param name="pMedCost">医療費</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setMedCostLimit(ByVal pMedCost As Decimal) As Integer
		Try
			Select Case pMedCost
				Case Is > CONST_MEDCOST_MAX
					Return CONST_MEDCOST_MAX
				Case Is < CONST_MEDCOST_MIN
					Return CONST_MEDCOST_MIN
				Case Else
					Return CType(pMedCost, Integer)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤ１０に関する分類コード取得
	''' </summary>
	''' <param name="rIcd10Code">ICD10</param>
	''' <param name="rSyoBunrui">小分類</param>
	''' <param name="rDaiBunrui">大分類</param>
	''' <param name="rTyuBunrui">中分類</param>
	''' <param name="r300Bunrui">３００分類</param>
	''' <param name="raBunrui">Ａ分類</param>
	''' <param name="rbBunrui">Ｂ分類</param>
	''' <param name="rcBunrui">Ｃ分類</param>
	''' <param name="rSinBunrui">死因分類</param>
	''' <remarks>
	''' 2010/11/22 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub getICD10ToByomeiBunruCode(ByRef rIcd10Code As String, ByRef rSyoBunrui As String, ByRef rDaiBunrui As String, _
	   ByRef rTyuBunrui As String, ByRef r300Bunrui As String, ByRef raBunrui As String, ByRef rbBunrui As String, _
	   ByRef rcBunrui As String, ByRef rSinBunrui As String)

		Dim lCcd As String = String.Empty
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'大分類、中分類、小分類コード取得
				Using lDtTable As DataTable = New DataTable
					db.setSQLDa(sqlMENCOMMON.sqlDISEASE_S_GRP)
					db.setParamDa(MEN.sqlMENCOMMON.prmS_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(MEN.sqlMENCOMMON.prmS_GRP_CD, Mid(rIcd10Code & Space(3), 1, 3))
					db.execQueryDa(lDtTable)
					If lDtTable.Rows.Count = 0 Then
						rDaiBunrui = String.Empty
						rTyuBunrui = String.Empty
						rSyoBunrui = String.Empty
					Else
						rDaiBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmL_GRP_CD).ToString
						rTyuBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmM_GRP_CD).ToString
						rSyoBunrui = Mid(rIcd10Code & Space(3), 1, 3)
					End If
				End Using
				Using lDtTable As DataTable = New DataTable
					'Ｃ分類取得
					db.setSQLDa(sqlMENCOMMON.sqlDISEASE_CNV_C_GRP)
					db.setParamDa(MEN.sqlMENCOMMON.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(MEN.sqlMENCOMMON.prmICD10_CD, rSyoBunrui)
					db.execQueryDa(lDtTable)
					If lDtTable.Rows.Count = 0 Then
						r300Bunrui = String.Empty
						rcBunrui = String.Empty
						rSinBunrui = String.Empty
						lCcd = String.Empty
					Else
						r300Bunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmGRP300_CD).ToString
						rcBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmC_GRP_CD).ToString
						rSinBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmDEATH_GRP_CD).ToString
						lCcd = lDtTable.Rows(0).Item(sqlMENCOMMON.itmC_GRP_CD).ToString
					End If
				End Using

				If Len(rIcd10Code) > 3 Then
					Using lDtTable As DataTable = New DataTable
						'Ｃ分類取得（ＩＣＤ１０４桁）
						db.setSQLDa(sqlMENCOMMON.sqlDISEASE_CNV_C_GRP4)
						db.setParamDa(MEN.sqlMENCOMMON.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar)
						db.setValDa(MEN.sqlMENCOMMON.prmICD10_CD, Mid(rIcd10Code & Space(3), 1, 4))
						db.execQueryDa(lDtTable)
						If lDtTable.Rows.Count <> 0 Then
							rcBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmC_GRP_CD).ToString
							lCcd = lDtTable.Rows(0).Item(sqlMENCOMMON.itmC_GRP_CD).ToString
						End If
					End Using
					Using lDtTable As DataTable = New DataTable
						'死因分類取得（ＩＣＤ１０４桁）
						db.setSQLDa(sqlMENCOMMON.sqlDEATH_GRP_4CNV)
						db.setParamDa(MEN.sqlMENCOMMON.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar)
						db.setValDa(MEN.sqlMENCOMMON.prmICD10_CD, Mid(rIcd10Code & Space(3), 1, 4))
						db.execQueryDa(lDtTable)
						If lDtTable.Rows.Count <> 0 Then
							rSinBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmDEATH_GRP_CD).ToString
						End If
					End Using
				End If

				If Not String.IsNullOrEmpty(lCcd) Then
					Using lDtTable As DataTable = New DataTable
						'Ａ，Ｂ、Ｃ分類取得 
						db.setSQLDa(sqlMENCOMMON.sqlDISEASE_CNVT_ABC_DIV)
						db.setParamDa(MEN.sqlMENCOMMON.prmC_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
						db.setValDa(MEN.sqlMENCOMMON.prmC_GRP_CD, lCcd)
						db.execQueryDa(lDtTable)
						If lDtTable.Rows.Count = 0 Then
							raBunrui = String.Empty
							rbBunrui = String.Empty
						Else
							raBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmA_GRP_CD).ToString
							rbBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmB_GRP_CD).ToString
						End If
					End Using
				Else
					raBunrui = String.Empty
					rbBunrui = String.Empty
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			lCcd = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤ９ＣＭに関する分類コード取得
	''' </summary>
	''' <param name="rIcd9Code">ICD9</param>
	''' <param name="rDaiBunrui">大分類</param>
	''' <param name="rTyuBunrui">中分類</param>
	''' <param name="r300Bunrui">３桁分類</param>
	''' <remarks>
	''' 2010/11/22 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub getICD9CMToBunruCode(ByRef rIcd9Code As String, ByRef rDaiBunrui As String, ByRef rTyuBunrui As String, ByRef r300Bunrui As String)
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), lDtTable As DataTable = New DataTable
				If Len(Trim(rIcd9Code)) < 3 Then '２桁のときは空白
					r300Bunrui = ""
				Else
					r300Bunrui = Mid(rIcd9Code, 1, 3)
				End If

				db.setSQLDa(sqlMENCOMMON.sqlOPE_3DIG_GRP)
				db.setParamDa(MEN.sqlMENCOMMON.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(MEN.sqlMENCOMMON.prmM_GRP_CD, Mid(rIcd9Code, 1, 2))
				db.execQueryDa(lDtTable)
				If lDtTable.Rows.Count = 0 Then
					rDaiBunrui = String.Empty
					rTyuBunrui = String.Empty
				Else
					rDaiBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmL_GRP_CD)
					rTyuBunrui = lDtTable.Rows(0).Item(sqlMENCOMMON.itmM_GRP_CD)
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス値を取得
	''' </summary>
	''' <param name="pValue">セットする値</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCheckBoxValue(ByVal pValue As Object) As Boolean
		Try
			Dim intValue As Integer = clsConst.Enum_CheckBox_Flg.CheckOff
			Return (pValue IsNot Nothing) AndAlso _
				Integer.TryParse(pValue.ToString, intValue) AndAlso _
				(intValue = clsConst.Enum_CheckBox_Flg.CheckOn)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 年齢・月齢・日齢のラベルコントロール
	''' </summary>
	''' <param name="pBirthDay">生年月日</param>
	''' <param name="pTarget">対象日</param>
	''' <param name="lblAge">年齢ラベル</param>
	''' <param name="lblMonthAge">月齢ラベル</param>
	''' <param name="lblOpenBracket">カッコ開始</param>
	''' <param name="lblDayAge">日齢ラベル</param>
	''' <param name="lblCloseBracket">カッコ終了</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setAgeLabel(ByVal pBirthDay As Nullable(Of Date), ByVal pTarget As Nullable(Of Date), ByVal lblAge As Label, ByVal lblMonthAge As Label, ByVal lblOpenBracket As Label, ByVal lblDayAge As Label, ByVal lblCloseBracket As Label)
		Dim cliCom As clsCom = Nothing
		Dim intAge As Integer = 0
		Dim intMonthAge As Integer = 0
		Dim intDayAge As Integer = 0
		Try
			' 生年月日＜対象日の場合
			If pBirthDay.HasValue AndAlso _
			   pTarget.HasValue AndAlso _
			   Date.Compare(pBirthDay.Value, pTarget.Value) < 0 Then
				' 指定された日付間の年齢・月齢・日齢を求める
				cliCom = New clsCom
				cliCom.setCalcNenGetuNiti(pBirthDay.Value, pTarget.Value, intAge, intMonthAge, intDayAge)
			End If

			' 年齢・月齢・日齢の表示
			setAgeLabel(intAge, intMonthAge, intDayAge, lblAge, lblMonthAge, lblOpenBracket, lblDayAge, lblCloseBracket)
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 年齢・月齢・日齢のラベルコントロール
	''' </summary>
	''' <param name="pAge">年齢</param>
	''' <param name="pMonthAge">月齢</param>
	''' <param name="pDayAge">日齢</param>
	''' <param name="lblAge">年齢ラベル</param>
	''' <param name="lblMonthAge">月齢ラベル</param>
	''' <param name="lblOpenBracket">カッコ開始</param>
	''' <param name="lblDayAge">日齢ラベル</param>
	''' <param name="lblCloseBracket">カッコ終了</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setAgeLabel(ByVal pAge As Integer, ByVal pMonthAge As Integer, ByVal pDayAge As Integer, ByVal lblAge As Label, ByVal lblMonthAge As Label, ByVal lblOpenBracket As Label, ByVal lblDayAge As Label, ByVal lblCloseBracket As Label)
		Try
			' 年齢・月齢・日齢の表示（ゼロ表示する）
			setAgeLabel(pAge, pMonthAge, pDayAge, lblAge, lblMonthAge, lblOpenBracket, lblDayAge, lblCloseBracket, True)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 年齢・月齢・日齢のラベルコントロール
	''' </summary>
	''' <param name="pAge">年齢</param>
	''' <param name="pMonthAge">月齢</param>
	''' <param name="pDayAge">日齢</param>
	''' <param name="lblAge">年齢ラベル</param>
	''' <param name="lblMonthAge">月齢ラベル</param>
	''' <param name="lblOpenBracket">カッコ開始</param>
	''' <param name="lblDayAge">日齢ラベル</param>
	''' <param name="lblCloseBracket">カッコ終了</param>
	''' <param name="bZeroDisp">ゼロ表示可否</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setAgeLabel(ByVal pAge As Integer, ByVal pMonthAge As Integer, ByVal pDayAge As Integer, ByVal lblAge As Label, ByVal lblMonthAge As Label, ByVal lblOpenBracket As Label, ByVal lblDayAge As Label, ByVal lblCloseBracket As Label, ByVal bZeroDisp As Boolean)
		Dim intAge As Integer = 0
		Dim intMonthAge As Integer = 0
		Dim intDayAge As Integer = 0
		Try
			' 負の値は表示しない
			If pAge < 0 OrElse pMonthAge < 0 OrElse pDayAge < 0 Then
			Else
				intAge = pAge
				intMonthAge = pMonthAge
				intDayAge = pDayAge
			End If
			' 表示
			If bZeroDisp OrElse intAge > 0 OrElse intMonthAge > 0 OrElse intDayAge > 0 Then
				lblAge.Text = intAge.ToString				'年齢
				lblMonthAge.Text = intMonthAge.ToString		'月齢
				' 日齢の表示／非表示
				If intDayAge < clsConst.CST_DAYAGE_MAX Then
					lblOpenBracket.Visible = True			'カッコ開始
					With lblDayAge							'日齢
						.Visible = True
						.Text = intDayAge.ToString
					End With
					lblCloseBracket.Visible = True			'カッコ終了
				Else
					lblOpenBracket.Visible = False			'カッコ開始
					With lblDayAge							'日齢
						.Visible = False
						.Text = clsConst.CST_DAYAGE_MAX.ToString
					End With
					lblCloseBracket.Visible = False			'カッコ終了
				End If
			Else
				lblAge.Text = Nothing						'年齢
				lblMonthAge.Text = Nothing					'月齢
				lblOpenBracket.Visible = True				'カッコ開始
				With lblDayAge								'日齢
					.Visible = True
					.Text = Nothing
				End With
				lblCloseBracket.Visible = True				'カッコ終了
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 日付のフォーマット変換
	''' </summary>
	''' <param name="pValue">セットする値</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDateFormat(ByVal pValue As Object) As String
		Try
			Return getDateFormat(pValue, clsConst.Enum_BirthDtInput.Ad)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 日付のフォーマット変換
	''' </summary>
	''' <param name="pValue">セットする値</param>
	''' <param name="pBirthDtInput">西暦／和暦</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDateFormat(ByVal pValue As Object, ByVal pBirthDtInput As clsConst.Enum_BirthDtInput) As String
		Dim retDate As String = Nothing
		Dim dtWork As Date
		Dim cal As JapaneseCalendar = Nothing
		Try
			If Date.TryParse(pValue.ToString, dtWork) AndAlso Not dtWork.Equals(Nothing) Then
				If pBirthDtInput = clsConst.Enum_BirthDtInput.Jp Then
					' 和暦
					cal = New JapaneseCalendar
					Using cliCalendar As clsCalender = New clsCalender
						retDate = cliCalendar.getGengoHalf(dtWork) & cal.GetYear(dtWork).ToString("00") & "/" & dtWork.ToString("MM/dd")
					End Using
				Else
					' 西暦
					retDate = dtWork.ToString((clsConst.CST_YYYYMMDD_FORMAT))
				End If
			End If
			Return retDate
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス値を設定
	''' </summary>
	''' <param name="pValue">セットする値</param>
	''' <remarks>
	''' 2010/12/27 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setCheckBoxValue(ByVal pValue As Boolean) As Integer
		Try
			If pValue Then
				Return clsConst.Enum_CheckBox_Flg.CheckOn
			Else
				Return clsConst.Enum_CheckBox_Flg.CheckOff
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 術前日数計算処理
	''' </summary>
	''' <param name="aHspDate">入院日</param>
	''' <param name="aStDate">実施日</param>
	''' <returns>計算結果</returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function calcPreOpeDays(ByVal aHspDate As Nullable(Of Date), ByVal aStDate As Nullable(Of Date)) As String
		Dim lDay As String = String.Empty
		Try
			Select Case True
				Case Not aHspDate.HasValue OrElse Not aStDate.HasValue OrElse aHspDate.Value.Equals(Nothing) OrElse aStDate.Value.Equals(Nothing)
					' 入院日および実施日が設定されていない場合、術前日数←ブランク
				Case Else
					' 動作環境設定により術前日数を計算、術前日数←実施日－入院日(マイナスも可)
					lDay = DateDiff(DateInterval.Day, aHspDate.Value, aStDate.Value)
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00078) = clsConst.Enum_PreOpeCalcSel.StartHspPlus Then
						lDay = (lDay + 1).ToString
					End If
					If CInt(lDay) > clsConst.CST_DAYAGE_MAX Then
						lDay = CStr(clsConst.CST_DAYAGE_MAX)
					End If
			End Select
		Catch ex As Exception
			Throw
		End Try
		Return lDay
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 術後日数計算処理
	''' </summary>
	''' <param name="aOutHspDate">退院日</param>
	''' <param name="aEdDate">終了日</param>
	''' <param name="aStDate">実施日</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function calcAfterOpeDays(ByVal aOutHspDate As Nullable(Of Date), ByVal aEdDate As Nullable(Of Date), ByVal aStDate As Nullable(Of Date)) As String
		Try
			If Not aEdDate.HasValue OrElse aEdDate.Value.Equals(Nothing) Then
				' 終了日が設定されていない場合、実施日を使用
				Return calcAfterOpeDays(aOutHspDate, aStDate)
			Else
				' 終了日が設定されている場合、終了日を使用
				Return calcAfterOpeDays(aOutHspDate, aEdDate)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 術後日数計算処理
	''' </summary>
	''' <param name="aOutHspDate">退院日</param>
	''' <param name="aEdDate">終了日</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function calcAfterOpeDays(ByVal aOutHspDate As Nullable(Of Date), ByVal aEdDate As Nullable(Of Date)) As String
		Dim lDay As String = String.Empty
		Try
			Select Case True
				Case Not aOutHspDate.HasValue OrElse Not aEdDate.HasValue OrElse aOutHspDate.Value.Equals(Nothing) OrElse aEdDate.Value.Equals(Nothing)
					' 退院日および終了日が設定されていない場合、術後日数←ブランク
				Case Else
					' 動作環境設定により術後日数を計算、術後日数←退院日－終了日(マイナスも可)
					lDay = DateDiff(DateInterval.Day, aEdDate.Value, aOutHspDate.Value)
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00079) = clsConst.Enum_AfterOpeCalcSel.OutStartPlus Then
						lDay = (lDay + 1).ToString
					End If
					If CInt(lDay) > XCM.clsConst.CST_DAYAGE_MAX Then
						lDay = CStr(XCM.clsConst.CST_DAYAGE_MAX)
					End If
			End Select
		Catch ex As Exception
			Throw
		End Try
		Return lDay
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ対象年度取得
	''' </summary>
	''' <param name="strOutHsp">退院日</param>
	''' <returns>対象年度</returns>
	''' <remarks>
	''' 2011/01/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDpcModelYear(ByVal strOutHsp As String) As String
		Dim dtStartDpc2008 As Date = Nothing
		Dim dtStartDpc2010 As Date = Nothing
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
		Dim dtStartDpc2012 As Date = Nothing
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/17 ID)唐渡 DPC2014対応
		Dim dtStartDpc2014 As Date = Nothing
'(A) END V4-15019-000 003 2014/04/17 ID)唐渡 DPC2014対応
		Dim dtOutHsp As Date = Nothing
		Try
			' DPC2008年度版とDPC2010年度版のそれぞれの適用開始日を取得する
			Select Case False
				Case Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00085), dtStartDpc2008)
					Return Nothing
				Case Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00086), dtStartDpc2010)
					Return Nothing
'(A) STR V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
				Case Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00101), dtStartDpc2012)
					Return Nothing
'(A) END V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 004 2014/04/17 ID)唐渡 DPC2014対応
				Case Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00120), dtStartDpc2014)
					Return Nothing
'(A) END V4-15019-000 004 2014/04/17 ID)唐渡 DPC2014対応
				Case Date.Compare(dtStartDpc2008, dtStartDpc2010) < 0
					Return Nothing
'(A) STR V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
				Case Date.Compare(dtStartDpc2010, dtStartDpc2012) < 0
					Return Nothing
'(A) END V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 004 2014/04/17 ID)唐渡 DPC2014対応
				Case Date.Compare(dtStartDpc2012, dtStartDpc2014) < 0
					Return Nothing
'(A) END V4-15019-000 004 2014/04/17 ID)唐渡 DPC2014対応
				Case Else
			End Select

			' 退院日、もしくはマシン日付を基準日として、ＤＰＣ対象年度を設定する
			If Not Date.TryParse(strOutHsp, dtOutHsp) OrElse dtOutHsp.Equals(Nothing) Then
				dtOutHsp = Today()
			End If
			Select Case True
				Case Date.Compare(dtOutHsp, dtStartDpc2008) < 0
					' 基準日＜DPC2008年度版の適用開始日の場合、対象年度＝2006
					Return CONST_DPC_MODEL_YEAR_2006
				Case Date.Compare(dtOutHsp, dtStartDpc2010) < 0
					' 基準日＜DPC2010年度版の適用開始日の場合、対象年度＝2008
					Return CONST_DPC_MODEL_YEAR_2008
'(A) STR V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
				Case Date.Compare(dtOutHsp, dtStartDpc2012) < 0
					' 基準日＜DPC2012年度版の適用開始日の場合、対象年度＝2010
					Return CONST_DPC_MODEL_YEAR_2010
'(A) END V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 005 2014/04/17 ID)唐渡 DPC2014対応
				Case Date.Compare(dtOutHsp, dtStartDpc2014) < 0
					' 基準日＜DPC2012年度版の適用開始日の場合、対象年度＝2010
					Return CONST_DPC_MODEL_YEAR_2012
'(A) END V4-15019-000 005 2014/04/17 ID)唐渡 DPC2014対応
				Case Else
'(M) STR V4-12031-000 006 2012/06/07 ID)平井 DPC2012対応
'					' 基準日≧DPC2010年度版の適用開始日の場合、対象年度＝2010
'					Return CONST_DPC_MODEL_YEAR_2010
'(M) STR V4-15019-000 005 2014/04/17 ID)唐渡 DPC2014対応
					'' 基準日≧DPC2012年度版の適用開始日の場合、対象年度＝2012
					'Return CONST_DPC_MODEL_YEAR_2012
					' 基準日≧DPC2012年度版の適用開始日の場合、対象年度＝2014
					Return CONST_DPC_MODEL_YEAR_2014
'(M) END V4-15019-000 005 2014/04/17 ID)唐渡 DPC2014対応
'(M) END V4-12031-000 006 2012/06/07 ID)平井 DPC2012対応
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟グループマスタの取得
	''' </summary>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getWardGrpMst() As DataTable
		Dim dtData As DataTable = Nothing
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlMENCOMMON.sqlSelWardGrpMst)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟単位移動履歴作成（表示順、病棟コードでソート）
	''' </summary>
	''' <param name="dtWard">病棟情報テーブル</param>
	''' <param name="aOutHspDate">退院日</param>
	''' <returns>病棟単位移動履歴テーブル</returns>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMoveWard(ByVal dtWard As DataTable, ByVal aOutHspDate As Nullable(Of Date)) As DataTable
		Dim addRow As DataRow = Nothing						'追加行
		Dim StartDate As Date = Nothing						'病棟開始日
		Dim EndDate As Date = Nothing						'病棟終了日
		Dim NextStartDate As Date = Nothing					'次の病棟開始日
		Dim resultDay As Long = 0							'日数差
		Dim Ward_Cd As String = Nothing						'病棟コード
		Dim Ward_Days As String = Nothing					'病棟日数
		Dim bBreak As Boolean = True						'ブレーク判定用（先頭行は必ずブレーク）
		Try
			' 病棟単位移動履歴テーブルを作成
			Using dt As DataTable = New DataTable
				' 列設定
				dt.Columns.Add(sqlMENCOMMON.itmDSPORDER, GetType(Integer))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_CD, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_NM, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_START_DT, GetType(Date))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_END_DT, GetType(Date))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_DAYS, GetType(String))
				' 病棟情報テーブルより明細行作成
				For Each row As DataRow In dtWard.Rows
					' ブレーク判定
					Select Case False
						' 前後２レコードの明細について
						Case Ward_Cd = row(sqlMTI_WARD.itmWARD_CD).ToString
							' 病棟コードが異なる時はブレーク
							bBreak = True
						Case Not EndDate.Equals(Nothing)
							' 前のレコードの病棟終了日が未設定の時はブレーク
							bBreak = True
						Case Date.TryParse(row(sqlMTI_WARD.itmWARD_START_DT).ToString, NextStartDate) AndAlso Not NextStartDate.Equals(Nothing)
							' 後のレコードの病棟開始日が未設定の時はブレーク
							bBreak = True
						Case Else
							' 病棟終了日～病棟開始日が＋２日以内ではない時はブレーク
							resultDay = DateDiff(DateInterval.Day, EndDate, NextStartDate)
							If resultDay > 1 OrElse resultDay < 0 Then
								bBreak = True
							End If
					End Select
					' ブレーク時
					If bBreak Then
						bBreak = False
						' 明細行追加
						If addRow IsNot Nothing Then
							dt.Rows.Add(addRow)
						End If
						' 次の明細行作成
						addRow = dt.NewRow
						addRow(sqlMENCOMMON.itmDSPORDER) = row(sqlMTI_WARD.itmWARD_DSPORDER)	'表示順
						addRow(sqlMENCOMMON.itmWARD_CD) = row(sqlMTI_WARD.itmWARD_CD)			'病棟コード
						addRow(sqlMENCOMMON.itmWARD_NM) = row(sqlMTI_WARD.itmWARD_NM)			'病棟名
						If Date.TryParse(row(sqlMTI_WARD.itmWARD_START_DT).ToString, StartDate) Then
							addRow(sqlMENCOMMON.itmWARD_START_DT) = StartDate					'病棟開始日
						Else
							StartDate = Nothing
						End If
						' 病棟コードを保存
						Ward_Cd = row(sqlMTI_WARD.itmWARD_CD).ToString
					End If
					' 病棟終了日より病棟日数を計算
					If Not Date.TryParse(row(sqlMTI_WARD.itmWARD_END_DT).ToString, EndDate) Then
						EndDate = Today()
					End If
					addRow(sqlMENCOMMON.itmWARD_END_DT) = EndDate
					Ward_Days = calcDateTime(clsMENCOMMON.Enum_Mode.eDate, StartDate, EndDate, String.Empty, String.Empty, clsConst.Enum_CheckBox_Flg.CheckOn, aOutHspDate)
					If IsNumeric(Ward_Days) Then
						addRow(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days
					End If
				Next
				' 最後の明細行追加
				If addRow IsNot Nothing Then
					dt.Rows.Add(addRow)
				End If
				' 病棟単位移動履歴テーブルに設定
				Using dvData As DataView = New DataView(dt)
					' 表示順、病棟コードでソート
					dvData.Sort = sqlMENCOMMON.itmDSPORDER & CONTROL_STRING_COMMA & sqlMENCOMMON.itmWARD_CD
					Return dvData.ToTable
				End Using
			End Using
		Catch ex As Exception
			Throw
		Finally
			addRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟単位移動履歴合計作成（表示順、病棟コードでソート）
	''' </summary>
	''' <param name="dtMoveWard">病棟単位移動履歴テーブル</param>
	''' <param name="aOutHspDate">退院日</param>
	''' <returns>病棟単位移動履歴合計テーブル</returns>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMoveWardSum(ByVal dtMoveWard As DataTable, ByVal aOutHspDate As Nullable(Of Date)) As DataTable
		Dim addRow As DataRow = Nothing						'追加行
		Dim Ward_Cd As String = Nothing						'病棟コード
		Dim Ward_Days As Long = 0							'病棟日数
		Dim DayValue As Long = 0							'日数計算用
		Dim bBreak As Boolean = True						'ブレーク判定用（先頭行は必ずブレーク）
		Try
			' 病棟単位移動履歴合計テーブルを作成
			Using dt As DataTable = New DataTable
				' 列設定
				dt.Columns.Add(sqlMENCOMMON.itmDSPORDER, GetType(Integer))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_CD, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_NM, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_DAYS, GetType(String))
				' 病棟単位移動履歴テーブルより明細行作成
				For Each row As DataRow In dtMoveWard.Rows
					' ブレーク判定
					Select Case False
						' 前後２レコードの明細について
						Case Ward_Cd = row(sqlMENCOMMON.itmWARD_CD).ToString
							' 病棟コードが異なる時はブレーク
							bBreak = True
						Case Else
					End Select
					' ブレーク時
					If bBreak Then
						bBreak = False
						' 明細行追加
						If addRow IsNot Nothing Then
							dt.Rows.Add(addRow)
						End If
						' 次の明細行作成
						addRow = dt.NewRow
						addRow(sqlMENCOMMON.itmDSPORDER) = row(sqlMENCOMMON.itmDSPORDER)	'表示順
						addRow(sqlMENCOMMON.itmWARD_CD) = row(sqlMENCOMMON.itmWARD_CD)		'病棟コード
						addRow(sqlMENCOMMON.itmWARD_NM) = row(sqlMENCOMMON.itmWARD_NM)		'病棟名
						' 病棟日数をクリア
						Ward_Days = 0
						' 病棟コードを保存
						Ward_Cd = row(sqlMENCOMMON.itmWARD_CD).ToString
					End If
					' 病棟日数を加算
					If Long.TryParse(row(sqlMENCOMMON.itmWARD_DAYS).ToString, DayValue) Then
						Ward_Days += DayValue
					End If
					addRow(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days.ToString
				Next
				' 最後の明細行追加
				If addRow IsNot Nothing Then
					dt.Rows.Add(addRow)
				End If
				' 病棟単位移動履歴合計テーブルに設定
				Return dt
			End Using
		Catch ex As Exception
			Throw
		Finally
			addRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟種別単位移動履歴作成（表示順、病棟グループコードでソート）
	''' </summary>
	''' <param name="dtWard">病棟情報テーブル</param>
	''' <param name="aOutHspDate">退院日</param>
	''' <returns>病棟種別単位移動履歴テーブル</returns>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMoveWardGrp(ByVal dtWard As DataTable, ByVal aOutHspDate As Nullable(Of Date)) As DataTable
		Dim addRow As DataRow = Nothing						'追加行
		Dim StartDate As Date = Nothing						'病棟開始日
		Dim EndDate As Date = Nothing						'病棟終了日
		Dim NextStartDate As Date = Nothing					'次の病棟開始日
		Dim resultDay As Long = 0							'日数差
		Dim Ward_Grp_Cd As String = Nothing					'病棟グループコード
		Dim Ward_Days As String = Nothing					'病棟日数
		Dim SerialNo As Integer = 0							'連番
		Dim bBreak As Boolean = True						'ブレーク判定用（先頭行は必ずブレーク）
		Try
			' 病棟種別単位移動履歴テーブルを作成
			Using dt As DataTable = New DataTable
				' 列設定
				dt.Columns.Add(sqlMENCOMMON.itmSERIAL_NO, GetType(Integer))
				dt.Columns.Add(sqlMENCOMMON.itmFIXED_CD, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmDSPORDER, GetType(Integer))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_GRP_CD, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_GRP_NM, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_START_DT, GetType(Date))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_END_DT, GetType(Date))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_DAYS, GetType(String))
				' 病棟情報テーブルより明細行作成
				For Each row As DataRow In dtWard.Rows
					' ブレーク判定
					Select Case False
						' 前後２レコードの明細について
						Case Ward_Grp_Cd = row(sqlMTI_WARD.itmWARD_GRP_CD).ToString
							' 病棟グループコードが異なる時はブレーク
							bBreak = True
						Case Not EndDate.Equals(Nothing)
							' 前のレコードの病棟終了日が未設定の時はブレーク
							bBreak = True
						Case Date.TryParse(row(sqlMTI_WARD.itmWARD_START_DT).ToString, NextStartDate) AndAlso Not NextStartDate.Equals(Nothing)
							' 後のレコードの病棟開始日が未設定の時はブレーク
							bBreak = True
						Case Else
							' 病棟終了日～病棟開始日が＋２日以内ではない時はブレーク
							resultDay = DateDiff(DateInterval.Day, EndDate, NextStartDate)
							If resultDay > 1 OrElse resultDay < 0 Then
								bBreak = True
							End If
					End Select
					' ブレーク時
					If bBreak Then
						bBreak = False
						' 明細行追加
						If addRow IsNot Nothing Then
							dt.Rows.Add(addRow)
						End If
						' 次の明細行作成
						addRow = dt.NewRow
						SerialNo += 1
						addRow(sqlMENCOMMON.itmSERIAL_NO) = SerialNo								'連番
						addRow(sqlMENCOMMON.itmFIXED_CD) = row(sqlMTI_WARD.itmWARD_GRP_FIXED_CD)	'固定コード
						addRow(sqlMENCOMMON.itmDSPORDER) = row(sqlMTI_WARD.itmWARD_GRP_DSPORDER)	'表示順
						addRow(sqlMENCOMMON.itmWARD_GRP_CD) = row(sqlMTI_WARD.itmWARD_GRP_CD)		'病棟グループコード
						addRow(sqlMENCOMMON.itmWARD_GRP_NM) = row(sqlMTI_WARD.itmWARD_GRP_NM)		'病棟グループ名
						If Date.TryParse(row(sqlMTI_WARD.itmWARD_START_DT).ToString, StartDate) Then
							addRow(sqlMENCOMMON.itmWARD_START_DT) = StartDate						'病棟開始日
						Else
							StartDate = Nothing
						End If
						' 病棟グループコードを保存
						Ward_Grp_Cd = row(sqlMTI_WARD.itmWARD_GRP_CD).ToString
					End If
					' 病棟終了日より病棟日数を計算
					If Not Date.TryParse(row(sqlMTI_WARD.itmWARD_END_DT).ToString, EndDate) Then
						' 病棟終了日が未設定の場合はシステム日付を使用する
						EndDate = Today()
					End If
					addRow(sqlMENCOMMON.itmWARD_END_DT) = EndDate
					Ward_Days = calcDateTime(clsMENCOMMON.Enum_Mode.eDate, StartDate, EndDate, String.Empty, String.Empty, clsConst.Enum_CheckBox_Flg.CheckOn, aOutHspDate)
					If IsNumeric(Ward_Days) Then
						addRow(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days
					End If
				Next
				' 最後の明細行追加
				If addRow IsNot Nothing Then
					dt.Rows.Add(addRow)
				End If
				' 病棟種別単位移動履歴テーブルに設定
				Using dvData As DataView = New DataView(dt)
					' 表示順、病棟グループコードでソート
					dvData.Sort = sqlMENCOMMON.itmDSPORDER & CONTROL_STRING_COMMA & sqlMENCOMMON.itmWARD_GRP_CD
					Return dvData.ToTable
				End Using
			End Using
		Catch ex As Exception
			Throw
		Finally
			addRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟単位移動履歴合計作成（表示順、病棟グループコードでソート）
	''' </summary>
	''' <param name="dtMoveWardGrp">病棟種別単位移動履歴テーブル</param>
	''' <param name="dtWardGrpMst">病棟グループマスタ</param>
	''' <returns>病棟種別単位移動履歴合計テーブル</returns>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMoveWardGrpSum(ByVal dtMoveWardGrp As DataTable, ByVal dtWardGrpMst As DataTable) As DataTable
		Dim addRow As DataRow = Nothing						'追加行
		Dim Ward_Grp_Cd As String = Nothing					'病棟グループコード
		Dim Ward_Days As Long = 0							'病棟日数
		Dim DayValue As Long = 0							'日数計算用
		Dim bBreak As Boolean = True						'ブレーク判定用（先頭行は必ずブレーク）
		Dim slMatch As SortedList = Nothing					'マッチング判定用
		Try
			' 病棟種別単位移動履歴合計テーブルを作成
			Using dt As DataTable = New DataTable
				' 列設定
				dt.Columns.Add(sqlMENCOMMON.itmDSPORDER, GetType(Integer))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_GRP_CD, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_GRP_NM, GetType(String))
				dt.Columns.Add(sqlMENCOMMON.itmWARD_DAYS, GetType(String))
				' 病棟種別単位移動履歴テーブルより明細行作成
				For Each row As DataRow In dtMoveWardGrp.Rows
					' ブレーク判定
					Select Case False
						' 前後２レコードの明細について
						Case Ward_Grp_Cd = row(sqlMENCOMMON.itmWARD_GRP_CD).ToString
							' 病棟グループコードが異なる時はブレーク
							bBreak = True
						Case Else
					End Select
					' ブレーク時
					If bBreak Then
						bBreak = False
						' 明細行追加
						If addRow IsNot Nothing Then
							dt.Rows.Add(addRow)
						End If
						' 次の明細行作成
						addRow = dt.NewRow
						addRow(sqlMENCOMMON.itmDSPORDER) = row(sqlMENCOMMON.itmDSPORDER)		'表示順
						addRow(sqlMENCOMMON.itmWARD_GRP_CD) = row(sqlMENCOMMON.itmWARD_GRP_CD)	'病棟グループコード
						addRow(sqlMENCOMMON.itmWARD_GRP_NM) = row(sqlMENCOMMON.itmWARD_GRP_NM)	'病棟グループ名
						' 病棟日数をクリア
						Ward_Days = 0
						' グループコードを保存
						Ward_Grp_Cd = row(sqlMENCOMMON.itmWARD_GRP_CD).ToString
					End If
					' 病棟日数を加算
					If Long.TryParse(row(sqlMENCOMMON.itmWARD_DAYS).ToString, DayValue) Then
						Ward_Days += DayValue
					End If
					addRow(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days.ToString
				Next
				' 最後の明細行追加
				If addRow IsNot Nothing Then
					dt.Rows.Add(addRow)
				End If
				' マッチング判定用SortedListに設定
				slMatch = New SortedList
				For Each row As DataRow In dt.Rows
					slMatch.Add(row(sqlMENCOMMON.itmWARD_GRP_CD).ToString, row)
				Next
				' 病棟グループマスタより明細行作成
				For Each row As DataRow In dtWardGrpMst.Rows
					' 病棟グループコードがない場合
					If Not slMatch.ContainsKey(row(sqlMENCOMMON.itmWARD_GRP_CD).ToString) Then
						' 明細行追加
						addRow = dt.NewRow
						addRow(sqlMENCOMMON.itmDSPORDER) = row(sqlMENCOMMON.itmDSPORDER)		'表示順
						addRow(sqlMENCOMMON.itmWARD_GRP_CD) = row(sqlMENCOMMON.itmWARD_GRP_CD)	'病棟グループコード
						addRow(sqlMENCOMMON.itmWARD_GRP_NM) = row(sqlMENCOMMON.itmWARD_GRP_NM)	'病棟グループ名
						addRow(sqlMENCOMMON.itmWARD_DAYS) = "0"									'病棟日数
						dt.Rows.Add(addRow)
					End If
				Next
				' 病棟種別単位移動履歴合計テーブルに設定
				Using dvData As DataView = New DataView(dt)
					' 表示順、病棟グループコードでソート
					dvData.Sort = sqlMENCOMMON.itmDSPORDER & CONTROL_STRING_COMMA & sqlMENCOMMON.itmWARD_GRP_CD
					Return dvData.ToTable
				End Using
			End Using
			If slMatch IsNot Nothing Then slMatch.Clear()
		Catch ex As Exception
			Throw
		Finally
			addRow = Nothing
			slMatch = Nothing
		End Try
	End Function

#End Region

End Class
