﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 貸出物情報すべてSQLクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMEN010F070
	' 項目
	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"					'貸出物コード
	Public Const itmLENDITEM_RNM As String = "LENDITEM_RNM"					'貸出物略称
	Public Const itmMNGSTATUS_CD As String = "MNGSTATUS_CD"					'管理状況コード
	Public Const itmMNGSTATUS1_RNM As String = "MNGSTATUS1_RNM"				'管理状況略称１
	Public Const itmCOLOR_CD_R As String = "COLOR_CD_R"						'色コード赤
	Public Const itmCOLOR_CD_G As String = "COLOR_CD_G"						'色コード緑
	Public Const itmCOLOR_CD_B As String = "COLOR_CD_B"						'色コード青
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"				'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"								'科歴番号
	Public Const itmHISTORY_NO As String = "HISTORY_NO"						'歴番号
	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"						'病歴番号
	Public Const itmDEPT_CD As String = "DEPT_CD"							'診療科コード
	Public Const itmDEPT_RNM As String = "DEPT_RNM"							'診療科略称
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"						'医師コード
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"						'医師名
	Public Const itmSTART_DT As String = "START_DT"							'開始日
	Public Const itmEND_DT As String = "END_DT"								'終了日
	Public Const itmRECEIPT_DT As String = "RECEIPT_DT"						'受領日
	Public Const itmKEEPLCT_CD As String = "KEEPLCT_CD"						'保管場所コード
	Public Const itmKEEPLCT_RNM As String = "KEEPLCT_RNM"					'保管場所略称
	Public Const itmARG_STATUS_CD As String = "ARG_STATUS_CD"				'整理状況コード
	Public Const itmARG_STATUS_RNM As String = "ARG_STATUS_RNM"				'整理状況略称
	Public Const itmSUMMARY_MAKER_CD As String = "SUMMARY_MAKER_CD"			'サマリ作成者コード
	Public Const itmSUMMARY_MAKER_NM As String = "SUMMARY_MAKER_NM"			'サマリ作成者名
	Public Const itmSUMMARY_APPROVAL_DT As String = "SUMMARY_APPROVAL_DT"	'サマリ承認日

	' パラメータ
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmLENDITEM_CD1 As String = "@LENDITEM_CD1"				'貸出物コード1
	Public Const prmLENDITEM_CD2 As String = "@LENDITEM_CD2"				'貸出物コード2
	Public Const prmLENDITEM_CD3 As String = "@LENDITEM_CD3"				'貸出物コード3
	Public Const prmLENDITEM_CD4 As String = "@LENDITEM_CD4"				'貸出物コード4
	Public Const prmLENDITEM_CD5 As String = "@LENDITEM_CD5"				'貸出物コード5

	' 貸出物情報取得
	Public Const sqlSelLendItm As String = _
	"SELECT" _
	& "  LI.PATIENT_NO," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  LI.RECEIPT_DT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.ARG_STATUS_CD," _
	& "  LIAS.ARG_STATUS_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  SUMMARY_MAKER_CD," _
	& "  STFS.STAFF_NM AS SUMMARY_MAKER_NM," _
	& "  LI.SUMMARY_APPROVAL_DT," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO" _
	& " FROM" _
	& " ("


	' マスタJOIN
	Public Const sqlSel_Join As String = "" _
	& " LEFT JOIN MTM_DEPT DEP" _
	& "  ON  LI.DEPT_CD = DEP.DEPT_CD" _
	& " LEFT JOIN XTM_STAFF STF" _
	& "  ON  LI.DOCTOR_CD = STF.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF STFS" _
	& "  ON  LI.SUMMARY_MAKER_CD = STFS.STAFF_CD" _
	& " LEFT JOIN MTM_LENDITEM LIM" _
	& "  ON  LI.LENDITEM_CD = LIM.LENDITEM_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
	& "  ON  LI.LENDITEM_CD = LIMS.LENDITEM_CD" _
	& "  AND LI.MNGSTATUS_CD = LIMS.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_ARG_STATUS LIAS" _
	& "  ON  LI.LENDITEM_CD = LIAS.LENDITEM_CD" _
	& "  AND LI.ARG_STATUS_CD = LIAS.ARG_STATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT LIKL" _
	& "  ON  LI.LENDITEM_CD = LIKL.LENDITEM_CD" _
	& "  AND LI.KEEPLCT_CD = LIKL.KEEPLCT_CD" _
	& " WHERE LI.PATIENT_NO = " & sqlMEN010F070.prmPATIENT_NO _
	& " ORDER BY LI.HSP_HISTORY_NO DESC, LI.LENDITEM_CD, LI.CH_NO DESC"

	' 貸出物未使用分の非表示
	' & "   AND LIM.LENDITEM_NM IS NOT NULL" _

	' ■貸出情報■
	Public Const sqlSelLend As String = _
	"SELECT" _
	& "  LI.PATIENT_NO," _
	& "  L.SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  L.LENDAIM_CD," _
	& "  LA.LENDAIM_RNM," _
	& "  L.LCT_CD," _
	& "  LIL.LCT_RNM," _
	& "  CASE WHEN L.ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
	& "  END AS ISSUE_DT," _
	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
	& "  END AS EXPECTBACK_DT," _
	& "  CASE WHEN L.URGEDBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.URGEDBACK_DT, 111)" _
	& "  END AS URGEDBACK_DT," _
	& "  L.BORROWER_DIV," _
	& "  STD.STAFFDIV_RNM AS BORROWER_DIV_RNM," _
	& "  L.BORROWER_CD," _
	& "  L.BORROWER_NM" _
	& " FROM" _
	& " ("

'(M) STR V4-11037-000 069 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No130 管理状況すべての画面下部（貸出中データ）に正しいデータを表示するように対応
'	' 貸出情報
'	Public Const sqlSelLend_Join As String = "" _
'	 & " INNER JOIN MTI_LEND L" _
'	 & "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
'	 & "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
'	 & "  AND LI.CH_NO = L.CH_NO" _
'	 & "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
'	 & " INNER JOIN" _
'	 & " (" _
'	 & "  SELECT" _
'	 & "  PATIENT_NO," _
'	 & "  HSP_HISTORY_NO," _
'	 & "  CH_NO," _
'	 & "  LENDITEM_CD," _
'	 & "  MAX(LENDSERIAL_NO) AS LENDSERIAL_NO" _
'	 & "  FROM MTI_LEND" _
'	 & "  GROUP BY PATIENT_NO, HSP_HISTORY_NO, CH_NO, LENDITEM_CD" _
'	 & " ) LS" _
'	 & "  ON  L.PATIENT_NO = LS.PATIENT_NO" _
'	 & "  AND L.HSP_HISTORY_NO = LS.HSP_HISTORY_NO" _
'	 & "  AND L.CH_NO = LS.CH_NO" _
'	 & "  AND L.LENDITEM_CD = LS.LENDITEM_CD" _
'	 & "  AND L.LENDSERIAL_NO = LS.LENDSERIAL_NO" _
'	 & " LEFT JOIN MTM_LENDITEM LIM" _
'	 & "  ON  L.LENDITEM_CD = LIM.LENDITEM_CD" _
'	 & " LEFT JOIN MTM_LENDAIM LA" _
'	 & "  ON  L.LENDAIM_CD = LA.LENDAIM_CD" _
'	 & " LEFT JOIN MTM_LENDITEM_LCT LIL" _
'	 & "  ON  L.LCT_CD = LIL.LCT_CD" _
'	 & " LEFT JOIN XTM_STAFFDIV STD" _
'	 & "  ON  L.BORROWER_DIV = STD.STAFFDIV_CD" _
'	 & " WHERE LI.PATIENT_NO = " & sqlMEN010F070.prmPATIENT_NO _
'	 & " ORDER BY L.SLIP_CD, LI.LENDITEM_CD, LI.HSP_HISTORY_NO DESC, LI.CH_NO DESC"
	' 貸出情報
	Public Const sqlSelLend_Join As String = "" _
	 & " INNER JOIN MTI_LEND L" _
	 & "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
	 & "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
	 & "  AND LI.CH_NO = L.CH_NO" _
	 & "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
	 & " INNER JOIN" _
	 & " (" _
	 & "  SELECT" _
	 & "  PATIENT_NO," _
	 & "  HSP_HISTORY_NO," _
	 & "  CH_NO," _
	 & "  LENDITEM_CD," _
	 & "  MAX(LENDSERIAL_NO) AS LENDSERIAL_NO" _
	 & "  FROM MTI_LEND" _
	 & "  GROUP BY PATIENT_NO, HSP_HISTORY_NO, CH_NO, LENDITEM_CD" _
	 & " ) LS" _
	 & "  ON  L.PATIENT_NO = LS.PATIENT_NO" _
	 & "  AND L.HSP_HISTORY_NO = LS.HSP_HISTORY_NO" _
	 & "  AND L.CH_NO = LS.CH_NO" _
	 & "  AND L.LENDITEM_CD = LS.LENDITEM_CD" _
	 & "  AND L.LENDSERIAL_NO = LS.LENDSERIAL_NO" _
	 & " LEFT JOIN MTM_LENDITEM LIM" _
	 & "  ON  L.LENDITEM_CD = LIM.LENDITEM_CD" _
	 & " LEFT JOIN MTM_LENDAIM LA" _
	 & "  ON  L.LENDAIM_CD = LA.LENDAIM_CD" _
	 & " LEFT JOIN MTM_LENDITEM_LCT LIL" _
	 & "  ON  L.LCT_CD = LIL.LCT_CD" _
	 & " LEFT JOIN XTM_STAFFDIV STD" _
	 & "  ON  L.BORROWER_DIV = STD.STAFFDIV_CD" _
	 & " WHERE LI.PATIENT_NO = " & sqlMEN010F070.prmPATIENT_NO _
	 & " AND L.BACK_DT IS NULL" _
	 & " ORDER BY L.SLIP_CD, LI.LENDITEM_CD, LI.HSP_HISTORY_NO DESC, LI.CH_NO DESC"
'(M) END V4-11037-000 069 20110905

	' 貸出物未使用分の非表示
	'& "   AND LIM.LENDITEM_NM IS NOT NULL" _

	' ■共通■
	' カルテ
	Public Const sqlSelLendItm1 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD1 & " AS LENDITEM_CD," _
	& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  RECORD_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  RECORD_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  RECORD_ARG_STATUS_CD AS ARG_STATUS_CD," _
	& "  RECORD_RECIPIENT_CD AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' サマリ
	Public Const sqlSelLendItm2 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  SUMMARY_MAKER_CD," _
	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
	& "   END AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& "  FROM MTI_LENDITM LIS"

	' 他１
	Public Const sqlSelLendItm3 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD3 & " AS LENDITEM_CD," _
	& "  CASE WHEN OTHER1_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER1_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER1_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER1_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' 他２
	Public Const sqlSelLendItm4 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD4 & " AS LENDITEM_CD," _
	& "  CASE WHEN OTHER2_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER2_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER2_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER2_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' 他３
	Public Const sqlSelLendItm5 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD5 & " AS LENDITEM_CD," _
	& "  CASE WHEN OTHER3_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER3_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER3_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER3_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' UNION ALL
	Public Const sqlSelUnion_All As String = " UNION ALL "

	' 入退院歴情報（患者単位）
	Public Const sqlSel_PATIENT As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    '' AS BYOREKI_NO," _
	& "    '' AS DEPT_CD," _
	& "    '' AS START_DT," _
	& "    '' AS END_DT," _
	& "    '' AS DOCTOR_CD," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& " WHERE LIS.HSP_HISTORY_NO = 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 入退院歴情報（入退院単位）
	Public Const sqlSel_HSP As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    HSP_DT AS START_DT," _
	& "    OUT_HSP_DT AS END_DT," _
	& "    DOCTOR_CD," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 科歴情報（科歴単位）
	Public Const sqlSel_CH As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    START_DT," _
	& "    END_DT," _
	& "    DOCTOR_CD," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO" _
	& "  FROM MTI_CH" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& "  AND LIS.CH_NO = TR.CH_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO > 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO > 0"

	' End
	Public Const sqlSelEnd As String = " ) LI"

End Class
