﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' DPC病名・手術　新規作成（修正番号：V4-15019）
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN130F051

#Region "コンスタント"

	'画面タイトル
	Private Const HSP_TITLE As String = "DPC病名・手術"

	' 手術区分（a:備考１ b:備考２ c:補助区分１ d:補助区分２ X:その他）
	Private Const C_OPE_REMARKS1 As String = "a"
	Private Const C_OPE_REMARKS2 As String = "b"
	Private Const C_OPE_ASST1 As String = "c"
	Private Const C_OPE_ASST2 As String = "d"
	Private Const C_OPE_OTHER As String = "X"

#End Region

#Region "変数"

	'画面呼び出し時のパラメータ(コンストラクタでセット)
	Private pDeptCode As String														'診療科コード
	Private pModelYear As String													'年度
	Private pChildNum As String														'連番(子様式のみ)
	Private updFlg As clsMENCOMMON.Enum_UpdFlg = clsMENCOMMON.Enum_UpdFlg.eInit		'更新フラグ
	Private saveFlg As Boolean = False												'保存フラグ
	Private pHspDate As String														'入院日
	Private pOutHspDate As String													'退院日

	Private dtAnesthesia As DataTable = Nothing
	Private dtOpeCnt As DataTable = Nothing
	Private dtOpePartCnt As DataTable = Nothing
	Private dtDisease As DataTable = Nothing
	Private dtOpe As DataTable = Nothing
	Private dpcInfo(99) As String													'DPC情報

	Private _ChRec_MainDpm As datMTI_CH_PLUS_OneRec = Nothing						'主科の科歴情報
	Private frmMEN040F020 As MEN040F020 = Nothing									'病名複写画面
	Private frmMEN050F020 As MEN050F020 = Nothing									'手術複写画面
	Private cliCom As clsCom = Nothing
	Private cliComboCom As clsComboCom = Nothing
	Private sAddCtl As String = Nothing

	' 手術医師データテーブル
	Private datMtiOpeDoctor As DataTable

	' グリッド編集用データテーブル
	Private datDispOpeDoctor As DataTable

	' ■病名
	' 入院時併存症コード
	Private ReadOnly C_CTL_DISEASE_CD() As String = _
	 { _
	  "lbl021MEN130F051", "lbl026MEN130F051", "lbl030MEN130F051", "lbl034MEN130F051" _
	 }
	' 入院時併存症名
	Private ReadOnly C_CTL_DISEASE() As String = _
	 { _
	  "lbl022MEN130F051", "lbl027MEN130F051", "lbl031MEN130F051", "lbl035MEN130F051" _
	 }
	' 入院後発症疾患コード
	Private ReadOnly C_CTL_AFTER_DISEASE_CD() As String = _
	 { _
	  "lbl039MEN130F051", "lbl044MEN130F051", "lbl048MEN130F051", "lbl052MEN130F051" _
	 }
	' 入院後発症疾患名
	Private ReadOnly C_CTL_AFTER_DISEASE() As String = _
	 { _
	  "lbl040MEN130F051", "lbl045MEN130F051", "lbl049MEN130F051", "lbl053MEN130F051" _
	 }

	' ■手術
	Private ReadOnly C_CTL_OPE()() As String = _
	 { _
	  New String() {"lbl062MEN130F051", "lbl064MEN130F051", "lbl065MEN130F051", "lbl066MEN130F051", "lbl068MEN130F051", "lbl070MEN130F051", "lbl067MEN130F051", "lbl069MEN130F051", "lbl071MEN130F051"}, _
	  New String() {"lbl073MEN130F051", "lbl075MEN130F051", "lbl076MEN130F051", "lbl077MEN130F051", "lbl079MEN130F051", "lbl081MEN130F051", "lbl078MEN130F051", "lbl080MEN130F051", "lbl082MEN130F051"}, _
	  New String() {"lbl084MEN130F051", "lbl086MEN130F051", "lbl087MEN130F051", "lbl088MEN130F051", "lbl090MEN130F051", "lbl092MEN130F051", "lbl089MEN130F051", "lbl091MEN130F051", "lbl093MEN130F051"}, _
	  New String() {"lbl095MEN130F051", "lbl097MEN130F051", "lbl098MEN130F051", "lbl099MEN130F051", "lbl101MEN130F051", "lbl103MEN130F051", "lbl100MEN130F051", "lbl102MEN130F051", "lbl104MEN130F051"}, _
	  New String() {"lbl106MEN130F051", "lbl108MEN130F051", "lbl109MEN130F051", "lbl110MEN130F051", "lbl112MEN130F051", "lbl114MEN130F051", "lbl111MEN130F051", "lbl113MEN130F051", "lbl115MEN130F051"} _
	 }


#End Region

#Region "コンストラクタ"


	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2014/04/25 新規作成 ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String, ByVal childnum As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode								'処理モード
		Me.PatientNo = patientNo							'患者番号
		Me.HspHistoryNo = historyNo							'入退院歴番号

		Me.pHspDate = hspDate								'入院日
		Me.pOutHspDate = outHspDate							'退院日
		Me.pDeptCode = deptCode								'診療科コード
		Me.pModelYear = modelYear							'年度
		Me.pChildNum = childnum & "X"						'連番

		Me.Text = HSP_TITLE
		Me.Title = HSP_TITLE

	End Sub

#End Region

	''' ---------------------------------------------
	''' <summary>
	''' 主科の科歴情報（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/07 新規作成　ID)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Property ChRecMainDpm() As datMTI_CH_PLUS_OneRec
		Get
			Return _ChRec_MainDpm
		End Get
		Set(ByVal value As datMTI_CH_PLUS_OneRec)
			_ChRec_MainDpm = value
		End Set
	End Property

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/06 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F051_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN130F051_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2014/04/25 新規作成 ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F051_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN130F051_Load", "画面ロード時イベント Start")
		Dim dpcCnt As Integer
		Try
			'戻り値の初期値
			Me.ReturnKey = "MEN130F051"

			'共通クラスインスタンス生成
			Me.cliCom = New clsCom
			Me.cliComboCom = New clsComboCom

			' ボタン画像
			Me.setButtonBMP(Me.btn004MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn008MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn013MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn018MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn023MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn028MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn032MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn036MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn041MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn046MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn050MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn054MEN130F051, clsBmp.Enum_BmpType.Copy)	'

			Me.setButtonBMP(Me.btn063MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn074MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn085MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn096MEN130F051, clsBmp.Enum_BmpType.Copy)	'
			Me.setButtonBMP(Me.btn107MEN130F051, clsBmp.Enum_BmpType.Copy)	'

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' 病名情報取得
				Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE
					dtDisease = cliDisease.getDiseasePlusHspDa(db, Me.PatientNo, Me.HspHistoryNo)
				End Using

				' 手術情報取得
				Using cliOpe As clsMTI_OPE = New clsMTI_OPE
					dtOpe = cliOpe.getOpePlusHspDa(db, Me.PatientNo, Me.HspHistoryNo)
				End Using

				' 手術医師情報
				Using cliOpeDoctor As clsMTI_OPE_DOCTOR = New clsMTI_OPE_DOCTOR
					datMtiOpeDoctor = cliOpeDoctor.getOpeDoctorPlusChDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					datMtiOpeDoctor.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow)			'新規行識別の追加
					datDispOpeDoctor = datMtiOpeDoctor.Clone
				End Using
				
				Me.dtAnesthesia = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Anesthesia)
				Me.dtOpeCnt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OpeCnt)
				Me.dtOpePartCnt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OpePartCnt)
			End Using

			' 主科の科歴情報を取得
			Using cliCh As clsMTI_CH = New clsMTI_CH
				Me.ChRecMainDpm = cliCh.getChPlusFlg(Me.PatientNo, Me.HspHistoryNo, sqlMTI_CH.Enum_Flg.MAIN_DPM_FLG)
			End Using

			' Ｆ１０キーで切り替えるタブコントロールを設定
			Me.F10TabControl = Me.tab111MEN130F051

			' ＤＰＣ情報の取得
			dpcCnt = Me.getDPCInfo()

			' ＤＰＣ情報の表示
			If dpcCnt > 0 Then
				' 更新フラグクリア
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
				Me.setDspData()
			Else
				' 更新フラグ=1
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
			End If

			'処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				'全ての入力項目を参照モードにする。
				clsMENCOMMON.setAllItemCanInput(Me, False)
			End If

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2014/04/25 新規作成 ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F051_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN130F051_Shown", "画面オープン時イベント Start")
		Dim cliCom As clsCom = Nothing
		Try
			'Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
			' 画面の再描画
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty Then Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名複写ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnOpenByoumeiCopy_Click(sender As System.Object, e As System.EventArgs) Handles btn004MEN130F051.Click, btn008MEN130F051.Click, _
																								 btn013MEN130F051.Click, btn018MEN130F051.Click, _
																								 btn023MEN130F051.Click, btn028MEN130F051.Click, _
																								 btn032MEN130F051.Click, btn036MEN130F051.Click, _
																								 btn041MEN130F051.Click, btn046MEN130F051.Click, _
																								 btn050MEN130F051.Click, btn054MEN130F051.Click
		log(clsSysMst.logLevel.NRM, "btnOpenByoumeiCopy_Click", "病名複写ボタン押下時 START")
		Try
			Me.sAddCtl = CType(sender, Control).Name
			Me.openByoumeiCopy()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術複写ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnOpenSyujutuCopy_Click(sender As Object, e As System.EventArgs) Handles btn063MEN130F051.Click, btn074MEN130F051.Click, _
																						  btn085MEN130F051.Click, btn096MEN130F051.Click, _
																						  btn107MEN130F051.Click
		log(clsSysMst.logLevel.NRM, "btnOpenByoumeiCopy_Click", "手術複写ボタン押下時 START")
		Try
			Me.sAddCtl = CType(sender, Control).Name
			Me.openSyujutuCopy()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 自動収集ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn166MEN130F050_Click(sender As System.Object, e As System.EventArgs) Handles btn166MEN130F050.Click
		log(clsSysMst.logLevel.NRM, "btn166MEN130F050_Click", "自動収集ボタン押下時 START")
		Try

			' 病名
			Me.lbl002MEN130F051.Text = ""
			Me.lbl003MEN130F051.Text = ""
			Me.lbl006MEN130F051.Text = ""
			Me.lbl007MEN130F051.Text = ""
			Me.lbl011MEN130F051.Text = ""
			Me.lbl012MEN130F051.Text = ""
			Me.lbl016MEN130F051.Text = ""
			Me.lbl017MEN130F051.Text = ""
			Me.lbl021MEN130F051.Text = ""
			Me.lbl022MEN130F051.Text = ""
			Me.lbl026MEN130F051.Text = ""
			Me.lbl027MEN130F051.Text = ""
			Me.lbl030MEN130F051.Text = ""
			Me.lbl031MEN130F051.Text = ""
			Me.lbl034MEN130F051.Text = ""
			Me.lbl035MEN130F051.Text = ""
			Me.lbl039MEN130F051.Text = ""
			Me.lbl040MEN130F051.Text = ""
			Me.lbl044MEN130F051.Text = ""
			Me.lbl045MEN130F051.Text = ""
			Me.lbl048MEN130F051.Text = ""
			Me.lbl049MEN130F051.Text = ""
			Me.lbl052MEN130F051.Text = ""
			Me.lbl053MEN130F051.Text = ""

			' 手術
			Me.lbl062MEN130F051.Text = ""
			Me.lbl064MEN130F051.Text = ""
			Me.lbl065MEN130F051.Text = ""
			Me.lbl066MEN130F051.Text = ""
			Me.lbl067MEN130F051.Text = ""
			Me.lbl068MEN130F051.Text = ""
			Me.lbl069MEN130F051.Text = ""
			Me.lbl070MEN130F051.Text = ""
			Me.lbl071MEN130F051.Text = ""
			Me.lbl073MEN130F051.Text = ""
			Me.lbl075MEN130F051.Text = ""
			Me.lbl076MEN130F051.Text = ""
			Me.lbl077MEN130F051.Text = ""
			Me.lbl078MEN130F051.Text = ""
			Me.lbl079MEN130F051.Text = ""
			Me.lbl080MEN130F051.Text = ""
			Me.lbl081MEN130F051.Text = ""
			Me.lbl082MEN130F051.Text = ""
			Me.lbl084MEN130F051.Text = ""
			Me.lbl086MEN130F051.Text = ""
			Me.lbl087MEN130F051.Text = ""
			Me.lbl088MEN130F051.Text = ""
			Me.lbl089MEN130F051.Text = ""
			Me.lbl090MEN130F051.Text = ""
			Me.lbl091MEN130F051.Text = ""
			Me.lbl092MEN130F051.Text = ""
			Me.lbl093MEN130F051.Text = ""
			Me.lbl095MEN130F051.Text = ""
			Me.lbl097MEN130F051.Text = ""
			Me.lbl098MEN130F051.Text = ""
			Me.lbl099MEN130F051.Text = ""
			Me.lbl100MEN130F051.Text = ""
			Me.lbl101MEN130F051.Text = ""
			Me.lbl102MEN130F051.Text = ""
			Me.lbl103MEN130F051.Text = ""
			Me.lbl104MEN130F051.Text = ""
			Me.lbl106MEN130F051.Text = ""
			Me.lbl108MEN130F051.Text = ""
			Me.lbl109MEN130F051.Text = ""
			Me.lbl110MEN130F051.Text = ""
			Me.lbl111MEN130F051.Text = ""
			Me.lbl112MEN130F051.Text = ""
			Me.lbl113MEN130F051.Text = ""
			Me.lbl114MEN130F051.Text = ""
			Me.lbl115MEN130F051.Text = ""

			Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try

	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 病名情報設定
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDisease()
		log(clsSysMst.logLevel.DBG, "setDisease", "病名情報設定")
		Dim row() As DataRow = Nothing
		Dim ctlCd() As Control = Nothing
		Dim ctlName() As Control = Nothing
		Try
			' 主科
			If Me.ChRecMainDpm IsNot Nothing Then
				row = getDiseaseRow(dtDisease, sqlMTI_DISEASE.itmCH_NO, Me.ChRecMainDpm.CH_NO)
				If row.Length > 0 Then
					Me.lbl002MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmICD10_CD).ToString
					Me.lbl003MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmDISEASE).ToString
				End If
			End If
			' 入院契機
			row = getDiseaseRow(dtDisease, sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG, clsConst.Enum_CheckBox_Flg.CheckOn)
			If row.Length > 0 Then
				Me.lbl006MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmICD10_CD).ToString
				Me.lbl007MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmDISEASE).ToString
			End If
			' 医療資源投入１位
			row = getDiseaseRow(dtDisease, sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1, clsConst.Enum_CheckBox_Flg.CheckOn)
			If row.Length > 0 Then
				Me.lbl011MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmICD10_CD).ToString
				Me.lbl012MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmDISEASE).ToString
			End If
			' 医療資源投入２位
			row = getDiseaseRow(dtDisease, sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2, clsConst.Enum_CheckBox_Flg.CheckOn)
			If row.Length > 0 Then
				Me.lbl016MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmICD10_CD).ToString
				Me.lbl017MEN130F051.Text = row(0)(sqlMTI_DISEASE.itmDISEASE).ToString
			End If
			' 入院時併存症名
			row = getDiseaseRow(dtDisease, sqlMTI_DISEASE.itmHSP_DISEASE_FLG, clsConst.Enum_CheckBox_Flg.CheckOn)
			If row.Length > 0 Then
				For i As Integer = 0 To C_CTL_DISEASE_CD.GetUpperBound(0)
					If row.Length <= i Then Exit For
					ctlCd = Me.Controls.Find(C_CTL_DISEASE_CD(i), True)
					If ctlCd.Length <= 0 Then Continue For
					ctlName = Me.Controls.Find(C_CTL_DISEASE(i), True)
					If ctlName.Length <= 0 Then Continue For
					ctlCd(0).Text = row(i)(sqlMTI_DISEASE.itmICD10_CD).ToString
					ctlName(0).Text = row(i)(sqlMTI_DISEASE.itmDISEASE).ToString
				Next
			End If
			' 入院後発症疾患名
			row = getDiseaseRow(dtDisease, sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG, clsConst.Enum_CheckBox_Flg.CheckOn)
			If row.Length > 0 Then
				For i As Integer = 0 To C_CTL_AFTER_DISEASE_CD.GetUpperBound(0)
					If row.Length <= i Then Exit For
					ctlCd = Me.Controls.Find(C_CTL_AFTER_DISEASE_CD(i), True)
					If ctlCd.Length <= 0 Then Continue For
					ctlName = Me.Controls.Find(C_CTL_AFTER_DISEASE(i), True)
					If ctlName.Length <= 0 Then Continue For
					ctlCd(0).Text = row(i)(sqlMTI_DISEASE.itmICD10_CD).ToString
					ctlName(0).Text = row(i)(sqlMTI_DISEASE.itmDISEASE).ToString
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
			ctlCd = Nothing
			ctlName = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名情報設定
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDisease(ByVal ldat As datMTI_DISEASE_PLUS_OneRec, ByVal sCtlName As String)
		log(clsSysMst.logLevel.DBG, "setDisease", "病名情報設定")
		Try
			Select Case sCtlName
				Case Me.btn004MEN130F051.Name
					Me.lbl002MEN130F051.Text = ldat.ICD10_CD
					Me.lbl003MEN130F051.Text = ldat.DISEASE

				Case Me.btn008MEN130F051.Name
					Me.lbl006MEN130F051.Text = ldat.ICD10_CD
					Me.lbl007MEN130F051.Text = ldat.DISEASE

				Case Me.btn013MEN130F051.Name
					Me.lbl011MEN130F051.Text = ldat.ICD10_CD
					Me.lbl012MEN130F051.Text = ldat.DISEASE

				Case Me.btn018MEN130F051.Name
					Me.lbl016MEN130F051.Text = ldat.ICD10_CD
					Me.lbl017MEN130F051.Text = ldat.DISEASE

				Case Me.btn023MEN130F051.Name
					Me.lbl021MEN130F051.Text = ldat.ICD10_CD
					Me.lbl022MEN130F051.Text = ldat.DISEASE

				Case Me.btn028MEN130F051.Name
					Me.lbl026MEN130F051.Text = ldat.ICD10_CD
					Me.lbl027MEN130F051.Text = ldat.DISEASE

				Case Me.btn032MEN130F051.Name
					Me.lbl030MEN130F051.Text = ldat.ICD10_CD
					Me.lbl031MEN130F051.Text = ldat.DISEASE

				Case Me.btn036MEN130F051.Name
					Me.lbl034MEN130F051.Text = ldat.ICD10_CD
					Me.lbl035MEN130F051.Text = ldat.DISEASE

				Case Me.btn041MEN130F051.Name
					Me.lbl039MEN130F051.Text = ldat.ICD10_CD
					Me.lbl040MEN130F051.Text = ldat.DISEASE

				Case Me.btn046MEN130F051.Name
					Me.lbl044MEN130F051.Text = ldat.ICD10_CD
					Me.lbl045MEN130F051.Text = ldat.DISEASE

				Case Me.btn050MEN130F051.Name
					Me.lbl048MEN130F051.Text = ldat.ICD10_CD
					Me.lbl049MEN130F051.Text = ldat.DISEASE

				Case Me.btn054MEN130F051.Name
					Me.lbl052MEN130F051.Text = ldat.ICD10_CD
					Me.lbl053MEN130F051.Text = ldat.DISEASE

				Case Else

			End Select

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術情報設定
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setOpe(ByVal ldatOpePlusOneRec As datMTI_OPE_PLUS_OneRec, ByVal sCtlName As String)
		log(clsSysMst.logLevel.DBG, "setOpe", "手術情報設定")
		Try
			Select Case sCtlName
				Case Me.btn063MEN130F051.Name
					Me.lbl062MEN130F051.Text = ldatOpePlusOneRec.OPE_NM
					Me.lbl064MEN130F051.Text = ldatOpePlusOneRec.OPE_DT
					Me.lbl065MEN130F051.Text = ldatOpePlusOneRec.SCORE_CD
					Me.lbl066MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT_CD
					Me.lbl067MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT
					Me.lbl068MEN130F051.Text = ldatOpePlusOneRec.OPE_PART_CD
					Me.lbl069MEN130F051.Text = ldatOpePlusOneRec.OPE_PART
					Me.lbl070MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_DIV1
					Me.lbl071MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_NM

				Case Me.btn074MEN130F051.Name
					Me.lbl073MEN130F051.Text = ldatOpePlusOneRec.OPE_NM
					Me.lbl075MEN130F051.Text = ldatOpePlusOneRec.OPE_DT
					Me.lbl076MEN130F051.Text = ldatOpePlusOneRec.SCORE_CD
					Me.lbl077MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT_CD
					Me.lbl078MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT
					Me.lbl079MEN130F051.Text = ldatOpePlusOneRec.OPE_PART_CD
					Me.lbl080MEN130F051.Text = ldatOpePlusOneRec.OPE_PART
					Me.lbl081MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_DIV1
					Me.lbl082MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_NM

				Case Me.btn085MEN130F051.Name
					Me.lbl084MEN130F051.Text = ldatOpePlusOneRec.OPE_NM
					Me.lbl086MEN130F051.Text = ldatOpePlusOneRec.OPE_DT
					Me.lbl087MEN130F051.Text = ldatOpePlusOneRec.SCORE_CD
					Me.lbl088MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT_CD
					Me.lbl089MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT
					Me.lbl090MEN130F051.Text = ldatOpePlusOneRec.OPE_PART_CD
					Me.lbl091MEN130F051.Text = ldatOpePlusOneRec.OPE_PART
					Me.lbl092MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_DIV1
					Me.lbl093MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_NM

				Case Me.btn096MEN130F051.Name
					Me.lbl095MEN130F051.Text = ldatOpePlusOneRec.OPE_NM
					Me.lbl097MEN130F051.Text = ldatOpePlusOneRec.OPE_DT
					Me.lbl098MEN130F051.Text = ldatOpePlusOneRec.SCORE_CD
					Me.lbl099MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT_CD
					Me.lbl100MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT
					Me.lbl101MEN130F051.Text = ldatOpePlusOneRec.OPE_PART_CD
					Me.lbl102MEN130F051.Text = ldatOpePlusOneRec.OPE_PART
					Me.lbl103MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_DIV1
					Me.lbl104MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_NM

				Case Me.btn107MEN130F051.Name
					Me.lbl106MEN130F051.Text = ldatOpePlusOneRec.OPE_NM
					Me.lbl108MEN130F051.Text = ldatOpePlusOneRec.OPE_DT
					Me.lbl109MEN130F051.Text = ldatOpePlusOneRec.SCORE_CD
					Me.lbl110MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT_CD
					Me.lbl111MEN130F051.Text = ldatOpePlusOneRec.OPE_COUNT
					Me.lbl112MEN130F051.Text = ldatOpePlusOneRec.OPE_PART_CD
					Me.lbl113MEN130F051.Text = ldatOpePlusOneRec.OPE_PART
					Me.lbl114MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_DIV1
					Me.lbl115MEN130F051.Text = ldatOpePlusOneRec.ANESTHESIA_NM
				Case Else
			End Select

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名データテーブルよりデータロウ取得
	''' </summary>
	''' <param name="dt"></param>
	''' <param name="strItemName"></param>
	''' <param name="iValue"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDiseaseRow(ByVal dt As DataTable, ByVal strItemName As String, ByVal iValue As Integer) As DataRow()
		log(clsSysMst.logLevel.DBG, "getDiseaseRow", "病名データテーブルよりデータロウ取得")
		Try
			Return dt.Select(strItemName & " = " & CType(iValue, String))
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術情報設定
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setOpe()
		log(clsSysMst.logLevel.DBG, "setOpe", "手術情報設定 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim arOrderBy As ArrayList = Nothing
		Dim strOrderBy() As String = Nothing
		Dim row() As DataRow = Nothing
		Dim iValue As Integer = 0
		Dim ctlICD9CM_CD() As Control = Nothing
		Dim ctlOPE_NM() As Control = Nothing
		Dim ctlOPE_DT() As Control = Nothing
		Dim ctlSCORE_CD() As Control = Nothing
		Dim ctlOPE_COUNT_CD() As Control = Nothing
		Dim ctlOPE_PART_CD() As Control = Nothing
		Dim ctlANESTHESIA_DIV1() As Control = Nothing

		Dim ctlOPE_COUNT_NM() As Control = Nothing
		Dim ctlOPE_PART_NM() As Control = Nothing
		Dim ctlANESTHESIA_DIV1NM() As Control = Nothing

		Try
			Dim strOpe As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00076)
			' 手術情報
			Using ldv As DataView = New DataView(dtOpe)
				arOrderBy = New ArrayList
				arOrderBy.Add(sqlMTI_OPE.itmOPE_DIV_DSPORDER)	'手術区分コード（表示順）
				arOrderBy.Add(sqlMTI_OPE.itmOPE_DIV)			'手術区分コード
				arOrderBy.Add(sqlMTI_OPE.itmOPE_DT)				'実施日
				arOrderBy.Add(sqlMTI_OPE.itmCH_NO)				'科歴番号
				arOrderBy.Add(sqlMTI_OPE.itmOPE_SERIAL_NO)		'手術連番
				strOrderBy = arOrderBy.ToArray(GetType(String))
				ldv.Sort = Join(strOrderBy, clsMENCOMMON.CONTROL_STRING_COMMA)
				Select Case strOpe
					Case C_OPE_REMARKS1
						row = getOpeRow(ldv.ToTable, sqlMTI_OPE.itmREMARKS1, String.Empty, True)
					Case C_OPE_REMARKS2
						row = getOpeRow(ldv.ToTable, sqlMTI_OPE.itmREMARKS2, String.Empty, True)
					Case C_OPE_ASST1
						row = getOpeRow(ldv.ToTable, sqlMTI_OPE.itmASST_DIV1, String.Empty, True)
					Case C_OPE_ASST2
						row = getOpeRow(ldv.ToTable, sqlMTI_OPE.itmASST_DIV2, String.Empty, True)
					Case Else
						If Integer.TryParse(strOpe, iValue) Then
							row = getOpeRow(ldv.ToTable, sqlMTI_OPE.itmOPE_DIV, strOpe)
						Else
							row = ldv.ToTable.Select()
						End If
				End Select
			End Using
			If row.Length > 0 Then
				cliCommon = New clsMENCOMMON
				For i As Integer = 0 To C_CTL_OPE.GetUpperBound(0)
					If row.Length <= i Then Exit For
					'' ＩＣＤ９ＣＭコード
					'ctlICD9CM_CD = Me.Controls.Find(C_CTL_OPE(i)(0), True)
					'If ctlICD9CM_CD.Length <= 0 Then Continue For
					' 手術名
					ctlOPE_NM = Me.Controls.Find(C_CTL_OPE(i)(0), True)
					If ctlOPE_NM.Length <= 0 Then Continue For
					' 実施日
					ctlOPE_DT = Me.Controls.Find(C_CTL_OPE(i)(1), True)
					If ctlOPE_DT.Length <= 0 Then Continue For
					' 点数表コード
					ctlSCORE_CD = Me.Controls.Find(C_CTL_OPE(i)(2), True)
					If ctlSCORE_CD.Length <= 0 Then Continue For

					' 手術回数
					ctlOPE_COUNT_CD = Me.Controls.Find(C_CTL_OPE(i)(6), True)
					If ctlOPE_COUNT_CD.Length <= 0 Then Continue For
					' 手術側数
					ctlOPE_PART_CD = Me.Controls.Find(C_CTL_OPE(i)(7), True)
					If ctlOPE_PART_CD.Length <= 0 Then Continue For
					' 麻酔名
					ctlANESTHESIA_DIV1 = Me.Controls.Find(C_CTL_OPE(i)(8), True)
					If ctlANESTHESIA_DIV1.Length <= 0 Then Continue For

					' 回数
					ctlOPE_COUNT_NM = Me.Controls.Find(C_CTL_OPE(i)(3), True)
					If ctlOPE_COUNT_NM.Length <= 0 Then Continue For
					' 側数
					ctlOPE_PART_NM = Me.Controls.Find(C_CTL_OPE(i)(4), True)
					If ctlOPE_PART_NM.Length <= 0 Then Continue For
					' 麻酔
					ctlANESTHESIA_DIV1NM = Me.Controls.Find(C_CTL_OPE(i)(5), True)
					If ctlANESTHESIA_DIV1NM.Length <= 0 Then Continue For

					'ctlICD9CM_CD(0).Text = row(i)(sqlMTI_OPE.itmICD9CM_CD).ToString
					ctlOPE_NM(0).Text = row(i)(sqlMTI_OPE.itmOPE_NM).ToString
					ctlOPE_DT(0).Text = cliCommon.getDateFormat(row(i)(sqlMTI_OPE.itmOPE_DT))
					ctlSCORE_CD(0).Text = row(i)(sqlMTI_OPE.itmSCORE_CD).ToString
					ctlOPE_COUNT_CD(0).Text = row(i)(sqlMTI_OPE.itmOPE_COUNT).ToString
					ctlOPE_PART_CD(0).Text = row(i)(sqlMTI_OPE.itmOPE_PART).ToString
					ctlANESTHESIA_DIV1(0).Text = row(i)(sqlMTI_OPE.itmANESTHESIA_NM).ToString

					ctlOPE_COUNT_NM(0).Text = row(i)(sqlMTI_OPE.itmOPE_COUNT_CD).ToString
					ctlOPE_PART_NM(0).Text = row(i)(sqlMTI_OPE.itmOPE_PART_CD).ToString
					ctlANESTHESIA_DIV1NM(0).Text = row(i)(sqlMTI_OPE.itmANESTHESIA_DIV1).ToString
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
			arOrderBy = Nothing
			strOrderBy = Nothing
			row = Nothing
			ctlICD9CM_CD = Nothing
			ctlOPE_NM = Nothing
			ctlOPE_DT = Nothing
			ctlSCORE_CD = Nothing
			ctlOPE_COUNT_CD = Nothing
			ctlOPE_PART_CD = Nothing
			ctlANESTHESIA_DIV1 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術データテーブルよりデータロウ取得
	''' </summary>
	''' <param name="dt"></param>
	''' <param name="strItemName"></param>
	''' <param name="strValue"></param>
	''' <param name="bNotNull"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOpeRow(ByVal dt As DataTable, ByVal strItemName As String, ByVal strValue As String, Optional ByVal bNotNull As Boolean = False) As DataRow()
		log(clsSysMst.logLevel.DBG, "getOpeRow", "手術データテーブルよりデータロウ取得")
		Try
			If bNotNull Then
				Return dt.Select(strItemName & " IS NOT NULL")
			Else
				Return dt.Select(strItemName & " = '" & cliCom.getDtItmValue(strValue) & "'")
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名複写画面起動
	''' </summary>
	''' <remarks>
	''' 2014/04/25 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub openByoumeiCopy()
		log(clsSysMst.logLevel.DBG, "openByoumeiCopy", "病名複写画面起動")
		Try
			frmMEN040F020 = Nothing
			frmMEN040F020 = New MEN040F020(Me.PatientNo, Me.HspHistoryNo, Me.ChNo, dtDisease, True)
			Me.nextForm(frmMEN040F020)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術複写画面起動
	''' </summary>
	''' <remarks>
	''' 2014/04/25 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub openSyujutuCopy()
		log(clsSysMst.logLevel.DBG, "openByoumeiCopy", "手術複写画面起動")
		Try
			frmMEN050F020 = Nothing
			frmMEN050F020 = New MEN050F020(MEN.clsMENCOMMON.Enum_ScrKind.eOpe, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, dtOpe, datMtiOpeDoctor, True)	 '手術名複写
			Me.nextForm(frmMEN050F020)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の更新
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updDPCInfo() As Boolean
		log(clsSysMst.logLevel.DBG, "updDPCInfo", "ＤＰＣ情報の更新 Start")
		Dim iRet As Integer = 0
		Dim bRet As Boolean = False
		Dim dpcInfoWk(99) As String		'DPC情報
		Try
			' 入力値
			' 病名
			dpcInfoWk(0) = Me.lbl002MEN130F051.Text
			dpcInfoWk(1) = Me.lbl003MEN130F051.Text
			dpcInfoWk(2) = Me.lbl006MEN130F051.Text
			dpcInfoWk(3) = Me.lbl007MEN130F051.Text
			dpcInfoWk(4) = Me.lbl011MEN130F051.Text
			dpcInfoWk(5) = Me.lbl012MEN130F051.Text
			dpcInfoWk(6) = Me.lbl016MEN130F051.Text
			dpcInfoWk(7) = Me.lbl017MEN130F051.Text
			dpcInfoWk(8) = Me.lbl021MEN130F051.Text
			dpcInfoWk(9) = Me.lbl022MEN130F051.Text
			dpcInfoWk(10) = Me.lbl026MEN130F051.Text
			dpcInfoWk(11) = Me.lbl027MEN130F051.Text
			dpcInfoWk(12) = Me.lbl030MEN130F051.Text
			dpcInfoWk(13) = Me.lbl031MEN130F051.Text
			dpcInfoWk(14) = Me.lbl034MEN130F051.Text
			dpcInfoWk(15) = Me.lbl035MEN130F051.Text
			dpcInfoWk(16) = Me.lbl039MEN130F051.Text
			dpcInfoWk(17) = Me.lbl040MEN130F051.Text
			dpcInfoWk(18) = Me.lbl044MEN130F051.Text
			dpcInfoWk(19) = Me.lbl045MEN130F051.Text
			dpcInfoWk(20) = Me.lbl048MEN130F051.Text
			dpcInfoWk(21) = Me.lbl049MEN130F051.Text
			dpcInfoWk(22) = Me.lbl052MEN130F051.Text
			dpcInfoWk(23) = Me.lbl053MEN130F051.Text

			' 手術
			dpcInfoWk(24) = Me.lbl064MEN130F051.Text	'実施日
			dpcInfoWk(25) = Me.lbl065MEN130F051.Text	'点数表コード
			dpcInfoWk(26) = Me.lbl066MEN130F051.Text	'手術回数
			dpcInfoWk(27) = Me.lbl068MEN130F051.Text	'手術側数
			dpcInfoWk(28) = Me.lbl070MEN130F051.Text	'麻酔
			dpcInfoWk(29) = Me.lbl062MEN130F051.Text	'手術名

			dpcInfoWk(30) = Me.lbl075MEN130F051.Text	'実施日
			dpcInfoWk(31) = Me.lbl076MEN130F051.Text	'点数表コード
			dpcInfoWk(32) = Me.lbl077MEN130F051.Text	'手術回数
			dpcInfoWk(33) = Me.lbl079MEN130F051.Text	'手術側数
			dpcInfoWk(34) = Me.lbl081MEN130F051.Text	'麻酔
			dpcInfoWk(35) = Me.lbl073MEN130F051.Text	'手術名

			dpcInfoWk(36) = Me.lbl086MEN130F051.Text	'実施日
			dpcInfoWk(37) = Me.lbl087MEN130F051.Text	'点数表コード
			dpcInfoWk(38) = Me.lbl088MEN130F051.Text	'手術回数
			dpcInfoWk(39) = Me.lbl090MEN130F051.Text	'手術側数
			dpcInfoWk(40) = Me.lbl092MEN130F051.Text	'麻酔
			dpcInfoWk(41) = Me.lbl084MEN130F051.Text	'手術名

			dpcInfoWk(42) = Me.lbl097MEN130F051.Text	'実施日
			dpcInfoWk(43) = Me.lbl098MEN130F051.Text	'点数表コード
			dpcInfoWk(44) = Me.lbl099MEN130F051.Text	'手術回数
			dpcInfoWk(45) = Me.lbl101MEN130F051.Text	'手術側数
			dpcInfoWk(46) = Me.lbl103MEN130F051.Text	'麻酔
			dpcInfoWk(47) = Me.lbl095MEN130F051.Text	'手術名

			dpcInfoWk(48) = Me.lbl108MEN130F051.Text	'実施日
			dpcInfoWk(49) = Me.lbl109MEN130F051.Text	'点数表コード
			dpcInfoWk(50) = Me.lbl110MEN130F051.Text	'手術回数
			dpcInfoWk(51) = Me.lbl112MEN130F051.Text	'手術側数
			dpcInfoWk(52) = Me.lbl114MEN130F051.Text	'麻酔
			dpcInfoWk(53) = Me.lbl106MEN130F051.Text	'手術名

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
						' 現レコードの削除
						iRet = cliMti_Dpc.delDPCInfo(db, Me.PatientNo, Me.pHspDate, Me.pDeptCode, Me.pModelYear & Me.pChildNum)

						If Me.updFlg <> clsMENCOMMON.Enum_UpdFlg.eDelete Then
							' 削除モード以外はレコード登録
							iRet = cliMti_Dpc.addDPCInfo(db, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, _
															 Me.pDeptCode, Me.pModelYear & Me.pChildNum, dpcInfoWk, _userID)
							If iRet = 0 Then
								If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
								Return False
							End If
						End If
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
					' 更新フラグを初期化
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
					bRet = True
				Catch ex As Exception
					' ロールバック
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDPCInfo() As Integer
		log(clsSysMst.logLevel.DBG, "getDPCInfo", "ＤＰＣ情報の取得 Start")
		Dim iRet As Integer = 0
		Dim dbData As datMTI_DPC_DPCINFO = Nothing
		Dim arData As ArrayList
		Try
			Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
				arData = cliMti_Dpc.getDPCInfo(Me.PatientNo, Me.pHspDate, Me.pDeptCode, Me.pModelYear & Me.pChildNum)
			End Using
			If arData IsNot Nothing Then
				iRet = arData.Count
				For Each dbData In arData
					If Not String.IsNullOrEmpty(dbData.DPC_001) Then dpcInfo(0) = dbData.DPC_001
					If Not String.IsNullOrEmpty(dbData.DPC_002) Then dpcInfo(1) = dbData.DPC_002
					If Not String.IsNullOrEmpty(dbData.DPC_003) Then dpcInfo(2) = dbData.DPC_003
					If Not String.IsNullOrEmpty(dbData.DPC_004) Then dpcInfo(3) = dbData.DPC_004
					If Not String.IsNullOrEmpty(dbData.DPC_005) Then dpcInfo(4) = dbData.DPC_005
					If Not String.IsNullOrEmpty(dbData.DPC_006) Then dpcInfo(5) = dbData.DPC_006
					If Not String.IsNullOrEmpty(dbData.DPC_007) Then dpcInfo(6) = dbData.DPC_007
					If Not String.IsNullOrEmpty(dbData.DPC_008) Then dpcInfo(7) = dbData.DPC_008
					If Not String.IsNullOrEmpty(dbData.DPC_009) Then dpcInfo(8) = dbData.DPC_009
					If Not String.IsNullOrEmpty(dbData.DPC_010) Then dpcInfo(9) = dbData.DPC_010
					If Not String.IsNullOrEmpty(dbData.DPC_011) Then dpcInfo(10) = dbData.DPC_011
					If Not String.IsNullOrEmpty(dbData.DPC_012) Then dpcInfo(11) = dbData.DPC_012
					If Not String.IsNullOrEmpty(dbData.DPC_013) Then dpcInfo(12) = dbData.DPC_013
					If Not String.IsNullOrEmpty(dbData.DPC_014) Then dpcInfo(13) = dbData.DPC_014
					If Not String.IsNullOrEmpty(dbData.DPC_015) Then dpcInfo(14) = dbData.DPC_015
					If Not String.IsNullOrEmpty(dbData.DPC_016) Then dpcInfo(15) = dbData.DPC_016
					If Not String.IsNullOrEmpty(dbData.DPC_017) Then dpcInfo(16) = dbData.DPC_017
					If Not String.IsNullOrEmpty(dbData.DPC_018) Then dpcInfo(17) = dbData.DPC_018
					If Not String.IsNullOrEmpty(dbData.DPC_019) Then dpcInfo(18) = dbData.DPC_019
					If Not String.IsNullOrEmpty(dbData.DPC_020) Then dpcInfo(19) = dbData.DPC_020
					If Not String.IsNullOrEmpty(dbData.DPC_021) Then dpcInfo(20) = dbData.DPC_021
					If Not String.IsNullOrEmpty(dbData.DPC_022) Then dpcInfo(21) = dbData.DPC_022
					If Not String.IsNullOrEmpty(dbData.DPC_023) Then dpcInfo(22) = dbData.DPC_023
					If Not String.IsNullOrEmpty(dbData.DPC_024) Then dpcInfo(23) = dbData.DPC_024
					If Not String.IsNullOrEmpty(dbData.DPC_025) Then dpcInfo(24) = dbData.DPC_025
					If Not String.IsNullOrEmpty(dbData.DPC_026) Then dpcInfo(25) = dbData.DPC_026
					If Not String.IsNullOrEmpty(dbData.DPC_027) Then dpcInfo(26) = dbData.DPC_027
					If Not String.IsNullOrEmpty(dbData.DPC_028) Then dpcInfo(27) = dbData.DPC_028
					If Not String.IsNullOrEmpty(dbData.DPC_029) Then dpcInfo(28) = dbData.DPC_029
					If Not String.IsNullOrEmpty(dbData.DPC_030) Then dpcInfo(29) = dbData.DPC_030
					If Not String.IsNullOrEmpty(dbData.DPC_031) Then dpcInfo(30) = dbData.DPC_031
					If Not String.IsNullOrEmpty(dbData.DPC_032) Then dpcInfo(31) = dbData.DPC_032
					If Not String.IsNullOrEmpty(dbData.DPC_033) Then dpcInfo(32) = dbData.DPC_033
					If Not String.IsNullOrEmpty(dbData.DPC_034) Then dpcInfo(33) = dbData.DPC_034
					If Not String.IsNullOrEmpty(dbData.DPC_035) Then dpcInfo(34) = dbData.DPC_035
					If Not String.IsNullOrEmpty(dbData.DPC_036) Then dpcInfo(35) = dbData.DPC_036
					If Not String.IsNullOrEmpty(dbData.DPC_037) Then dpcInfo(36) = dbData.DPC_037
					If Not String.IsNullOrEmpty(dbData.DPC_038) Then dpcInfo(37) = dbData.DPC_038
					If Not String.IsNullOrEmpty(dbData.DPC_039) Then dpcInfo(38) = dbData.DPC_039
					If Not String.IsNullOrEmpty(dbData.DPC_040) Then dpcInfo(39) = dbData.DPC_040
					If Not String.IsNullOrEmpty(dbData.DPC_041) Then dpcInfo(40) = dbData.DPC_041
					If Not String.IsNullOrEmpty(dbData.DPC_042) Then dpcInfo(41) = dbData.DPC_042
					If Not String.IsNullOrEmpty(dbData.DPC_043) Then dpcInfo(42) = dbData.DPC_043
					If Not String.IsNullOrEmpty(dbData.DPC_044) Then dpcInfo(43) = dbData.DPC_044
					If Not String.IsNullOrEmpty(dbData.DPC_045) Then dpcInfo(44) = dbData.DPC_045
					If Not String.IsNullOrEmpty(dbData.DPC_046) Then dpcInfo(45) = dbData.DPC_046
					If Not String.IsNullOrEmpty(dbData.DPC_047) Then dpcInfo(46) = dbData.DPC_047
					If Not String.IsNullOrEmpty(dbData.DPC_048) Then dpcInfo(47) = dbData.DPC_048
					If Not String.IsNullOrEmpty(dbData.DPC_049) Then dpcInfo(48) = dbData.DPC_049
					If Not String.IsNullOrEmpty(dbData.DPC_050) Then dpcInfo(49) = dbData.DPC_050
					If Not String.IsNullOrEmpty(dbData.DPC_051) Then dpcInfo(50) = dbData.DPC_051
					If Not String.IsNullOrEmpty(dbData.DPC_052) Then dpcInfo(51) = dbData.DPC_052
					If Not String.IsNullOrEmpty(dbData.DPC_053) Then dpcInfo(52) = dbData.DPC_053
					If Not String.IsNullOrEmpty(dbData.DPC_054) Then dpcInfo(53) = dbData.DPC_054
					If Not String.IsNullOrEmpty(dbData.DPC_055) Then dpcInfo(54) = dbData.DPC_055
					If Not String.IsNullOrEmpty(dbData.DPC_056) Then dpcInfo(55) = dbData.DPC_056
					If Not String.IsNullOrEmpty(dbData.DPC_057) Then dpcInfo(56) = dbData.DPC_057
					If Not String.IsNullOrEmpty(dbData.DPC_058) Then dpcInfo(57) = dbData.DPC_058
					If Not String.IsNullOrEmpty(dbData.DPC_059) Then dpcInfo(58) = dbData.DPC_059
					If Not String.IsNullOrEmpty(dbData.DPC_060) Then dpcInfo(59) = dbData.DPC_060
					If Not String.IsNullOrEmpty(dbData.DPC_061) Then dpcInfo(60) = dbData.DPC_061
					If Not String.IsNullOrEmpty(dbData.DPC_062) Then dpcInfo(61) = dbData.DPC_062
					If Not String.IsNullOrEmpty(dbData.DPC_063) Then dpcInfo(62) = dbData.DPC_063
					If Not String.IsNullOrEmpty(dbData.DPC_064) Then dpcInfo(63) = dbData.DPC_064
					If Not String.IsNullOrEmpty(dbData.DPC_065) Then dpcInfo(64) = dbData.DPC_065
					If Not String.IsNullOrEmpty(dbData.DPC_066) Then dpcInfo(65) = dbData.DPC_066
					If Not String.IsNullOrEmpty(dbData.DPC_067) Then dpcInfo(66) = dbData.DPC_067
					If Not String.IsNullOrEmpty(dbData.DPC_068) Then dpcInfo(67) = dbData.DPC_068
					If Not String.IsNullOrEmpty(dbData.DPC_069) Then dpcInfo(68) = dbData.DPC_069
					If Not String.IsNullOrEmpty(dbData.DPC_070) Then dpcInfo(69) = dbData.DPC_070
					If Not String.IsNullOrEmpty(dbData.DPC_071) Then dpcInfo(70) = dbData.DPC_071
					If Not String.IsNullOrEmpty(dbData.DPC_072) Then dpcInfo(71) = dbData.DPC_072
					If Not String.IsNullOrEmpty(dbData.DPC_073) Then dpcInfo(72) = dbData.DPC_073
					If Not String.IsNullOrEmpty(dbData.DPC_074) Then dpcInfo(73) = dbData.DPC_074
					If Not String.IsNullOrEmpty(dbData.DPC_075) Then dpcInfo(74) = dbData.DPC_075
					If Not String.IsNullOrEmpty(dbData.DPC_076) Then dpcInfo(75) = dbData.DPC_076
					If Not String.IsNullOrEmpty(dbData.DPC_077) Then dpcInfo(76) = dbData.DPC_077
					If Not String.IsNullOrEmpty(dbData.DPC_078) Then dpcInfo(77) = dbData.DPC_078
					If Not String.IsNullOrEmpty(dbData.DPC_079) Then dpcInfo(78) = dbData.DPC_079
					If Not String.IsNullOrEmpty(dbData.DPC_080) Then dpcInfo(79) = dbData.DPC_080
					If Not String.IsNullOrEmpty(dbData.DPC_081) Then dpcInfo(80) = dbData.DPC_081
					If Not String.IsNullOrEmpty(dbData.DPC_082) Then dpcInfo(81) = dbData.DPC_082
					If Not String.IsNullOrEmpty(dbData.DPC_083) Then dpcInfo(82) = dbData.DPC_083
					If Not String.IsNullOrEmpty(dbData.DPC_084) Then dpcInfo(83) = dbData.DPC_084
					If Not String.IsNullOrEmpty(dbData.DPC_085) Then dpcInfo(84) = dbData.DPC_085
					If Not String.IsNullOrEmpty(dbData.DPC_086) Then dpcInfo(85) = dbData.DPC_086
					If Not String.IsNullOrEmpty(dbData.DPC_087) Then dpcInfo(86) = dbData.DPC_087
					If Not String.IsNullOrEmpty(dbData.DPC_088) Then dpcInfo(87) = dbData.DPC_088
					If Not String.IsNullOrEmpty(dbData.DPC_089) Then dpcInfo(88) = dbData.DPC_089
					If Not String.IsNullOrEmpty(dbData.DPC_090) Then dpcInfo(89) = dbData.DPC_090
					If Not String.IsNullOrEmpty(dbData.DPC_091) Then dpcInfo(90) = dbData.DPC_091
					If Not String.IsNullOrEmpty(dbData.DPC_092) Then dpcInfo(91) = dbData.DPC_092
					If Not String.IsNullOrEmpty(dbData.DPC_093) Then dpcInfo(92) = dbData.DPC_093
					If Not String.IsNullOrEmpty(dbData.DPC_094) Then dpcInfo(93) = dbData.DPC_094
					If Not String.IsNullOrEmpty(dbData.DPC_095) Then dpcInfo(94) = dbData.DPC_095
					If Not String.IsNullOrEmpty(dbData.DPC_096) Then dpcInfo(95) = dbData.DPC_096
					If Not String.IsNullOrEmpty(dbData.DPC_097) Then dpcInfo(96) = dbData.DPC_097
					If Not String.IsNullOrEmpty(dbData.DPC_098) Then dpcInfo(97) = dbData.DPC_098
					If Not String.IsNullOrEmpty(dbData.DPC_099) Then dpcInfo(98) = dbData.DPC_099
					If Not String.IsNullOrEmpty(dbData.DPC_100) Then dpcInfo(99) = dbData.DPC_100
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			dbData = Nothing
			arData = Nothing
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値を内部変数に保持
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getInputData()
		log(clsSysMst.logLevel.DBG, "getInputData", "入力値を内部変数に保持 Start")
		Try
			' 病名
			dpcInfo(0) = Me.lbl002MEN130F051.Text
			dpcInfo(1) = Me.lbl003MEN130F051.Text
			dpcInfo(2) = Me.lbl006MEN130F051.Text
			dpcInfo(3) = Me.lbl007MEN130F051.Text
			dpcInfo(4) = Me.lbl011MEN130F051.Text
			dpcInfo(5) = Me.lbl012MEN130F051.Text
			dpcInfo(6) = Me.lbl016MEN130F051.Text
			dpcInfo(7) = Me.lbl017MEN130F051.Text
			dpcInfo(8) = Me.lbl021MEN130F051.Text
			dpcInfo(9) = Me.lbl022MEN130F051.Text
			dpcInfo(10) = Me.lbl026MEN130F051.Text
			dpcInfo(11) = Me.lbl027MEN130F051.Text
			dpcInfo(12) = Me.lbl030MEN130F051.Text
			dpcInfo(13) = Me.lbl031MEN130F051.Text
			dpcInfo(14) = Me.lbl034MEN130F051.Text
			dpcInfo(15) = Me.lbl035MEN130F051.Text
			dpcInfo(16) = Me.lbl039MEN130F051.Text
			dpcInfo(17) = Me.lbl040MEN130F051.Text
			dpcInfo(18) = Me.lbl044MEN130F051.Text
			dpcInfo(19) = Me.lbl045MEN130F051.Text
			dpcInfo(20) = Me.lbl048MEN130F051.Text
			dpcInfo(21) = Me.lbl049MEN130F051.Text
			dpcInfo(22) = Me.lbl052MEN130F051.Text
			dpcInfo(23) = Me.lbl053MEN130F051.Text

			' 手術
			dpcInfo(24) = Me.lbl064MEN130F051.Text	'実施日
			dpcInfo(25) = Me.lbl065MEN130F051.Text	'点数表コード
			dpcInfo(26) = Me.lbl066MEN130F051.Text	'手術回数
			dpcInfo(27) = Me.lbl068MEN130F051.Text	'手術側数
			dpcInfo(28) = Me.lbl070MEN130F051.Text	'麻酔
			dpcInfo(29) = Me.lbl062MEN130F051.Text	'手術名

			dpcInfo(30) = Me.lbl075MEN130F051.Text	'実施日
			dpcInfo(31) = Me.lbl076MEN130F051.Text	'点数表コード
			dpcInfo(32) = Me.lbl077MEN130F051.Text	'手術回数
			dpcInfo(33) = Me.lbl079MEN130F051.Text	'手術側数
			dpcInfo(34) = Me.lbl081MEN130F051.Text	'麻酔
			dpcInfo(35) = Me.lbl073MEN130F051.Text	'手術名

			dpcInfo(36) = Me.lbl086MEN130F051.Text	'実施日
			dpcInfo(37) = Me.lbl087MEN130F051.Text	'点数表コード
			dpcInfo(38) = Me.lbl088MEN130F051.Text	'手術回数
			dpcInfo(39) = Me.lbl090MEN130F051.Text	'手術側数
			dpcInfo(40) = Me.lbl092MEN130F051.Text	'麻酔
			dpcInfo(41) = Me.lbl084MEN130F051.Text	'手術名

			dpcInfo(42) = Me.lbl097MEN130F051.Text	'実施日
			dpcInfo(43) = Me.lbl098MEN130F051.Text	'点数表コード
			dpcInfo(44) = Me.lbl099MEN130F051.Text	'手術回数
			dpcInfo(45) = Me.lbl101MEN130F051.Text	'手術側数
			dpcInfo(46) = Me.lbl103MEN130F051.Text	'麻酔
			dpcInfo(47) = Me.lbl095MEN130F051.Text	'手術名

			dpcInfo(48) = Me.lbl108MEN130F051.Text	'実施日
			dpcInfo(49) = Me.lbl109MEN130F051.Text	'点数表コード
			dpcInfo(50) = Me.lbl110MEN130F051.Text	'手術回数
			dpcInfo(51) = Me.lbl112MEN130F051.Text	'手術側数
			dpcInfo(52) = Me.lbl114MEN130F051.Text	'麻酔
			dpcInfo(53) = Me.lbl106MEN130F051.Text	'手術名
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 初期値を画面にセット
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDspData()
		log(clsSysMst.logLevel.DBG, "getInputData", "初期値を画面にセット Start")
		Try
			' 病名
			Me.lbl002MEN130F051.Text = dpcInfo(0)
			Me.lbl003MEN130F051.Text = dpcInfo(1)
			Me.lbl006MEN130F051.Text = dpcInfo(2)
			Me.lbl007MEN130F051.Text = dpcInfo(3)
			Me.lbl011MEN130F051.Text = dpcInfo(4)
			Me.lbl012MEN130F051.Text = dpcInfo(5)
			Me.lbl016MEN130F051.Text = dpcInfo(6)
			Me.lbl017MEN130F051.Text = dpcInfo(7)
			Me.lbl021MEN130F051.Text = dpcInfo(8)
			Me.lbl022MEN130F051.Text = dpcInfo(9)
			Me.lbl026MEN130F051.Text = dpcInfo(10)
			Me.lbl027MEN130F051.Text = dpcInfo(11)
			Me.lbl030MEN130F051.Text = dpcInfo(12)
			Me.lbl031MEN130F051.Text = dpcInfo(13)
			Me.lbl034MEN130F051.Text = dpcInfo(14)
			Me.lbl035MEN130F051.Text = dpcInfo(15)
			Me.lbl039MEN130F051.Text = dpcInfo(16)
			Me.lbl040MEN130F051.Text = dpcInfo(17)
			Me.lbl044MEN130F051.Text = dpcInfo(18)
			Me.lbl045MEN130F051.Text = dpcInfo(19)
			Me.lbl048MEN130F051.Text = dpcInfo(20)
			Me.lbl049MEN130F051.Text = dpcInfo(21)
			Me.lbl052MEN130F051.Text = dpcInfo(22)
			Me.lbl053MEN130F051.Text = dpcInfo(23)

			' 手術
			Me.lbl064MEN130F051.Text = dpcInfo(24)	 '実施日
			Me.lbl065MEN130F051.Text = dpcInfo(25)	 '点数表コード
			Me.lbl066MEN130F051.Text = dpcInfo(26)	 '手術回数
			Me.lbl067MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpeCnt, sqlComboCom.itmOPE_COUNT_CD, sqlComboCom.itmOPE_COUNT, Me.lbl066MEN130F051.Text)
			Me.lbl068MEN130F051.Text = dpcInfo(27)	 '手術側数
			Me.lbl069MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpePartCnt, sqlComboCom.itmOPE_PART_CD, sqlComboCom.itmOPE_PART, Me.lbl068MEN130F051.Text)
			Me.lbl070MEN130F051.Text = dpcInfo(28)	 '麻酔
			Me.lbl071MEN130F051.Text = Me.cliCom.getDtValue(Me.dtAnesthesia, sqlComboCom.itmANESTHESIA_CD, sqlComboCom.itmANESTHESIA_NM, Me.lbl070MEN130F051.Text)
			Me.lbl062MEN130F051.Text = dpcInfo(29)	 '手術名

			Me.lbl075MEN130F051.Text = dpcInfo(30)	 '実施日
			Me.lbl076MEN130F051.Text = dpcInfo(31)	 '点数表コード
			Me.lbl077MEN130F051.Text = dpcInfo(32)	 '手術回数
			Me.lbl078MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpeCnt, sqlComboCom.itmOPE_COUNT_CD, sqlComboCom.itmOPE_COUNT, Me.lbl077MEN130F051.Text)
			Me.lbl079MEN130F051.Text = dpcInfo(33)	 '手術側数
			Me.lbl080MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpePartCnt, sqlComboCom.itmOPE_PART_CD, sqlComboCom.itmOPE_PART, Me.lbl079MEN130F051.Text)
			Me.lbl081MEN130F051.Text = dpcInfo(34)	 '麻酔
			Me.lbl082MEN130F051.Text = Me.cliCom.getDtValue(Me.dtAnesthesia, sqlComboCom.itmANESTHESIA_CD, sqlComboCom.itmANESTHESIA_NM, Me.lbl081MEN130F051.Text)
			Me.lbl073MEN130F051.Text = dpcInfo(35)	 '手術名

			Me.lbl086MEN130F051.Text = dpcInfo(36)	 '実施日
			Me.lbl087MEN130F051.Text = dpcInfo(37)	 '点数表コード
			Me.lbl088MEN130F051.Text = dpcInfo(38)	 '手術回数
			Me.lbl089MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpeCnt, sqlComboCom.itmOPE_COUNT_CD, sqlComboCom.itmOPE_COUNT, Me.lbl088MEN130F051.Text)
			Me.lbl090MEN130F051.Text = dpcInfo(39)	 '手術側数
			Me.lbl091MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpePartCnt, sqlComboCom.itmOPE_PART_CD, sqlComboCom.itmOPE_PART, Me.lbl090MEN130F051.Text)
			Me.lbl092MEN130F051.Text = dpcInfo(40)	 '麻酔
			Me.lbl093MEN130F051.Text = Me.cliCom.getDtValue(Me.dtAnesthesia, sqlComboCom.itmANESTHESIA_CD, sqlComboCom.itmANESTHESIA_NM, Me.lbl092MEN130F051.Text)
			Me.lbl084MEN130F051.Text = dpcInfo(41)	 '手術名

			Me.lbl097MEN130F051.Text = dpcInfo(42)	 '実施日
			Me.lbl098MEN130F051.Text = dpcInfo(43)	 '点数表コード
			Me.lbl099MEN130F051.Text = dpcInfo(44)	 '手術回数
			Me.lbl100MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpeCnt, sqlComboCom.itmOPE_COUNT_CD, sqlComboCom.itmOPE_COUNT, Me.lbl099MEN130F051.Text)
			Me.lbl101MEN130F051.Text = dpcInfo(45)	 '手術側数
			Me.lbl102MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpePartCnt, sqlComboCom.itmOPE_PART_CD, sqlComboCom.itmOPE_PART, Me.lbl101MEN130F051.Text)
			Me.lbl103MEN130F051.Text = dpcInfo(46)	 '麻酔
			Me.lbl104MEN130F051.Text = Me.cliCom.getDtValue(Me.dtAnesthesia, sqlComboCom.itmANESTHESIA_CD, sqlComboCom.itmANESTHESIA_NM, Me.lbl103MEN130F051.Text)
			Me.lbl095MEN130F051.Text = dpcInfo(47)	 '手術名

			Me.lbl108MEN130F051.Text = dpcInfo(48)	 '実施日
			Me.lbl109MEN130F051.Text = dpcInfo(49)	 '点数表コード
			Me.lbl110MEN130F051.Text = dpcInfo(50)	 '手術回数
			Me.lbl111MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpeCnt, sqlComboCom.itmOPE_COUNT_CD, sqlComboCom.itmOPE_COUNT, Me.lbl110MEN130F051.Text)
			Me.lbl112MEN130F051.Text = dpcInfo(51)	 '手術側数
			Me.lbl113MEN130F051.Text = Me.cliCom.getDtValue(Me.dtOpePartCnt, sqlComboCom.itmOPE_PART_CD, sqlComboCom.itmOPE_PART, Me.lbl112MEN130F051.Text)
			Me.lbl114MEN130F051.Text = dpcInfo(52)	 '麻酔
			Me.lbl115MEN130F051.Text = Me.cliCom.getDtValue(Me.dtAnesthesia, sqlComboCom.itmANESTHESIA_CD, sqlComboCom.itmANESTHESIA_NM, Me.lbl114MEN130F051.Text)
			Me.lbl106MEN130F051.Text = dpcInfo(53)	 '手術名

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力値変更チェック
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkUpdate() As Boolean
		log(clsSysMst.logLevel.DBG, "chkUpdate", "入力値変更チェック Start")
		Dim dpcInfoWk(dpcInfo.GetUpperBound(0)) As String		'DPC情報
		Dim bRet As Boolean = False
		Try
			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				dpcInfoWk(i) = String.Empty
			Next
			
			' 病名
			dpcInfoWk(0) = Me.lbl002MEN130F051.Text
			dpcInfoWk(1) = Me.lbl003MEN130F051.Text
			dpcInfoWk(2) = Me.lbl006MEN130F051.Text
			dpcInfoWk(3) = Me.lbl007MEN130F051.Text
			dpcInfoWk(4) = Me.lbl011MEN130F051.Text
			dpcInfoWk(5) = Me.lbl012MEN130F051.Text
			dpcInfoWk(6) = Me.lbl016MEN130F051.Text
			dpcInfoWk(7) = Me.lbl017MEN130F051.Text
			dpcInfoWk(8) = Me.lbl021MEN130F051.Text
			dpcInfoWk(9) = Me.lbl022MEN130F051.Text
			dpcInfoWk(10) = Me.lbl026MEN130F051.Text
			dpcInfoWk(11) = Me.lbl027MEN130F051.Text
			dpcInfoWk(12) = Me.lbl030MEN130F051.Text
			dpcInfoWk(13) = Me.lbl031MEN130F051.Text
			dpcInfoWk(14) = Me.lbl034MEN130F051.Text
			dpcInfoWk(15) = Me.lbl035MEN130F051.Text
			dpcInfoWk(16) = Me.lbl039MEN130F051.Text
			dpcInfoWk(17) = Me.lbl040MEN130F051.Text
			dpcInfoWk(18) = Me.lbl044MEN130F051.Text
			dpcInfoWk(19) = Me.lbl045MEN130F051.Text
			dpcInfoWk(20) = Me.lbl048MEN130F051.Text
			dpcInfoWk(21) = Me.lbl049MEN130F051.Text
			dpcInfoWk(22) = Me.lbl052MEN130F051.Text
			dpcInfoWk(23) = Me.lbl053MEN130F051.Text

			' 手術
			dpcInfoWk(24) = Me.lbl064MEN130F051.Text	'実施日
			dpcInfoWk(25) = Me.lbl065MEN130F051.Text	'点数表コード
			dpcInfoWk(26) = Me.lbl066MEN130F051.Text	'手術回数
			dpcInfoWk(27) = Me.lbl068MEN130F051.Text	'手術側数
			dpcInfoWk(28) = Me.lbl070MEN130F051.Text	'麻酔
			dpcInfoWk(29) = Me.lbl062MEN130F051.Text	'手術名

			dpcInfoWk(30) = Me.lbl075MEN130F051.Text	'実施日
			dpcInfoWk(31) = Me.lbl076MEN130F051.Text	'点数表コード
			dpcInfoWk(32) = Me.lbl077MEN130F051.Text	'手術回数
			dpcInfoWk(33) = Me.lbl079MEN130F051.Text	'手術側数
			dpcInfoWk(34) = Me.lbl081MEN130F051.Text	'麻酔
			dpcInfoWk(35) = Me.lbl073MEN130F051.Text	'手術名

			dpcInfoWk(36) = Me.lbl086MEN130F051.Text	'実施日
			dpcInfoWk(37) = Me.lbl087MEN130F051.Text	'点数表コード
			dpcInfoWk(38) = Me.lbl088MEN130F051.Text	'手術回数
			dpcInfoWk(39) = Me.lbl090MEN130F051.Text	'手術側数
			dpcInfoWk(40) = Me.lbl092MEN130F051.Text	'麻酔
			dpcInfoWk(41) = Me.lbl084MEN130F051.Text	'手術名

			dpcInfoWk(42) = Me.lbl097MEN130F051.Text	'実施日
			dpcInfoWk(43) = Me.lbl098MEN130F051.Text	'点数表コード
			dpcInfoWk(44) = Me.lbl099MEN130F051.Text	'手術回数
			dpcInfoWk(45) = Me.lbl101MEN130F051.Text	'手術側数
			dpcInfoWk(46) = Me.lbl103MEN130F051.Text	'麻酔
			dpcInfoWk(47) = Me.lbl095MEN130F051.Text	'手術名

			dpcInfoWk(48) = Me.lbl108MEN130F051.Text	'実施日
			dpcInfoWk(49) = Me.lbl109MEN130F051.Text	'点数表コード
			dpcInfoWk(50) = Me.lbl110MEN130F051.Text	'手術回数
			dpcInfoWk(51) = Me.lbl112MEN130F051.Text	'手術側数
			dpcInfoWk(52) = Me.lbl114MEN130F051.Text	'麻酔
			dpcInfoWk(53) = Me.lbl106MEN130F051.Text	'手術名

			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				If dpcInfoWk(i) <> dpcInfo(i) Then
					bRet = True
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			' エラーがない場合
			If Me.getErrCount() = 0 Then
				Select Case Me.updFlg
					Case clsMENCOMMON.Enum_UpdFlg.eUpdate, clsMENCOMMON.Enum_UpdFlg.eDelete
						' ＤＰＣ情報更新
						Return Me.updDPCInfo()
					Case Else
				End Select
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Try
			If Me.saveFlg AndAlso Me.chkUpdate() Then
				If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty Then
					Select Case MyBase.PreUpdConfirm()
						Case MsgBoxResult.Yes : Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
						Case MsgBoxResult.No
						Case MsgBoxResult.Cancel : Return False
					End Select
				Else
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
				End If
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/06 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If frmMEN040F020 IsNot Nothing Then
				frmMEN040F020.Dispose()
			End If
			If frmMEN050F020 IsNot Nothing Then
				frmMEN050F020.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMEN040F020 = Nothing
			frmMEN050F020 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2014/04/24 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Try
			' 病名情報設定
			Me.setDisease()
			' 手術情報設定
			Me.setOpe()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子画面からデータ受信処理
	''' </summary>
	''' <param name="fret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2014/04/24 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal fret As Enum_FormReturn, ByVal de As DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面からデータ受信処理 Start")
		Try
			Select Case de.Key
				Case GetType(MEN040F020).Name		'病名複写画面より
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						If CType(de.Value, ArrayList).Count > 0 Then
							Me.setDisease(CType(CType(de.Value, ArrayList).Item(0), datMTI_DISEASE_PLUS_OneRec), Me.sAddCtl)
						End If
					End If
				Case GetType(MEN050F020).Name		'手術複写画面より
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						If CType(de.Value, ArrayList).Count > 0 Then
							Me.setOpe(CType(CType(de.Value, ArrayList).Item(0), datMTI_OPE_Return).OpePlusRec, Me.sAddCtl)
						End If
					End If
				Case Else
					MyBase.rcvData(fret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			' エラーがある場合はエラー画面を表示する。
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			End If
			' 入力値保持
			Me.getInputData()
			' 画面の再描画を行う。
			Me.repaint()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前確認処理
	''' </summary>
	''' <remarks>
	''' 2014/04/17 新規作成　ID)唐渡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "PreUpdConfirm", "更新前確認処理 Start")
		Try
			Select Case True
				Case Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
					' 初期起動時には保存フラグをオン
					Me.saveFlg = True
				Case Me.chkUpdate()
					' 入力項目に変更がある場合のみ更新前確認メッセージ
					Select Case MyBase.PreUpdConfirm()
						Case MsgBoxResult.Yes
							' 「はい」ボタン選択時には保存フラグをオン
							Me.saveFlg = True
						Case MsgBoxResult.No
							' 「いいえ」ボタン選択時には保存フラグをオフ
							Me.saveFlg = False
							' 画面の再描画を行う。
							Me.repaint()
						Case Else
							' 「キャンセル」ボタン選択時にはそのまま「キャンセル」を戻す
							Return MsgBoxResult.Cancel
					End Select
				Case Else
					' 入力項目に変更がない場合には保存フラグをオフ
					Me.saveFlg = False
			End Select
			' チェック処理を行うため「はい」を戻す
			Return MsgBoxResult.Yes
		Catch ex As Exception
			Throw
		End Try
	End Function


#End Region

End Class