﻿Imports XSP
Imports XCM
Imports System.Windows.Forms
Imports System.IO
Imports System.Runtime.ConstrainedExecution
Imports XSP.clsExcelFunc
''' ---------------------------------------------
''' <summary>
''' 受領／貸出_貸出Excel出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MLN010E020

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			'ここで変数のクリアを行う
			Me.pFrm = Nothing
			Me.cliCom = Nothing
			Me.cliExcelFunc = Nothing
			Me.cliMLN010F010 = Nothing
			Me.sDataShtInfo = Nothing
			Me.sParmShtInfo = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	Private pFrm As MLN010F010 = Nothing								'フォーム
	Private cliCom As clsCom											'共通クラス
	Private cliExcelFunc As clsExcelFunc								'Excel作業クラス
	Private cliMLN010F010 As clsMLN010F010								'受領・貸出クラス

	Private sDataShtInfo() As clsMLN010F010.ExcelDataColInfo
	Private sParmShtInfo() As clsMLN010F010.ExcelPrmInfo

#End Region

#Region "コンスタント"
	Private Const CST_SHTNM_FORPRINT As String = "貸出一覧"
	Private Const CST_MACRO_PRINT As String = "Run_Print"
	Private Const CST_MACRO_PREVIEW As String = "Run_Preview"

'(M) STR V4-11044-000 199 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	'列情報
'	Private ReadOnly ColInfo_Lend() As clsMLN010F010.ExcelDataColInfo = _
'	 {
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_NO, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_HISTORY_NO, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmCH_NO, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBYOREKI_NO, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_KNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmGENDER_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmGENDER_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSTART_DT, clsExcel.CST_FORMAT_DATE),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmEND_DT, clsExcel.CST_FORMAT_DATE),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_DAYS, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmUPDATED, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSEARCH_NO, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS1_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmCNT, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmISSUE_DT, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmEXPECTBACK_DT, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSELECTED, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_DIV, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_RNM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmREMARKS, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_DIV, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDCLERK_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDCLERK_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWERDIV_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_DIV_NM, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSLIP_CD, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWERDIV_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDCLERK_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_1, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_1, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_1, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_1, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_2, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_2, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_2, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_2, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_3, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_3, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_3, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_3, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_4, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_4, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_4, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_4, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_5, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_5, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_5, clsExcel.CST_FORMAT_STRING),
'	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_5, clsExcel.CST_FORMAT_STRING)
'	 }
	'列情報
	Private ReadOnly ColInfo_Lend() As clsMLN010F010.ExcelDataColInfo = _
	 {
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_NO, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_HISTORY_NO, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmCH_NO, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBYOREKI_NO, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_KNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmGENDER_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmGENDER_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSTART_DT, clsExcel.CST_FORMAT_DATE),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmEND_DT, clsExcel.CST_FORMAT_DATE),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_DAYS, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmUPDATED, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSEARCH_NO, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS1_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmCNT, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmISSUE_DT, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmEXPECTBACK_DT, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSELECTED, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_DIV, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmREMARKS, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_DIV, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDCLERK_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDCLERK_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWERDIV_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmTAKER_DIV_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSLIP_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWERDIV_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDCLERK_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_1, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_1, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_1, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_1, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_2, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_2, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_2, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_2, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_3, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_3, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_3, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_3, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_4, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_4, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_4, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_4, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_5, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_5, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_CD_5, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSUMMARY_MAKER_NM_5, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmNOTLENDBARIANCE, clsExcel.CST_FORMAT_STRING)
	 }
'(M) END V4-11044-000 199 20110909
	'行番号
	Private Const Col_B As Integer = 2
	Private Const Col_C As Integer = 3
	Private Const Col_H As Integer = 8
	'列番号
	Private Const Row_1 As Integer = 1
	Private Const Row_2 As Integer = 2
	Private Const Row_3 As Integer = 3
	Private Const Row_4 As Integer = 4
	Private Const Row_5 As Integer = 5
	Private Const Row_6 As Integer = 6
	Private Const Row_7 As Integer = 7
	Private Const Row_8 As Integer = 8
	Private Const Row_9 As Integer = 9
	Private Const Row_10 As Integer = 10
	Private Const Row_11 As Integer = 11

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">督促画面</param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As MLN010F010)
		pFrm = pForm
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（貸出・貸出更新一覧）
	''' </summary>
	''' <param name="pPrintFlg">TRUE:印刷 FALSE:プレビュー</param>
	''' <param name="bDisplayName">氏名表示</param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' 2011/09/28 変更　　　FJSK)荒川<BR/>
	''' '(M) STR V4-11044-000 000 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	''' (修正前)Public Function exePrint(ByVal pPrintFlg As Boolean, ByVal bDisplayName As Boolean) As Boolean
	''' (修正後)Public Function exePrint(ByVal pPrintFlg As Boolean, ByVal bDisplayName As Boolean, ByVal pExcelId As String, ByVal pNonPutFlg As Boolean, ByVal pExedMode As MLN010F010.Enum_ExecStatusLend) As Boolean
	''' </remarks>
	''' ---------------------------------------------
	Public Function exePrint(ByVal pPrintFlg As Boolean, ByVal bDisplayName As Boolean, ByVal pExcelId As String, ByVal pNonPutFlg As Boolean, ByVal pExedMode As MLN010F010.Enum_ExecStatusLend) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exePrint", "印刷・プレビュー処理（貸出・貸出更新一覧） Start")

		' データ取得用データテーブル＆クラス
		Dim datPrintSetting As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing	'印刷設定

		'DataTableの値取得用
		Dim arData As ArrayList = Nothing
		Dim dtData As DataTable = Nothing
		Dim daHeader As datLendHeader = Nothing
		'出力ファイルパス
		Dim wFilePath As String = Nothing
		Dim wMacroNm As String = Nothing

		Try
			cliCom = New clsCom
			cliExcelFunc = New clsExcelFunc
			cliMLN010F010 = New clsMLN010F010
			'マスタデータ取得処理
			If Not cliMLN010F010.GetPrintMasterData(pFrm) Then
				Return False
			End If
			'処理対象のヘッダーデータを画面から取得する。
'(M) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			daHeader = cliMLN010F010.GetPrintLendHeaderDataReturn(pFrm)
			daHeader = cliMLN010F010.GetPrintLendHeaderDataReturn(pFrm, pExedMode)
'(M) END V4-11044-000 004 20110909
			'処理対象のデータを画面から取得する。
'(M) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName)
			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName, pNonPutFlg)
'(M) END V4-11044-000 004 20110909
			'件数設定
			daHeader.DATA_COUNT = dtData.Rows.Count
			'印刷設定情報の取得
'(M) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			datPrintSetting = cliMLN010F010.GetPrintSettingExcel(pFrm, clsMLN010F010.PRT_ID_MLN010E020, wFilePath, CST_SHTNM_FORPRINT)
			datPrintSetting = cliMLN010F010.GetPrintSettingExcel(pFrm, pExcelId, wFilePath, CST_SHTNM_FORPRINT)
'(M) END V4-11044-000 004 20110909
			If datPrintSetting Is Nothing Then
				If dtData IsNot Nothing Then dtData.Dispose()
				'エラーが発生したので終了
				Return False
			End If
			'データシートのデータ定義情報の設定
			sDataShtInfo = ColInfo_Lend
			'パラメータシートの情報設定
			SetPrmShtInfo(pFrm, daHeader)
			'マクロ名
			If pPrintFlg Then
				wMacroNm = CST_MACRO_PRINT
			Else
				wMacroNm = CST_MACRO_PREVIEW
			End If
			'印刷・プレビューの実行
			If cliMLN010F010.exePutExcel(pFrm, pPrintFlg, datPrintSetting, wFilePath, dtData, sDataShtInfo, sParmShtInfo, wMacroNm, clsMLN010F010.Enum_RunMacroMode.PrintMacro) Then
				'完了メッセージ
				cliExcelFunc.putCompleateMsg(pPrintFlg)
			End If
			If dtData IsNot Nothing Then dtData.Dispose()
			'正常処理
			Return True
		Catch ex As Exception
			Throw
		Finally
			datPrintSetting = Nothing
			dtData = Nothing
			arData = Nothing
			cliCom = Nothing
			cliExcelFunc = Nothing
			cliMLN010F010 = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' パラメータシート情報設定
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SetPrmShtInfo(ByVal pFrm As MLN010F010, ByVal dat As datLendHeader)
		pFrm.log(clsSysMst.logLevel.DBG, "SetPrmShtInfo", "パラメータシート情報設定 Start")
		Try
'(M) STR V4-11044-000 053 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			sParmShtInfo = New clsMLN010F010.ExcelPrmInfo() _
'			 { _
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_1, clsExcel.CST_FORMAT_STRING, dat.SLIP_CD),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_2, clsExcel.CST_FORMAT_STRING, dat.LENDCLERK_CD),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_2, clsExcel.CST_FORMAT_STRING, dat.LENDCLERK_NM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_3, clsExcel.CST_FORMAT_STRING, dat.LENDAIM_CD),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_3, clsExcel.CST_FORMAT_STRING, dat.LENDAIM_RNM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_4, clsExcel.CST_FORMAT_STRING, dat.LCT_CD),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_4, clsExcel.CST_FORMAT_STRING, dat.LCT_RNM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_5, clsExcel.CST_FORMAT_STRING, dat.ISSUE_DT),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_6, clsExcel.CST_FORMAT_STRING, dat.EXPECTBACK_DT),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_7, clsExcel.CST_FORMAT_STRING, dat.BORROWER_DIV),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_7, clsExcel.CST_FORMAT_STRING, dat.BORROWER_DIV_NM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_8, clsExcel.CST_FORMAT_STRING, dat.BORROWER_CD),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_8, clsExcel.CST_FORMAT_STRING, dat.BORROWER_NM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_9, clsExcel.CST_FORMAT_STRING, dat.TAKER_DIV),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_9, clsExcel.CST_FORMAT_STRING, dat.TAKER_DIV_NM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_10, clsExcel.CST_FORMAT_STRING, dat.TAKER_CD),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_10, clsExcel.CST_FORMAT_STRING, dat.TAKER_NM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_11, clsExcel.CST_FORMAT_STRING, dat.REMARKS),
'			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_1, clsExcel.CST_FORMAT_STRING, dat.DATA_COUNT),
'			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_4, clsExcel.CST_FORMAT_STRING, dat.TITLE),
'			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_5, clsExcel.CST_FORMAT_STRING, dat.DPM_NM),
'			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_6, clsExcel.CST_FORMAT_STRING, dat.BYOREKI_NO_TITLE)
'			 }
			sParmShtInfo = New clsMLN010F010.ExcelPrmInfo() _
			 { _
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_1, clsExcel.CST_FORMAT_STRING, dat.SLIP_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_2, clsExcel.CST_FORMAT_STRING, dat.LENDCLERK_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_2, clsExcel.CST_FORMAT_STRING, dat.LENDCLERK_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_3, clsExcel.CST_FORMAT_STRING, dat.LENDAIM_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_3, clsExcel.CST_FORMAT_STRING, dat.LENDAIM_RNM),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_4, clsExcel.CST_FORMAT_STRING, dat.LCT_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_4, clsExcel.CST_FORMAT_STRING, dat.LCT_RNM),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_5, clsExcel.CST_FORMAT_STRING, dat.ISSUE_DT),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_6, clsExcel.CST_FORMAT_STRING, dat.EXPECTBACK_DT),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_7, clsExcel.CST_FORMAT_STRING, dat.BORROWER_DIV),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_7, clsExcel.CST_FORMAT_STRING, dat.BORROWER_DIV_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_8, clsExcel.CST_FORMAT_STRING, dat.BORROWER_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_8, clsExcel.CST_FORMAT_STRING, dat.BORROWER_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_9, clsExcel.CST_FORMAT_STRING, dat.TAKER_DIV),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_9, clsExcel.CST_FORMAT_STRING, dat.TAKER_DIV_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_10, clsExcel.CST_FORMAT_STRING, dat.TAKER_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_10, clsExcel.CST_FORMAT_STRING, dat.TAKER_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_11, clsExcel.CST_FORMAT_STRING, dat.REMARKS),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_1, clsExcel.CST_FORMAT_STRING, dat.DATA_COUNT),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_4, clsExcel.CST_FORMAT_STRING, dat.TITLE),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_5, clsExcel.CST_FORMAT_STRING, dat.DPM_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_6, clsExcel.CST_FORMAT_STRING, dat.BYOREKI_NO_TITLE),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_7, clsExcel.CST_FORMAT_STRING, dat.STATUS)
			 }
'(M) END V4-11044-000 053 20110909
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
