﻿Imports XCM
Imports XSP
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 受領・貸出_受領更新一覧　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MLN010R010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			pFrm = Nothing					'フォーム
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	'IN項目
	Private pFrm As MLN010F010 = Nothing
	'パラメータ情報
	'*********************************************
	' Workテーブルの項目順とパラメータセット順も同一にする必要があります
	'*********************************************
	Private strParm() As clsMLN010F010.RptPrmInfo = _
	{
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHOST_NM, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmPRT_ID, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmSORT_ORDER, Nothing, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmPATIENT_NO, sqlMLN010R010.itmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_HISTORY_NO, sqlMLN010R010.itmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmCH_NO, sqlMLN010R010.itmCH_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmLENDITEM_CD, sqlMLN010R010.itmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmLENDITEM_NM, sqlMLN010R010.itmLENDITEM_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmLENDITEM_RNM, sqlMLN010R010.itmLENDITEM_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmBYOREKI_NO, sqlMLN010R010.itmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmPATIENT_NM, sqlMLN010R010.itmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmPATIENT_KNM, sqlMLN010R010.itmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmGENDER_CD, sqlMLN010R010.itmGENDER_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmGENDER_NM, sqlMLN010R010.itmGENDER_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDEPT_CD, sqlMLN010R010.itmDEPT_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDEPT_NM, sqlMLN010R010.itmDEPT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDEPT_RNM, sqlMLN010R010.itmDEPT_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmWARD_CD, sqlMLN010R010.itmWARD_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmWARD_NM, sqlMLN010R010.itmWARD_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmWARD_RNM, sqlMLN010R010.itmWARD_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_DT, sqlMLN010R010.itmHSP_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_DT, sqlMLN010R010.itmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_CNL_CD, sqlMLN010R010.itmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_CNL_NM, sqlMLN010R010.itmHSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_CNL_RNM, sqlMLN010R010.itmHSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_CNL_CD, sqlMLN010R010.itmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_CNL_NM, sqlMLN010R010.itmOUT_HSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_CNL_RNM, sqlMLN010R010.itmOUT_HSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_OUTCOME_CD, sqlMLN010R010.itmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_OUTCOME_NM, sqlMLN010R010.itmOUT_HSP_OUTCOME_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_OUTCOME_RNM, sqlMLN010R010.itmOUT_HSP_OUTCOME_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_DAYS, sqlMLN010R010.itmHSP_DAYS, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDOCTOR_CD, sqlMLN010R010.itmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDOCTOR_NM, sqlMLN010R010.itmDOCTOR_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmISSUE_DT, sqlMLN010R010.itmISSUE_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmEXPECTBACK_DT, sqlMLN010R010.itmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMNGSTATUS_CD, sqlMLN010R010.itmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMNGSTATUS_NM, sqlMLN010R010.itmMNGSTATUS_NM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMNGSTATUS1_RNM, sqlMLN010R010.itmMNGSTATUS1_RNM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmKEEPLCT_CD, sqlMLN010R010.itmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmKEEPLCT_NM, sqlMLN010R010.itmKEEPLCT_NM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmKEEPLCT_RNM, sqlMLN010R010.itmKEEPLCT_RNM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmCNT, sqlMLN010R010.itmCNT, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmSELECTED, sqlMLN010R010.itmSELECTED, clsDB.Enum_dbType.dbInt), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmERR_FLG, sqlMLN010R010.itmERR_FLG, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDSPORDER, sqlMLN010R010.itmSEARCH_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmRECEIPT_DT, sqlMLN010R010.itmRECEIPT_DT, clsDB.Enum_dbType.dbDateTime), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmARG_STATUS_CD, sqlMLN010R010.itmARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmARG_STATUS_NM, sqlMLN010R010.itmARG_STATUS_NM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmARG_STATUS_RNM, sqlMLN010R010.itmARG_STATUS_RNM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmRECIPIENT_CD, sqlMLN010R010.itmRECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmRECIPIENT_NM, sqlMLN010R010.itmRECIPIENT_NM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMAKER_CD, sqlMLN010R010.itmMAKER_CD, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMAKER_NM, sqlMLN010R010.itmMAKER_NM, clsDB.Enum_dbType.dbNVarChar), _
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmARG_STATUS_DSPORDER, sqlMLN010R010.itmARG_STATUS_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmRECIPIENT_DSPORDER, sqlMLN010R010.itmRECIPIENT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMAKER_DSPORDER, sqlMLN010R010.itmMAKER_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDEPT_DSPORDER, sqlMLN010R010.itmDEPT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmWARD_DSPORDER, sqlMLN010R010.itmWARD_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmDOCTOR_DSPORDER, sqlMLN010R010.itmDOCTOR_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmMNGSTATUS_DSPORDER, sqlMLN010R010.itmMNGSTATUS_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmKEEPLCT_DSPORDER, sqlMLN010R010.itmKEEPLCT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmHSP_CNL_DSPORDER, sqlMLN010R010.itmHSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_CNL_DSPORDER, sqlMLN010R010.itmOUT_HSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmOUT_HSP_OUTCOME_DSPORDER, sqlMLN010R010.itmOUT_HSP_OUTCOME_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmLASTUPDUSER_CD, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R010.prmLASTUPD_DT, Nothing, clsDB.Enum_dbType.dbDateTime)
	}

#End Region

#Region "コンスタント"
	'帳票タイトル(頭書コメントトップが空白時使用)
	Private Const C_RECEIPT_TITLE As String = "受領一覧"
	Private Const C_UPDATE_TITLE As String = "受領更新一覧"

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">MLN010F010</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As MLN010F010)
		'IN項目引き継ぎ
		pFrm = pForm					'画面ID
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（受領・更新一覧）
	''' </summary>
	''' <param name="pValuePrint">TRUE:印刷 FALSE:プレビュー</param>			
	''' <param name="bDisplayName">氏名表示</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exeReport(ByVal pValuePrint As Boolean, ByVal bDisplayName As Boolean) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exeReport", "印刷・プレビュー処理（受領・更新一覧） Start")

		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim daHeader As datReceiptHeader = Nothing						'受領ヘッダー
		Dim datHeader As datHeader = Nothing							'ヘッダー共通
		Dim cliCom As clsCom = Nothing									'共通クラス
		Dim cliMLN010F010 As clsMLN010F010 = Nothing					'督促クラス

		'DataTableの値取得用
		Dim arData As ArrayList = Nothing
		Dim dtData As DataTable = Nothing

		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom
			cliMLN010F010 = New clsMLN010F010

			'マスタデータ取得処理
			If Not cliMLN010F010.GetPrintMasterData(pFrm) Then
				Return False
			End If
			'処理対象のヘッダーデータを画面から取得する。
			daHeader = cliMLN010F010.GetPrintReceiptHeaderDataReturn(pFrm)
			'処理対象のデータを画面から取得する。
			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName)
			'件数設定
			daHeader.DATA_COUNT = dtData.Rows.Count
			datHeader = setHeader(daHeader)
			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, clsMLN010F010.PRT_ID_MLN010R010)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)

				With db

					'ヘッダーワーク・ワークテーブルの削除
					cliMLN010F010.DelWorkTbl(pFrm)

					'ヘッダワークの追加
					cliReportFunc.exeHeaderIns(db, datHeader, True)

					'ワークテーブルの追加
					Try
						Dim iSeq As Integer = 0
						.ctlTran(clsDB.Enum_TranMode.Begin)
						For Each rowData As DataRow In dtData.Rows
							iSeq += 1
							.setSQL(sqlMLN010R010.sqlIns_MTW_RECEIPT_LIST)
							setParm(db, rowData, iSeq, strParm)
							.execNonQuery(False)
						Next
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With

				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
			cliMLN010F010 = Nothing
			If dtData IsNot Nothing Then dtData.Dispose()
			dtData = Nothing
			arData = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' MDB登録パラメータセット
	''' </summary>
	''' <param name="db">クラスDB</param>
	''' <param name="pRow">編集元データ行</param>
	''' <param name="pRptParm">設定情報</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setParm(ByVal db As clsDB, ByVal pRow As System.Data.DataRow, ByVal iSeq As Integer, ByVal pRptParm() As clsMLN010F010.RptPrmInfo)
		pFrm.log(clsSysMst.logLevel.DBG, "setParm", "MDB登録パラメータセット Start")

		Dim strNull As String = Nothing
		Try

			'データを出力
			For Each sParm As clsMLN010F010.RptPrmInfo In pRptParm
				With db
					If Not String.IsNullOrEmpty(sParm.ColNm_From) Then
						.setParam(sParm.PrmNm_To, sParm.DbType)
						If sParm.DbType = clsDB.Enum_dbType.dbInt Then
							If String.IsNullOrEmpty(pRow.Item(sParm.ColNm_From).ToString) Then
								.setVal(sParm.PrmNm_To, strNull)
							Else
								.setVal(sParm.PrmNm_To, CInt(pRow.Item(sParm.ColNm_From).ToString), False)
							End If
						Else
							.setVal(sParm.PrmNm_To, pRow.Item(sParm.ColNm_From).ToString)
						End If
					Else
						Select Case sParm.PrmNm_To
							Case sqlMLN010R010.prmHOST_NM
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, clsConst.CST_HOST_NM)
							Case sqlMLN010R010.prmPRT_ID
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, clsMLN010F010.PRT_ID_MLN010R010)
							Case sqlMLN010R010.prmSORT_ORDER
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, iSeq)
							Case sqlMLN010R010.prmLASTUPDUSER_CD
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, pFrm._userID)
							Case sqlMLN010R010.prmLASTUPD_DT
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, Now)
							Case Else
						End Select
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 共通ヘッダークラスに値を設定
	''' </summary>
	''' <param name="dat"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setHeader(ByVal dat As datReceiptHeader) As datHeader
		pFrm.log(clsSysMst.logLevel.DBG, "setHeader", "共通ヘッダークラスに値を設定")
		Dim retHeader As datHeader
		Dim cliPREMISES As clsXTM_PREMISES
		Dim datPREMISES As datPremises_OneRec = Nothing
		Try
			' インスタンス生成
			retHeader = New datHeader
			cliPREMISES = New clsXTM_PREMISES
			'頭書マスタ取得
			datPREMISES = cliPREMISES.getPremises_OneRec_DataClass(pFrm.Name, dat.PREMISES)

			With retHeader
				'ホスト名
				.HOST_NM = clsConst.CST_HOST_NM
				'帳票ID
				.PRT_ID = clsMLN010F010.PRT_ID_MLN010R010
				'コメントトップが空白の場合は、タイトルをコメントトップに表示する
				'タイトル	
				.TITLE_NM = dat.TITLE
				'コメントトップ	
				If datPREMISES IsNot Nothing Then
					If String.IsNullOrEmpty(datPREMISES.COMMENT_TOP) Then
						.COMMENT_TOP = dat.TITLE
					Else
						.COMMENT_TOP = datPREMISES.COMMENT_TOP
					End If
					'コメント左
					.COMMENT_LEFT = datPREMISES.COMMENT_LEFT
					'コメント右
					.COMMENT_RIGHT = datPREMISES.COMMENT_RIGHT
					'コメント１	
					.COMMENT1 = datPREMISES.COMMENT1
					'コメント２
					.COMMENT2 = datPREMISES.COMMENT2
				Else
					.COMMENT_TOP = dat.TITLE
				End If
				'部署名
				.DPM_NM = dat.DPM_NM
				.STR1 = dat.BYOREKI_NO_TITLE
				' カルテ
				.STR2 = dat.LENDITEM_NM1
				.STR3 = dat.RECORD_RECEIPT_DT
				.STR4 = dat.RECORD_COUNT
				.STR5 = dat.RECORD_MNGSTATUS_RNM
				.STR6 = dat.RECORD_KEEPLCT_RNM
				.STR7 = dat.RECORD_ARG_STATUS_RNM
				.STR8 = dat.RECORD_RECIPIENT_NM
				' サマリ
				.STR9 = dat.LENDITEM_NM2
				.STR10 = dat.SUMMARY_RECEIPT_DT
				.STR11 = dat.SUMMARY_COUNT
				.STR12 = dat.SUMMARY_MNGSTATUS_RNM
				.STR13 = dat.SUMMARY_KEEPLCT_RNM
				.STR14 = dat.SUMMARY_MAKER_NM
				.STR15 = dat.SUMMARY_APPROVAL_DT
				' 他１
				.STR16 = dat.LENDITEM_NM3
				.STR17 = dat.OTHER1_RECEIPT_DT
				.STR18 = dat.OTHER1_COUNT
				.STR19 = dat.OTHER1_MNGSTATUS_RNM
				.STR20 = dat.OTHER1_KEEPLCT_RNM
				' 他２
				.STR21 = dat.LENDITEM_NM4
				.STR22 = dat.OTHER2_RECEIPT_DT
				.STR23 = dat.OTHER2_COUNT
				.STR24 = dat.OTHER2_MNGSTATUS_RNM
				.STR25 = dat.OTHER2_KEEPLCT_RNM
				' 他３
				.STR26 = dat.LENDITEM_NM5
				.STR27 = dat.OTHER3_RECEIPT_DT
				.STR28 = dat.OTHER3_COUNT
				.STR29 = dat.OTHER3_MNGSTATUS_RNM
				.STR30 = dat.OTHER3_KEEPLCT_RNM
			End With
			Return retHeader

		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
			cliPREMISES = Nothing
			datPREMISES = Nothing
		End Try
	End Function

#End Region

End Class
