﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  補足項目２情報一覧 EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP110E010
	Inherits MRP000E010

#Region "コンスタント"
	Private Const CST_LOG_CLASS As String = "補足項目２情報一覧（Excel）"
#End Region

#Region "変数"
	Private Header As String	'ヘッダ項目
	Private ItemNM As String	'取得項目
#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)
	End Sub
#End Region

#Region "メソッド"
	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/12/22 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Dim wrkJoin As String = Nothing
		Dim sql As String = Nothing
		Try
			Header = Nothing
			ItemNM = Nothing
			Me.LendParam = False
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData), dt As New DataTable
				'補足項目２項目マスタより項目を設定
				db.setSQLDa(sqlMRP110E010.sqlSel_Header_Asst2)
				db.execQueryDa(dt)
				Try
					For Each row2 As DataRow In dt.Rows
						If row2.Item(sqlMRP110E010.itmITEM_TYPE).ToString = XCM.clsConst.Enum_Asst2Type.cmb_type Then  '項目タイプが「コンボ」項目のとき
							'ヘッダセット
							If String.IsNullOrEmpty(row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString) = False Then
								Header &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString & "," & row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
							Else
								Header &= ",,"
							End If
							'取得項目(JOIN項目)セット
							wrkJoin &= String.Format(sqlMRP110E010.sqlSel_Asst2_Join, row2.Item(sqlMRP110E010.itmSPT_FIELD_NM).ToString, _
																						row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
							'取得項目セット
							ItemNM &= String.Format(sqlMRP110E010.sqlColAST2_2, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
'(A) STR V4-13006-000 010 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
						ElseIf row2.Item(sqlMRP110E010.itmITEM_TYPE).ToString = XCM.clsConst.Enum_Asst2Type.date_type Then	'項目タイプが「日付」項目のとき
							'ヘッダセット
							Header &= ","
							If String.IsNullOrEmpty(row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString) = False Then
								Header &= row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
							End If
							'取得項目セット
							ItemNM &= String.Format(sqlMRP110E010.sqlColAST2_3, row2.Item(sqlMRP110E010.itmSPT_FIELD_NM).ToString)
'(A) END V4-13006-000 010 20130212
						Else
							'ヘッダセット
							Header &= ","
							If String.IsNullOrEmpty(row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString) = False Then
								Header &= row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
							End If
							'取得項目セット
							ItemNM &= String.Format(sqlMRP110E010.sqlColAST2_1, row2.Item(sqlMRP110E010.itmSPT_FIELD_NM).ToString)
						End If
					Next
				Finally

				End Try
				dt.Clear()
			End Using
			Return String.Format(sqlMRP110E010.sqlSel, ItemNM, wrkJoin)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/22 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル返却 START")
		Try
			Return String.Format(sqlMRP110E010.excel_Header, Header)
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

End Class
