﻿Imports XSP
Imports XCM
Imports System.Runtime.ConstrainedExecution
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 補足項目２情報一覧表(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP110R010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pDgv = Nothing
			Me.pTitle = Nothing
			Me.pPrivacy = Nothing
			Me.pMakeWork = Nothing
			Me.pOutData = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"
	'IN項目
	''' <summary>遷移元画面</summary>
	Private pForm As frmBase = Nothing
	''' <summary>印刷フラグ</summary>
	Private pPrint As Boolean = Nothing
	''' <summary>出力元グリッド</summary>
	Private pDgv As DataGridView = Nothing
	''' <summary>タイトル情報</summary>
	Private pTitle As String = Nothing
	''' <summary>個人情報出力フラグ</summary>
	Private pPrivacy As Boolean = Nothing
	''' <summary>ワークデータ作成フラグ</summary>
	Private pMakeWork As Boolean = Nothing
	''' <summary>帳票出力項目</summary>
	Private pOutData As datMRP110R010 = Nothing
#End Region

#Region "コンスタント"
	Protected Enum ENUM_SQLTYPE As Byte
		''' <summary>ワーク作成</summary>
		INS = 0
		''' <summary>ワーク更新(トラン反映)</summary>
		UPD = 1
		''' <summary>ワーク削除</summary>
		DEL = 2
	End Enum

	Private Const CST_LOG_CLASS As String = "補足項目２情報一覧（Report）"		'ログ情報用コンスト
	Private Const CST_PAGE_TXT_CNT As Integer = 10								'１ページあたりのテキスト項目出力件数
	Private Const CST_PAGE_NUM_CNT As Integer = 10								'１ページあたりの数値項目出力件数
	Private Const CST_PAGE_DTA_CNT As Integer = 4								'１ページあたりの日付項目出力件数
	Private Const CST_PAGE_CMB_CNT As Integer = 12								'１ページあたりの選択項目出力件数

	Private Enum ENUM_ITEM_TYPE
		T_TEXT = 0		'テキスト項目
		T_NUMBER = 1	'数値項目
		T_DATE = 2		'日付項目
		T_COMBO = 3		'選択項目
	End Enum
#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <param name="pOutData">帳票ページ番号</param>
	''' <remarks>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean, _
	  ByVal pDgv As DataGridView, ByVal pTitle As String, _
	  ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean, ByVal pOutData As datMRP110R010)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pDgv = pDgv
		Me.pTitle = pTitle
		Me.pPrivacy = pPrivacy
		Me.pMakeWork = pMakeWork
		Me.pOutData = pOutData
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理
	''' </summary>	
	''' <remarks>
	''' 2010/12/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exeReport() As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "印刷・プレビュー処理")
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As clsCom
		Dim FilePath As String = Nothing
		Try
			'印刷設定情報取得
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If
			'MDBのパスを取得
			cliCom = New clsCom
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, Me.getDelSql, sqlMRPCOMMON.prmHOST_NM)
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
					'印刷データの作成
					Me.setWorkData(db)
				End Using
				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					Return False
				End If
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/12/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setWorkData(ByVal db As clsDB) As Boolean
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成")
		Dim row As DataRow
		Dim no As Integer
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork = False Then Return True
			With db
				'一覧からワークへ
				Me.setSql(db, ENUM_SQLTYPE.INS)
				For Each pRow As DataGridViewRow In Me.pDgv.Rows			'明細ワーク
					'１行ずつデータを追加する
					row = CType(pRow.DataBoundItem, DataRowView).Row		'データを明細化
					'データグリッドにチェックがあるもののみ出力
					If row.Item(sqlMRPCOMMON.itmSELECTED) = CStr(clsConst.Enum_Chk.ChkOn) Then
						With db
							no += 1											'表示順 カウンタUP
							.setVal(sqlMRPCOMMON.prmDSPORDER, no)
							.setVal(sqlMRPCOMMON.prmPATIENT_NO, row.Item(sqlMRPCOMMON.itmPATIENT_NO).ToString)	  '患者番号
							.setVal(sqlMRPCOMMON.prmHSP_NO, row.Item(sqlMRPCOMMON.itmHSP_NO).ToString)			  '入退院歴番号
							.setVal(sqlMRPCOMMON.prmCH_NO, row.Item(sqlMRPCOMMON.itmCH_NO).ToString)			  '科歴番号
							.execNonQuery()
						End With
					End If
				Next
				'ワークをトランで更新
				Me.setSql(db, ENUM_SQLTYPE.UPD)
				If db.execNonQuery() = 0 Then
					Return False
				End If
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/12/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name										'帳票ID	
				.TITLE_NM = Me.pTitle											'タイトル
				.STR1 = Math.Abs(CInt(Me.pPrivacy)).ToString					'個人情報
				.STR2 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)	'病歴番号のタイトル
				.STR4 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 0)			'テキスト項目１
				.STR5 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 1)			'テキスト項目２
				.STR6 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 2)			'テキスト項目３
				.STR7 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 3)			'テキスト項目４
				.STR8 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 4)			'テキスト項目５
				.STR9 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 5)			'テキスト項目６
				.STR10 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 6)			'テキスト項目７
				.STR11 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 7)			'テキスト項目８
				.STR12 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 8)			'テキスト項目９
				.STR13 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, 9)			'テキスト項目１０
				.STR14 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 0)		'数値項目１
				.STR15 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 1)		'数値項目２
				.STR16 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 2)		'数値項目３
				.STR17 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 3)		'数値項目４
				.STR18 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 4)		'数値項目５
				.STR19 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 5)		'数値項目６
				.STR20 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 6)		'数値項目７
				.STR21 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 7)		'数値項目８
				.STR22 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 8)		'数値項目９
				.STR23 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, 9)		'数値項目１０
				.STR24 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_DATE, 0)			'日付項目１
				.STR25 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_DATE, 1)			'日付項目２
				.STR26 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_DATE, 2)			'日付項目３
				.STR27 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_DATE, 3)			'日付項目４
				.STR28 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 0)			'選択項目１
				.STR29 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 1)			'選択項目２
				.STR30 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 2)			'選択項目３
				.STR31 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 3)			'選択項目４
				.STR32 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 4)			'選択項目５
				.STR33 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 5)			'選択項目６
				.STR34 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 6)			'選択項目７
				.STR35 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 7)			'選択項目８
				.STR36 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 8)			'選択項目９
				.STR37 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 9)			'選択項目１０
				.STR38 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 10)		'選択項目１１
				.STR39 = Me.pOutData.ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, 11)		'選択項目１２
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <remarks>
	''' 2010/12/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setSql(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE)
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定")
		Dim wrkCol As String = Nothing
		Try
			With db
				Select Case type
					Case ENUM_SQLTYPE.INS
						'一覧からワークへ
						.setSQL(sqlMRP110R010.sqlIns)
						.setParam(sqlMRPCOMMON.prmDSPORDER, clsDB.Enum_dbType.dbInt)			'表示順
						.setParam(sqlMRPCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'患者番号
						.setParam(sqlMRPCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)			'入退院歴番号
						.setParam(sqlMRPCOMMON.prmCH_NO, clsDB.Enum_dbType.dbNVarChar)		'科歴番号
					Case ENUM_SQLTYPE.UPD
						'テキスト項目
						For i As Integer = 1 To CST_PAGE_TXT_CNT
							If String.IsNullOrEmpty(Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_TEXT, i - 1)) = True Then
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Text_N, i)
							Else
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Text, i, Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_TEXT, i - 1))
							End If
						Next
						'数値項目
						For i As Integer = 1 To CST_PAGE_NUM_CNT
							If String.IsNullOrEmpty(Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_NUMBER, i - 1)) = True Then
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Num_N, i)
							Else
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Num, i, Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_NUMBER, i - 1))
							End If
						Next
						'日付項目
						For i As Integer = 1 To CST_PAGE_DTA_CNT
							If String.IsNullOrEmpty(Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_DATE, i - 1)) = True Then
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Dte_N, i)
							Else
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Dte, i, Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_DATE, i - 1))
							End If
						Next
						'選択項目
						For i As Integer = 1 To CST_PAGE_CMB_CNT
							If String.IsNullOrEmpty(Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_COMBO, i - 1)) = True Then
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Cmb_N, i)
							Else
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Cmb, i, Me.pOutData.SPT_FIELD_NM(ENUM_ITEM_TYPE.T_COMBO, i - 1))
							End If
						Next
						'選択項目(項目コード)
						For i As Integer = 1 To CST_PAGE_CMB_CNT
							If String.IsNullOrEmpty(Me.pOutData.ITEM_CD(ENUM_ITEM_TYPE.T_COMBO, i - 1)) = True Then
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Cmb_N, i + CST_PAGE_CMB_CNT)
							Else
								wrkCol &= String.Format(sqlMRP110R010.sqlColAsst2_Cmb2, i + CST_PAGE_CMB_CNT, Me.pOutData.ITEM_CD(ENUM_ITEM_TYPE.T_COMBO, i - 1))
							End If
						Next
						'ワークをトランで更新
						.setSQL(String.Format(sqlMRP110R010.sqlUpd, wrkCol))
						.setParam(sqlMRPCOMMON.prmENV_AGE, clsDB.Enum_dbType.dbNVarChar)								'年齢項目取得フラグ
						.setVal(sqlMRPCOMMON.prmENV_AGE, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00050))	'年齢項目取取得フラグ
					Case Else
						Return
				End Select
				'共通パラメータ
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ワーク削除SQL取得
	''' </summary>
	''' <returns>SQL文</returns>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDelSql() As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getDelSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワーク削除SQL取得 START")
		Try
			If Me.pMakeWork = True Then
				Return sqlMRP110R010.sqlDel
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

End Class
