﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  分娩情報一覧 EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP120E010
	Inherits MRP000E010

#Region "コンスタント"
	Private Const CST_LOG_CLASS As String = "分娩情報一覧（Excel）"
#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)
	End Sub
#End Region

#Region "メソッド"
	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Try
			Return sqlMRP120E010.sqlSel
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル返却 START")
		Dim HeaderDiv As String = Nothing
		Dim HeaderChk As String = Nothing
		Dim row As DataRow()
		Try
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData), dt As New DataTable
				'TM_分娩区分項目マスタより項目を設定
				db.setSQLDa(sqlMRP120E010.sqlSel_Header_Mtm_Cb_Div_Itm)
				db.execQueryDa(dt)
				For Each key As String In {"1", "2", "7", "8"}
					row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
					If row IsNot Nothing AndAlso row.Length >= 1 Then
						HeaderDiv &= String.Format(sqlMRP120E010.excel_FreeFormat, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString, row(0).Item(sqlMRPCOMMON.itmITEM_RNM).ToString)
					Else
						HeaderDiv &= sqlMRP120E010.excel_FreeFormatEmpty
					End If
				Next

				'TM_分娩チェック項目マスタより項目を設定
				db.setSQLDa(sqlMRP120E010.sqlSel_Header_Mtm_Cb_Chk_Itm)
				db.execQueryDa(dt)
				For Each key As String In {"11", "12", "13"}
					row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
					If row IsNot Nothing AndAlso row.Length >= 1 Then
						HeaderChk &= String.Format(sqlMRP120E010.excel_FreeFormatChk, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString)
					Else
						HeaderChk &= sqlMRP120E010.excel_FreeFormatEmptyChk
					End If
				Next
			End Using
			Return String.Format(sqlMRP120E010.excel_Header, HeaderDiv, HeaderChk)
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

End Class