﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 分娩児情報一覧表(詳細)(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------

Public Class MRP130R020
	Inherits MRP130R000

#Region "解放処理"

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			MyBase.Dispose(disposing)
			Me.pMakeWork2 = Nothing
		End If
	End Sub

#End Region

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE2 As Byte
		''' <summary>
		''' ワーク作成(TW_検索処理結果分娩子一覧病名)
		''' </summary>
		INS_1 = 0
		''' <summary>
		''' ワーク作成(TW_検索処理結果分娩子一覧手術)
		''' </summary>
		INS_2 = 1
		''' <summary>
		''' ワーク作成(削除)
		''' </summary>
		DEL_1 = 3
		''' <summary>
		''' ワーク作成(削除)
		''' </summary>
		DEL_2 = 4
	End Enum

	Private Const CST_LOG_CLASS As String = "分娩児情報一覧表(詳細)"
#End Region

#Region "変数"

	'IN項目
	Private pMakeWork2 As Boolean = Nothing				'ワークデータ作成フラグ

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <param name="pMakeWork2">ワークデータ作成フラグ2 True:作成する/False:作成しない</param>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean, _
			ByVal pDgv As DataGridView, ByVal pTitle As String, _
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean, _
			ByVal pMakeWork2 As Boolean)
		MyBase.New(pForm, pPrint, pDgv, pTitle, pPrivacy, pMakeWork)
		'IN項目
		Me.pMakeWork2 = pMakeWork2
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <param name="pstrInsBind">SQL</param>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql2(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE2, Optional ByVal pstrInsBind As String = Nothing)
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql2", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定 START")
		Try
			With db
				Select Case type
					'TI_病名情報よりワークを追加
					Case ENUM_SQLTYPE2.INS_1
						.setSQL(sqlMRP130R020.sqlInsChd_Disease)
						.setParam(sqlMRPCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)	'固定コード
						.setVal(sqlMRPCOMMON.prmFIXED_CD, XCM.clsConst.Enum_Disease_Div_Fix1.MainDisease)	'(1:主病名)
					'TI_手術情報よりワークを追加
					Case ENUM_SQLTYPE2.INS_2
						.setSQL(sqlMRP130R020.sqlInsChd_Ope)
						.setParam(sqlMRPCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)	'固定コード
						.setVal(sqlMRPCOMMON.prmFIXED_CD, XCM.clsConst.Enum_Ope_Div_Fix1.MainOpe)			'(1:主手術)
					'ワーク削除
					Case ENUM_SQLTYPE2.DEL_1
						.setSQL(sqlMRP130R020.sqlDel1)
					'ワーク削除
					Case ENUM_SQLTYPE2.DEL_2
						.setSQL(sqlMRP130R020.sqlDel2)
					Case Else
						Return
				End Select

				'共通パラメータ
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function setWorkData(ByVal db As clsDB) As Boolean
		'継承元で共通ワークを作成
		If MyBase.setWorkData(db) = False Then Return False

		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成 START")
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork2 = False Then Return True

			With db
					'ワーク（TW_検索処理結果分娩子一覧病名）をクリア
					Me.setSql2(db, ENUM_SQLTYPE2.DEL_1)
					.execNonQuery()

					'ワーク（TW_検索処理結果分娩子一覧手術）をクリア
					Me.setSql2(db, ENUM_SQLTYPE2.DEL_2)
					.execNonQuery()

					'ワーク（TW_検索処理結果分娩子一覧病名）を追加
					Me.setSql2(db, ENUM_SQLTYPE2.INS_1)
					.execNonQuery()

					'ワーク（TW_検索処理結果分娩子一覧手術）を追加
					Me.setSql2(db, ENUM_SQLTYPE2.INS_2)
					.execNonQuery()
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
		End Try
	End Function

#End Region

End Class
