﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 入退院情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP040E010

	Public Const prmFIXED_CD As String = "@OUT_HSP_CNL_FIXED_CD"		'退院経路用固定コード

#Region "エクセルヘッダ項目"

	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& excel_HeaderB _
	& excel_HeaderH _
	& excel_HeaderL

	''' <summary>
	''' 入退院項目マスタ用書式
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_FreeFormat As String = "" _
	& ",{0},{1}"
	Public Const excel_FreeFormatEmpty As String = "" _
	& ",,"

	Private Const excel_HeaderB As String = "" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号"

	Private Const excel_HeaderH As String = "" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時刻" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",予定緊急" _
	& ",時間外フラグ" _
	& ",救急車搬送有無" _
	& ",入院目的" _
	& ",入院目的(略称)" _
	& ",退院日" _
	& ",退院時刻" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院形態" _
	& ",入院形態(略称)" _
	& ",身長" _
	& ",体重" _
	& ",再入院フラグ" _
	& ",前回自他院" _
	& ",前回退院日" _
	& ",同一疾病自院再入院フラグ" _
	& ",同一疾病自院前回退院日" _
	& ",医療費合計" _
	& ",ＤＰＣ" _
	& ",備考" _
	& ",転科有無" _
	& ",兼科有無" _
	& ",治験有無" _
	& ",院内感染有無" _
	& "{0}" _
	& ",診療科１,診療科１(略称),診療科１開始日" _
	& ",診療科２,診療科２(略称),診療科２開始日" _
	& ",診療科３,診療科３(略称),診療科３開始日" _
	& ",診療科４,診療科４(略称),診療科４開始日" _
	& ",診療科５,診療科５(略称),診療科５開始日"

	Private Const excel_HeaderL As String = "" _
	& ",カルテ受領日" _
	& ",カルテ管理状況" _
	& ",カルテ管理状況(略称)" _
	& ",サマリ受領日" _
	& ",サマリ管理状況" _
	& ",サマリ管理状況(略称)" _
	& ",サマリ承認日"

#End Region

#Region "Excel出力"
	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& " h.PATIENT_NO" _
	& ",h.HSP_HISTORY_NO" _
	& sqlColB _
	& sqlColD _
	& sqlColH _
	& sqlColL _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblTarn _
	& sqlTblB _
	& sqlTblD _
	& sqlTblH _
	& sqlTblL _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "出力項目"
'(M) STR V4-13006-000 153 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColB = "" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM"
	''' <summary>
	''' 基本
	''' </summary>
	Private Const sqlColB = "" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM"

	'Private Const sqlColD = "" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO"
	''' <summary>
	''' 死亡
	''' </summary>
	Private Const sqlColD = "" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO"

	'Private Const sqlColH As String = "" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_TIME" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_TIME" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",h.STATURE" _
	'& ",h.WEIGHT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	'& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	'& ",h.LAST_OUT_HSP_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	'& ",h.SAME_DISEASE_LAST_HSP_DT" _
	'& ",h.TOTAL_MED_COST" _
	'& ",h.DPC_NO" _
	'& ",h.REMARKS" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& ",H_FREE1.CNT_NM,H_FREE1.CNT_RNM" _
	'& ",H_FREE2.CNT_NM,H_FREE2.CNT_RNM" _
	'& ",H_FREE3.CNT_NM,H_FREE3.CNT_RNM" _
	'& ",H_FREE4.CNT_NM,H_FREE4.CNT_RNM" _
	'& ",H_FREE5.CNT_NM,H_FREE5.CNT_RNM" _
	'& ",H_FREE6.CNT_NM,H_FREE6.CNT_RNM" _
	'& ",c1.DEPT_NM,c1.DEPT_RNM,c1.START_DT" _
	'& ",c2.DEPT_NM,c2.DEPT_RNM,c2.START_DT" _
	'& ",c3.DEPT_NM,c3.DEPT_RNM,c3.START_DT" _
	'& ",c4.DEPT_NM,c4.DEPT_RNM,c4.START_DT" _
	'& ",c5.DEPT_NM,c5.DEPT_RNM,c5.START_DT"
	''' <summary>
	''' 入退院
	''' </summary>
	Private Const sqlColH As String = "" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_TIME" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_TIME" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",h.STATURE" _
	& ",h.WEIGHT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.LAST_OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LAST_OUT_HSP_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.SAME_DISEASE_LAST_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SAME_DISEASE_LAST_HSP_DT" _
	& ",h.TOTAL_MED_COST" _
	& ",h.DPC_NO" _
	& ",h.REMARKS" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& ",H_FREE1.CNT_NM,H_FREE1.CNT_RNM" _
	& ",H_FREE2.CNT_NM,H_FREE2.CNT_RNM" _
	& ",H_FREE3.CNT_NM,H_FREE3.CNT_RNM" _
	& ",H_FREE4.CNT_NM,H_FREE4.CNT_RNM" _
	& ",H_FREE5.CNT_NM,H_FREE5.CNT_RNM" _
	& ",H_FREE6.CNT_NM,H_FREE6.CNT_RNM" _
	& ",c1.DEPT_NM,c1.DEPT_RNM,c1.START_DT" _
	& ",c2.DEPT_NM,c2.DEPT_RNM,c2.START_DT" _
	& ",c3.DEPT_NM,c3.DEPT_RNM,c3.START_DT" _
	& ",c4.DEPT_NM,c4.DEPT_RNM,c4.START_DT" _
	& ",c5.DEPT_NM,c5.DEPT_RNM,c5.START_DT"
'(M) END V4-13006-153 027

	''' <summary>
	''' 管理物情報
	''' </summary>
	Private Const sqlColL = "" _
	& ",l.RECORD_RECEIPT_DT" _
	& ",L1_MNG.MNGSTATUS_NM,L1_MNG.MNGSTATUS1_RNM" _
	& ",l.SUMMARY_RECEIPT_DT" _
	& ",L2_MNG.MNGSTATUS_NM,L2_MNG.MNGSTATUS1_RNM" _
	& ",l.SUMMARY_APPROVAL_DT"

#End Region

#Region "FROM句"

	''' <summary>
	''' From句(トラン)
	''' </summary>
	Private Const sqlTblTarn As String = "" _
	& " INNER JOIN MTI_HSP       AS h       ON w.PATIENT_NO          = h.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b       ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH     AS d       ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH        AS bc      ON w.PATIENT_NO          = bc.PATIENT_NO" _
	& "                                    AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                    AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ") AS c1 ON w.PATIENT_NO          = c1.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = c1.HSP_HISTORY_NO" _
	& "                                    AND 1                     = c1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ") AS c2 ON w.PATIENT_NO          = c2.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = c2.HSP_HISTORY_NO" _
	& "                                    AND 2                     = c2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ") AS c3 ON w.PATIENT_NO          = c3.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = c3.HSP_HISTORY_NO" _
	& "                                    AND 3                     = c3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ") AS c4 ON w.PATIENT_NO          = c4.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = c4.HSP_HISTORY_NO" _
	& "                                    AND 4                     = c4.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ") AS c5 ON w.PATIENT_NO          = c5.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = c5.HSP_HISTORY_NO" _
	& "                                    AND 5                     = c5.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubLI & ") AS  l ON w.PATIENT_NO          = l.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = l.HSP_HISTORY_NO"

'(M) STR V4-13006-000 107 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlSubCh As String = "" _
	'& "SELECT " _
	'& " MTI_CH.PATIENT_NO" _
	'& ",MTI_CH.HSP_HISTORY_NO" _
	'& ",ROW_NUMBER() OVER(PARTITION BY MTI_CH.PATIENT_NO,MTI_CH.HSP_HISTORY_NO ORDER BY MTI_CH.CH_NO ) AS ROW_NO" _
	'& ",DEPT_NM,DEPT_RNM" _
	'& ",START_DT" _
	'& "  FROM MTW_SEARCH_WORK" _
	'& " INNER JOIN MTI_CH                   ON MTW_SEARCH_WORK.PATIENT_NO		= MTI_CH.PATIENT_NO" _
	'& "                                    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	'& " INNER JOIN MTM_HSP_CNL              ON MTI_CH.START_CNL_CD				= MTM_HSP_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL          ON MTI_CH.END_CNL_CD				= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON MTI_CH.DEPT_CD					= MTM_DEPT.DEPT_CD" _
	'& " WHERE MTW_SEARCH_WORK.HOST_NM		= " & sqlMRPCOMMON.prmHOST_NM _
	'& "   AND ( MTM_HSP_CNL.FIXED_CD		= " & sqlMRPCOMMON.prmFIXED_CD _
	'& "      OR MTM_OUT_HSP_CNL.FIXED_CD    = " & prmFIXED_CD _
	'& "       )"
	''' <summary>
	''' 転科
	''' </summary>
	Private Const sqlSubCh As String = "" _
	& "SELECT " _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY MTI_CH.PATIENT_NO,MTI_CH.HSP_HISTORY_NO ORDER BY MTI_CH.CH_NO ) AS ROW_NO" _
	& ",DEPT_NM,DEPT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_CH                   ON MTW_SEARCH_WORK.PATIENT_NO		= MTI_CH.PATIENT_NO" _
	& "                                    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTM_HSP_CNL              ON MTI_CH.START_CNL_CD				= MTM_HSP_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON MTI_CH.END_CNL_CD				= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_DEPT                 ON MTI_CH.DEPT_CD					= MTM_DEPT.DEPT_CD" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM		= " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND ( MTM_HSP_CNL.FIXED_CD		= " & sqlMRPCOMMON.prmFIXED_CD _
	& "      OR MTM_OUT_HSP_CNL.FIXED_CD    = " & prmFIXED_CD _
	& "       )"

	'Private Const sqlSubLI As String = "" _
	'& "SELECT" _
	'& " r.PATIENT_NO" _
	'& ",r.HSP_HISTORY_NO" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	'& "									AND 0					    = ih.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	'& "									AND 0					    = ib.HSP_HISTORY_NO" _
	'& "									AND 0					    = ib.CH_NO" _
	'& "  LEFT JOIN MTI_CH                ON r.PATIENT_NO		    = MTI_CH.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = MTI_CH.HSP_HISTORY_NO" _
	'& "									AND " & sqlMRPCOMMON.prmFLG_CD_ON & " = MTI_CH.MAIN_DPM_FLG" _
	'& "  LEFT JOIN MTI_LENDITM  AS ic    ON MTI_CH.PATIENT_NO		= ic.PATIENT_NO" _
	'& "									AND MTI_CH.HSP_HISTORY_NO	= ic.HSP_HISTORY_NO" _
	'& "									AND MTI_CH.CH_NO            = ic.CH_NO" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
	''' <summary>
	''' 管理物
	''' </summary>
	Private Const sqlSubLI As String = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.RECORD_RECEIPT_DT  " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.RECORD_RECEIPT_DT" _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_H & "ih.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_RECEIPT_DT   " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_RECEIPT_DT   " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_RECEIPT_DT   " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "ih.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "ib.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_APPROVAL_DT  " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_APPROVAL_DT  " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_APPROVAL_DT  " _
	& sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& "  LEFT JOIN MTI_CH                ON r.PATIENT_NO		    = MTI_CH.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = MTI_CH.HSP_HISTORY_NO" _
	& "									AND " & sqlMRPCOMMON.prmFLG_CD_ON & " = MTI_CH.MAIN_DPM_FLG" _
	& "  LEFT JOIN MTI_LENDITM  AS ic    ON MTI_CH.PATIENT_NO		= ic.PATIENT_NO" _
	& "									AND MTI_CH.HSP_HISTORY_NO	= ic.HSP_HISTORY_NO" _
	& "									AND MTI_CH.CH_NO            = ic.CH_NO" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlCASE_UNIT_S As String = ",CASE "
	'Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN ic."
	'Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN ih."
	'Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN ib."
	Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN "
	Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN "
	Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "

	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
'(M) END V4-13006-107 027

	''' <summary>
	''' 基本 マスタ
	''' </summary>
	Private Const sqlTblB As String = "" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA AS BC_AREA      ON bc.AREA_CD            = BC_AREA.AREA_CD"

	''' <summary>
	''' 死亡　マスタ
	''' </summary>
	Private Const sqlTblD As String = "" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD"

	''' <summary>
	''' 入退院　
	''' </summary>
	Public Const sqlTblH As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY                ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_HSP_AIM                       ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV            ON h.LAST_SELF_OTHER_HSP_DIV = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	& "  LEFT JOIN MTM_HSP_FORM			             ON h.HSP_FORM_CD		  = MTM_HSP_FORM.HSP_FORM_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE1	 ON '001' = H_FREE1.ITEM_CD AND h.HSP_FREEITEM1 = H_FREE1.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE2	 ON '002' = H_FREE2.ITEM_CD AND h.HSP_FREEITEM2 = H_FREE2.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE3	 ON '003' = H_FREE3.ITEM_CD AND h.HSP_FREEITEM3 = H_FREE3.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE4	 ON '004' = H_FREE4.ITEM_CD AND h.HSP_FREEITEM4 = H_FREE4.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE5	 ON '005' = H_FREE5.ITEM_CD AND h.HSP_FREEITEM5 = H_FREE5.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE6	 ON '006' = H_FREE6.ITEM_CD AND h.HSP_FREEITEM6 = H_FREE6.CNT_CD"

	''' <summary>
	''' 管理物情報　マスタ
	''' </summary>
	Private Const sqlTblL As String = "" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L1_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_MNG.LENDITEM_CD AND l.RECORD_MNGSTATUS_CD  = L1_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L2_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L2_MNG.LENDITEM_CD AND l.SUMMARY_MNGSTATUS_CD = L2_MNG.MNGSTATUS_CD"

#End Region

#End Region

	''' <summary>
	''' ヘッダ項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_HSP_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

End Class
