﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 科歴情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' --------------------------------------------- 
Public Class datMRP050E010_Key
	'科歴情報キー項目セット用
	Public datPATIENT_NO As String = Nothing
	Public datHSP_NO As Integer
	Public datCH_NO As Integer
	Public datFIXED_CD As String = Nothing
End Class

Public NotInheritable Class sqlMRP050E010

	Public Const itmITEM_TYPE As String = "ITEM_TYPE"
	Public Const itmSPT_FIELD_NM As String = "SPT_FIELD_NM"
	Public Const itmINSPECT_CD As String = "INSPECT_CD"
	Public Const itmFIXED_CD As String = "FIXED_CD"
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"

	Public Const prmFIXED_DEPT_CHANGE_HSP As String = "@FIXED_DEPT_CHANGE_HSP"				'転科（入院経路）
	Public Const prmFIXED_DEPT_CHANGE_OUT As String = "@FIXED_DEPT_CHANGE_OUT"				'転科（退院経路）

#Region "基本情報シート"
	''' <summary>
	''' エクセル出力ヘッダ(基本情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderB As String = "" _
	& "患者番号" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",輸血歴有無" _
	& ",関連患者番号" _
	& ",コメント" _
	& ",喫煙有無" _
	& ",吸い始め年齢" _
	& ",やめた年齢" _
	& ",喫煙本数" _
	& ",喫煙年数" _
	& ",飲酒有無" _
	& ",妊娠歴有無" _
	& ",妊娠回数" _
	& ",出産歴有無" _
	& ",出産回数" _
	& ",初潮年齢" _
	& ",閉経年齢" _
	& ",初回来院日" _
	& ",最終来院日" _
	& ",最終受診科" _
	& ",最終受診科(略称)" _
	& ",最終退院日" _
	& ",国籍" _
	& ",国籍(略称)" _
	& ",出生地" _
	& ",出生地住所" _
	& ",連絡先氏名" _
	& ",連絡先郵便番号" _
	& ",連絡先住所" _
	& ",連絡先電話番号" _
	& ",連絡先続柄" _
	& ",連絡先続柄(略称)"

'(M) STR V4-13006-000 107 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlBasic = "" _
	'& "SELECT " _
	'& " b.PATIENT_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK" _
	'& ",b.RELATION_PATIENT_NO" _
	'& ",b.REMARKS" _
	'& ",MTM_SMOKING_CHK.SMOKING_CHK_NM" _
	'& ",b.SMOKING_START_AGE" _
	'& ",b.SMOKING_END_AGE" _
	'& ",b.SMOKING_COUNT" _
	'& ",b.SMOKING_AGE" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.DRINKING_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "DRINKING_CHK" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.PREGNANCY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "PREGNANCY_CHK" _
	'& ",b.PREGNANCY_COUNT" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.CB_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CB_CHK" _
	'& ",b.CB_COUNT" _
	'& ",b.MENARCHE_AGE" _
	'& ",b.MENOPAUSE_AGE" _
	'& ",b.FIRSTHSPVST_DT" _
	'& ",b.LASTHSPVST_DT" _
	'& ",MTM_DEPT.DEPT_NM,MTM_DEPT.DEPT_RNM" _
	'& ",b.LASTLEFTHSP_DT" _
	'& ",MTM_NATIONALITY.NATIONALITY_NM,MTM_NATIONALITY.NATIONALITY_RNM" _
	'& ",MTM_PREFECTURE.PREFECTURE_NM" _
	'& ",b.DOMICILE_ADDRESS" _
	'& ",b.CONTACT_PATIENT_NM" _
	'& ",b.CONTACT_ZIP_CD" _
	'& ",b.CONTACT_ADDRESS" _
	'& ",b.CONTACT_TELNUMBER" _
	'& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	'& " FROM (" _
	'& " SELECT PATIENT_NO" _
	'& "   FROM MTW_SEARCH_WORK" _
	'& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& "  GROUP BY PATIENT_NO" _
	'& " ) AS w" _
	'& " INNER JOIN XTI_BASICINFO AS b       ON w.PATIENT_NO          = b.PATIENT_NO" _
	'& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	'& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	'& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	'& "  LEFT JOIN MTM_SMOKING_CHK          ON b.SMOKING_CHK         = MTM_SMOKING_CHK.SMOKING_CHK_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON b.LASTDEPT_CD         = MTM_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_NATIONALITY          ON b.NATIONALITY_CD		 = MTM_NATIONALITY.NATIONALITY_CD" _
	'& "  LEFT JOIN MTM_PREFECTURE           ON b.DOMICILE_ADDRESS_CD = MTM_PREFECTURE.PREFECTURE_CD" _
	'& "  LEFT JOIN MTM_RELATION             ON b.CONTACT_RELATION    = MTM_RELATION.RELATION_CD"
	''' <summary>
	''' 基本情報SQL
	''' </summary>
	Public Const sqlBasic = "" _
	& "SELECT " _
	& " b.PATIENT_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK" _
	& ",b.RELATION_PATIENT_NO" _
	& ",b.REMARKS" _
	& ",MTM_SMOKING_CHK.SMOKING_CHK_NM" _
	& ",b.SMOKING_START_AGE" _
	& ",b.SMOKING_END_AGE" _
	& ",b.SMOKING_COUNT" _
	& ",b.SMOKING_AGE" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.DRINKING_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "DRINKING_CHK" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.PREGNANCY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "PREGNANCY_CHK" _
	& ",b.PREGNANCY_COUNT" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.CB_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CB_CHK" _
	& ",b.CB_COUNT" _
	& ",b.MENARCHE_AGE" _
	& ",b.MENOPAUSE_AGE" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.FIRSTHSPVST_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS FIRSTHSPVST_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.LASTHSPVST_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LASTHSPVST_DT" _
	& ",MTM_DEPT.DEPT_NM,MTM_DEPT.DEPT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.LASTLEFTHSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LASTLEFTHSP_DT" _
	& ",MTM_NATIONALITY.NATIONALITY_NM,MTM_NATIONALITY.NATIONALITY_RNM" _
	& ",MTM_PREFECTURE.PREFECTURE_NM" _
	& ",b.DOMICILE_ADDRESS" _
	& ",b.CONTACT_PATIENT_NM" _
	& ",b.CONTACT_ZIP_CD" _
	& ",b.CONTACT_ADDRESS" _
	& ",b.CONTACT_TELNUMBER" _
	& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	& " FROM (" _
	& " SELECT PATIENT_NO" _
	& "   FROM MTW_SEARCH_WORK" _
	& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "  GROUP BY PATIENT_NO" _
	& " ) AS w" _
	& " INNER JOIN XTI_BASICINFO AS b       ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_SMOKING_CHK          ON b.SMOKING_CHK         = MTM_SMOKING_CHK.SMOKING_CHK_CD" _
	& "  LEFT JOIN MTM_DEPT                 ON b.LASTDEPT_CD         = MTM_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_NATIONALITY          ON b.NATIONALITY_CD		 = MTM_NATIONALITY.NATIONALITY_CD" _
	& "  LEFT JOIN MTM_PREFECTURE           ON b.DOMICILE_ADDRESS_CD = MTM_PREFECTURE.PREFECTURE_CD" _
	& "  LEFT JOIN MTM_RELATION             ON b.CONTACT_RELATION    = MTM_RELATION.RELATION_CD"
'(M) END V4-13006-000 107

#End Region

#Region "死亡情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(死亡情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderD As String = "" _
	& "患者番号" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡場所コメント" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",原死因ICD10コード" _
	& ",原死因病名、外因" _
	& ",直接死因ICD10コード" _
	& ",直接死因病名" _
	& ",院外死亡病院１コード" _
	& ",院外死亡病名１" _
	& ",院外死亡病名２コード" _
	& ",院外死亡病名２" _
	& ",コメント"

'(M) STR V4-13006-000 079 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlDeth = "" _
	'& "SELECT " _
	'& " d.PATIENT_NO" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_LCT" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",d1.ICD10_CD" _
	'& ",d1.DISEASE" _
	'& ",d2.ICD10_CD" _
	'& ",d2.DISEASE" _
	'& ",d.DEATH_DISEASE1_CD" _
	'& ",d.DEATH_DISEASE1" _
	'& ",d.DEATH_DISEASE2_CD" _
	'& ",d.DEATH_DISEASE2" _
	'& ",d.DEATH_REMARKS" _
	'& " FROM (" _
	'& " SELECT PATIENT_NO" _
	'& "   FROM MTW_SEARCH_WORK" _
	'& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& "  GROUP BY PATIENT_NO" _
	'& " ) AS w" _
	'& "  INNER JOIN MTI_DEATH     AS d                         ON w.PATIENT_NO                   =  d.PATIENT_NO" _
	'& "   LEFT JOIN MTM_DEATH_LCT							   ON d.DEATH_LCT_CD				 = MTM_DEATH_LCT.DEATH_LCT_CD" _
	'& "   LEFT JOIN MTM_DEATH_DIV                              ON d.DEATH_DIV                    = MTM_DEATH_DIV.DEATH_DIV_CD" _
	'& "   LEFT JOIN MTM_AFTER_OPE_DEATH_DIV                    ON d.AFTER_OPE_DEATH_DIV          = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	'& "   LEFT JOIN MTI_DISEASE   AS d1                        ON w.PATIENT_NO                   = d1.PATIENT_NO" _
	'& "                                                       AND " & sqlMRPCOMMON.prmFLG_ON & " = d1.DEATH_DISEASE_FLG" _
	'& "   LEFT JOIN MTI_DISEASE   AS d2                        ON w.PATIENT_NO                   = d2.PATIENT_NO" _
	'& "                                                       AND " & sqlMRPCOMMON.prmFLG_ON & " = d2.DIRECT_DEATH_DISEASE_FLG"
	''' <summary>
	''' 死亡情報SQL
	''' </summary>
	Public Const sqlDeth = "" _
	& "SELECT " _
	& " d.PATIENT_NO" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",d.DEATH_LCT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",d1.ICD10_CD" _
	& ",d1.DISEASE" _
	& ",d2.ICD10_CD" _
	& ",d2.DISEASE" _
	& ",d.DEATH_DISEASE1_CD" _
	& ",d.DEATH_DISEASE1" _
	& ",d.DEATH_DISEASE2_CD" _
	& ",d.DEATH_DISEASE2" _
	& ",d.DEATH_REMARKS" _
	& " FROM (" _
	& " SELECT PATIENT_NO" _
	& "   FROM MTW_SEARCH_WORK" _
	& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "  GROUP BY PATIENT_NO" _
	& " ) AS w" _
	& "  INNER JOIN MTI_DEATH     AS d                         ON w.PATIENT_NO                   =  d.PATIENT_NO" _
	& "   LEFT JOIN MTM_DEATH_LCT							   ON d.DEATH_LCT_CD				 = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "   LEFT JOIN MTM_DEATH_DIV                              ON d.DEATH_DIV                    = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "   LEFT JOIN MTM_AFTER_OPE_DEATH_DIV                    ON d.AFTER_OPE_DEATH_DIV          = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "   LEFT JOIN MTI_DISEASE   AS d1                        ON w.PATIENT_NO                   = d1.PATIENT_NO" _
	& "                                                       AND " & sqlMRPCOMMON.prmFLG_ON & " = d1.DEATH_DISEASE_FLG" _
	& "   LEFT JOIN MTI_DISEASE   AS d2                        ON w.PATIENT_NO                   = d2.PATIENT_NO" _
	& "                                                       AND " & sqlMRPCOMMON.prmFLG_ON & " = d2.DIRECT_DEATH_DISEASE_FLG"
'(M) END V4-13006-000 079

#End Region

#Region "入退院情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(入退院情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderH As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時刻" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",予定緊急" _
	& ",時間外フラグ" _
	& ",救急車搬送有無" _
	& ",入院目的" _
	& ",入院目的(略称)" _
	& ",退院日" _
	& ",退院時刻" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院形態" _
	& ",入院形態(略称)" _
	& ",身長" _
	& ",体重" _
	& ",再入院フラグ" _
	& ",前回自他院" _
	& ",前回退院日" _
	& ",同一疾病自院再入院フラグ" _
	& ",同一疾病自院前回退院日" _
	& ",医療費合計" _
	& ",ＤＰＣ" _
	& ",備考" _
	& ",転科有無" _
	& ",兼科有無" _
	& ",治験有無" _
	& ",院内感染有無" _
	& "{1}" _
	& ",診療科１,診療科１(略称),診療科１開始日" _
	& ",診療科２,診療科２(略称),診療科２開始日" _
	& ",診療科３,診療科３(略称),診療科３開始日" _
	& ",診療科４,診療科４(略称),診療科４開始日" _
	& ",診療科５,診療科５(略称),診療科５開始日"

'(M) STR V4-13006-000 231 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlHSP = "" _
	'& "SELECT " _
	'& " h.PATIENT_NO" _
	'& ",h.HSP_HISTORY_NO" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_TIME" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_TIME" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",h.STATURE" _
	'& ",h.WEIGHT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	'& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	'& ",h.LAST_OUT_HSP_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	'& ",h.SAME_DISEASE_LAST_HSP_DT" _
	'& ",h.TOTAL_MED_COST" _
	'& ",h.DPC_NO" _
	'& ",h.REMARKS" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& ",H_FREE1.CNT_NM,H_FREE1.CNT_RNM" _
	'& ",H_FREE2.CNT_NM,H_FREE2.CNT_RNM" _
	'& ",H_FREE3.CNT_NM,H_FREE3.CNT_RNM" _
	'& ",H_FREE4.CNT_NM,H_FREE4.CNT_RNM" _
	'& ",H_FREE5.CNT_NM,H_FREE5.CNT_RNM" _
	'& ",H_FREE6.CNT_NM,H_FREE6.CNT_RNM" _
	'& ",c1.DEPT_NM,c1.DEPT_RNM,c1.START_DT" _
	'& ",c2.DEPT_NM,c2.DEPT_RNM,c2.START_DT" _
	'& ",c3.DEPT_NM,c3.DEPT_RNM,c3.START_DT" _
	'& ",c4.DEPT_NM,c4.DEPT_RNM,c4.START_DT" _
	'& ",c5.DEPT_NM,c5.DEPT_RNM,c5.START_DT" _
	'& " FROM (" _
	'& " SELECT PATIENT_NO,HSP_HISTORY_NO" _
	'& "   FROM MTW_SEARCH_WORK" _
	'& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& "  GROUP BY PATIENT_NO,HSP_HISTORY_NO" _
	'& " ) AS w" _
	'& " INNER JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO" _
	'& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	'& "  LEFT JOIN (" & sqlSubCh & ")   AS c1        ON w.PATIENT_NO          = c1.PATIENT_NO" _
	'& "                                             AND w.HSP_HISTORY_NO      = c1.HSP_HISTORY_NO" _
	'& "                                             AND 1                     = c1.ROW_NO" _
	'& "  LEFT JOIN (" & sqlSubCh & ")   AS c2        ON w.PATIENT_NO          = c2.PATIENT_NO" _
	'& "                                             AND w.HSP_HISTORY_NO      = c2.HSP_HISTORY_NO" _
	'& "                                             AND 2                     = c2.ROW_NO" _
	'& "  LEFT JOIN (" & sqlSubCh & ")   AS c3        ON w.PATIENT_NO          = c3.PATIENT_NO" _
	'& "                                             AND w.HSP_HISTORY_NO      = c3.HSP_HISTORY_NO" _
	'& "                                             AND 3                     = c3.ROW_NO" _
	'& "  LEFT JOIN (" & sqlSubCh & ")   AS c4        ON w.PATIENT_NO          = c4.PATIENT_NO" _
	'& "                                             AND w.HSP_HISTORY_NO      = c4.HSP_HISTORY_NO" _
	'& "                                             AND 4                     = c4.ROW_NO" _
	'& "  LEFT JOIN (" & sqlSubCh & ")   AS c5        ON w.PATIENT_NO          = c5.PATIENT_NO" _
	'& "                                             AND w.HSP_HISTORY_NO      = c5.HSP_HISTORY_NO" _
	'& "                                             AND 5                     = c5.ROW_NO" _
	'& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY                ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM                       ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV            ON h.LAST_SELF_OTHER_HSP_DIV = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM			             ON h.HSP_FORM_CD		  = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE1	 ON '001' = H_FREE1.ITEM_CD AND h.HSP_FREEITEM1 = H_FREE1.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE2	 ON '002' = H_FREE2.ITEM_CD AND h.HSP_FREEITEM2 = H_FREE2.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE3	 ON '003' = H_FREE3.ITEM_CD AND h.HSP_FREEITEM3 = H_FREE3.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE4	 ON '004' = H_FREE4.ITEM_CD AND h.HSP_FREEITEM4 = H_FREE4.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE5	 ON '005' = H_FREE5.ITEM_CD AND h.HSP_FREEITEM5 = H_FREE5.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE6	 ON '006' = H_FREE6.ITEM_CD AND h.HSP_FREEITEM6 = H_FREE6.CNT_CD"
	''' <summary>
	''' 入退院情報SQL
	''' </summary>
	Public Const sqlHSP = "" _
	& "SELECT " _
	& " h.PATIENT_NO" _
	& ",h.HSP_HISTORY_NO" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_TIME" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_TIME" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",h.STATURE" _
	& ",h.WEIGHT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.LAST_OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LAST_OUT_HSP_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.SAME_DISEASE_LAST_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SAME_DISEASE_LAST_HSP_DT" _
	& ",h.TOTAL_MED_COST" _
	& ",h.DPC_NO" _
	& ",h.REMARKS" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& ",H_FREE1.CNT_NM,H_FREE1.CNT_RNM" _
	& ",H_FREE2.CNT_NM,H_FREE2.CNT_RNM" _
	& ",H_FREE3.CNT_NM,H_FREE3.CNT_RNM" _
	& ",H_FREE4.CNT_NM,H_FREE4.CNT_RNM" _
	& ",H_FREE5.CNT_NM,H_FREE5.CNT_RNM" _
	& ",H_FREE6.CNT_NM,H_FREE6.CNT_RNM" _
	& ",c1.DEPT_NM,c1.DEPT_RNM,c1.START_DT" _
	& ",c2.DEPT_NM,c2.DEPT_RNM,c2.START_DT" _
	& ",c3.DEPT_NM,c3.DEPT_RNM,c3.START_DT" _
	& ",c4.DEPT_NM,c4.DEPT_RNM,c4.START_DT" _
	& ",c5.DEPT_NM,c5.DEPT_RNM,c5.START_DT" _
	& " FROM (" _
	& " SELECT PATIENT_NO,HSP_HISTORY_NO" _
	& "   FROM MTW_SEARCH_WORK" _
	& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "  GROUP BY PATIENT_NO,HSP_HISTORY_NO" _
	& " ) AS w" _
	& " INNER JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO" _
	& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ")   AS c1        ON w.PATIENT_NO          = c1.PATIENT_NO" _
	& "                                             AND w.HSP_HISTORY_NO      = c1.HSP_HISTORY_NO" _
	& "                                             AND 1                     = c1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ")   AS c2        ON w.PATIENT_NO          = c2.PATIENT_NO" _
	& "                                             AND w.HSP_HISTORY_NO      = c2.HSP_HISTORY_NO" _
	& "                                             AND 2                     = c2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ")   AS c3        ON w.PATIENT_NO          = c3.PATIENT_NO" _
	& "                                             AND w.HSP_HISTORY_NO      = c3.HSP_HISTORY_NO" _
	& "                                             AND 3                     = c3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ")   AS c4        ON w.PATIENT_NO          = c4.PATIENT_NO" _
	& "                                             AND w.HSP_HISTORY_NO      = c4.HSP_HISTORY_NO" _
	& "                                             AND 4                     = c4.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubCh & ")   AS c5        ON w.PATIENT_NO          = c5.PATIENT_NO" _
	& "                                             AND w.HSP_HISTORY_NO      = c5.HSP_HISTORY_NO" _
	& "                                             AND 5                     = c5.ROW_NO" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY                ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_HSP_AIM                       ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV            ON h.LAST_SELF_OTHER_HSP_DIV = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	& "  LEFT JOIN MTM_HSP_FORM			             ON h.HSP_FORM_CD		  = MTM_HSP_FORM.HSP_FORM_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE1	 ON '001' = H_FREE1.ITEM_CD AND h.HSP_FREEITEM1 = H_FREE1.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE2	 ON '002' = H_FREE2.ITEM_CD AND h.HSP_FREEITEM2 = H_FREE2.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE3	 ON '003' = H_FREE3.ITEM_CD AND h.HSP_FREEITEM3 = H_FREE3.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE4	 ON '004' = H_FREE4.ITEM_CD AND h.HSP_FREEITEM4 = H_FREE4.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE5	 ON '005' = H_FREE5.ITEM_CD AND h.HSP_FREEITEM5 = H_FREE5.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE6	 ON '006' = H_FREE6.ITEM_CD AND h.HSP_FREEITEM6 = H_FREE6.CNT_CD"

	'Private Const sqlSubCh = "" _
	'& "SELECT " _
	'& " MTI_CH.PATIENT_NO" _
	'& ",MTI_CH.HSP_HISTORY_NO" _
	'& ",ROW_NUMBER() OVER(PARTITION BY MTI_CH.PATIENT_NO,MTI_CH.HSP_HISTORY_NO ORDER BY MTI_CH.CH_NO ) AS ROW_NO" _
	'& ",DEPT_NM,DEPT_RNM" _
	'& ",START_DT" _
	'& " FROM (" _
	'& " SELECT PATIENT_NO,HSP_HISTORY_NO" _
	'& "   FROM MTW_SEARCH_WORK" _
	'& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& "  GROUP BY PATIENT_NO,HSP_HISTORY_NO" _
	'& " ) AS w" _
	'& " INNER JOIN MTI_CH                   ON w.PATIENT_NO						= MTI_CH.PATIENT_NO " _
	'& "                                    AND w.HSP_HISTORY_NO					= MTI_CH.HSP_HISTORY_NO" _
	'& " INNER JOIN MTM_HSP_CNL              ON MTI_CH.START_CNL_CD				= MTM_HSP_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL          ON MTI_CH.END_CNL_CD				= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON MTI_CH.DEPT_CD					= MTM_DEPT.DEPT_CD" _
	'& " WHERE MTM_HSP_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	'& "    OR MTM_OUT_HSP_CNL.FIXED_CD	= " & prmFIXED_DEPT_CHANGE_OUT
	''' <summary>
	''' 転科
	''' </summary>
	Private Const sqlSubCh = "" _
	& "SELECT " _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY MTI_CH.PATIENT_NO,MTI_CH.HSP_HISTORY_NO ORDER BY MTI_CH.CH_NO ) AS ROW_NO" _
	& ",DEPT_NM,DEPT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& " FROM (" _
	& " SELECT PATIENT_NO,HSP_HISTORY_NO" _
	& "   FROM MTW_SEARCH_WORK" _
	& "  WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "  GROUP BY PATIENT_NO,HSP_HISTORY_NO" _
	& " ) AS w" _
	& " INNER JOIN MTI_CH                   ON w.PATIENT_NO						= MTI_CH.PATIENT_NO " _
	& "                                    AND w.HSP_HISTORY_NO					= MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTM_HSP_CNL              ON MTI_CH.START_CNL_CD				= MTM_HSP_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON MTI_CH.END_CNL_CD				= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_DEPT                 ON MTI_CH.DEPT_CD					= MTM_DEPT.DEPT_CD" _
	& " WHERE MTM_HSP_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	& "    OR MTM_OUT_HSP_CNL.FIXED_CD	= " & prmFIXED_DEPT_CHANGE_OUT
'(M) END V4-13006-000 231

#End Region

#Region "科歴情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(科歴情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",転科元名" _
	& ",転科元名(略称)" _
	& ",転科先名" _
	& ",転科先名(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",郵便番号" _
	& ",診療圏" _
	& ",診療圏(略称)" _
	& ",住所" _
	& ",電話番号" _
	& ",開始日" _
	& ",開始時刻" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",予定緊急" _
	& ",時間外フラグ" _
	& ",救急車搬送有無" _
	& ",入院目的" _
	& ",入院目的(略称)" _
	& ",終了日" _
	& ",終了時刻" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数" _
	& ",入院形態" _
	& ",入院形態(略称)" _
	& ",身長" _
	& ",体重" _
	& ",再入院フラグ" _
	& ",前回自他院" _
	& ",前回退院日" _
	& ",同一疾病自院再入院フラグ" _
	& ",同一疾病自院前回退院日" _
	& ",医療費合計" _
	& ",輸血有無" _
	& ",手術有無" _
	& ",治験有無" _
	& ",院内感染" _
	& ",対診有無" _
	& ",初診日" _
	& ",紹介状有無" _
	& ",紹介元名" _
	& ",紹介元医師名" _
	& ",紹介先名" _
	& ",紹介先医師名" _
	& "{1}" _
	& ",感染症その他" _
	& ",アレルギー１" _
	& ",アレルギー２" _
	& ",アレルギー３" _
	& ",アレルギー４" _
	& ",アレルギー５" _
	& ",アレルギー６" _
	& ",アレルギーその他" _
	& ",現職" _
	& ",現職(略称)" _
	& ",既職" _
	& ",既職(略称)" _
	& ",ＤＰＣ" _
	& ",備考" _
	& ",保険１" _
	& ",保険１(略称)" _
	& ",保険２" _
	& ",保険２(略称)" _
	& ",保険３" _
	& ",保険３(略称)" _
	& ",世帯主" _
	& ",続柄" _
	& ",続柄(略称)" _
	& ",同居状況" _
	& ",コメント" _
	& ",がん登録数" _
	& ",がん登録予定数" _
	& ",登録状況" _
	& ",登録状況(略称)" _
	& ",登録完了日" _
	& ",登録者" _
	& ",統計対象外フラグ" _
	& ",病名数" _
	& ",手術数" _
	& ",治療処置数" _
	& ",検査数" _
	& ",補足項目１数" _
	& ",補足項目２数" _
	& ",分娩数" _
	& ",救命救急数" _
	& ",対診科数" _
	& ",医療費数" _
	& ",パス数" _
	& ",主病名ＩＣＤ１０コード" _
	& ",主病名"

'(M) STR V4-11050-000 346 20111028 FJSK)H.Y V4.10.11.4(登録者出力不具合対応)
#Region "修正前"
	' ''' <summary>
	' ''' 科歴情報SQL
	' ''' </summary>
	'Public Const sqlCH = "" _
	'& "SELECT " _
	'& " c.PATIENT_NO" _
	'& ",c.HSP_HISTORY_NO" _
	'& ",c.CH_NO" _
	'& ",C_OUTCOME.FIXED_CD" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",FR_DEPT.DEPT_NM,FR_DEPT.DEPT_RNM" _
	'& ",TO_DEPT.DEPT_NM,TO_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.ZIP_CD AS CH_ZIP_CD" _
	'& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	'& ",c.ADDRESS_NM" _
	'& ",c.TELNUMBER" _
	'& ",c.START_DT" _
	'& ",c.START_TIME" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG " & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_TIME" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",c.STATURE" _
	'& ",c.WEIGHT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	'& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	'& ",c.LAST_OUT_HSP_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	'& ",c.SAME_DISEASE_LAST_HSP_DT" _
	'& ",c.TOTAL_MED_COST" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	'& ",c.FIRST_DIAGNOSIS_DT" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	'& ",c.INTRODUCED_NM" _
	'& ",c.INTRODUCED_DOCTOR_NM" _
	'& ",c.REFERENCE_NM" _
	'& ",c.REFERENCE_DOCTOR_NM" _
	'& ",MTM_INFECTION_FLG1.INFECTION_FLG_NM AS INFECTION_FLG_NM1" _
	'& ",MTM_INFECTION_FLG2.INFECTION_FLG_NM AS INFECTION_FLG_NM2" _
	'& ",MTM_INFECTION_FLG3.INFECTION_FLG_NM AS INFECTION_FLG_NM3" _
	'& ",MTM_INFECTION_FLG4.INFECTION_FLG_NM AS INFECTION_FLG_NM4" _
	'& ",MTM_INFECTION_FLG5.INFECTION_FLG_NM AS INFECTION_FLG_NM5" _
	'& ",MTM_INFECTION_FLG6.INFECTION_FLG_NM AS INFECTION_FLG_NM6" _
	'& ",c.OTHER_INFECTION" _
	'& ",MTM_ALLERGY1.ALLERGY_NM AS ALLERGY_NM1" _
	'& ",MTM_ALLERGY2.ALLERGY_NM AS ALLERGY_NM2" _
	'& ",MTM_ALLERGY3.ALLERGY_NM AS ALLERGY_NM3" _
	'& ",MTM_ALLERGY4.ALLERGY_NM AS ALLERGY_NM4" _
	'& ",MTM_ALLERGY5.ALLERGY_NM AS ALLERGY_NM5" _
	'& ",MTM_ALLERGY6.ALLERGY_NM AS ALLERGY_NM6" _
	'& ",c.OTHER_ALLERGY" _
	'& ",MTM_JOBC.JOB_NM AS JOB_NM_CUR,MTM_JOBC.JOB_RNM AS JOB_RNM_CUR" _
	'& ",MTM_JOBP.JOB_NM AS JOB_NM_PAST,MTM_JOBP.JOB_RNM AS JOB_RNM_PAST" _
	'& ",c.DPC_CD" _
	'& ",c.REMARKS" _
	'& ",MTM_INSURANCE1.INSURANCE_NM AS INSURANCE_NM1,MTM_INSURANCE1.INSURANCE_RNM AS INSURANCE_RNM1" _
	'& ",MTM_INSURANCE2.INSURANCE_NM AS INSURANCE_NM2,MTM_INSURANCE2.INSURANCE_RNM AS INSURANCE_RNM2" _
	'& ",MTM_INSURANCE3.INSURANCE_NM AS INSURANCE_NM3,MTM_INSURANCE3.INSURANCE_RNM AS INSURANCE_RNM3" _
	'& ",c.HOUSEHOLDER_NM" _
	'& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	'& ",MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_NM" _
	'& ",c.COMMENT" _
	'& ",c.CNR_REG_COUNT" _
	'& ",c.CNR_REG_EXPECTED_COUNT" _
	'& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	'& ",c.REG_FINISHED_DT" _
	'& ",C_STAFF_R.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.EXCLUDE_STATISTICS_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "EXCLUDE_STATISTICS_FLG_NM" _
	'& ",c.DISEASE_COUNT" _
	'& ",c.OPE_COUNT" _
	'& ",c.CARE_COUNT" _
	'& ",c.TEST_COUNT" _
	'& ",c.ASST_ITM1_COUNT" _
	'& ",c.ASST_ITM2_COUNT" _
	'& ",c.CB_COUNT" _
	'& ",c.EMERGENCY_COUNT" _
	'& ",c.OTHER_DEPT_COUNT" _
	'& ",c.MED_COST_COUNT" _
	'& ",c.PATH_COUNT" _
	'& ",da.ICD10_CD" _
	'& ",da.DISEASE" _
	'& " FROM MTW_SEARCH_WORK AS w" _
	'& " INNER JOIN MTI_CH               AS c                  ON w.PATIENT_NO               = c.PATIENT_NO " _
	'& "                                                      AND w.HSP_HISTORY_NO           = c.HSP_HISTORY_NO" _
	'& "                                                      AND w.CH_NO                    = c.CH_NO" _
	'& "  LEFT JOIN (" & sqlSubDI & ")   AS da                 ON w.PATIENT_NO               = da.PATIENT_NO" _
	'& "                                                      AND w.HSP_HISTORY_NO           = da.HSP_HISTORY_NO" _
	'& "                                                      AND w.CH_NO                    = da.CH_NO" _
	'& "  LEFT JOIN MTM_DEPT             AS C_DEPT             ON c.DEPT_CD                  = C_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD             AS C_WARD             ON c.WARD_CD			        = C_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS C_STAFF            ON c.DOCTOR_CD			    = C_STAFF.STAFF_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS C_STAFF_R          ON c.DOCTOR_CD			    = C_STAFF_R.STAFF_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL              ON c.START_CNL_CD             = C_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL            ON c.END_CNL_CD               = C_O_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME          ON c.END_OUTCOME_CD           = C_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_AREA             AS C_AREA             ON c.AREA_CD                  = C_AREA.AREA_CD" _
	'& "  LEFT JOIN MTM_RELATION                               ON c.RELATION_CD              = MTM_RELATION.RELATION_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM                                ON c.HSP_AIM_CD               = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY                         ON c.PLAN_EMERGENCY_CD        = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_JOB              AS MTM_JOBP           ON c.PAST_JOB_CD              = MTM_JOBP.JOB_CD" _
	'& "  LEFT JOIN MTM_JOB              AS MTM_JOBC           ON c.CURRENT_JOB_CD           = MTM_JOBC.JOB_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE1     ON c.INSURANCE_CD1            = MTM_INSURANCE1.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE2     ON c.INSURANCE_CD2            = MTM_INSURANCE2.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE3     ON c.INSURANCE_CD3            = MTM_INSURANCE3.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV                     ON c.LAST_SELF_OTHER_HSP_DIV  = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY1       ON c.ALLERGY1                 = MTM_ALLERGY1.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY2       ON c.ALLERGY2                 = MTM_ALLERGY2.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY3       ON c.ALLERGY3                 = MTM_ALLERGY3.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY4       ON c.ALLERGY4                 = MTM_ALLERGY4.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY5       ON c.ALLERGY5                 = MTM_ALLERGY5.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY6       ON c.ALLERGY6                 = MTM_ALLERGY6.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG1 ON c.INFECTION1               = MTM_INFECTION_FLG1.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG2 ON c.INFECTION2               = MTM_INFECTION_FLG2.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG3 ON c.INFECTION3               = MTM_INFECTION_FLG3.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG4 ON c.INFECTION4               = MTM_INFECTION_FLG4.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG5 ON c.INFECTION5               = MTM_INFECTION_FLG5.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG6 ON c.INFECTION6               = MTM_INFECTION_FLG6.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_REG_STATUS                             ON c.REG_STATUS_CD            = MTM_REG_STATUS.REG_STATUS_CD" _
	'& "  LEFT JOIN MTM_LIVE_TOGETHER_STATE                    ON c.LIVE_TOGETHER_STATE_CD   = MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM			                      ON c.HSP_FORM_CD		        = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTI_CH AS FDC                              ON w.PATIENT_NO				= FDC.PATIENT_NO" _
	'& "	                                                     AND w.HSP_HISTORY_NO           = FDC.HSP_HISTORY_NO" _
	'& "	                                                     AND (SELECT MAX(A.CH_NO)" _
	'& "			                                                    FROM MTI_CH AS A" _
	'& "			                                                         INNER JOIN MTM_OUT_HSP_CNL AS A_CNL" _
	'& "																			 ON A.END_CNL_CD = A_CNL.OUT_HSP_CNL_CD" _
	'& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	'& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	'& "			                                                     AND A.CH_NO			< w.CH_NO" _
	'& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_OUT _
	'& "																					  ) = FDC.CH_NO" _
	'& "														 AND C_CNL.FIXED_CD				= " & prmFIXED_DEPT_CHANGE_HSP _
	'& "  LEFT JOIN MTM_DEPT AS FR_DEPT                      ON FDC.DEPT_CD                  = FR_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTI_CH AS TDC                              ON w.PATIENT_NO               = TDC.PATIENT_NO" _
	'& "	                                                     AND w.HSP_HISTORY_NO           = TDC.HSP_HISTORY_NO" _
	'& "	                                                     AND (SELECT MIN(A.CH_NO)" _
	'& "			                                                    FROM MTI_CH AS A" _
	'& "			                                                         INNER JOIN MTM_HSP_CNL AS A_CNL" _
	'& "																			 ON A.START_CNL_CD = A_CNL.HSP_CNL_CD" _
	'& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	'& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	'& "			                                                     AND A.CH_NO			> w.CH_NO" _
	'& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	'& "																					  ) = TDC.CH_NO" _
	'& "														 AND C_O_CNL.FIXED_CD			= " & prmFIXED_DEPT_CHANGE_OUT _
	'& "  LEFT JOIN MTM_DEPT AS TO_DEPT                        ON TDC.DEPT_CD                = TO_DEPT.DEPT_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER"
#End Region
'(M) STR V4-13006-000 341 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlCH = "" _
	'& "SELECT " _
	'& " c.PATIENT_NO" _
	'& ",c.HSP_HISTORY_NO" _
	'& ",c.CH_NO" _
	'& ",C_OUTCOME.FIXED_CD" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",FR_DEPT.DEPT_NM,FR_DEPT.DEPT_RNM" _
	'& ",TO_DEPT.DEPT_NM,TO_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.ZIP_CD AS CH_ZIP_CD" _
	'& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	'& ",c.ADDRESS_NM" _
	'& ",c.TELNUMBER" _
	'& ",c.START_DT" _
	'& ",c.START_TIME" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG " & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_TIME" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",c.STATURE" _
	'& ",c.WEIGHT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	'& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	'& ",c.LAST_OUT_HSP_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	'& ",c.SAME_DISEASE_LAST_HSP_DT" _
	'& ",c.TOTAL_MED_COST" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	'& ",c.FIRST_DIAGNOSIS_DT" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	'& ",c.INTRODUCED_NM" _
	'& ",c.INTRODUCED_DOCTOR_NM" _
	'& ",c.REFERENCE_NM" _
	'& ",c.REFERENCE_DOCTOR_NM" _
	'& ",MTM_INFECTION_FLG1.INFECTION_FLG_NM AS INFECTION_FLG_NM1" _
	'& ",MTM_INFECTION_FLG2.INFECTION_FLG_NM AS INFECTION_FLG_NM2" _
	'& ",MTM_INFECTION_FLG3.INFECTION_FLG_NM AS INFECTION_FLG_NM3" _
	'& ",MTM_INFECTION_FLG4.INFECTION_FLG_NM AS INFECTION_FLG_NM4" _
	'& ",MTM_INFECTION_FLG5.INFECTION_FLG_NM AS INFECTION_FLG_NM5" _
	'& ",MTM_INFECTION_FLG6.INFECTION_FLG_NM AS INFECTION_FLG_NM6" _
	'& ",c.OTHER_INFECTION" _
	'& ",MTM_ALLERGY1.ALLERGY_NM AS ALLERGY_NM1" _
	'& ",MTM_ALLERGY2.ALLERGY_NM AS ALLERGY_NM2" _
	'& ",MTM_ALLERGY3.ALLERGY_NM AS ALLERGY_NM3" _
	'& ",MTM_ALLERGY4.ALLERGY_NM AS ALLERGY_NM4" _
	'& ",MTM_ALLERGY5.ALLERGY_NM AS ALLERGY_NM5" _
	'& ",MTM_ALLERGY6.ALLERGY_NM AS ALLERGY_NM6" _
	'& ",c.OTHER_ALLERGY" _
	'& ",MTM_JOBC.JOB_NM AS JOB_NM_CUR,MTM_JOBC.JOB_RNM AS JOB_RNM_CUR" _
	'& ",MTM_JOBP.JOB_NM AS JOB_NM_PAST,MTM_JOBP.JOB_RNM AS JOB_RNM_PAST" _
	'& ",c.DPC_CD" _
	'& ",c.REMARKS" _
	'& ",MTM_INSURANCE1.INSURANCE_NM AS INSURANCE_NM1,MTM_INSURANCE1.INSURANCE_RNM AS INSURANCE_RNM1" _
	'& ",MTM_INSURANCE2.INSURANCE_NM AS INSURANCE_NM2,MTM_INSURANCE2.INSURANCE_RNM AS INSURANCE_RNM2" _
	'& ",MTM_INSURANCE3.INSURANCE_NM AS INSURANCE_NM3,MTM_INSURANCE3.INSURANCE_RNM AS INSURANCE_RNM3" _
	'& ",c.HOUSEHOLDER_NM" _
	'& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	'& ",MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_NM" _
	'& ",c.COMMENT" _
	'& ",c.CNR_REG_COUNT" _
	'& ",c.CNR_REG_EXPECTED_COUNT" _
	'& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	'& ",c.REG_FINISHED_DT" _
	'& ",C_STAFF_R.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.EXCLUDE_STATISTICS_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "EXCLUDE_STATISTICS_FLG_NM" _
	'& ",c.DISEASE_COUNT" _
	'& ",c.OPE_COUNT" _
	'& ",c.CARE_COUNT" _
	'& ",c.TEST_COUNT" _
	'& ",c.ASST_ITM1_COUNT" _
	'& ",c.ASST_ITM2_COUNT" _
	'& ",c.CB_COUNT" _
	'& ",c.EMERGENCY_COUNT" _
	'& ",c.OTHER_DEPT_COUNT" _
	'& ",c.MED_COST_COUNT" _
	'& ",c.PATH_COUNT" _
	'& ",da.ICD10_CD" _
	'& ",da.DISEASE" _
	'& " FROM MTW_SEARCH_WORK AS w" _
	'& " INNER JOIN MTI_CH               AS c                  ON w.PATIENT_NO               = c.PATIENT_NO " _
	'& "                                                      AND w.HSP_HISTORY_NO           = c.HSP_HISTORY_NO" _
	'& "                                                      AND w.CH_NO                    = c.CH_NO" _
	'& "  LEFT JOIN (" & sqlSubDI & ")   AS da                 ON w.PATIENT_NO               = da.PATIENT_NO" _
	'& "                                                      AND w.HSP_HISTORY_NO           = da.HSP_HISTORY_NO" _
	'& "                                                      AND w.CH_NO                    = da.CH_NO" _
	'& "  LEFT JOIN MTM_DEPT             AS C_DEPT             ON c.DEPT_CD                  = C_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD             AS C_WARD             ON c.WARD_CD			        = C_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS C_STAFF            ON c.DOCTOR_CD			    = C_STAFF.STAFF_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS C_STAFF_R          ON c.REG_PERSON_CD			= C_STAFF_R.STAFF_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL              ON c.START_CNL_CD             = C_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL            ON c.END_CNL_CD               = C_O_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME          ON c.END_OUTCOME_CD           = C_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_AREA             AS C_AREA             ON c.AREA_CD                  = C_AREA.AREA_CD" _
	'& "  LEFT JOIN MTM_RELATION                               ON c.RELATION_CD              = MTM_RELATION.RELATION_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM                                ON c.HSP_AIM_CD               = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY                         ON c.PLAN_EMERGENCY_CD        = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_JOB              AS MTM_JOBP           ON c.PAST_JOB_CD              = MTM_JOBP.JOB_CD" _
	'& "  LEFT JOIN MTM_JOB              AS MTM_JOBC           ON c.CURRENT_JOB_CD           = MTM_JOBC.JOB_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE1     ON c.INSURANCE_CD1            = MTM_INSURANCE1.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE2     ON c.INSURANCE_CD2            = MTM_INSURANCE2.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE3     ON c.INSURANCE_CD3            = MTM_INSURANCE3.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV                     ON c.LAST_SELF_OTHER_HSP_DIV  = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY1       ON c.ALLERGY1                 = MTM_ALLERGY1.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY2       ON c.ALLERGY2                 = MTM_ALLERGY2.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY3       ON c.ALLERGY3                 = MTM_ALLERGY3.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY4       ON c.ALLERGY4                 = MTM_ALLERGY4.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY5       ON c.ALLERGY5                 = MTM_ALLERGY5.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY6       ON c.ALLERGY6                 = MTM_ALLERGY6.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG1 ON c.INFECTION1               = MTM_INFECTION_FLG1.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG2 ON c.INFECTION2               = MTM_INFECTION_FLG2.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG3 ON c.INFECTION3               = MTM_INFECTION_FLG3.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG4 ON c.INFECTION4               = MTM_INFECTION_FLG4.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG5 ON c.INFECTION5               = MTM_INFECTION_FLG5.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG6 ON c.INFECTION6               = MTM_INFECTION_FLG6.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_REG_STATUS                             ON c.REG_STATUS_CD            = MTM_REG_STATUS.REG_STATUS_CD" _
	'& "  LEFT JOIN MTM_LIVE_TOGETHER_STATE                    ON c.LIVE_TOGETHER_STATE_CD   = MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM			                      ON c.HSP_FORM_CD		        = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTI_CH AS FDC                              ON w.PATIENT_NO				= FDC.PATIENT_NO" _
	'& "	                                                     AND w.HSP_HISTORY_NO           = FDC.HSP_HISTORY_NO" _
	'& "	                                                     AND (SELECT MAX(A.CH_NO)" _
	'& "			                                                    FROM MTI_CH AS A" _
	'& "			                                                         INNER JOIN MTM_OUT_HSP_CNL AS A_CNL" _
	'& "																			 ON A.END_CNL_CD = A_CNL.OUT_HSP_CNL_CD" _
	'& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	'& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	'& "			                                                     AND A.CH_NO			< w.CH_NO" _
	'& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_OUT _
	'& "																					  ) = FDC.CH_NO" _
	'& "														 AND C_CNL.FIXED_CD				= " & prmFIXED_DEPT_CHANGE_HSP _
	'& "  LEFT JOIN MTM_DEPT AS FR_DEPT                      ON FDC.DEPT_CD                  = FR_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTI_CH AS TDC                              ON w.PATIENT_NO               = TDC.PATIENT_NO" _
	'& "	                                                     AND w.HSP_HISTORY_NO           = TDC.HSP_HISTORY_NO" _
	'& "	                                                     AND (SELECT MIN(A.CH_NO)" _
	'& "			                                                    FROM MTI_CH AS A" _
	'& "			                                                         INNER JOIN MTM_HSP_CNL AS A_CNL" _
	'& "																			 ON A.START_CNL_CD = A_CNL.HSP_CNL_CD" _
	'& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	'& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	'& "			                                                     AND A.CH_NO			> w.CH_NO" _
	'& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	'& "																					  ) = TDC.CH_NO" _
	'& "														 AND C_O_CNL.FIXED_CD			= " & prmFIXED_DEPT_CHANGE_OUT _
	'& "  LEFT JOIN MTM_DEPT AS TO_DEPT                        ON TDC.DEPT_CD                = TO_DEPT.DEPT_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER"
	''' <summary>
	''' 科歴情報SQL
	''' </summary>
	Public Const sqlCH = "" _
	& "SELECT " _
	& " c.PATIENT_NO" _
	& ",c.HSP_HISTORY_NO" _
	& ",c.CH_NO" _
	& ",C_OUTCOME.FIXED_CD" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",FR_DEPT.DEPT_NM,FR_DEPT.DEPT_RNM" _
	& ",TO_DEPT.DEPT_NM,TO_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& ",c.ZIP_CD AS CH_ZIP_CD" _
	& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	& ",c.ADDRESS_NM" _
	& ",c.TELNUMBER" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_TIME" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG " & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_TIME" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",c.STATURE" _
	& ",c.WEIGHT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.LAST_OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LAST_OUT_HSP_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.SAME_DISEASE_LAST_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SAME_DISEASE_LAST_HSP_DT" _
	& ",c.TOTAL_MED_COST" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.FIRST_DIAGNOSIS_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS FIRST_DIAGNOSIS_DT" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	& ",c.INTRODUCED_NM" _
	& ",c.INTRODUCED_DOCTOR_NM" _
	& ",c.REFERENCE_NM" _
	& ",c.REFERENCE_DOCTOR_NM" _
	& ",MTM_INFECTION_FLG1.INFECTION_FLG_NM AS INFECTION_FLG_NM1" _
	& ",MTM_INFECTION_FLG2.INFECTION_FLG_NM AS INFECTION_FLG_NM2" _
	& ",MTM_INFECTION_FLG3.INFECTION_FLG_NM AS INFECTION_FLG_NM3" _
	& ",MTM_INFECTION_FLG4.INFECTION_FLG_NM AS INFECTION_FLG_NM4" _
	& ",MTM_INFECTION_FLG5.INFECTION_FLG_NM AS INFECTION_FLG_NM5" _
	& ",MTM_INFECTION_FLG6.INFECTION_FLG_NM AS INFECTION_FLG_NM6" _
	& ",c.OTHER_INFECTION" _
	& ",MTM_ALLERGY1.ALLERGY_NM AS ALLERGY_NM1" _
	& ",MTM_ALLERGY2.ALLERGY_NM AS ALLERGY_NM2" _
	& ",MTM_ALLERGY3.ALLERGY_NM AS ALLERGY_NM3" _
	& ",MTM_ALLERGY4.ALLERGY_NM AS ALLERGY_NM4" _
	& ",MTM_ALLERGY5.ALLERGY_NM AS ALLERGY_NM5" _
	& ",MTM_ALLERGY6.ALLERGY_NM AS ALLERGY_NM6" _
	& ",c.OTHER_ALLERGY" _
	& ",MTM_JOBC.JOB_NM AS JOB_NM_CUR,MTM_JOBC.JOB_RNM AS JOB_RNM_CUR" _
	& ",MTM_JOBP.JOB_NM AS JOB_NM_PAST,MTM_JOBP.JOB_RNM AS JOB_RNM_PAST" _
	& ",c.DPC_CD" _
	& ",c.REMARKS" _
	& ",MTM_INSURANCE1.INSURANCE_NM AS INSURANCE_NM1,MTM_INSURANCE1.INSURANCE_RNM AS INSURANCE_RNM1" _
	& ",MTM_INSURANCE2.INSURANCE_NM AS INSURANCE_NM2,MTM_INSURANCE2.INSURANCE_RNM AS INSURANCE_RNM2" _
	& ",MTM_INSURANCE3.INSURANCE_NM AS INSURANCE_NM3,MTM_INSURANCE3.INSURANCE_RNM AS INSURANCE_RNM3" _
	& ",c.HOUSEHOLDER_NM" _
	& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	& ",MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_NM" _
	& ",c.COMMENT" _
	& ",c.CNR_REG_COUNT" _
	& ",c.CNR_REG_EXPECTED_COUNT" _
	& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.REG_FINISHED_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS REG_FINISHED_DT" _
	& ",C_STAFF_R.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.EXCLUDE_STATISTICS_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "EXCLUDE_STATISTICS_FLG_NM" _
	& ",c.DISEASE_COUNT" _
	& ",c.OPE_COUNT" _
	& ",c.CARE_COUNT" _
	& ",c.TEST_COUNT" _
	& ",c.ASST_ITM1_COUNT" _
	& ",c.ASST_ITM2_COUNT" _
	& ",c.CB_COUNT" _
	& ",c.EMERGENCY_COUNT" _
	& ",c.OTHER_DEPT_COUNT" _
	& ",c.MED_COST_COUNT" _
	& ",c.PATH_COUNT" _
	& ",da.ICD10_CD" _
	& ",da.DISEASE" _
	& " FROM MTW_SEARCH_WORK AS w" _
	& " INNER JOIN MTI_CH               AS c                  ON w.PATIENT_NO               = c.PATIENT_NO " _
	& "                                                      AND w.HSP_HISTORY_NO           = c.HSP_HISTORY_NO" _
	& "                                                      AND w.CH_NO                    = c.CH_NO" _
	& "  LEFT JOIN (" & sqlSubDI & ")   AS da                 ON w.PATIENT_NO               = da.PATIENT_NO" _
	& "                                                      AND w.HSP_HISTORY_NO           = da.HSP_HISTORY_NO" _
	& "                                                      AND w.CH_NO                    = da.CH_NO" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT             ON c.DEPT_CD                  = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD             ON c.WARD_CD			        = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF            ON c.DOCTOR_CD			    = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF_R          ON c.REG_PERSON_CD			= C_STAFF_R.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL              ON c.START_CNL_CD             = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL            ON c.END_CNL_CD               = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME          ON c.END_OUTCOME_CD           = C_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_AREA             AS C_AREA             ON c.AREA_CD                  = C_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_RELATION                               ON c.RELATION_CD              = MTM_RELATION.RELATION_CD" _
	& "  LEFT JOIN MTM_HSP_AIM                                ON c.HSP_AIM_CD               = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY                         ON c.PLAN_EMERGENCY_CD        = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_JOB              AS MTM_JOBP           ON c.PAST_JOB_CD              = MTM_JOBP.JOB_CD" _
	& "  LEFT JOIN MTM_JOB              AS MTM_JOBC           ON c.CURRENT_JOB_CD           = MTM_JOBC.JOB_CD" _
	& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE1     ON c.INSURANCE_CD1            = MTM_INSURANCE1.INSURANCE_CD" _
	& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE2     ON c.INSURANCE_CD2            = MTM_INSURANCE2.INSURANCE_CD" _
	& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE3     ON c.INSURANCE_CD3            = MTM_INSURANCE3.INSURANCE_CD" _
	& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV                     ON c.LAST_SELF_OTHER_HSP_DIV  = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY1       ON c.ALLERGY1                 = MTM_ALLERGY1.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY2       ON c.ALLERGY2                 = MTM_ALLERGY2.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY3       ON c.ALLERGY3                 = MTM_ALLERGY3.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY4       ON c.ALLERGY4                 = MTM_ALLERGY4.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY5       ON c.ALLERGY5                 = MTM_ALLERGY5.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY6       ON c.ALLERGY6                 = MTM_ALLERGY6.ALLERGY_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG1 ON c.INFECTION1               = MTM_INFECTION_FLG1.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG2 ON c.INFECTION2               = MTM_INFECTION_FLG2.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG3 ON c.INFECTION3               = MTM_INFECTION_FLG3.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG4 ON c.INFECTION4               = MTM_INFECTION_FLG4.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG5 ON c.INFECTION5               = MTM_INFECTION_FLG5.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG6 ON c.INFECTION6               = MTM_INFECTION_FLG6.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_REG_STATUS                             ON c.REG_STATUS_CD            = MTM_REG_STATUS.REG_STATUS_CD" _
	& "  LEFT JOIN MTM_LIVE_TOGETHER_STATE                    ON c.LIVE_TOGETHER_STATE_CD   = MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_CD" _
	& "  LEFT JOIN MTM_HSP_FORM			                      ON c.HSP_FORM_CD		        = MTM_HSP_FORM.HSP_FORM_CD" _
	& "  LEFT JOIN MTI_CH AS FDC                              ON w.PATIENT_NO				= FDC.PATIENT_NO" _
	& "	                                                     AND w.HSP_HISTORY_NO           = FDC.HSP_HISTORY_NO" _
	& "	                                                     AND (SELECT MAX(A.CH_NO)" _
	& "			                                                    FROM MTI_CH AS A" _
	& "			                                                         INNER JOIN MTM_OUT_HSP_CNL AS A_CNL" _
	& "																			 ON A.END_CNL_CD = A_CNL.OUT_HSP_CNL_CD" _
	& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	& "			                                                     AND A.CH_NO			< w.CH_NO" _
	& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_OUT _
	& "																					  ) = FDC.CH_NO" _
	& "														 AND C_CNL.FIXED_CD				= " & prmFIXED_DEPT_CHANGE_HSP _
	& "  LEFT JOIN MTM_DEPT AS FR_DEPT                      ON FDC.DEPT_CD                  = FR_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTI_CH AS TDC                              ON w.PATIENT_NO               = TDC.PATIENT_NO" _
	& "	                                                     AND w.HSP_HISTORY_NO           = TDC.HSP_HISTORY_NO" _
	& "	                                                     AND (SELECT MIN(A.CH_NO)" _
	& "			                                                    FROM MTI_CH AS A" _
	& "			                                                         INNER JOIN MTM_HSP_CNL AS A_CNL" _
	& "																			 ON A.START_CNL_CD = A_CNL.HSP_CNL_CD" _
	& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	& "			                                                     AND A.CH_NO			> w.CH_NO" _
	& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	& "																					  ) = TDC.CH_NO" _
	& "														 AND C_O_CNL.FIXED_CD			= " & prmFIXED_DEPT_CHANGE_OUT _
	& "  LEFT JOIN MTM_DEPT AS TO_DEPT                        ON TDC.DEPT_CD                = TO_DEPT.DEPT_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"
'(M) END V4-13006-000 341
'(M) END V4-11050-000 346 20111028 FJSK)H.Y V4.10.11.4(登録者出力不具合対応)

	''' <summary>
	''' 主病名に紐づく病名を取得
	''' (科歴情報と病名情報を結合し、かつ病名区分マスタ(固定コード=1)を結合する。）
	''' </summary>
	Private Const sqlSubDI = "" _
	& " SELECT dc.PATIENT_NO,dc.HSP_HISTORY_NO,dc.CH_NO,di.ICD10_CD,di.DISEASE" _
	& "   FROM MTW_SEARCH_WORK AS dc" _
	& "        INNER JOIN MTI_DISEASE AS di" _
	& "                ON dc.PATIENT_NO         = di.PATIENT_NO" _
	& "               AND dc.HSP_HISTORY_NO     = di.HSP_HISTORY_NO" _
	& "               AND dc.CH_NO              = di.CH_NO" _
	& "        INNER JOIN MTM_DISEASE_DIV AS dm" _
	& "                ON di.DISEASE_DIV        = dm.DISEASE_DIV_CD" _
	& "               AND " & sqlMRPCOMMON.prmFIXED_CD & "= dm.FIXED_CD" _
	& " WHERE dc.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

#End Region

#Region "病棟情報シート"
	''' <summary>
	''' エクセル出力ヘッダ(病棟情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderW As String = "" _
	& "患者番号	" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",病棟連番" _
	& ",主病棟フラグ" _
	& ",病棟名" _
	& ",病棟名(略称)" _
	& ",病棟開始日" _
	& ",病棟終了日" _
	& ",病棟日数"

'(M) STR V4-13006-000 041 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlWARD = "" _
	'& " SELECT " _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.WARD_SERIAL_NO" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MAIN_WARD_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_WARD_FLG_NM" _
	'& ",MTM_WARD.WARD_NM,MTM_WARD.WARD_RNM" _
	'& ",i.WARD_START_DT" _
	'& ",i.WARD_END_DT" _
	'& ",i.WARD_DAYS" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& "      INNER JOIN MTI_WARD AS i    ON w.PATIENT_NO            =  i.PATIENT_NO" _
	'& "                                 AND w.HSP_HISTORY_NO        =  i.HSP_HISTORY_NO" _
	'& "                                 AND w.CH_NO                 =  i.CH_NO" _
	'& "       LEFT JOIN MTM_WARD         ON i.WARD_CD               =  MTM_WARD.WARD_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.WARD_SERIAL_NO"
	''' <summary>
	''' 病棟情報SQL
	''' </summary>
	Public Const sqlWARD = "" _
	& " SELECT " _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.WARD_SERIAL_NO" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MAIN_WARD_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_WARD_FLG_NM" _
	& ",MTM_WARD.WARD_NM,MTM_WARD.WARD_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.WARD_START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS WARD_START_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.WARD_END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS WARD_END_DT" _
	& ",i.WARD_DAYS" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "      INNER JOIN MTI_WARD AS i    ON w.PATIENT_NO            =  i.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO        =  i.HSP_HISTORY_NO" _
	& "                                 AND w.CH_NO                 =  i.CH_NO" _
	& "       LEFT JOIN MTM_WARD         ON i.WARD_CD               =  MTM_WARD.WARD_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.WARD_SERIAL_NO"
'(M) END V4-13006-000 041

#End Region

#Region "医師情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(医師情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderDoc As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",医師連番" _
	& ",代表医師フラグ" _
	& ",医師区分" _
	& ",医師区分(略称)" _
	& ",医師名" _
	& ",担当開始日" _
	& ",担当終了日"

'(M) STR V4-13006-000 043 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlDOCTOR = "" _
	'& " SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.DOCTOR_SERIAL_NO" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MAIN_DOCTOR_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DOCTOR_FLG_NM" _
	'& ",MTM_DOCTOR_DIV.DOCTOR_DIV_NM,MTM_DOCTOR_DIV.DOCTOR_DIV_RNM" _
	'& ",XTM_STAFF.STAFF_NM" _
	'& ",i.ATTEND_START_DT" _
	'& ",i.ATTEND_END_DT" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& "       INNER JOIN MTI_DOCTOR AS i                        ON w.PATIENT_NO                = i.PATIENT_NO" _
	'& "                                                        AND w.HSP_HISTORY_NO            = i.HSP_HISTORY_NO" _
	'& "                                                        AND w.CH_NO                     = i.CH_NO" _
	'& "        LEFT JOIN MTM_DOCTOR_DIV                         ON i.DOCTOR_DIV                = MTM_DOCTOR_DIV.DOCTOR_DIV_CD" _
	'& "        LEFT JOIN XTM_STAFF                              ON i.DOCTOR_CD                 = XTM_STAFF.STAFF_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.DOCTOR_SERIAL_NO"
	''' <summary>
	''' 医師情報SQL
	''' </summary>
	Public Const sqlDOCTOR = "" _
	& " SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.DOCTOR_SERIAL_NO" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MAIN_DOCTOR_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DOCTOR_FLG_NM" _
	& ",MTM_DOCTOR_DIV.DOCTOR_DIV_NM,MTM_DOCTOR_DIV.DOCTOR_DIV_RNM" _
	& ",XTM_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.ATTEND_START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS ATTEND_START_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.ATTEND_END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS ATTEND_END_DT" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_DOCTOR AS i                        ON w.PATIENT_NO                = i.PATIENT_NO" _
	& "                                                        AND w.HSP_HISTORY_NO            = i.HSP_HISTORY_NO" _
	& "                                                        AND w.CH_NO                     = i.CH_NO" _
	& "        LEFT JOIN MTM_DOCTOR_DIV                         ON i.DOCTOR_DIV                = MTM_DOCTOR_DIV.DOCTOR_DIV_CD" _
	& "        LEFT JOIN XTM_STAFF                              ON i.DOCTOR_CD                 = XTM_STAFF.STAFF_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.DOCTOR_SERIAL_NO"
'(M) END V4-13006-000 043

#End Region

#Region "医療費情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(医療費情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderMed As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& "{0}"

	''' <summary>
	''' 医療費情報SQL
	''' </summary>
	Public Const sqlMEDCOST As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& " {0} " _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_MED_COST AS i                      ON w.PATIENT_NO                = i.PATIENT_NO" _
	& "                                                        AND w.HSP_HISTORY_NO            = i.HSP_HISTORY_NO" _
	& "                                                        AND w.CH_NO                     = i.CH_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

	''' <summary>医療費情報項目取得</summary>
	Public Const sqlFld_MED_COST As String = "" _
	& ",i.MED_COST{0}"

#End Region

#Region "対診科情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(対診科情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderDept As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& "{0}"

	''' <summary>
	''' 対診科情報SQL
	''' </summary>
	Public Const sqlOTHERDEPT As String = "" _
	& " SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& " {0} " _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_OTHER_DEPT AS i                    ON w.PATIENT_NO                = i.PATIENT_NO" _
	& "                                                        AND w.HSP_HISTORY_NO            = i.HSP_HISTORY_NO" _
	& "                                                        AND w.CH_NO                     = i.CH_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

	''' <summary>対診科情報項目取得</summary>
	Public Const sqlFld_OTHER_DEPT As String = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.OTHER_DEPT{0}" & sqlMRPCOMMON.sqlFLG_NM_E & "OTHER_DEPT{0}_NM"

#End Region

#Region "病名情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(病名情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderDI As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",病名連番" _
	& ",入院契機病名フラグ" _
	& ",医療資源投入１病名フラグ" _
	& ",医療資源投入２病名フラグ" _
	& ",入院時併存フラグ" _
	& ",入院後発症フラグ" _
	& ",現死因病名フラグ" _
	& ",直接死因病名フラグ" _
	& ",病名区分" _
	& ",病名区分(略称)" _
	& ",ＩＣＤ１０コード" _
	& ",病名" _
	& ",診断日" _
	& ",発症日" _
	& ",終了日" _
	& ",病名転帰" _
	& ",病名転帰(略称)" _
	& ",複数分類コード" _
	& ",ＩＣＤ９コード" _
	& ",備考１" _
	& ",備考２" _
	& ",外因分類コード" _
	& ",外因分類" _
	& ",外因４桁目コード" _
	& ",外因４桁細分類" _
	& ",死因外因フラグ" _
	& ",標本番号" _
	& ",ＩＣＤＯ形態コード" _
	& ",ＩＣＤＯ形態名" _
	& ",ＩＣＤＯ形態６桁目コード" _
	& ",ＩＣＤＯ形態６桁目分類" _
	& ",がん登録状況" _
	& ",がん登録状況(略称)" _
	& ",がん登録抽出日"

'(M) STR V4-13006-000 103 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlDISEASE As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.DISEASE_SERIAL_NO" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.HSP_CHANCE_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_CHANCE_DISEASE_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DISEASE_MED_RES_FLG1" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_MED_RES_FLG1" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DISEASE_MED_RES_FLG2" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_MED_RES_FLG2" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.HSP_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_DISEASE_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.AFTER_HSP_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "AFTER_HSP_DISEASE_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEATH_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DEATH_DISEASE_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DIRECT_DEATH_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DIRECT_DEATH_DISEASE_FLG" _
	'& ",MTM_DISEASE_DIV.DISEASE_DIV_NM" _
	'& ",MTM_DISEASE_DIV.DISEASE_DIV_RNM" _
	'& ",i.ICD10_CD" _
	'& ",i.DISEASE" _
	'& ",i.DIAGNOSIS_DT" _
	'& ",i.ONSET_DT" _
	'& ",i.END_DT" _
	'& ",MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_NM" _
	'& ",MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_RNM" _
	'& ",i.PLURAL_GRP_CD" _
	'& ",i.ICD9_CD" _
	'& ",i.REMARKS1" _
	'& ",i.REMARKS2" _
	'& ",i.CAUSE_GRP_CD" _
	'& ",i.CAUSE_GRP_NM" _
	'& ",i.CAUSE_4DIGS_CD" _
	'& ",i.CAUSE_4GRP_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEATH_CAUSE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DEATH_CAUSE_FLG" _
	'& ",i.SPECIMEN_NO" _
	'& ",i.ICDO_FORM_CD" _
	'& ",i.ICDO_FORM_NM" _
	'& ",i.ICDO_FORM_6DIGS_CD" _
	'& ",MTM_DISEASE_FORM_6DIG_CD.FORM6_NM" _
	'& ",MTM_CNR_REG_STATUS.REG_STATUS_NM" _
	'& ",MTM_CNR_REG_STATUS.REG_STATUS_RNM" _
	'& ",i.CNR_REG_EXTRACT_DT" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_DISEASE AS i         ON w.PATIENT_NO          = i.PATIENT_NO" _
	'& "									   AND w.HSP_HISTORY_NO      = i.HSP_HISTORY_NO" _
	'& "									   AND w.CH_NO               = i.CH_NO" _
	'& "  LEFT JOIN MTM_DISEASE_DIV          ON i.DISEASE_DIV         = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
	'& "  LEFT JOIN MTM_DISEASE_OUTCOME      ON i.DISEASE_OUTCOME_CD  = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_DISEASE_FORM_6DIG_CD ON i.ICDO_FORM_6DIGS_CD  = MTM_DISEASE_FORM_6DIG_CD.FORM6_CD" _
	'& "  LEFT JOIN MTM_CNR_REG_STATUS  	    ON i.CNR_REG_STATUS_CD   = MTM_CNR_REG_STATUS.REG_STATUS_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.DISEASE_SERIAL_NO"
	''' <summary>
	''' 病名情報SQL
	''' </summary>
	Public Const sqlDISEASE As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.DISEASE_SERIAL_NO" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.HSP_CHANCE_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_CHANCE_DISEASE_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DISEASE_MED_RES_FLG1" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_MED_RES_FLG1" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DISEASE_MED_RES_FLG2" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_MED_RES_FLG2" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.HSP_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_DISEASE_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.AFTER_HSP_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "AFTER_HSP_DISEASE_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEATH_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DEATH_DISEASE_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DIRECT_DEATH_DISEASE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DIRECT_DEATH_DISEASE_FLG" _
	& ",MTM_DISEASE_DIV.DISEASE_DIV_NM" _
	& ",MTM_DISEASE_DIV.DISEASE_DIV_RNM" _
	& ",i.ICD10_CD" _
	& ",i.DISEASE" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.DIAGNOSIS_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DIAGNOSIS_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.ONSET_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS ONSET_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_NM" _
	& ",MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_RNM" _
	& ",i.PLURAL_GRP_CD" _
	& ",i.ICD9_CD" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& ",i.CAUSE_GRP_CD" _
	& ",i.CAUSE_GRP_NM" _
	& ",i.CAUSE_4DIGS_CD" _
	& ",i.CAUSE_4GRP_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEATH_CAUSE_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DEATH_CAUSE_FLG" _
	& ",i.SPECIMEN_NO" _
	& ",i.ICDO_FORM_CD" _
	& ",i.ICDO_FORM_NM" _
	& ",i.ICDO_FORM_6DIGS_CD" _
	& ",MTM_DISEASE_FORM_6DIG_CD.FORM6_NM" _
	& ",MTM_CNR_REG_STATUS.REG_STATUS_NM" _
	& ",MTM_CNR_REG_STATUS.REG_STATUS_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CNR_REG_EXTRACT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CNR_REG_EXTRACT_DT" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_DISEASE AS i         ON w.PATIENT_NO          = i.PATIENT_NO" _
	& "									   AND w.HSP_HISTORY_NO      = i.HSP_HISTORY_NO" _
	& "									   AND w.CH_NO               = i.CH_NO" _
	& "  LEFT JOIN MTM_DISEASE_DIV          ON i.DISEASE_DIV         = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
	& "  LEFT JOIN MTM_DISEASE_OUTCOME      ON i.DISEASE_OUTCOME_CD  = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD" _
	& "  LEFT JOIN MTM_DISEASE_FORM_6DIG_CD ON i.ICDO_FORM_6DIGS_CD  = MTM_DISEASE_FORM_6DIG_CD.FORM6_CD" _
	& "  LEFT JOIN MTM_CNR_REG_STATUS  	    ON i.CNR_REG_STATUS_CD   = MTM_CNR_REG_STATUS.REG_STATUS_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.DISEASE_SERIAL_NO"
'(M) END V4-13006-000 103

#End Region

#Region "手術情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(手術情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderOPE As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",手術連番" _
	& ",手術区分" _
	& ",手術区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",手術名" _
	& ",手術開始日" _
	& ",手術開始時刻" _
	& ",手術終了日" _
	& ",手術終了時刻" _
	& ",手術所要時間" _
	& ",手術時年齢" _
	& ",手術時月齢" _
	& ",手術時日齢" _
	& ",手術予定緊急" _
	& ",手術時間外フラグ" _
	& ",ASA-PS" _
	& ",ASA-PS(略称)" _
	& ",麻酔区分１" _
	& ",麻酔区分１(略称)" _
	& ",麻酔区分２" _
	& ",麻酔区分２(略称)" _
	& ",麻酔時間" _
	& ",出血量" _
	& ",輸血量" _
	& ",術後合併症有無" _
	& ",術前日数" _
	& ",術後日数" _
	& ",補助区分１" _
	& ",補助区分１(略称)" _
	& ",補助区分２" _
	& ",補助区分２(略称)" _
	& ",手術回数" _
	& ",手術側数" _
	& ",備考１" _
	& ",備考２" _
	& ",対応病名ICDコード" _
	& ",対応病名"

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlOPE As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.OPE_SERIAL_NO" _
	'& ",MTM_OPE_DIV.OPE_DIV_NM" _
	'& ",MTM_OPE_DIV.OPE_DIV_RNM" _
	'& ",i.ICD9CM_CD" _
	'& ",i.SCORE_CD" _
	'& ",i.OPE_NM" _
	'& ",i.OPE_DT" _
	'& ",i.OPE_TIME" _
	'& ",i.END_DT" _
	'& ",i.END_TIME" _
	'& ",i.OPE_REQUIRED_TIME" _
	'& ",i.OPE_AGE" _
	'& ",i.OPE_MONTH_AGE" _
	'& ",i.OPE_DAY_AGE" _
	'& ",MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& ",MTM_ASA_PS_GRP.ASA_PS_GRP_NM" _
	'& ",MTM_ASA_PS_GRP.ASA_PS_GRP_RNM" _
	'& ",MTM_ANESTHESIA.ANESTHESIA_NM" _
	'& ",MTM_ANESTHESIA.ANESTHESIA_RNM" _
	'& ",MTM_ANESTHESIA2.ANESTHESIA_NM" _
	'& ",MTM_ANESTHESIA2.ANESTHESIA_RNM" _
	'& ",i.ANESTHESIA_TIME" _
	'& ",i.BLEEDING_VOLUME" _
	'& ",i.BLOOD_TRAN_VOLUME" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.AFTER_OPE_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AFTER_OPE_CMPC_CHK_NM" _
	'& ",i.PRE_OPE_DAYS" _
	'& ",i.AFTER_OPE_DAYS" _
	'& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_NM" _
	'& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_RNM" _
	'& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_NM" _
	'& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_RNM" _
	'& ",MTM_OPE_CNT.OPE_COUNT" _
	'& ",MTM_OPE_PART_CNT.OPE_PART" _
	'& ",i.REMARKS1" _
	'& ",i.REMARKS2" _
	'& ",i.SPT_DISEASE_ICD10_CD" _
	'& ",i.SPT_DISEASE_NM" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_OPE     AS i                   ON w.PATIENT_NO         = i.PATIENT_NO" _
	'& "                                              AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	'& "                                              AND w.CH_NO              = i.CH_NO" _
	'& "  LEFT JOIN MTM_OPE_DIV                        ON i.OPE_DIV            = MTM_OPE_DIV.OPE_DIV_CD" _
	'& "  LEFT JOIN MTM_OPE_PLAN_EMERGENCY             ON i.PLAN_EMERGENCY_CD  = MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_ASA_PS_GRP					  ON i.ASA_PS_GRP_CD	  = MTM_ASA_PS_GRP.ASA_PS_GRP_CD" _
	'& "  LEFT JOIN MTM_ANESTHESIA  	                  ON i.ANESTHESIA_DIV1    = MTM_ANESTHESIA.ANESTHESIA_CD" _
	'& "  LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA2  ON i.ANESTHESIA_DIV2    = MTM_ANESTHESIA2.ANESTHESIA_CD" _
	'& "  LEFT JOIN MTM_OPE_ASST_DIV  	              ON i.ASST_DIV1          = MTM_OPE_ASST_DIV.OPE_ASST_DIV_CD" _
	'& "  LEFT JOIN MTM_OPE_ASST_DIV2  	              ON i.ASST_DIV2          = MTM_OPE_ASST_DIV2.OPE_ASST_DIV_CD" _
	'& "  LEFT JOIN MTM_OPE_CNT                        ON i.OPE_COUNT_CD       = MTM_OPE_CNT.OPE_COUNT_CD" _
	'& "  LEFT JOIN MTM_OPE_PART_CNT                   ON i.OPE_PART_CD        = MTM_OPE_PART_CNT.OPE_PART_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.OPE_SERIAL_NO"
	''' <summary>
	''' 手術情報SQL
	''' </summary>
	Public Const sqlOPE As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.OPE_SERIAL_NO" _
	& ",MTM_OPE_DIV.OPE_DIV_NM" _
	& ",MTM_OPE_DIV.OPE_DIV_RNM" _
	& ",i.ICD9CM_CD" _
	& ",i.SCORE_CD" _
	& ",i.OPE_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.OPE_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT" _
	& ",i.OPE_TIME" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",i.END_TIME" _
	& ",i.OPE_REQUIRED_TIME" _
	& ",i.OPE_AGE" _
	& ",i.OPE_MONTH_AGE" _
	& ",i.OPE_DAY_AGE" _
	& ",MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& ",MTM_ASA_PS_GRP.ASA_PS_GRP_NM" _
	& ",MTM_ASA_PS_GRP.ASA_PS_GRP_RNM" _
	& ",MTM_ANESTHESIA.ANESTHESIA_NM" _
	& ",MTM_ANESTHESIA.ANESTHESIA_RNM" _
	& ",MTM_ANESTHESIA2.ANESTHESIA_NM" _
	& ",MTM_ANESTHESIA2.ANESTHESIA_RNM" _
	& ",i.ANESTHESIA_TIME" _
	& ",i.BLEEDING_VOLUME" _
	& ",i.BLOOD_TRAN_VOLUME" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.AFTER_OPE_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AFTER_OPE_CMPC_CHK_NM" _
	& ",i.PRE_OPE_DAYS" _
	& ",i.AFTER_OPE_DAYS" _
	& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_NM" _
	& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_RNM" _
	& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_NM" _
	& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_RNM" _
	& ",MTM_OPE_CNT.OPE_COUNT" _
	& ",MTM_OPE_PART_CNT.OPE_PART" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& ",i.SPT_DISEASE_ICD10_CD" _
	& ",i.SPT_DISEASE_NM" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_OPE     AS i                   ON w.PATIENT_NO         = i.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              = i.CH_NO" _
	& "  LEFT JOIN MTM_OPE_DIV                        ON i.OPE_DIV            = MTM_OPE_DIV.OPE_DIV_CD" _
	& "  LEFT JOIN MTM_OPE_PLAN_EMERGENCY             ON i.PLAN_EMERGENCY_CD  = MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_ASA_PS_GRP					  ON i.ASA_PS_GRP_CD	  = MTM_ASA_PS_GRP.ASA_PS_GRP_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA  	                  ON i.ANESTHESIA_DIV1    = MTM_ANESTHESIA.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA2  ON i.ANESTHESIA_DIV2    = MTM_ANESTHESIA2.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_ASST_DIV  	              ON i.ASST_DIV1          = MTM_OPE_ASST_DIV.OPE_ASST_DIV_CD" _
	& "  LEFT JOIN MTM_OPE_ASST_DIV2  	              ON i.ASST_DIV2          = MTM_OPE_ASST_DIV2.OPE_ASST_DIV_CD" _
	& "  LEFT JOIN MTM_OPE_CNT                        ON i.OPE_COUNT_CD       = MTM_OPE_CNT.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT                   ON i.OPE_PART_CD        = MTM_OPE_PART_CNT.OPE_PART_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.OPE_SERIAL_NO"
'(M) END V4-13006-000 121

#End Region

#Region "手術医師情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(手術医師情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderOPEDOC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",手術連番" _
	& ",手術医師連番" _
	& ",手術医師区分コード" _
	& ",手術医師区分" _
	& ",手術医師区分(略称)" _
	& ",医師コード" _
	& ",医師名"

	''' <summary>
	''' 手術医師情報SQL
	''' </summary>
	Public Const sqlOPEDOC As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.OPE_SERIAL_NO" _
	& ",i.OPE_DOCTOR_SERIAL_NO" _
	& ",i.OPE_DOCTOR_DIV" _
	& ",MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_NM,MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_RNM" _
	& ",i.DOCTOR_CD" _
	& ",XTM_STAFF.STAFF_NM" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_OPE_DOCTOR AS i                    ON w.PATIENT_NO                      = i.PATIENT_NO " _
	& "                                                        AND w.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	& "                                                        AND w.CH_NO                           = i.CH_NO" _
	& "        LEFT JOIN MTM_OPE_DOCTOR_DIV                     ON i.OPE_DOCTOR_DIV                  = MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_CD" _
	& "        LEFT JOIN XTM_STAFF                              ON i.DOCTOR_CD                       = XTM_STAFF.STAFF_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.OPE_SERIAL_NO,i.OPE_DOCTOR_SERIAL_NO"

#End Region

#Region "治療処置情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(治療処置情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderCARE As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",治療処置連番" _
	& ",治療処置区分" _
	& ",治療処置区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",治療処置名" _
	& ",実施日" _
	& ",補助区分" _
	& ",補助区分(略称)" _
	& ",備考１" _
	& ",備考２"

'(M) STR V4-13006-000 053 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlCARE As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.CARE_SERIAL_NO" _
	'& ",MTM_CARE_DIV.CARE_DIV_NM" _
	'& ",MTM_CARE_DIV.CARE_DIV_RNM" _
	'& ",i.ICD9CM_CD" _
	'& ",i.SCORE_CD" _
	'& ",i.CARE_NM" _
	'& ",i.CARE_DT" _
	'& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_NM" _
	'& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_RNM" _
	'& ",i.REMARKS1" _
	'& ",i.REMARKS2" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_CARE AS i           ON w.PATIENT_NO         = i.PATIENT_NO" _
	'& "                                   AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	'& "                                   AND w.CH_NO              = i.CH_NO" _
	'& " LEFT JOIN MTM_CARE_DIV             ON i.CARE_DIV           = MTM_CARE_DIV.CARE_DIV_CD" _
	'& " LEFT JOIN MTM_CARE_ASST_DIV        ON i.ASST_DIV           = MTM_CARE_ASST_DIV.CARE_ASST_DIV_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.CARE_SERIAL_NO"
	''' <summary>
	''' 治療処置情報SQL
	''' </summary>
	Public Const sqlCARE As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.CARE_SERIAL_NO" _
	& ",MTM_CARE_DIV.CARE_DIV_NM" _
	& ",MTM_CARE_DIV.CARE_DIV_RNM" _
	& ",i.ICD9CM_CD" _
	& ",i.SCORE_CD" _
	& ",i.CARE_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CARE_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CARE_DT" _
	& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_NM" _
	& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_RNM" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_CARE AS i           ON w.PATIENT_NO         = i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO              = i.CH_NO" _
	& " LEFT JOIN MTM_CARE_DIV             ON i.CARE_DIV           = MTM_CARE_DIV.CARE_DIV_CD" _
	& " LEFT JOIN MTM_CARE_ASST_DIV        ON i.ASST_DIV           = MTM_CARE_ASST_DIV.CARE_ASST_DIV_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.CARE_SERIAL_NO"
'(M) END V4-13006-000 053

#End Region

#Region "検査情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(検査情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderTEST As String = "" _
	& " 患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",検査連番" _
	& ",検査区分" _
	& ",検査区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",検査名" _
	& ",実施日" _
	& ",補助区分" _
	& ",補助区分(略称)" _
	& ",備考１" _
	& ",備考２"

'(M) STR V4-13006-000 053 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlTEST As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.TEST_SERIAL_NO" _
	'& ",MTM_TEST_DIV.TEST_DIV_NM" _
	'& ",MTM_TEST_DIV.TEST_DIV_RNM" _
	'& ",i.ICD9CM_CD" _
	'& ",i.SCORE_CD" _
	'& ",i.TEST_NM" _
	'& ",i.TEST_DT" _
	'& ",MTM_TEST_ASST_DIV.TEST_ASST_DIV_NM" _
	'& ",MTM_TEST_ASST_DIV.TEST_ASST_DIV_RNM" _
	'& ",i.REMARKS1" _
	'& ",i.REMARKS2" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_TEST AS i           ON w.PATIENT_NO         = i.PATIENT_NO" _
	'& "                                   AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	'& "                                   AND w.CH_NO              = i.CH_NO" _
	'& " LEFT JOIN MTM_TEST_DIV             ON i.TEST_DIV           = MTM_TEST_DIV.TEST_DIV_CD" _
	'& " LEFT JOIN MTM_TEST_ASST_DIV        ON i.ASST_DIV           = MTM_TEST_ASST_DIV.TEST_ASST_DIV_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.TEST_SERIAL_NO"
	''' <summary>
	''' 検査情報SQL
	''' </summary>
	Public Const sqlTEST As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.TEST_SERIAL_NO" _
	& ",MTM_TEST_DIV.TEST_DIV_NM" _
	& ",MTM_TEST_DIV.TEST_DIV_RNM" _
	& ",i.ICD9CM_CD" _
	& ",i.SCORE_CD" _
	& ",i.TEST_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.TEST_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS TEST_DT" _
	& ",MTM_TEST_ASST_DIV.TEST_ASST_DIV_NM" _
	& ",MTM_TEST_ASST_DIV.TEST_ASST_DIV_RNM" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_TEST AS i           ON w.PATIENT_NO         = i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO              = i.CH_NO" _
	& " LEFT JOIN MTM_TEST_DIV             ON i.TEST_DIV           = MTM_TEST_DIV.TEST_DIV_CD" _
	& " LEFT JOIN MTM_TEST_ASST_DIV        ON i.ASST_DIV           = MTM_TEST_ASST_DIV.TEST_ASST_DIV_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.TEST_SERIAL_NO"
'(M) END V4-13006-000 053

#End Region

#Region "補足項目１情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(補足項目１情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderASST1 As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& "{0}"

	''' <summary>
	''' 補足項目１情報SQL
	''' </summary>
	Public Const sqlASST1 As String = "" _
	& " SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& "{0}" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_ASST1 AS i                           ON w.PATIENT_NO                      = i.PATIENT_NO" _
	& "                                                          AND w.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	& "                                                          AND w.CH_NO                           = i.CH_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

	''' <summary>
	''' 補足項目１情報項目
	''' </summary>
	Public Const sqlColAST1 = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.ASST_ITM{0}" & sqlMRPCOMMON.sqlFLG_NM_E & "ASST_ITM{0}_NM"

#End Region

#Region "補足項目２情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(補足項目２情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderASST2 As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& "{0}"

	''' <summary>
	''' 補足項目２情報SQL
	''' </summary>
	Public Const sqlASST2 As String = "" _
	& " SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& " {0}" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_ASST2 AS i                           ON w.PATIENT_NO                      = i.PATIENT_NO" _
	& "                                                          AND w.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	& "                                                          AND w.CH_NO                           = i.CH_NO" _
	& " {1}" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

	''' <summary>
	''' 補足項目２情報(コンボ/日付以外)
	''' </summary>
	Public Const sqlColAST2_1 = "" _
	& ",i.{0}"

	''' <summary>
	''' 補足項目２情報(コンボ)
	''' </summary>
	Public Const sqlColAST2_2 = "" _
	& ",At2_CNT{0}.CNT_NM,At2_CNT{0}.CNT_RNM"

'(A) STR V4-13006-000 007 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	''' <summary>
	''' 補足項目２情報(日付)
	''' </summary>
	Public Const sqlColAST2_3 = "" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.{0}" & sqlMRPCOMMON.CST_CNV_EXCEL_ED
'(A) END V4-13006-000 007

	''' <summary>
	''' 補足項目２（コンボタイプ）の取得
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_Asst2_Join As String = "" _
	& "       LEFT JOIN MTM_ASST2_CNT AS At2_CNT{1}    ON '{1}'                    = At2_CNT{1}.ITEM_CD" _
	& "                                                AND i.{0}                   = At2_CNT{1}.CNT_CD"

#End Region

#Region "分娩情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(分娩情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderCB As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",分娩日" _
	& ",分娩時年齢" _
	& ",分娩時月齢" _
	& ",在胎週数" _
	& ",在胎日数" _
	& ",児数" _
	& "{1}" _
	& ",出血量" _
	& ",帝王切開区分" _
	& ",早産フラグ" _
	& ",流産フラグ" _
	& "{0}" _
	& ",備考"

'(M) STR V4-13006-000 081 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlCB As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.CB_DT" _
	'& ",i.CB_AGE" _
	'& ",i.CB_MONTH_AGE" _
	'& ",i.GESTATIONAL_WEEK_COUNT" _
	'& ",i.GESTATIONAL_DAY_COUNT" _
	'& ",i.CHD_COUNT" _
	'& ",c1.CNT_NM, c1.CNT_RNM" _
	'& ",c2.CNT_NM, c2.CNT_RNM" _
	'& ",c7.CNT_NM, c7.CNT_RNM" _
	'& ",c8.CNT_NM, c8.CNT_RNM" _
	'& ",i.BLEEDING_VOLUME" _
	'& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK1_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK2_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK3_NM" _
	'& ",i.REMARKS" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_CB AS i             ON w.PATIENT_NO				= i.PATIENT_NO" _
	'& "                                   AND w.HSP_HISTORY_NO			= i.HSP_HISTORY_NO" _
	'& "                                   AND w.CH_NO					= i.CH_NO" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c1     ON i.CB_DIV1					= c1.CNT_CD" _
	'& "                                   AND c1.ITEM_CD				= '1'" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c2     ON i.CB_DIV2					= c2.CNT_CD" _
	'& "                                   AND c2.ITEM_CD				= '2'" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c7     ON i.CB_DIV3					= c7.CNT_CD" _
	'& "                                   AND c7.ITEM_CD				= '7'" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c8     ON i.CB_DIV4					= c8.CNT_CD" _
	'& "                                   AND c8.ITEM_CD				= '8'" _
	'& " LEFT JOIN MTM_CAESAREAN_OPERATION  ON i.CAESAREAN_OPE_CD		= MTM_CAESAREAN_OPERATION.CHK_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER"
	''' <summary>
	''' 分娩情報SQL
	''' </summary>
	Public Const sqlCB As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CB_DT" _
	& ",i.CB_AGE" _
	& ",i.CB_MONTH_AGE" _
	& ",i.GESTATIONAL_WEEK_COUNT" _
	& ",i.GESTATIONAL_DAY_COUNT" _
	& ",i.CHD_COUNT" _
	& ",c1.CNT_NM, c1.CNT_RNM" _
	& ",c2.CNT_NM, c2.CNT_RNM" _
	& ",c7.CNT_NM, c7.CNT_RNM" _
	& ",c8.CNT_NM, c8.CNT_RNM" _
	& ",i.BLEEDING_VOLUME" _
	& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK3_NM" _
	& ",i.REMARKS" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_CB AS i             ON w.PATIENT_NO				= i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO			= i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO					= i.CH_NO" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c1     ON i.CB_DIV1					= c1.CNT_CD" _
	& "                                   AND c1.ITEM_CD				= '1'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c2     ON i.CB_DIV2					= c2.CNT_CD" _
	& "                                   AND c2.ITEM_CD				= '2'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c7     ON i.CB_DIV3					= c7.CNT_CD" _
	& "                                   AND c7.ITEM_CD				= '7'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c8     ON i.CB_DIV4					= c8.CNT_CD" _
	& "                                   AND c8.ITEM_CD				= '8'" _
	& " LEFT JOIN MTM_CAESAREAN_OPERATION  ON i.CAESAREAN_OPE_CD		= MTM_CAESAREAN_OPERATION.CHK_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"
'(M) END V4-13006-000 081

#End Region

#Region "分娩子情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(分娩子情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderCBCH As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",分娩児連番" _
	& ",子性別" _
	& ",分娩日" _
	& ",分娩時刻" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",新生児番号" _
	& ",患者番号" _
	& ",新生児身長" _
	& ",新生児体重" _
	& ",アプガー指数１分名" _
	& ",アプガー指数５分名" _
	& ",未熟" _
	& ",奇形" _
	& ",死産" _
	& "{0}" _
	& "{1}" _
	& ",備考" _
	& ",死産番号" _
	& ",死産日" _
	& ",死産時刻" _
	& ",週数" _
	& ",死産場所" _
	& ",死産場所(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",人工中絶有無" _
	& ",母体合併症有無" _
	& ",コメント"

'(M) STR V4-13006-000 133 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlCBCH As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.CB_SERIAL_NO" _
	'& ",MTM_CB_GENDER.GENDER_NM" _
	'& ",i.CHD_CB_DT" _
	'& ",i.CHD_CB_TIME" _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",i.NEWBORN_NO" _
	'& ",i.CHD_PATIENT_NO" _
	'& ",i.NEWBORN_STATURE" _
	'& ",i.NEWBORN_WEIGHT" _
	'& ",a1.APGARSCORE AS APGARSCORE1" _
	'& ",a5.APGARSCORE AS APGARSCORE5" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK1_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK2_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK3_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK4" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK4_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK5" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK5_NM" _
	'& ",c3.CNT_NM, c3.CNT_RNM" _
	'& ",c4.CNT_NM, c4.CNT_RNM" _
	'& ",c5.CNT_NM, c5.CNT_RNM" _
	'& ",c6.CNT_NM, c6.CNT_RNM" _
	'& ",i.CHD_REMARKS" _
	'& ",sb.SB_NO" _
	'& ",sb.SB_DT" _
	'& ",sb.SB_TIME" _
	'& ",sb.WEEK_COUNT" _
	'& ",MTM_CB_SB_LCT.SB_LCT_NM,MTM_CB_SB_LCT.SB_LCT_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_AUTOPSY_CHK" _
	'& ",sb.AUTOPSY_NO" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.INDUCED_ABORTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_INDUCED_ABORTION_CHK" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.MOTHER_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_MOTHER_CMPC_CHK" _
	'& ",sb.REMARKS" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_CB_CHILD AS i       ON w.PATIENT_NO			  = i.PATIENT_NO" _
	'& "                                   AND w.HSP_HISTORY_NO		  = i.HSP_HISTORY_NO" _
	'& "                                   AND w.CH_NO				  = i.CH_NO" _
	'& " LEFT JOIN MTI_CB_SB AS sb		   ON i.PATIENT_NO			  = sb.PATIENT_NO" _
	'& "                                   AND i.HSP_HISTORY_NO		  = sb.HSP_HISTORY_NO" _
	'& "                                   AND i.CH_NO				  = sb.CH_NO" _
	'& "                                   AND i.CB_SERIAL_NO		  = sb.CB_SERIAL_NO" _
	'& " LEFT JOIN MTM_CB_GENDER            ON i.GENDER_CD		      = MTM_CB_GENDER.GENDER_CD" _
	'& " LEFT JOIN MTM_BLOODTYPE			   ON i.CHD_BLOODTYPE_CD      = MTM_BLOODTYPE.BLOODTYPE_CD" _
	'& " LEFT JOIN MTM_RH				   ON i.CHD_RH_CD			  = MTM_RH.RH_CD" _
	'& " LEFT JOIN MTM_CB_APGARSCORE AS a1  ON i.APGARSCORE_1MIN       = a1.APGARSCORE_CD" _
	'& " LEFT JOIN MTM_CB_APGARSCORE AS a5  ON i.APGARSCORE_5MIN       = a5.APGARSCORE_CD" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c3     ON i.CB_PTN1			      = c3.CNT_CD" _
	'& "                                   AND c3.ITEM_CD			  = '3'" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c4     ON i.CB_PTN2				  = c4.CNT_CD" _
	'& "                                   AND c4.ITEM_CD			  = '4'" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c5     ON i.CB_PTN3				  = c5.CNT_CD" _
	'& "                                   AND c5.ITEM_CD			  = '5'" _
	'& " LEFT JOIN MTM_CB_DIV_CNT AS c6     ON i.CB_PTN4				  = c6.CNT_CD" _
	'& "                                   AND c6.ITEM_CD			  = '6'" _
	'& " LEFT JOIN MTM_CB_SB_LCT            ON sb.SB_LCT				  = MTM_CB_SB_LCT.SB_LCT_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.CB_SERIAL_NO"
	''' <summary>
	''' 分娩子情報SQL
	''' </summary>
	Public Const sqlCBCH As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.CB_SERIAL_NO" _
	& ",MTM_CB_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CHD_CB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CHD_CB_DT" _
	& ",i.CHD_CB_TIME" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",i.NEWBORN_NO" _
	& ",i.CHD_PATIENT_NO" _
	& ",i.NEWBORN_STATURE" _
	& ",i.NEWBORN_WEIGHT" _
	& ",a1.APGARSCORE AS APGARSCORE1" _
	& ",a5.APGARSCORE AS APGARSCORE5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK3_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK4" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK4_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK5" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK5_NM" _
	& ",c3.CNT_NM, c3.CNT_RNM" _
	& ",c4.CNT_NM, c4.CNT_RNM" _
	& ",c5.CNT_NM, c5.CNT_RNM" _
	& ",c6.CNT_NM, c6.CNT_RNM" _
	& ",i.CHD_REMARKS" _
	& ",sb.SB_NO" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "sb.SB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SB_DT" _
	& ",sb.SB_TIME" _
	& ",sb.WEEK_COUNT" _
	& ",MTM_CB_SB_LCT.SB_LCT_NM,MTM_CB_SB_LCT.SB_LCT_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_AUTOPSY_CHK" _
	& ",sb.AUTOPSY_NO" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.INDUCED_ABORTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_INDUCED_ABORTION_CHK" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.MOTHER_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_MOTHER_CMPC_CHK" _
	& ",sb.REMARKS" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_CB_CHILD AS i       ON w.PATIENT_NO			  = i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO		  = i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO				  = i.CH_NO" _
	& " LEFT JOIN MTI_CB_SB AS sb		   ON i.PATIENT_NO			  = sb.PATIENT_NO" _
	& "                                   AND i.HSP_HISTORY_NO		  = sb.HSP_HISTORY_NO" _
	& "                                   AND i.CH_NO				  = sb.CH_NO" _
	& "                                   AND i.CB_SERIAL_NO		  = sb.CB_SERIAL_NO" _
	& " LEFT JOIN MTM_CB_GENDER            ON i.GENDER_CD		      = MTM_CB_GENDER.GENDER_CD" _
	& " LEFT JOIN MTM_BLOODTYPE			   ON i.CHD_BLOODTYPE_CD      = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& " LEFT JOIN MTM_RH				   ON i.CHD_RH_CD			  = MTM_RH.RH_CD" _
	& " LEFT JOIN MTM_CB_APGARSCORE AS a1  ON i.APGARSCORE_1MIN       = a1.APGARSCORE_CD" _
	& " LEFT JOIN MTM_CB_APGARSCORE AS a5  ON i.APGARSCORE_5MIN       = a5.APGARSCORE_CD" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c3     ON i.CB_PTN1			      = c3.CNT_CD" _
	& "                                   AND c3.ITEM_CD			  = '3'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c4     ON i.CB_PTN2				  = c4.CNT_CD" _
	& "                                   AND c4.ITEM_CD			  = '4'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c5     ON i.CB_PTN3				  = c5.CNT_CD" _
	& "                                   AND c5.ITEM_CD			  = '5'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c6     ON i.CB_PTN4				  = c6.CNT_CD" _
	& "                                   AND c6.ITEM_CD			  = '6'" _
	& " LEFT JOIN MTM_CB_SB_LCT            ON sb.SB_LCT				  = MTM_CB_SB_LCT.SB_LCT_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.CB_SERIAL_NO"
'(M) END V4-13006-000 133

#End Region

#Region "救命救急シート"

	''' <summary>
	''' エクセル出力ヘッダ(救命救急情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderE As String = "" _
	& " 患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",救命救急連番" _
	& ",入法" _
	& ",入法(略称)" _
	& ",入室日" _
	& ",入室時刻" _
	& ",入室時年齢" _
	& ",入室時月齢" _
	& ",入室時日齢" _
	& ",出法" _
	& ",出法(略称)" _
	& ",退室日" _
	& ",退室時刻" _
	& ",退室時年齢" _
	& ",退室時月齢" _
	& ",退室時日齢" _
	& ",重症区分" _
	& ",在室日数" _
	& ",救命所要時間"

'(M) STR V4-13006-000 069 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlEMERGENCY As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.EMERGENCY_SERIAL_NO" _
	'& ",MTM_EMERGENCY_IN_METHOD.IN_METHOD_NM" _
	'& ",MTM_EMERGENCY_IN_METHOD.IN_METHOD_RNM" _
	'& ",i.ENTERING_DT" _
	'& ",i.ENTERING_TIME" _
	'& ",i.ENTERING_AGE" _
	'& ",i.ENTERING_MONTH_AGE" _
	'& ",i.ENTERING_DAY_AGE" _
	'& ",MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_NM" _
	'& ",MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_RNM" _
	'& ",i.LEAVING_DT" _
	'& ",i.LEAVING_TIME" _
	'& ",i.LEAVING_AGE" _
	'& ",i.LEAVING_MONTH_AGE" _
	'& ",i.LEAVING_DAY_AGE" _
	'& ",MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_NM" _
	'& ",i.IN_ROOM_DAYS" _
	'& ",i.MED_REQUIRED_TIME" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_EMERGENCY AS i      ON w.PATIENT_NO      = i.PATIENT_NO" _
	'& "                                   AND w.HSP_HISTORY_NO  = i.HSP_HISTORY_NO" _
	'& "                                   AND w.CH_NO           = i.CH_NO" _
	'& " LEFT JOIN MTM_EMERGENCY_IN_METHOD  ON i.IN_METHOD_CD	= MTM_EMERGENCY_IN_METHOD.IN_METHOD_CD" _
	'& " LEFT JOIN MTM_EMERGENCY_OUT_METHOD ON i.OUT_METHOD_CD	= MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_CD" _
	'& " LEFT JOIN MTM_EMERGENCY_SEVERE_DIV ON i.SEVERE_CD		= MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.EMERGENCY_SERIAL_NO"
	''' <summary>
	''' 救命救急情報SQL
	''' </summary>
	Public Const sqlEMERGENCY As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.EMERGENCY_SERIAL_NO" _
	& ",MTM_EMERGENCY_IN_METHOD.IN_METHOD_NM" _
	& ",MTM_EMERGENCY_IN_METHOD.IN_METHOD_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.ENTERING_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS ENTERING_DT" _
	& ",i.ENTERING_TIME" _
	& ",i.ENTERING_AGE" _
	& ",i.ENTERING_MONTH_AGE" _
	& ",i.ENTERING_DAY_AGE" _
	& ",MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_NM" _
	& ",MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.LEAVING_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LEAVING_DT" _
	& ",i.LEAVING_TIME" _
	& ",i.LEAVING_AGE" _
	& ",i.LEAVING_MONTH_AGE" _
	& ",i.LEAVING_DAY_AGE" _
	& ",MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_NM" _
	& ",i.IN_ROOM_DAYS" _
	& ",i.MED_REQUIRED_TIME" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_EMERGENCY AS i      ON w.PATIENT_NO      = i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO  = i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO           = i.CH_NO" _
	& " LEFT JOIN MTM_EMERGENCY_IN_METHOD  ON i.IN_METHOD_CD	= MTM_EMERGENCY_IN_METHOD.IN_METHOD_CD" _
	& " LEFT JOIN MTM_EMERGENCY_OUT_METHOD ON i.OUT_METHOD_CD	= MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_CD" _
	& " LEFT JOIN MTM_EMERGENCY_SEVERE_DIV ON i.SEVERE_CD		= MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.EMERGENCY_SERIAL_NO"
'(M) END V4-13006-000 069

#End Region

#Region "パス情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(パス情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderP As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",パス連番" _
	& ",パスコード" _
	& ",パス名" _
	& ",適用開始日" _
	& ",適用終了日" _
	& ",指示医師名" _
	& ",バリアンス日" _
	& ",バリアンス有無" _
	& ",バリアンス種類" _
	& ",理由１" _
	& ",理由２" _
	& ",理由３" _
	& ",理由４" _
	& ",コメント"

'(M) STR V4-13006-000 071 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Public Const sqlPATH As String = _
	'" SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.PATH_SERIAL_NO" _
	'& ",i.PATH_CD" _
	'& ",p.PATH_NM" _
	'& ",i.START_DT" _
	'& ",i.END_DT" _
	'& ",x.STAFF_NM" _
	'& ",i.VARIANCE_DAY" _
	'& ",vc.VARIANCE_CHK_NM" _
	'& ",vt.VARIANCE_TYPE_NM" _
	'& ",v1.REASON_NM" _
	'& ",v2.REASON_NM" _
	'& ",v3.REASON_NM" _
	'& ",v4.REASON_NM" _
	'& ",i.REMARKS" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& " INNER JOIN MTI_PATH			  AS i	ON w.PATIENT_NO		= i.PATIENT_NO" _
	'& "                                    AND w.HSP_HISTORY_NO	= i.HSP_HISTORY_NO" _
	'& "                                    AND w.CH_NO			= i.CH_NO" _
	'& " LEFT JOIN MTM_PATH			  AS p	ON i.PATH_CD		= p.PATH_CD" _
	'& " LEFT JOIN XTM_STAFF			  AS x	ON i.DOCTOR_CD		= x.STAFF_CD" _
	'& " LEFT JOIN MTM_VARIANCE_CHK	  AS vc ON i.CHK_CD			= vc.VARIANCE_CHK_CD" _
	'& " LEFT JOIN MTM_VARIANCE_TYPE	  AS vt ON i.TYPE_CD		= vt.VARIANCE_TYPE_CD" _
	'& " LEFT JOIN MTM_VARIANCE_REASON AS v1	ON i.REASON1_CD		= v1.REASON_CD" _
	'& " LEFT JOIN MTM_VARIANCE_REASON AS v2	ON i.REASON2_CD		= v2.REASON_CD" _
	'& " LEFT JOIN MTM_VARIANCE_REASON AS v3	ON i.REASON3_CD		= v3.REASON_CD" _
	'& " LEFT JOIN MTM_VARIANCE_REASON AS v4	ON i.REASON4_CD		= v4.REASON_CD" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER,i.PATH_SERIAL_NO"
	''' <summary>
	''' パス情報SQL
	''' </summary>
	Public Const sqlPATH As String = _
	" SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.PATH_SERIAL_NO" _
	& ",i.PATH_CD" _
	& ",p.PATH_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",x.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.VARIANCE_DAY" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS VARIANCE_DAY" _
	& ",vc.VARIANCE_CHK_NM" _
	& ",vt.VARIANCE_TYPE_NM" _
	& ",v1.REASON_NM" _
	& ",v2.REASON_NM" _
	& ",v3.REASON_NM" _
	& ",v4.REASON_NM" _
	& ",i.REMARKS" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& " INNER JOIN MTI_PATH			  AS i	ON w.PATIENT_NO		= i.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO	= i.HSP_HISTORY_NO" _
	& "                                    AND w.CH_NO			= i.CH_NO" _
	& " LEFT JOIN MTM_PATH			  AS p	ON i.PATH_CD		= p.PATH_CD" _
	& " LEFT JOIN XTM_STAFF			  AS x	ON i.DOCTOR_CD		= x.STAFF_CD" _
	& " LEFT JOIN MTM_VARIANCE_CHK	  AS vc ON i.CHK_CD			= vc.VARIANCE_CHK_CD" _
	& " LEFT JOIN MTM_VARIANCE_TYPE	  AS vt ON i.TYPE_CD		= vt.VARIANCE_TYPE_CD" _
	& " LEFT JOIN MTM_VARIANCE_REASON AS v1	ON i.REASON1_CD		= v1.REASON_CD" _
	& " LEFT JOIN MTM_VARIANCE_REASON AS v2	ON i.REASON2_CD		= v2.REASON_CD" _
	& " LEFT JOIN MTM_VARIANCE_REASON AS v3	ON i.REASON3_CD		= v3.REASON_CD" _
	& " LEFT JOIN MTM_VARIANCE_REASON AS v4	ON i.REASON4_CD		= v4.REASON_CD" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER,i.PATH_SERIAL_NO"
'(M) END V4-13006-000 071

#End Region

#Region "監査情報シート"

	''' <summary>
	''' エクセル出力ヘッダ(監査情報)
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_HeaderINS As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",監査日１" _
	& ",監査日２" _
	& ",監査日３" _
	& ",監査完了フラグ" _
	& ",監査完了日" _
	& ",監査人名" _
	& "{0}"

'(M) STR V4-13006-000 047 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
'(M) STR V4-13011-000 045 20130212 ID)荒川 管理№294 監査情報シートの監査日３に監査日２が出力されている
	'Public Const sqlINSPECT As String = "" _
	'& "SELECT" _
	'& " i.PATIENT_NO" _
	'& ",i.HSP_HISTORY_NO" _
	'& ",i.CH_NO" _
	'& ",i.INSPECT1_DT" _
	'& ",i.INSPECT2_DT" _
	'& ",i.INSPECT2_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.FINISHING_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "FINISHING_FLG_NM" _
	'& ",i.INSPECT_FINISHING_DT" _
	'& ",XTM_STAFF.STAFF_NM" _
	'& " {0}" _
	'& " FROM MTW_SEARCH_WORK   AS w" _
	'& "       INNER JOIN MTI_INSPECT AS i                         ON w.PATIENT_NO                      = i.PATIENT_NO" _
	'& "                                                          AND w.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	'& "                                                          AND w.CH_NO                           = i.CH_NO" _
	'& "        LEFT JOIN XTM_STAFF                                ON i.AUDITOR_CD                      = XTM_STAFF.STAFF_CD" _
	'& " {1}" _
	'& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	'& " ORDER BY w.OUT_ORDER"
	''' <summary>
	''' 監査情報SQL
	''' </summary>
	Public Const sqlINSPECT As String = "" _
	& "SELECT" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT1_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT1_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT2_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT2_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT3_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT3_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.FINISHING_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "FINISHING_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT_FINISHING_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT_FINISHING_DT" _
	& ",XTM_STAFF.STAFF_NM" _
	& " {0}" _
	& " FROM MTW_SEARCH_WORK   AS w" _
	& "       INNER JOIN MTI_INSPECT AS i                         ON w.PATIENT_NO                      = i.PATIENT_NO" _
	& "                                                          AND w.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	& "                                                          AND w.CH_NO                           = i.CH_NO" _
	& "        LEFT JOIN XTM_STAFF                                ON i.AUDITOR_CD                      = XTM_STAFF.STAFF_CD" _
	& " {1}" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"
'(M) END V4-13011-000 045
'(M) END V4-13006-000 047

	''' <summary>監査情報項目取得</summary>
	Public Const sqlFld_INSPECT As String = "" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT{0}_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT{0}_1_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT{0}_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT{0}_2_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT{0}_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT{0}_3_NM" _
	& ",s{0}.STAFF_NM"

	''' <summary>
	''' 医師名取得
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_Inspect_Join As String = "" _
	& "       LEFT JOIN XTM_STAFF AS s{0}               ON i.DOCTOR{0}_CD          = s{0}.STAFF_CD"

#End Region

	Public Const excel_FreeFormat As String = "" _
	& ",{0},{1}"
	Public Const excel_FreeFormatEmpty As String = "" _
	& ",,"
	Public Const excel_FreeFormatChk As String = "" _
	& ",{0}"
	Public Const excel_FreeFormatEmptyChk As String = "" _
	& ","
#Region "マスタ項目取得ＳＱＬ"

	''' <summary>
	''' 感染症フラグヘッダ取得
	''' </summary>
	Public Const sqlHeader_INFECTION = "" _
	& "SELECT INFECTION_NM FROM MTM_INFECTION WHERE INFECTION_CD='{0}'"

	''' <summary>
	''' ヘッダ項目入退院項目マスタ取得
	''' </summary>
	Public Const sqlSel_Header_Hsp As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& "  FROM MTM_HSP_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' ヘッダ項目医療費項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Med As String = _
	  "SELECT MED_COST_NM FROM MTM_MED_COST_ITM WHERE MED_COST_CD={0}"

	''' <summary>
	''' ヘッダ項目対診科項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_DEPT As String = _
	  "SELECT OTHER_DEPT_NM FROM MTM_OTHER_DEPT WHERE OTHER_DEPT_CD='{0}'"

	''' <summary>
	''' ヘッダ項目分娩区分項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_CbDiv As String = _
	  "SELECT ITEM_CD,ITEM_NM,ITEM_RNM FROM MTM_CB_DIV_ITM"

	''' <summary>
	''' ヘッダ項目分娩チェック項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_CbChk As String = _
	  "SELECT ITEM_CD,ITEM_NM,ITEM_RNM FROM MTM_CB_CHK_ITM"

	''' <summary>
	''' ヘッダ項目補足項目１項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Asst1 As String = _
	" SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& ",ITEM_NM AS" & sqlMRPCOMMON.itmITEM_RNM _
	& "  FROM MTM_ASST1_ITM" _
	& " WHERE ITEM_NM" & XCM.clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY" _
	& " ITEM_CD"

	''' <summary>
	''' ヘッダ項目補足項目２項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Asst2 As String = _
	" SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& ",ITEM_NM AS " & sqlMRPCOMMON.itmITEM_RNM _
	& ",ITEM_TYPE" _
	& ",SPT_FIELD_NM" _
	& "  FROM MTM_ASST2_ITM" _
	& " ORDER BY" _
	& " OUT_DSPORDER" _
	& ",ITEM_CD"

	''' <summary>
	''' ヘッダ項目補足項目２内容マスタの取得
	''' </summary>
	Public Const sqlSel_Asst2_Cnt As String = _
	" SELECT" _
	& " ITEM_CD" _
	& ",CNT_CD" _
	& ",CNT_NM" _
	& ",CNT_RNM" _
	& "  FROM MTM_ASST2_CNT"

	''' <summary>監査マスタ取得</summary>
	Public Const sqlSel_InspectMst As String = _
	" SELECT" _
	& " INSPECT_CD" _
	& ",GRP_NM" _
	& ",ITEM_NM" _
	& ",DOCTOR_NM" _
	& ",CHKCOUNT" _
	& "  FROM MTM_INSPECT" _
	& " WHERE MTM_INSPECT.ITEM_NM" & XCM.clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY" _
	& " DSPORDER" _
	& ",INSPECT_CD"

	''' <summary>
	''' Null項目用
	''' </summary>
	Public Const sqlColNull = ",Null"

#End Region


End Class
