﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 科歴Reportクラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
''' 
Public NotInheritable Class datMRP050R110
	Public PATIENT_NO As String = Nothing			'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing		'入退院歴番号
	Public CH_NO As Integer = Nothing				'科歴番号
	Public INFO_ITEM_NO As String = Nothing			'情報項目番号
	Public DETAILS As List(Of String) = Nothing		'明細
	Public MAIN_DPM_FLG As Integer = Nothing		'主科フラグ
End Class

Public NotInheritable Class sqlMRP050R110

#Region "項目"
	Public Const itmGENDER_CD As String = "GENDER_CD"
	Public Const itmDETAILS_SERIAL_NO As String = "DETAILS_SERIAL_NO"
	Public Const itmDETAILS As String = "DETAILS"
	Public Const itmMAIN_DPM_FLG As String = "MAIN_DPM_FLG"
	Public Const itmINFO_ITEM_NO As String = "INFO_ITEM_NO"
	Public Const itmBLOODTYPE_NM As String = "BLOODTYPE_NM"
	Public Const itmRH_NM As String = "RH_NM"
	Public Const itmPATIENT_NM_R As String = "PATIENT_NM"
	Public Const itmBLOOD_TRAN_CHK_NM As String = "BLOOD_TRAN_CHK_NM"
	Public Const itmNATIONALITY_RNM As String = "NATIONALITY_RNM"
	Public Const itmPREFECTURE_NM As String = "PREFECTURE_NM"
	Public Const itmDOMICILE_ADDRESS As String = "DOMICILE_ADDRESS"
	Public Const itmREMARKS As String = "REMARKS"
	Public Const itmCONTACT_PATIENT_NM As String = "CONTACT_PATIENT_NM"
	Public Const itmRELATION_NM As String = "RELATION_NM"
	Public Const itmCONTACT_ZIP_CD As String = "CONTACT_ZIP_CD"
	Public Const itmCONTACT_TELNUMBER As String = "CONTACT_TELNUMBER"
	Public Const itmCONTACT_ADDRESS As String = "CONTACT_ADDRESS"
	Public Const itmSMOKING_CHK_NM As String = "SMOKING_CHK_NM"
	Public Const itmSMOKING_START_AGE As String = "SMOKING_START_AGE"
	Public Const itmSMOKING_END_AGE As String = "SMOKING_END_AGE"
	Public Const itmSMOKING_COUNT As String = "SMOKING_COUNT"
	Public Const itmSMOKING_AGE As String = "SMOKING_AGE"
	Public Const itmDRINKING_CHK_NM As String = "DRINKING_CHK_NM"
	Public Const itmPREGNANCY_CHK_NM As String = "PREGNANCY_CHK_NM"
	Public Const itmPREGNANCY_COUNT As String = "PREGNANCY_COUNT"
	Public Const itmCB_CHK_NM As String = "CB_CHK_NM"
	Public Const itmCB_COUNT As String = "CB_COUNT"
	Public Const itmMENARCHE_AGE As String = "MENARCHE_AGE"
	Public Const itmMENOPAUSE_AGE As String = "MENOPAUSE_AGE"
	Public Const itmFIRSTHSPVST_DT As String = "FIRSTHSPVST_DT"
	Public Const itmLASTHSPVST_DT As String = "LASTHSPVST_DT"
	Public Const itmDEPT_NM As String = "DEPT_NM"
	Public Const itmLASTLEFTHSP_DT As String = "LASTLEFTHSP_DT"

	Public Const itmZIP_CD As String = "ZIP_CD"
	Public Const itmTELNUMBER As String = "TELNUMBER"
	Public Const itmAREA_NM As String = "AREA_NM"
	Public Const itmHOUSEHOLDER As String = "HOUSEHOLDER_NM"
	Public Const itmADDRESS_NM As String = "ADDRESS_NM"
	Public Const itmWARD_RNM As String = "WARD_RNM"
	Public Const itmHSP_AIM As String = "HSP_AIM_RNM"
	Public Const itmPLAN_EMERGENCY As String = "PLAN_EMERGENCY_NM"
	Public Const itmTAKE_AMBULANCE As String = "TAKE_AMBULANCE_CHK_NM"
	Public Const itmTIME_OUT As String = "TIME_OUT_FLG_NM"
	Public Const itmINTRODUCTION As String = "INTRODUCTION_CHK_NM"
	Public Const itmINTRODUCED As String = "INTRODUCED_NM"
	Public Const itmINTRODUCED_DOCTOR As String = "INTRODUCED_DOCTOR_NM"
	Public Const itmREFERENCE As String = "REFERENCE_NM"
	Public Const itmREFERENCE_DOCTOR As String = "REFERENCE_DOCTOR_NM"
	Public Const itmSTATURE As String = "STATURE"
	Public Const itmWEIGHT As String = "WEIGHT"
	Public Const itmFIRST_DIAGNOSIS_DT As String = "FIRST_DIAGNOSIS_DT"
	Public Const itmJOB_NM_PAST As String = "JOB_NM_PAST"
	Public Const itmJOB_NM_CUR As String = "JOB_NM_CUR"
	Public Const itmBLOOD_TRAN_CHK As String = "BLOOD_TRAN_CHK_NM"
	Public Const itmOPE_CHK_NM As String = "OPE_CHK_NM"
	Public Const itmOTHER_DEPT As String = "OTHER_DEPT_CHK_NM"
	Public Const itmCLINICAL_TRIAL As String = "CLINICAL_TRIAL_CHK_NM"
	Public Const itmHSP_INFECTION As String = "HSP_INFECTION_CHK_NM"
	Public Const itmINSURANCE_NM As String = "INSURANCE_NM{0}"
	Public Const itmREADMISSION As String = "READMISSION_FLG_NM"
	Public Const itmLAST_OUT_HSP_DT As String = "LAST_OUT_HSP_DT"
	Public Const itmSELF_OTHER_HSP_DIV As String = "SELF_OTHER_HSP_DIV"
	Public Const itmDISEASE_READMISSION As String = "DISEASE_READMISSION_FLG_NM"
	Public Const itmSAME_DISEASE_LAST_HSP_DT As String = "SAME_DISEASE_LAST_HSP_DT"
	Public Const itmINFECTION_CD As String = "INFECTION_CD"
	Public Const itmINFECTION_NM As String = "INFECTION_NM"
	Public Const itmINFECTION_FLG As String = "INFECTION_FLG_NM{0}"
	Public Const itmOTHER_INFECTION As String = "OTHER_INFECTION"
	Public Const itmALLERGY_NM As String = "ALLERGY_NM{0}"
	Public Const itmOTHER_ALLERGY As String = "OTHER_ALLERGY"
	Public Const itmTOTAL_MED_COST As String = "TOTAL_MED_COST"
	Public Const itmDPC_CD As String = "DPC_CD"
	Public Const itmCOMMENT As String = "COMMENT"

	Public Const itmDEATH_LCT_RNM As String = "DEATH_LCT_RNM"
	Public Const itmDEATH_LCT As String = "DEATH_LCT"
	Public Const itmDEATH_DT As String = "DEATH_DT"
	Public Const itmDEATH_TIME As String = "DEATH_TIME"
	Public Const itmDEATH_DIV_RNM As String = "DEATH_DIV_RNM"
	Public Const itmAFTER_OPE_DEATH_DIV_RNM As String = "AFTER_OPE_DEATH_DIV_RNM"
	Public Const itmAUTOPSY_CHK_NM As String = "AUTOPSY_CHK_NM"
	Public Const itmAUTOPSY_NO As String = "AUTOPSY_NO"
	Public Const itmDEATH_DISEASE1_CD As String = "DEATH_DISEASE1_CD"
	Public Const itmDEATH_DISEASE1 As String = "DEATH_DISEASE1"
	Public Const itmDEATH_DISEASE2_CD As String = "DEATH_DISEASE2_CD"
	Public Const itmDEATH_DISEASE2 As String = "DEATH_DISEASE2"
	Public Const itmDEATH_REMARKS As String = "DEATH_REMARKS"

	Public Const itmMAIN_WARD_FLG_NM As String = "MAIN_WARD_FLG_NM"
	Public Const itmWARD_START_DT As String = "WARD_START_DT"
	Public Const itmWARD_END_DT As String = "WARD_END_DT"
	Public Const itmROWNO As String = "ROW_NO"
	Public Const itmROWCNT As String = "ROW_CNT"

	Public Const itmMAIN_DOCTOR_FLG_NM As String = "MAIN_DOCTOR_FLG_NM"
	Public Const itmDOCTOR_DIV_NM As String = "DOCTOR_DIV_NM"
	Public Const itmSTAFF_NM As String = "STAFF_NM"

	Public Const itmPATH_CD As String = "PATH_CD"
	Public Const itmPATH_NM As String = "PATH_NM"
	Public Const itmSTART_DT As String = "START_DT"
	Public Const itmEND_DT As String = "END_DT"
	Public Const itmVARIANCE_DAY As String = "VARIANCE_DAY"
	Public Const itmVARIANCE_CHK_NM As String = "VARIANCE_CHK_NM"
	Public Const itmVARIANCE_TYPE_NM As String = "VARIANCE_TYPE_NM"
	Public Const itmREASON_NM As String = "REASON_NM{0}"

	Public Const itmOTHER_DEPT_CD As String = "OTHER_DEPT_CD"
	Public Const itmOTHER_DEPT_VAL As String = "OTHER_DEPT_NM{0}"
	Public Const itmOTHER_DEPT_NM As String = "OTHER_DEPT_NM"

	Public Const itmMED_COST_CD As String = "MED_COST_CD"
	Public Const itmMED_COST_NM As String = "MED_COST_NM"
	Public Const itmMED_COST As String = "MED_COST{0}"

	Public Const itmDISEASE_DIV_RNM As String = "DISEASE_DIV_RNM"
	Public Const itmICD10_CD As String = "ICD10_CD"
	Public Const itmICD9_CD As String = "ICD9_CD"
	Public Const itmDISEASE As String = "DISEASE"
	Public Const itmDISEASE_OUTCOME As String = "DISEASE_OUTCOME_RNM"
	Public Const itmHSP_CHANCE_DISEASE_FLG As String = "HSP_CHANCE_DISEASE_FLG"
	Public Const itmDISEASE_MED_RES_FLG1 As String = "DISEASE_MED_RES_FLG1"
	Public Const itmDISEASE_MED_RES_FLG2 As String = "DISEASE_MED_RES_FLG2"
	Public Const itmHSP_DISEASE_FLG As String = "HSP_DISEASE_FLG"
	Public Const itmAFTER_HSP_DISEASE_FLG As String = "AFTER_HSP_DISEASE_FLG"
	Public Const itmDEATH_DISEASE_FLG As String = "DEATH_DISEASE_FLG"
	Public Const itmDIRECT_DEATH_DISEASE_FLG As String = "DIRECT_DEATH_DISEASE_FLG"
	Public Const itmPLURAL_GRP_CD As String = "PLURAL_GRP_CD"
	Public Const itmONSET_DT As String = "ONSET_DT"
	Public Const itmDIAGNOSIS_DT As String = "DIAGNOSIS_DT"
	Public Const itmCAUSE_GRP_CD As String = "CAUSE_GRP_CD"
	Public Const itmCAUSE_GRP_NM As String = "CAUSE_GRP_NM"
	Public Const itmDEATH_CAUSE_FLG As String = "DEATH_CAUSE_FLG"
	Public Const itmCAUSE_4DIGS_CD As String = "CAUSE_4DIGS_CD"
	Public Const itmCAUSE_4GRP_NM As String = "CAUSE_4GRP_NM"
	Public Const itmREMARKS1 As String = "REMARKS1"
	Public Const itmREMARKS2 As String = "REMARKS2"
	Public Const itmICDO_FORM_CD As String = "ICDO_FORM_CD"
	Public Const itmICDO_FORM_NM As String = "ICDO_FORM_NM"
	Public Const itmSPECIMEN_NO As String = "SPECIMEN_NO"
	Public Const itmICDO_FORM_6DIGS_CD As String = "ICDO_FORM_6DIGS_CD"
	Public Const itmFORM6_NM As String = "FORM6_NM"
	Public Const itmREG_STATUS_NM As String = "REG_STATUS_NM"
	Public Const itmCNR_REG_EXTRACT_DT As String = "CNR_REG_EXTRACT_DT"
	Public Const itmREG_FINISHED_DT As String = "REG_FINISHED_DT"

	Public Const itmROW_NO As String = "ROW_NO"
	Public Const itmROW_NO_OPE As String = "ROW_NO_OPE"
	Public Const itmOPE_DIV_RNM As String = "OPE_DIV_RNM"
	Public Const itmICD9CM_CD As String = "ICD9CM_CD"
	Public Const itmOPE_NM As String = "OPE_NM"
	Public Const itmSCORE_CD As String = "SCORE_CD"
	Public Const itmOPE_DT As String = "OPE_DT"
	Public Const itmOPE_TIME As String = "OPE_TIME"
	Public Const itmEND_TIME As String = "END_TIME"
	Public Const itmOPE_REQUIRED_TIME As String = "OPE_REQUIRED_TIME"
	Public Const itmOPE_DAY_AGE As String = "OPE_DAY_AGE"
	Public Const itmOPE_AGE As String = "OPE_AGE"
	Public Const itmOPE_MONTH_AGE As String = "OPE_MONTH_AGE"
	Public Const itmPLAN_EMERGENCY_NM As String = "PLAN_EMERGENCY_NM"
	Public Const itmOPE_COUNT As String = "OPE_COUNT"
	Public Const itmOPE_PART As String = "OPE_PART"
	Public Const itmASA_PS_GRP_RNM As String = "ASA_PS_GRP_RNM"
	Public Const itmANESTHESIA_RNM1 As String = "ANESTHESIA_RNM1"
	Public Const itmANESTHESIA_RNM2 As String = "ANESTHESIA_RNM2"
	Public Const itmANESTHESIA_TIME As String = "ANESTHESIA_TIME"
	Public Const itmBLEEDING_VOLUME As String = "BLEEDING_VOLUME"
	Public Const itmBLOOD_TRAN_VOLUME As String = "BLOOD_TRAN_VOLUME"
	Public Const itmPRE_OPE_DAYS As String = "PRE_OPE_DAYS"
	Public Const itmAFTER_OPE_DAYS As String = "AFTER_OPE_DAYS"
	Public Const itmAFTER_OPE_CMPC_NM As String = "AFTER_OPE_CMPC_CHK_NM"
	Public Const itmOPE_ASST_DIV_RNM1 As String = "OPE_ASST_DIV_RNM1"
	Public Const itmOPE_ASST_DIV_RNM2 As String = "OPE_ASST_DIV_RNM2"
	Public Const itmSPT_DISEASE_ICD10_CD As String = "SPT_DISEASE_ICD10_CD"
	Public Const itmSPT_DISEASE_NM As String = "SPT_DISEASE_NM"
	Public Const itmOPE_DOCTOR_DIV_RNM As String = "OPE_DOCTOR_DIV_RNM"
	Public Const itmTIME_OUT_FLG As String = "TIME_OUT_FLG"

	Public Const itmCARE_DIV_RNM As String = "CARE_DIV_RNM"
	Public Const itmCARE_ASST_DIV_RNM As String = "CARE_ASST_DIV_RNM"
	Public Const itmCARE_NM As String = "CARE_NM"
	Public Const itmCARE_DT As String = "CARE_DT"

	Public Const itmTEST_DIV_RNM As String = "TEST_DIV_RNM"
	Public Const itmTEST_NM As String = "TEST_NM"
	Public Const itmTEST_DT As String = "TEST_DT"
	Public Const itmTEST_ASST_DIV_RNM As String = "TEST_ASST_DIV_RNM"

	Public Const itmCB_DT As String = "CB_DT"
	Public Const itmCB_AGE As String = "CB_AGE"
	Public Const itmCB_MONTH_AGE As String = "CB_MONTH_AGE"
	Public Const itmGE_WEEK_COUNT As String = "GESTATIONAL_WEEK_COUNT"
	Public Const itmGE_DAY_COUNT As String = "GESTATIONAL_DAY_COUNT"
	Public Const itmCHD_COUNT As String = "CHD_COUNT"
	Public Const itmPREMATURE_BIRTH As String = "PREMATURE_BIRTH_NM"
	Public Const itmMISCARRIAGE As String = "MISCARRIAGE_NM"
	Public Const itmCHK_NM As String = "CHK_NM"
	Public Const itmCB_DIV_ITM_NM As String = "CB_DIV_ITM_NM{0}"
	Public Const itmCNT_NM As String = "CNT_NM{0}"
	Public Const itmCB_CHK_ITM_NM As String = "CB_CHK_ITM_NM{0}"
	Public Const itmCB_CHK As String = "CB_CHK{0}_NM"

	Public Const itmCHD_CB_DT As String = "CHD_CB_DT"
	Public Const itmCHD_CB_TIME As String = "CHD_CB_TIME"
	Public Const itmGENDER_NM As String = "GENDER_NM"
	Public Const itmNEWBORN_STATURE As String = "NEWBORN_STATURE"
	Public Const itmNEWBORN_WEIGHT As String = "NEWBORN_WEIGHT"
	Public Const itmAPGARSCORE1 As String = "APGARSCORE1"
	Public Const itmAPGARSCORE5 As String = "APGARSCORE5"
	Public Const itmIMMATURE_NM As String = "IMMATURE_NM"
	Public Const itmDEFORMITY_NM As String = "DEFORMITY_NM"
	Public Const itmSTILLBIRTH_NM As String = "STILLBIRTH_NM"
	Public Const itmNEWBORN_NO As String = "NEWBORN_NO"
	Public Const itmCHD_PATIENT_NO As String = "CHD_PATIENT_NO"
	Public Const itmCHD_CB_CHK_NM As String = "CHD_CB_CHK{0}_NM"
	Public Const itmCHD_REMARKS As String = "CHD_REMARKS"
	Public Const itmSTILLBIRTH As String = "STILLBIRTH"
	Public Const itmSB_DT As String = "SB_DT"
	Public Const itmSB_TIME As String = "SB_TIME"
	Public Const itmSB_NO As String = "SB_NO"
	Public Const itmWEEK_COUNT As String = "WEEK_COUNT"
	Public Const itmSB_LCT_RNM As String = "SB_LCT_RNM"
	Public Const itmINDUCED_ABO_CHK As String = "INDUCED_ABORTION_CHK_NM"
	Public Const itmMOTHER_CMPC_CHK As String = "MOTHER_CMPC_CHK_NM"

	Public Const itmIN_METHOD_RNM As String = "IN_METHOD_RNM"
	Public Const itmENTERING_DT As String = "ENTERING_DT"
	Public Const itmENTERING_TIME As String = "ENTERING_TIME"
	Public Const itmENTERING_AGE As String = "ENTERING_AGE"
	Public Const itmENTERING_MONTH_AGE As String = "ENTERING_MONTH_AGE"
	Public Const itmENTERING_DAY_AGE As String = "ENTERING_DAY_AGE"
	Public Const itmSEVERE_DIV_NM As String = "SEVERE_DIV_NM"
	Public Const itmOUT_METHOD_RNM As String = "OUT_METHOD_RNM"
	Public Const itmLEAVING_DT As String = "LEAVING_DT"
	Public Const itmLEAVING_TIME As String = "LEAVING_TIME"
	Public Const itmLEAVING_AGE As String = "LEAVING_AGE"
	Public Const itmLEAVING_MONTH_AGE As String = "LEAVING_MONTH_AGE"
	Public Const itmLEAVING_DAY_AGE As String = "LEAVING_DAY_AGE"
	Public Const itmIN_ROOM_DAYS As String = "IN_ROOM_DAYS"
	Public Const itmMED_REQUIRED_TIME As String = "MED_REQUIRED_TIME"

	Public Const itmASST1_ITM_NM As String = "ASST_ITM_NM{0}"
	Public Const itmASST1_ITEM_CD As String = "ITEM_CD"
	Public Const itmASST1_ITEM As String = "ITEM_NM"
	Public Const itmASST1_GRP_CD As String = "GRP_CD"

	Public Const itmASST2ITEM_CD As String = "ITEM_CD"
	Public Const itmASST2ITEM_NM As String = "ITEM_NM"
	Public Const itmASST2ITEM_TYPE As String = "ITEM_TYPE"
	Public Const itmASST2SPT_FIELD_NM As String = "SPT_FIELD_NM"
	Public Const itmASST2CNT_NM As String = "CNT_NM"

	Public Const itmINSPECT_CD As String = "INSPECT_CD"
	Public Const itmINSPECT_NM As String = "INSPECT{0}_{1}_NM"
	Public Const itmINSPECT_DOC As String = "DOCTOR{0}_CD"
	Public Const itmGRP_NM As String = "GRP_NM"
	Public Const itmITEM_NM As String = "ITEM_NM"
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"
	Public Const itmCHKCOUNT As String = "CHKCOUNT"
	Public Const itmINSPECT1_DT As String = "INSPECT1_DT"
	Public Const itmINSPECT2_DT As String = "INSPECT2_DT"
	Public Const itmINSPECT3_DT As String = "INSPECT3_DT"
	Public Const itmFINISHING_FLG As String = "FINISHING_FLG_NM"
	Public Const itmINSPECT_FINISHING_DT As String = "INSPECT_FINISHING_DT"

#End Region

#Region "パラメータ"
	Public Const prmINFO_ITEM_NO As String = "@INFO_ITEM_NO"		  '情報項目番号
	Public Const prmDET_SERIAL_NO As String = "@DETAILS_SERIAL_NO"	  '明細連番
	Public Const prmDETAILS As String = "@DETAILS"					  '明細
	Public Const prmMAIN_DPM_FLG As String = "@MAIN_DPM_FLG"		  '主科フラグ
	Public Const prmFLG_CD_OFF As String = "@FLG_CD_OFF"			  'フラグ コードOFF
	Public Const prmFLG_NM_OFF As String = "@FLG_NM_OFF"			  'フラグ コードOFF
	Public Const prmITEM_TYPE As String = "@ITEM_TYPE"				  '項目タイプ（補足項目２）
	Public Const prmITEM_CD As String = "@ITEM_CD"					  '項目コード（補足項目２）
	Public Const prmCNT_CD As String = "@CNT_CD"					  '内容コード（補足項目２）
#End Region

	''' <summary>フラグ出力</summary>
	Public Const sqlFLG_NM_E As String = _
	  " WHEN " & sqlMRPCOMMON.prmFLG_CD_ON & " THEN " & sqlMRPCOMMON.prmFLG_NM_ON _
	& " WHEN " & prmFLG_CD_OFF & " THEN " & prmFLG_NM_OFF _
	& " END AS "

	''' <summary>DPC科歴情報見出を削除</summary>
	Public Const sqlDel_DPC_Head As String = _
	"DELETE FROM MTW_DPC_CH_PRINT_HEADING WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM
	''' <summary>DPC科歴情報明細を削除</summary>
	Public Const sqlDel_DPC_Detail As String = _
	"DELETE FROM MTW_DPC_CH_PRINT_DETAILS WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>DPC科歴情報見出テーブル追加</summary>
	Public Const sqlIns_DPC_Head As String = _
	"INSERT INTO MTW_DPC_CH_PRINT_HEADING (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>DPC科歴情報見出テーブル更新</summary>
	Public Const sqlUpd_DPC_Head As String = _
	"UPDATE h SET" _
	& " BYOREKI_NO					= c.BYOREKI_NO" _
	& ",PATIENT_NM					= b.PATIENT_NM" _
	& ",PATIENT_KNM					= b.PATIENT_KNM" _
	& ",GENDER_CD					= b.GENDER_CD" _
	& ",BIRTH_DT					= b.BIRTH_DT" _
	& ",DEPT_CD						= c.DEPT_CD" _
	& ",DOCTOR_CD					= c.DOCTOR_CD" _
	& ",HSP_CNL_CD				    = c.START_CNL_CD" _
	& ",HSP_DT					    = c.START_DT" _
	& ",HSP_AGE					    = c.START_AGE" _
	& ",HSP_MONTH_AGE				= c.START_MONTH_AGE" _
	& ",HSP_DAY_AGE				    = c.START_DAY_AGE" _
	& ",OUT_HSP_DT					= c.END_DT" _
	& ",OUT_HSP_AGE					= c.END_AGE" _
	& ",OUT_HSP_MONTH_AGE			= c.END_MONTH_AGE" _
	& ",OUT_HSP_DAY_AGE				= c.END_DAY_AGE" _
	& ",OUT_HSP_CNL_CD				= c.END_CNL_CD" _
	& ",OUT_HSP_OUTCOME_CD			= c.END_OUTCOME_CD" _
	& ",HSP_DAYS			        = c.HSP_DAYS" _
	& ",HSP_FLG			            = c.HSP_FLG" _
	& ",OUT_HSP_FLG			        = c.OUT_HSP_FLG" _
	& ",MAIN_DPM_FLG			    = c.MAIN_DPM_FLG" _
	& ",LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "      LEFT JOIN XTI_BASICINFO AS b" _
	& "                 ON h.PATIENT_NO         = b.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON h.PATIENT_NO         = c.PATIENT_NO" _
	& "                AND h.HSP_HISTORY_NO     = c.HSP_HISTORY_NO" _
	& "                AND h.CH_NO              = c.CH_NO" _
	& " WHERE h.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>DPC科歴情報明細テーブル追加</summary>
	Public Const sqlINS_DPC_Detail As String = _
	"INSERT INTO MTW_DPC_CH_PRINT_DETAILS (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",INFO_ITEM_NO" _
	& ",DETAILS_SERIAL_NO" _
	& ",DETAILS" _
	& ",MAIN_DPM_FLG" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & prmINFO_ITEM_NO _
	& "," & prmDET_SERIAL_NO _
	& "," & prmDETAILS _
	& "," & prmMAIN_DPM_FLG _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>基本情報明細取得</summary>
	Public Const sqlSel_Basic As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", b.GENDER_CD" _
	& ", MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ", MTM_RH.RH_NM" _
	& ", XTI_BASICINFO_RELATION.PATIENT_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "b.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	& ", MTM_NATIONALITY.NATIONALITY_RNM" _
	& ", MTM_PREFECTURE.PREFECTURE_NM" _
	& ", b.DOMICILE_ADDRESS" _
	& ", b.REMARKS" _
	& ", b.CONTACT_PATIENT_NM" _
	& ", MTM_RELATION.RELATION_NM" _
	& ", b.CONTACT_ZIP_CD" _
	& ", b.CONTACT_TELNUMBER" _
	& ", b.CONTACT_ADDRESS" _
	& ", MTM_SMOKING_CHK.SMOKING_CHK_NM" _
	& ", b.SMOKING_START_AGE" _
	& ", b.SMOKING_END_AGE" _
	& ", b.SMOKING_COUNT" _
	& ", b.SMOKING_AGE" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "b.DRINKING_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "DRINKING_CHK_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "b.PREGNANCY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "PREGNANCY_CHK_NM" _
	& ", b.PREGNANCY_COUNT" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "b.CB_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CB_CHK_NM" _
	& ", b.CB_COUNT" _
	& ", b.MENARCHE_AGE" _
	& ", b.MENOPAUSE_AGE" _
	& ", CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ", CONVERT(VARCHAR,b.LASTHSPVST_DT,111) AS LASTHSPVST_DT" _
	& ", MTM_DEPT.DEPT_NM" _
	& ", CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& " FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "  INNER JOIN XTI_BASICINFO AS b                      ON h.PATIENT_NO            = b.PATIENT_NO" _
	& "   LEFT JOIN XTI_BASICINFO AS XTI_BASICINFO_RELATION ON b.RELATION_PATIENT_NO   = XTI_BASICINFO_RELATION.PATIENT_NO" _
	& "   LEFT JOIN MTM_BLOODTYPE                           ON b.BLOODTYPE_CD          = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "   LEFT JOIN MTM_RH                                  ON b.RH_CD                 = MTM_RH.RH_CD" _
	& "   LEFT JOIN MTM_RELATION                            ON b.CONTACT_RELATION      = MTM_RELATION.RELATION_CD" _
	& "   LEFT JOIN MTM_NATIONALITY                         ON b.NATIONALITY_CD        = MTM_NATIONALITY.NATIONALITY_CD" _
	& "   LEFT JOIN MTM_PREFECTURE                          ON b.DOMICILE_ADDRESS_CD   = MTM_PREFECTURE.PREFECTURE_CD" _
	& "   LEFT JOIN MTM_SMOKING_CHK                         ON b.SMOKING_CHK           = MTM_SMOKING_CHK.SMOKING_CHK_CD" _
	& "   LEFT JOIN MTM_DEPT                                ON b.LASTDEPT_CD           = MTM_DEPT.DEPT_CD" _
	& " WHERE h.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>科歴情報明細取得</summary>
	Public Const sqlSel_CH As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", c.MAIN_DPM_FLG" _
	& ", c.ZIP_CD" _
	& ", c.TELNUMBER" _
	& ", MTM_AREA.AREA_NM" _
	& ", c.HOUSEHOLDER_NM" _
	& ", MTM_RELATION.RELATION_NM" _
	& ", c.ADDRESS_NM" _
	& ", MTM_WARD.WARD_RNM" _
	& ", MTM_HSP_AIM.HSP_AIM_RNM" _
	& ", MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ", " & sqlMRPCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG WHEN " & sqlMRPCOMMON.prmFLG_CD_ON & " THEN " & sqlMRPCOMMON.prmFLG_NM_ON & " END AS TIME_OUT_FLG_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	& ", c.INTRODUCED_NM" _
	& ", c.INTRODUCED_DOCTOR_NM" _
	& ", c.REFERENCE_NM" _
	& ", c.REFERENCE_DOCTOR_NM" _
	& ", c.STATURE" _
	& ", c.WEIGHT" _
	& ", CONVERT(VARCHAR,c.FIRST_DIAGNOSIS_DT,111) AS FIRST_DIAGNOSIS_DT" _
	& ", MTM_JOB1.JOB_NM AS JOB_NM_PAST" _
	& ", MTM_JOB2.JOB_NM AS JOB_NM_CUR" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& ", " & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& ", MTM_INSURANCE1.INSURANCE_NM AS INSURANCE_NM1" _
	& ", MTM_INSURANCE2.INSURANCE_NM AS INSURANCE_NM2" _
	& ", MTM_INSURANCE3.INSURANCE_NM AS INSURANCE_NM3" _
	& ", " & sqlMRPCOMMON.sqlFLG_NM_S & "c.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	& ", CONVERT(VARCHAR,c.LAST_OUT_HSP_DT,111) AS LAST_OUT_HSP_DT" _
	& ", MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	& ", " & sqlMRPCOMMON.sqlFLG_NM_S & "c.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	& ", CONVERT(VARCHAR,c.SAME_DISEASE_LAST_HSP_DT,111) AS SAME_DISEASE_LAST_HSP_DT" _
	& ", MTM_INFECTION_FLG1.INFECTION_FLG_NM AS INFECTION_FLG_NM1" _
	& ", MTM_INFECTION_FLG2.INFECTION_FLG_NM AS INFECTION_FLG_NM2" _
	& ", MTM_INFECTION_FLG3.INFECTION_FLG_NM AS INFECTION_FLG_NM3" _
	& ", MTM_INFECTION_FLG4.INFECTION_FLG_NM AS INFECTION_FLG_NM4" _
	& ", MTM_INFECTION_FLG5.INFECTION_FLG_NM AS INFECTION_FLG_NM5" _
	& ", MTM_INFECTION_FLG6.INFECTION_FLG_NM AS INFECTION_FLG_NM6" _
	& ", c.OTHER_INFECTION" _
	& ", MTM_ALLERGY1.ALLERGY_NM AS ALLERGY_NM1" _
	& ", MTM_ALLERGY2.ALLERGY_NM AS ALLERGY_NM2" _
	& ", MTM_ALLERGY3.ALLERGY_NM AS ALLERGY_NM3" _
	& ", MTM_ALLERGY4.ALLERGY_NM AS ALLERGY_NM4" _
	& ", MTM_ALLERGY5.ALLERGY_NM AS ALLERGY_NM5" _
	& ", MTM_ALLERGY6.ALLERGY_NM AS ALLERGY_NM6" _
	& ", c.OTHER_ALLERGY" _
	& ", c.TOTAL_MED_COST" _
	& ", c.DPC_CD" _
	& ", c.REMARKS" _
	& ", c.COMMENT" _
	& ", MTM_REG_STATUS.REG_STATUS_NM" _
	& ", CONVERT(VARCHAR,c.REG_FINISHED_DT,111) AS REG_FINISHED_DT" _
	& ", XTM_STAFF.STAFF_NM" _
	& " FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "      INNER JOIN MTI_CH AS c" _
	& "              ON h.PATIENT_NO = c.PATIENT_NO" _
	& "             AND h.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "             AND h.CH_NO = c.CH_NO" _
	& "       LEFT JOIN MTM_AREA                                ON c.AREA_CD                   = MTM_AREA.AREA_CD" _
	& "       LEFT JOIN MTM_RELATION                            ON c.RELATION_CD               = MTM_RELATION.RELATION_CD" _
	& "       LEFT JOIN MTM_WARD                                ON c.WARD_CD                   = MTM_WARD.WARD_CD" _
	& "       LEFT JOIN MTM_HSP_AIM                             ON c.HSP_AIM_CD                = MTM_HSP_AIM.HSP_AIM_CD" _
	& "       LEFT JOIN MTM_PLAN_EMERGENCY                      ON c.PLAN_EMERGENCY_CD         = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "       LEFT JOIN MTM_JOB AS MTM_JOB1                     ON c.PAST_JOB_CD               = MTM_JOB1.JOB_CD" _
	& "       LEFT JOIN MTM_JOB AS MTM_JOB2                     ON c.CURRENT_JOB_CD            = MTM_JOB2.JOB_CD" _
	& "       LEFT JOIN MTM_INSURANCE AS MTM_INSURANCE1         ON c.INSURANCE_CD1             = MTM_INSURANCE1.INSURANCE_CD" _
	& "       LEFT JOIN MTM_INSURANCE AS MTM_INSURANCE2         ON c.INSURANCE_CD2             = MTM_INSURANCE2.INSURANCE_CD" _
	& "       LEFT JOIN MTM_INSURANCE AS MTM_INSURANCE3         ON c.INSURANCE_CD3             = MTM_INSURANCE3.INSURANCE_CD" _
	& "       LEFT JOIN MTM_SELF_OTHER_HSP_DIV                  ON c.LAST_SELF_OTHER_HSP_DIV   = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	& "       LEFT JOIN MTM_ALLERGY AS MTM_ALLERGY1             ON c.ALLERGY1                  = MTM_ALLERGY1.ALLERGY_CD" _
	& "       LEFT JOIN MTM_ALLERGY AS MTM_ALLERGY2             ON c.ALLERGY2                  = MTM_ALLERGY2.ALLERGY_CD" _
	& "       LEFT JOIN MTM_ALLERGY AS MTM_ALLERGY3             ON c.ALLERGY3                  = MTM_ALLERGY3.ALLERGY_CD" _
	& "       LEFT JOIN MTM_ALLERGY AS MTM_ALLERGY4             ON c.ALLERGY4                  = MTM_ALLERGY4.ALLERGY_CD" _
	& "       LEFT JOIN MTM_ALLERGY AS MTM_ALLERGY5             ON c.ALLERGY5                  = MTM_ALLERGY5.ALLERGY_CD" _
	& "       LEFT JOIN MTM_ALLERGY AS MTM_ALLERGY6             ON c.ALLERGY6                  = MTM_ALLERGY6.ALLERGY_CD" _
	& "       LEFT JOIN MTM_INFECTION_FLG AS MTM_INFECTION_FLG1 ON c.INFECTION1                = MTM_INFECTION_FLG1.INFECTION_FLG_CD" _
	& "       LEFT JOIN MTM_INFECTION_FLG AS MTM_INFECTION_FLG2 ON c.INFECTION2                = MTM_INFECTION_FLG2.INFECTION_FLG_CD" _
	& "       LEFT JOIN MTM_INFECTION_FLG AS MTM_INFECTION_FLG3 ON c.INFECTION3                = MTM_INFECTION_FLG3.INFECTION_FLG_CD" _
	& "       LEFT JOIN MTM_INFECTION_FLG AS MTM_INFECTION_FLG4 ON c.INFECTION4                = MTM_INFECTION_FLG4.INFECTION_FLG_CD" _
	& "       LEFT JOIN MTM_INFECTION_FLG AS MTM_INFECTION_FLG5 ON c.INFECTION5                = MTM_INFECTION_FLG5.INFECTION_FLG_CD" _
	& "       LEFT JOIN MTM_INFECTION_FLG AS MTM_INFECTION_FLG6 ON c.INFECTION6                = MTM_INFECTION_FLG6.INFECTION_FLG_CD" _
	& "       LEFT JOIN MTM_REG_STATUS                          ON c.REG_STATUS_CD             = MTM_REG_STATUS.REG_STATUS_CD" _
	& "       LEFT JOIN XTM_STAFF                               ON c.REG_PERSON_CD             = XTM_STAFF.STAFF_CD" _
	& " WHERE h.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>感染症マスタ取得</summary>
	Public Const sqlSel_InfectionMst As String = _
	  "SELECT" _
	& " INFECTION_CD" _
	& ",INFECTION_NM" _
	& "  FROM MTM_INFECTION" _
	& " WHERE INFECTION_NM " & clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY INFECTION_CD"

	''' <summary>死亡情報明細取得</summary>
	Public Const sqlSel_DEATH As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", c.MAIN_DPM_FLG" _
	& ", MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ", d.DEATH_LCT" _
	& ", CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	& ", d.DEATH_TIME" _
	& ", MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ", MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& ", d.AUTOPSY_NO" _
	& ", d.DEATH_DISEASE1_CD" _
	& ", d.DEATH_DISEASE1" _
	& ", d.DEATH_DISEASE2_CD" _
	& ", d.DEATH_DISEASE2" _
	& ", d.DEATH_REMARKS" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_CH AS c                            ON h.PATIENT_NO                = c.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = c.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = c.CH_NO" _
	& "        LEFT JOIN MTI_DEATH AS d                         ON c.PATIENT_NO                = d.PATIENT_NO" _
	& "        LEFT JOIN MTM_OUT_HSP_OUTCOME                    ON c.END_OUTCOME_CD            = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "        LEFT JOIN MTM_DEATH_DIV                          ON d.DEATH_DIV                 = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "        LEFT JOIN MTM_AFTER_OPE_DEATH_DIV                ON d.AFTER_OPE_DEATH_DIV       = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "        LEFT JOIN MTM_DEATH_LCT                          ON d.DEATH_LCT_CD              = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& "   AND MTM_OUT_HSP_OUTCOME.FIXED_CD  =" & sqlMRPCOMMON.prmFIXED_CD

	''' <summary>病棟情報明細取得</summary>
	Public Const sqlSel_WARD As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "w.MAIN_WARD_FLG" & sqlFLG_NM_E & "MAIN_WARD_FLG_NM" _
	& ", MTM_WARD.WARD_RNM" _
	& ", CONVERT(VARCHAR,w.WARD_START_DT,111) AS WARD_START_DT" _
	& ", CONVERT(VARCHAR,w.WARD_END_DT,111) AS WARD_END_DT" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_WARD AS w                          ON h.PATIENT_NO                = w.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = w.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = w.CH_NO" _
	& "        LEFT JOIN MTM_WARD                               ON w.WARD_CD                   = MTM_WARD.WARD_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& "   AND EXISTS ( SELECT COUNT(*)" _
	& "                  FROM MTI_WARD AS w2" _
	& "                 WHERE w2.PATIENT_NO		= h.PATIENT_NO" _
	& "					  AND w2.HSP_HISTORY_NO	= h.HSP_HISTORY_NO" _
	& "                   AND w2.CH_NO			= h.CH_NO" _
	& "				   HAVING COUNT(*) > 1 )" _
	& " ORDER BY w.PATIENT_NO,w.HSP_HISTORY_NO,w.CH_NO,w.WARD_SERIAL_NO"

	''' <summary>医師情報明細取得</summary>
	Public Const sqlSel_DOCTOR As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "d.MAIN_DOCTOR_FLG" & sqlFLG_NM_E & "MAIN_DOCTOR_FLG_NM" _
	& ", MTM_DOCTOR_DIV.DOCTOR_DIV_NM" _
	& ", XTM_STAFF.STAFF_NM" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_DOCTOR AS d                        ON h.PATIENT_NO                = d.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = d.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = d.CH_NO" _
	& "        LEFT JOIN MTM_DOCTOR_DIV                         ON d.DOCTOR_DIV                = MTM_DOCTOR_DIV.DOCTOR_DIV_CD" _
	& "        LEFT JOIN XTM_STAFF                              ON d.DOCTOR_CD                 = XTM_STAFF.STAFF_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& "   AND EXISTS ( SELECT COUNT(*)" _
	& "                  FROM MTI_DOCTOR AS d2" _
	& "                 WHERE d2.PATIENT_NO		= h.PATIENT_NO" _
	& "					  AND d2.HSP_HISTORY_NO	= h.HSP_HISTORY_NO" _
	& "                   AND d2.CH_NO			= h.CH_NO" _
	& "				   HAVING COUNT(*) > 1 )" _
	& " ORDER BY d.PATIENT_NO,d.HSP_HISTORY_NO,d.CH_NO,d.DOCTOR_SERIAL_NO"

	''' <summary>パス情報明細取得</summary>
	Public Const sqlSel_PATH As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", p.PATH_CD" _
	& ", MTM_PATH.PATH_NM" _
	& ", CONVERT(VARCHAR,p.START_DT,111) AS START_DT" _
	& ", CONVERT(VARCHAR,p.END_DT,111) AS END_DT" _
	& ", XTM_STAFF.STAFF_NM" _
	& ", CONVERT(VARCHAR,p.VARIANCE_DAY,111) AS VARIANCE_DAY" _
	& ", MTM_VARIANCE_CHK.VARIANCE_CHK_NM" _
	& ", MTM_VARIANCE_TYPE.VARIANCE_TYPE_NM" _
	& ", MTM_VARIANCE_REASON1.REASON_NM AS REASON_NM1" _
	& ", MTM_VARIANCE_REASON2.REASON_NM AS REASON_NM2" _
	& ", MTM_VARIANCE_REASON3.REASON_NM AS REASON_NM3" _
	& ", MTM_VARIANCE_REASON4.REASON_NM AS REASON_NM4" _
	& ", p.REMARKS" _
	& " FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "      INNER JOIN MTI_PATH AS p                                  ON h.PATIENT_NO                = p.PATIENT_NO " _
	& "                                                               AND h.HSP_HISTORY_NO            = p.HSP_HISTORY_NO" _
	& "                                                               AND h.CH_NO                     = p.CH_NO" _
	& "       LEFT JOIN MTM_PATH                                       ON p.PATH_CD                   = MTM_PATH.PATH_CD" _
	& "       LEFT JOIN XTM_STAFF                                      ON p.DOCTOR_CD                 = XTM_STAFF.STAFF_CD" _
	& "       LEFT JOIN MTM_VARIANCE_CHK                               ON p.CHK_CD                    = MTM_VARIANCE_CHK.VARIANCE_CHK_CD" _
	& "       LEFT JOIN MTM_VARIANCE_TYPE                              ON p.TYPE_CD                   = MTM_VARIANCE_TYPE.VARIANCE_TYPE_CD" _
	& "       LEFT JOIN MTM_VARIANCE_REASON AS MTM_VARIANCE_REASON1    ON p.REASON1_CD                = MTM_VARIANCE_REASON1.REASON_CD" _
	& "       LEFT JOIN MTM_VARIANCE_REASON AS MTM_VARIANCE_REASON2    ON p.REASON2_CD                = MTM_VARIANCE_REASON2.REASON_CD" _
	& "       LEFT JOIN MTM_VARIANCE_REASON AS MTM_VARIANCE_REASON3    ON p.REASON3_CD                = MTM_VARIANCE_REASON3.REASON_CD" _
	& "       LEFT JOIN MTM_VARIANCE_REASON AS MTM_VARIANCE_REASON4    ON p.REASON4_CD                = MTM_VARIANCE_REASON4.REASON_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY p.PATIENT_NO,p.HSP_HISTORY_NO,p.CH_NO,p.PATH_SERIAL_NO"

	''' <summary>対診科マスタ取得</summary>
	Public Const sqlSel_DeptMst As String = _
	" SELECT" _
	& "  MTM_OTHER_DEPT.OTHER_DEPT_CD" _
	& ", MTM_OTHER_DEPT.OTHER_DEPT_NM" _
	& " FROM MTM_OTHER_DEPT" _
	& " ORDER BY MTM_OTHER_DEPT.OTHER_DEPT_CD"

	''' <summary>対診科情報明細取得</summary>
	Public Const sqlSel_OTHER_DEPT As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& " {0} " _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_OTHER_DEPT AS d                    ON h.PATIENT_NO                = d.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = d.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = d.CH_NO" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>対診科情報項目取得</summary>
	Public Const sqlFld_OTHER_DEPT As String = _
	  "," & sqlMRPCOMMON.sqlFLG_NM_S & "d.OTHER_DEPT{0:00}" & sqlFLG_NM_E & "OTHER_DEPT_NM{0:00}"

	''' <summary>医療費項目マスタ取得</summary>
	Public Const sqlSel_MedCostMst As String = _
	" SELECT" _
	& " MED_COST_CD" _
	& ",MED_COST_NM" _
	& "  FROM MTM_MED_COST_ITM" _
	& " WHERE MED_COST_NM" & clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY MED_COST_CD"

	''' <summary>医療費情報明細取得</summary>
	Public Const sqlSel_MED_COST As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& " {0} " _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_MED_COST AS m                      ON h.PATIENT_NO                = m.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = m.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = m.CH_NO" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>医療費情報項目取得</summary>
	Public Const sqlFld_MED_COST As String = ", m.MED_COST{0:00}"

	''' <summary>病名情報明細取得</summary>
	Public Const sqlSel_DISEASE As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", MTM_DISEASE_DIV.DISEASE_DIV_RNM" _
	& ", d.ICD10_CD" _
	& ", d.ICD9_CD" _
	& ", d.DISEASE" _
	& ", MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_RNM" _
	& ", d.HSP_CHANCE_DISEASE_FLG" _
	& ", d.DISEASE_MED_RES_FLG1" _
	& ", d.DISEASE_MED_RES_FLG2" _
	& ", d.HSP_DISEASE_FLG" _
	& ", d.AFTER_HSP_DISEASE_FLG" _
	& ", d.DEATH_DISEASE_FLG" _
	& ", d.DIRECT_DEATH_DISEASE_FLG" _
	& ", d.PLURAL_GRP_CD" _
	& ", CONVERT(VARCHAR,d.ONSET_DT,111) AS ONSET_DT" _
	& ", CONVERT(VARCHAR,d.DIAGNOSIS_DT,111) AS DIAGNOSIS_DT" _
	& ", CONVERT(VARCHAR,d.END_DT,111) AS END_DT" _
	& ", d.CAUSE_GRP_CD" _
	& ", d.CAUSE_GRP_NM" _
	& ", d.DEATH_CAUSE_FLG" _
	& ", d.CAUSE_4DIGS_CD" _
	& ", d.CAUSE_4GRP_NM" _
	& ", d.REMARKS1" _
	& ", d.REMARKS2" _
	& ", d.ICDO_FORM_CD" _
	& ", d.ICDO_FORM_NM" _
	& ", d.SPECIMEN_NO" _
	& ", d.ICDO_FORM_6DIGS_CD" _
	& ", MTM_DISEASE_FORM_6DIG_CD.FORM6_NM" _
	& ", MTM_CNR_REG_STATUS.REG_STATUS_NM" _
	& ", CONVERT(VARCHAR,d.CNR_REG_EXTRACT_DT,111) AS CNR_REG_EXTRACT_DT" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_DISEASE AS d                       ON h.PATIENT_NO                = d.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = d.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = d.CH_NO" _
	& "        LEFT JOIN MTM_DISEASE_DIV                        ON d.DISEASE_DIV               = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
	& "        LEFT JOIN MTM_DISEASE_OUTCOME                    ON d.DISEASE_OUTCOME_CD        = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD" _
	& "        LEFT JOIN MTM_DISEASE_FORM_6DIG_CD               ON d.ICDO_FORM_6DIGS_CD        = MTM_DISEASE_FORM_6DIG_CD.FORM6_CD" _
	& "        LEFT JOIN MTM_CNR_REG_STATUS                     ON d.CNR_REG_STATUS_CD         = MTM_CNR_REG_STATUS.REG_STATUS_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY d.PATIENT_NO,d.HSP_HISTORY_NO,d.CH_NO,d.DISEASE_SERIAL_NO"

	''' <summary>手術情報明細取得</summary>
	Public Const sqlSel_OPE As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", i.OPE_SERIAL_NO AS SERIAL_NO" _
	& ", MTM_OPE_DIV.OPE_DIV_RNM" _
	& ", i.ICD9CM_CD" _
	& ", i.OPE_NM" _
	& ", i.SCORE_CD" _
	& ", CONVERT(VARCHAR,i.OPE_DT,111) AS OPE_DT" _
	& ", i.OPE_TIME" _
	& ", CONVERT(VARCHAR,i.END_DT,111) AS END_DT" _
	& ", i.END_TIME" _
	& ", i.OPE_REQUIRED_TIME" _
	& ", i.OPE_DAY_AGE" _
	& ", i.OPE_AGE" _
	& ", i.OPE_MONTH_AGE" _
	& ", MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& ", i.TIME_OUT_FLG" _
	& ", MTM_OPE_CNT.OPE_COUNT" _
	& ", MTM_OPE_PART_CNT.OPE_PART" _
	& ", MTM_ASA_PS_GRP.ASA_PS_GRP_RNM" _
	& ", MTM_ANESTHESIA1.ANESTHESIA_RNM AS ANESTHESIA_RNM1" _
	& ", MTM_ANESTHESIA2.ANESTHESIA_RNM AS ANESTHESIA_RNM2" _
	& ", i.ANESTHESIA_TIME" _
	& ", i.BLEEDING_VOLUME" _
	& ", i.BLOOD_TRAN_VOLUME" _
	& ", i.PRE_OPE_DAYS" _
	& ", i.AFTER_OPE_DAYS" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.AFTER_OPE_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AFTER_OPE_CMPC_CHK_NM" _
	& ", MTM_OPE_ASST_DIV.OPE_ASST_DIV_RNM AS OPE_ASST_DIV_RNM1" _
	& ", MTM_OPE_ASST_DIV2.OPE_ASST_DIV_RNM AS OPE_ASST_DIV_RNM2" _
	& ", i.REMARKS1" _
	& ", i.REMARKS2" _
	& ", i.SPT_DISEASE_ICD10_CD" _
	& ", i.SPT_DISEASE_NM" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_OPE AS i                           ON h.PATIENT_NO                      = i.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                           = i.CH_NO" _
	& "        LEFT JOIN MTM_OPE_DIV                            ON i.OPE_DIV                         = MTM_OPE_DIV.OPE_DIV_CD" _
	& "        LEFT JOIN MTM_OPE_PLAN_EMERGENCY                 ON i.PLAN_EMERGENCY_CD               = MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "        LEFT JOIN MTM_OPE_CNT                            ON i.OPE_COUNT_CD                    = MTM_OPE_CNT.OPE_COUNT_CD" _
	& "        LEFT JOIN MTM_OPE_PART_CNT                       ON i.OPE_PART_CD                     = MTM_OPE_PART_CNT.OPE_PART_CD" _
	& "        LEFT JOIN MTM_ASA_PS_GRP							ON i.ASA_PS_GRP_CD					 = MTM_ASA_PS_GRP.ASA_PS_GRP_CD" _
	& "        LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA1      ON i.ANESTHESIA_DIV1                 = MTM_ANESTHESIA1.ANESTHESIA_CD" _
	& "        LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA2      ON i.ANESTHESIA_DIV2                 = MTM_ANESTHESIA2.ANESTHESIA_CD" _
	& "        LEFT JOIN MTM_OPE_ASST_DIV                       ON MTM_OPE_ASST_DIV.OPE_ASST_DIV_CD  = i.ASST_DIV1" _
	& "        LEFT JOIN MTM_OPE_ASST_DIV2                      ON MTM_OPE_ASST_DIV2.OPE_ASST_DIV_CD = i.ASST_DIV2" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY i.PATIENT_NO,i.HSP_HISTORY_NO,i.CH_NO,i.OPE_SERIAL_NO"

	''' <summary>手術情報明細取得</summary>
	Public Const sqlSel_OPE_DOCTOR As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", i.OPE_SERIAL_NO AS SERIAL_NO" _
	& ", MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_RNM" _
	& ", XTM_STAFF.STAFF_NM" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_OPE_DOCTOR AS i                    ON h.PATIENT_NO                      = i.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO                  = i.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                           = i.CH_NO" _
	& "        LEFT JOIN MTM_OPE_DOCTOR_DIV                     ON i.OPE_DOCTOR_DIV                  = MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_CD" _
	& "        LEFT JOIN XTM_STAFF                              ON i.DOCTOR_CD                       = XTM_STAFF.STAFF_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY i.PATIENT_NO,i.HSP_HISTORY_NO,i.CH_NO,i.OPE_SERIAL_NO,i.OPE_DOCTOR_SERIAL_NO"

	''' <summary>治療処置情報明細取得</summary>
	Public Const sqlSel_CARE As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", MTM_CARE_DIV.CARE_DIV_RNM " _
	& ", MTM_CARE_ASST_DIV.CARE_ASST_DIV_RNM " _
	& ", m.ICD9CM_CD" _
	& ", m.CARE_NM" _
	& ", CONVERT(VARCHAR,m.CARE_DT,111) AS CARE_DT" _
	& ", m.REMARKS1" _
	& ", m.REMARKS2" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_CARE AS m                          ON h.PATIENT_NO                      = m.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO                  = m.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                           = m.CH_NO" _
	& "        LEFT JOIN MTM_CARE_DIV                           ON m.CARE_DIV                        = MTM_CARE_DIV.CARE_DIV_CD" _
	& "        LEFT JOIN MTM_CARE_ASST_DIV                      ON m.ASST_DIV                        = MTM_CARE_ASST_DIV.CARE_ASST_DIV_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY m.PATIENT_NO,m.HSP_HISTORY_NO,m.CH_NO,m.CARE_SERIAL_NO"

	''' <summary>検査情報明細取得</summary>
	Public Const sqlSel_TEST As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", MTM_TEST_DIV.TEST_DIV_RNM" _
	& ", t.ICD9CM_CD" _
	& ", t.TEST_NM" _
	& ", CONVERT(VARCHAR,t.TEST_DT,111) AS TEST_DT" _
	& ", MTM_TEST_ASST_DIV.TEST_ASST_DIV_RNM" _
	& ", t.REMARKS1" _
	& ", t.REMARKS2" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_TEST AS t                          ON h.PATIENT_NO                      = t.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO                  = t.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                           = t.CH_NO" _
	& "        LEFT JOIN MTM_TEST_DIV                           ON t.TEST_DIV                        = MTM_TEST_DIV.TEST_DIV_CD" _
	& "        LEFT JOIN MTM_TEST_ASST_DIV                      ON t.ASST_DIV                        = MTM_TEST_ASST_DIV.TEST_ASST_DIV_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY t.PATIENT_NO,t.HSP_HISTORY_NO,t.CH_NO,t.TEST_SERIAL_NO"

	''' <summary>分娩情報明細取得</summary>
	Public Const sqlSel_CB As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", CONVERT(VARCHAR,c.CB_DT,111) AS CB_DT" _
	& ", c.CB_AGE" _
	& ", c.CB_MONTH_AGE" _
	& ", c.GESTATIONAL_WEEK_COUNT" _
	& ", c.GESTATIONAL_DAY_COUNT" _
	& ", c.CHD_COUNT" _
	& ", c.BLEEDING_VOLUME" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	& ", MTM_CAESAREAN_OPERATION.CHK_NM" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='1') AS CB_DIV_ITM_NM1" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='2') AS CB_DIV_ITM_NM2" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='7') AS CB_DIV_ITM_NM3" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='8') AS CB_DIV_ITM_NM4" _
	& ", MTM_CB_DIV_CNT1.CNT_NM AS CNT_NM1" _
	& ", MTM_CB_DIV_CNT2.CNT_NM AS CNT_NM2" _
	& ", MTM_CB_DIV_CNT3.CNT_NM AS CNT_NM3" _
	& ", MTM_CB_DIV_CNT4.CNT_NM AS CNT_NM4" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='11') AS CB_CHK_ITM_NM1" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='12') AS CB_CHK_ITM_NM2" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='13') AS CB_CHK_ITM_NM3" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CB_CHK1" & sqlFLG_NM_E & "CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CB_CHK2" & sqlFLG_NM_E & "CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CB_CHK3" & sqlFLG_NM_E & "CB_CHK3_NM" _
	& " FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "      INNER JOIN MTI_CB AS   c                                  ON h.PATIENT_NO              = c.PATIENT_NO " _
	& "                                                               AND h.HSP_HISTORY_NO          = c.HSP_HISTORY_NO" _
	& "                                                               AND h.CH_NO                   = c.CH_NO" _
	& "       LEFT JOIN MTM_CAESAREAN_OPERATION                        ON c.CAESAREAN_OPE_CD        = MTM_CAESAREAN_OPERATION.CHK_CD" _
	& "       LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT1			   ON '1'                       = MTM_CB_DIV_CNT1.ITEM_CD" _
	& "																  AND c.CB_DIV1                 = MTM_CB_DIV_CNT1.CNT_CD" _
	& "       LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT2			   ON '2'                       = MTM_CB_DIV_CNT2.ITEM_CD" _
	& "																  AND c.CB_DIV2                 = MTM_CB_DIV_CNT2.CNT_CD" _
	& "       LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT3			   ON '7'                       = MTM_CB_DIV_CNT3.ITEM_CD" _
	& "																  AND c.CB_DIV3                 = MTM_CB_DIV_CNT3.CNT_CD" _
	& "       LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT4			   ON '8'                       = MTM_CB_DIV_CNT4.ITEM_CD" _
	& "																  AND c.CB_DIV4                 = MTM_CB_DIV_CNT4.CNT_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>分娩子情報明細取得</summary>
	Public Const sqlSel_CB_CHILD As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", CONVERT(VARCHAR,c.CHD_CB_DT,111) AS CHD_CB_DT" _
	& ", c.CHD_CB_TIME" _
	& ", MTM_CB_GENDER.GENDER_NM" _
	& ", c.NEWBORN_STATURE" _
	& ", c.NEWBORN_WEIGHT" _
	& ", MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ", MTM_RH.RH_NM" _
	& ", MTM_CB_APGARSCORE1.APGARSCORE AS APGARSCORE1" _
	& ", MTM_CB_APGARSCORE5.APGARSCORE AS APGARSCORE5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.IMMATURE" & sqlFLG_NM_E & "IMMATURE_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.DEFORMITY" & sqlFLG_NM_E & "DEFORMITY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.STILLBIRTH" & sqlFLG_NM_E & "STILLBIRTH_NM" _
	& ", c.NEWBORN_NO" _
	& ", c.CHD_PATIENT_NO" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='21') AS CB_CHK_ITM_NM1" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='22') AS CB_CHK_ITM_NM2" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='23') AS CB_CHK_ITM_NM3" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='24') AS CB_CHK_ITM_NM4" _
	& ", (SELECT ITEM_NM FROM MTM_CB_CHK_ITM WHERE ITEM_CD='25') AS CB_CHK_ITM_NM5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CHD_CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CHD_CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CHD_CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK3_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CHD_CB_CHK4" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK4_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.CHD_CB_CHK5" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK5_NM" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='3') AS CB_DIV_ITM_NM1" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='4') AS CB_DIV_ITM_NM2" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='5') AS CB_DIV_ITM_NM3" _
	& ", (SELECT ITEM_NM FROM MTM_CB_DIV_ITM WHERE ITEM_CD='6') AS CB_DIV_ITM_NM4" _
	& ", MTM_CB_DIV_CNT1.CNT_NM AS CNT_NM1" _
	& ", MTM_CB_DIV_CNT2.CNT_NM AS CNT_NM2" _
	& ", MTM_CB_DIV_CNT3.CNT_NM AS CNT_NM3" _
	& ", MTM_CB_DIV_CNT4.CNT_NM AS CNT_NM4" _
	& ", c.CHD_REMARKS" _
	& ", c.STILLBIRTH" _
	& ", CONVERT(VARCHAR,s.SB_DT,111) AS SB_DT" _
	& ", s.SB_TIME" _
	& ", s.SB_NO" _
	& ", s.WEEK_COUNT" _
	& ", MTM_CB_SB_LCT.SB_LCT_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "s.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& ", s.AUTOPSY_NO" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "s.INDUCED_ABORTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INDUCED_ABORTION_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "s.MOTHER_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "MOTHER_CMPC_CHK_NM" _
	& ", s.REMARKS" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_CB_CHILD AS c                        ON h.PATIENT_NO                      = c.PATIENT_NO" _
	& "                                                          AND h.HSP_HISTORY_NO                  = c.HSP_HISTORY_NO" _
	& "                                                          AND h.CH_NO                           = c.CH_NO" _
	& "        LEFT JOIN MTI_CB_SB AS s                           ON c.PATIENT_NO                      = s.PATIENT_NO" _
	& "                                                          AND c.HSP_HISTORY_NO                  = s.HSP_HISTORY_NO" _
	& "                                                          AND c.CH_NO                           = s.CH_NO" _
	& "                                                          AND c.CB_SERIAL_NO                    = s.CB_SERIAL_NO" _
	& "        LEFT JOIN MTM_CB_GENDER                            ON c.GENDER_CD                       = MTM_CB_GENDER.GENDER_CD" _
	& "        LEFT JOIN MTM_BLOODTYPE                            ON c.CHD_BLOODTYPE_CD                = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "        LEFT JOIN MTM_RH                                   ON c.CHD_RH_CD                       = MTM_RH.RH_CD" _
	& "        LEFT JOIN MTM_CB_APGARSCORE AS MTM_CB_APGARSCORE1  ON c.APGARSCORE_1MIN                 = MTM_CB_APGARSCORE1.APGARSCORE_CD" _
	& "        LEFT JOIN MTM_CB_APGARSCORE AS MTM_CB_APGARSCORE5  ON c.APGARSCORE_5MIN                 = MTM_CB_APGARSCORE5.APGARSCORE_CD" _
	& "        LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT1        ON '3'                               = MTM_CB_DIV_CNT1.ITEM_CD" _
	& "                                                          AND c.CB_PTN1                         = MTM_CB_DIV_CNT1.CNT_CD" _
	& "        LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT2        ON '4'                               = MTM_CB_DIV_CNT2.ITEM_CD" _
	& "                                                          AND c.CB_PTN2                         = MTM_CB_DIV_CNT2.CNT_CD" _
	& "        LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT3        ON '5'                               = MTM_CB_DIV_CNT3.ITEM_CD" _
	& "                                                          AND c.CB_PTN3                         = MTM_CB_DIV_CNT3.CNT_CD" _
	& "        LEFT JOIN MTM_CB_DIV_CNT AS MTM_CB_DIV_CNT4        ON '6'                               = MTM_CB_DIV_CNT4.ITEM_CD" _
	& "                                                          AND c.CB_PTN4                         = MTM_CB_DIV_CNT4.CNT_CD" _
	& "        LEFT JOIN MTM_CB_SB_LCT                            ON s.SB_LCT                          = MTM_CB_SB_LCT.SB_LCT_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY c.PATIENT_NO,c.HSP_HISTORY_NO,c.CH_NO,c.CB_SERIAL_NO"

	''' <summary>救命救急情報明細取得</summary>
	Public Const sqlSel_EMERGENCY As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", MTM_EMERGENCY_IN_METHOD.IN_METHOD_RNM" _
	& ", CONVERT(VARCHAR,e.ENTERING_DT,111) AS ENTERING_DT" _
	& ", e.ENTERING_TIME" _
	& ", e.ENTERING_AGE" _
	& ", e.ENTERING_MONTH_AGE" _
	& ", e.ENTERING_DAY_AGE" _
	& ", MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_NM" _
	& ", MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_RNM" _
	& ", CONVERT(VARCHAR,e.LEAVING_DT,111) AS LEAVING_DT" _
	& ", e.LEAVING_TIME" _
	& ", e.LEAVING_AGE" _
	& ", e.LEAVING_MONTH_AGE" _
	& ", e.LEAVING_DAY_AGE" _
	& ", e.IN_ROOM_DAYS" _
	& ", e.MED_REQUIRED_TIME" _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_EMERGENCY AS e                     ON h.PATIENT_NO                      = e.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO                  = e.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                           = e.CH_NO" _
	& "        LEFT JOIN MTM_EMERGENCY_IN_METHOD                ON e.IN_METHOD_CD                    = MTM_EMERGENCY_IN_METHOD.IN_METHOD_CD" _
	& "        LEFT JOIN MTM_EMERGENCY_OUT_METHOD               ON e.OUT_METHOD_CD                   = MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_CD" _
	& "        LEFT JOIN MTM_EMERGENCY_SEVERE_DIV               ON e.SEVERE_CD                       = MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY e.PATIENT_NO,e.HSP_HISTORY_NO,e.CH_NO,e.EMERGENCY_SERIAL_NO"

	''' <summary>補足項目１項目マスタ取得</summary>
	Public Const sqlSel_Asst1Mst As String = _
	" SELECT" _
	& "  MTM_ASST1_ITM.ITEM_CD" _
	& ", MTM_ASST1_ITM.ITEM_NM" _
	& ", MTM_ASST1_ITM.GRP_CD" _
	& "  FROM MTM_ASST1_ITM" _
	& " WHERE MTM_ASST1_ITM.ITEM_NM" & clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY" _
	& "  MTM_ASST1_ITM.DSPORDER" _
	& ", MTM_ASST1_ITM.ITEM_CD"

	''' <summary>補足項目１情報明細取得</summary>
	Public Const sqlSel_ASST1 As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& " {0} " _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_ASST1 AS a                         ON h.PATIENT_NO                = a.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = a.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = a.CH_NO" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>補足項目１情報項目取得</summary>
	Public Const sqlFld_ASST1 As String = _
	  "," & sqlMRPCOMMON.sqlFLG_NM_S & "a.ASST_ITM{0:000}" & sqlFLG_NM_E & "ASST_ITM_NM{0:000}"

	''' <summary>補足項目２項目マスタ取得</summary>
	Public Const sqlSel_Asst2Mst As String = _
	" SELECT" _
	& "  MTM_ASST2_ITM.ITEM_CD" _
	& ", MTM_ASST2_ITM.ITEM_NM" _
	& ", MTM_ASST2_ITM.ITEM_TYPE" _
	& ", MTM_ASST2_ITM.SPT_FIELD_NM" _
	& " FROM MTM_ASST2_ITM" _
	& " WHERE MTM_ASST2_ITM.ITEM_NM" & clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY" _
	& "  MTM_ASST2_ITM.DSPORDER" _
	& ", MTM_ASST2_ITM.ITEM_CD"

	''' <summary>補足項目２内容マスタ取得</summary>
	Public Const sqlSel_Asst2Cnt As String = _
	" SELECT" _
	& "  MTM_ASST2_CNT.ITEM_CD" _
	& " ,MTM_ASST2_CNT.CNT_CD" _
	& " ,MTM_ASST2_CNT.CNT_NM" _
	& " FROM MTM_ASST2_CNT" _
	& " ORDER BY" _
	& "  MTM_ASST2_CNT.DSPORDER" _
	& ", MTM_ASST2_CNT.ITEM_CD"

	''' <summary>補足項目２情報明細取得</summary>
	Public Const sqlSel_ASST2 As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& " {0} " _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_ASST2 AS a                         ON h.PATIENT_NO                = a.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = a.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = a.CH_NO" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>補足項目２情報項目取得</summary>
	Public Const sqlFld_ASST2_TEXT As String = ",a.TEXT{0}"
	Public Const sqlFld_ASST2_NUMBER As String = ",a.NUMBER{0}"
	Public Const sqlFld_ASST2_DATE As String = ",CONVERT(VARCHAR,a.DATE{0},111) AS DATE{0}"
	Public Const sqlFld_ASST2_COMBO As String = ",a.COMBO{0}"

	''' <summary>監査マスタ取得</summary>
	Public Const sqlSel_InspectMst As String = _
	" SELECT" _
	& "  MTM_INSPECT.INSPECT_CD" _
	& ", MTM_INSPECT.GRP_NM" _
	& ", MTM_INSPECT.ITEM_NM" _
	& ", MTM_INSPECT.DOCTOR_NM" _
	& ", MTM_INSPECT.CHKCOUNT" _
	& " FROM MTM_INSPECT" _
	& " WHERE MTM_INSPECT.ITEM_NM" & clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY" _
	& "  MTM_INSPECT.DSPORDER" _
	& ", MTM_INSPECT.INSPECT_CD"

	''' <summary>監査情報項目取得</summary>
	Public Const sqlFld_INSPECT As String = _
	  ",CASE i.INSPECT{0:000}_1 WHEN " & sqlMRPCOMMON.prmCHK_CD_ON & "  THEN " & sqlMRPCOMMON.prmCHK_NM_ON _
							& " WHEN " & sqlMRPCOMMON.prmCHK_CD_OFF & " THEN " & sqlMRPCOMMON.prmCHK_NM_OFF _
							& " ELSE NULL END AS INSPECT{0:000}_1_NM" _
	& ",CASE i.INSPECT{0:000}_2 WHEN " & sqlMRPCOMMON.prmCHK_CD_ON & "  THEN " & sqlMRPCOMMON.prmCHK_NM_ON _
							& " WHEN " & sqlMRPCOMMON.prmCHK_CD_OFF & " THEN " & sqlMRPCOMMON.prmCHK_NM_OFF _
							& " ELSE NULL END AS INSPECT{0:000}_2_NM" _
	& ",CASE i.INSPECT{0:000}_3 WHEN " & sqlMRPCOMMON.prmCHK_CD_ON & "  THEN " & sqlMRPCOMMON.prmCHK_NM_ON _
							& " WHEN " & sqlMRPCOMMON.prmCHK_CD_OFF & " THEN " & sqlMRPCOMMON.prmCHK_NM_OFF _
							& " ELSE NULL END AS INSPECT{0:000}_3_NM" _
	& ",i.DOCTOR{0:000}_CD"

	''' <summary>職員マスタ取得</summary>
	Public Const sqlSel_Staff As String = _
	" SELECT" _
	& "  XTM_STAFF.STAFF_CD" _
	& ", XTM_STAFF.STAFF_NM" _
	& " FROM XTM_STAFF"

	''' <summary>監査情報明細取得</summary>
	Public Const sqlSel_INSPECT As String = _
	" SELECT" _
	& "  h.PATIENT_NO" _
	& ", h.HSP_HISTORY_NO" _
	& ", h.CH_NO" _
	& ", CONVERT(VARCHAR,i.INSPECT1_DT,111) AS INSPECT1_DT" _
	& ", CONVERT(VARCHAR,i.INSPECT2_DT,111) AS INSPECT2_DT" _
	& ", CONVERT(VARCHAR,i.INSPECT3_DT,111) AS INSPECT3_DT" _
	& ", XTM_STAFF.STAFF_NM" _
	& ", CONVERT(VARCHAR,i.INSPECT_FINISHING_DT,111) AS INSPECT_FINISHING_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.FINISHING_FLG" & sqlFLG_NM_E & "FINISHING_FLG_NM " _
	& " {0} " _
	& "  FROM MTW_DPC_CH_PRINT_HEADING AS h" _
	& "       INNER JOIN MTI_INSPECT AS i                       ON h.PATIENT_NO                = i.PATIENT_NO" _
	& "                                                        AND h.HSP_HISTORY_NO            = i.HSP_HISTORY_NO" _
	& "                                                        AND h.CH_NO                     = i.CH_NO" _
	& "        LEFT JOIN XTM_STAFF                              ON i.AUDITOR_CD                = XTM_STAFF.STAFF_CD" _
	& " WHERE h.HOST_NM                     =" & sqlMRPCOMMON.prmHOST_NM




End Class
