﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 分娩児情報Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP130R000

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_CB_CHD WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_CB_CHD (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",CB_SERIAL_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmSERIAL_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_CB_CHD SET" _
	& " PATIENT_NM				=  b.PATIENT_NM" _
	& ",CB_DT					=  cb.CB_DT" _
	& ",NEWBORN_WEIGHT			=  i.NEWBORN_WEIGHT" _
	& ",IMMATURE				=  i.IMMATURE" _
	& ",DEFORMITY				=  i.DEFORMITY" _
	& ",STILLBIRTH				=  i.STILLBIRTH" _
	& ",APGARSCORE_1MIN			=  i.APGARSCORE_1MIN" _
	& ",APGARSCORE_5MIN			=  i.APGARSCORE_5MIN" _
	& ",CB_PTN1					=  i.CB_PTN1" _
	& ",CB_PTN2					=  i.CB_PTN2" _
	& ",CB_PTN3					=  i.CB_PTN3" _
	& ",CB_PTN4					=  i.CB_PTN4" _
	& ",GENDER_CD				=  b.GENDER_CD" _
	& ",BIRTH_DT				=  b.BIRTH_DT" _
	& ",PATIENT_AGE				= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO				=  c.BYOREKI_NO" _
	& ",DEPT_CD					=  c.DEPT_CD" _
	& ",WARD_CD					=  c.WARD_CD" _
	& ",DOCTOR_CD				=  c.DOCTOR_CD" _
	& ",START_CNL_CD			=  c.START_CNL_CD" _
	& ",START_DT				=  c.START_DT" _
	& ",END_CNL_CD				=  c.END_CNL_CD" _
	& ",END_OUTCOME_CD			=  c.END_OUTCOME_CD" _
	& ",END_DT					=  c.END_DT" _
	& ",HSP_DAYS				=  c.HSP_DAYS" _
	& ",PATIENT_KNM				=  b.PATIENT_KNM" _
	& ",CAESAREAN_OPE_CD		=  cb.CAESAREAN_OPE_CD" _
	& ",PREMATURE_BIRTH			=  cb.PREMATURE_BIRTH" _
	& ",MISCARRIAGE				=  cb.MISCARRIAGE" _
	& ",CB_AGE					=  cb.CB_AGE" _
	& ",CB_MONTH_AGE			=  cb.CB_MONTH_AGE" _
	& ",GESTATIONAL_WEEK_COUNT	=  cb.GESTATIONAL_WEEK_COUNT" _
	& ",GESTATIONAL_DAY_COUNT	=  cb.GESTATIONAL_DAY_COUNT" _
	& ",CHD_COUNT				=  cb.CHD_COUNT" _
	& ",NEWBORN_NO				=  i.NEWBORN_NO" _
	& ",CHD_CB_DT				=  i.CHD_CB_DT" _
	& ",CHD_CB_TIME				=  i.CHD_CB_TIME" _
	& ",CHD_GENDER_CD			=  i.GENDER_CD" _
	& ",CHD_BLOODTYPE_CD		=  i.CHD_BLOODTYPE_CD" _
	& ",CHD_RH_CD				=  i.CHD_RH_CD" _
	& ",CHD_PATIENT_NO			=  i.CHD_PATIENT_NO" _
	& ",BLEEDING_VOLUME			=  cb.BLEEDING_VOLUME" _
	& ",CB_DIV1					=  cb.CB_DIV1" _
	& ",CB_DIV2					=  cb.CB_DIV2" _
	& ",CB_DIV3					=  cb.CB_DIV3" _
	& ",CB_DIV4					=  cb.CB_DIV4" _
	& ",CB_CHK1					=  cb.CB_CHK1" _
	& ",CB_CHK2					=  cb.CB_CHK2" _
	& ",CB_CHK3					=  cb.CB_CHK3" _
	& ",CHD_CB_CHK1				=  i.CHD_CB_CHK1" _
	& ",CHD_CB_CHK2				=  i.CHD_CB_CHK2" _
	& ",CHD_CB_CHK3				=  i.CHD_CB_CHK3" _
	& ",CHD_CB_CHK4				=  i.CHD_CB_CHK4" _
	& ",CHD_CB_CHK5				=  i.CHD_CB_CHK5" _
	& ",CHD_REMARKS				=  i.CHD_REMARKS" _
	& ",START_AGE				=  c.START_AGE" _
	& ",START_MONTH_AGE			=  c.START_MONTH_AGE" _
	& ",START_DAY_AGE			=  c.START_DAY_AGE" _
	& ",END_AGE					=  c.END_AGE" _
	& ",END_MONTH_AGE			=  c.END_MONTH_AGE" _
	& ",END_DAY_AGE				=  c.END_DAY_AGE" _
	& ",LASTUPDUSER_CD			= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT				= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CB_CHD AS w " _
	& "      LEFT JOIN XTI_BASICINFO AS B" _
	& "                 ON w.PATIENT_NO     = B.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO     = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = c.CH_NO" _
	& "      LEFT JOIN MTI_CB AS cb" _
	& "                 ON w.PATIENT_NO     = cb.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = cb.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = cb.CH_NO" _
	& "      LEFT JOIN MTI_CB_CHILD AS i" _
	& "                 ON w.PATIENT_NO     = i.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = i.CH_NO" _
	& "                AND w.CB_SERIAL_NO   = i.CB_SERIAL_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' ヘッダ項目マスタ（TM_分娩区分項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Mtm_Cb_Div_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_DIV_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' ヘッダ項目（TM_分娩チェック項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Mtm_Cb_Chk_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_CHK_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE
End Class