﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 分娩児情報Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP130R020

#Region "項目"

	Public Const prmINSPECT_CD As String = "@INSPECT_CD"				'監査コード
	Public Const itmINSPECT_CD As String = "INSPECT_CD"					'監査コード

#End Region

	''' <summary>
	''' workを削除（TW_検索処理結果分娩子一覧病名）
	''' </summary>
	Public Const sqlDel1 As String = _
	"DELETE FROM MTW_SEARCH_CB_CHD_DISEASE WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを削除（TW_検索処理結果分娩子一覧手術）
	''' </summary>
	Public Const sqlDel2 As String = _
	"DELETE FROM MTW_SEARCH_CB_CHD_OPE WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加（TW_検索処理結果分娩子一覧病名）
	''' </summary>
	Public Const sqlInsChd_Disease As String = _
	"INSERT INTO MTW_SEARCH_CB_CHD_DISEASE (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",DISEASE_SERIAL_NO" _
	& ",DISEASE" _
	& ",ICD10_CD" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") " _
	& " SELECT DISTINCT " _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",d.DISEASE_SERIAL_NO" _
	& ",d.DISEASE" _
	& ",d.ICD10_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CB_CHD AS w" _
	& "		INNER JOIN MTI_DISEASE d ON		  w.PATIENT_NO		= d.PATIENT_NO" _
	& "									  AND w.HSP_HISTORY_NO	= d.HSP_HISTORY_NO" _
	& "									  AND w.CH_NO			= d.CH_NO" _
	& "		INNER JOIN MTM_DISEASE_DIV dv  ON d.DISEASE_DIV		= dv.DISEASE_DIV_CD" _
	& "									  AND dv.FIXED_CD		=" & sqlMRPCOMMON.prmFIXED_CD _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加（TW_検索処理結果分娩子一覧手術）
	''' </summary>
	Public Const sqlInsChd_Ope As String = _
	"INSERT INTO MTW_SEARCH_CB_CHD_OPE (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",OPE_SERIAL_NO" _
	& ",OPE_NM" _
	& ",ICD9CM_CD" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") " _
	& " SELECT DISTINCT " _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",op.OPE_SERIAL_NO" _
	& ",op.OPE_NM" _
	& ",op.ICD9CM_CD" _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CB_CHD AS w" _
	& "		INNER JOIN MTI_OPE op ON	  w.PATIENT_NO		= op.PATIENT_NO" _
	& "								  AND w.HSP_HISTORY_NO	= op.HSP_HISTORY_NO" _
	& "								  AND w.CH_NO			= op.CH_NO" _
	& "		INNER JOIN MTM_OPE_DIV od  ON op.OPE_DIV		= od.OPE_DIV_CD" _
	& "								  AND od.FIXED_CD		=" & sqlMRPCOMMON.prmFIXED_CD _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

End Class