﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 監査情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP180E010

#Region "項目"

	Public Const itmINSPECT_CD As String = "INSPECT_CD"
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"

#End Region

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& excel_HeaderBHC _
	& excel_HeaderMe

	''' <summary>
	''' 項目マスタ用書式
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_FreeFormat As String = "" _
	& ",{0}"
	Public Const excel_FreeFormatEmpty As String = "" _
	& ",,,,"

	''' <summary>
	''' 患者＋入退院＋科歴ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBHC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数"

	''' <summary>
	''' 監査情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderMe As String = "" _
	& ",監査日１" _
	& ",監査日２" _
	& ",監査日３" _
	& ",監査完了フラグ" _
	& ",監査完了日" _
	& ",監査人名" _
	& "{0}"

#End Region

#Region "Excel出力"

	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "基本＋入退院＋科歴"

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColBHC As String = "" _
	'& " w.PATIENT_NO" _
	'& ",w.HSP_HISTORY_NO" _
	'& ",w.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.START_DT" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS"
	''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlColBHC As String = "" _
	& " w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-13006-000 121

   ''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlTblBHC As String = "" _
	& "  LEFT JOIN XTI_BASICINFO        AS b         ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH               AS c         ON w.PATIENT_NO          = c.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                             AND w.CH_NO               = c.CH_NO" _
	& "  LEFT JOIN MTI_DEATH            AS d         ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH               AS bc        ON w.PATIENT_NO          = bc.PATIENT_NO " _
	& "                                             AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                             AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN XTM_GENDER                        ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE                     ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                            ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA             AS BC_AREA   ON bc.AREA_CD            = BC_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT					 ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV                     ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV           ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT    ON c.DEPT_CD             = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD    ON c.WARD_CD			  = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF   ON c.DOCTOR_CD			  = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL     ON c.START_CNL_CD        = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL   ON c.END_CNL_CD          = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME ON c.END_OUTCOME_CD      = C_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

'(M) STR V4-13006-000 399 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColMe As String = "" _
	'& ",i.INSPECT1_DT" _
	'& ",i.INSPECT2_DT" _
	'& ",i.INSPECT3_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.FINISHING_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "FINISHING_FLG_NM" _
	'& ",i.INSPECT_FINISHING_DT" _
	'& ",x0.STAFF_NM AS INSPECT_STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT001_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM001_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT001_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM001_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT001_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM001_3" _
	'& ",x1.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT002_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM002_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT002_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM002_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT002_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM002_3" _
	'& ",x2.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT003_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM003_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT003_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM003_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT003_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM003_3" _
	'& ",x3.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT004_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM004_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT004_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM004_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT004_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM004_3" _
	'& ",x4.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT005_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM005_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT005_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM005_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT005_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM005_3" _
	'& ",x5.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT006_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM006_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT006_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM006_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT006_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM006_3" _
	'& ",x6.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT007_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM007_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT007_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM007_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT007_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM007_3" _
	'& ",x7.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT008_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM008_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT008_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM008_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT008_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM008_3" _
	'& ",x8.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT009_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM009_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT009_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM009_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT009_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM009_3" _
	'& ",x9.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT010_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM010_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT010_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM010_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT010_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM010_3" _
	'& ",x10.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT011_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM011_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT011_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM011_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT011_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM011_3" _
	'& ",x11.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT012_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM012_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT012_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM012_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT012_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM012_3" _
	'& ",x12.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT013_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM013_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT013_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM013_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT013_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM013_3" _
	'& ",x13.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT014_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM014_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT014_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM014_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT014_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM014_3" _
	'& ",x14.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT015_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM015_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT015_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM015_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT015_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM015_3" _
	'& ",x15.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT016_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM016_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT016_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM016_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT016_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM016_3" _
	'& ",x16.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT017_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM017_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT017_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM017_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT017_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM017_3" _
	'& ",x17.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT018_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM018_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT018_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM018_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT018_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM018_3" _
	'& ",x18.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT019_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM019_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT019_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM019_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT019_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM019_3" _
	'& ",x19.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT020_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM020_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT020_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM020_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT020_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM020_3" _
	'& ",x20.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT021_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM021_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT021_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM021_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT021_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM021_3" _
	'& ",x21.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT022_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM022_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT022_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM022_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT022_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM022_3" _
	'& ",x22.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT023_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM023_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT023_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM023_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT023_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM023_3" _
	'& ",x23.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT024_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM024_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT024_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM024_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT024_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM024_3" _
	'& ",x24.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT025_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM025_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT025_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM025_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT025_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM025_3" _
	'& ",x25.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT026_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM026_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT026_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM026_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT026_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM026_3" _
	'& ",x26.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT027_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM027_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT027_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM027_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT027_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM027_3" _
	'& ",x27.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT028_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM028_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT028_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM028_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT028_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM028_3" _
	'& ",x28.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT029_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM029_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT029_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM029_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT029_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM029_3" _
	'& ",x29.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT030_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM030_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT030_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM030_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT030_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM030_3" _
	'& ",x30.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT031_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM031_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT031_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM031_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT031_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM031_3" _
	'& ",x31.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT032_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM032_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT032_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM032_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT032_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM032_3" _
	'& ",x32.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT033_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM033_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT033_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM033_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT033_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM033_3" _
	'& ",x33.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT034_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM034_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT034_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM034_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT034_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM034_3" _
	'& ",x34.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT035_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM035_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT035_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM035_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT035_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM035_3" _
	'& ",x35.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT036_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM036_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT036_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM036_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT036_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM036_3" _
	'& ",x36.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT037_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM037_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT037_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM037_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT037_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM037_3" _
	'& ",x37.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT038_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM038_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT038_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM038_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT038_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM038_3" _
	'& ",x38.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT039_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM039_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT039_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM039_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT039_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM039_3" _
	'& ",x39.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT040_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM040_1" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT040_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM040_2" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT040_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM040_3" _
	'& ",x40.STAFF_NM"
	''' <summary>
	''' 監査
	''' </summary>
	Private Const sqlColMe As String = "" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT1_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT1_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT2_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT2_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT3_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT3_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.FINISHING_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "FINISHING_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.INSPECT_FINISHING_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS INSPECT_FINISHING_DT" _
	& ",x0.STAFF_NM AS INSPECT_STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT001_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM001_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT001_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM001_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT001_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM001_3" _
	& ",x1.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT002_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM002_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT002_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM002_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT002_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM002_3" _
	& ",x2.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT003_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM003_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT003_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM003_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT003_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM003_3" _
	& ",x3.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT004_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM004_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT004_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM004_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT004_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM004_3" _
	& ",x4.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT005_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM005_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT005_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM005_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT005_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM005_3" _
	& ",x5.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT006_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM006_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT006_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM006_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT006_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM006_3" _
	& ",x6.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT007_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM007_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT007_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM007_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT007_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM007_3" _
	& ",x7.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT008_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM008_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT008_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM008_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT008_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM008_3" _
	& ",x8.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT009_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM009_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT009_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM009_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT009_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM009_3" _
	& ",x9.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT010_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM010_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT010_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM010_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT010_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM010_3" _
	& ",x10.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT011_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM011_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT011_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM011_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT011_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM011_3" _
	& ",x11.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT012_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM012_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT012_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM012_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT012_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM012_3" _
	& ",x12.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT013_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM013_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT013_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM013_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT013_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM013_3" _
	& ",x13.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT014_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM014_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT014_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM014_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT014_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM014_3" _
	& ",x14.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT015_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM015_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT015_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM015_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT015_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM015_3" _
	& ",x15.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT016_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM016_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT016_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM016_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT016_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM016_3" _
	& ",x16.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT017_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM017_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT017_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM017_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT017_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM017_3" _
	& ",x17.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT018_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM018_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT018_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM018_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT018_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM018_3" _
	& ",x18.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT019_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM019_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT019_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM019_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT019_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM019_3" _
	& ",x19.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT020_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM020_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT020_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM020_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT020_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM020_3" _
	& ",x20.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT021_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM021_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT021_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM021_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT021_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM021_3" _
	& ",x21.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT022_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM022_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT022_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM022_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT022_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM022_3" _
	& ",x22.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT023_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM023_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT023_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM023_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT023_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM023_3" _
	& ",x23.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT024_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM024_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT024_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM024_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT024_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM024_3" _
	& ",x24.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT025_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM025_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT025_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM025_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT025_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM025_3" _
	& ",x25.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT026_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM026_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT026_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM026_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT026_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM026_3" _
	& ",x26.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT027_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM027_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT027_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM027_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT027_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM027_3" _
	& ",x27.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT028_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM028_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT028_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM028_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT028_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM028_3" _
	& ",x28.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT029_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM029_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT029_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM029_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT029_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM029_3" _
	& ",x29.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT030_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM030_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT030_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM030_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT030_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM030_3" _
	& ",x30.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT031_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM031_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT031_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM031_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT031_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM031_3" _
	& ",x31.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT032_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM032_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT032_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM032_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT032_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM032_3" _
	& ",x32.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT033_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM033_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT033_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM033_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT033_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM033_3" _
	& ",x33.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT034_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM034_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT034_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM034_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT034_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM034_3" _
	& ",x34.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT035_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM035_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT035_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM035_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT035_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM035_3" _
	& ",x35.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT036_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM036_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT036_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM036_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT036_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM036_3" _
	& ",x36.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT037_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM037_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT037_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM037_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT037_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM037_3" _
	& ",x37.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT038_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM038_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT038_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM038_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT038_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM038_3" _
	& ",x38.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT039_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM039_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT039_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM039_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT039_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM039_3" _
	& ",x39.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT040_1" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM040_1" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT040_2" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM040_2" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.INSPECT040_3" & sqlMRPCOMMON.sqlCHK_NM_E & "INSPECT_NM040_3" _
	& ",x40.STAFF_NM"
'(M) END V4-13006-000 399

	''' <summary>
	''' 監査
	''' </summary>
	Private Const sqlTblMe As String = "" _
	& " INNER JOIN MTI_INSPECT AS i		 ON w.PATIENT_NO        = i.PATIENT_NO" _
	& "									AND w.HSP_HISTORY_NO	= i.HSP_HISTORY_NO" _
	& "									AND w.CH_NO             = i.CH_NO" _
	& " LEFT JOIN XTM_STAFF	   AS x0     ON i.AUDITOR_CD	    = x0.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x1     ON i.DOCTOR001_CD      = x1.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x2     ON i.DOCTOR002_CD      = x2.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x3     ON i.DOCTOR003_CD      = x3.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x4     ON i.DOCTOR004_CD      = x4.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x5     ON i.DOCTOR005_CD      = x5.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x6     ON i.DOCTOR006_CD      = x6.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x7     ON i.DOCTOR007_CD      = x7.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x8     ON i.DOCTOR008_CD      = x8.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x9     ON i.DOCTOR009_CD      = x9.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x10    ON i.DOCTOR010_CD      = x10.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x11    ON i.DOCTOR011_CD      = x11.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x12    ON i.DOCTOR012_CD      = x12.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x13    ON i.DOCTOR013_CD      = x13.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x14    ON i.DOCTOR014_CD      = x14.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x15    ON i.DOCTOR015_CD      = x15.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x16    ON i.DOCTOR016_CD      = x16.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x17    ON i.DOCTOR017_CD      = x17.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x18    ON i.DOCTOR018_CD      = x18.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x19    ON i.DOCTOR019_CD      = x19.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x20    ON i.DOCTOR020_CD      = x20.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x21    ON i.DOCTOR021_CD      = x21.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x22    ON i.DOCTOR022_CD      = x22.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x23    ON i.DOCTOR023_CD      = x23.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x24    ON i.DOCTOR024_CD      = x24.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x25    ON i.DOCTOR025_CD      = x25.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x26    ON i.DOCTOR026_CD      = x26.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x27    ON i.DOCTOR027_CD      = x27.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x28    ON i.DOCTOR028_CD      = x28.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x29    ON i.DOCTOR029_CD      = x29.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x30    ON i.DOCTOR030_CD      = x30.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x31    ON i.DOCTOR031_CD      = x31.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x32    ON i.DOCTOR032_CD      = x32.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x33    ON i.DOCTOR033_CD      = x33.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x34    ON i.DOCTOR034_CD      = x34.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x35    ON i.DOCTOR035_CD      = x35.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x36    ON i.DOCTOR036_CD      = x36.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x37    ON i.DOCTOR037_CD      = x37.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x38    ON i.DOCTOR038_CD      = x38.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x39    ON i.DOCTOR039_CD      = x39.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x40    ON i.DOCTOR040_CD      = x40.STAFF_CD"

#End Region

	''' <summary>
	''' ヘッダ項目（TM_監査マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Inspect As String = _
	  "SELECT" _
	& " INSPECT_CD AS ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& ",DOCTOR_NM" _
	& " FROM MTM_INSPECT" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

End Class