﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 監査情報Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP180R000

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_INSPECT_ITEM WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_INSPECT_ITEM (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_INSPECT_ITEM SET" _
	& " PATIENT_NM				=  b.PATIENT_NM" _
	& ",GENDER_CD				=  b.GENDER_CD" _
	& ",BIRTH_DT				=  b.BIRTH_DT" _
	& ",PATIENT_AGE				= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO				=  c.BYOREKI_NO" _
	& ",DEPT_CD					=  c.DEPT_CD" _
	& ",WARD_CD					=  c.WARD_CD" _
	& ",DOCTOR_CD				=  c.DOCTOR_CD" _
	& ",START_CNL_CD			=  c.START_CNL_CD" _
	& ",START_DT				=  c.START_DT" _
	& ",END_CNL_CD				=  c.END_CNL_CD" _
	& ",END_OUTCOME_CD			=  c.END_OUTCOME_CD" _
	& ",END_DT					=  c.END_DT" _
	& ",HSP_DAYS				=  c.HSP_DAYS" _
	& ",PATIENT_KNM				=  b.PATIENT_KNM" _
	& ",START_AGE				=  c.START_AGE" _
	& ",START_MONTH_AGE			=  c.START_MONTH_AGE" _
	& ",START_DAY_AGE			=  c.START_DAY_AGE" _
	& ",END_AGE					=  c.END_AGE" _
	& ",END_MONTH_AGE			=  c.END_MONTH_AGE" _
	& ",END_DAY_AGE				=  c.END_DAY_AGE" _
	& ",INSPECT1_DT				=  i.INSPECT1_DT" _
	& ",INSPECT2_DT				=  i.INSPECT2_DT" _
	& ",INSPECT3_DT				=  i.INSPECT3_DT" _
	& ",AUDITOR_CD				=  i.AUDITOR_CD" _
	& ",FINISHING_FLG			=  i.FINISHING_FLG" _
	& ",INSPECT_FINISHING_DT	=  i.INSPECT_FINISHING_DT" _
	& ",HSP_FLG					=  c.HSP_FLG" _
	& ",OUT_HSP_FLG				=  c.OUT_HSP_FLG" _
	& ",MAIN_DPM_FLG			=  c.MAIN_DPM_FLG" _
	& ",LASTUPDUSER_CD			= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT				= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_INSPECT_ITEM AS w " _
	& "      INNER JOIN MTI_INSPECT AS i" _
	& "                 ON w.PATIENT_NO     = i.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = i.CH_NO" _
	& "      LEFT JOIN XTI_BASICINFO AS B" _
	& "                 ON w.PATIENT_NO     = B.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO     = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = c.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

End Class