﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロール特殊
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010C110

#Region "コンスタント"

	Private Const CST_CND_DISEASE_DIV As String = "病名区分"
	Private Const CST_CND_ICD10 As String = "ＩＣＤ１０"

	Private Const CST_6_END As String = "終了日"
	Private Const CST_6_OUT As String = "退院日"
#End Region

#Region "変数"
	Private PatientNo As New List(Of String)			'患者番号ファイル取込先

	Private ReadOnly TAB_1_2 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp(Nothing, Nothing, Nothing, sqlMSR010C110.itmW_WARD_CD, clsMSRSearch.CST_FNC_NORMAL_NULL_ALL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb010MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
	}
	Private ReadOnly TAB_1_3 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp(Nothing, Nothing, Nothing, sqlMSR010C110.itmC_DEPT_CD, clsMSRSearch.CST_FNC_NORMAL_NULL_ALL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb024MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
	}
	Private ReadOnly TAB_4_1 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk055MSR010C110", Nothing, Nothing, Nothing, clsMSRSearch.CST_FNC_RANGE2, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num056MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num058MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num061MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num063MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk065MSR010C110", Nothing, Nothing, Nothing, clsMSRSearch.CST_FNC_RANGE2, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num066MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num068MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num071MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num073MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk075MSR010C110", Nothing, Nothing, Nothing, clsMSRSearch.CST_FNC_OR, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb076MSR010C110,cmb079MSR010C110,cmb082MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb084MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
	}

	Private ReadOnly TAB_4_2 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk085MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE_SP1, CST_CND_DISEASE_DIV, sqlMSR010C110.itmD_DISEASE_DIV, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb086MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk085MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE_SP1, CST_CND_ICD10, sqlMSR010C110.itmD_ICD10_CD, clsMSRSearch.CST_FNC_RANGE_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt088MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt090MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk085MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE_SP2, CST_CND_DISEASE_DIV, sqlMSR010C110.itmD_DISEASE_DIV, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb092MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk085MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE_SP2, CST_CND_ICD10, sqlMSR010C110.itmD_ICD10_CD, clsMSRSearch.CST_FNC_RANGE_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt094MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt096MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk085MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE_SP3, CST_CND_DISEASE_DIV, sqlMSR010C110.itmD_DISEASE_DIV, clsMSRSearch.CST_FNC_NORMAL_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb098MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk085MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE_SP3, CST_CND_ICD10, sqlMSR010C110.itmD_ICD10_CD, clsMSRSearch.CST_FNC_RANGE_NOT_NULL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt100MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt102MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
	}

	Private ReadOnly TAB_4_3 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk104MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR010C110.itmW_WARD_CD, clsMSRSearch.CST_FNC_OR, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb105MSR010C110,cmb108MSR010C110,cmb111MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb113MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk114MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD, Nothing, sqlMSR010C110.itmW_WARD_GRP_CD, clsMSRSearch.CST_FNC_NORMAL, sqlMSR010C110.selC_WARD_CD, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb115MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb117MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk118MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR010C110.itmC_DEPT_CD, clsMSRSearch.CST_FNC_OR, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb119MSR010C110,cmb122MSR010C110,cmb125MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb127MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk128MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Nothing, sqlMSR010C110.itmC_INSURANCE_CD, clsMSRSearch.CST_FNC_OR, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb129MSR010C110,cmb132MSR010C110,cmb135MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb137MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk138MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM, Nothing, sqlMSR010C110.itmL_RECORD_MNGSTATUS_CD, clsMSRSearch.CST_FNC_OR, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb139MSR010C110,cmb142MSR010C110,cmb145MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb147MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk148MSR010C110", clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM, Nothing, sqlMSR010C110.itmL_SUMMARY_MNGSTATUS_CD, clsMSRSearch.CST_FNC_OR, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb149MSR010C110,cmb152MSR010C110,cmb155MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb157MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
	}

	Private ReadOnly TAB_6 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp(Nothing, Nothing, Nothing, Nothing, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num256MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num258MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			})
	}

	Private ReadOnly TAB_7_2 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp(Nothing, Nothing, "最終退院日", sqlMSR010C110.itmH_OUT_HSP_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte271MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte273MSR010C110", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			})
	}
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール廃棄
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C110_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
		If Me.TopLevelControl IsNot Nothing Then
			DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "MSR010C110_Disposed", "コントロール廃棄　START")
		End If
		Try

		Catch ex As Exception
			Throw
		Finally
			Me.PatientNo.Clear()
			Me.PatientNo = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/99 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C110_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode = True Then Exit Sub
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C110_Load", "コントロールロード START")
		Try
			'アイコンの設定
			Me.btn230MSR010C110.Image = DirectCast(New clsBmp, clsBmp).getBmp(clsBmp.Enum_BmpType.OpenFolder)

			'コンボボックスの設定
			Dim cliCmb As clsComboCom = New clsComboCom
			Dim dt As DataTable
			Try
				dt = clsConst.getNotMatch															'NOT
				Me.cmb084MSR010C110.DataSource = dt.Copy
				Me.cmb103MSR010C110.DataSource = dt.Copy
				Me.cmb113MSR010C110.DataSource = dt.Copy
				Me.cmb117MSR010C110.DataSource = dt.Copy
				Me.cmb127MSR010C110.DataSource = dt.Copy
				Me.cmb137MSR010C110.DataSource = dt.Copy
				Me.cmb147MSR010C110.DataSource = dt.Copy
				Me.cmb157MSR010C110.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing


				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Dept)				'診療科
					Me.cmb024MSR010C110.DataSource = dt.Copy
					Me.cmb048MSR010C110.DataSource = dt.Copy
					Me.cmb119MSR010C110.DataSource = dt.Copy
					Me.cmb122MSR010C110.DataSource = dt.Copy
					Me.cmb125MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Ward)				'病棟
					Me.cmb010MSR010C110.DataSource = dt.Copy
					Me.cmb045MSR010C110.DataSource = dt.Copy
					Me.cmb105MSR010C110.DataSource = dt.Copy
					Me.cmb108MSR010C110.DataSource = dt.Copy
					Me.cmb111MSR010C110.DataSource = dt.Copy
					Me.cmb242MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_HspCnl)				'入院経路
					Me.cmb076MSR010C110.DataSource = dt.Copy
					Me.cmb079MSR010C110.DataSource = dt.Copy
					Me.cmb082MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseDiv)			'病名区分
					Me.cmb086MSR010C110.DataSource = dt.Copy
					Me.cmb092MSR010C110.DataSource = dt.Copy
					Me.cmb098MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_WardGrp)				'病棟グループ
					Me.cmb115MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Insurance)			'保険
					Me.cmb129MSR010C110.DataSource = dt.Copy
					Me.cmb132MSR010C110.DataSource = dt.Copy
					Me.cmb135MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_1)	'カルテ管理状況
					Me.cmb139MSR010C110.DataSource = dt.Copy
					Me.cmb142MSR010C110.DataSource = dt.Copy
					Me.cmb145MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_2)	'サマリ管理状況
					Me.cmb149MSR010C110.DataSource = dt.Copy
					Me.cmb152MSR010C110.DataSource = dt.Copy
					Me.cmb155MSR010C110.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

				End Using
			Finally
				cliCmb = Nothing
				dt = Nothing
			End Try

			'コントロール初期化
			Me.setControl(Me, ENUM_SET_CONTROL.ENUM_LOAD)

			'管理単位=患者の場合、６タブの診療録は選択不可
			Select Case clsMSRCOMMON.getLendItemUnitCd(clsConst.Enum_Lenditem.MedicalRecord)
				Case clsConst.Enum_LendUnit.Each_Patient
					Me.rdo248MSR010C110.Visible = False
					Me.rdo249MSR010C110.Checked = True
				Case Else

			End Select


		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' １タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo008MSR010C110_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
				rdo008MSR010C110.CheckedChanged, rdo009MSR010C110.CheckedChanged, rdo023MSR010C110.CheckedChanged
		If DirectCast(sender, XCM.BT_RadioButton).Checked = False Then Return
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "１タブ　ラジオボタン選択 START")
		Try
			'病棟
			If Me.chk016MSR010C110.Checked = True Then
				Me.chk017MSR010C110.Enabled = Me.rdo009MSR010C110.Checked
			End If
			If Me.chk021MSR010C110.Checked = True Then
				Me.chk022MSR010C110.Enabled = Me.rdo009MSR010C110.Checked
			End If
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)

		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ３タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo053MSR010C110_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
				rdo053MSR010C110.CheckedChanged, rdo054MSR010C110.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "３タブ　ラジオボタン選択 START")
		Dim Enable() As Boolean
		Try
			Enable = {False, False}
			Select Case True
				Case Me.rdo053MSR010C110.Checked
					Me.chk055MSR010C110.Text = "入院時年齢"
					Me.chk065MSR010C110.Text = "退院時年齢"
					Me.chk075MSR010C110.Text = "入院経路"
					Enable(0) = Boolean.Parse(clsMSRCOMMON.getLendItemUnitCd(clsConst.Enum_Lenditem.MedicalRecord) = clsConst.Enum_LendUnit.Each_Hosp)
					Enable(1) = Boolean.Parse(clsMSRCOMMON.getLendItemUnitCd(clsConst.Enum_Lenditem.Summary) = clsConst.Enum_LendUnit.Each_Hosp)

				Case Me.rdo054MSR010C110.Checked
					Me.chk055MSR010C110.Text = "開始時年齢"
					Me.chk065MSR010C110.Text = "終了時年齢"
					Me.chk075MSR010C110.Text = "開始経路"
					Enable(0) = Boolean.Parse(clsMSRCOMMON.getLendItemUnitCd(clsConst.Enum_Lenditem.MedicalRecord) = clsConst.Enum_LendUnit.Each_Dept)
					Enable(1) = Boolean.Parse(clsMSRCOMMON.getLendItemUnitCd(clsConst.Enum_Lenditem.Summary) = clsConst.Enum_LendUnit.Each_Dept)

			End Select

			'診療録
			With Me.chk138MSR010C110
				If Enable(0) = False AndAlso .Checked = True Then .Checked = False
				.Enabled = Enable(0)
			End With
			'サマリ
			With Me.chk148MSR010C110
				If Enable(1) = False AndAlso .Checked = True Then .Checked = False
				.Enabled = Enable(1)
			End With

			Me.chk055MSR010C110.Select()
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		Finally
			Enable = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ファイルダイアログ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn230MSR010C110_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn230MSR010C110.Click
		DirectCast(Me.TopLevelControl, frmBase).log(XCM.clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "ファイルダイアログクリック START")
		Dim cliCom As clsCom
		Try
			cliCom = New clsCom
			cliCom.setFileDialog(Me.TopLevelControl, Me.txt229MSR010C110, clsCom.Enum_FileDialogType.eTXT)
			Me.txt229MSR010C110.Select()
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ５タブ１　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo234MSR010C110_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
				rdo234MSR010C110.CheckedChanged, rdo235MSR010C110.CheckedChanged, rdo238MSR010C110.CheckedChanged, rdo239MSR010C110.CheckedChanged, rdo234MSR010C110.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "５タブ１　ラジオボタン選択 START")
		Try
			Select Case True
				Case Me.rdo234MSR010C110.Checked
					Me.rdo239MSR010C110.Text = "入院時病棟"
					Me.rdo240MSR010C110.Text = "退院時病棟"

				Case Me.rdo235MSR010C110.Checked
					Me.rdo239MSR010C110.Text = "開始時病棟"
					Me.rdo240MSR010C110.Text = "終了時病棟"
			End Select

		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' ５タブ２　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/03/11 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo238MSR010C110_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
				rdo238MSR010C110.CheckedChanged, rdo239MSR010C110.CheckedChanged, rdo240MSR010C110.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "５タブ２　ラジオボタン選択 START")
		Try
			Me.cmb242MSR010C110.Select()
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' ６タブ　ラジオボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo248MSR010C110_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
				rdo248MSR010C110.CheckedChanged, rdo249MSR010C110.CheckedChanged, rdo250MSR010C110.CheckedChanged
		If DirectCast(sender, RadioButton).Checked = False Then Return
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "６タブ　ラジオボタン選択 START")
		Try
			Select Case True
				Case Me.rdo248MSR010C110.Checked
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00026)		'診療録返納基準日
						Case clsConst.Enum_LendItemReturnDt.LendItemRetDtEnd
							Me.lbl252MSR010C110.Text = CST_6_END
						Case clsConst.Enum_LendItemReturnDt.LendItemRetDtOut
							Me.lbl252MSR010C110.Text = CST_6_OUT
						Case Else
							Me.lbl252MSR010C110.Text = String.Empty
					End Select
				Case Me.rdo249MSR010C110.Checked, Me.rdo250MSR010C110.Checked
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027)		'サマリ作成単位
						Case clsConst.Enum_SummaryMakeRetDt.AllDpmEnd
							Me.lbl252MSR010C110.Text = CST_6_END
						Case clsConst.Enum_SummaryMakeRetDt.AllDpmOut, clsConst.Enum_SummaryMakeRetDt.MainDpmEnd
							Me.lbl252MSR010C110.Text = CST_6_OUT
						Case Else
							Me.lbl252MSR010C110.Text = String.Empty
					End Select
			End Select
			Me.num256MSR010C110.Select()
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' タブ４内のMASK入力項目に入力されているかチェックする
	''' </summary>
	''' <returns>True:入力有/false:入力無</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function _chkInput_4() As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "_chkInput_4", "入力チェック START")
		Try
			For Each ctl As Control In Me.pnl176MSR010C110.Controls
				If TypeOf ctl Is BT_Mask Then
					If DirectCast(ctl, BT_Mask).IsNullOrEmpty = False Then
						Return True
					End If
				End If
			Next
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ１専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_1(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_1", "タブ１検索処理 START")
		Dim cliSearch As clsMSRSearch = Nothing
		Dim sql As String = Nothing
		Dim where As String = Nothing
		Dim arySql As List(Of String) = Nothing
		Try
			cliSearch = New clsMSRSearch
			arySql = New List(Of String)
			'画面からの検索条件取得
			'基準日
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmSTANDARD_DATE, clsDB.Enum_dbType.dbDateTime, cliSearch.getValue(Me.dte007MSR010C110)))
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Me.lbl003MSR010C110.Text, cliSearch.getCndText(Me.dte007MSR010C110), Nothing))

			Select Case True
				'入院中
				Case Me.rdo008MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_1_1
					cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.rdo008MSR010C110.Text, Nothing))

				'病棟
				Case Me.rdo009MSR010C110.Checked
					For Each cliInp As clsMSRSearchInp In TAB_1_2
						'表示用名称をラジオボタンより取得
						cliInp.DispName = Me.rdo044MSR010C110.Text
						cliRet = Me.ExecuteFunction(cliInp, cliRet)
					Next

					For Each ctl As BT_CheckBox In New Control() {Me.chk012MSR010C110, Me.chk014MSR010C110, Me.chk016MSR010C110, Me.chk017MSR010C110 _
																, Me.chk019MSR010C110, Me.chk021MSR010C110, Me.chk022MSR010C110}
						If ctl.Checked = True AndAlso ctl.Enabled = True Then
							'SQL文生成
							Select Case ctl.Name
								Case Me.chk012MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_1)
								Case Me.chk014MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_2)
								Case Me.chk016MSR010C110.Name
											If Me.chk017MSR010C110.Checked = True Then
												arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_3 & sqlMSR010C110.sqlSEARCH_1_2_PLUS)
											Else
												arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_3)
											End If
								Case Me.chk019MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_4)
								Case Me.chk021MSR010C110.Name
											If Me.chk022MSR010C110.Checked = True Then
												arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_5 & sqlMSR010C110.sqlSEARCH_1_2_PLUS)
											Else
												arySql.Add(sqlMSR010C110.sqlSEARCH_1_2_5)
											End If
							End Select
							'検索条件追加
							cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, ctl.Text, Nothing))
						End If
					Next
					'追加パラメータ フラグ
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSRCOMMON.prmFLG_OFF, clsDB.Enum_dbType.dbInt, clsConst.Enum_CheckBox_Flg.CheckOff))
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt, clsConst.Enum_CheckBox_Flg.CheckOn))

					'MSR010F010で検索処理結果特殊病棟情報を作成する
					If Me.chk016MSR010C110.Checked = True OrElse Me.chk021MSR010C110.Checked = True Then
						cliRet.MakeWork = clsMSRSearchOut.ENUM_MAKE_WORK.MSR010C0110_WARD
						'基準日と病棟のパラメータを追加する
						cliRet.WorkParam.AddRange(cliRet.DbParam)
						'WHERE句の生成
						For Each param As clsMSRSearchOut.clsDbParam In cliRet.WorkParam
							If param.Where IsNot Nothing Then
								where &= CST_SQL_AND & param.Where
							End If
						Next
						cliRet.WorkSql = where
						'後続のために初期化
						where = Nothing

						'追加パラメータ ホスト名
						cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar, clsConst.CST_HOST_NM))
					End If
				'診療科
				Case Me.rdo023MSR010C110.Checked

					For Each cliInp As clsMSRSearchInp In TAB_1_3
						'表示用名称をラジオボタンより取得
						cliInp.DispName = Me.rdo047MSR010C110.Text
						cliRet = Me.ExecuteFunction(cliInp, cliRet)
					Next

					For Each ctl As BT_CheckBox In New Control() {Me.chk026MSR010C110, Me.chk028MSR010C110, Me.chk030MSR010C110 _
																, Me.chk032MSR010C110, Me.chk034MSR010C110}
						If ctl.Checked = True Then
							'SQL文生成
							Select Case ctl.Name
								Case Me.chk026MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_3_1)
								Case Me.chk028MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_3_2)
								Case Me.chk030MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_3_3)
									'追加パラメータ 固定コード(転科)
									cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmOUT_FIXED_CD, clsDB.Enum_dbType.dbNVarChar, clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept))
								Case Me.chk032MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_3_4)
								Case Me.chk034MSR010C110.Name : arySql.Add(sqlMSR010C110.sqlSEARCH_1_3_5)
									'追加パラメータ 固定コード(転科)
									cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmIN_FIXED_CD, clsDB.Enum_dbType.dbNVarChar, clsConst.Enum_HspChannel_Fix1.ChangeDept))
							End Select
							'検索条件追加
							cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, ctl.Text, Nothing))
						End If
					Next
					'追加パラメータ フラグ
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt, clsConst.Enum_CheckBox_Flg.CheckOn))
			End Select

			'病棟,診療科はここで最終SQLを作成
			If sql Is Nothing Then
				'WHERE句の取得
				For Each param As clsMSRSearchOut.clsDbParam In cliRet.DbParam
					If param.Where IsNot Nothing Then
						where &= CST_SQL_AND & param.Where
					End If
				Next
				'WHERE句の埋め込み
				For i As Integer = 0 To arySql.Count - 1
					arySql(i) = String.Format(arySql(i), where)
				Next
				'SQLを作成
				sql = String.Format(sqlMSR010C110.sqlSEARCH_1, String.Join(sqlMSR010C110.sqlUNION, arySql))
			End If
			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Me.ctlText & Environment.NewLine & Me.lbl002MSR010C110.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sql _
										, Nothing _
										, Nothing _
										, Nothing _
										)
		Catch ex As Exception
			Throw
		Finally
			If cliSearch IsNot Nothing Then : cliSearch.Dispose() : cliSearch = Nothing : End If
			sql = Nothing
			If arySql IsNot Nothing Then : arySql.Clear() : arySql = Nothing : End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ２専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_2(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_2", "タブ２検索処理 START")
		Dim cliSearch As clsMSRSearch = Nothing
		Dim sql As String = Nothing
		Dim aryValue() As String
		Try
			cliSearch = New clsMSRSearch
			'画面からの検索条件取得
			'基準日
			aryValue = DirectCast(New clsCom, clsCom).getFromToValue(cliSearch.getValue(Me.dte039MSR010C110), cliSearch.getValue(Me.dte041MSR010C110))
			'DBパラメータの作成
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmDATE_FR, clsDB.Enum_dbType.dbDateTime, aryValue(0)))
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmDATE_TO, clsDB.Enum_dbType.dbDateTime, aryValue(1)))
			'検索条件追加
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Me.lbl038MSR010C110.Text, cliSearch.getCndText(Me.dte039MSR010C110) & " ～ " & cliSearch.getCndText(Me.dte041MSR010C110), Nothing))

			Select Case True
				'指定なし
				Case Me.rdo043MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_2_1
				'病棟
				Case Me.rdo044MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_2_2
					'DBパラメータ追加
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar, cliSearch.getValue(Me.cmb045MSR010C110)))
					'検索条件追加
					cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Me.rdo044MSR010C110.Text, cliSearch.getCndText(Me.cmb045MSR010C110), Nothing))
				'診療科
				Case Me.rdo047MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_2_3
					'DBパラメータ追加
					cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar, cliSearch.getValue(Me.cmb048MSR010C110)))
					'検索条件追加
					cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Me.rdo047MSR010C110.Text, cliSearch.getCndText(Me.cmb048MSR010C110), Nothing))
			End Select

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Me.ctlText & Environment.NewLine & Me.lbl036MSR010C110.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sqlMSR010C110.sqlSEARCH_SELECT _
										, sql _
										, Nothing _
										, Nothing _
										)
		Catch ex As Exception
			Throw
		Finally
			If cliSearch IsNot Nothing Then : cliSearch.Dispose() : cliSearch = Nothing : End If
			sql = Nothing
			aryValue = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ３専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_3(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_3", "タブ３検索処理 START")
		Dim aryItem(,) As String = Nothing
		Dim cliRetSP As clsMSRSearchOut = Nothing
		Dim TabName As String = Nothing
		Dim TableCd As clsMSRCOMMON.Enum_Tbl_CD
		Dim idx As Integer = Nothing
		Dim where As String = Nothing

		Const CST_JOIN As Integer = 0
		Const CST_WHERE As Integer = 1
		Dim sql() As String = Nothing

		Try
			aryItem = {{sqlMSR010C110.itmH_HSP_AGE, sqlMSR010C110.itmH_OUT_HSP_AGE, sqlMSR010C110.itmH_HSP_CNL_CD} _
					 , {sqlMSR010C110.itmC_START_AGE, sqlMSR010C110.itmC_END_AGE, sqlMSR010C110.itmC_START_CNL_CD} _
					  }
			cliRetSP = New clsMSRSearchOut
			sql = {Nothing, Nothing}

			'画面からの検索条件取得
			'入退院/科歴
			Select Case True
				Case Me.rdo053MSR010C110.Checked : idx = 0 : TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP : TabName = Me.rdo053MSR010C110.Text
				Case Me.rdo054MSR010C110.Checked : idx = 1 : TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH : TabName = Me.rdo054MSR010C110.Text
			End Select

			Me.setSearchList()
			Me.setSearchList(TAB_4_1)
			Me.setSearchList(TAB_4_2)
			Me.setSearchList(TAB_4_3)

			'検索コントロールの走査
			For i As Integer = 0 To Me.SearchControls.Count - 1
				For Each cliInp As clsMSRSearchInp In Me.SearchControls(i)
					Dim ctl As Control = Me.findControl(cliInp.CheckBoxControl)
					If ctl IsNot Nothing AndAlso _
						DirectCast(ctl, BT_CheckBox).Checked = True Then
							'表示用名称をチェックボックスより取得
							If cliInp.DispName Is Nothing Then cliInp.DispName = ctl.Text

							'テーブルとDB項目をここで指定
							Select Case cliInp.CheckBoxControl
								Case "chk055MSR010C110" : cliInp.TableCd = TableCd : cliInp.ItemName = aryItem(idx, 0)
								Case "chk065MSR010C110" : cliInp.TableCd = TableCd : cliInp.ItemName = aryItem(idx, 1)
								Case "chk075MSR010C110" : cliInp.TableCd = TableCd : cliInp.ItemName = aryItem(idx, 2)
							End Select

							'検索
							If i = 1 Then
								cliRetSP = Me.ExecuteFunction(cliInp, cliRetSP)
							Else
								cliRet = Me.ExecuteFunction(cliInp, cliRet)
							End If
					End If
				Next
				'病名区分とＩＣＤ１０をマージ
				If i = 1 AndAlso cliRetSP.DbParam.Count > 0 Then
					Dim whereDisease As String = Nothing
					Dim sqlDisease As String = Nothing
					For Each tblCd As clsMSRCOMMON.Enum_Tbl_CD In cliRetSP.TableList
						where = Nothing
						'条件を抽出
						For Each param As clsMSRSearchOut.clsDbParam In cliRetSP.DbParam
							If param.TableCd = tblCd AndAlso param.Where IsNot Nothing Then
								where &= CST_SQL_AND & param.Where
							End If
						Next
						If where IsNot Nothing Then
							whereDisease &= CST_SQL_OR & "(" & where.Substring(CST_SQL_AND.Length) & ")"
						End If
						'SQL文条件を抽出
						where = Nothing
						For Each param As clsMSRSearchOut.clsCondition In cliRetSP.Condition
							If param.TableCd = tblCd AndAlso param.SqlSnt IsNot Nothing Then
								where &= CST_SQL_AND & param.SqlSnt
							End If
						Next
						If where IsNot Nothing Then
							sqlDisease &= CST_SQL_OR & "(" & where.Substring(CST_SQL_AND.Length) & ")"
						End If
					Next
					If whereDisease IsNot Nothing Then
						whereDisease = whereDisease.Substring(CST_SQL_OR.Length)
						sqlDisease = sqlDisease.Substring(CST_SQL_OR.Length)

						'否定ありの場合
						If Me.cmb103MSR010C110.SelectedValue = clsConst.Enum_NotMatch.NotMatch Then
							whereDisease = String.Format("NOT ({0})", whereDisease)
							sqlDisease = String.Format("NOT ({0})", sqlDisease)
						End If

						'本体へコピー
						For j As Integer = 0 To cliRetSP.DbParam.Count - 1
							cliRetSP.DbParam(j).TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE
							If j = 0 Then
								cliRetSP.DbParam(j).Where = whereDisease
							Else
								cliRetSP.DbParam(j).Where = Nothing
							End If
							cliRet.AddDBParam(cliRetSP.DbParam(j))
						Next
						For j As Integer = 0 To cliRetSP.Condition.Count - 1
							cliRetSP.Condition(j).TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE
							If j = 0 Then
								cliRetSP.Condition(j).SqlSnt = sqlDisease
								'NOTを付与
								If Me.cmb103MSR010C110.SelectedValue = clsConst.Enum_NotMatch.NotMatch Then
									cliRetSP.Condition(j).SqlPlus = Me.cmb103MSR010C110.Text
								End If
							Else
								cliRetSP.Condition(j).SqlSnt = Nothing
							End If
							cliRet.AddCondition(cliRetSP.Condition(j))
						Next
						cliRet.Control.AddRange(cliRetSP.Control)
					End If
				End If

			Next

			'テーブルコード単位に処理を行う
			For Each tblCd As clsMSRCOMMON.Enum_Tbl_CD In cliRet.TableList
				where = Nothing
				'条件を抽出
				For Each param As clsMSRSearchOut.clsDbParam In cliRet.DbParam
					If param.TableCd = tblCd AndAlso param.Where IsNot Nothing Then
						where &= CST_SQL_OR & "(" & param.Where & ")"
					End If
				Next

				'条件がなければ次へ
				If where Is Nothing Then Continue For

				Select Case tblCd

					'入退院情報
					Case clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
						sql(CST_WHERE) &= where

					'科歴情報
					Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CH
						'検索対象が科歴なら
						If TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH Then
							sql(CST_WHERE) &= where
						'検索対象が入退院なら
						Else
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_CH_H, where.Substring(CST_SQL_OR.Length))
							sql(CST_WHERE) &= sqlMSR010C110.selWhere_MTI_CH
						End If

					'病名情報
					Case clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE
						'検索対象が科歴なら
						If TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH Then
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_DISEASE_C, where.Substring(CST_SQL_OR.Length))
						'入退院なら
						Else
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_DISEASE_H, where.Substring(CST_SQL_OR.Length))
						End If
						sql(CST_WHERE) &= sqlMSR010C110.selWhere_MTI_DISEASE

					'病棟情報
					Case clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD
						'検索対象が科歴なら
						If TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH Then
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_WARD_C, where.Substring(CST_SQL_OR.Length))
						'検索対象が入退院なら
						Else
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_WARD_H, where.Substring(CST_SQL_OR.Length))
						End If
						sql(CST_WHERE) &= sqlMSR010C110.selWhere_MTI_WARD

					'貸出物情報
					Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM
						'検索対象が科歴なら
						If TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH Then
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_LENDITM_C, where.Substring(CST_SQL_OR.Length))
						'検索対象が入退院なら
						Else
							sql(CST_JOIN) &= String.Format(sqlMSR010C110.selSEARCH_MTI_LENDITM_H, where.Substring(CST_SQL_OR.Length))
						End If
						sql(CST_WHERE) &= sqlMSR010C110.selWhere_MTI_LENDITM

					Case Else

				End Select
			Next
			'検索条件にタブ名を付与
			For Each cnd As clsMSRSearchOut.clsCondition In cliRet.Condition
				cnd.TabName = TabName
			Next
			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(TableCd, Me.ctlText & Environment.NewLine & Me.lbl051MSR010C110.Text)

			'ＳＱＬ文の作成
			If sql(CST_WHERE) IsNot Nothing Then
				sql(CST_WHERE) = CST_SQL_WHERE & sql(CST_WHERE).Substring(CST_SQL_OR.Length)
			End If
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sqlMSR010C110.sqlSEARCH_SELECT _
										, sql(CST_JOIN) _
										, sql(CST_WHERE) _
										, Nothing _
										)

		Catch ex As Exception
			Throw
		Finally
			sql = Nothing
			where = Nothing
			TabName = Nothing
			aryItem = Nothing
			If cliRetSP IsNot Nothing Then : cliRetSP.Dispose() : cliRetSP = Nothing : End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ４専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_4(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_4", "タブ４検索処理 START")
		Dim sql As String = Nothing
		Try
			'画面からの検索条件取得
			'入退院/科歴
			Select Case True
				'画面指定
				Case Me.rdo177MSR010C110.Checked
					'DBパラメータの作成　検索条件の作成
					Dim idx As Integer
					Dim wk As String = Nothing
					For Each ctl As Control In New Control() {Me.msk178MSR010C110, Me.msk179MSR010C110, Me.msk180MSR010C110, Me.msk181MSR010C110, Me.msk182MSR010C110 _
															, Me.msk183MSR010C110, Me.msk184MSR010C110, Me.msk185MSR010C110, Me.msk186MSR010C110, Me.msk187MSR010C110 _
															, Me.msk188MSR010C110, Me.msk189MSR010C110, Me.msk190MSR010C110, Me.msk191MSR010C110, Me.msk192MSR010C110 _
															, Me.msk193MSR010C110, Me.msk194MSR010C110, Me.msk195MSR010C110, Me.msk196MSR010C110, Me.msk197MSR010C110 _
															, Me.msk198MSR010C110, Me.msk199MSR010C110, Me.msk200MSR010C110, Me.msk201MSR010C110, Me.msk202MSR010C110 _
															, Me.msk203MSR010C110, Me.msk204MSR010C110, Me.msk205MSR010C110, Me.msk206MSR010C110, Me.msk207MSR010C110 _
															, Me.msk208MSR010C110, Me.msk209MSR010C110, Me.msk210MSR010C110, Me.msk211MSR010C110, Me.msk212MSR010C110 _
															, Me.msk213MSR010C110, Me.msk214MSR010C110, Me.msk215MSR010C110, Me.msk216MSR010C110, Me.msk217MSR010C110 _
															, Me.msk218MSR010C110, Me.msk219MSR010C110, Me.msk220MSR010C110, Me.msk221MSR010C110, Me.msk222MSR010C110 _
															, Me.msk223MSR010C110, Me.msk224MSR010C110, Me.msk225MSR010C110, Me.msk226MSR010C110, Me.msk227MSR010C110 _
															}
						If TypeOf ctl Is BT_Mask Then
							If DirectCast(ctl, BT_Mask).IsNullOrEmpty = False Then
								sql &= ",@" & ctl.Name
								cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, "@" & ctl.Name, clsDB.Enum_dbType.dbNVarChar, ctl.Text))
								wk &= Space(1) & ctl.Text : idx += 1
								If idx = 4 Then
									cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, "患者番号", wk.TrimStart, Nothing))
									idx = 0
									wk = Nothing
								End If
							End If
						End If
					Next
					If wk IsNot Nothing Then
						cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, "患者番号", wk.TrimStart, Nothing))
					End If

				'ファイル指定
				Case Me.rdo228MSR010C110.Checked
					'DBパラメータの作成
					For i As Long = 0 To Me.PatientNo.Count - 1
						sql &= "," & sqlMSR010C110.prmPATIENTNO & i
						cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmPATIENTNO & i, clsDB.Enum_dbType.dbNVarChar, Me.PatientNo(i)))
					Next
					'検索条件の作成
					cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, "ファイル指定", Me.txt229MSR010C110.Text, Nothing))
				Case Else : Return
			End Select

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Me.ctlText & Environment.NewLine & Me.lbl175MSR010C110.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sqlMSR010C110.sqlSEARCH_SELECT _
										, String.Format(sqlMSR010C110.sqlSEARCH_4, sql.Substring(1)) _
										, Nothing _
										, Nothing _
										)

		Catch ex As Exception
			Throw
		Finally
			sql = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ５専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_5(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_5", "タブ５検索処理 START")
		Dim aryInfo() As String = Nothing
		Dim cliSearch As clsMSRSearch = Nothing
		Dim TableCd As clsMSRCOMMON.Enum_Tbl_CD
		Dim sql As String = Nothing
		Try
			aryInfo = {Nothing, Nothing}
			cliSearch = New clsMSRSearch
			'画面からの検索条件取得
			'入退院/科歴
			Select Case True
				Case Me.rdo234MSR010C110.Checked : aryInfo(0) = Me.rdo234MSR010C110.Text : TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
				Case Me.rdo235MSR010C110.Checked : aryInfo(0) = Me.rdo235MSR010C110.Text : TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH
				Case Else : Return
			End Select
			'病棟条件
			Select Case True
				Case Me.rdo238MSR010C110.Checked : aryInfo(1) = Me.rdo238MSR010C110.Text
					Select Case True
						Case Me.rdo234MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_5_1_H
						Case Me.rdo235MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_5_1_C
					End Select
				Case Me.rdo239MSR010C110.Checked : aryInfo(1) = Me.rdo239MSR010C110.Text
					Select Case True
						Case Me.rdo234MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_5_2_H
						Case Me.rdo235MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_5_2_C
					End Select
				Case Me.rdo240MSR010C110.Checked : aryInfo(1) = Me.rdo240MSR010C110.Text
					Select Case True
						Case Me.rdo234MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_5_3_H
						Case Me.rdo235MSR010C110.Checked : sql = sqlMSR010C110.sqlSEARCH_5_3_C
					End Select
				Case Else : Return
			End Select
			'DBパラメータの作成
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar, Me.cmb242MSR010C110.SelectedValue))
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar, Me.cmb242MSR010C110.Text))
'(M) END V4-11032-000 004 20110818
			cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt, clsConst.Enum_CheckBox_Flg.CheckOn))

			'検索条件の作成
			cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, aryInfo(0), aryInfo(1), cliSearch.getCndText(Me.cmb242MSR010C110), Nothing))

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(TableCd, Me.ctlText & Environment.NewLine & Me.lbl232MSR010C110.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sqlMSR010C110.sqlSEARCH_SELECT _
										, sql _
										, Nothing _
										, Nothing _
										)

		Catch ex As Exception
			Throw
		Finally
			sql = Nothing
			aryInfo = Nothing
			If cliSearch IsNot Nothing Then : cliSearch.Dispose() : cliSearch = Nothing : End If

		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ６専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_6(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_6", "タブ６検索処理 START")
		Dim aryInfo() As String = Nothing
		Dim arySql() As String = Nothing
		Dim LendItem As clsConst.Enum_Lenditem = clsConst.Enum_Lenditem.Summary
		Dim TableCd As clsMSRCOMMON.Enum_Tbl_CD

		Try
			aryInfo = {Nothing, Nothing, Nothing, Nothing}
			arySql = {Nothing, Nothing}

			'画面からの検索条件取得
			'日付
			Select Case True
				Case Me.rdo248MSR010C110.Checked : aryInfo(0) = Me.rdo248MSR010C110.Text : aryInfo(2) = sqlMSR010C110.itmL_RECORD_RECEIPT_DT
												   LendItem = clsConst.Enum_Lenditem.MedicalRecord
				Case Me.rdo249MSR010C110.Checked : aryInfo(0) = Me.rdo249MSR010C110.Text : aryInfo(2) = sqlMSR010C110.itmL_SUMMARY_RECEIPT_DT
				Case Me.rdo250MSR010C110.Checked : aryInfo(0) = Me.rdo250MSR010C110.Text : aryInfo(2) = sqlMSR010C110.itmL_SUMMARY_APPROVAL_DT
			End Select

			'管理単位よりテーブルコードの策定
			Select Case clsMSRCOMMON.getLendItemUnitCd(LendItem)
				Case clsConst.Enum_LendUnit.Each_Patient
						TableCd = clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO
						arySql(0) = sqlMSR010C110.sql6_JOIN_P
				Case clsConst.Enum_LendUnit.Each_Hosp
						TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
						arySql(0) = sqlMSR010C110.sql6_JOIN_H
				Case clsConst.Enum_LendUnit.Each_Dept
						TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH
						arySql(0) = sqlMSR010C110.sql6_JOIN_C
				Case Else : cliRet = Nothing : Return
			End Select

			'退院日/終了日
			aryInfo(1) = Me.lbl252MSR010C110.Text
			Select Case aryInfo(1)
				Case CST_6_OUT
						aryInfo(3) = sqlMSR010C110.itmH_OUT_HSP_DT
						arySql(1) = sqlMSR010C110.sql6_Where_H
						TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
				Case CST_6_END
						aryInfo(3) = sqlMSR010C110.itmC_END_DT
						arySql(1) = sqlMSR010C110.sql6_Where_C
						If TableCd = clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO Then
							TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH
						End If
				Case Else
						Return
			End Select
			For Each cliInp As clsMSRSearchInp In TAB_6
				cliInp.DispName = aryInfo(0) & "－" & aryInfo(1)
				cliInp.ItemName = String.Format(sqlMSR010C110.itmDATEDIFF, aryInfo(2), aryInfo(3))
				'検索
				cliRet = Me.ExecuteFunction(cliInp, cliRet)
			Next

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(TableCd, Me.ctlText & Environment.NewLine & Me.lbl246MSR010C110.Text)

			'ＳＱＬ文の作成
			'条件を抽出
			For Each param As clsMSRSearchOut.clsDbParam In cliRet.DbParam
				If param.Where IsNot Nothing Then
					arySql(1) &= CST_SQL_AND & param.Where
				End If
			Next
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sqlMSR010C110.sqlSEARCH_SELECT _
										, sqlMSR010C110.selSEARCH_6 _
										, arySql(0) _
										, arySql(1) _
										)

		Catch ex As Exception
			Throw
		Finally
			aryInfo = Nothing
			arySql = Nothing
			LendItem = Nothing
			TableCd = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理(タブ７専用)
	''' </summary>
	''' <param name="cliRet">検索結果クラス</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getSearchInfo_7(ByRef cliRet As clsMSRSearchOut)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo_7", "タブ７検索処理 START")
		Dim sql As String = Nothing
		Try
			'画面からの検索条件取得
			Select Case True
				Case Me.rdo263MSR010C110.Checked
						Dim StandardDate As DateTime = Me.dte264MSR010C110.DateValue
						cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmSTANDARD_DATE, clsDB.Enum_dbType.dbDateTime, StandardDate.Date))
						StandardDate = StandardDate.AddYears(Me.num266MSR010C110.DblValue * -1)
						cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(Nothing, Nothing, sqlMSR010C110.prmSTANDARD_DATE_PLUS, clsDB.Enum_dbType.dbDateTime, StandardDate.Date))
						sql = sqlMSR010C110.selSEARCH_7_1
				Case Me.rdo269MSR010C110.Checked
						For Each cliInp As clsMSRSearchInp In TAB_7_2
							'検索
							cliRet = Me.ExecuteFunction(cliInp, cliRet)
						Next
						'条件を抽出
						For Each param As clsMSRSearchOut.clsDbParam In cliRet.DbParam
							If param.Where IsNot Nothing Then
								sql &= CST_SQL_AND & param.Where
							End If
						Next
						sql = String.Format(sqlMSR010C110.selSEARCH_7_2, sql)
			End Select

			'検索条件の作成
			Select Case True
				Case Me.rdo263MSR010C110.Checked
					'再作成する
					cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.dte264MSR010C110.DisplayText & Me.lbl265MSR010C110.Text.Substring(0, 3), Nothing))
					cliRet.AddCondition(New clsMSRSearchOut.clsCondition(Nothing, Nothing, Nothing, Nothing, Me.lbl265MSR010C110.Text.Substring(3) & Me.num266MSR010C110.Text & Me.lbl267MSR010C110.Text, Nothing))
				Case Me.rdo269MSR010C110.Checked
					'そのまま利用
			End Select

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO, Me.ctlText & Environment.NewLine & Me.lbl261MSR010C110.Text)

			'ＳＱＬ文の作成
			cliRet.Sql = String.Format(sqlMSR010C110.sqlSEARCH_INS _
										, sqlMSR010C110.sqlSEARCH_SELECT _
										, sql _
										, sqlMSR010C110.sql_JOIN_P _
										, Nothing
										)
		Catch ex As Exception
			Throw
		Finally
			sql = Nothing
		End Try
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	 ''' <summary>
	 ''' 検索条件設定有無チェック
	 ''' </summary>
	 ''' <param name="SearchNo">検索番号</param>
	 ''' <returns>設定有無</returns>
	 ''' <remarks>
	 ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Public Overrides Function chkInput(ByVal SearchNo As Integer) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "ChkInput", "検索条件設定有無チェック START")
		Dim frm As frmBase = Nothing
		Try
			frm = Me.TopLevelControl
			Select Case tab001MSR000C020.SelectedTab.Name
				'　１．在院患者検索１
				Case Me.tpg001MSR010C110.Name
						'基準日
						With Me.dte007MSR010C110
							If .DateValue.Equals(Nothing) Then frm.addErrList("E0001", .Name, "基準日", Nothing)
						End With

						Select Case True
							'病棟を選択時
							Case Me.rdo009MSR010C110.Checked
								If Me.chk012MSR010C110.Checked = False AndAlso _
								   Me.chk014MSR010C110.Checked = False AndAlso _
								   Me.chk016MSR010C110.Checked = False AndAlso _
								   Me.chk019MSR010C110.Checked = False AndAlso _
								   Me.chk021MSR010C110.Checked = False Then
								  frm.addErrList("E0001", Me.chk012MSR010C110.Name, "検索対象", Nothing)
								End If
							'診療科を選択時
							Case Me.rdo023MSR010C110.Checked
								If Me.chk026MSR010C110.Checked = False AndAlso _
								   Me.chk028MSR010C110.Checked = False AndAlso _
								   Me.chk030MSR010C110.Checked = False AndAlso _
								   Me.chk032MSR010C110.Checked = False AndAlso _
								   Me.chk034MSR010C110.Checked = False Then
								  frm.addErrList("E0001", Me.chk026MSR010C110.Name, "検索対象", Nothing)
								End If
						End Select
				'　２．在院患者検索２
				Case Me.tpg035MSR010C110.Name
						'基準日
						With Me.dte039MSR010C110
							If .DateValue.Equals(Nothing) Then frm.addErrList("E0001", .Name, "基準日", Nothing)
						End With
						With Me.dte041MSR010C110
							If .DateValue.Equals(Nothing) Then frm.addErrList("E0001", .Name, "基準日", Nothing)
						End With
						Select Case True
							'指定なし
							Case Me.rdo043MSR010C110.Checked
							'病棟
							Case Me.rdo044MSR010C110.Checked
								With Me.cmb045MSR010C110
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'									If .SelectedIndex = -1 Then frm.addErrList("E0001", .Name, Me.rdo044MSR010C110.Text, Nothing)
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, Me.rdo044MSR010C110.Text, Nothing)
'(M) END V4-11032-000 004 20110818
								End With
							'診療科
							Case Me.rdo047MSR010C110.Checked
								With Me.cmb048MSR010C110
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'									If .SelectedIndex = -1 Then frm.addErrList("E0001", .Name, Me.rdo047MSR010C110.Text, Nothing)
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, Me.rdo047MSR010C110.Text, Nothing)
'(M) END V4-11032-000 004 20110818
								End With
						End Select
				'　３．ＯＲ検索
				Case Me.tpg050MSR010C110.Name
						If Me.chk055MSR010C110.Checked = False AndAlso _
						   Me.chk065MSR010C110.Checked = False AndAlso _
						   Me.chk075MSR010C110.Checked = False AndAlso _
						   Me.chk085MSR010C110.Checked = False AndAlso _
						   Me.chk104MSR010C110.Checked = False AndAlso _
						   Me.chk114MSR010C110.Checked = False AndAlso _
						   Me.chk118MSR010C110.Checked = False AndAlso _
						   Me.chk128MSR010C110.Checked = False AndAlso _
						   Me.chk138MSR010C110.Checked = False AndAlso _
						   Me.chk148MSR010C110.Checked = False Then
							frm.addErrList("E0003", Me.chk055MSR010C110.Name, "検索対象", "検索処理条件が未指定", "検索", Nothing)
						Else
							'入院時年齢
							If Me.chk055MSR010C110.Checked = True Then
								With Me.num056MSR010C110
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, Me.chk055MSR010C110.Text, Nothing)
								End With
								With Me.num061MSR010C110
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, Me.chk055MSR010C110.Text, Nothing)
								End With
							End If

							'退院時年齢
							If Me.chk065MSR010C110.Checked = True Then
								With Me.num066MSR010C110
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, Me.chk065MSR010C110.Text, Nothing)
								End With
								With Me.num071MSR010C110
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, Me.chk065MSR010C110.Text, Nothing)
								End With
							End If

							'入院経路
'(M) STR V4-11032-000 010 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk075MSR010C110.Checked = True AndAlso _
'							   Me.cmb076MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb079MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb082MSR010C110.SelectedIndex = -1 Then
							If Me.chk075MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb076MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb079MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb082MSR010C110.Text) = True Then
'(M) END V4-11032-000 010 20110818
								frm.addErrList("E0001", Me.cmb076MSR010C110.Name, Me.chk075MSR010C110.Text, Nothing)
							End If

							'病名区分
'(M) STR V4-11032-000 022 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk085MSR010C110.Checked = True AndAlso _
'							   Me.cmb086MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb092MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb098MSR010C110.SelectedIndex = -1 AndAlso _
'							   String.IsNullOrEmpty(Me.txt088MSR010C110.Text) = True AndAlso _
'							   String.IsNullOrEmpty(Me.txt090MSR010C110.Text) = True AndAlso _
'							   String.IsNullOrEmpty(Me.txt094MSR010C110.Text) = True AndAlso _
'							   String.IsNullOrEmpty(Me.txt096MSR010C110.Text) = True AndAlso _
'							   String.IsNullOrEmpty(Me.txt100MSR010C110.Text) = True AndAlso _
'							   String.IsNullOrEmpty(Me.txt102MSR010C110.Text) = True Then
							If Me.chk085MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb086MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb092MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb098MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.txt088MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.txt090MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.txt094MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.txt096MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.txt100MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.txt102MSR010C110.Text) = True Then
'(M) END V4-11032-000 022 20110818
								frm.addErrList("E0001", Me.cmb086MSR010C110.Name, "病名区分 ＩＣＤ１０", Nothing)
							End If

							'病棟
'(M) STR V4-11032-000 010 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk104MSR010C110.Checked = True AndAlso _
'							   Me.cmb105MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb108MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb111MSR010C110.SelectedIndex = -1 Then
							If Me.chk104MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb105MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb108MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb111MSR010C110.Text) = True Then
'(M) END V4-11032-000 010 20110818
								frm.addErrList("E0001", Me.cmb105MSR010C110.Name, Me.chk104MSR010C110.Text, Nothing)
							End If

							'病棟グループ
'(M) STR V4-11032-000 006 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk114MSR010C110.Checked = True AndAlso _
'							   Me.cmb115MSR010C110.SelectedIndex = -1 Then
							If Me.chk114MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb115MSR010C110.Text) = True Then
'(M) END V4-11032-000 006 20110818
								frm.addErrList("E0001", Me.cmb115MSR010C110.Name, Me.chk114MSR010C110.Text, Nothing)
							End If

							'診療科
'(M) STR V4-11032-000 010 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk118MSR010C110.Checked = True AndAlso _
'							   Me.cmb119MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb122MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb125MSR010C110.SelectedIndex = -1 Then
							If Me.chk118MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb119MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb122MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb125MSR010C110.Text) = True Then
'(M) END V4-11032-000 010 20110818
								frm.addErrList("E0001", Me.cmb119MSR010C110.Name, Me.chk118MSR010C110.Text, Nothing)
							End If

							'保険
''M) STR V4-11032-000 010 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk128MSR010C110.Checked = True AndAlso _
'							   Me.cmb129MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb132MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb135MSR010C110.SelectedIndex = -1 Then
							If Me.chk128MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb129MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb132MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb135MSR010C110.Text) = True Then
'(M) END V4-11032-000 010 20110818
								frm.addErrList("E0001", Me.cmb129MSR010C110.Name, Me.chk128MSR010C110.Text, Nothing)
							End If

							'診療録管理
'(M) STR V4-11032-000 010 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk138MSR010C110.Checked = True AndAlso _
'							   Me.cmb139MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb142MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb145MSR010C110.SelectedIndex = -1 Then
							If Me.chk138MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb139MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb142MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb145MSR010C110.Text) = True Then
'(M) END V4-11032-000 010 20110818
								frm.addErrList("E0001", Me.cmb139MSR010C110.Name, Me.chk138MSR010C110.Text, Nothing)
							End If

							'サマリ管理
'(M) STR V4-11032-000 010 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'							If Me.chk148MSR010C110.Checked = True AndAlso _
'							   Me.cmb149MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb152MSR010C110.SelectedIndex = -1 AndAlso _
'							   Me.cmb155MSR010C110.SelectedIndex = -1 Then
							If Me.chk148MSR010C110.Checked = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb149MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb152MSR010C110.Text) = True AndAlso _
							   String.IsNullOrEmpty(Me.cmb155MSR010C110.Text) = True Then
'(M) END V4-11032-000 010 20110818
								frm.addErrList("E0001", Me.cmb149MSR010C110.Name, Me.chk148MSR010C110.Text, Nothing)
							End If
						End If
				'　４．患者番号指定検索（患者基準）
				Case Me.tpg174MSR010C110.Name
						Select Case True
							Case Me.rdo177MSR010C110.Checked
								If Me._chkInput_4 = False Then
									frm.addErrList("E0001", Me.msk178MSR010C110.Name, Me.rdo177MSR010C110.Text, Nothing)
								End If
							Case Me.rdo228MSR010C110.Checked
								With Me.txt229MSR010C110
									If String.IsNullOrEmpty(.Text) = True Then
										frm.addErrList("E0001", .Name, Me.rdo228MSR010C110.Text, Nothing)
									ElseIf IO.File.Exists(.Text) = False Then
										'ファイルが存在しません。
										frm.addErrList("E0015", .Name, Me.rdo228MSR010C110.Text, .Text, Nothing)
									Else
										'ファイル読込
										Me.PatientNo.Clear()
										Dim cliReader As New System.IO.StreamReader(.Text, System.Text.Encoding.Default)
										Dim Buffer As String
										Try
											While (cliReader.Peek() > -1)
												Buffer = cliReader.ReadLine()
												If IsNumeric(Buffer) Then
													Me.PatientNo.Add(Integer.Parse(Buffer).ToString(New String("0", Me.msk178MSR010C110.Mask.Length)))
												End If
											End While
										Catch ex As Exception
											Throw
										Finally
											Buffer = Nothing
											cliReader.Close()
											cliReader = Nothing
										End Try
										If Me.PatientNo.Count = 0 Then
											'患者番号が未指定のため検索できません。
											frm.addErrList("E0003", .Name, Me.rdo228MSR010C110.Text, "患者番号が未指定の", "検索", Nothing)
										End If
									End If
								End With
						End Select
				'　５．病棟検索
				Case Me.tpg231MSR010C110.Name
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'						If Me.cmb242MSR010C110.SelectedIndex = -1 Then
						If String.IsNullOrEmpty(Me.cmb242MSR010C110.Text) = True Then
'(M) END V4-11032-000 004 20110818
							frm.addErrList("E0001", Me.cmb242MSR010C110.Name, "病棟", Nothing)
						End If

				'　６．受領検索
				Case Me.tpg245MSR010C110.Name
						Dim JpTxt As String = Nothing
						Select Case True
							Case Me.rdo248MSR010C110.Checked : JpTxt = Me.rdo248MSR010C110.Text
							Case Me.rdo249MSR010C110.Checked : JpTxt = Me.rdo249MSR010C110.Text
							Case Me.rdo250MSR010C110.Checked : JpTxt = Me.rdo250MSR010C110.Text
						End Select
						With Me.num256MSR010C110
							If String.IsNullOrEmpty(.Text) Then
								frm.addErrList("E0001", .Name, JpTxt, Nothing)
							End If
						End With
						With Me.num258MSR010C110
							If String.IsNullOrEmpty(.Text) Then
								frm.addErrList("E0001", .Name, JpTxt, Nothing)
							End If
						End With

				'　７．指定日付経過年数検索（患者基準）
				Case Me.tpg260MSR010C110.Name
						Select Case True
							Case Me.rdo263MSR010C110.Checked
								With Me.dte264MSR010C110
									If .DateValue.Equals(Nothing) = True Then frm.addErrList("E0001", .Name, "日付", Nothing)
								End With
								With Me.num266MSR010C110
									If String.IsNullOrEmpty(.Text) = True Then frm.addErrList("E0001", .Name, "年", Nothing)
								End With
							Case Me.rdo269MSR010C110.Checked
								With Me.dte271MSR010C110
									If .DateValue.Equals(Nothing) = True Then frm.addErrList("E0001", .Name, "日付", Nothing)
								End With
								With Me.dte273MSR010C110
									If .DateValue.Equals(Nothing) = True Then frm.addErrList("E0001", .Name, "日付", Nothing)
								End With
						End Select
			End Select

			With DirectCast(Me.TopLevelControl, frmBase)
				If .getErrCount > 0 Then
					.nextErrForm()
				Else
					Return True
				End If
			End With
		Catch ex As Exception
			Throw
		Finally
			frm = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <param name="type">検索タイプ</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function getSearchInfo(ByVal type As MSR000C010.ENUM_SEARCH_TYPE) As clsMSRSearchOut
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo", "検索処理 START")
		Dim cliRet As clsMSRSearchOut
		Try
			cliRet = New clsMSRSearchOut
			Select Case Me.tab001MSR000C020.SelectedTab.Name
				Case Me.tpg001MSR010C110.Name : Me.getSearchInfo_1(cliRet)
				Case Me.tpg035MSR010C110.Name : Me.getSearchInfo_2(cliRet)
				Case Me.tpg050MSR010C110.Name : Me.getSearchInfo_3(cliRet)
				Case Me.tpg174MSR010C110.Name : Me.getSearchInfo_4(cliRet)
				Case Me.tpg231MSR010C110.Name : Me.getSearchInfo_5(cliRet)
				Case Me.tpg245MSR010C110.Name : Me.getSearchInfo_6(cliRet)
				Case Me.tpg260MSR010C110.Name : Me.getSearchInfo_7(cliRet)
			End Select
			'コントロール情報の追加
			cliRet.Control.Clear()
			DirectCast(New clsMSRSearch, clsMSRSearch).setSearchControl(Me.tab001MSR000C020.SelectedTab, cliRet)
			Return cliRet
		Catch ex As Exception
			Throw
		Finally
			cliRet = Nothing
		End Try
	End Function

#End Region

End Class
