﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件入力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010F010

#Region "コンスタント"
    ''' ---------------------------------------------
    ''' <summary>
    ''' ＳＱＬ文
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Enum ENUM_SQL As Byte
        ''' <summary>
        ''' 使用者コード/検索番号パラメータ設定
        ''' </summary>
        PARAM_ONLY = 0
        ''' <summary>
        ''' 検索結果情報取得
        ''' </summary>
        SEL_INFO = 1
        ''' <summary>
        ''' 検索情報 統計用コピー
        ''' </summary>
        COPY_MST = 2
        ''' <summary>
        ''' 検索結果情報コントロール追加
        ''' </summary>
        INS_CTRL = 3
        ''' <summary>
        ''' 検索結果情報条件追加
        ''' </summary>
        INS_CND = 4
        ''' <summary>
        ''' 検索結果情報追加
        ''' </summary>
        INS_INFO = 5
        ''' <summary>
        ''' 検索結果情報結果件数取得
        ''' </summary>
        SEL_CNT = 6
    End Enum

    Private Const CST_SHOW_MSR010F0200 As String = "MSR010F020"     '検索条件入力画面

#End Region

#Region "変数"

    Private ctlMSR000C010 As MSR000C010                             '検索コントロール
    Private btnOld As Button = Nothing                              '検索ボタン(押下時に保持)

    'フォームインスタンス
    Private fMSR010F020 As MSR010F020                               '検索条件入力画面
#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 初期化
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New()
        MyBase.New()

        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。

    End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームロード
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSR010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(clsSysMst.logLevel.NRM, "MSR010F010_Load", "フォームロード　START")
        Try
            Me.Cursor = Cursors.WaitCursor
            '排他制御登録
            If Me.setStartStatus(False) = False Then
                Me.CancelProc()
                Return
            End If

            '統計の権限
            If DirectCast(New XSP.clsXTM_USER, XSP.clsXTM_USER).getAuthority(XSP.clsXTM_USER.Enum_Authority.PRD1_Toukei) = True Then
                Me.btn025MSR010F010.Enabled = True
                Me.btn035MSR010F010.Enabled = True
                Me.btn045MSR010F010.Enabled = True
                Me.btn055MSR010F010.Enabled = True
                Me.btn065MSR010F010.Enabled = True
            End If

            '標準コントロールを表示
            Me.setSearchControl(Me.btn001MSR010F010.Name)
        Catch ex As Exception
            Me.ErrorProc(ex)
            Me.CancelProc()
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォーム表示
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/07 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSR010F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        log(clsSysMst.logLevel.NRM, "MSR010F010_Shown", "フォーム表示 START")
        Me.Cursor = Cursors.WaitCursor
        Try
            Me.setDispResult(1, 5)
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームクローズ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSR010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "MSR010F010_FormClosing", "フォームクローズ START")
        Try
            Me.delStartStatus()
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            If Me.ctlMSR000C010 IsNot Nothing Then
                Me.ctlMSR000C010.Dispose()
                Me.ctlMSR000C010 = Nothing
            End If
            'フォームインスタンス
            Me.fMSR010F020 = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 検索条件画面切り替えボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnSearchChang_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
        btn001MSR010F010.Click, btn002MSR010F010.Click, btn003MSR010F010.Click, btn004MSR010F010.Click, btn005MSR010F010.Click _
      , btn006MSR010F010.Click, btn007MSR010F010.Click, btn008MSR010F010.Click, btn009MSR010F010.Click, btn010MSR010F010.Click _
      , btn011MSR010F010.Click, btn012MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnSearchChang_Click", String.Format("検索条件切り替えボタンクリック({0}) START", sender.text))
        Me.Cursor = Cursors.WaitCursor
        Try
            Me.setSearchControl(sender.name)
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 一覧ボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
      btn024MSR010F010.Click, btn034MSR010F010.Click, btn044MSR010F010.Click, btn054MSR010F010.Click, btn064MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnList_Click", "一覧ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            '検索番号の取得
            Dim searchNo As Integer = Me.getSearchNo(sender.name)

            '検索結果の存在ﾁｪｯｸ
            If Me.chkExist(searchNo) = True Then

                '一覧画面起動
                Dim fnext As MSR020F010
                Try
                    fnext = New MSR020F010(searchNo)
                    Me.nextForm(fnext)
                Finally
                    fnext = Nothing
                End Try
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 統計ボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnMst_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
      btn025MSR010F010.Click, btn035MSR010F010.Click, btn045MSR010F010.Click, btn055MSR010F010.Click, btn065MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnMst_Click", "統計ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            '検索番号の取得
            Dim searchNo As Integer = Me.getSearchNo(sender.name)

            '検索結果の存在ﾁｪｯｸ
            If Me.chkExist(searchNo) = True Then
                '現在のデータを引き渡し用へコピー
                Me.cpySearchData(searchNo)
                '統計を起動
                Dim frmNext As MST.MST020F010
                Try
                    frmNext = New MST.MST020F010
                    Me.nextForm(frmNext)
                Finally
                    frmNext = Nothing
                End Try
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 条件ボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnCnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
      btn026MSR010F010.Click, btn036MSR010F010.Click, btn046MSR010F010.Click, btn056MSR010F010.Click, btn066MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnCnd_Click", "条件ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor

        Try
            '検索番号の取得
            Dim searchNo As Integer = Me.getSearchNo(sender.name)

            '検索結果の存在ﾁｪｯｸ
            If Me.chkExist(searchNo, False) = True Then

                Dim dt As New DataTable
                Dim row As DataRow
                Try
                    '検索条件番号リストの作成
                    dt.Columns.Add(MSR010F020.CST_CMB_KEY)
                    dt.Columns.Add(MSR010F020.CST_CMB_TEXT)

                    '空データ
                    row = dt.NewRow
                    row.Item(MSR010F020.CST_CMB_KEY) = -1
                    row.Item(MSR010F020.CST_CMB_TEXT) = String.Empty
                    dt.Rows.Add(row)

                    For i As Integer = 1 To 5
                        If Me.chkExist(i, False, False) Then
                            row = dt.NewRow
                            row.Item(MSR010F020.CST_CMB_KEY) = i
                            row.Item(MSR010F020.CST_CMB_TEXT) = "検索" & StrConv(i, vbWide)
                            dt.Rows.Add(row)
                        End If
                    Next
                    '検索条件表示画面に遷移
                    Me.fMSR010F020 = Nothing
                    Me.fMSR010F020 = New MSR010F020(searchNo, dt.Copy)
                    Me.nextForm(Me.fMSR010F020)
                Catch ex As Exception
                    Throw
                Finally
                    dt = Nothing
                    row = Nothing
                End Try
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' クリアボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
      btn027MSR010F010.Click, btn037MSR010F010.Click, btn047MSR010F010.Click, btn057MSR010F010.Click, btn067MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnClear_Click", sender.text & "クリアボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            '検索番号の取得
            Dim searchNo As Integer = Me.getSearchNo(sender.name)

            '検索結果の存在ﾁｪｯｸ
            If Me.chkExist(searchNo, False) = True Then

                '検索結果の削除処理
                Me.clnSeachData(searchNo)

                '検索結果の表示（空データ)
                Me.setDispResult(searchNo)

            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 条件クリアボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn069MSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn069MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btn069MSR010F010_Click", "条件ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            If Debugger.IsAttached Then
                If Me.confMsg("Q0005", MessageBoxButtons.YesNo, "クリア", Nothing) = DialogResult.No Then
                    Select Case Me.confMsg("Q0005", MessageBoxButtons.YesNoCancel, "設定", "Yes:空値 No:ランダム cnacel:次へ")
                        Case DialogResult.Yes : Me.setTestData(Me.ctlMSR000C010, 0)
                        Case DialogResult.No : Me.setTestData(Me.ctlMSR000C010, 1)
                        Case DialogResult.Cancel
                            Select Case Me.confMsg("Q0005", MessageBoxButtons.YesNoCancel, "設定", "Yes:最小値 No:最大値 cnacel:やめ")
                                Case DialogResult.Yes : Me.setTestData(Me.ctlMSR000C010, 2)
                                Case DialogResult.No : Me.setTestData(Me.ctlMSR000C010, 3)
                            End Select
                    End Select

                    Return
                End If
            End If
            Me.ctlMSR000C010.Clear()
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 検索ボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/11/02 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnSearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
     btn070MSR010F010.Click, btn073MSR010F010.Click, btn076MSR010F010.Click, btn079MSR010F010.Click, btn082MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnSearch_Click", "検索ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            '検索番号の取得
            Dim SearchNo As Integer = Me.getSearchNo(sender.name)
            If SearchNo > 0 Then
                Me.SearchProc(MSR000C010.ENUM_SEARCH_TYPE.NORMAL_SEARCH, SearchNo)
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' ＡＮＤボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/11/02 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnAndSearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
     btn071MSR010F010.Click, btn074MSR010F010.Click, btn077MSR010F010.Click, btn080MSR010F010.Click, btn083MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnAndSearch_Click", "ＡＮＤ検索ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            '検索番号の取得
            Dim SearchNo As Integer = Me.getSearchNo(sender.name)

            '検索結果の存在ﾁｪｯｸ
            If Me.chkExist(SearchNo) = True Then
                Me.SearchProc(MSR000C010.ENUM_SEARCH_TYPE.AND_SEARCH, SearchNo)
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' ＯＲボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/11/02 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btnOrSearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
     btn072MSR010F010.Click, btn075MSR010F010.Click, btn078MSR010F010.Click, btn081MSR010F010.Click, btn084MSR010F010.Click
        log(clsSysMst.logLevel.NRM, "btnOrSearch_Click", "ＯＲ検索ボタンクリック START")
        Me.Cursor = Cursors.WaitCursor
        Try
            '検索番号の取得
            Dim SearchNo As Integer = Me.getSearchNo(sender.name)

            '検索結果の存在ﾁｪｯｸ
            If Me.chkExist(SearchNo) = True Then
                Me.SearchProc(MSR000C010.ENUM_SEARCH_TYPE.OR_SEARCH, SearchNo)
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' SQLの設定
    ''' </summary>
    ''' <param name="db">clsDB</param>
    ''' <param name="type">設定SQL</param>
    ''' <param name="val">データ値</param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setSql(ByRef db As clsDB, ByVal type As ENUM_SQL, ByVal ParamArray val() As Object)
        log(clsSysMst.logLevel.DBG, "setSql", "ＳＱＬ設定 START")
        Try
            With db
                Select Case type
                    '検索結果情報取得
                    Case ENUM_SQL.SEL_INFO
                        .setSQLDa(sqlMSR010F010.sqlSel_Info)
						.setParamDa(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)		  '使用者コード
						.setValDa(sqlMSRCOMMON.prmUSER_CD, Me._userID)
						.setParamDa(sqlMSR010F010.prmSEARCH_NO_FROM, clsDB.Enum_dbType.dbInt)	'検索開始番号
						.setValDa(sqlMSR010F010.prmSEARCH_NO_FROM, val(0))
						.setParamDa(sqlMSR010F010.prmSEARCH_NO_TO, clsDB.Enum_dbType.dbInt)		'検索終了番号
						.setValDa(sqlMSR010F010.prmSEARCH_NO_TO, val(1))

						'検索結果件数取得
					Case ENUM_SQL.SEL_CNT
						.setSQL(sqlMSR010F010.sqlSel_ResultCnt)
						.setParam(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)		  '使用者コード
						.setVal(sqlMSRCOMMON.prmUSER_CD, Me._userID)
						.setParam(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)			'検索番号
						.setVal(sqlMSRCOMMON.prmSEARCH_NO, val(0))

					Case Else
						Select Case type
							'使用者コードと検索番号の設定のみ
							Case ENUM_SQL.PARAM_ONLY
								'SQLの設定は呼出側で行う

								'検索結果情報統計用複写
							Case ENUM_SQL.COPY_MST
								'SQLの設定は呼出側で行う

								.setParam(sqlMSR010F010.prmSEARCH_NO_MST, clsDB.Enum_dbType.dbInt)	'統計用検索番号
								.setVal(sqlMSR010F010.prmSEARCH_NO_MST, clsMSRCOMMON.CST_SEARCH_NO_MST, False)

								'検索結果コントロール追加
							Case ENUM_SQL.INS_CTRL
								.setSQL(sqlMSR010F010.sqlIns_Ctrl)
								.setParam(sqlMSRCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番
								.setParam(sqlMSR010F010.prmCTRL_CD, clsDB.Enum_dbType.dbNVarChar)	  'コントロールコード
								.setParam(sqlMSR010F010.prmCTRL_VAL, clsDB.Enum_dbType.dbNVarChar)	  'コントロール値

								'検索結果条件追加
							Case ENUM_SQL.INS_CND
								.setSQL(sqlMSR010F010.sqlIns_Cnd)
								.setParam(sqlMSRCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番
								.setParam(sqlMSR010F010.prmTABLE_CD, clsDB.Enum_dbType.dbNVarChar)	  'テーブルコード
								.setParam(sqlMSR010F010.prmSQL_SNT, clsDB.Enum_dbType.dbNVarChar)	  'SQL文
								.setParam(sqlMSR010F010.prmTAB_NM, clsDB.Enum_dbType.dbNVarChar)	  'タブ名
								.setParam(sqlMSR010F010.prmITEM_NM, clsDB.Enum_dbType.dbNVarChar)	  '項目名
								.setParam(sqlMSR010F010.prmSQL_NM, clsDB.Enum_dbType.dbNVarChar)	  '条件内容
								.setParam(sqlMSR010F010.prmSQL_PLUS_NM, clsDB.Enum_dbType.dbNVarChar) '付加条件

								'検索結果情報追加
							Case ENUM_SQL.INS_INFO
								.setSQL(sqlMSR010F010.sqlIns_Info)
								.setParam(sqlMSR010F010.prmSTART_DT, clsDB.Enum_dbType.dbDateTime)	'処理開始日時
								.setParam(sqlMSR010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)		'処理開始日時
								.setParam(sqlMSR010F010.prmPATIENT_NUM, clsDB.Enum_dbType.dbInt)		'患者数
								.setParam(sqlMSR010F010.prmHSP_NUM, clsDB.Enum_dbType.dbInt)			'入退院数
								.setParam(sqlMSR010F010.prmCH_NUM, clsDB.Enum_dbType.dbInt)			'科歴数
								.setParam(sqlMSR010F010.prmMAIN_TABLE_CD, clsDB.Enum_dbType.dbInt)	'主データコード
								.setParam(sqlMSR010F010.prmCND_NM, clsDB.Enum_dbType.dbNVarChar)	  '条件入力画面
								.setParam(sqlMSR010F010.prmCTRL_CD_I, clsDB.Enum_dbType.dbNVarChar)	  'コントロールコード
						End Select

						'共通パラメータ
						.setParam(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)			  '使用者コード
						.setVal(sqlMSRCOMMON.prmUSER_CD, Me._userID)
						.setParam(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)				'検索番号
						.setVal(sqlMSRCOMMON.prmSEARCH_NO, val(0), False)
						.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
						.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

				End Select
			End With
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報表示
	''' </summary>
	''' <param name="fIdx">開始検索番号</param>
	''' <param name="tIdx">終了検索番号</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDispResult(ByVal fIdx As Integer, Optional ByVal tIdx As Integer = 0)
		log(clsSysMst.logLevel.DBG, "setDispResult", "検索結果情報取得 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)

				'終了番号が設定されていなければ、開始番号のみで検索
				If tIdx = 0 Then tIdx = fIdx

				Me.setSql(db, ENUM_SQL.SEL_INFO, fIdx, tIdx)
				Using dt As DataTable = New DataTable
					db.execQueryDa(dt)

					'取得できなければ、もしくは検索件数と一致しなければ初期化
					If dt.Rows.Count = 0 OrElse dt.Rows.Count <> tIdx - fIdx + 1 Then
						For idx As Integer = fIdx To tIdx
							For Each col As DataColumn In dt.Columns
								If col.ColumnName = sqlMSR010F010.itmSEARCH_NO Then Continue For
								Me.setControlText(col.ColumnName, idx, Nothing)
							Next
						Next
					End If

					'画面に設定
					If dt.Rows.Count > 0 Then
						Dim idx As Integer
						For Each row As DataRow In dt.Rows
							idx = row.Item(sqlMSR010F010.itmSEARCH_NO)
							For Each col As DataColumn In dt.Columns
								If col.ColumnName = sqlMSR010F010.itmSEARCH_NO Then Continue For
								Me.setControlText(col.ColumnName, idx, row.Item(col.ColumnName))
							Next
						Next
					End If
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報設定
	''' </summary>
	''' <param name="colname">カラム名</param>
	''' <param name="idx">検索番号位置</param>
	''' <param name="val"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlText(ByVal colname As String, ByVal idx As Integer, ByVal val As Object)
		log(clsSysMst.logLevel.DBG, "setControlText", "検索結果情報設定 START")
		Dim text As String = Nothing
		Try
			Select Case colname
				Case sqlMSR010F010.itmSTART_DT
					'検索開始日時
					If val Is Nothing OrElse IsDBNull(val) = True Then
						text = String.Empty
					Else
						text = CDate(val).ToString(clsConst.CST_YYYYMMDD_FORMAT)
					End If

					Select Case idx
						Case 1 : Me.lbl019MSR010F010.Text = text
						Case 2 : Me.lbl029MSR010F010.Text = text
						Case 3 : Me.lbl039MSR010F010.Text = text
						Case 4 : Me.lbl049MSR010F010.Text = text
						Case 5 : Me.lbl059MSR010F010.Text = text
					End Select

					If val Is Nothing OrElse IsDBNull(val) = True Then
						text = String.Empty
					Else
						text = CDate(val).ToString("HH:mm:ss")
					End If
					Select Case idx
						Case 1 : Me.lbl020MSR010F010.Text = text
						Case 2 : Me.lbl030MSR010F010.Text = text
						Case 3 : Me.lbl040MSR010F010.Text = text
						Case 4 : Me.lbl050MSR010F010.Text = text
						Case 5 : Me.lbl060MSR010F010.Text = text
					End Select
				Case sqlMSR010F010.itmMAIN_TABLE_CD
					'件数背景色
					Dim color() As Color = {clsConst.CST_INACTIVE_BACK_COLOR, clsConst.CST_INACTIVE_BACK_COLOR, clsConst.CST_INACTIVE_BACK_COLOR}
					If IsDBNull(val) = False Then
						Select Case val
							Case clsMSRCOMMON.Enum_Search_Main.XTI_BASICINFO
								color(0) = clsConst.CST_SEARCH_ACTIVE_COLOR
							Case clsMSRCOMMON.Enum_Search_Main.MTI_HSP
								color(1) = clsConst.CST_SEARCH_ACTIVE_COLOR
							Case clsMSRCOMMON.Enum_Search_Main.MTI_CH
								color(2) = clsConst.CST_SEARCH_ACTIVE_COLOR
						End Select
					End If
					Select Case idx
						Case 1 : Me.lbl021MSR010F010.BackColor = color(0) : Me.lbl022MSR010F010.BackColor = color(1) : Me.lbl023MSR010F010.BackColor = color(2)
						Case 2 : Me.lbl031MSR010F010.BackColor = color(0) : Me.lbl032MSR010F010.BackColor = color(1) : Me.lbl033MSR010F010.BackColor = color(2)
						Case 3 : Me.lbl041MSR010F010.BackColor = color(0) : Me.lbl042MSR010F010.BackColor = color(1) : Me.lbl043MSR010F010.BackColor = color(2)
						Case 4 : Me.lbl051MSR010F010.BackColor = color(0) : Me.lbl052MSR010F010.BackColor = color(1) : Me.lbl053MSR010F010.BackColor = color(2)
						Case 5 : Me.lbl061MSR010F010.BackColor = color(0) : Me.lbl062MSR010F010.BackColor = color(1) : Me.lbl063MSR010F010.BackColor = color(2)
					End Select
				Case sqlMSR010F010.itmPATIENT_NUM, sqlMSR010F010.itmHSP_HISTORY_NUM, sqlMSR010F010.itmCH_NUM
					'検索結果件数
					If val Is Nothing OrElse IsDBNull(val) = True Then
						text = "0"
					Else
						text = CInt(val).ToString(clsConst.CST_KENSU_FORMAT)
					End If
					Select Case colname
						Case sqlMSR010F010.itmPATIENT_NUM
							Select Case idx
								Case 1 : Me.lbl021MSR010F010.Text = text
								Case 2 : Me.lbl031MSR010F010.Text = text
								Case 3 : Me.lbl041MSR010F010.Text = text
								Case 4 : Me.lbl051MSR010F010.Text = text
								Case 5 : Me.lbl061MSR010F010.Text = text
							End Select
						Case sqlMSR010F010.itmHSP_HISTORY_NUM
							Select Case idx
								Case 1 : Me.lbl022MSR010F010.Text = text
								Case 2 : Me.lbl032MSR010F010.Text = text
								Case 3 : Me.lbl042MSR010F010.Text = text
								Case 4 : Me.lbl052MSR010F010.Text = text
								Case 5 : Me.lbl062MSR010F010.Text = text
							End Select
						Case sqlMSR010F010.itmCH_NUM
							Select Case idx
								Case 1 : Me.lbl023MSR010F010.Text = text
								Case 2 : Me.lbl033MSR010F010.Text = text
								Case 3 : Me.lbl043MSR010F010.Text = text
								Case 4 : Me.lbl053MSR010F010.Text = text
								Case 5 : Me.lbl063MSR010F010.Text = text
							End Select
					End Select
				Case Else
					'上記以外は無視
			End Select
		Catch ex As Exception
			Throw
		Finally
			text = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件画面切り替え
	''' </summary>
	''' <param name="name">コントロール名</param>
	''' <returns>正常/異常終了</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function setSearchControl(ByVal name As String) As Boolean
		log(clsSysMst.logLevel.DBG, "setSearchControl", "検索条件画面切り替え START")
		Dim NextBtn As Button = Nothing
		Dim ctlSearch As MSR000C010
		Dim View As Boolean = True
		Try

			'条件入力画面を設定
			Select Case name
				'標準
				Case "btn001MSR010F010", "MSR010C010"
					If Me.chkSearchControl("MSR010C010") = False Then Return False
					NextBtn = Me.btn001MSR010F010
					ctlSearch = New MSR010C010
					'詳細１
				Case "btn002MSR010F010", "MSR010C020"
					If Me.chkSearchControl("MSR010C020") = False Then Return False
					NextBtn = Me.btn002MSR010F010
					ctlSearch = New MSR010C020
					'詳細２
				Case "btn003MSR010F010", "MSR010C030"
					If Me.chkSearchControl("MSR010C030") = False Then Return False
					NextBtn = Me.btn003MSR010F010
					ctlSearch = New MSR010C030
					'詳細３
				Case "btn004MSR010F010", "MSR010C040"
					If Me.chkSearchControl("MSR010C040") = False Then Return False
					NextBtn = Me.btn004MSR010F010
					ctlSearch = New MSR010C040
					'医療費
				Case "btn005MSR010F010", "MSR010C050"
					If Me.chkSearchControl("MSR010C050") = False Then Return False
					NextBtn = Me.btn005MSR010F010
					ctlSearch = New MSR010C050
					'補足１
				Case "btn006MSR010F010", "MSR010C060"
					NextBtn = Me.btn006MSR010F010
					If Me.chkSearchControl("MSR010C060") = False Then Return False
					ctlSearch = New MSR010C060
					'補足２
				Case "btn007MSR010F010", "MSR010C070"
					If Me.chkSearchControl("MSR010C070") = False Then Return False
					NextBtn = Me.btn007MSR010F010
					ctlSearch = New MSR010C070
					'管理１
				Case "btn008MSR010F010", "MSR010C080"
					If Me.chkSearchControl("MSR010C080") = False Then Return False
					NextBtn = Me.btn008MSR010F010
					ctlSearch = New MSR010C080
					'管理２
				Case "btn009MSR010F010", "MSR010C090"
					If Me.chkSearchControl("MSR010C090") = False Then Return False
					NextBtn = Me.btn009MSR010F010
					ctlSearch = New MSR010C090
					'独自
				Case "btn010MSR010F010", "MSR010C100"
					If Me.chkSearchControl("MSR010C100") = False Then Return False
					NextBtn = Me.btn010MSR010F010
					ctlSearch = New MSR010C100
					View = False
					'特殊
				Case "btn011MSR010F010", "MSR010C110"
					If Me.chkSearchControl("MSR010C110") = False Then Return False
					NextBtn = Me.btn011MSR010F010
					ctlSearch = New MSR010C110
					View = False
					'再建策
				Case "btn012MSR010F010", "MSR010C120"
					If Me.chkSearchControl("MSR010C120") = False Then Return False
					NextBtn = Me.btn012MSR010F010
					ctlSearch = New MSR010C120
					View = False
				Case Else
					Me.btnOld = Nothing
					Return False
			End Select

			Me.pnl085MSR010F010.SuspendLayout()
			ctlSearch.SuspendLayout()
			ctlSearch.Location = New Drawing.Point(0, 0)
			Me.pnl085MSR010F010.Controls.Add(ctlSearch)

			If Me.ctlMSR000C010 IsNot Nothing Then
				Me.ctlMSR000C010.SuspendLayout()
				Me.ctlMSR000C010.Dispose()
				Me.ctlMSR000C010 = Nothing
			End If

			Me.ctlMSR000C010 = ctlSearch

			'ボタン色を設定/Validationチェック設定
			If Me.btnOld IsNot Nothing Then
				Me.btnOld.ForeColor = SystemColors.ControlText
				Me.btnOld.CausesValidation = False
				Me.clearMsgBar()								'エラーメッセージを消去
			End If

			If NextBtn IsNot Nothing Then
				NextBtn.ForeColor = Color.Red
				NextBtn.CausesValidation = True
			End If

			Me.btnOld = NextBtn

			'AND OR ボタンの制御
			With Me
				.btn071MSR010F010.Visible = View		'1
				.btn072MSR010F010.Visible = View
				.btn074MSR010F010.Visible = View		'2
				.btn075MSR010F010.Visible = View
				.btn077MSR010F010.Visible = View		'3
				.btn078MSR010F010.Visible = View
				.btn080MSR010F010.Visible = View		'4
				.btn081MSR010F010.Visible = View
				.btn083MSR010F010.Visible = View		'5
				.btn084MSR010F010.Visible = View
			End With

			'フォーカス制御
			Me.ctlMSR000C010.Select()

			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.ctlMSR000C010.ResumeLayout()
			Me.pnl085MSR010F010.ResumeLayout()
			NextBtn = Nothing
			ctlSearch = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件画面切り替えチェック
	''' </summary>
	''' <param name="CtlName">コントロール名</param>
	''' <returns>True:切り替え / FALSE:切り替えなし</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkSearchControl(ByVal CtlName As String) As Boolean
		log(clsSysMst.logLevel.DBG, "chkSearchControl", "検索条件画面切り替えチェック START")
		Try
			If Me.ctlMSR000C010 Is Nothing Then
				Return True
			ElseIf Me.ctlMSR000C010.Name = CtlName Then
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索番号をコントロール名より取得
	''' </summary>
	''' <param name="name">コントロール名</param>
	''' <returns>検索番号</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSearchNo(ByVal name As String) As Integer
		log(clsSysMst.logLevel.DBG, "getSearchNo", "検索番号をコントロール名より取得 START")
		Try
			Select Case CInt(name.Substring(3, 3))
				Case 24 To 27, 70 To 72 : Return 1
				Case 34 To 37, 73 To 75 : Return 2
				Case 44 To 47, 76 To 78 : Return 3
				Case 54 To 57, 79 To 81 : Return 4
				Case 64 To 67, 82 To 84 : Return 5
			End Select
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報の存在を確認する
	''' </summary>
	''' <param name="searchNo">検索番号</param>
	''' <param name="chkCnt">患者数の判定か日付の判定か</param>
	''' <param name="msg">メッセージ出力有無</param>
	''' <returns>存在する/しない</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkExist(ByVal searchNo As Integer, Optional ByVal chkCnt As Boolean = True, Optional ByVal msg As Boolean = True) As Boolean
		log(clsSysMst.logLevel.DBG, "chkExist", "検索結果の存在確認 START")
		Dim val As String = String.Empty
		Try
			If chkCnt = True Then
				'患者数を参照し、検索結果情報の存在を確認する
				Select Case searchNo
					Case 1 : val = Me.lbl021MSR010F010.Text
					Case 2 : val = Me.lbl031MSR010F010.Text
					Case 3 : val = Me.lbl041MSR010F010.Text
					Case 4 : val = Me.lbl051MSR010F010.Text
					Case 5 : val = Me.lbl061MSR010F010.Text
				End Select
			Else
				'処理日を参照し、検索結果情報の存在を確認する
				Select Case searchNo
					Case 1 : val = Me.lbl019MSR010F010.Text
					Case 2 : val = Me.lbl029MSR010F010.Text
					Case 3 : val = Me.lbl039MSR010F010.Text
					Case 4 : val = Me.lbl049MSR010F010.Text
					Case 5 : val = Me.lbl059MSR010F010.Text
				End Select
			End If
			If val = "0" OrElse val = String.Empty Then
				'検索条件に対する該当データが存在しません。
				If msg = True Then Me.showMsg("E0010")
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		Finally
			val = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報クリア(トランザクション付)
	''' </summary>
	''' <param name="SearchNo">削除対象検索番号</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub clnSeachData(ByRef SearchNo As Integer)
		log(clsSysMst.logLevel.DBG, "clnSeachData", "検索結果情報クリア START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'検索結果情報クリア
					Me.clnSeachData(db, SearchNo)

					'コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)

				Finally
					'ロールバック
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報クリア(トランザクション無)
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="SearchNo">削除対象検索番号</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub clnSeachData(ByRef db As clsDB, ByRef SearchNo As Integer, Optional ByVal type As MSR000C010.ENUM_SEARCH_TYPE = MSR000C010.ENUM_SEARCH_TYPE.NORMAL_SEARCH)
		log(clsSysMst.logLevel.DBG, "clnSeachData", "検索結果情報クリア START")
		Try
			If type = MSR000C010.ENUM_SEARCH_TYPE.NORMAL_SEARCH Then
				For Each Sql As String In New String() {sqlMSR010F010.sqlDel_Info, sqlMSR010F010.sqlDel_Result, sqlMSR010F010.sqlDel_Ctrl, sqlMSR010F010.sqlDel_Cnd}
					db.setSQL(Sql)
					Me.setSql(db, ENUM_SQL.PARAM_ONLY, SearchNo)
					db.execNonQuery(False)
				Next
			Else
				For Each Sql As String In New String() {sqlMSR010F010.sqlDel_Info, sqlMSR010F010.sqlDel_Ctrl, sqlMSR010F010.sqlDel_Cnd}
					db.setSQL(Sql)
					Me.setSql(db, ENUM_SQL.PARAM_ONLY, SearchNo)
					db.execNonQuery(False)
				Next
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報コピー
	''' </summary>
	''' <param name="searchNo">コピー対象検索番号</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cpySearchData(ByRef searchNo As Integer)
		log(clsSysMst.logLevel.DBG, "cpySearchData", "検索結果情報コピー START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'現データをクリア
					Me.clnSeachData(db, clsMSRCOMMON.CST_SEARCH_NO_MST)

					'検索結果情報コピー
					For Each Sql As String In New String() {sqlMSR010F010.sqlCopy_Info, sqlMSR010F010.sqlCopy_Result, sqlMSR010F010.sqlCopy_Cnd}
						db.setSQL(Sql)
						Me.setSql(db, ENUM_SQL.COPY_MST, searchNo)
						db.execNonQuery(False)
					Next

					'コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Finally
					'ロールバック
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報表示
	''' </summary>
	''' <param name="searchNo">検索番号</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSearchCtlName(ByVal searchNo As Integer) As String
		log(clsSysMst.logLevel.DBG, "setDispResult", "検索結果情報取得 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)

				Me.setSql(db, ENUM_SQL.SEL_INFO, searchNo, searchNo)
				Using dt As DataTable = New DataTable
					db.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSR010F010.itmCTRL_CD).ToString
					End If
				End Using
			End Using
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理実行
	''' </summary>
	''' <param name="type">検索方法</param>
	''' <param name="SearchNo">検索番号</param>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SearchProc(ByVal type As MSR000C010.ENUM_SEARCH_TYPE, ByVal SearchNo As Integer)
		log(clsSysMst.logLevel.DBG, "SearchProc", "検索処理実行 START")
		Dim cliRet As clsMSRSearchOut
		Dim StartTime As DateTime											'処理開始時間
		Try
			StartTime = DateTime.Now

			'検索コントロールがなければ終了
			If Me.ctlMSR000C010 Is Nothing Then Return

			'入力チェック
			If Me.ctlMSR000C010.chkInput(SearchNo) = False Then Return

			'検索情報取得
			cliRet = Me.ctlMSR000C010.getSearchInfo(type)

			'検索条件なし
			If cliRet Is Nothing Then
				Me.showMsg("E0020", "検索条件を一覧より選択", Nothing)
				Return
			End If

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'結果情報のクリア
					Me.clnSeachData(db, SearchNo, type)

					' 事前ワークデータ作成処理
					Select Case cliRet.MakeWork
						Case clsMSRSearchOut.ENUM_MAKE_WORK.NONE
							'ワークを作成しない

							'検索処理結果特殊病棟情報作成
						Case clsMSRSearchOut.ENUM_MAKE_WORK.MSR010C0110_WARD
							Me.setWork_MSR010C0110_WARD(db, cliRet.WorkSql, cliRet.WorkParam)
					End Select

					' 検索処理
					If Debugger.IsAttached Then Debug.Print(cliRet.Sql)
					db.setSQL(cliRet.Sql)
					Me.setSql(db, ENUM_SQL.PARAM_ONLY, SearchNo)
					For Each param As clsMSRSearchOut.clsDbParam In cliRet.DbParam
						If String.IsNullOrEmpty(param.ParamNm) = False Then
							db.setParam(param.ParamNm, param.DbType)
							db.setVal(param.ParamNm, param.Value)
						End If
					Next
					Dim ret As Integer = db.execNonQuery(False)

					' 最大件数を取得し比較
					Dim max As Integer = CInt(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00055))
					If ret > max AndAlso max > 0 AndAlso type <> MSR000C010.ENUM_SEARCH_TYPE.AND_SEARCH Then
						'ロールバック
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						'対象件数を検索画面にて絞り込んでください。
						Me.showMsg("W0003", "対象件数を検索画面にて", Nothing)
						Return
					End If

					'検索処理結果コントロール登録
					Me.setDataContorl(db, SearchNo, cliRet.Control)

					'検索処理結果条件登録
					Me.setDataCondition(db, SearchNo, cliRet.Condition)

					' 件数を取得
					Me.setSql(db, ENUM_SQL.SEL_CNT, SearchNo)
					Dim aryData As New ArrayList()
					Try
						If db.execQuery(GetType(sqlMSR010F010.datResultCnt), aryData) < 3 Then
							'データが無ければダミーを追加
							For i As Integer = aryData.Count To 2
								aryData.Add(New sqlMSR010F010.datResultCnt)
							Next
						End If

						'OR条件の場合、各単位で比較
						If max > 0 AndAlso type = MSR000C010.ENUM_SEARCH_TYPE.OR_SEARCH Then
							For Each row As sqlMSR010F010.datResultCnt In aryData
								If row.CNT > max Then
									'ロールバック
									db.ctlTran(clsDB.Enum_TranMode.RollBack)
									'対象件数を検索画面にて絞り込んでください。
									Me.showMsg("W0003", "対象件数を検索画面にて", Nothing)
									Return
								End If
							Next
						End If
						' 結果保存
						Me.setSql(db, ENUM_SQL.INS_INFO, SearchNo)
						With db
							.setVal(sqlMSR010F010.prmSTART_DT, StartTime)															'処理開始日時
							.setVal(sqlMSR010F010.prmEND_DT, DateTime.Now())														'処理終了日時
							.setVal(sqlMSR010F010.prmPATIENT_NUM, DirectCast(aryData(0), sqlMSR010F010.datResultCnt).CNT, False)	'患者数
							.setVal(sqlMSR010F010.prmHSP_NUM, DirectCast(aryData(1), sqlMSR010F010.datResultCnt).CNT, False)		'入退院数
							.setVal(sqlMSR010F010.prmCH_NUM, DirectCast(aryData(2), sqlMSR010F010.datResultCnt).CNT, False)			'科歴数
							.setVal(sqlMSR010F010.prmMAIN_TABLE_CD, cliRet.Info.TableCd)											'主データコード
							.setVal(sqlMSR010F010.prmCND_NM, cliRet.Info.Title)														'条件入力画面
							.setVal(sqlMSR010F010.prmCTRL_CD_I, Me.ctlMSR000C010.Name)												'コントロールコード

							.execNonQuery(False)
						End With

					Finally
						aryData.Clear()
						aryData = Nothing
					End Try
					'コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)

					'結果を画面に反映
					Me.setDispResult(SearchNo)

					'フォーカス設定
					Select Case SearchNo
						Case 1 : Me.btn024MSR010F010.Select()
						Case 2 : Me.btn034MSR010F010.Select()
						Case 3 : Me.btn044MSR010F010.Select()
						Case 4 : Me.btn054MSR010F010.Select()
						Case 5 : Me.btn064MSR010F010.Select()
					End Select

					'検索が終了しました。
					Me.showMsg("I0006", "検索", Nothing)

				Finally
					'ロールバック処理
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果コントロール登録
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="SearchNo">検索番号</param>
	''' <param name="list">コントロールリスト</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataContorl(ByRef db As clsDB, ByVal SearchNo As Integer, ByVal list As List(Of clsMSRSearchOut.clsControl))
		log(clsSysMst.logLevel.DBG, "setDataContorl", "検索処理結果コントロール登録 START")
		Dim seq As Integer = 0
		Try
			Me.setSql(db, ENUM_SQL.INS_CTRL, SearchNo)
			With db
				For Each cliCtl As clsMSRSearchOut.clsControl In list
					seq += 1
					.setVal(sqlMSRCOMMON.prmSERIAL_NO, seq)
					.setVal(sqlMSR010F010.prmCTRL_CD, cliCtl.Ctrl_Cd)				'コントロールコード
					.setVal(sqlMSR010F010.prmCTRL_VAL, cliCtl.Ctrl_Val)				'コントロール値
					.execNonQuery(False)
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果条件登録
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="SearchNo">検索番号</param>
	''' <param name="list">条件リスト</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataCondition(ByRef db As clsDB, ByVal SearchNo As Integer, ByVal list As List(Of clsMSRSearchOut.clsCondition))
		log(clsSysMst.logLevel.DBG, "setDataContorl", "検索処理結果コントロール登録 START")
		Dim seq As Integer = 0
		Try
			Me.setSql(db, ENUM_SQL.INS_CND, SearchNo)
			With db
				For Each cliCnd As clsMSRSearchOut.clsCondition In list
					seq += 1
					.setVal(sqlMSRCOMMON.prmSERIAL_NO, seq)
					.setVal(sqlMSR010F010.prmTABLE_CD, cliCnd.TableCd)				'テーブルコード
					.setVal(sqlMSR010F010.prmSQL_SNT, cliCnd.SqlSnt)				'SQL文
					.setVal(sqlMSR010F010.prmTAB_NM, cliCnd.TabName)				'タブ名
					.setVal(sqlMSR010F010.prmITEM_NM, cliCnd.ItemName)				'項目名
					.setVal(sqlMSR010F010.prmSQL_NM, cliCnd.SqlCnd)					'条件内容
					.setVal(sqlMSR010F010.prmSQL_PLUS_NM, cliCnd.SqlPlus)			'付加条件
					.execNonQuery(False)
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果特殊病棟情報作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="where">付加条件</param>
	''' <param name="ParamList">DBパラメータ</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setWork_MSR010C0110_WARD(ByRef db As clsDB, ByVal where As String, ByVal ParamList As List(Of clsMSRSearchOut.clsDbParam))
		log(clsSysMst.logLevel.DBG, "setWork_MSR010C0110_WARD", "検索処理結果特殊病棟情報作成 START")
		Dim aryData As ArrayList = Nothing
		Try
			aryData = New ArrayList()
			With db
				'病棟情報を取得
				.setSQL(String.Format(sqlMSR010F010.sqlSel_MSR010C0110_WARD, where))
				For Each param As clsMSRSearchOut.clsDbParam In ParamList
					If String.IsNullOrEmpty(param.ParamNm) = False Then
						db.setParam(param.ParamNm, param.DbType)
						db.setVal(param.ParamNm, param.Value)
					End If
				Next
				.execQuery(GetType(sqlMSR010F010.datMSR010C0110_WARD), aryData)

				'取得有無に係わらずワークのクリア
				.setSQL(sqlMSR010F010.sqlDel_MSR010C0110_WARD)
				.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				  'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.execNonQuery(False)

				'データがあれば
				If aryData.Count > 0 Then

					'追加SQLの準備
					.setSQL(sqlMSR010F010.sqlIns_MSR010C0110_WARD)
					.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)			  'ホスト名
					.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
					.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		  '更新者
					.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, Me._userID)
					.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
					.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

					.setParam(sqlMSRCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			  '患者番号
					.setParam(sqlMSRCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)					'入退院歴番号
					.setParam(sqlMSRCOMMON.prmCH_NO, clsDB.Enum_dbType.dbInt)					'科歴番号
					.setParam(sqlMSRCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				'病棟連番
					.setParam(sqlMSR010F010.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar)			  '病棟コード
					.setParam(sqlMSR010F010.prmWARD_START_DT, clsDB.Enum_dbType.dbDateTime)		'病棟開始日
					.setParam(sqlMSR010F010.prmWARD_END_DT, clsDB.Enum_dbType.dbDateTime)		'病棟終了日
					.setParam(sqlMSR010F010.prmHSP_CH_NO, clsDB.Enum_dbType.dbInt)				 '入院時科歴番号
					.setParam(sqlMSR010F010.prmOUT_CH_NO, clsDB.Enum_dbType.dbInt)				 '退院時科歴番号
					.setParam(sqlMSR010F010.prmEACH_WARD_SERIAL_NO, clsDB.Enum_dbType.dbInt)	 '病棟別連番
					.setParam(sqlMSR010F010.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)				'入院日
					.setParam(sqlMSR010F010.prmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)			'退院日
					.setParam(sqlMSR010F010.prmOUT_HSP_WARD_FLG, clsDB.Enum_dbType.dbInt)		 '退院病棟フラグ

					'検索データより追加
					Dim FirstData As sqlMSR010F010.datMSR010C0110_WARD = Nothing
					Dim LastData As sqlMSR010F010.datMSR010C0110_WARD = Nothing
					Dim NewData As sqlMSR010F010.datMSR010C0110_WARD = Nothing
					Dim WardList As New List(Of String)
					Dim Change As Byte = Nothing
					Const CST_FISRT As Byte = 0
					Const CST_NONE As Byte = 1
					Const CST_PKEY As Byte = 2
					Const CST_DATA As Byte = 3
					Try
						For i As Integer = 0 To aryData.Count
							If i < aryData.Count Then
								NewData = aryData(i)
							Else
								NewData = Nothing
							End If

							Select Case True
								'初回
								Case i = 0
									FirstData = NewData
									Change = CST_FISRT
								Case NewData Is Nothing
									Change = CST_PKEY
									'患者番号変更
								Case FirstData.PATIENT_NO <> NewData.PATIENT_NO
									Change = CST_PKEY
									'入退院歴番号変更
								Case FirstData.HSP_HISTORY_NO <> NewData.HSP_HISTORY_NO
									Change = CST_PKEY
									'病棟コード変更
								Case FirstData.WARD_CD <> NewData.WARD_CD
									Change = CST_DATA
									'開始日が空
								Case NewData.WARD_START_DT Is Nothing
									Change = CST_DATA
									'病棟終了日と病棟開始日が＋１以内でない
								Case Math.Abs(DateDiff(DateInterval.Day, Date.Parse(LastData.WARD_END_DT), Date.Parse(NewData.WARD_START_DT))) > 1
									Change = CST_DATA
								Case Else
									Change = CST_NONE
							End Select
							'変更があれば
							If Change > CST_NONE Then
								'追加
								.setVal(sqlMSRCOMMON.prmPATIENT_NO, FirstData.PATIENT_NO)				'患者番号
								.setVal(sqlMSRCOMMON.prmHSP_NO, FirstData.HSP_HISTORY_NO)				'入退院歴番号
								.setVal(sqlMSRCOMMON.prmCH_NO, FirstData.CH_NO)							'科歴番号
								.setVal(sqlMSRCOMMON.prmSERIAL_NO, FirstData.WARD_SERIAL_NO)			'病棟連番
								.setVal(sqlMSR010F010.prmWARD_CD, FirstData.WARD_CD)					'病棟コード
								.setVal(sqlMSR010F010.prmWARD_START_DT, FirstData.WARD_START_DT)		'病棟開始日
								.setVal(sqlMSR010F010.prmWARD_END_DT, LastData.WARD_END_DT)				'病棟終了日
								.setVal(sqlMSR010F010.prmHSP_CH_NO, FirstData.CH_NO)					'入院時科歴番号
								.setVal(sqlMSR010F010.prmOUT_CH_NO, LastData.CH_NO)						'退院時科歴番号

								'保存した病棟コードより同一値をカウント
								Dim idx As Integer = 1
								For j As Integer = 0 To WardList.Count - 1
									If WardList(j) = FirstData.WARD_CD Then
										idx += 1
									End If
								Next
								'現在の病棟コードを保存
								WardList.Add(FirstData.WARD_CD)

								.setVal(sqlMSR010F010.prmEACH_WARD_SERIAL_NO, idx)						'病棟別連番
								.setVal(sqlMSR010F010.prmHSP_DT, FirstData.HSP_DT)						'入院日
								.setVal(sqlMSR010F010.prmOUT_HSP_DT, FirstData.OUT_HSP_DT)				'退院日

								' 患者番号か入退院歴番号が変わる AND
								' 退院日が入力されている
								' 退院日と病棟終了日が同じ場合
								If Change = CST_PKEY AndAlso _
								 FirstData.OUT_HSP_DT IsNot Nothing AndAlso _
								 FirstData.OUT_HSP_DT = LastData.WARD_END_DT Then					 '退院病棟フラグ
									.setVal(sqlMSR010F010.prmOUT_HSP_WARD_FLG, clsConst.Enum_CheckBox_Flg.CheckOn, False)
								Else
									.setVal(sqlMSR010F010.prmOUT_HSP_WARD_FLG, clsConst.Enum_CheckBox_Flg.CheckOff, False)
								End If

								'追加実行
								.execNonQuery(False)

								'患者番号か入退院歴番号が変われば、病棟リストを初期化
								If Change = CST_PKEY Then WardList.Clear()

								FirstData = NewData
							End If

							If NewData IsNot Nothing Then
								'最終レコードとして保存
								LastData = NewData
								'DBがからなら今日の日付をセット
								If LastData.WARD_END_DT Is Nothing Then
									LastData.WARD_END_DT = Now.Date.ToString
								End If
							End If
						Next
					Catch ex As Exception
						Throw
					Finally
						WardList.Clear()
						WardList = Nothing
						FirstData = Nothing
						LastData = Nothing
						NewData = Nothing
					End Try
				End If
			End With
		Catch ex As Exception
			Throw
		Finally
			If aryData IsNot Nothing Then : aryData.Clear() : aryData = Nothing : End If
		End Try
	End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' テストデータ設定
    ''' </summary>
    ''' <param name="ctl"></param>
    ''' <param name="type"></param>
    ''' <remarks></remarks>
    ''' ---------------------------------------------
    Public Sub setTestData(ByVal ctl As Control, ByVal type As Integer)
        Try
            Dim cRandom As New System.Random()
            For Each c As Control In ctl.Controls
                If c.HasChildren = True Then
                    ' 再帰
                    Me.setTestData(c, type)
                End If
                Select Case True
                    Case TypeOf c Is Button             'ボタン
                    Case TypeOf c Is Label              'ラベル
                    Case TypeOf c Is GroupBox           'グループボックス
                    Case TypeOf c Is TabPage            'タブページ
                    Case TypeOf c Is ListBox            'リストボックス
                    Case TypeOf c Is CheckBox           'チェックボックス
                        DirectCast(c, CheckBox).Checked = True
                    Case TypeOf c Is BT_Like            '一致条件コントロール
                        DirectCast(c, BT_Like).MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
                    Case TypeOf c Is RadioButton        'ラジオボタン
                        With DirectCast(c, RadioButton)
                            If .TabIndex = 0 Then
                                .Checked = True
                            End If
                        End With
                    Case TypeOf c Is BT_Date            '日付コントロール
                        Select Case type
                            Case 0
                                DirectCast(c, BT_Date).DateValue = Nothing
                            Case 1
                                DirectCast(c, BT_Date).DateValue = DateAdd("d", cRandom.Next(-1000, 1000), Now)
                            Case Else
                                DirectCast(c, BT_Date).DateValue = Now
                        End Select
                    Case TypeOf c Is BT_MultiComboBox   'マルチカラムコンボ

                        With DirectCast(c, BT_MultiComboBox)
                            If .DataSource IsNot Nothing Then
                                If DirectCast(.DataSource, DataTable).Rows.Count > 0 Then
                                    Select Case type
                                        Case 0
                                            .SelectedIndex = -1
                                        Case 1
                                            .SelectedIndex = cRandom.Next(DirectCast(.DataSource, DataTable).Rows.Count - 1)
                                        Case 2
                                            .SelectedIndex = 0
                                        Case 3
                                            .SelectedIndex = DirectCast(.DataSource, DataTable).Rows.Count - 1
                                    End Select
                                Else
                                    .Text = Nothing
                                End If
                            Else
                                .Text = Nothing
                            End If

                        End With
                    Case TypeOf c Is BT_NumericUpDown   '数値
                        With DirectCast(c, BT_NumericUpDown)
                            Select Case type
                                Case 0 : .Value = Nothing : .Text = Nothing
                                Case 1
                                    Dim str As String = Nothing
                                    For i As Integer = 1 To cRandom.Next(.Maximum.ToString.Length)
                                        str &= cRandom.Next(0, 9).ToString
                                    Next
                                    .Value = str
                                Case 2 : .Value = .Minimum
                                Case 3 : .Value = .Maximum
                            End Select
                        End With
                    Case TypeOf c Is BT_Number  '数値
                        With DirectCast(c, BT_Number)
                            Select Case type
                                Case 0 : .Text = Nothing : .Text = Nothing
                                Case 1
                                    Dim str As String = Nothing
                                    For i As Integer = 1 To cRandom.Next(.Maximum.ToString.Length)
                                        str &= cRandom.Next(0, 9).ToString
                                    Next
                                    .Text = str
                                Case 2 : .Text = .Minimum
                                Case 3 : .Text = .Maximum
                            End Select
                        End With
                    Case TypeOf c Is BT_TextBox
                        Const CST_STR As String = "ABCDEFGHIJKLMNOPQRSTUVWAXYZ"
                        Dim str As String = CST_STR.Substring(cRandom.Next(0, CST_STR.Length - 1), 1)
                        With DirectCast(c, BT_TextBox)
                            Select Case type
                                Case 0 : .Text = Nothing
                                Case 1
                                    str = Nothing
                                    For i As Integer = 1 To cRandom.Next(.MaxLength)
                                        str &= CST_STR.Substring(cRandom.Next(0, CST_STR.Length - 1), 1)
                                    Next
                                    .Text = str
                                Case 2 : .Text = str
                                Case 3 : .Text = New String(str, .MaxLength)
                            End Select
                        End With
                    Case TypeOf c Is BT_Mask

                        Dim str As String = cRandom.Next(0, 9)
                        With DirectCast(c, BT_Mask)
                            Select Case type
                                Case 0 : .Text = Nothing
                                Case 1
                                    For i As Integer = 1 To cRandom.Next(.MaxLength)
                                        str &= cRandom.Next(0, 9).ToString
                                    Next
                                    .Text = str
                                Case 2 : .Text = New String("1", .MaxLength)
                                Case 3 : .Text = New String("9", .MaxLength)
                            End Select
                        End With
                End Select
            Next
        Catch ex As Exception
            MsgBox(ex.Message)
            'Stop
        End Try
    End Sub
#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 子画面処理後の処理
    ''' </summary>
    ''' <param name="ret"></param>
    ''' <param name="de"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
        log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
        Try
            Select Case de.Key.ToString
                Case CST_SHOW_MSR010F0200
                    If ret = Enum_FormReturn.OK Then
                        'de.Value = 検索番号

                        '表示する検索コーントロールコードの取得
                        Dim ctl As String = Me.getSearchCtlName(de.Value)

                        '表示されているコントロールならクリアし設定
                        If Me.ctlMSR000C010.Name = ctl Then
                            Me.ctlMSR000C010.Clear()
                            Me.ctlMSR000C010.setCondition(de.Value)

                            'コントロールを表示し設定
                        ElseIf Me.setSearchControl(ctl) = True Then
                            Me.ctlMSR000C010.setCondition(de.Value)
                        End If
                    End If
                Case Else
                    If Me.ctlMSR000C010 IsNot Nothing Then
                        '検索コントロールへ引き渡し
                        Me.ctlMSR000C010.rcvData(ret, de)
                    Else
                        MyBase.rcvData()
                    End If
            End Select
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

End Class
