﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件表示
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010F020

#Region "コンスタント"
	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SQL As Byte
		''' <summary>
		''' 検索結果情報取得
		''' </summary>
		SEL_INFO = 0
		''' <summary>
		''' 検索結果情報条件追加
		''' </summary>
		SEL_CND = 1
		''' <summary>
		''' 検索結果情報更新
		''' </summary>
		UPD_INFO = 2
		''' <summary>
		''' ワークテーブル削除
		''' </summary>
		DEL_WORK = 3
	End Enum

	Public Const CST_CMB_KEY As String = "SEARCH_NO"
	Public Const CST_CMB_TEXT As String = "SEARCH_NM"

#End Region

#Region "変数"
	Private SearchNo As Integer									'検索番号
	Private SearchDt As DataTable								'検索番号リスト

	Private pReturn As Enum_FormReturn							'OK:復元処理 CANCEL:通常戻り
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pDt">検索番号リスト</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pSearchNo As Integer, ByVal pDt As DataTable)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'IN項目
		Me.SearchDt = pDt
		Me.SearchNo = pSearchNo

		'初期化
		Me.pReturn = Enum_FormReturn.CANSEL
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "MSR010F020_Load", "フォームロード START")
		Me.Cursor = Cursors.WaitCursor
		Try
			'検索番号リストの作成
			With Me.cmb002MSR010F020
				.DataSource = Me.SearchDt.Copy : .setDropDownWidth()
				.SelectedValue = Me.SearchNo
			End With
			With Me.cmb003MSR010F020
				.DataSource = Me.SearchDt.Copy : .setDropDownWidth()
			End With
			With Me.cmb004MSR010F020
				.DataSource = Me.SearchDt.Copy : .setDropDownWidth()
			End With
			With Me.cmb005MSR010F020
				.DataSource = Me.SearchDt.Copy : .setDropDownWidth()
			End With
			With Me.cmb006MSR010F020
				.DataSource = Me.SearchDt.Copy : .setDropDownWidth()
			End With

			DirectCast(New XSP.clsGridStyle, XSP.clsGridStyle).setGridHeight(Me.dgv025MSR010F020)

			'検索番号の表示
			Me.lbl012MSR010F020.Text = clsMSRCOMMON.getDtItem(Me.SearchDt, Me.SearchNo)

			'検索結果情報の表示
			If Me.setDispResult(Me.SearchNo) = False Then
				Me.CancelProc()
			Else
				Me.txt009MSR010F020.Select()
			End If

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR010F020_FormClosing", "フォームクローズ START")
		Try
			Try
				If DirectCast(Me.Owner, frmBase).getCancelFlg() = False Then
					Me.UpdProc()
				End If
			Catch ex As Exception
				Me.ErrorProc(ex)
			End Try

			'呼出元画面へ
			Dim frm As XCM.frmBase
			If Me.Owner IsNot Nothing Then
				frm = Me.Owner
				frm.setCloseFlg()
				frm.Select()
				frm.backForm(False, Me.pReturn, New DictionaryEntry(Me.Name, Me.SearchNo))
			End If
			frm = Nothing
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			With Me
				.SearchDt.Dispose() : SearchDt = Nothing
				With cmb002MSR010F020 : DirectCast(.DataSource, DataTable).Dispose() : .DataSource = Nothing : End With
				With cmb003MSR010F020 : DirectCast(.DataSource, DataTable).Dispose() : .DataSource = Nothing : End With
				With cmb004MSR010F020 : DirectCast(.DataSource, DataTable).Dispose() : .DataSource = Nothing : End With
				With cmb005MSR010F020 : DirectCast(.DataSource, DataTable).Dispose() : .DataSource = Nothing : End With
				With cmb006MSR010F020 : DirectCast(.DataSource, DataTable).Dispose() : .DataSource = Nothing : End With
			End With
		End Try
	End Sub
	
	''' ---------------------------------------------
	 ''' <summary>
	 ''' 帳票ボタンクリック
	 ''' </summary>
	 ''' <param name="sender"></param>
	 ''' <param name="e"></param>
	 ''' <remarks>
	 ''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Private Sub btnPrt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007MSR010F020.Click, btn008MSR010F020.Click
		log(clsSysMst.logLevel.NRM, "btnPrt_Click", "印刷プレビューボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Const CST_ERR_DISP = "印刷指定"
			Dim arySearchNo As New ArrayList
			Try
				'チェック処理
				For Each ctlNm As String In New String() {Me.cmb002MSR010F020.Name _
														, Me.cmb003MSR010F020.Name _
														, Me.cmb004MSR010F020.Name _
														, Me.cmb005MSR010F020.Name _
														, Me.cmb006MSR010F020.Name}
					Dim ctl As Control() = Me.Controls.Find(ctlNm, True)
					If ctl.Length > 0 Then
						With DirectCast(ctl(0), BT_MultiComboBox)
							If .SelectedIndex > -1 AndAlso .SelectedValue IsNot Nothing AndAlso _
								IsDBNull(.SelectedValue) = False AndAlso CInt(.SelectedValue) > 0 Then
								If arySearchNo.Count > 0 AndAlso arySearchNo.IndexOf(.SelectedValue) >= 0 Then
									'同じ検索番号は設定はできません。
									Me.addErrList("E0002", ctl(0).Name, CST_ERR_DISP, "同じ検索番号は", Nothing)
								Else
									'印刷対象として追加
									arySearchNo.Add(.SelectedValue)
								End If
							End If
						End With
					End If
				Next
				If arySearchNo.Count = 0 Then
					'対象データが選択されていません。
					Me.addErrList("E0005", Me.cmb002MSR010F020.Name, CST_ERR_DISP, Nothing)
				End If

				If Me.getErrCount > 0 Then
					Me.nextErrForm()
				Else
					'帳票出力
					Using prt As New MSR010R010(Me, Boolean.Parse(sender.name = "btn008MSR010F020"), Me.txt009MSR010F020.Text, Me.txt010MSR010F020.Text, arySearchNo.ToArray)
						prt.exeReport()
					End Using
				End If
			Finally
				arySearchNo.Clear()
				arySearchNo = Nothing
			End Try
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 復元ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn013MSR010F020_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn013MSR010F020.Click
		log(clsSysMst.logLevel.NRM, "btn013MSR010F020_Click", "復元ボタンクリック START")
		Me.Cursor = Cursors.WaitCursor
		Try
			'復元戻り
			Me.pReturn = Enum_FormReturn.OK
			'終了
			Me.EndProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧セル書式設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv025MSR010F020_CellFormatting(ByVal sender As Object, ByVal e As DataGridViewCellFormattingEventArgs) Handles dgv025MSR010F020.CellFormatting
		log(clsSysMst.logLevel.DBG, "dgv025MSR010F020_CellFormatting", "一覧セル書式設定 START")
		Try
			If e.RowIndex = 0 Then Return

			If chkCellValue(e.ColumnIndex, e.RowIndex) Then
				e.Value = String.Empty
				e.FormattingApplied = True ' 以降の書式設定は不要
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧セル描画
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv025MSR010F020_CellPainting(ByVal sender As Object, ByVal e As DataGridViewCellPaintingEventArgs) Handles dgv025MSR010F020.CellPainting
		log(clsSysMst.logLevel.DBG, "dgv025MSR010F020_CellPainting", "一覧セル描画 START")
		Try
			' セルの下側の境界線を「境界線なし」に設定
			e.AdvancedBorderStyle.Bottom = DataGridViewAdvancedCellBorderStyle.None

			' 1行目や列ヘッダ、行ヘッダの場合は何もしない
			If e.RowIndex < 1 Or e.ColumnIndex < 0 Then Return

			If chkCellValue(e.ColumnIndex, e.RowIndex) Then
				' セルの上側の境界線を「境界線なし」に設定
				e.AdvancedBorderStyle.Top = DataGridViewAdvancedCellBorderStyle.None
			Else
				' セルの上側の境界線を既定の境界線に設定
				e.AdvancedBorderStyle.Top = dgv025MSR010F020.AdvancedCellBorderStyle.Top
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
  End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果情報表示
	''' </summary>
	''' <param name="SearchNo">検索番号</param>
	''' <returns>データ有無</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDispResult(ByVal SearchNo As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "setDispResult", "検索結果情報表示 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Me.setSql(db, ENUM_SQL.SEL_INFO, SearchNo)
				Using dt As DataTable = New DataTable
					db.execQueryDa(dt)
					'検索結果情報を画面に設定
					If dt.Rows.Count > 0 Then
						With dt.Rows(0)
							Me.txt009MSR010F020.Text = .Item(sqlMSR010F020.itmTITLE).ToString
							Me.txt010MSR010F020.Text = .Item(sqlMSR010F020.itmEXPLANATION).ToString
							If IsDate(.Item(sqlMSR010F020.itmSTART_DT)) = True Then
								Me.lbl015MSR010F020.Text = CDate(.Item(sqlMSR010F010.itmSTART_DT)).ToString(clsConst.CST_YYYYMMDD_FORMAT)
								Me.lbl016MSR010F020.Text = CDate(.Item(sqlMSR010F010.itmSTART_DT)).ToString("HH:mm:ss")
							End If

							Me.lbl020MSR010F020.Text = CInt(.Item(sqlMSR010F010.itmPATIENT_NUM)).ToString(clsConst.CST_KENSU_FORMAT)
							Me.lbl021MSR010F020.Text = CInt(.Item(sqlMSR010F010.itmHSP_HISTORY_NUM)).ToString(clsConst.CST_KENSU_FORMAT)
							Me.lbl022MSR010F020.Text = CInt(.Item(sqlMSR010F010.itmCH_NUM)).ToString(clsConst.CST_KENSU_FORMAT)

							Me.lbl024MSR010F020.Text = .Item(sqlMSR010F020.itmCND_NM).ToString


							'件数背景色
							Dim color() As Color = {clsConst.CST_INACTIVE_BACK_COLOR, clsConst.CST_INACTIVE_BACK_COLOR, clsConst.CST_INACTIVE_BACK_COLOR}
							Select Case .Item(sqlMSR010F020.itmMAIN_TABLE_CD).ToString()
								Case clsMSRCOMMON.Enum_Search_Main.XTI_BASICINFO
									color(0) = clsConst.CST_SEARCH_ACTIVE_COLOR
								Case clsMSRCOMMON.Enum_Search_Main.MTI_HSP
									color(1) = clsConst.CST_SEARCH_ACTIVE_COLOR
								Case clsMSRCOMMON.Enum_Search_Main.MTI_CH
									color(2) = clsConst.CST_SEARCH_ACTIVE_COLOR
							End Select
							Me.lbl020MSR010F020.BackColor = color(0)
							Me.lbl021MSR010F020.BackColor = color(1)
							Me.lbl022MSR010F020.BackColor = color(2)

							'復元可能コントロール判定
							If Debugger.IsAttached Then
								Me.btn013MSR010F020.Enabled = True
							Else
								Select Case CInt(.Item(sqlMSR010F020.itmCTRL_CD).ToString.Substring(7))
									Case 10 To 90 : Me.btn013MSR010F020.Enabled = True
									Case Else : Me.btn013MSR010F020.Enabled = False
								End Select
							End If
						End With

						'検索結果条件を取得し画面に設定
						Me.setSql(db, ENUM_SQL.SEL_CND, SearchNo)
						Using dtList As DataTable = New DataTable
							db.execQueryDa(dtList)
							Me.dgv025MSR010F020.DataSource = dtList.Copy
						End Using
						Return True
					End If
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Me.setSql(db, ENUM_SQL.UPD_INFO, Me.SearchNo, Me.txt009MSR010F020.Text, Me.txt010MSR010F020.Text)
				db.execNonQuery()

				Me.setSql(db, ENUM_SQL.DEL_WORK)
				db.execNonQuery()
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLの設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">設定SQL</param>
	''' <param name="val">データ値</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql(ByRef db As clsDB, ByVal type As ENUM_SQL, ByVal ParamArray val() As Object)
		log(clsSysMst.logLevel.DBG, "setSql", "ＳＱＬ設定 START")
		Try
			With db
				Select Case type

					'検索結果情報取得
					Case ENUM_SQL.SEL_INFO : .setSQLDa(sqlMSR010F020.sqlSel_Info)

					'検索結果条件取得
					Case ENUM_SQL.SEL_CND : .setSQLDa(sqlMSR010F020.sqlSel_Cnd)

					'検索結果情報更新
					Case ENUM_SQL.UPD_INFO
						.setSQL(sqlMSR010F020.sqlUpd_Info)
						.setParam(sqlMSR010F020.prmTITLE, clsDB.Enum_dbType.dbNVarChar)			'タイトル
						.setVal(sqlMSR010F020.prmTITLE, val(1))
						.setParam(sqlMSR010F020.prmEXPLANATION, clsDB.Enum_dbType.dbNVarChar)		'説明
						.setVal(sqlMSR010F020.prmEXPLANATION, val(2))
						.setParam(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'使用者コード
						.setVal(sqlMSRCOMMON.prmUSER_CD, Me._userID)
						.setParam(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)			'検索番号
						.setVal(sqlMSRCOMMON.prmSEARCH_NO, val(0))
						.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日
						.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())
						Return

					'印刷用ワークの削除
					Case ENUM_SQL.DEL_WORK
						.setSQL(sqlMSR010R010.sqlDel)
						.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)			'ホスト名
						.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)

						Return
				End Select

				.setParamDa(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'使用者コード
				.setValDa(sqlMSRCOMMON.prmUSER_CD, Me._userID)
				.setParamDa(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)				'検索番号
				.setValDa(sqlMSRCOMMON.prmSEARCH_NO, val(0))

			End With
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セル値の比較
	''' </summary>
	''' <param name="col">列</param>
	''' <param name="row">行</param>
	''' <returns>True:同じ/False:違う</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCellValue(ByVal col As Integer, ByVal row As Integer) As Boolean
		Try
			If col = 0 Then
				Dim cell1 As DataGridViewCell = Me.dgv025MSR010F020(col, row)
				Dim cell2 As DataGridViewCell = Me.dgv025MSR010F020(col, row - 1)

				If cell1.Value Is Nothing Or cell2.Value Is Nothing Then
					Return False
				End If

					' ここでは文字列としてセルの値を比較
				If cell1.Value.ToString() = cell2.Value.ToString() Then
					Return True
				Else
					Return False
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	 End Function

#End Region

End Class
