﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 患者基本情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR030F010

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号

		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR030F010

	End Sub
#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Me.Cursor = Cursors.WaitCursor
		Dim fMSR030F020 As MSR030F020
		Try
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				fMSR030F020 = New MSR030F020(Me.dgvList, Me.pSearchNo)
				Me.nextForm(fMSR030F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			fMSR030F020 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMSR030F010.sqlSel_Cnt)
					Me.setSearchDbParam(db)
					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
		log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMSR030F010.sqlSel_List)
					Me.setSearchDbParam(db, True)
					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
