﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 ＤＰＣ更新 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR040F050

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣマスタ
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_DPC As Integer
		''' <summary>
		''' 2006年度
		''' </summary>
		''' <remarks></remarks>
		MST2006 = 2006
		''' <summary>
		''' 2008年度
		''' </summary>
		''' <remarks></remarks>
		MST2008 = 2008
		''' <summary>
		''' 2010年度
		''' </summary>
		''' <remarks></remarks>
		MST2010 = 2010
'(A) STR V4-12031-000 007 2012/06/07 ID)平井 DPC2012対応
		''' <summary>
		''' 2012年度
		''' </summary>
		''' <remarks></remarks>
		MST2012 = 2012
        '(A) END V4-12031-000 007 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 007 2014/04/17 ID)曽我部 DPC2014対応
        ''' <summary>
        ''' 2014年度
        ''' </summary>
        ''' <remarks></remarks>
        MST2014 = 2014
'(A) END V4-15019-000 007 2014/04/17 ID)曽我部 DPC2014対応
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SQL As Byte
		''' <summary>
		''' DPCマスタ取得
		''' </summary>
		''' <remarks></remarks>
		Sel_DPC = 0
		''' <summary>
		''' 補足項目追加
		''' </summary>
		''' <remarks></remarks>
		Ins_Asst = 1
		''' <summary>
		''' 補足項目更新
		''' </summary>
		''' <remarks></remarks>
		Upd_Asst = 2
		''' <summary>
		''' 補足項目１削除
		''' </summary>
		''' <remarks></remarks>
		Del_Asst1 = 3
		''' <summary>
		''' 補足項目２削除
		''' </summary>
		''' <remarks></remarks>
		Del_Asst2 = 4
		''' <summary>
		''' 科歴更新
		''' </summary>
		''' <remarks></remarks>
		Upd_Ch = 5
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_ASST As Byte
		''' <summary>
		''' 補足項目１
		''' </summary>
		''' <remarks></remarks>
		ASST1 = 1
		''' <summary>
		''' 補足項目２
		''' </summary>
		''' <remarks></remarks>
		ASSt2 = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 更新対象
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_FLG As Byte
		''' <summary>
		''' 入院フラグ
		''' </summary>
		''' <remarks></remarks>
		HSP = 0
		''' <summary>
		''' 主科フラグ
		''' </summary>
		''' <remarks></remarks>
		MAIN = 1
		''' <summary>
		''' 退院フラグ
		''' </summary>
		''' <remarks></remarks>
		OUT = 2
	End Enum

#End Region

#Region "変数"

	Protected pDgvList As DataGridView								'一覧

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		Me.pDgvList = pDgv
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR040F050_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(clsSysMst.logLevel.DBG, "MSR040F050_Load", "フォームロード START")
		Try
			'コンボ設定
			With Me.cmb001MSR040F050
				.DataSource = Me.getNendoList
				'1件目を選択
				If DirectCast(.DataSource, DataTable).Rows.Count > 0 Then
					.SelectedIndex = 0
				End If
			End With

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR040F050_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.DBG, "MSR040F050_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.pDgvList = Nothing

			With Me.cmb001MSR040F050
				If .DataSource IsNot Nothing Then
					DirectCast(.DataSource, DataTable).Dispose()
					.DataSource = Nothing
				End If
			End With
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 年度選択テーブルの作成
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getNendoList() As DataTable
		log(clsSysMst.logLevel.DBG, "getNendoList", "年度選択テーブルの作成 START")
		Dim dt As DataTable
		Dim row As DataRow
		Try
			dt = New DataTable
			With dt
				'列定義
				.Columns.Add("CD")
				.Columns.Add("NM")

				For Each enum_menber As Integer In [Enum].GetValues(GetType(ENUM_DPC))
					row = .NewRow
					row.Item(0) = enum_menber
					row.Item(1) = StrConv(enum_menber, VbStrConv.Wide) & "年度"
					.Rows.Add(row)
				Next

			End With

			Return dt
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常/false:エラー有</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Dim Where As String = Nothing
'(M) STR V4-12031-000 004 2012/06/08 ID)平井 DPC2012対応
        'Dim DpcDate As Date() = {Nothing, Nothing, Nothing}
'(M) STR V4-15019-000 004 2014/04/17 ID)曽我部 DPC2014対応
        'Dim DpcDate As Date() = {Nothing, Nothing, Nothing, Nothing}
        Dim DpcDate As Date() = {Nothing, Nothing, Nothing, Nothing, Nothing}
'(M) END V4-15019-000 004 2014/04/17 ID)曽我部 DPC2014対応
'(M) END V4-12031-000 004 2012/06/08 ID)平井 DPC2012対応
		Const CST_IDX_2006 As Integer = 0
		Const CST_IDX_2008 As Integer = 1
		Const CST_IDX_2010 As Integer = 2
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
		Const CST_IDX_2012 As Integer = 3
        '(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/17 ID)曽我部 DPC2014対応
        Const CST_IDX_2014 As Integer = 4
'(A) END V4-15019-000 003 2014/04/17 ID)曽我部 DPC2014対応
		Try
'(M) STR V4-12031-000 009 2012/06/07 ID)平井 DPC2012対応
			'If Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00100), DpcDate(CST_IDX_2006)) = False OrElse
			'   Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00085), DpcDate(CST_IDX_2008)) = False OrElse
            '   Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00086), DpcDate(CST_IDX_2010)) = False Then
'(M) STR V4-15019-000 011 2014/04/17 ID)曽我部 DPC2014対応
            'If Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00100), DpcDate(CST_IDX_2006)) = False OrElse
            '   Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00085), DpcDate(CST_IDX_2008)) = False OrElse
            '   Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00086), DpcDate(CST_IDX_2010)) = False OrElse
            '   Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00101), DpcDate(CST_IDX_2012)) = False Then
            If Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00100), DpcDate(CST_IDX_2006)) = False OrElse
                Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00085), DpcDate(CST_IDX_2008)) = False OrElse
                Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00086), DpcDate(CST_IDX_2010)) = False OrElse
                Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00101), DpcDate(CST_IDX_2012)) = False OrElse
                Date.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00120), DpcDate(CST_IDX_2014)) = False Then
'(M) END V4-15019-000 011 2014/04/17 ID)曽我部 DPC2014対応
'(M) END V4-12031-000 009 2012/06/07 ID)平井 DPC2012対応
                Me.showMsg("E0013", "動作環境より適用開始日の取得", Nothing)
                Return False
            End If

            '条件の作成
            Where = sqlMSRCOMMON.itmSELECTED & "=" & XCM.clsConst.Enum_Chk.ChkOn & " AND "
            Select Case Me.cmb001MSR040F050.SelectedValue
                Case ENUM_DPC.MST2006
                    Where &= String.Format("( OUT_HSP_DT < '{0}' OR OUT_HSP_DT >= '{1}')",
                          DpcDate(CST_IDX_2006).ToString(clsConst.CST_YYYYMMDD_FORMAT),
                          DpcDate(CST_IDX_2008).ToString(clsConst.CST_YYYYMMDD_FORMAT))
                Case ENUM_DPC.MST2008
                    Where &= String.Format("( OUT_HSP_DT < '{0}' OR OUT_HSP_DT >= '{1}')",
                          DpcDate(CST_IDX_2008).ToString(clsConst.CST_YYYYMMDD_FORMAT),
                          DpcDate(CST_IDX_2010).ToString(clsConst.CST_YYYYMMDD_FORMAT))
                    '(A) STR V4-12031-000 006 2012/06/07 ID)平井 DPC2012対応
                Case ENUM_DPC.MST2010
                    Where &= String.Format("( OUT_HSP_DT < '{0}' OR OUT_HSP_DT >= '{1}')",
                          DpcDate(CST_IDX_2010).ToString(clsConst.CST_YYYYMMDD_FORMAT),
                          DpcDate(CST_IDX_2012).ToString(clsConst.CST_YYYYMMDD_FORMAT))
'(A) END V4-12031-000 006 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 006 2014/04/17 ID)曽我部 DPC2014対応
                Case ENUM_DPC.MST2012
                    Where &= String.Format("( OUT_HSP_DT < '{0}' OR OUT_HSP_DT >= '{1}')",
                          DpcDate(CST_IDX_2012).ToString(clsConst.CST_YYYYMMDD_FORMAT),
                          DpcDate(CST_IDX_2014).ToString(clsConst.CST_YYYYMMDD_FORMAT))
'(A) END V4-15019-000 006 2014/04/17 ID)曽我部 DPC2014対応
'(M) STR V4-12031-000 008 2012/06/07 ID)平井 DPC2012対応
                    'Case ENUM_DPC.MST2010
                    '	Where &= String.Format("OUT_HSP_DT < '{0}'",
                    '							DpcDate(CST_IDX_2010).ToString(clsConst.CST_YYYYMMDD_FORMAT))
'(M) STR V4-15019-000 008 2014/04/17 ID)曽我部 DPC2014対応
                    'Case ENUM_DPC.MST2012
                    '                Where &= String.Format("OUT_HSP_DT < '{0}'",
                    '                      DpcDate(CST_IDX_2012).ToString(clsConst.CST_YYYYMMDD_FORMAT))
                Case ENUM_DPC.MST2014
                    Where &= String.Format("OUT_HSP_DT < '{0}'",
                          DpcDate(CST_IDX_2014).ToString(clsConst.CST_YYYYMMDD_FORMAT))
'(M) END V4-15019-000 008 2014/04/17 ID)曽我部 DPC2014対応
'(M) END V4-12031-000 008 2012/06/07 ID)平井 DPC2012対応
            End Select
            '抽出
            With DirectCast(Me.pDgvList.DataSource, DataTable)
                If .Select(Where).Length > 0 Then
                    Me.showMsg("E0003", "対象期間外のデータがある", "更新", Nothing)  '「対象期間外のデータがあるため、更新できません。」
                    Return False
                End If
            End With
            Return True
        Catch ex As Exception
            Throw
        End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 START")
		Dim Asst As ENUM_ASST								'処理対象:補助項目(1 or 2)
		Dim OverList As List(Of String) = Nothing			'処理済み判定リスト
		Dim OverStr As String = Nothing						'処理済み判定キー
		Try
			OverList = New List(Of String)
			Using dt As New DataTable
				'マスタ取得
				Me.setSql(db, ENUM_SQL.Sel_DPC)
				db.execQueryDa(dt)

				'トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)

				'マスタ１件毎に処理
				For Each row As DataRow In dt.Rows

					'処理対象テーブルの決定
					If row.Item(sqlMSR040F050.itmTABLE_FIELD_NM).ToString Like "ASST_ITM*" Then
						Asst = ENUM_ASST.ASST1
					Else
						Asst = ENUM_ASST.ASSt2
					End If

					'処理済み判定キー
					OverStr = Asst.ToString & row.Item(sqlMSR040F050.itmUPDATED_OBJECT).ToString

					'未処理なら補足項目追加
					If OverList.IndexOf(OverStr) = -1 Then
						OverList.Add(OverStr)

						'補足項目追加
						Me.setSql(db, ENUM_SQL.Ins_Asst, Asst, row)
						db.execNonQuery(False)

					End If

					'補足項目更新
					Me.setSql(db, ENUM_SQL.Upd_Asst, Asst, row)
					db.execNonQuery(False)
				Next

				'処理対象が１件でもあれば
				If dt.Rows.Count > 0 Then

					'不要補足項目削除
					Me.setSql(db, ENUM_SQL.Del_Asst1)
					db.execNonQuery(False)
					Me.setSql(db, ENUM_SQL.Del_Asst2)
					db.execNonQuery(False)

					'科歴反映
					Me.setSql(db, ENUM_SQL.Upd_Ch)
					db.execNonQuery(False)

					'コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)

					Return True
				End If

			End Using
			Return False
		Catch ex As Exception
			Throw
		Finally
			'ロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			If OverList IsNot Nothing Then : OverList.Clear() : OverList = Nothing : End If
			OverStr = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQLの設定
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="type">SQL種類</param>
	''' <param name="Asst">補足項目１or２</param>
	''' <param name="row">マスタデータ</param>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql(ByVal db As clsDB, ByVal type As ENUM_SQL, Optional ByVal Asst As ENUM_ASST = Nothing, Optional ByVal row As DataRow = Nothing)
		log(clsSysMst.logLevel.DBG, "setSql", "SQL設定 START")
		Dim sql As String = Nothing
		Try
			Select Case type
				Case ENUM_SQL.Sel_DPC
					'統計対象外
					Select Case Me.cmb001MSR040F050.SelectedValue
						Case ENUM_DPC.MST2006 : db.setSQLDa(sqlMSR040F050.sqlSel_DPC2006)
						Case ENUM_DPC.MST2008 : db.setSQLDa(sqlMSR040F050.sqlSel_DPC2008)
						Case ENUM_DPC.MST2010 : db.setSQLDa(sqlMSR040F050.sqlSel_DPC2010)
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
						Case ENUM_DPC.MST2012 : db.setSQLDa(sqlMSR040F050.sqlSel_DPC2012)
                            '(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/17 ID)曽我部 DPC2014対応
                        Case ENUM_DPC.MST2014 : db.setSQLDa(sqlMSR040F050.sqlSel_DPC2014)
'(A) END V4-15019-000 003 2014/04/17 ID)曽我部 DPC2014対応
                    End Select
					db.setParamDa(sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)						'フラグ
					db.setValDa(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_Chk.ChkOn, False)

					'共通パラメータは不要なのでここで終了
					Return

				Case ENUM_SQL.Ins_Asst
					'補足項目追加
					Select Case row.Item(sqlMSR040F050.itmUPDATED_OBJECT).ToString
						Case ENUM_FLG.HSP																'入院フラグ
							Select Case Asst
								Case ENUM_ASST.ASST1 : sql = sqlMSR040F050.sqlIns_MTI_ASST1_HSP					'補足項目１
								Case ENUM_ASST.ASSt2 : sql = sqlMSR040F050.sqlIns_MTI_ASST2_HSP					'補足項目２
							End Select
						Case ENUM_FLG.MAIN																'主科フラグ
							Select Case Asst
								Case ENUM_ASST.ASST1 : sql = sqlMSR040F050.sqlIns_MTI_ASST1_MAIN				'補足項目１
								Case ENUM_ASST.ASSt2 : sql = sqlMSR040F050.sqlIns_MTI_ASST2_MAIN				'補足項目２
							End Select
						Case ENUM_FLG.OUT																'退院フラグ
							Select Case Asst
								Case ENUM_ASST.ASST1 : sql = sqlMSR040F050.sqlIns_MTI_ASST1_OUT					'補足項目１
								Case ENUM_ASST.ASSt2 : sql = sqlMSR040F050.sqlIns_MTI_ASST2_OUT					 '補足項目２
							End Select
					End Select
					db.setSQL(sql)

					db.setParam(sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)								'フラグ
					db.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)

				Case ENUM_SQL.Upd_Asst
					'補足項目更新
					Select Case row.Item(sqlMSR040F050.itmUPDATED_OBJECT).ToString
						Case ENUM_FLG.HSP																'入院フラグ
							Select Case Asst
								Case ENUM_ASST.ASST1 : sql = sqlMSR040F050.sqlUpd_MTI_ASST1_HSP					'補足項目１
								Case ENUM_ASST.ASSt2 : sql = sqlMSR040F050.sqlUpd_MTI_ASST2_HSP					'補足項目２
							End Select
						Case ENUM_FLG.MAIN																'主科フラグ
							Select Case Asst
								Case ENUM_ASST.ASST1 : sql = sqlMSR040F050.sqlUpd_MTI_ASST1_MAIN				'補足項目１
								Case ENUM_ASST.ASSt2 : sql = sqlMSR040F050.sqlUpd_MTI_ASST2_MAIN				'補足項目２
							End Select
						Case ENUM_FLG.OUT																'退院フラグ
							Select Case Asst
								Case ENUM_ASST.ASST1 : sql = sqlMSR040F050.sqlUpd_MTI_ASST1_OUT					'補足項目１
								Case ENUM_ASST.ASSt2 : sql = sqlMSR040F050.sqlUpd_MTI_ASST2_OUT					 '補足項目２
							End Select
					End Select
					db.setSQL(String.Format(sql, row.Item(sqlMSR040F050.itmTABLE_FIELD_NM).ToString _
											   , row.Item(sqlMSR040F050.itmS_ITM_CD).ToString.PadLeft(3, "0")))
					Select Case Asst
						Case ENUM_ASST.ASST1
							db.setParam(sqlMSRCOMMON.prmCHK_CD_ON, clsDB.Enum_dbType.dbInt)						'チェックON
							db.setVal(sqlMSRCOMMON.prmCHK_CD_ON, clsConst.Enum_Chk.ChkOn, False)
							db.setParam(sqlMSRCOMMON.prmFLG_OFF, clsDB.Enum_dbType.dbInt)						'フラグOFF
							db.setVal(sqlMSRCOMMON.prmFLG_OFF, clsConst.Enum_CheckBox_Flg.CheckOff, False)
						Case ENUM_ASST.ASSt2
							'追加パラメータなし
					End Select

					db.setParam(sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)								'フラグON
					db.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)

				Case ENUM_SQL.Del_Asst1
					'補足項目１削除
					db.setSQL(sqlMSR040F050.sqlDel_MTI_ASST1)

				Case ENUM_SQL.Del_Asst2
					'補足項目１削除
					db.setSQL(sqlMSR040F050.sqlDel_MTI_ASST2)

				Case ENUM_SQL.Upd_Ch
					'科歴削除
					db.setSQL(sqlMSR040F050.sqlUpd_MTI_CH)

				Case Else
					Return
			End Select

			'共通のパラメータ設定
			db.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)					'ホスト名
			db.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
			db.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者名
			db.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
			db.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日
			db.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.pDgvList) = False Then	'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.pDgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.pDgvList, errPtn) = False Then	'更新対象ワークデータ作成
'(M) END V4-11007-000 003 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then							'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then							 '更新処理
'(M) END V4-11007-000 003 20110809
						Me.showMsg("I0006", "更新", Nothing)					'「更新が終了しました」
					Else
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
						If (getErrCount() = 0) Then
'(A) END V4-11007-000 003 20110809
							Me.showMsg("E0015", "マスタにデータ", Nothing)			'「マスタにデータが存在しません。」
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
						End If
'(A) END V4-11007-000 003 20110809
					End If

'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
