﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 病名情報 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR060F030

#Region "変数"
	'引数
	Protected pDgvList As DataGridView								 '一覧(ｸﾞﾘｯﾄﾋﾞｭｰ)
	Private pValueFrm As frmBase = Nothing							 'フォーム
	Private Const CST_SHOW_XSP110F010_ID As String = "XSP110F010"	 '遷移先固定ID
	Private Const CST_CNR_REG_COUNT As Integer = 0					 'がん登録予定数、がん登録数を初期化用
	Private MngDiv As String = clsConst.CST_SIGN_F					 '管理記号
	Protected Schdt As DataTable	'
#End Region

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR060F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(XCM.clsSysMst.logLevel.NRM, "MSR060F030_Load", "フォームロード START")
		Try
			Me.rdo003MSR060F030.Checked = True	'変更イベント起動のため一旦チェック
			Me.rdo002MSR060F030.Checked = True
			Me.rdo012MSR060F030.Checked = True
			Me.setCombo()						'コンボセット
			Me.chk001MSR060F030.Select()		'フォーカス
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR060F030_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(XCM.clsSysMst.logLevel.NRM, "MSR060F030_Shown", "フォームを開くとき START")
		Try
			'病名チェックボックスへフォーカス
			Me.chk001MSR060F030.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR060F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MSR060F030_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名チェック変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk001MSR060F030_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk001MSR060F030.CheckedChanged
		log(XCM.clsSysMst.logLevel.NRM, "chk001MSR060F030_CheckedChanged", "病名チェック変更時 START")
		Try
			With DirectCast(sender, BT_CheckBox)
				Me.grp004MSR060F030.Enabled = .Checked
				Me.grp046MSR060F030.Enabled = .Checked
				If .Checked = True Then
					Select Case True
						Case Me.rdo002MSR060F030.Checked : Me.msk006MSR060F030.Select()
						Case Me.rdo003MSR060F030.Checked : Me.txt008MSR060F030.Select()
						Case Else
					End Select
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' ラジオボタン変更時（管理番号・ＩＣＤ１０）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdo002MSR060F030.CheckedChanged, rdo003MSR060F030.CheckedChanged
		log(XCM.clsSysMst.logLevel.NRM, "rdo_CheckedChanged", "ラジオボタン変更時（管理番号・ＩＣＤ１０） START")
		Try
			'画面データクリア
			Me.txtClear()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理番号Leave時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt006MSR060F030_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk006MSR060F030.Leave
		log(XCM.clsSysMst.logLevel.NRM, "txt006MSR060F030_Leave", "管理番号Leave時  START")
		'病名マスタよりICD10～院内病名コードを取得し、画面上の各項目にセット
		Try
			Me.Cursor = Cursors.WaitCursor

			If String.IsNullOrEmpty(Me.msk006MSR060F030.Text) = True Then Return

			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						'パラメータセット
						.setSQLDa(sqlMSR060F030.sqlSelMstByomei)
						.setParamDa(sqlMSR060F030.prmDISEASE_MNG_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)	'管理記号
						.setParamDa(sqlMSR060F030.prmDISEASE_MNG_NO, XCM.clsDB.Enum_dbType.dbInt)		'管理番号
						'値セット
						.setValDa(sqlMSR060F030.prmDISEASE_MNG_DIV, Me.MngDiv)							'管理記号
						.setValDa(sqlMSR060F030.prmDISEASE_MNG_NO, Me.msk006MSR060F030.Text)			'管理番号
						'SQL実行
						.execQueryDa(dt)
					End With
				End Using
				If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
					'取得したICD10～院内病名コードを画面上の各項目にセット
					Me.txt008MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmICD10_CD).ToString		  'ICD10
					Me.txt010MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmDISEASE_NM).ToString	  '病名
					Me.lbl016MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmL_GRP_CD).ToString		  '大分類コード
					Me.lbl019MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmM_GRP_CD).ToString		  '中分類コード
					Me.lbl022MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmS_GRP_CD).ToString		  '小分類コード
					Me.lbl025MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmGRP300_CD).ToString		  '３００分類コード
					Me.lbl028MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmA_GRP_CD).ToString		  'ａ分類コード
					Me.lbl031MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmB_GRP_CD).ToString		  'ｂ分類コード
					Me.lbl034MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmC_GRP_CD).ToString		  'ｃ分類コード
					Me.lbl037MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmDEATH_GRP_CD).ToString	  '死因分類
					Me.txt040MSR060F030.Text = dt.Rows(0).Item(sqlMSR060F030.itmHSP_DISEASE_CD).ToString  '院内病名コード
				Else
					'画面データクリア
					Me.txtClear()
				End If
				'各マスタ項目取得
				Me.getMstData()
				'病名テキストボックスへフォーカス
				Me.txt010MSR060F030.Select()
			End Using
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10Leave時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt008MSR060F030_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt008MSR060F030.Leave
		log(XCM.clsSysMst.logLevel.NRM, "txt008MSR060F030_Leave", "ICD10Leave時  START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'マスタデータセット
			Me.setMstData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007MSR060F030_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn007MSR060F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn007MSR060F030_Click", "ICD10ボタン押下時 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'マスタデータセット
			Me.setMstData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理番号ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005MSR060F030_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn005MSR060F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn005MSR060F030_Click", "管理番号ボタン押下時  START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'病名検索画面遷移
			Me.showDisease()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面データクリア処理(病名)
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txtClear()
		log(clsSysMst.logLevel.DBG, "txtClear", "画面データクリア処理  START")
		'テキストボックス
		Me.msk006MSR060F030.Text = Nothing
		Me.txt008MSR060F030.Text = Nothing
		Me.txt010MSR060F030.Text = Nothing
		Me.lbl016MSR060F030.Text = Nothing
		Me.lbl017MSR060F030.Text = Nothing
		Me.lbl019MSR060F030.Text = Nothing
		Me.lbl020MSR060F030.Text = Nothing
		Me.lbl022MSR060F030.Text = Nothing
		Me.lbl023MSR060F030.Text = Nothing
		Me.lbl025MSR060F030.Text = Nothing
		Me.lbl026MSR060F030.Text = Nothing
		Me.lbl028MSR060F030.Text = Nothing
		Me.lbl029MSR060F030.Text = Nothing
		Me.lbl031MSR060F030.Text = Nothing
		Me.lbl032MSR060F030.Text = Nothing
		Me.lbl034MSR060F030.Text = Nothing
		Me.lbl035MSR060F030.Text = Nothing
		Me.lbl037MSR060F030.Text = Nothing
		Me.lbl038MSR060F030.Text = Nothing
		Me.txt040MSR060F030.Text = Nothing
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCombo()
		log(clsSysMst.logLevel.DBG, "setCombo", "コンボ設定  START")
		Dim cliComboCom As clsComboCom = Nothing
		Try
			cliComboCom = New clsComboCom
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With Me.cmb042MSR060F030
					.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CnrRegStatus)
					.setDropDownWidth()
				End With
'(A) STR V4-14016-000 007 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
				'病名転帰
				With Me.cmb048MSR060F030
					.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseOutcome)
					.setDropDownWidth()
				End With
'(A) END V4-14016-000 007 20130415
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliComboCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名検索画面遷移
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showDisease()
		log(clsSysMst.logLevel.DBG, "showDisease", "病名検索画面遷移  START")
		Dim ChildForm As XSP110F010
		Try
			ChildForm = New XSP110F010(Me.Name, clsConst.Enum_OverWrite.OverWrite, Nothing, Nothing)
			Me.nextForm(ChildForm)
		Catch ex As Exception
			Throw
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			'病名、がん登録状況、がん登録抽出日いずれもチェックが入っていないとき
'(M) STR V4-14016-000 009 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
			'If Me.chk001MSR060F030.Checked = False AndAlso _
			'   Me.chk041MSR060F030.Checked = False AndAlso _
			'   Me.chk044MSR060F030.Checked = False Then
			If Me.chk001MSR060F030.Checked = False AndAlso _
			   Me.chk041MSR060F030.Checked = False AndAlso _
			   Me.chk044MSR060F030.Checked = False AndAlso _
			   Me.chk047MSR060F030.Checked = False Then
'(M) END V4-14016-000 009 20130415
				'「更新対象が選択されていません」メッセージ
				addErrList("E0014", "MSR060F030", "更新対象", "更新対象", Nothing)
			End If
			'病名＝ＯＮの場合
			If Me.chk001MSR060F030.Checked = True Then
				'病名チェックボックス=ONのとき
				Select Case True
					Case Me.rdo002MSR060F030.Checked
						'管理番号ラジオボタンが選択されているとき
						If String.IsNullOrEmpty(Me.msk006MSR060F030.Text) = True OrElse _
						   String.IsNullOrEmpty(Me.txt008MSR060F030.Text) = True Then
							'管理番号またはＩＣＤ１０が入力されていないとき
							'「未入力の項目があります」メッセージ
							addErrList("E0001", Me.msk006MSR060F030.Name, Me.btn005MSR060F030.Text, Nothing)
						End If
					Case Me.rdo003MSR060F030.Checked
						'ＩＣＤ１０ラジオボタンが選択されているとき
						If String.IsNullOrEmpty(Me.txt008MSR060F030.Text) = True Then
							'ＩＣＤ１０が入力されていないとき
							'「未入力の項目があります」メッセージ
							addErrList("E0001", Me.txt008MSR060F030.Name, Me.btn007MSR060F030.Text, Nothing)
						End If
					Case Else
						'処理なし
				End Select
				If Me.rdo013MSR060F030.Checked = True Then
					'病名を「上書きする」が選択されているとき
					If String.IsNullOrEmpty(Me.txt010MSR060F030.Text) = True Then
						'病名が入力されていないとき
						'「未入力の項目があります」メッセージ
						addErrList("E0001", Me.txt010MSR060F030.Name, Me.lbl009MSR060F030.Text, Nothing)
					End If
				End If
			End If
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
			Else
				Return True									'エラーがない場合、正常終了
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（病名）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updByomeiData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updByomeiData", "テーブルデータ更新（病名） START")
		Try
			With db
				'パラメータ設定
				If Me.rdo013MSR060F030.Checked = True AndAlso Me.rdo002MSR060F030.Checked = True Then
					.setSQL(sqlMSR060F030.sqlUpdByomeiNMKan)
				ElseIf Me.rdo013MSR060F030.Checked = True Then
					'「上書きする」選択時
					.setSQL(sqlMSR060F030.sqlUpdByomeiNM)
				ElseIf Me.rdo002MSR060F030.Checked = True Then
					'「管理番号」選択時
					.setSQL(sqlMSR060F030.sqlUpdByomeiKan)
'(A) STR V4-12022-000 005 20120313 FJSK)H.Y 病名検索後更新エラー対応
				Else
					'「ＩＣＤ１０」、「上書きしない」選択時
					.setSQL(sqlMSR060F030.sqlUpdByomeiICD10)
'(A) END V4-12022-000 005 20120313 FJSK)H.Y 病名検索後更新エラー対応
				End If
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmICD10_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'ICD10コード
				.setParam(sqlMSR060F030.prmL_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'大分類コード
				.setParam(sqlMSR060F030.prmM_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'中分類コード
				.setParam(sqlMSR060F030.prmS_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'小分類コード
				.setParam(sqlMSR060F030.prmGRP300_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'３００分類コード
				.setParam(sqlMSR060F030.prmA_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'ａ分類コード
				.setParam(sqlMSR060F030.prmB_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'ｂ分類コード
				.setParam(sqlMSR060F030.prmC_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'ｃ分類コード
				.setParam(sqlMSR060F030.prmDEATH_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)	'死因分類コード
				.setParam(sqlMSR060F030.prmHSP_DISEASE_CD, XCM.clsDB.Enum_dbType.dbNVarChar)	'院内病名コード
				.setParam(sqlMSR060F030.prmDISEASE, XCM.clsDB.Enum_dbType.dbNVarChar)			'病名
				.setParam(sqlMSR060F030.prmDISEASE_MNG_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)	'管理記号
				.setParam(sqlMSR060F030.prmDISEASE_MNG_NO, XCM.clsDB.Enum_dbType.dbNVarChar)	'管理番号
				'値セット
				.setVal(sqlMSR060F030.prmICD10_CD, Me.txt008MSR060F030.Text)				'ICD10コード
				.setVal(sqlMSR060F030.prmL_GRP_CD, Me.lbl016MSR060F030.Text)				'大分類コード
				.setVal(sqlMSR060F030.prmM_GRP_CD, Me.lbl019MSR060F030.Text)				'中分類コード
				.setVal(sqlMSR060F030.prmS_GRP_CD, Me.lbl022MSR060F030.Text)				'小分類コード
				.setVal(sqlMSR060F030.prmGRP300_CD, Me.lbl025MSR060F030.Text)				'３００分類コード
				.setVal(sqlMSR060F030.prmA_GRP_CD, Me.lbl028MSR060F030.Text)				'ａ分類コード
				.setVal(sqlMSR060F030.prmB_GRP_CD, Me.lbl031MSR060F030.Text)				'ｂ分類コード
				.setVal(sqlMSR060F030.prmC_GRP_CD, Me.lbl034MSR060F030.Text)				'ｃ分類コード
				.setVal(sqlMSR060F030.prmDEATH_GRP_CD, Me.lbl037MSR060F030.Text)			'死因分類コード
				.setVal(sqlMSR060F030.prmHSP_DISEASE_CD, Me.txt040MSR060F030.Text)			'院内病名コード
				.setVal(sqlMSR060F030.prmDISEASE, Me.txt010MSR060F030.Text)					'病名
				.setVal(sqlMSR060F030.prmDISEASE_MNG_DIV, Me.MngDiv)						'管理記号
				.setVal(sqlMSR060F030.prmDISEASE_MNG_NO, Me.msk006MSR060F030.Text)			'管理番号
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（がん登録状況）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updCNRData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updCNRData", "テーブルデータ更新（がん登録状況） START")
		Try
			With db
				'がん登録状況コード更新
				'ＳＱＬ設定
				.setSQL(sqlMSR060F030.sqlUpdCNR_REG_CD)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmCNR_REG_STATUS_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'がん登録状況コード
'(M) STR V4-11017-000 004 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No79 がん登録状況コード=NULL更新の例外エラー対応
'				.setVal(sqlMSR060F030.prmCNR_REG_STATUS_CD, Me.cmb042MSR060F030.SelectedValue)		'がん登録状況コードコード
				.setVal(sqlMSR060F030.prmCNR_REG_STATUS_CD, Me.cmb042MSR060F030.Text)				'がん登録状況コード
'(M) END V4-11017-000 004 20110810
				'更新実行
				.execNonQuery(False)
				'がん登録予定数、がん登録数を初期化
				'ＳＱＬ設定
				.setSQL(sqlMSR060F030.sqlUpdCNR_Zero)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmCNR_REG_EXPECTED_COUNT, XCM.clsDB.Enum_dbType.dbInt)		'がん登録予定数
				.setParam(sqlMSR060F030.prmCNR_REG_COUNT, XCM.clsDB.Enum_dbType.dbInt)				'がん登録数
				.setVal(sqlMSR060F030.prmCNR_REG_EXPECTED_COUNT, CST_CNR_REG_COUNT)					'がん登録予定数
				.setVal(sqlMSR060F030.prmCNR_REG_COUNT, CST_CNR_REG_COUNT)							'がん登録数
				'更新実行
				.execNonQuery(False)
				'がん登録予定数を更新
				'ＳＱＬ設定
				.setSQL(sqlMSR060F030.sqlUpdCNR_REG_EXP_CNT_Set)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmFIX_CD, XCM.clsDB.Enum_dbType.dbInt)						'がん登録予定固定コード
				.setVal(sqlMSR060F030.prmFIX_CD, clsConst.Enum_ClrRegStatus_Fix1.Plan)				'がん登録予定固定コード
				'更新実行
				.execNonQuery(False)
				'がん登録数を更新
				'ＳＱＬ設定
				.setSQL(sqlMSR060F030.sqlUpdCNR_REG_CNT_Set)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmFIX_CD, XCM.clsDB.Enum_dbType.dbInt)						'がん登録固定コード
				.setVal(sqlMSR060F030.prmFIX_CD, clsConst.Enum_ClrRegStatus_Fix1.Finish)			'がん登録固定コード
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（がん登録抽出日）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updCNR_REG_DTData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updCNR_REG_DTData", "テーブルデータ更新（がん登録抽出日） START")
		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR060F030.sqlUpdCNR_REG_DT)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmCNR_REG_EXTRACT_DT, XCM.clsDB.Enum_dbType.dbDateTime)		'がん登録抽出日
				.setVal(sqlMSR060F030.prmCNR_REG_EXTRACT_DT, Me.dte045MSR060F030.Text)				'がん登録抽出日
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

'(A) STR V4-14016-000 030 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（病名転帰コード）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/15 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updDISEASE_OUTCOME_CD(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updDISEASE_OUTCOME_CD", "テーブルデータ更新（病名転帰コード） START")
		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR060F030.sqlUpdDISEASE_OUTCOME_CD)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR060F030.prmDISEASE_OUTCOME_CD, XCM.clsDB.Enum_dbType.dbNVarChar)	'病名転帰コード
				.setVal(sqlMSR060F030.prmDISEASE_OUTCOME_CD, Me.cmb048MSR060F030.Text)				'病名転帰コード
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-14016-000 030 20130415

	'''---------------------------------------------
	''' <summary>
	''' 共通パラメータセット
	''' </summary>
	''' <remarks>
	''' 2010/11/09 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setParamater(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setParamater", "共通パラメータセット START")
		Try
			With db
				'パラメータ設定
				.setParam(sqlMSRCOMMON.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)					'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'更新者名
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "データ更新処理 START")
		Dim bolCtl() As BT_CheckBox
		Dim wrkMsg As String = Nothing		'エラーメッセージ文言用変数
		Dim ret As Boolean
		Try
			'チェックボックスの状態を配列にセット
'(M) STR V4-14016-000 004 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
'			bolCtl = {Me.chk001MSR060F030, Me.chk041MSR060F030, Me.chk044MSR060F030}
			bolCtl = {Me.chk001MSR060F030, Me.chk041MSR060F030, Me.chk044MSR060F030, Me.chk047MSR060F030}
'(M) END V4-14016-000 004 20130415

			Try
				For i As Integer = 0 To bolCtl.Length - 1
					If bolCtl(i).Checked = True Then
						wrkMsg = bolCtl(i).Text & "を処理中、更新"
						'ステータスバーにメッセージ表示
						Me.showMsgBar("I0022", Enum_MsgIcon.None, bolCtl(i).Text, Nothing)
						'トランザクション開始
						db.ctlTran(clsDB.Enum_TranMode.Begin)
						Select Case i
							Case 0 : ret = Me.updByomeiData(db)
							Case 1 : ret = Me.updCNRData(db)
							Case 2 : ret = Me.updCNR_REG_DTData(db)
'(A) STR V4-14016-000 003 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
							Case 3 : ret = Me.updDISEASE_OUTCOME_CD(db)
'(A) END V4-14016-000 003 20130415
							Case Else
								ret = False
						End Select
						If ret = True Then
							db.ctlTran(clsDB.Enum_TranMode.Commit)
						Else
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
						End If
					End If
				Next i
				Return True
			Catch ex As SqlClient.SqlException
				'トランザクションロールバック
				If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
				'共通例外エラー処理
				Me.ErrorProc(ex, False)
				'エラーメッセージ出力
				'「○○を処理時、更新に失敗しました」
				Me.showMsg("E0013", wrkMsg, ex.Message)
				Return False
			Catch ex As Exception
				Throw
			Finally
				Me.clearMsgBar()
				'トランザクションロールバック
				If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			End Try
			Return True
		Catch ex As Exception
			Throw
		Finally
			bolCtl = Nothing
			wrkMsg = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' マスタデータセット(ICD10コードより)
	''' </summary>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setMstData()
		log(clsSysMst.logLevel.DBG, "setMstData", "マスタデータセット(ICD10コードより) START")
		Dim wrkICD10_3 As String = Nothing										'３文字までのICD10コード
		Dim wrkICD10_4 As String = Nothing										'４文字までのICD10コード
		Dim wrkDT As DataTable = Nothing										'取得したデータテーブル
		Dim wrkC_GRP_CD As String = Nothing										'ワークｃ分類コード
		Try

			'一旦クリア
			Me.lbl016MSR060F030.Text = Nothing									'	大分類コード
			Me.lbl019MSR060F030.Text = Nothing									'	中分類コード
			Me.lbl022MSR060F030.Text = Nothing									'	小分類コード
			Me.lbl025MSR060F030.Text = Nothing									'	３００分類コード
			Me.lbl028MSR060F030.Text = Nothing									'	ａ分類コード
			Me.lbl031MSR060F030.Text = Nothing									'	ｂ分類コード
			Me.lbl034MSR060F030.Text = Nothing									'	ｃ分類コード
			Me.lbl037MSR060F030.Text = Nothing									'	死因分類コード

			wrkICD10_3 = Me.txt008MSR060F030.Text.PadRight(3).Substring(0, 3)
			wrkICD10_4 = Me.txt008MSR060F030.Text.PadRight(4).Substring(0, 4)

			'大分類コード・中分類コード・小分類コードを取得
			wrkDT = Me.getData(sqlMSR060F030.sqlSelMstS_GRP, sqlMSR060F030.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar, wrkICD10_3)
			If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
				'取得したデータを画面項目にセット
				Me.lbl016MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmL_GRP_CD).ToString			 '大分類コード
				Me.lbl019MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmM_GRP_CD).ToString			 '中分類コード
				Me.lbl022MSR060F030.Text = wrkICD10_3														 '小分類コード
			Else
				wrkICD10_3 = Nothing
			End If

			'３００分類コード・c分類コード・死因分類コード取得
			If wrkICD10_3 IsNot Nothing Then
				wrkDT = Me.getData(sqlMSR060F030.sqlSelMstB_C_GRP, sqlMSR060F030.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar, wrkICD10_3)
				If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
					'取得したデータを画面項目にセット
					Me.lbl025MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmGRP300_CD).ToString			'３００分類コード
					wrkC_GRP_CD = wrkDT.Rows(0).Item(sqlMSR060F030.itmC_GRP_CD).ToString						'ｃ分類コード
					Me.lbl037MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmDEATH_GRP_CD).ToString		'死因分類コード
				End If
			End If

			'ICD10コードが4文字以上の場合、c分類コード・死因分類コード取得
			If Me.txt008MSR060F030.Text.Length >= 4 Then
				'c分類コード取得
				wrkDT = Me.getData(sqlMSR060F030.sqlSelMstB_C_GRP4, sqlMSR060F030.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar, wrkICD10_4)
				If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
					wrkC_GRP_CD = wrkDT.Rows(0).Item(sqlMSR060F030.itmC_GRP_CD).ToString						'c分類コード
				End If
				'死因分類コード
				wrkDT = getData(sqlMSR060F030.sqlSelMstDEATH_GRP, sqlMSR060F030.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar, wrkICD10_4)
				If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
					'取得したデータを画面項目にセット
					Me.lbl037MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmDEATH_GRP_CD).ToString		'死因分類コード
				End If
			End If

			'上記でｃ分類コードが取得できた場合、ａ分類コード・ｂ分類コード取得
			If wrkC_GRP_CD IsNot Nothing Then
				wrkDT = Me.getData(sqlMSR060F030.sqlSelMstB_ABC, sqlMSR060F030.prmC_GRP_CD, clsDB.Enum_dbType.dbNVarChar, wrkC_GRP_CD)
				If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
					'取得したデータを画面項目にセット
					Me.lbl028MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmA_GRP_CD).ToString		  'ａ分類コード
					Me.lbl031MSR060F030.Text = wrkDT.Rows(0).Item(sqlMSR060F030.itmB_GRP_CD).ToString		  'ｂ分類コード
					Me.lbl034MSR060F030.Text = wrkC_GRP_CD
				End If
			End If

			'マスタ名称取得
			Me.getMstData()
		Catch ex As Exception
			Throw
		Finally
			If wrkDT IsNot Nothing Then : wrkDT.Dispose() : wrkDT = Nothing : End If
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ取得
	''' </summary>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getData(ByVal pSql As String, ByVal pParam As String, ByVal pType As XCM.clsDB.Enum_dbType, ByVal pSetData As String) As DataTable
		log(clsSysMst.logLevel.DBG, "getData", "データ取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						'パラメータセット
						.setSQLDa(pSql)
						.setParamDa(pParam, pType)

						'値セット
						.setValDa(pParam, pSetData)

						'SQL実行
						.execQueryDa(dt)
					End With
				End Using
				Return dt
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' マスタデータ項目取得
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub getMstData()
		log(clsSysMst.logLevel.DBG, "getMstData", "マスタデータ項目取得 START")
		Dim wrkDT As New DataTable								  '取得したデータテーブル
		'(大分類名,中分類名,小分類名
		' ａ分類名,ｂ分類名,ｃ分類名
		' ３００分類名,死因分類名)
		'ＳＱＬ用配列
		Dim pSql() As String = {sqlMSR060F030.sqlSelGetMstL_GRP, sqlMSR060F030.sqlSelGetMstM_GRP, sqlMSR060F030.sqlSelGetMstS_GRP, _
								sqlMSR060F030.sqlSelGetMstA_GRP, sqlMSR060F030.sqlSelGetMstB_GRP, sqlMSR060F030.sqlSelGetMstC_GRP, _
								sqlMSR060F030.sqlSelGetMst300_GRP, sqlMSR060F030.sqlSelGetMstDEATH_GRP}

		'パラメータ用配列
		Dim pParam() As String = {sqlMSR060F030.prmL_GRP_CD, sqlMSR060F030.prmM_GRP_CD, sqlMSR060F030.prmS_GRP_CD, _
								  sqlMSR060F030.prmA_GRP_CD, sqlMSR060F030.prmB_GRP_CD, sqlMSR060F030.prmC_GRP_CD, _
								  sqlMSR060F030.prmGRP300_CD, sqlMSR060F030.prmDEATH_GRP_CD}

		'IN項目用配列
		Dim pInCol() As Label = {Me.lbl016MSR060F030, Me.lbl019MSR060F030, Me.lbl022MSR060F030, _
								 Me.lbl028MSR060F030, Me.lbl031MSR060F030, Me.lbl034MSR060F030, _
								 Me.lbl025MSR060F030, Me.lbl037MSR060F030}

		'OUT項目用配列
		Dim pOutCol() As Label = {Me.lbl017MSR060F030, Me.lbl020MSR060F030, Me.lbl023MSR060F030, _
								  Me.lbl029MSR060F030, Me.lbl032MSR060F030, Me.lbl035MSR060F030, _
								  Me.lbl026MSR060F030, Me.lbl038MSR060F030}

		Try
			'データ項目取得
			For i As Integer = 0 To pSql.Length - 1
				If String.IsNullOrEmpty(pInCol(i).Text) = False Then
					wrkDT = getData(pSql(i), pParam(i), clsDB.Enum_dbType.dbNVarChar, pInCol(i).Text)

					If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
						'取得したデータを画面項目にセット
						pOutCol(i).Text = wrkDT.Rows(0).Item(0).ToString
					Else
						pOutCol(i).Text = Nothing
					End If
				Else
					pOutCol(i).Text = Nothing
				End If
			Next i
		Catch ex As Exception
			Throw
		Finally
			wrkDT.Dispose()
			wrkDT = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.pDgvList) = False Then		'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.pDgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.pDgvList, errPtn) = False Then		 '更新対象ワークデータ作成
'(M) END V4-11007-000 005 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then								'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then	'更新処理
'(M) END V4-11007-000 004 20110809
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If

'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Try
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			If de.Key.ToString = Me.Name Then
			If de.Key IsNot Nothing Then
				Select Case de.Key.ToString
					Case Me.Name
'(M) END V4-11007-000 005 20110809
						' 病名検索画面より戻ってきたとき
						If ret = Enum_FormReturn.OK AndAlso
						   TypeOf de.Value Is ArrayList AndAlso
						   DirectCast(de.Value, ArrayList).Count >= 2 AndAlso
						   TypeOf de.Value(1) Is datMTM_DISEASE_OneRec Then
							'病名検索画面で、確定ボタンが押下されたとき（結果が存在するとき）
							'各テキストボックスに戻り値をセット
							With DirectCast(de.Value(1), datMTM_DISEASE_OneRec)
								Me.MngDiv = .MNG_DIV							'管理記号
								Me.msk006MSR060F030.Text = .MNG_NO				'管理番号
								Me.txt008MSR060F030.Text = .ICD10_CD			'ICD10
								If de.Value(0) = clsConst.Enum_OverWrite.OverWrite Then
									Me.txt010MSR060F030.Text = .DISEASE_NM		'病名
								End If
								Me.lbl016MSR060F030.Text = .L_GRP_CD			'大分類コード
								Me.lbl019MSR060F030.Text = .M_GRP_CD			'中分類コード
								Me.lbl022MSR060F030.Text = .S_GRP_CD			'小分類コード
								Me.lbl025MSR060F030.Text = .GRP300_CD			'３００分類コード
								Me.lbl028MSR060F030.Text = .A_GRP_CD			'ａ分類コード
								Me.lbl031MSR060F030.Text = .B_GRP_CD			'ｂ分類コード
								Me.lbl034MSR060F030.Text = .C_GRP_CD			'ｃ分類コード
								Me.lbl037MSR060F030.Text = .DEATH_GRP_CD		'死因分類
								Me.txt040MSR060F030.Text = .HSP_DISEASE_CD		'院内病名コード
							End With
							'マスタデータ項目取得
							Me.getMstData()

							'病名テキストボックスへフォーカス
							Me.txt010MSR060F030.Select()
						Else
							Me.msk006MSR060F030.Select()
						End If
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			End If
'(D) END V4-11007-000 003 20110809
'(A) STR V4-11007-000 008 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					Case CST_XCM020F010_CD
						If de.Value IsNot Nothing AndAlso de.Value.ToString = CST_RUNPROC_NAME Then
							Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
						End If
					Case Else
				End Select
			End If
'(A) END V4-11007-000 008 20110809
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' F1処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		Try
			Me.Cursor = Cursors.WaitCursor
			Select Case Me.ActiveControl.Name
				Case Me.msk006MSR060F030.Name
					Me.showDisease()				'病名検索画面遷移
				Case Else
					Return MyBase.F1KeyProc
			End Select
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class