﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 手術詳細検索
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------

Public Class MSR070F040

#Region "変数"
	Private SchNo As Integer									'検索番号
	Private SchFlg As MSR070F010.Enum_Scarch_Mode				'検索種類
	Private fret As Enum_FormReturn = Enum_FormReturn.CANSEL	'画面戻り値
	Private retSch As DictionaryEntry							'戻り値
#End Region

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pSearchFlg As MSR070F010.Enum_Scarch_Mode)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		'ＩＮ項目取得
		Me.SchNo = pSearchNo		'検索番号
		Me.SchFlg = pSearchFlg		'検索種類
	End Sub
#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR070F040_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "MSR070F040_Load", "フォームロード START")
		Try
			'ラベルの変更
			Select Case Me.SchFlg
				Case MSR070F010.Enum_Scarch_Mode.S_AND
					Me.lbl003MSR070F040.Text = "ＡＮＤ"
				Case MSR070F010.Enum_Scarch_Mode.S_OR
					Me.lbl003MSR070F040.Text = "ＯＲ"
				Case Else
					'処理なし
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォーム終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR070F040_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR070F040_FormClosing", "フォーム終了時 START")
		Try
			'親画面戻り値(画面IDのみ返却)
			Me.retSch.Key = Me.Name
			'画面クローズフラグ
			Me.setCloseFlg()
			DirectCast(Me.Owner, frmBase).backForm(False, Me.fret, Me.retSch)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 実行ボタン
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn001MSR070F040_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001MSR070F040.Click
		log(clsSysMst.logLevel.NRM, "btn001MSR070F040_Click", "実行ボタンクリック START")
		Dim cliRet As clsMSRSearchOut = Me.ctl002MSR070F040.getDetailSearchInfo		'詳細検索クラス
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索結果取得処理
			Me.getSearchData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 検索結果データ取得
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub getSearchData()
		log(clsSysMst.logLevel.DBG, "getSearchData", "検索結果データ取得 START")
		Try
			'入力チェック
			If Me.ctl002MSR070F040.chkInput(0) = False Then Return

			'検索結果取得処理
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As New DataTable,
				  cliRet As clsMSRSearchOut = Me.ctl002MSR070F040.getDetailSearchInfo
				With db
					'取得したＳＱＬをセット
					.setSQLDa(cliRet.Sql)
					'パラメータセット
					cliRet.setDbParamDa(db)
					.setParamDa(sqlMSRCOMMON.prmUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'ユーザ名
					.setParamDa(sqlMSRCOMMON.prmSEARCH_NO, XCM.clsDB.Enum_dbType.dbInt)			'検索番号
					.setValDa(sqlMSRCOMMON.prmUSER_CD, XCM.clsSysMst.getLoginId)				'ユーザ名
					.setValDa(sqlMSRCOMMON.prmSEARCH_NO, Me.SchNo)								'検索番号
					'データ取得
					.execQueryDa(dt)
					'結果を親画面の変数にセット
					DirectCast(Me.Owner, MSR070F010).Schdt = dt
					'戻り値をセット
					Me.fret = Enum_FormReturn.OK
				End With
			End Using
			Me.EndProc()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F5キークリック
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F5KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F5KeyProc", "F5キークリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索結果取得処理
			Me.getSearchData()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class
