﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 補足項目１ 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR100F030

#Region "変数"
	Protected pDgvList As DataGridView								'一覧
#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal pDgv As DataGridView)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.pDgvList = pDgv
	End Sub

#End Region

#Region "コンスタント"
	Private Const CST_ASST1_FLD_CNT = 132					'補足項目１情報項目数
	Private Const CST_ASST1_CNT = 0							'補足項目１数
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR100F030_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.DBG, "MSR100F030_Load", "フォームロード START")
		Try
			'コンボセット
			Me.setCombo()
			Me.rdo003MSR100F030.Checked = True
			Me.rboChanged()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR100F030_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(XCM.clsSysMst.logLevel.NRM, "MSR100F030_Shown", "フォームを開くとき START")
		Try
			Me.rdo003MSR100F030.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR100F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.DBG, "MSR100F030_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.pDgvList = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ラジオボタン変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdoMSR100F030_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdo003MSR100F030.CheckedChanged, rdo012MSR100F030.CheckedChanged, rdo016MSR100F030.CheckedChanged
		log(clsSysMst.logLevel.DBG, "rdoMSR100F030_CheckedChanged", "ラジオボタン変更時 START")
		Try
			Me.rboChanged()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCombo()
		log(clsSysMst.logLevel.DBG, "setCombo", "コンボ設定 START")
		Dim cliComboCom As clsComboCom = Nothing
		Try
			cliComboCom = New clsComboCom
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As DataTable = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Asst1Itm)
				'移動元補足項目
				With Me.cmb004MSR100F030 : .DataSource = dt.Copy() : .setDropDownWidth() : End With
				'移動先補足項目
				With Me.cmb009MSR100F030 : .DataSource = dt.Copy() : .setDropDownWidth() : End With
				'クリア補足項目
				With Me.cmb013MSR100F030 : .DataSource = dt.Copy() : .setDropDownWidth() : End With
				'チェック補足項目
				With Me.cmb017MSR100F030 : .DataSource = dt.Copy() : .setDropDownWidth() : End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliComboCom = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			Select Case True
				Case Me.rdo003MSR100F030.Checked	'移動元=ONの時
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					If Me.cmb004MSR100F030.SelectedIndex = -1 Then
					If String.IsNullOrEmpty(Me.cmb004MSR100F030.Text) = True Then
'(M) END V4-11032-000 004 20110818
						'「未入力の項目があります」メッセージ
						addErrList("E0001", Me.cmb004MSR100F030.Name, Me.lbl002MSR100F030.Text, Nothing)
					End If
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					If Me.cmb009MSR100F030.SelectedIndex = -1 Then
					If String.IsNullOrEmpty(Me.cmb009MSR100F030.Text) = True Then
'(M) END V4-11032-000 004 20110818
						'「未入力の項目があります」メッセージ
						addErrList("E0001", Me.cmb009MSR100F030.Name, Me.lbl008MSR100F030.Text, Nothing)
					End If
'(M) STR V4-11032-000 006 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					If Me.getErrCount() = 0 AndAlso
'					   Me.cmb004MSR100F030.SelectedValue = Me.cmb009MSR100F030.SelectedValue Then
					If Me.getErrCount() = 0 AndAlso
					   Me.cmb004MSR100F030.Text = Me.cmb009MSR100F030.Text Then
'(M) END V4-11032-000 006 20110818
						'「有効範囲外です」メッセージ
						addErrList("E0022", Me.cmb004MSR100F030.Name, Me.lbl002MSR100F030.Text, "有効", Nothing)
					End If
				Case Me.rdo012MSR100F030.Checked	'クリア=ONの時
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					If Me.cmb013MSR100F030.SelectedIndex = -1 Then
					If String.IsNullOrEmpty(Me.cmb013MSR100F030.Text) = True Then
'(M) END V4-11032-000 004 20110818
						'「未入力の項目があります」メッセージ
						addErrList("E0001", Me.cmb013MSR100F030.Name, Me.lbl011MSR100F030.Text, Nothing)
					End If
				Case Me.rdo016MSR100F030.Checked	'チェック=ONの時
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					If Me.cmb017MSR100F030.SelectedIndex = -1 Then
					If String.IsNullOrEmpty(Me.cmb017MSR100F030.Text) = True Then
'(M) END V4-11032-000 004 20110818
						'「未入力の項目があります」メッセージ
						addErrList("E0001", Me.cmb017MSR100F030.Name, Me.lbl015MSR100F030.Text, Nothing)
					End If
				Case Else

			End Select
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
			Else
				Return True									'エラーがない場合、正常終了
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updData", "テーブルデータ更新 START")
		Dim wrkFld As String = Nothing
		Try
			With db
				Select Case True
					Case Me.rdo003MSR100F030.Checked	'移動元
						.setSQL(String.Format(sqlMSR100F030.sqlUpdASST1_Move, Me.cmb009MSR100F030.Text, Me.cmb004MSR100F030.Text))
						Me.setParamater(db)
						.execNonQuery(False)
					Case Me.rdo012MSR100F030.Checked	'クリア
						Dim cnt As Integer = 1
						For Each Sql As String In New String() {String.Format(sqlMSR100F030.sqlUpdASST1_Clear, Me.cmb013MSR100F030.Text), _
																sqlMSR100F030.sqlDelASST1_Clear, sqlMSR100F030.sqlUpdCH_Zero}
							If cnt = 2 Then
								'001～132一つもチェックがないレコードを削除
								For i As Integer = 1 To CST_ASST1_FLD_CNT
									wrkFld &= String.Format(sqlMSR100F030.sqlFldASST1_Clear, i.ToString("000"))
								Next
								Sql = String.Format(Sql, wrkFld)
							End If
							.setSQL(Sql)
							Me.setParamater(db)
							.execNonQuery(False)
							cnt += 1
						Next
					Case Me.rdo016MSR100F030.Checked	'チェック
						.setSQL(String.Format(sqlMSR100F030.sqlUpdASST1_Check, Me.cmb017MSR100F030.Text))
						Me.setParamater(db)
						.execNonQuery(False)
					Case Else

				End Select
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 共通パラメータセット
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setParamater(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setParamater", "共通パラメータセット START")
		Try
			With db
				'パラメータ設定
				.setParam(sqlMSRCOMMON.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)					'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'更新者名
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

				.setParam(sqlMSR100F030.prmCHK_ON, XCM.clsDB.Enum_dbType.dbInt)						'チェックＯＮ
				.setVal(sqlMSR100F030.prmCHK_ON, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)
				.setParam(sqlMSR100F030.prmCHK_OFF, XCM.clsDB.Enum_dbType.dbInt)						'チェックＯＦＦ
				.setVal(sqlMSR100F030.prmCHK_OFF, XCM.clsConst.Enum_CheckBox_Flg.CheckOff, False)
				.setParam(sqlMSR100F030.prmITEM_CNT, XCM.clsDB.Enum_dbType.dbInt)					'補足項目１数
				.setVal(sqlMSR100F030.prmITEM_CNT, CST_ASST1_CNT, False)
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "データ更新処理 START")
		Dim wrkMsg As String = Nothing		'エラーメッセージ文言用変数
		Try
			wrkMsg = "更新処理中、更新"
			'ステータスバーにメッセージ表示
			Me.showMsgBar("I0022", Enum_MsgIcon.None, "更新処理", Nothing)
			'トランザクション開始
			db.ctlTran(clsDB.Enum_TranMode.Begin)

			If Me.updData(db) = True Then
				db.ctlTran(clsDB.Enum_TranMode.Commit)
			Else
				db.ctlTran(clsDB.Enum_TranMode.RollBack)
			End If
			Return True
		Catch ex As SqlClient.SqlException
			'トランザクションロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			'共通例外エラー処理
			Me.ErrorProc(ex, False)
			'エラーメッセージ出力
			'「○○を処理時、更新に失敗しました」
			Me.showMsg("E0013", wrkMsg, ex.Message)
			Return False
		Catch ex As Exception
			Throw
		Finally
			Me.clearMsgBar()
			'トランザクションロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' コントロール制御
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rboChanged()
		log(clsSysMst.logLevel.DBG, "rboChanged", "コントロール制御 START")
		Try
			Me.cmb004MSR100F030.Enabled = Me.rdo003MSR100F030.Checked
			Me.cmb009MSR100F030.Enabled = Me.rdo003MSR100F030.Checked
			Me.cmb013MSR100F030.Enabled = Me.rdo012MSR100F030.Checked
			Me.cmb017MSR100F030.Enabled = Me.rdo016MSR100F030.Checked
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.pDgvList) = False Then		'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.pDgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.pDgvList, errPtn) = False Then		'更新対象ワークデータ作成
'(M) END V4-11007-000 005 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then								'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then	'更新処理
'(M) END V4-11007-000 004 20110809
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If

'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
