﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 書式作成
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR190F010

#Region "変数"

	Private Tempalte As String = Nothing					'書式ファイル名
	Private ExcelId As String = Nothing						'帳票ID

	Private RetVale As String = Nothing						'返却値
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pTemplate">書式ファイル名</param>
	''' <param name="pId">帳票ID</param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pTemplate As String, ByVal pId As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'IN項目
		Me.Tempalte = pTemplate
		Me.ExcelId = pId
		Me.RetVale = Nothing
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR190F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(XCM.clsSysMst.logLevel.NRM, "MSR190F010_Load", "フォームロード START")
		Try
			'アイコンの設定
			Me.btn003MSR190F010.Image = DirectCast(New clsBmp, clsBmp).getBmp(clsBmp.Enum_BmpType.OpenFolder)

			'初期値設定
			Me.txt002MSR190F010.Text = Me.Tempalte
			Me.lbl008MSR190F010.Text = Me.getPrivatePath(Me.ExcelId)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR190F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR190F010_FormClosing", "フォームクローズ START")
		Try
			'呼出元に返却
			If Me.Owner IsNot Nothing Then
				With DirectCast(Me.Owner, frmBase)
					If .getCancelFlg = False AndAlso Me.RetVale IsNot Nothing Then
						.backForm(False, Enum_FormReturn.OK, New DictionaryEntry(Me.Name, New String() {Me.ExcelId, Me.RetVale}))
					Else
						.backForm(False, Enum_FormReturn.CANSEL, New DictionaryEntry(Me.Name, New String() {Me.ExcelId, Me.RetVale}))
					End If
					.Select()
				End With
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Tempalte = Nothing
			Me.ExcelId = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ファイルダイアログクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn003MSR190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003MSR190F010.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn033MSR000F030_Click", "ファイルダイアログクリック START")
		Dim cliCom As clsCom
		Try
			cliCom = New clsCom
			cliCom.setFileDialog(Me, Me.txt002MSR190F010, clsCom.Enum_FileDialogType.eExcel)
			Me.txt002MSR190F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliCom = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 初期値ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004MSR190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004MSR190F010.Click
		log(clsSysMst.logLevel.NRM, "btn004MSR190F010_Click", "初期値ボタンクリック START")
		Me.Cursor = Cursors.WaitCursor
		Try
			Dim datExcel As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing
			Dim cliExcel As New clsXTM_PRINTSETTING_EXCEL
			Try
				datExcel = cliExcel.getExcelSettingOneRec(Me.Owner.Name, Me.ExcelId)
				If datExcel IsNot Nothing AndAlso Not String.IsNullOrEmpty(datExcel.FILE_NM) Then
					Me.txt002MSR190F010.Text = My.Computer.FileSystem.CombinePath(clsSysMst.getTemplatePath(), datExcel.FILE_NM)
				Else
					Me.txt002MSR190F010.Text = My.Computer.FileSystem.CombinePath(clsSysMst.getTemplatePath(), Me.ExcelId & clsExcel.CST_KAKUTYOUSI)
				End If
			Finally
				datExcel = Nothing
				cliExcel = Nothing
			End Try
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 作成ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn010MSR190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010MSR190F010.Click
		log(clsSysMst.logLevel.NRM, "btn010MSR190F010_Click", "作成ボタンクリック START")
		Me.Cursor = Cursors.WaitCursor
		Try

			If chkInput() = False Then
				'エラーがあれば終了
			ElseIf DirectCast(Me.Owner, MSR000F030).exeExcel(Me.ExcelId, Me.txt006MSR190F010.Text, Me.txt002MSR190F010.Text, Me.lbl008MSR190F010.Text) = True Then
				''EXCEL出力しました。
				'Me.showMsg("I0002")
				Me.RetVale = My.Computer.FileSystem.CombinePath(Me.lbl008MSR190F010.Text, Me.txt006MSR190F010.Text & clsExcel.CST_KAKUTYOUSI)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' テンプレートフォルダ取得
	''' </summary>
	''' <param name="ExcelId">帳票ID</param>
	''' <returns>テンプレートフォルダ</returns>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getPrivatePath(ByVal ExcelId As String) As String
		log(clsSysMst.logLevel.DBG, "getPrivatePath", "テンプレートフォルダ取得 START")
		Dim ret As String = Nothing
		Dim plus As String = Nothing
		Try
			ret = clsSysMst.getTemplatePath()
			If ret Is Nothing Then Return Nothing
			ret = My.Computer.FileSystem.CombinePath(clsSysMst.getTemplatePath(), "個別書式")

			Select Case ExcelId
				Case "MRP030E010" : plus = "基本"
				Case "MRP040E010" : plus = "入退院"
				Case "MRP040E020" : plus = "入退院（すべて）"
				Case "MRP050E020" : plus = "科歴"
				Case "MRP050E030" : plus = "科歴（すべて）"
				Case "MRP060E010" : plus = "病名"
				Case "MRP070E010" : plus = "手術"
				Case "MRP080E010" : plus = "治療処置"
				Case "MRP090E010" : plus = "検査"
				Case "MRP100E010" : plus = "補足１"
				Case "MRP110E010" : plus = "補足２"
				Case "MRP120E010" : plus = "分娩"
				Case "MRP130E010" : plus = "分娩児"
				Case "MRP140E010" : plus = "救命救急"
				Case "MRP150E010" : plus = "クリニカルパス"
				Case "MRP160E010" : plus = "貸出物（患者）"
				Case "MRP160E020" : plus = "貸出物（入退院）"
				Case "MRP160E030" : plus = "貸出物（診療科）"
				Case "MRP170E010" : plus = "貸出（患者）"
				Case "MRP170E020" : plus = "貸出（入退院）"
				Case "MRP170E030" : plus = "貸出（診療科）"
				Case "MRP180E010" : plus = "監査"
				Case Else : Return ret
			End Select
			Return My.Computer.FileSystem.CombinePath(ret, plus)
		Catch ex As Exception
			Throw
		Finally
			ret = Nothing
			plus = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>エラー有無</returns>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput() As Boolean
		log(clsSysMst.logLevel.DBG, "chkInput", "入力チェック START")
		Try
			For Each ctl As BT_TextBox In New Control() {Me.txt002MSR190F010, Me.txt006MSR190F010}
				With ctl
					If String.IsNullOrEmpty(.Text) = True Then
						Me.addErrList("E0001", .Name, .Comment)
					End If
				End With
			Next
			If Me.getErrCount > 0 Then
				Me.nextErrForm()
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
