﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 抽出項目パターン登録
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR200F020

#Region "コンスタント"


#End Region

#Region "変数"

	Private pPtnNo As Integer											'パターン番号
	Private pPtnName As String											'パターン名

	Private ReturnFlg As Enum_FormReturn = Enum_FormReturn.CANSEL		'戻り値

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPtnNo">パターン番号</param>
	''' <param name="pPtnName">パターン名</param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal pPtnNo As Integer, ByVal pPtnName As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'IN項目取得
		Me.pPtnNo = pPtnNo				'パターン番号
		Me.pPtnName = pPtnName			'パターン名

	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR200F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "フォームロード START")
		Try
			'ボタンの仕様可否
			Dim Enabled As Boolean = CBool(Me.pPtnNo > 0)
			Me.btn005MSR000F010.Enabled = Enabled
			Me.btn002MSR200F020.Enabled = Enabled

			'タイトル名
			Me.txt004MSR200F020.Text = Me.pPtnName
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR200F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "フォームクローズ START")
		Dim frm As XCM.frmBase
		Try
			If Me.Owner IsNot Nothing Then
				frm = Me.Owner
				frm.Select()
				frm.backForm(False, Me.ReturnFlg, New DictionaryEntry(Me.Name, Me.pPtnNo))			 '遷移元に戻り値を戻す
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.pPtnName = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 追加ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001MSR200F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001MSR200F020.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "追加ボタンクリック START")
		Try
			Me.UpdProc(MSR200F010.ENUM_UPD_MODE.INS)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 削除ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002MSR200F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002MSR200F020.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "削除ボタンクリック START")
		Try
			Me.UpdProc(MSR200F010.ENUM_UPD_MODE.DEL)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常 False:以上</returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function chkInput() As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "入力チェック START")
		Try
			With Me.txt004MSR200F020
				If String.IsNullOrEmpty(.Text) Then
					Me.addErrList("E0001", .Name, Me.lbl003MSR200F020.Text, Nothing)
				End If
			End With

			If Me.getErrCount > 0 Then
				Me.nextErrForm()
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProc(ByVal mode As MSR200F010.ENUM_UPD_MODE)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "更新処理 START")
		Try
			Select Case mode
				Case MSR200F010.ENUM_UPD_MODE.INS
					If Me.chkInput() = False Then Return '入力チェック
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
					'If Me.confMsg("Q0005", Me.lbl003MSR200F020.Text & "を追加", Nothing) = MsgBoxResult.Cancel Then Return
					If Me.confMsg("Q0005", Me.lbl003MSR200F020.Text & "を追加", Nothing) = MsgBoxResult.No Then Return
'(M) END V4-12053-000 004 2012/12/14
				Case MSR200F010.ENUM_UPD_MODE.UPD
					If Me.chkInput() = False Then Return '入力チェック
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
					'If Me.confMsg("Q0005", Me.lbl003MSR200F020.Text & "を更新", Nothing) = MsgBoxResult.Cancel Then Return
					If Me.confMsg("Q0005", Me.lbl003MSR200F020.Text & "を更新", Nothing) = MsgBoxResult.No Then Return
'(M) END V4-12053-000 004 2012/12/14
				Case MSR200F010.ENUM_UPD_MODE.DEL
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
					'If Me.confMsg("Q0005", MessageBoxDefaultButton.Button2, Me.lbl003MSR200F020.Text & "を削除", Nothing) = MsgBoxResult.Cancel Then Return
					If Me.confMsg("Q0005", MessageBoxDefaultButton.Button2, Me.lbl003MSR200F020.Text & "を削除", Nothing) = MsgBoxResult.No Then Return
'(M) END V4-12053-000 004 2012/12/14
				Case Else
					Return
			End Select
			Dim PtnNo As Integer = Me.pPtnNo
			If DirectCast(Me.Owner, MSR200F010).UpdProc(mode, PtnNo, Me.txt004MSR200F020.Text) = True Then
				If mode = MSR200F010.ENUM_UPD_MODE.INS Then															'追加の場合は新しいパターン番号を返却
					Me.pPtnNo = PtnNo
				End If
				Me.ReturnFlg = Enum_FormReturn.OK
				Me.EndProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F3KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "Ｆ３キー押下処理 START")
		Try
			'ボタンの使用可能確認
			If Me.btn001MSR200F020.Enabled = False Then Return True
			'入力チェックを確認
			If Me.ValidateChildren = False Then Return True
			'更新処理
			Me.UpdProc(MSR200F010.ENUM_UPD_MODE.INS)

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F5KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "Ｆ５キー押下処理 START")
		Try
			'ボタンの使用可能確認
			If Me.btn002MSR200F020.Enabled = False Then Return True
			'入力チェックを確認
			If Me.ValidateChildren = False Then Return True
			'更新処理
			Me.UpdProc(MSR200F010.ENUM_UPD_MODE.DEL)

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理（更新）
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "実行処理 START")
		Try
			'ボタンの使用可能確認
			If Me.btn005MSR000F010.Enabled = False Then Return
			'更新処理
			Me.UpdProc(MSR200F010.ENUM_UPD_MODE.UPD)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

End Class
