﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 共通メソッド
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsMSRCOMMON

#Region "コンスタント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' テーブルコード
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/15 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Public Enum Enum_Tbl_CD As Byte
		''' <summary>
		''' 基本情報
		''' </summary>
		XTI_BASICINFO = 1
		''' <summary>
		''' 入退院情報
		''' </summary>
		MTI_HSP = 2
		''' <summary>
		''' 科歴情報
		''' </summary>
		MTI_CH = 3
		''' <summary>
		''' 死亡情報
		''' </summary>
		MTI_DEATH = 4
		''' <summary>
		''' 病棟情報
		''' </summary>
		MTI_WARD = 5
		''' <summary>
		''' 医師情報
		''' </summary>
		MTI_DOCTOR = 6
		''' <summary>
		''' 医療費情報
		''' </summary>
		MTI_MED_COST = 7
		''' <summary>
		''' 対診科情報
		''' </summary>
		MTI_OTHER_DEPT = 8
		''' <summary>
		''' 病名情報
		''' </summary>
		MTI_DISEASE = 9
		''' <summary>
		''' 手術情報
		''' </summary>
		MTI_OPE = 10
		''' <summary>
		''' 手術医師情報
		''' </summary>
		MTI_OPE_DOCTOR = 11
		''' <summary>
		''' 検査情報
		''' </summary>
		MTI_TEST = 12
		''' <summary>
		''' 治療処置情報
		''' </summary>
		MTI_CARE = 13
		''' <summary>
		''' 補足項目１情報
		''' </summary>
		MTI_ASST1 = 14
		''' <summary>
		''' 補足項目２情報
		''' </summary>
		MTI_ASST2 = 15
		''' <summary>
		''' 救命救急情報
		''' </summary>
		MTI_EMERGENCY = 16
		''' <summary>
		''' 分娩情報
		''' </summary>
		MTI_CB = 17
		''' <summary>
		''' 分娩子情報
		''' </summary>
		MTI_CB_CHILD = 18
		''' <summary>
		''' 分娩子死産情報
		''' </summary>
		MTI_CB_SB = 19
		''' <summary>
		''' 貸出物情報
		''' </summary>
		MTI_LENDITM = 20
		''' <summary>
		''' 貸出情報
		''' </summary>
		MTI_LEND = 21
		''' <summary>
		''' パス情報
		''' </summary>
		MTI_PATH = 22
		''' <summary>
		''' 監査情報
		''' </summary>
		MTI_INSPECT = 23

		''' <summary>
		''' ＤＰＣ情報
		''' </summary>
		MTW_DPC = 31

		''' <summary>
		''' 貸出物情報(診療録)
		''' </summary>
		MTI_LENDITM_MR = 101
		''' <summary>
		''' 貸出物情報(サマリ)
		''' </summary>
		MTI_LENDITM_SM = 102
		''' <summary>
		''' 貸出物情報(物３)
		''' </summary>
		MTI_LENDITM_I3 = 103
		''' <summary>
		''' 貸出物情報(物４)
		''' </summary>
		MTI_LENDITM_I4 = 104
		''' <summary>
		''' 貸出物情報(物５)
		''' </summary>
		MTI_LENDITM_I5 = 105
		''' <summary>
		''' 貸出情報(診療録)
		''' </summary>
		MTI_LEND_MR = 106
		''' <summary>
		''' 貸出情報(サマリ)
		''' </summary>
		MTI_LEND_SM = 107
		''' <summary>
		''' 貸出情報(物３)
		''' </summary>
		MTI_LEND_I3 = 108
		''' <summary>
		''' 貸出情報(物４)
		''' </summary>
		MTI_LEND_I4 = 109
		''' <summary>
		''' 貸出情報(物５)
		''' </summary>
		MTI_LEND_I5 = 110

		''' <summary>
		''' 医療費情報
		''' </summary>
		MTI_MED_COST_H = 111
		''' <summary>
		''' 医療費情報
		''' </summary>
		MTI_MED_COST_C = 112

		''' <summary>
		''' 監査情報
		''' </summary>
		MTI_INSPECT_SP = 113
		''' <summary>
		''' 病名情報
		''' </summary>
		MTI_DISEASE_SP1 = 114
		MTI_DISEASE_SP2 = 115
		MTI_DISEASE_SP3 = 116
	End Enum

    ''' ---------------------------------------------
    ''' <summary>
    ''' 検索時のメインデータ
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/15 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Enum Enum_Search_Main As Byte
        ''' <summary>
        ''' 基本情報
        ''' </summary>
        XTI_BASICINFO = 1
        ''' <summary>
        ''' 入退院情報
        ''' </summary>
        MTI_HSP = 2
        ''' <summary>
        ''' 科歴情報
        ''' </summary>
        MTI_CH = 3
    End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理ワーク　作成キー項目
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_SEARCH_WORK_KEY As Byte
		''' <summary>
		''' リスト判断
		''' </summary>
		AUTO = 0
		''' <summary>
		''' 患者番号
		''' </summary>
		PATIENT_NO = 1
		''' <summary>
		''' 入退院歴番号
		''' </summary>
		HSP_NO = 2
		''' <summary>
		''' 科歴番号
		''' </summary>
		CH_NO = 3
		''' <summary>
		''' 連番
		''' </summary>
		SERIAL_NO = 4
	End Enum

	Public Const CST_SEARCH_NO_MST As Integer = 0					'統計処理時検索番号

#End Region

#Region "メソッド"
    ''' ---------------------------------------------
    ''' <summary>
    ''' データテーブルよりキー値に一致するデータを取得
    ''' </summary>
    ''' <param name="dt">データテーブル</param>
    ''' <param name="key">キー値</param>
    ''' <returns>データ値</returns>
    ''' <remarks>
    ''' 2010/10/15 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Shared Function getDtItem(ByVal dt As DataTable, ByVal key As Object) As String
        Dim row As DataRow()
		Try
			Select Case dt.Columns(0).DataType
			Case System.Type.GetType("System.String"), System.Type.GetType("System.DateTime")
				row = dt.Select(dt.Columns(0).ColumnName & "='" & key & "'")
			Case Else
				row = dt.Select(dt.Columns(0).ColumnName & "=" & key)
			End Select
			If row IsNot Nothing AndAlso row.Length >= 1 Then
				Return row(0).Item(1).ToString
			Else
				Return String.Empty
			End If
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

'(A) STR V4-11007-000 032 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	'''---------------------------------------------
	''' <summary>
	''' 更新対象の患者をArrayListにして返す
	''' </summary>
	''' <param name="pdgv">データグリッドビュー</param>
	''' <returns>更新対象の患者をArrayList</returns>
	''' <remarks>
	''' 2011/07/08 新規作成　FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Shared Function getUpdPatient(pdgv As DataGridView) As ArrayList
		Dim retData As ArrayList = Nothing
		Dim row As DataRow = Nothing
		Try
			retData = New ArrayList

			'一覧より選択データを取得しワークに追加する
			For Each pRow As DataGridViewRow In pdgv.Rows
				row = DirectCast(pRow.DataBoundItem, DataRowView).Row
				If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn) AndAlso _
					retData.IndexOf(row.Item(sqlMSRCOMMON.itmPATIENT_NO).ToString) = -1 Then
					retData.Add(row.Item(sqlMSRCOMMON.itmPATIENT_NO).ToString)
				End If
			Next

			Return retData
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11007-000 032 20110809
	'''---------------------------------------------
	''' <summary>
	''' ワークデータ作成　（更新時、CSV出力時)
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="type">作成キー項目</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/05 新規作成　ACS)常包<BR/>
	''' 2011/08/09 変更      FJSK)荒川<BR/>
	''' 	(変更前)Public Shared Function setWorkData(ByVal db As clsDB, ByVal pDgv As DataGridView, _<BR/>
	''' 	(変更後)Public Shared Function setWorkData(ByVal db As clsDB, ByVal pDgv As DataGridView, errPtn As ArrayList, _<BR/>
	''' (M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' </remarks>
	'''---------------------------------------------
	Public Shared Function setWorkData(ByVal db As clsDB, ByVal pDgv As DataGridView, errPtn As ArrayList, _
									   Optional ByVal type As ENUM_SEARCH_WORK_KEY = ENUM_SEARCH_WORK_KEY.AUTO) As Boolean

		Dim row As DataRow = Nothing
		Dim no As Integer

		Try
			With db
				'更新対象ワークデータ削除処理
				.setSQL(sqlMSRCOMMON.sqlDel_SEARCH_WORK)
				.setParam(sqlMSRCOMMON.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)			'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				.execNonQuery()

				'パラメータセット
				.setSQL(sqlMSRCOMMON.sqlIns_SEARCH_WORK)
				.setParam(sqlMSRCOMMON.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)			'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				.setParam(sqlMSRCOMMON.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)		'患者番号
				.setParam(sqlMSRCOMMON.prmHSP_NO, XCM.clsDB.Enum_dbType.dbInt)				'入退院歴番号
				.setVal(sqlMSRCOMMON.prmHSP_NO, 0, False)
				.setParam(sqlMSRCOMMON.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)				'科歴番号
				.setVal(sqlMSRCOMMON.prmCH_NO, 0, False)
				.setParam(sqlMSRCOMMON.prmSERIAL_NO, XCM.clsDB.Enum_dbType.dbInt)			'連番
				.setVal(sqlMSRCOMMON.prmSERIAL_NO, 0, False)
				.setParam(sqlMSRCOMMON.prmDSPORDER, XCM.clsDB.Enum_dbType.dbInt)				'出力順
				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)	'更新者コード
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

				'追加する項目を一覧内容より選択する
				If Type = ENUM_SEARCH_WORK_KEY.AUTO Then
					With DirectCast(pDgv.DataSource, DataTable).Columns
						Select Case True
							Case .Contains(sqlMSRCOMMON.itmSERIAL_NO)
								Type = ENUM_SEARCH_WORK_KEY.SERIAL_NO
							Case .Contains(sqlMSRCOMMON.itmCH_NO)
								Type = ENUM_SEARCH_WORK_KEY.CH_NO
							Case .Contains(sqlMSRCOMMON.itmHSP_NO)
								Type = ENUM_SEARCH_WORK_KEY.HSP_NO
							Case Else
								Type = ENUM_SEARCH_WORK_KEY.PATIENT_NO
						End Select
					End With
				End If

				'一覧より選択データを取得しワークに追加する
				For Each pRow As DataGridViewRow In pDgv.Rows
					row = DirectCast(pRow.DataBoundItem, DataRowView).Row
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn) Then
					If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn) AndAlso _
					   (errPtn Is Nothing OrElse errPtn.IndexOf(row.Item(sqlMSRCOMMON.itmPATIENT_NO).ToString) = -1) Then
'(M) END V4-11007-000 005 20110809
						no += 1																							'表示順 カウンタUP
						.setVal(sqlMSRCOMMON.prmDSPORDER, no)
						.setVal(sqlMSRCOMMON.prmPATIENT_NO, row.Item(sqlMSRCOMMON.itmPATIENT_NO).ToString)				'患者番号
						Select Case type
							Case ENUM_SEARCH_WORK_KEY.HSP_NO
								.setVal(sqlMSRCOMMON.prmHSP_NO, row.Item(sqlMSRCOMMON.itmHSP_NO).ToString)				'入退院歴番号
							Case ENUM_SEARCH_WORK_KEY.CH_NO
								.setVal(sqlMSRCOMMON.prmHSP_NO, row.Item(sqlMSRCOMMON.itmHSP_NO).ToString)				'入退院歴番号
								.setVal(sqlMSRCOMMON.prmCH_NO, row.Item(sqlMSRCOMMON.itmCH_NO).ToString)				'科歴番号

							Case ENUM_SEARCH_WORK_KEY.SERIAL_NO
								.setVal(sqlMSRCOMMON.prmHSP_NO, row.Item(sqlMSRCOMMON.itmHSP_NO).ToString)				'入退院歴番号
								.setVal(sqlMSRCOMMON.prmCH_NO, row.Item(sqlMSRCOMMON.itmCH_NO).ToString)				'科歴番号
								.setVal(sqlMSRCOMMON.prmSERIAL_NO, row.Item(sqlMSRCOMMON.itmSERIAL_NO).ToString)		'連番
							Case Else
								'追加パラメータなし
						End Select
						.execNonQuery()
					End If
				Next
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡場所マスタより院内死亡場所コードを取得
	''' </summary>
	''' <returns>院内死亡場所コード</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Function getDeathLctCd() As String
		Try
			Using dt As DataTable = New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlMSRCOMMON.sqlSel_MTM_DEATH_LCT)

						.setParamDa(sqlMSRCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)						'固定コード
						.setValDa(sqlMSRCOMMON.prmFIXED_CD, clsConst.Enum_Decease_Lct_Fix1.Hsp)
						.execQueryDa(dt)
						If dt.Rows.Count = 0 Then
							Return Nothing
						Else
							Return dt.Rows(0).Item(0)
						End If
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタより単位コードを取得
	''' </summary>
	''' <returns>単位コード</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Function getLendItemUnitCd(ByVal LendItemCd As clsConst.Enum_Lenditem) As String
		Try
			Using dt As DataTable = New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlMSRCOMMON.sqlSel_MTM_LENDITEM)

						.setParamDa(sqlMSRCOMMON.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)					'管理物コード
						.setValDa(sqlMSRCOMMON.prmLENDITEM_CD, LendItemCd)
						.execQueryDa(dt)
						If dt.Rows.Count = 0 Then
							Return Nothing
						Else
							Return dt.Rows(0).Item(0)
						End If
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタより単位コードを取得
	''' </summary>
	''' <remarks>
	''' 2010/12/03 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Function getLendItemAll() As DataTable
		Try
			Using dt As DataTable = New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlMSRCOMMON.sqlSelAll_MTM_LENDITEM)
						.execQueryDa(dt)
						Return dt
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
