﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 一覧 継承元フォーム(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR000F020

#Region "項目"

	Public Const itmNO As String = "NO"								'NO
	Public Const itmBIRTH_DT As String = "BIRTH_DT"					'生年月日
	Public Const itmBIRTH_DT_JP As String = "BIRTH_DT_JP"			'生年月日(和暦)
'(A) STR V4-12051-000 008 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	Public Const itmWARD_CD As String = "WARD_CD"					'病棟コード
	Public Const itmWARD_RNM As String = "WARD_RNM"					'病棟略称名
	Public Const itmWARD_DSPORDER As String = "WARD_DSPORDER"		'病棟表示順
	Public Const itmC_STAFF_CD As String = "C_STAFF_CD"				'職員コード[医師]
	Public Const itmC_STAFF_NM As String = "C_STAFF_NM"				'職員名[医師名称]
	Public Const itmC_STAFF_DSPORDER As String = "C_STAFF_DSPORDER"	'職員表示順
'(A) END V4-12051-000 008 2013/01/23
'(A) STR V4-15024-000 005 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
    Public Const itmDEPT_CD As String = "DEPT_CD"                   '病棟コード
    Public Const itmDEPT_RNM As String = "DEPT_RNM"                 '病棟略称名
    Public Const itmDEPT_DSPORDER As String = "DEPT_DSPORDER"       '病棟表示順
'(A) END V4-15024-000 005 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
#End Region

#Region "最新入退院,科歴取得"
	''' <summary>
	''' 最新入退院取得
	''' </summary>
	Public Const sqlSel_HSP As String = _
	   "SELECT MAX(HSP_HISTORY_NO) AS " & itmNO _
	 & "  FROM MTI_HSP" _
	 & " WHERE PATIENT_NO = " & sqlMSRCOMMON.prmPATIENT_NO

	''' <summary>
	''' 最新科歴取得
	''' </summary>
	Public Const sqlSel_CH As String = _
	   "SELECT MAX(CH_NO) AS " & itmNO _
	 & "  FROM MTI_CH" _
	 & " WHERE PATIENT_NO = " & sqlMSRCOMMON.prmPATIENT_NO _
	 & "   AND HSP_HISTORY_NO = " & sqlMSRCOMMON.prmHSP_NO

#End Region

#Region "検索処理結果条件より条件取得用"
	''' <summary>
	''' 項目名・パラメータ
	''' </summary>
	Public Const prmTABLE_CD As String = "@TABLE_CD"					'テーブルコード
	Public Const itmSQL_SNT As String = "SQL_SNT"						'「ＳＱＬ文」項目名

	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	Public Const sqlSel_Scarch As String = _
	  "SELECT " _
	& itmSQL_SNT _
	& " FROM MTT_SEARCH_CND" _
	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "   AND TABLE_CD = " & prmTABLE_CD _
	& "   AND " & itmSQL_SNT & " IS NOT NULL" _
	& " ORDER BY SERIAL_NO "

#End Region

#Region "統計用ワークテーブル"

	''' <summary>
	''' 項目名・パラメータ
	''' </summary>
	Public Const prmSEARCH_NO_T As String = "@SEARCH_NO_T"			'統計処理用検索番号

	''' <summary>
	''' 検索処理結果　ワークを削除
	''' </summary>
	Public Const sqlDel_SR As String = _
	 "DELETE FROM MTT_SEARCH_RESULT " _
	 & " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	 & "   AND SEARCH_NO = " & prmSEARCH_NO_T

	''' <summary>
	''' 検索処理結果情報　ワークを削除
	''' </summary>
	Public Const sqlDel_SI As String = _
	  "DELETE FROM MTT_SEARCH_INFO" _
	 & " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	 & "   AND SEARCH_NO = " & prmSEARCH_NO_T

	''' <summary>
	''' 検索処理結果条件　ワークを削除
	''' </summary>
	Public Const sqlDel_SC As String = _
	  "DELETE FROM MTT_SEARCH_CND " _
	 & " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	 & "   AND SEARCH_NO = " & prmSEARCH_NO_T

	''' <summary>
	''' 検索処理結果 ワーク追加
	''' </summary>
	Public Const sqlIns_SR As String = _
	 "INSERT INTO MTT_SEARCH_RESULT (" _
	 & " USER_CD" _
	 & ",SEARCH_NO" _
	 & ",PATIENT_NO" _
	 & ",HSP_HISTORY_NO" _
	 & ",CH_NO" _
	 & ",SERIAL_NO" _
	 & ",LASTUPDUSER_CD" _
	 & ",LASTUPD_DT" _
	 & ") VALUES (" _
	 & " " & sqlMSRCOMMON.prmUSER_CD _
	 & "," & prmSEARCH_NO_T _
	 & "," & sqlMSRCOMMON.prmPATIENT_NO _
	 & "," & sqlMSRCOMMON.prmHSP_NO _
	 & "," & sqlMSRCOMMON.prmCH_NO _
	 & "," & sqlMSRCOMMON.prmSERIAL_NO _
	 & "," & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	 & "," & sqlMSRCOMMON.prmLASTUPD_DT _
	 & ")"

	''' <summary>
	''' 検索処理結果情報 ワーク追加
	''' </summary>
	Public Const sqlINS_SI As String = _
	 "INSERT INTO MTT_SEARCH_INFO (" _
	 & " USER_CD" _
	 & ",SEARCH_NO" _
	 & ",START_DT" _
	 & ",END_DT" _
	 & ",PATIENT_NUM" _
	 & ",HSP_HISTORY_NUM" _
	 & ",CH_NUM" _
	 & ",MAIN_TABLE_CD" _
	 & ",CND_NM" _
	 & ",CTRL_CD" _
	 & ",TITLE" _
	 & ",EXPLANATION" _
	 & ",LASTUPDUSER_CD" _
	 & ",LASTUPD_DT" _
	 & ") SELECT " _
	 & " USER_CD" _
	 & "," & prmSEARCH_NO_T & " AS SEARCH_NO" _
	 & ",START_DT" _
	 & ",END_DT" _
	 & ",PATIENT_NUM" _
	 & ",HSP_HISTORY_NUM" _
	 & ",CH_NUM" _
	 & ",MAIN_TABLE_CD" _
	 & ",CND_NM" _
	 & ",CTRL_CD" _
	 & ",TITLE" _
	 & ",EXPLANATION" _
	 & ",LASTUPDUSER_CD" _
	 & "," & sqlMSRCOMMON.prmLASTUPD_DT _
	 & " FROM MTT_SEARCH_INFO AS w" _
	 & " WHERE w.USER_CD=" & sqlMSRCOMMON.prmUSER_CD _
	 & "   AND w.SEARCH_NO=" & sqlMSRCOMMON.prmSEARCH_NO

	''' <summary>
	''' 検索処理結果条件 ワーク追加
	''' </summary>
	Public Const sqlIns_SC As String = _
	 "INSERT INTO MTT_SEARCH_CND (" _
	 & " USER_CD" _
	 & ",SEARCH_NO" _
	 & ",SERIAL_NO" _
	 & ",TABLE_CD" _
	 & ",SQL_SNT" _
	 & ",TAB_NM" _
	 & ",ITEM_NM" _
	 & ",SQL_NM" _
	 & ",SQL_PLUS_NM" _
	 & ",LASTUPDUSER_CD" _
	 & ",LASTUPD_DT" _
	 & ") SELECT " _
	 & " USER_CD" _
	 & "," & prmSEARCH_NO_T & " AS SEARCH_NO" _
	 & ",SERIAL_NO" _
	 & ",TABLE_CD" _
	 & ",SQL_SNT" _
	 & ",TAB_NM" _
	 & ",ITEM_NM" _
	 & ",SQL_NM" _
	 & ",SQL_PLUS_NM" _
	 & ",LASTUPDUSER_CD" _
	 & "," & sqlMSRCOMMON.prmLASTUPD_DT _
	 & " FROM MTT_SEARCH_CND AS w" _
	 & " WHERE w.USER_CD=" & sqlMSRCOMMON.prmUSER_CD _
	 & "   AND w.SEARCH_NO=" & sqlMSRCOMMON.prmSEARCH_NO

#End Region

End Class
