﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 手術情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR070F010

	''' <summary>
	''' テーブル名
	''' </summary>
	Public Const MTI_OPE As String = "MTI_OPE"
	Public Const MTI_OPE_RN As String = "i"

	Public Const MTI_OPE_DOCTOR As String = "MTI_OPE_DOCTOR"
	Public Const MTI_OPE_DOCTOR_RN As String = "i2"

#Region "件数取得"
	''' <summary>
	''' 件数取得
	''' </summary>
	Public Const sqlSel_Cnt As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_OPE AS i" _
	& "    ON s.PATIENT_NO     = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "   AND s.CH_NO          = i.CH_NO" _
	& "  LEFT JOIN MTM_OPE_DIV" _
	& "    ON i.OPE_DIV        = MTM_OPE_DIV.OPE_DIV_CD" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {0}"

	''' <summary>
	''' 件数取得 手術医師情報による絞込み
	''' </summary>
	Public Const sqlSel_CntDoc As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_OPE AS i" _
	& "    ON s.PATIENT_NO     = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "   AND s.CH_NO          = i.CH_NO" _
	& sqlTblOpeDoc _
	& " {1}" _
	& sqlGrpOpeDoc _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {0}"

#End Region

#Region "一覧取得"

	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {0}" _
	& sqlOrder

	''' <summary>
	''' 一覧取得 手術医師情報による絞込み
	''' </summary>
	Public Const sqlSel_ListDoc As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& sqlTblMe _
	& sqlTblBHC _
	& sqlTblOpeDoc _
	& " {1}" _
	& sqlGrpOpeDoc _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {0}" _
	& sqlOrder
#Region "基本＋入退院＋科歴"
'(M) STR V4-11048-000 091 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'    ''' <summary>
'    ''' 基本＋入退院＋科歴
'    ''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
'(M) STR V4-12051-000 093 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Private Const sqlColBHC As String = "" _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& ",c.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	'& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	'& ",c.END_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
    '& ",c.HSP_DAYS"
'(M) STR V4-15024-000 102 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'	''' <summary>
'	''' 基本＋入退院＋科歴
'	''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",b.PATIENT_KNM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_CD" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'	& ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
    ''' <summary>
    ''' 基本＋入退院＋科歴
    ''' </summary>
    Private Const sqlColBHC As String = "" _
    & sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
    & ",s.PATIENT_NO" _
    & ",s.HSP_HISTORY_NO" _
    & ",s.CH_NO" _
    & ",b.PATIENT_NM" _
    & ",b.PATIENT_KNM" _
    & ",XTM_GENDER.GENDER_NM" _
    & ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
    & ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
    & ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
    & ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
    & ",(SELECT AREA_RNM " _
    & "  FROM MTM_AREA " _
    & " WHERE AREA_CD = " _
    & "( " _
    & " SELECT TOP 1 AREA_CD FROM MTI_CH" _
    & "  WHERE PATIENT_NO = s.PATIENT_NO" _
    & "  ORDER BY" _
    & " HSP_HISTORY_NO DESC" _
    & ",CH_NO DESC" _
    & " )" _
    & ") AS NEW_AREA_RNM" _
    & ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
    & ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
    & ",d.DEATH_AGE" _
    & ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
    & ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
    & "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
    & ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
    & ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
    & ",c.BYOREKI_NO" _
    & ",MTM_DEPT.DEPT_RNM" _
    & ",c.DEPT_CD" _
    & ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
    & ",MTM_WARD.WARD_CD" _
    & ",MTM_WARD.WARD_RNM" _
    & ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
    & ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
    & ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
    & ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
    & ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
    & ",MTM_HSP_CNL.HSP_CNL_RNM" _
    & ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
    & ",c.END_AGE" _
    & ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
    & ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
    & ",c.HSP_DAYS"
'(M) END V4-15024-000 102 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 093 2013/01/23
'(M) END V4-11048-000 091 20110915
	''' <summary>
	''' 基本＋入退院＋科歴　テーブル
	''' </summary>
   Private Const sqlTblBHC As String = "" _
	& " LEFT JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                                   AND s.CH_NO          = c.CH_NO" _
	& " LEFT JOIN MTI_HSP AS H             ON s.PATIENT_NO     = h.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = h.HSP_HISTORY_NO" _
	& " LEFT JOIN XTI_BASICINFO AS B       ON s.PATIENT_NO     = b.PATIENT_NO" _
	& " LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& " LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& " LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& " LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& " LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& " LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& " LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	& " LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	& " LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

	''' <summary>
	''' 手術
	''' </summary>
	Private Const sqlColMe As String = "" _
	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO,i.OPE_SERIAL_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",i.OPE_SERIAL_NO AS " & sqlMSRCOMMON.itmSERIAL_NO _
	& ",MTM_OPE_DIV.OPE_DIV_RNM" _
	& ",i.ICD9CM_CD" _
	& ",i.SCORE_CD" _
	& ",i.OPE_NM" _
	& ",CONVERT(VARCHAR,i.OPE_DT,111) AS OPE_DT" _
	& ",i.OPE_TIME" _
	& ",i.OPE_REQUIRED_TIME" _
	& ",i.OPE_AGE" _
	& ",MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& ",MTM_ASA_PS_GRP.ASA_PS_GRP_RNM" _
	& ",MTM_ANESTHESIA.ANESTHESIA_RNM" _
	& ",MTM_ANESTHESIA2.ANESTHESIA_RNM AS ANESTHESIA_RNM2" _
	& ",i.ANESTHESIA_TIME" _
	& ",i.BLEEDING_VOLUME" _
	& ",i.BLOOD_TRAN_VOLUME" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "i.AFTER_OPE_CMPC_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AFTER_OPE_CMPC_CHK_NM" _
	& ",i.PRE_OPE_DAYS" _
	& ",i.AFTER_OPE_DAYS" _
	& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_RNM" _
	& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_RNM AS OPE_ASST_DIV_RNM2" _
	& ",MTM_OPE_CNT.OPE_COUNT" _
	& ",MTM_OPE_PART_CNT.OPE_PART" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& ",i.SPT_DISEASE_ICD10_CD" _
	& ",i.SPT_DISEASE_NM"

	''' <summary>
	''' 手術
	''' </summary>
	Private Const sqlTblMe = "" _
	& " INNER JOIN MTI_OPE AS i                      ON s.PATIENT_NO         = i.PATIENT_NO" _
	& "                                             AND s.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                                             AND s.CH_NO              = i.CH_NO" _
	& " LEFT JOIN MTM_OPE_DIV                        ON i.OPE_DIV        = MTM_OPE_DIV.OPE_DIV_CD" _
	& " LEFT JOIN MTM_OPE_PLAN_EMERGENCY             ON i.PLAN_EMERGENCY_CD  = MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& " LEFT JOIN MTM_ASA_PS_GRP					 ON i.ASA_PS_GRP_CD		 = MTM_ASA_PS_GRP.ASA_PS_GRP_CD" _
	& " LEFT JOIN MTM_ANESTHESIA  	                 ON i.ANESTHESIA_DIV1    = MTM_ANESTHESIA.ANESTHESIA_CD" _
	& " LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA2  ON i.ANESTHESIA_DIV2    = MTM_ANESTHESIA2.ANESTHESIA_CD" _
	& " LEFT JOIN MTM_OPE_ASST_DIV  	             ON i.ASST_DIV1          = MTM_OPE_ASST_DIV.OPE_ASST_DIV_CD" _
	& " LEFT JOIN MTM_OPE_ASST_DIV2  	             ON i.ASST_DIV2          = MTM_OPE_ASST_DIV2.OPE_ASST_DIV_CD" _
	& " LEFT JOIN MTM_OPE_CNT                        ON i.OPE_COUNT_CD       = MTM_OPE_CNT.OPE_COUNT_CD" _
	& " LEFT JOIN MTM_OPE_PART_CNT                   ON i.OPE_PART_CD        = MTM_OPE_PART_CNT.OPE_PART_CD"

	''' <summary>
	''' Order句
	''' </summary>
	Private Const sqlOrder As String = _
	  " ORDER BY" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.OPE_SERIAL_NO"

#End Region

#Region "手術医師情報による絞込み"
	''' <summary>
	''' 手術医師情報(SELECT～JOIN)
	''' </summary>
	Private Const sqlTblOpeDoc As String = _
	   " INNER JOIN" _
	& " (SELECT" _
	& "  i2.PATIENT_NO" _
	& " ,i2.HSP_HISTORY_NO" _
	& " ,i2.CH_NO" _
	& " ,i2.OPE_SERIAL_NO" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_OPE_DOCTOR AS i2" _
	& "    ON s.PATIENT_NO      = i2.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO  = i2.HSP_HISTORY_NO" _
	& "   AND s.CH_NO           = i2.CH_NO" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO

	''' <summary>
	''' 手術医師情報(GROUP BY)
	''' </summary>
	Private Const sqlGrpOpeDoc As String = _
	  " GROUP BY i2.PATIENT_NO,i2.HSP_HISTORY_NO,i2.CH_NO,i2.OPE_SERIAL_NO) AS i3" _
	& "  ON i.PATIENT_NO        = i3.PATIENT_NO" _
	& " AND i.HSP_HISTORY_NO    = i3.HSP_HISTORY_NO" _
	& " AND i.CH_NO             = i3.CH_NO" _
	& " AND i.OPE_SERIAL_NO     = i3.OPE_SERIAL_NO"
#End Region

#Region "主手術の絞り込み用"
	Public Const prmFIXED_CD As String = "@FIXED_CD"					'固定コード
	Public Const sqlSel_Main As String = _
	  " AND MTM_OPE_DIV.FIXED_CD = " & prmFIXED_CD
#End Region

End Class
