﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 手術　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR070F030
	' パラメータ
	Public Const prmICD9CM_CD As String = "@ICD9CM_CD"					'ICD9CMコード
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"					'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"					'中分類コード
	Public Const prmDIGS3_GRP_CD As String = "@DIGS3_GRP_CD"			'３桁分類コード
	Public Const prmDISEASE_MNG_DIV As String = "@DISEASE_MNG_DIV"		'管理記号
	Public Const prmDISEASE_MNG_NO As String = "@DISEASE_MNG_NO"		'管理番号
	Public Const prmOPE_NM As String = "@OPE_NM"						'手術名
	Public Const prmSCORE_CD As String = "@SCORE_CD"					'点数表コード
	Public Const prmPRE_OPE_DAYS As String = "@PRE_OPE_DAYS"			'術前日数
	Public Const prmAFT_OPE_DAYS As String = "@AFT_OPE_DAYS"			'術後日数
	Public Const prmPRE_OPE_DAYS_UPD As String = "@PRE_OPE_DAYS_UPD"	'術前日数更新用
	Public Const prmAFT_OPE_DAYS_UPD As String = "@AFT_OPE_DAYS_UPD"	'術後日数更新用
	Public Const prmOPE_DOCTOR_DIV As String = "@OPE_DOCTOR_DIV"		'手術医師区分コード
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"					'医師コード

	'UPDATE項目置き換え文字
	Public Const sqlSel_RepSet As String = "@@SQL_REPSET@@"
	Public Const sqlSel_RepWhere As String = "@@SQL_REPWHERE@@"

	' ＳＱＬ文 「手術」＝ＯＮのとき
	 ''' <summary>
	 ''' メインＳＱＬ(UPDATE文)
	 ''' </summary>
	Public Const sqlUpdOpeData As String = _
	  " UPDATE i" _
	& " SET" _
	& "    i.ICD9CM_CD                         = " & prmICD9CM_CD _
	& "   ,i.L_GRP_CD                          = " & prmL_GRP_CD _
	& "   ,i.M_GRP_CD                          = " & prmM_GRP_CD _
	& "   ,i.DIGS3_GRP_CD                      = " & prmDIGS3_GRP_CD _
	& sqlSel_RepSet _
	& "   ,i.LASTUPD_DT                        =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "   ,i.LASTUPDUSER_CD                    =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_OPE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = i.OPE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	 ''' <summary>
	 ''' 手術名「上書きする」＝ＯＮのときに付加
	 ''' </summary>
	Public Const sqlUpdOpeNM As String = _
	  " ,i.OPE_NM                              = " & prmOPE_NM

	 ''' <summary>
	 ''' 点数表コード「上書きする」＝ＯＮのときに付加
	 ''' </summary>
	Public Const sqlUpdOpeSCORE As String = _
	  " ,i.SCORE_CD                            = " & prmSCORE_CD

	 ''' <summary>
	 ''' 手術選択(ラジオボタン)「管理番号」＝ＯＮのときに付加
	 ''' </summary>
	Public Const sqlUpdOpeKANRI As String = _
	  " ,i.MNG_DIV                             = " & prmDISEASE_MNG_DIV _
	& " ,i.MNG_NO                              = " & prmDISEASE_MNG_NO

	' ＳＱＬ文 「術前日数」＝ＯＮのとき
	 ''' <summary>
	 ''' メインＳＱＬ(UPDATE文)
	 ''' </summary>
	Public Const sqlUpdOpePREData As String = _
	  " UPDATE i" _
	& " SET" _
	& sqlSel_RepSet _
	& "   ,i.LASTUPD_DT                       =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "   ,i.LASTUPDUSER_CD                   =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_OPE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO           = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO       = i.OPE_SERIAL_NO" _
	& "  INNER JOIN MTI_HSP AS h" _
	& "    ON i.PATIENT_NO                    = h.PATIENT_NO" _
	& "   AND i.HSP_HISTORY_NO                = h.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM _
	& sqlSel_RepWhere

	 ''' <summary>
	 ''' 計算術前「すべての術前日数が０日」＝ＯＮのとき
	 ''' </summary>
	Public Const sqlUpdOpePREDTAllSet As String = _
	"  i.PRE_OPE_DAYS                         = " & prmPRE_OPE_DAYS

	 ''' <summary>
	 ''' 計算術前「術前日数が０日のみ計算」＝ＯＮ、「すべての術前日数を計算」＝ＯＮのとき
	 ''' </summary>
	Public Const sqlUpdOpePREDTSet As String = _
	"  i.PRE_OPE_DAYS                         = (DATEDIFF(d , h.HSP_DT , i.OPE_DT)) + " & prmPRE_OPE_DAYS_UPD

	''' <summary>
	''' 計算術前「すべての術前日数が０日」≠ＯＮのとき
	''' </summary>
	Public Const sqlUpdOpePRE_Null As String = _
	  "   AND h.HSP_DT IS NOT NULL" _
	& "   AND i.OPE_DT IS NOT NULL"

	''' <summary>
	''' 計算術前「術前日数が０日のみ計算」＝ＯＮのとき
	''' </summary>
	Public Const sqlUpdOpePRE_Zero As String = _
	  "   AND i.PRE_OPE_DAYS                   = " & prmPRE_OPE_DAYS

	' ＳＱＬ文 「術後日数」＝ＯＮのとき
	 ''' <summary>
	 ''' メインＳＱＬ(UPDATE文)
	 ''' </summary>
	Public Const sqlUpdOpeAFTData As String = _
	  " UPDATE i" _
	& " SET" _
	& sqlSel_RepSet _
	& "   ,i.LASTUPD_DT                        =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "   ,i.LASTUPDUSER_CD                    =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_OPE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = i.OPE_SERIAL_NO" _
	& "  INNER JOIN MTI_HSP AS h" _
	& "    ON i.PATIENT_NO                     = h.PATIENT_NO" _
	& "   AND i.HSP_HISTORY_NO                 = h.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM _
	& sqlSel_RepWhere

	 ''' <summary>
	 ''' 計算術後「すべての術後日数が０日」＝ＯＮのとき
	 ''' </summary>
	Public Const sqlUpdOpeAFTDTAllSet As String = _
	"  i.AFTER_OPE_DAYS                        = " & prmAFT_OPE_DAYS

	 ''' <summary>
	 ''' 計算術後「術後日数が０日のみ計算」＝ＯＮ、「すべての術前日数を計算」＝ＯＮのとき
	 ''' </summary>
	Public Const sqlUpdOpeAFTDTSet As String = _
	"  i.AFTER_OPE_DAYS                        = (DATEDIFF(d , ISNULL(i.END_DT,i.OPE_DT) , h.OUT_HSP_DT)) + " & prmAFT_OPE_DAYS_UPD

	''' <summary>
	''' 計算術後「すべての術後日数が０日」＝ＯＮのとき
	''' </summary>
	Public Const sqlUpdOpeAFT_Null As String = _
	  "   AND h.OUT_HSP_DT IS NOT NULL"

	''' <summary>
	''' 計算術後「術後日数が０日のみ計算」＝ＯＮのとき
	''' </summary>
	Public Const sqlUpdOpeAFT_Zero As String = _
	  "   AND i.AFTER_OPE_DAYS                 = " & prmAFT_OPE_DAYS

	' ＳＱＬ文 「手術医師追加」＝ＯＮのとき
	''' <summary>
	''' メインＳＱＬ(INSERT文)
	''' </summary>
	Public Const sqlInsOpeDoc As String = _
	 "INSERT INTO MTI_OPE_DOCTOR" _
	& "(PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",OPE_SERIAL_NO" _
	& ",OPE_DOCTOR_SERIAL_NO" _
	& ",OPE_DOCTOR_DIV" _
	& ",DOCTOR_CD" _
	& ",LASTUPD_DT" _
	& ",LASTUPDUSER_CD" _
	& " ) " _
	& " SELECT " _
	& "  MTW_SEARCH_WORK.PATIENT_NO" _
	& ", MTW_SEARCH_WORK.HSP_HISTORY_NO" _
	& ", MTW_SEARCH_WORK.CH_NO" _
	& ", MTW_SEARCH_WORK.SERIAL_NO" _
	& ",(" & sqlInsOpeDocCnt & ") AS MAXNO" _
	& "," & prmOPE_DOCTOR_DIV _
	& "," & prmDOCTOR_CD _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT _
	& "," & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_OPE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = i.OPE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 手術医師連番最大値取得(INSERT文)
	''' </summary>
	Private Const sqlInsOpeDocCnt As String = _
	  " ISNULL((SELECT MAX(OPE_DOCTOR_SERIAL_NO) AS MAX_NO" _
	 & "  FROM MTI_OPE_DOCTOR" _
	 & " WHERE PATIENT_NO = MTW_SEARCH_WORK.PATIENT_NO" _
	 & "   AND HSP_HISTORY_NO = MTW_SEARCH_WORK.HSP_HISTORY_NO" _
	 & "   AND CH_NO = MTW_SEARCH_WORK.CH_NO" _
	 & "  ),0) + 1 "


End Class
