﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 治療処置　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR080F030

#Region "パラメータ"
	Public Const prmICD9CM_CD As String = "@ICD9CM_CD"					'ICD9CMコード
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"					'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"					'中分類コード
	Public Const prmDIGS3_GRP_CD As String = "@DIGS3_GRP_CD"			'３桁分類コード
	Public Const prmMNG_DIV As String = "@MNG_DIV"						'管理記号
	Public Const prmMNG_NO As String = "@MNG_NO"						'管理番号
	Public Const prmFIX_CD As String = "@FIX_CD"						'固定コード
	Public Const prmCARE_NM As String = "@CARE_NM"						'治療処置名
	Public Const prmSCORE_CD As String = "@SCORE_CD"					'点数表コード
#End Region

	'UPDATE項目置き換え文字
	Public Const sqlSel_RepSet As String = "@@SQL_REPSET@@"

	 ''' <summary>
	 ''' メインＳＱＬ(UPDATE文)
	 ''' </summary>
	Public Const sqlUpdData As String = _
	  " UPDATE c" _
	& " SET" _
	& "    c.ICD9CM_CD                         = " & prmICD9CM_CD _
	& "   ,c.L_GRP_CD                          = " & prmL_GRP_CD _
	& "   ,c.M_GRP_CD                          = " & prmM_GRP_CD _
	& "   ,c.DIGS3_GRP_CD                      = " & prmDIGS3_GRP_CD _
	& sqlSel_RepSet _
	& "   ,c.LASTUPD_DT                        =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "   ,c.LASTUPDUSER_CD                    =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_CARE AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = c.CARE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	 ''' <summary>
	 ''' 治療処置名「上書きする」＝ＯＮのときに付加
	 ''' </summary>
	Public Const sqlUpdNM As String = _
	  " ,c.CARE_NM                             = " & prmCARE_NM

	 ''' <summary>
	 ''' 点数表コード「上書きする」＝ＯＮのときに付加
	 ''' </summary>
	Public Const sqlUpdSCORE As String = _
	  " ,c.SCORE_CD                            = " & prmSCORE_CD

	 ''' <summary>
	 ''' 治療処置選択(ラジオボタン)「管理番号」＝ＯＮのときに付加
	 ''' </summary>
	Public Const sqlUpdKANRI As String = _
	  " ,c.MNG_DIV                             = " & prmMNG_DIV _
	& " ,c.MNG_NO                              = " & prmMNG_NO




End Class
