﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 共通用(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSRCOMMON

#Region "項目"

	Public Const itmPATIENT_NO As String = "PATIENT_NO"				'患者番号
	Public Const itmHSP_NO As String = "HSP_HISTORY_NO"				'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"						'科歴番号
	Public Const itmSERIAL_NO As String = "SERIAL_NO"				'xx連番

	'一覧系で使用
	Public Const itmCNT As String = "CNT"							'件数
	Public Const itmSELECTED As String = "SELECTED"					'選択チェックボックス
	Public Const itmSORT_SEQ As String = "SORT_SEQ"					'順番

	'一覧ヘッダ項目取得用
	Public Const itmITEM_CD As String = "ITEM_CD"					'項目コード
	Public Const itmITEM_RNM As String = "ITEM_RNM"					'項目略称
	Public Const itmITEM_NM As String = "ITEM_NM"					'項目名称

#End Region

#Region "パラメータ"

	Public Const prmSELECTED As String = "@SELECTED"				'選択チェックボックス

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"			'患者番号
	Public Const prmHSP_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"						'科歴番号
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"				'連番

	Public Const prmUSER_CD As String = "@USER_CD"					'使用者コード
	Public Const prmSEARCH_NO As String = "@SEARCH_NO"				'検索番号

	Public Const prmHOST_NM As String = "@HOST_NM"					'ホスト名

	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"			'最終更新日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"	'更新者コード

	Public Const prmFLG_ON As String = "@FLG_ON"					'フラグ値
	Public Const prmFLG_OFF As String = "@FLG_OFF"					'フラグ値

	Public Const prmDSPORDER As String = "@DSPORDER"				'表示順

	Public Const prmFIXED_CD As String = "@FIXED_CD"				'固定コード

#End Region

#Region "有無マスタ フラグ名称取得用"

	Public Const prmCHK_CD_ON As String = "@CHK_CD_ON"				'有無マスタ コードON
	Public Const prmCHK_CD_OFF As String = "@CHK_CD_OFF"			'有無マスタ コードOFF
	Public Const prmCHK_NM_ON As String = "@CHK_NM_ON"				'有無マスタ 表示名ON
	Public Const prmCHK_NM_OFF As String = "@CHK_NM_OFF"			'有無マスタ 表示名OFF

	Public Const prmFLG_CD_ON As String = "@FLG_CD_ON"				'フラグ コードON
	Public Const prmFLG_NM_ON As String = "@FLG_NM_ON"				'フラグ 表示名ON
	''' <summary>
	''' 有無マスタ
	''' </summary>
	Public Const sqlCHK_NM_S As String = "CASE "
	Public Const sqlCHK_NM_E As String = _
	  " WHEN " & prmCHK_CD_ON & " THEN " & prmCHK_NM_ON _
	& " WHEN " & prmCHK_CD_OFF & " THEN " & prmCHK_NM_OFF _
	& " END AS "

	''' <summary>
	''' フラグ
	''' </summary>
	Public Const sqlFLG_NM_S As String = "CASE "
	Public Const sqlFLG_NM_E As String = _
	  " WHEN " & prmFLG_CD_ON & " THEN " & prmFLG_NM_ON _
	& " END AS "

#End Region

#Region "更新ワークテーブル作成用"
	''' <summary>
	''' 更新対象ワークデータを削除
	''' </summary>
	Public Const sqlDel_SEARCH_WORK As String = _
	"DELETE FROM MTW_SEARCH_WORK WHERE HOST_NM = " & prmHOST_NM

	''' <summary>
	''' 更新対象ワークデータに追加
	''' </summary>
	Public Const sqlIns_SEARCH_WORK As String = _
	 "INSERT INTO MTW_SEARCH_WORK" _
	& "(HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",SERIAL_NO" _
	& ",OUT_ORDER" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& " ) VALUES (" _
	& " " & prmHOST_NM _
	& "," & prmPATIENT_NO _
	& "," & prmHSP_NO _
	& "," & prmCH_NO _
	& "," & prmSERIAL_NO _
	& "," & prmDSPORDER _
	& "," & prmLASTUPDUSER_CD _
	& "," & prmLASTUPD_DT _
	& ")"
#End Region

#Region "院内：死亡場所コード取得"

	''' <summary>
	''' 院内：死亡場所コード取得
	''' </summary>
	Public Const sqlSel_MTM_DEATH_LCT As String = _
	  "SELECT TOP 1 DEATH_LCT_CD FROM MTM_DEATH_LCT" _
	 & " WHERE FIXED_CD = " & prmFIXED_CD

#End Region

#Region "TM_貸出物マスタより単位を取得"

	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"			'貸出物コード

	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"
	Public Const itmLENDUNIT_CD As String = "UNIT_CD"

	''' <summary>
	'''　TM_貸出物マスタより単位を取得
	''' </summary>
	Public Const sqlSel_MTM_LENDITEM As String = _
	  "SELECT TOP 1 UNIT_CD FROM MTM_LENDITEM" _
	 & " WHERE LENDITEM_CD = " & prmLENDITEM_CD

	''' <summary>
	'''　TM_貸出物マスタより全件を取得
	''' </summary>
	Public Const sqlSelAll_MTM_LENDITEM As String = _
	  "SELECT LENDITEM_CD,UNIT_CD FROM MTM_LENDITEM" _
	& " WHERE LENDITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

#End Region

End Class
