﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 照会 先月疾病
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSS010F030

#Region "コンスタント"

    ''' ------------------------------
    ''' <summary>
    ''' 画面モード
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/15 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ------------------------------
    Enum Enum_Mode
        ''' <summary>
        ''' 上位３疾病
        ''' </summary>
        Disease = 1
        ''' <summary>
        ''' 上位３手術
        ''' </summary>
        Ope = 2
    End Enum

    Private Const CST_TITLE_DISEASE As String = "上 位 ３ 疾 病"
    Private Const CST_TITLE_OPE As String = "上 位 ３ 手 術"

#End Region

#Region "変数"

    Private pMode As Enum_Mode   '画面モード

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pMode">画面モード</param>
	''' <remarks>
	''' 2010/12/15 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pMode As Enum_Mode)
		MyBase.New()
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.pMode = pMode
	End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームを開くイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/15 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSS010F030_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームを開くイベント Start")
        Try
            'タイトル設定
            Select Case pMode
                Case Enum_Mode.Disease
                    Me.Title = CST_TITLE_DISEASE
                Case Enum_Mode.Ope
                    Me.Title = CST_TITLE_OPE
            End Select

            'ラベル初期化
            Me.lbl001MSS010F030.Text = String.Empty
            Me.lbl002MSS010F030.Text = String.Empty
            Me.lbl003MSS010F030.Text = "0"
            Me.lbl005MSS010F030.Text = String.Empty
            Me.lbl006MSS010F030.Text = String.Empty
            Me.lbl007MSS010F030.Text = "0"
            Me.lbl009MSS010F030.Text = String.Empty
            Me.lbl010MSS010F030.Text = String.Empty
            Me.lbl011MSS010F030.Text = "0"
        Catch ex As Exception
            Me.ErrorProc(ex)
            Me.CancelProc()
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが開いた時のイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/14 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSS010F030_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームが開いた時のイベント Start")
        Dim top3Data As DataTable = Nothing
		Try
			Me.Cursor = Cursors.WaitCursor
			'上位３取得
			Select Case Me.pMode
				Case Enum_Mode.Disease '疾病
					'ステータスバーにメッセージ表示
					Me.showMsgBar("I0022", Enum_MsgIcon.None, CST_TITLE_DISEASE.Replace(" "c, String.Empty), Nothing)
					Me.Refresh()
					top3Data = Me.getDiseaseTOP3()

				Case Enum_Mode.Ope '手術
					'ステータスバーにメッセージ表示
					Me.showMsgBar("I0022", Enum_MsgIcon.None, CST_TITLE_OPE.Replace(" "c, String.Empty), Nothing)
					Me.Refresh()
					top3Data = Me.getOpeTOP3()
			End Select
			'画面上に設定
			Me.setTop3(top3Data)
			'閉じるボタンにフォーカス
			Me.btn004MSS000F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			Me.clearMsgBar()
			If top3Data IsNot Nothing Then top3Data.Dispose()
			top3Data = Nothing
			Me.Cursor = Cursors.Default
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームを閉じるイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/14 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' --------------------------------------------- 
    Private Sub MSS010F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォーム終了 START")
        Dim frm As frmBase = Nothing
        Try
            If Me.Owner IsNot Nothing Then
                frm = DirectCast(Me.Owner, frmBase)
                frm.setCloseFlg()
                frm.Select()
                frm.backForm(True)
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            frm = Nothing
        End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 上位３疾病取得
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/14 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function getDiseaseTOP3() As DataTable
        Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "上位３疾病取得 Start")
        Dim ret As DataTable
        Try
            Using db As New clsDB(clsSysMst.ctlConfigData)
                'SQL文設定
                db.setSQLDa(sqlMSS010F030.sqlSel_DISEASE_TOP)
                'パラメータ設定
				db.setParamDa(sqlMSS010F030.prmOUT_HSP_DT_FROM, clsDB.Enum_dbType.dbDateTime)
				db.setParamDa(sqlMSS010F030.prmOUT_HSP_DT_TO, clsDB.Enum_dbType.dbDateTime)
				db.setParamDa(sqlMSS010F030.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlMSS010F030.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
				'値設定
				db.setValDa(sqlMSS010F030.prmOUT_HSP_DT_FROM, DateAndTime.DateSerial(DateTime.Now.AddMonths(-1).Year, DateTime.Now.AddMonths(-1).Month, 1))
				db.setValDa(sqlMSS010F030.prmOUT_HSP_DT_TO, DateAndTime.DateSerial(DateTime.Now.Year, DateTime.Now.Month, 0))
				db.setValDa(sqlMSS010F030.prmMAIN_DPM_FLG, clsConst.Enum_CheckBox_Flg.CheckOn, False)
				db.setValDa(sqlMSS010F030.prmFIXED_CD, CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease))
				'SQL実行
				ret = New DataTable()
				db.execQueryDa(ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上位３手術取得
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOpeTOP3() As DataTable
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "上位３手術取得 Start")
		Dim ret As DataTable
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				'SQL文設定
				db.setSQLDa(sqlMSS010F030.sqlSel_OPE_TOP)
				'パラメータ設定
				db.setParamDa(sqlMSS010F030.prmOUT_HSP_DT_FROM, clsDB.Enum_dbType.dbDateTime)
				db.setParamDa(sqlMSS010F030.prmOUT_HSP_DT_TO, clsDB.Enum_dbType.dbDateTime)
				db.setParamDa(sqlMSS010F030.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
				'値設定
				db.setValDa(sqlMSS010F030.prmOUT_HSP_DT_FROM, DateAndTime.DateSerial(DateTime.Now.AddMonths(-1).Year, DateTime.Now.AddMonths(-1).Month, 1))
				db.setValDa(sqlMSS010F030.prmOUT_HSP_DT_TO, DateAndTime.DateSerial(DateTime.Now.Year, DateTime.Now.Month, 0))
				db.setValDa(sqlMSS010F030.prmFIXED_CD, CStr(clsConst.Enum_Ope_Div_Fix1.MainOpe))
				'SQL実行
				ret = New DataTable()
				db.execQueryDa(ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面に上位３設定
    ''' </summary>
    ''' <param name="dt">上位３結果格納データテーブル</param>
    ''' <remarks>
    ''' 2010/12/14 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setTop3(ByVal dt As DataTable)
        Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "画面に上位３設定 Start")
        Try
            '上位３データ無ければ終了
            If dt Is Nothing OrElse dt.Rows.Count = 0 Then
                Exit Sub
            End If

            '1位
            If dt.Rows.Count > 0 Then
                Me.lbl001MSS010F030.Text = dt.Rows(0).Item(sqlMSS010F030.itmCODE).ToString()
                Me.lbl002MSS010F030.Text = dt.Rows(0).Item(sqlMSS010F030.itmGRP_NM).ToString()
                Me.lbl003MSS010F030.Text = Integer.Parse(dt.Rows(0).Item(sqlMSS010F030.itmCNT).ToString()).ToString(clsConst.CST_KENSU_FORMAT)
            End If
            '2位
            If dt.Rows.Count > 1 Then
                Me.lbl005MSS010F030.Text = dt.Rows(1).Item(sqlMSS010F030.itmCODE).ToString()
                Me.lbl006MSS010F030.Text = dt.Rows(1).Item(sqlMSS010F030.itmGRP_NM).ToString()
                Me.lbl007MSS010F030.Text = Integer.Parse(dt.Rows(1).Item(sqlMSS010F030.itmCNT).ToString()).ToString(clsConst.CST_KENSU_FORMAT)
            End If
            '3位
            If dt.Rows.Count > 2 Then
                Me.lbl009MSS010F030.Text = dt.Rows(2).Item(sqlMSS010F030.itmCODE).ToString()
                Me.lbl010MSS010F030.Text = dt.Rows(2).Item(sqlMSS010F030.itmGRP_NM).ToString()
                Me.lbl011MSS010F030.Text = Integer.Parse(dt.Rows(2).Item(sqlMSS010F030.itmCNT).ToString()).ToString(clsConst.CST_KENSU_FORMAT)
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面開設中止
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/13 新規作成　ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub CancelProc()
        Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "画面開設中止 Start")
        Try
            If Me.Owner IsNot Nothing Then
                DirectCast(Me.Owner, frmBase).setCancelFlg(True)
            End If
        Catch ex As Exception
            Throw
        Finally
            '画面終了
            Me.EndProc()
        End Try
    End Sub

#End Region

End Class
