﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 照会 照会SQLクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMSS010F010

    Public Const itmCNT As String = "CNT"                           '結果件数
    Public Const itmUNIT_CD As String = "UNIT_CD"                   '単位

    Public Const prmBASIC_DT1 As String = "@BASIC_DT1"              '基準日１
    Public Const prmBASIC_DT2 As String = "@BASIC_DT2"              '基準日２
    Public Const prmBASIC_DT3_FROM As String = "@BASIC_DT3_FROM"    '基準日３(FROM)
    Public Const prmBASIC_DT3_TO As String = "@BASIC_DT3_TO"        '基準日３(TO)
    Public Const prmBASIC_DT4 As String = "@BASIC_DT4"              '基準日４

    Public Const prmUSER_CD As String = "@USER_CD"                  '使用者コード
    Public Const prmSEARCH_NO As String = "@SEARCH_NO"              '検索番号
    Public Const prmPATIENT_NO As String = "@PATIENT_NO"            '患者番号
    Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"    '入退院歴番号
    Public Const prmCH_NO As String = "@CH_NO"                      '科歴番号
    Public Const prmSERIAL_NO As String = "@SERIAL_NO"              '連番
    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"    '更新者コード
    Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"            '更新日

    Public Const prmFIXED_CD As String = "@FIXED_CD"                '固定コード
    Public Const prmFIXED_CD1 As String = "@FIXED_CD1"              '固定コード１
    Public Const prmFIXED_CD1_2 As String = "@FIXED_CD1_2"          '固定コード１
    Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"          '貸出物コード
    Public Const prmMAIN_DPM_FLG As String = "@MAIN_DPM_FLG"        '主科フラグ


    ''' ---------------------------------------------
    ''' <summary>
    ''' 入院患者数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_HSP_PATIENT As String =
         " FROM" _
            & " MTI_HSP" _
        & " WHERE" _
            & " HSP_DT    = " & prmBASIC_DT1

    ''' ---------------------------------------------
    ''' <summary>
    ''' 入院患者数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_HSP_PATIENT As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_HSP_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 入院患者数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_HSP_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_HSP_PATIENT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 退院患者数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_OUT_HSP_PATIENT As String =
         " FROM" _
            & " MTI_HSP" _
        & " WHERE" _
            & " OUT_HSP_DT    = " & prmBASIC_DT1

    ''' ---------------------------------------------
    ''' <summary>
    ''' 退院患者数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_OUT_HSP_PATIENT As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_OUT_HSP_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 退院患者数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_OUT_HSP_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_OUT_HSP_PATIENT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 死亡患者数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_DEATH_PATIENT As String =
        " FROM" _
            & " MTI_DEATH" _
            & " INNER JOIN MTI_HSP ON" _
                & " MTI_DEATH.PATIENT_NO            = MTI_HSP.PATIENT_NO" _
            & " INNER JOIN MTM_OUT_HSP_OUTCOME ON " _
                & " MTI_HSP.OUT_HSP_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
        & " WHERE" _
            & "     MTI_DEATH.DEATH_DT              = " & prmBASIC_DT1 _
            & " AND MTM_OUT_HSP_OUTCOME.FIXED_CD    = " & prmFIXED_CD

    ''' ---------------------------------------------
    ''' <summary>
    ''' 死亡患者数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_DEATH_PATIENT As String =
        " SELECT" _
            & " COUNT(MTI_DEATH.PATIENT_NO) AS CNT" _
        & sql_DEATH_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 死亡患者数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_DEATH_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_DEATH.PATIENT_NO" _
				& ",MTI_HSP.HSP_HISTORY_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_DEATH_PATIENT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 入院中患者数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_HSP_OUT_HSP_PATIENT As String =
        " FROM" _
            & " MTI_HSP" _
        & " WHERE" _
            & " OUT_HSP_DT  IS NULL"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 入院中患者数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_HSP_OUT_HSP_PATIENT As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_HSP_OUT_HSP_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 入院中患者数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_HSP_OUT_HSP_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_HSP_OUT_HSP_PATIENT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 誕生日入院患者数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_BIRTH_PATIENT As String =
        " FROM" _
            & " XTI_BASICINFO" _
            & " INNER JOIN MTI_HSP ON" _
                & "   XTI_BASICINFO.PATIENT_NO  = MTI_HSP.PATIENT_NO" _
        & " WHERE" _
            & "     OUT_HSP_DT  IS NULL" _
            & " AND SUBSTRING(CONVERT(NVARCHAR,BIRTH_DT,112),5,4)    = SUBSTRING(CONVERT(NVARCHAR," & prmBASIC_DT2 & ",112),5,4)"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 誕生日入院患者数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_BIRTH_PATIENT As String =
        " SELECT" _
            & " COUNT(XTI_BASICINFO.PATIENT_NO) AS CNT" _
        & sql_BIRTH_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 誕生日入院患者数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_BIRTH_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",XTI_BASICINFO.PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_BIRTH_PATIENT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出中診療録数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_NOT_BACK_RECORD As String =
        " FROM" _
            & " MTI_LEND" _
        & " WHERE" _
            & "     LENDITEM_CD = " & prmLENDITEM_CD _
            & " AND BACK_DT     IS NULL"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出中診療録数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_NOT_BACK_RECORD As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_NOT_BACK_RECORD

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出中診療録数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_NOT_BACK_RECORD As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",SERIAL_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LENDSERIAL_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_NOT_BACK_RECORD


    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(患者毎)
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_MINOU_RECORD_PATIENT As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & " MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
        & " WHERE" _
            & "     OUT_HSP_DT                  BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND RECORD_RECEIPT_DT           IS NULL" _
            & " AND MTI_LENDITM.HSP_HISTORY_NO  = 0" _
            & " AND MTI_HSP.HSP_HISTORY_NO      = 1" _
            & " AND CH_NO                       = 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(患者毎)
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_MINOU_RECORD_PATIENT As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_MINOU_RECORD_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(患者毎)ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_MINOU_RECORD_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_MINOU_RECORD_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(入退院毎)
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_MINOU_RECORD_HSP As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
        & " WHERE" _
            & "     OUT_HSP_DT                  BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND RECORD_RECEIPT_DT           IS NULL" _
            & " AND CH_NO                       = 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(入退院毎)
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_MINOU_RECORD_HSP As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_MINOU_RECORD_HSP

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(入退院毎)
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_MINOU_RECORD_HSP As String =
	   " INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_MINOU_RECORD_HSP

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(診療科毎、返納基準日[退院])
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_MINOU_RECORD_CH1 As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_CH ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_CH.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
                & " AND MTI_LENDITM.CH_NO           = MTI_CH.CH_NO" _
        & " WHERE" _
            & "     OUT_HSP_DT                  BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND RECORD_RECEIPT_DT           IS NULL"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(診療科毎、返納基準日[退院])
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_MINOU_RECORD_CH1 As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_MINOU_RECORD_CH1

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(診療科毎、返納基準日[退院])ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_MINOU_RECORD_CH1 As String =
	   " INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",MTI_LENDITM.CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_MINOU_RECORD_CH1

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(診療科毎、返納基準日[終了])
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_MINOU_RECORD_CH2 As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_CH ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_CH.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
                & " AND MTI_LENDITM.CH_NO           = MTI_CH.CH_NO" _
        & " WHERE" _
            & "     END_DT                      BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND RECORD_RECEIPT_DT           IS NULL"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(診療科毎、返納基準日[終了])
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_MINOU_RECORD_CH2 As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_MINOU_RECORD_CH2

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未納診療録数(診療科毎、返納基準日[終了])ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_MINOU_RECORD_CH2 As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",MTI_LENDITM.CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_MINOU_RECORD_CH2


    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[全科/退院日])
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_NOTMAKE_SUMMARY_ALLDPMOUT As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_CH ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_CH.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
                & " AND MTI_LENDITM.CH_NO           = MTI_CH.CH_NO" _
        & " WHERE" _
            & "     OUT_HSP_DT                  BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND SUMMARY_RECEIPT_DT          IS NULL" _
            & " AND MTI_LENDITM.CH_NO           <> 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[全科/退院日])
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_NOTMAKE_SUMMARY_ALLDPMOUT As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_NOTMAKE_SUMMARY_ALLDPMOUT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[全科/退院日])ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_NOTMAKE_SUMMARY_ALLDPMOUT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",MTI_LENDITM.CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_NOTMAKE_SUMMARY_ALLDPMOUT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[全科/終了日])
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_NOTMAKE_SUMMARY_ALLDPMEND As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_CH ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_CH.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
                & " AND MTI_LENDITM.CH_NO           = MTI_CH.CH_NO" _
        & " WHERE" _
            & "     END_DT                      BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND SUMMARY_RECEIPT_DT          IS NULL" _
            & " AND MTI_LENDITM.CH_NO           <> 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[全科/終了日])
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_NOTMAKE_SUMMARY_ALLDPMEND As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_NOTMAKE_SUMMARY_ALLDPMEND

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[全科/終了日])ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_NOTMAKE_SUMMARY_ALLDPMEND As String =
		 " INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",MTI_LENDITM.CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_NOTMAKE_SUMMARY_ALLDPMEND


    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[主科/退院日])
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_NOTMAKE_SUMMARY_MAINDPMEND As String =
        " FROM" _
            & " MTI_LENDITM" _
            & " INNER JOIN MTI_HSP ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_CH ON" _
                & "     MTI_LENDITM.PATIENT_NO      = MTI_CH.PATIENT_NO" _
                & " AND MTI_LENDITM.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
                & " AND MTI_LENDITM.CH_NO           = MTI_CH.CH_NO" _
        & " WHERE" _
            & "     OUT_HSP_DT                  BETWEEN " & prmBASIC_DT3_FROM _
                                                    & " AND " & prmBASIC_DT3_TO _
            & " AND MAIN_DPM_FLG                = " & prmMAIN_DPM_FLG _
            & " AND SUMMARY_RECEIPT_DT          IS NULL" _
            & " AND MTI_LENDITM.CH_NO           <> 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[主科/退院日])
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_NOTMAKE_SUMMARY_MAINDPMEND As String =
        " SELECT" _
            & " COUNT(MTI_LENDITM.PATIENT_NO) AS CNT" _
        & sql_NOTMAKE_SUMMARY_MAINDPMEND

    ''' ---------------------------------------------
    ''' <summary>
    ''' 未作成サマリ数(返納基準日[主科/退院日])ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_NOTMAKE_SUMMARY_MAINDPMEND As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",MTI_LENDITM.PATIENT_NO" _
				& ",MTI_LENDITM.HSP_HISTORY_NO" _
				& ",MTI_LENDITM.CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
			& sql_NOTMAKE_SUMMARY_MAINDPMEND


    ''' ---------------------------------------------
    ''' <summary>
    ''' 登録未完成科歴数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_NOT_REG_CH As String =
    " FROM" _
        & " MTI_CH" _
        & " LEFT JOIN MTM_REG_STATUS ON" _
            & " MTI_CH.REG_STATUS_CD         = MTM_REG_STATUS.REG_STATUS_CD" _
    & " WHERE" _
        & "     END_DT                      BETWEEN " & prmBASIC_DT3_FROM _
                                                & " AND " & prmBASIC_DT3_TO _
        & " AND ((" _
                & "     FIXED_CD1   <> " & prmFIXED_CD1 _
                & " AND FIXED_CD1   <> " & prmFIXED_CD1_2 _
                & " )" _
            & " OR  FIXED_CD1   IS NULL" _
            & " )"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 登録未完成科歴数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_NOT_REG_CH As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_NOT_REG_CH

    ''' ---------------------------------------------
    ''' <summary>
    ''' 登録未完成科歴数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_NOT_REG_CH As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_NOT_REG_CH


    ''' ---------------------------------------------
    ''' <summary>
    ''' 病名未登録科歴数
    ''' </summary>
    ''' ---------------------------------------------
	Private Const sql_NOTREG_DISEASE_CH As String =
	   " FROM" _
			& " MTI_CH" _
			& " LEFT JOIN MTM_REG_STATUS ON" _
				& " MTI_CH.REG_STATUS_CD         = MTM_REG_STATUS.REG_STATUS_CD" _
		& " WHERE" _
			& "     END_DT                      BETWEEN " & prmBASIC_DT3_FROM _
													& " AND " & prmBASIC_DT3_TO _
			& " AND (" _
			& "			DISEASE_COUNT	= 0" _
			& "		OR  DISEASE_COUNT	IS NULL" _
			& " )" _
			& " AND (" _
				& "     FIXED_CD1		<> " & prmFIXED_CD1 _
				& " OR  FIXED_CD1		IS NULL" _
			& " )"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 病名未登録科歴数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_NOTREG_DISEASE_CH As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_NOTREG_DISEASE_CH

    ''' ---------------------------------------------
    ''' <summary>
    ''' 病名未登録科歴数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_NOTREG_DISEASE_CH As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_NOTREG_DISEASE_CH


    ''' ---------------------------------------------
    ''' <summary>
    ''' 登録完了科歴数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_REG_FINISHED_CH As String =
        " FROM" _
            & " MTI_CH" _
            & " LEFT JOIN MTM_REG_STATUS ON" _
                & " MTI_CH.REG_STATUS_CD         = MTM_REG_STATUS.REG_STATUS_CD" _
        & " WHERE" _
            & "     REG_FINISHED_DT = " & prmBASIC_DT4 _
            & " AND FIXED_CD1       = " & prmFIXED_CD1

    ''' ---------------------------------------------
    ''' <summary>
    ''' 登録完了科歴数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_REG_FINISHED_CH As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_REG_FINISHED_CH

    ''' ---------------------------------------------
    ''' <summary>
    ''' 登録完了科歴数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_REG_FINISHED_CH As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_REG_FINISHED_CH


    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(患者毎)
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_RECORD_RECEIPT_PATIENT As String =
        " FROM" _
            & " MTI_LENDITM" _
        & " WHERE" _
            & "     RECORD_RECEIPT_DT   = " & prmBASIC_DT4 _
            & " AND HSP_HISTORY_NO      = 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(患者毎)
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_RECORD_RECEIPT_PATIENT As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_RECORD_RECEIPT_PATIENT

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(患者毎)ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_RECORD_RECEIPT_PATIENT As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_RECORD_RECEIPT_PATIENT


    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(入退院毎)
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_RECORD_RECEIPT_HSP As String =
        " FROM" _
            & " MTI_LENDITM" _
        & " WHERE" _
            & "     RECORD_RECEIPT_DT   = " & prmBASIC_DT4 _
            & " AND HSP_HISTORY_NO  > 0" _
            & " AND CH_NO      = 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(入退院毎)
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_RECORD_RECEIPT_HSP As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_RECORD_RECEIPT_HSP

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(入退院毎)ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_RECORD_RECEIPT_HSP As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_RECORD_RECEIPT_HSP


    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(診療科毎)
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_RECORD_RECEIPT_CH As String =
        " FROM" _
            & " MTI_LENDITM" _
        & " WHERE" _
            & "     RECORD_RECEIPT_DT   = " & prmBASIC_DT4 _
            & " AND CH_NO           > 0"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(診療科毎)
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_RECORD_RECEIPT_CH As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_RECORD_RECEIPT_CH

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録受領数(診療科毎)ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_RECORD_RECEIPT_CH As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_RECORD_RECEIPT_CH


    ''' ---------------------------------------------
    ''' <summary>
    ''' サマリ作成数数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_MAKE_SUMMARY As String =
        " FROM" _
            & " MTI_LENDITM" _
        & " WHERE" _
            & "     SUMMARY_RECEIPT_DT   = " & prmBASIC_DT4

    ''' ---------------------------------------------
    ''' <summary>
    ''' サマリ作成数数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_MAKE_SUMMARY As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_MAKE_SUMMARY

    ''' ---------------------------------------------
    ''' <summary>
    ''' サマリ作成数数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_MAKE_SUMMARY As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_MAKE_SUMMARY


    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録貸出数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_RECORD_LEND As String =
        " FROM" _
            & " MTI_LEND" _
        & " WHERE" _
            & "     LENDITEM_CD     = " & prmLENDITEM_CD _
            & " AND ISSUE_DT        = " & prmBASIC_DT4

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録貸出数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_RECORD_LEND As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_RECORD_LEND

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録貸出数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_RECORD_LEND As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",SERIAL_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LENDSERIAL_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_RECORD_LEND


    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録返却数
    ''' </summary>
    ''' ---------------------------------------------
    Private Const sql_RECORD_BACK As String =
        " FROM" _
            & " MTI_LEND" _
        & " WHERE" _
            & "     LENDITEM_CD     = " & prmLENDITEM_CD _
            & " AND BACK_DT         = " & prmBASIC_DT4

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録返却数
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_RECORD_BACK As String =
        " SELECT" _
            & " COUNT(PATIENT_NO) AS CNT" _
        & sql_RECORD_BACK

    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録返却数ワーク登録
    ''' </summary>
    ''' ---------------------------------------------
	Public Const sqlIns_RECORD_BACK As String =
		" INSERT INTO MTT_SEARCH_RESULT(" _
				& " USER_CD" _
				& ",SEARCH_NO" _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",SERIAL_NO" _
				& ",LASTUPDUSER_CD" _
				& ",LASTUPD_DT" _
				& ")" _
			& " SELECT " _
				& " " & prmUSER_CD _
				& "," & prmSEARCH_NO _
				& ",PATIENT_NO" _
				& ",HSP_HISTORY_NO" _
				& ",CH_NO" _
				& ",LENDSERIAL_NO" _
				& "," & prmUSER_CD _
				& "," & prmLASTUPD_DT _
		& sql_RECORD_BACK


    ''' ---------------------------------------------
    ''' <summary>
    ''' 診療録の単位取得
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_MTM_LENDITEM As String =
        " SELECT" _
            & " UNIT_CD" _
        & " FROM" _
            & " MTM_LENDITEM" _
        & " WHERE" _
            & " LENDITEM_CD = " & prmLENDITEM_CD

    ''' ---------------------------------------------
    ''' <summary>
    ''' 検索結果ワークテーブル削除
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlDel_MTT_SEARCH_RESULT As String =
        " DELETE MTT_SEARCH_RESULT" _
        & " WHERE" _
            & "     USER_CD     = " & prmUSER_CD _
            & " AND SEARCH_NO   = " & prmSEARCH_NO

End Class
