﻿Imports XSP
Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理_統計起動処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MST010F010

#Region "変数"

    Private flgStatus As Boolean = False            '排他状況（True:排他中 False:排他失敗）
    Delegate Sub endAccessFormDelegate()

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 初期化
    ''' </summary>
    ''' <remarks>
    ''' 2010/08/30 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New()
        'MyBase.New()
        ' この呼び出しは、Windows フォーム デザイナで必要です。
        Call InitializeComponent()
        ' InitializeComponent() 呼び出しの後で初期化を追加します。
        Me.Opacity = 0
    End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面ロード
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/22 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MST010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(clsSysMst.logLevel.NRM, "MST010F010_Load", "画面ロード START")
        Try
            ' 排他制御登録
            If Me.setStartStatus(False) = False Then
                '画面を閉じる
                Me.Close()
                Exit Sub
            End If

            'タスクバーを非表示
			Me.ShowInTaskbar = False
			Me.Visible = False

            '排他中フラグ設定
            Me.flgStatus = True

            'スレッド実行
            Dim thread As New Threading.Thread(AddressOf Me.execAccessFormThread)
            thread.Start(sender)
        Catch ex As Exception
            ErrorProc(ex)
        Finally
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' スレッド処理(フォームオープン)
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/21 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub execAccessFormThread(ByVal pSender)
        log(clsSysMst.logLevel.NRM, "execAccessFormThread", "スレッド処理(フォームオープン) START")
        Dim cliAccessForm As clsAccessForm
        Try
            cliAccessForm = New clsAccessForm
            'アクセスフォームを開く
            cliAccessForm.OpenAccessForm(Me, clsAccessForm.Enum_AccessForm.F_TOKE, Me.Name, Me._userID, Me._userName)
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            Try
                Me.Invoke(New endAccessFormDelegate(AddressOf endAccessFormInvoker))
                cliAccessForm = Nothing
            Catch ex As Exception
            End Try
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' AccessFormスレッド終了Invoke処理 Start
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/21 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub endAccessFormInvoker()
        log(clsSysMst.logLevel.NRM, "endAccessFormInvoker", "AccessFormスレッド終了Invoke処理 START")
        Try
            '画面を閉じる
            Call Me.EndProc()
        Catch ex As Exception
            Throw
        Finally
            'Me.Refresh()
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームクローズ
    ''' </summary>
    ''' <remarks>
    ''' 2010/11/22 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MST010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "MST010F010_FormClosing", "フォームクローズ　START")
        Try
            '排他中なら排他解除
            If Me.flgStatus Then Me.delStartStatus()
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            '終了時に変数を解放する
            flgStatus = Nothing
        End Try
    End Sub

#End Region

#Region "メソッド"

    '''---------------------------------------------
    ''' <summary>
    ''' 画面クローズ
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/24 新規作成 FJSK)福田
    ''' </remarks>
    '''---------------------------------------------
    Private Sub EndProc()
        log(clsSysMst.logLevel.DBG, "EndProc", "画面クローズ START")
        Try
            '画面を閉じる
            Me.AutoValidate = Windows.Forms.AutoValidate.Disable
            Me.Close()
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

End Class

