﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing.Design
'''---------------------------------------------
''' <summary>
''' 複数コントロール選択ユーザーコントロール
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class BT_MultiInput

#Region "変数"

	''' <summary>コントロールタイプ</summary>
	Public Enum Enum_ControlType As Integer
		BT_TextBox = 1
		BT_Date = 2
		BT_MultiComboBox = 3
		BT_Number = 4
	End Enum

#End Region

#Region "プロパティ"

	Private _ControlType As Enum_ControlType = Enum_ControlType.BT_TextBox
	''' ---------------------------------------------
	''' <summary>
	''' コントロールタイプを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DefaultValue(Enum_ControlType.BT_TextBox)>
	<Category("カスタムプロパティ")>
	<Description("コントロールタイプを取得、設定します。")>
	Public Property ControlType As Enum_ControlType
		Get
			Return _ControlType
		End Get
		Set(ByVal value As Enum_ControlType)
			_ControlType = value
			Call setControlVisible()
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' テキストボックスコントロールを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)>
	<Category("カスタムプロパティ")>
	<Description("テキストボックスコントロールを取得、設定します。")>
	Public Property IN_TextBox As BT_TextBox
		Get
			Return Me.BT_InputTextBox
		End Get
		Set(ByVal value As BT_TextBox)
			Me.BT_InputTextBox = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' 日付コントロールを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)>
	<Category("カスタムプロパティ")>
	<Description("日付コントロールを取得、設定します。")>
	Public Property IN_Date As BT_Date
		Get
			Return Me.BT_InputDate
		End Get
		Set(ByVal value As BT_Date)
			Me.BT_InputDate = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' マルチカラムコンボボックスコントロールを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)>
	<Category("カスタムプロパティ")>
	<Description("マルチカラムコンボボックスコントロールを取得、設定します。")>
	Public Property IN_MultiComboBox As BT_MultiComboBox
		Get
			Return Me.BT_InputMultiComboBox
		End Get
		Set(ByVal value As BT_MultiComboBox)
			Me.BT_InputMultiComboBox = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' コンボ名称ラベルコントロールを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)>
	<Category("カスタムプロパティ")>
	<Description("コンボ名称ラベルコントロールを取得、設定します。")>
	Public Property IN_Label As Label
		Get
			Return Me.BT_InputLabel
		End Get
		Set(ByVal value As Label)
			Me.BT_InputLabel = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' 数字コントロールを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)>
	<Category("カスタムプロパティ")>
	<Description("数字コントロールを取得、設定します。")>
	Public Property IN_Number As BT_Number
		Get
			Return Me.BT_InputNumber
		End Get
		Set(ByVal value As BT_Number)
			Me.BT_InputNumber = value
		End Set
	End Property

	Private _CanInput As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' 更新、参照モードの切替値を取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<DefaultValue(True)>
	<Category("カスタムプロパティ")>
	<Description("更新、参照モードの切替値を取得、設定します。　True:入力可、False:入力不可")>
	Public Property CanInput As Boolean
		Get
			Return _CanInput
		End Get
		Set(ByVal value As Boolean)
			_CanInput = value
			Select Case _ControlType
				Case Enum_ControlType.BT_TextBox : Me.BT_InputTextBox.CanInput = _CanInput
				Case Enum_ControlType.BT_Date : BT_InputDate.CanInput = _CanInput
				Case Enum_ControlType.BT_MultiComboBox : Me.BT_InputMultiComboBox.CanInput = _CanInput
				Case Enum_ControlType.BT_Number : Me.BT_InputNumber.CanInput = _CanInput
				Case Else
			End Select
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' UserControlハンドル作成時、コンボボックスコントロールの場合、幅の再計算
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BT_MultiInput_HandleCreated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.HandleCreated
		Try
			If _ControlType = Enum_ControlType.BT_MultiComboBox Then
				Me.BT_InputMultiComboBox.setDropDownWidth()
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BT_MultiInput_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Try
			Call setControlVisible()
			Call setControlFont()
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォント変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BT_MultiInput_FontChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.FontChanged
		Try
			Call setControlFont()
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンボボックスサイズ変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BT_InputMultiComboBox_Resize(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BT_InputMultiComboBox.Resize
		Try
			Me.BT_InputLabel.Left = Me.BT_InputMultiComboBox.Width + Me.BT_InputLabel.Margin.Left
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールの表示切替処理
	''' </summary>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlVisible()
		Try
			Select Case _ControlType
				Case Enum_ControlType.BT_TextBox
					Me.BT_InputTextBox.Visible = True
					Me.BT_InputDate.Visible = False
					Me.BT_InputMultiComboBox.Visible = False
					Me.BT_InputLabel.Visible = False
					Me.BT_InputNumber.Visible = False
				Case Enum_ControlType.BT_Date
					Me.BT_InputTextBox.Visible = False
					Me.BT_InputDate.Visible = True
					Me.BT_InputMultiComboBox.Visible = False
					Me.BT_InputLabel.Visible = False
					Me.BT_InputNumber.Visible = False
				Case Enum_ControlType.BT_MultiComboBox
					Me.BT_InputTextBox.Visible = False
					Me.BT_InputDate.Visible = False
					Me.BT_InputMultiComboBox.Visible = True
					Me.BT_InputLabel.Visible = True
					Me.BT_InputNumber.Visible = False
				Case Enum_ControlType.BT_Number
					Me.BT_InputTextBox.Visible = False
					Me.BT_InputDate.Visible = False
					Me.BT_InputMultiComboBox.Visible = False
					Me.BT_InputLabel.Visible = False
					Me.BT_InputNumber.Visible = True
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォントを内在コントロールに設定
	''' </summary>
	''' <remarks>
	''' 2010/09/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlFont()
		Try
			' 初期化（再描画）
			Me.BT_InputTextBox.Font = Nothing
			Me.BT_InputDate.Font = Nothing
			Me.BT_InputMultiComboBox.Font = Nothing
			Me.BT_InputLabel.Font = Nothing
			Me.BT_InputNumber.Font = Nothing
			' 指定フォント設定
			Me.BT_InputTextBox.Font = Me.Font
			Me.BT_InputDate.Font = Me.Font
			Me.BT_InputMultiComboBox.Font = Me.Font
			Me.BT_InputLabel.Font = Me.Font
			Me.BT_InputNumber.Font = Me.Font
			Me.BT_InputMultiComboBox.SelectionLength = 0
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
