﻿Imports System.Reflection
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 医事システム連携　患者基本情報取得メソッド
''' </summary>
''' <remarks>
''' Copyright 2012 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XIJ010C010
	Inherits XIJ000C010

#Region "コンスタント"

#End Region

#Region "変数"

#End Region

#Region "解放処理"

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2012/11/16 新規作成　FWEST)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
			Try
				If disposing Then
					' マネージリソースの解放
				End If
			Finally
				' アンマネージリソースの解放、終了時に必ず行う処理
			End Try
		End If
		MyBase.Dispose(disposing)	'継承元の開放処理へ
	End Sub

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2012/11/16 新規作成　FWEST)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		MyBase.New()
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 患者基本情報取得
	''' </summary>
	''' <param name="strPATIENT_NO">患者番号</param>
	''' <param name="datBasicInfo">基本情報１レコード</param>
	''' <returns>True:存在する False：存在しない</returns>
	''' <remarks>
	''' 2012/11/16 新規作成　FWEST)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getPatientInfo(ByVal strPATIENT_NO As String, ByRef datBasicInfo As datXTI_BASICINFO_InsRec) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "医事システム連携", "患者基本情報取得メソッド", "患者基本情報取得 Start")
		Dim dtBIRTH_DT As Date = Nothing
		Try
			' 患者番号が未設定は処理しない
			If String.IsNullOrWhiteSpace(strPATIENT_NO) Then
				Return False
			End If
			Using db As clsODBC = New clsODBC(ODBCConfig), tbl As DataTable = New DataTable
				' 患者基本情報の取得
				db.setSQLDa(sqlXIJ010C010.sqlSelKanjya)									'SELECT文設定
				db.setParamDa(sqlXIJ010C010.prmTK01_KANJYA_NO, Odbc.OdbcType.VarChar)
				db.setValDa(sqlXIJ010C010.prmTK01_KANJYA_NO, strPATIENT_NO)
				db.execQueryDa(tbl)														'値取得
				If tbl.Rows.Count = 0 Then
					Return False
				End If
				' 患者基本情報をTI_基本情報に展開
				datBasicInfo = New datXTI_BASICINFO_InsRec
				With datBasicInfo
					'患者番号
					.PATIENT_NO = strPATIENT_NO
					'氏名
					.PATIENT_NM = Me.getSubstringEx(tbl.Rows(0).Item(sqlXIJ010C010.itmTK01_NAME).ToString, 0, 20)
					'氏名カナ
					.PATIENT_KNM = Me.getSubstringEx(tbl.Rows(0).Item(sqlXIJ010C010.itmTK01_KANA_NAME).ToString, 0, 30)
					'旧姓１
					.PREVIOUS1_NM = Me.getSubstringEx(tbl.Rows(0).Item(sqlXIJ010C010.itmTK01_OLD_NAME).ToString, 0, 20)
					'旧姓１カナ
					.PREVIOUS1_KNM = Me.getSubstringEx(tbl.Rows(0).Item(sqlXIJ010C010.itmTK01_OLD_KANA_NAME).ToString, 0, 30)
					'性別コード
					.GENDER_CD = tbl.Rows(0).Item(sqlXIJ010C010.itmTK01_SEIBETSU).ToString
					'生年月日
					If DateTime.TryParseExact(tbl.Rows(0).Item(sqlXIJ010C010.itmTK01_BIRTH).ToString, _
											  "yyyyMMdd", _
											  System.Globalization.DateTimeFormatInfo.InvariantInfo, _
											  System.Globalization.DateTimeStyles.None, _
											  dtBIRTH_DT) Then
						.BIRTH_DT = dtBIRTH_DT
					End If
				End With
				Return True
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
