﻿Imports XCM
Imports XSP
Imports System.Data
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Collections.ObjectModel
Imports System.Windows.Forms
Imports System.Windows.Forms.Control
Imports System.Drawing
Imports System.Drawing.Printing

''' ---------------------------------------------
''' <summary>
''' マスタメンテナンスクラス（標準）（新規作成：V4-14028）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XMS000F020

#Region "変数"

	' 前回検索値保存（検索にて使用）
	Public PrevSearch As clsMstMenteCom
	' ツールチップ 
	Public ttpComment As ToolTip

	' ベースフォーム
	Private pFrm As frmBase
	' 行選択可能フラグ（Validatedイベント抑止用）
	Private _EnableRowSelect As Boolean = True

#End Region

#Region "プロパティ"

	Private _TableName As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' メンテナンステーブル名称
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("テーブル名を取得、設定します。")>
	<DefaultValue("")>
	Public Property TableName() As String
		Get
			Return _TableName
		End Get
		Set(ByVal value As String)
			_TableName = value
		End Set
	End Property

	Private _ReportID As clsReportMastFunc.Enum_ReportId
	''' ---------------------------------------------
	''' <summary>
	''' レポートのオブジェクトＩＤ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("レポートのオブジェクトＩＤを取得、設定します。")>
	<DefaultValue("")>
	Public Property ReportID() As clsReportMastFunc.Enum_ReportId
		Get
			Return _ReportID
		End Get
		Set(ByVal value As clsReportMastFunc.Enum_ReportId)
			_ReportID = value
		End Set
	End Property

	Private _DetailVisible As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("一覧の表示／非表示を取得、設定します。")>
	<DefaultValue(True)>
	Public Property DetailVisible() As Boolean
		Get
			Return _DetailVisible
		End Get
		Set(ByVal value As Boolean)
			_DetailVisible = value
			Me.dgv001XMS000F020.Visible = _DetailVisible
			Me.dgv001XMS000F020.Refresh()
		End Set
	End Property

	Private _DetailLocation As Point = New Point(20, 190)
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示位置
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("一覧位置を取得、指定します。")>
	Public Property DetailLocation() As Point
		Get
			Return _DetailLocation
		End Get
		Set(ByVal value As Point)
			_DetailLocation = value
			Me.dgv001XMS000F020.Location = _DetailLocation
			Me.dgv001XMS000F020.Refresh()
		End Set
	End Property

	Private _DetailRowCount As Integer = 2
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示行数
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/27 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("一覧サイズを取得、指定します。")>
	<DefaultValue(2)>
	Public Property DetailRowCount() As Integer
		Get
			Return _DetailRowCount
		End Get
		Set(ByVal value As Integer)
			_DetailRowCount = value
			Dim sz As New Size(Me.ClientSize.Width - 40, (DetailRowCount * clsMstMenteCom.C_GRIDDATA_HEIGHT) + clsMstMenteCom.C_GRIDHEADER_HEIGHT)
			Me.dgv001XMS000F020.Height = sz.Height
		End Set
	End Property

	Private _SelectText As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' SQL文（JOIN文など特殊なSQLとなる場合）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("SQL文を取得、指定します。（JOIN文など特殊なSQL文を含む場合、指定します。）")>
	<DefaultValue("")>
	<Editor("System.ComponentModel.Design.MultilineStringEditor, System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", GetType(System.Drawing.Design.UITypeEditor))>
	Public Property SelectText() As String
		Get
			Return _SelectText
		End Get
		Set(ByVal value As String)
			_SelectText = value
		End Set
	End Property

	Private _Columns As New clsColumnCollection
	''' ---------------------------------------------
	''' <summary>
	''' 項目コレクション（データソースの項目名とコントロールの関連付け）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("カラム項目コレクションを取得、設定します。")>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Content)>
	Public Property Columns() As clsColumnCollection
		Get
			Return _Columns
		End Get
		Set(ByVal value As clsColumnCollection)
			_Columns = value
			If Me.DesignMode Then
				Me.Invalidate()
			End If
		End Set
	End Property

	Private _SearchKeyClear As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' 画面クリア時、検索キークリアする・しないを取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/07/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("画面クリア時、検索キークリアする・しないを取得、設定します。")>
	<DefaultValue(True)>
	Public Property SearchKeyClear() As Boolean
		Get
			Return _SearchKeyClear
		End Get
		Set(ByVal value As Boolean)
			_SearchKeyClear = value
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XMS000F020_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		If Me.DesignMode Then
			Return
		Else
			log(clsSysMst.logLevel.NRM, "XMS000F020_Load", "画面＿初期設定 Start")
		End If
		Try
			pFrm = Me.Owner
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				' 画面初期化
				cliMstMenteCom.clearScreen()
				' グリッド初期値設定
				setGridStyle(_DetailRowCount)
				' グリッドデータ設定
				If Not cliMstMenteCom.isSearch() Then
					'マスタ全件
					cliMstMenteCom.setDataToGrid()
				End If
				' ツールチップ設定
				cliMstMenteCom.setToolTips(ttpComment)
			End Using
			' レポートＩＤを設定
			Me.pRepId = _ReportID
			' 削除ボタン使用不可
			Me.btn007XMS000F010.Enabled = False
			' 前回検索関連保存
			PrevSearch = New clsMstMenteCom(Me, True)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XMS000F020_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		If Me.IsDisposed = True Then Return
		If Me.DesignMode Then
			Return
		Else
			log(clsSysMst.logLevel.NRM, "XMS000F020_FormClosing", "画面＿閉じる Start")
		End If
		Try
			If PrevSearch IsNot Nothing Then PrevSearch.Dispose()
			setCloseFlg()
			pFrm.backForm(False)
			' メニュー選択
			If Me.Owner IsNot Nothing Then Me.Owner.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			pFrm = Nothing
			If ttpComment IsNot Nothing Then ttpComment.Dispose()
			ttpComment = Nothing
			PrevSearch = Nothing
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn006XMS000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn006XMS000F010.Click
		If Me.DesignMode Then
			Return
		Else
			log(clsSysMst.logLevel.NRM, "btn006XMS000F010_Click", "保存ボタンクリック Start")
		End If
		Try
			Me.F7KeyProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007XMS000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn007XMS000F010.Click
		log(clsSysMst.logLevel.NRM, "btn007XMS000F010_Click", "削除ボタンクリック Start")
		Try
			Me.F5KeyProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セルDoubleClick時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001XMS000F020_CellDoubleClick(sender As System.Object, e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv001XMS000F020.CellDoubleClick
		log(clsSysMst.logLevel.DBG, "dgv001XMS000F020_CellDoubleClick", "セルDoubleClick Start")
		Try
			If e.RowIndex <= -1 Then Exit Sub
			EnterProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' カラムヘッダクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001XMS000F020_ColumnHeaderMouseClick(sender As Object, e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv001XMS000F020.ColumnHeaderMouseClick
		Try
			Me.dgv001XMS000F020.ClearSelection()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ペイントイベント
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/08/05 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub OnPaint(e As System.Windows.Forms.PaintEventArgs)
		Try
			If Me.DesignMode Then
				setGridStyle(_DetailRowCount)
			End If
			MyBase.OnPaint(e)
		Catch ex As Exception
			Throw
		End Try
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' グリッド設定
	''' </summary>
	''' <param name="DetailRowCount"></param>
	''' <remarks>
	''' 2013/08/05 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setGridStyle(ByVal DetailRowCount As Integer)
		Dim cliGridStyle As clsGridStyle
		Try
			If _Columns Is Nothing OrElse _
				_Columns.Count <= 0 Then
				Return
			End If
			' カラム設定
			Me.dgv001XMS000F020.Columns.Clear()
			Dim dgvcol(_Columns.Count - 1) As DataGridViewTextBoxColumn
			For i As Integer = 0 To _Columns.Count - 1
				'DataGridViewのカラム作成
				dgvcol(i) = New DataGridViewTextBoxColumn
				dgvcol(i).HeaderText = _Columns(i).Caption
				dgvcol(i).DataPropertyName = _Columns(i).ColumnName
				dgvcol(i).Name = _Columns(i).ColumnName
				dgvcol(i).DefaultCellStyle = New DataGridViewCellStyle()
				dgvcol(i).DefaultCellStyle.Alignment = _Columns(i).TextAlign
				dgvcol(i).ReadOnly = True
				Dim sz As SizeF = Me.CreateGraphics.MeasureString(StrDup(_Columns(i).ByteLength, "#"), Me.Font)
				Dim szH As SizeF = New Size(0, 0)
				If _Columns(i).HeaderByteLength > 0 Then
					szH = Me.CreateGraphics.MeasureString(StrDup(_Columns(i).HeaderByteLength, "#"), Me.Font)
				Else
					szH = Me.CreateGraphics.MeasureString(_Columns(i).Caption, Me.Font)
				End If
				' 幅補正
				sz.Width += clsMstMenteCom.C_MARGIN_WIDTH
				szH.Width += clsMstMenteCom.C_SORTGLYPH_WIDTH
				If sz.Width > szH.Width Then
					dgvcol(i).Width = sz.Width
				Else
					dgvcol(i).Width = szH.Width
				End If
				Me.dgv001XMS000F020.Columns.Add(dgvcol(i))
				Me.dgv001XMS000F020.Columns(i).Visible = _Columns(i).Visible
			Next
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv001XMS000F020)
			' グリッド幅補正
			Dim iWidth As Integer = 0
			For Each col As DataGridViewColumn In Me.dgv001XMS000F020.Columns
				If col.Visible Then
					iWidth += col.Width
				End If
			Next
			Me.dgv001XMS000F020.Width = iWidth + clsMstMenteCom.C_GRIDVSCROLL_WIDTH
			' グリッド高さ補正
			Me.dgv001XMS000F020.Height = (DetailRowCount * clsMstMenteCom.C_GRIDDATA_HEIGHT) + clsMstMenteCom.C_GRIDHEADER_HEIGHT
			' 自動列追加オフ
			Me.dgv001XMS000F020.ReadOnly = False
			Me.dgv001XMS000F020.AutoGenerateColumns = False

		Catch ex As Exception
			Throw
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub
#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキーによるグリッド入力部反映
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキーによるグリッド入力部反映 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv001XMS000F020.Name Then
				If Me.dgv001XMS000F020.CurrentCell Is Nothing OrElse Me.dgv001XMS000F020.CurrentCell.ColumnIndex < 0 OrElse Me.dgv001XMS000F020.CurrentCell.RowIndex < 0 Then
					Return MyBase.EnterProc()
				Else
					'選択したグリッド列を入力部に反映
					_EnableRowSelect = False
					Me.SuspendLayout()
'(A) STR V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
					Me.btn007XMS000F010.Enabled = True
'(A) END V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
					Using cliMstMenteCom As New clsMstMenteCom(Me)
						cliMstMenteCom.setDataFromGrid(True)
						Me.ValidateChildren()
						cliMstMenteCom.setDataFromGrid()
						Me.ValidateChildren()
					End Using
'(D) STR V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'					Me.btn007XMS000F010.Enabled = True
'(D) END V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
					Me.ResumeLayout()
					Return True
				End If
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		Finally
			_EnableRowSelect = True
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 行選択可能？（Validatedイベント抑止用）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/07/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function isEnableRowSelect() As Boolean
		Try
			Return _EnableRowSelect
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ５キーイン処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F5KeyProc() As Boolean
		If Not Me.DesignMode Then
			log(clsSysMst.logLevel.NRM, "F5KeyProc", "Ｆ５キーイン Start")
		End If
		Try
'(A) STR V4-15007-000 006 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
			If Not Me.ValidateChildren() Then
				Return False
			End If
			If btn007XMS000F010.Enabled = False Then Return False
'(A) END V4-15007-000 006 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
			If confMsg("Q0005", Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.No Then
				Return False
			End If
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				' 前回検索値保存
				cliMstMenteCom.strPrevSql = PrevSearch.strPrevSql
				cliMstMenteCom.aryPrevParam = PrevSearch.aryPrevParam
				cliMstMenteCom.aryPrevDBType = PrevSearch.aryPrevDBType
				cliMstMenteCom.aryPrevValue = PrevSearch.aryPrevValue
				' 削除
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Try
						db.ctlTran(clsDB.Enum_TranMode.Begin)
						'削除
						cliMstMenteCom.deleteData(db)
						'カスタム変更
'(M) STR V4-15007-000 004 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'						modifyDataEx(db)
						modifyDataExDelete(db)
'(M) END V4-15007-000 004 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As SqlClient.SqlException
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					Catch ex As Exception
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End Using
				If cliMstMenteCom.isSearch() Then
					'前回検索値より
					cliMstMenteCom.setDataToGridFromPrev()
				Else
					'マスタ全件
					cliMstMenteCom.setDataToGrid()
				End If
				Me.dgv001XMS000F020.ClearSelection()

				cliMstMenteCom.clearScreen(Me._SearchKeyClear)
				Me.ValidateChildren()
				cliMstMenteCom.setFocus()
				setDelAfterFocusControl()
			End Using
			Me.btn007XMS000F010.Enabled = False
			Return True
		Catch ex As SqlClient.SqlException
			Me.ErrorProc(ex)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キーイン処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		If Not Me.DesignMode Then
			log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キーイン Start")
		End If
'(A) STR V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
		Dim bTrueFlg As Boolean = False
'(A) END V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
		Try
'(A) STR V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
			If btn006XMS000F010.Enabled = False Then Return False
'(A) END V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
			Using cliMstmenteCom As New clsMstMenteCom(Me)
				'必須チェック
'(M) STR V4-15007-000 010 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'				cliMstmenteCom.isRequired()
				bTrueFlg = cliMstmenteCom.isRequired()
				If bTrueFlg = False Then
					If getErrCount() > 0 Then
						nextErrForm()			'エラーがある場合、エラー画面表示
					End If
					Return False
				End If
'(M) END V4-15007-000 010 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
				'カスタムチェック
'(M) STR V4-15007-000 004 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'				checkData()
				bTrueFlg = checkData()
'(M) END V4-15007-000 004 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
				'エラー？
'(M) STR V4-15007-000 012 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'				If getErrCount() > 0 Then
'					nextErrForm()			'エラーがある場合、エラー画面表示
'					Return False
'				End If
				If bTrueFlg = False Then
					If getErrCount() > 0 Then
						nextErrForm()			'エラーがある場合、エラー画面表示
					End If
					Return False
				End If
'(M) END V4-15007-000 012 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
				_EnableRowSelect = False
				' 前回検索値保存
				cliMstmenteCom.strPrevSql = PrevSearch.strPrevSql
				cliMstmenteCom.aryPrevParam = PrevSearch.aryPrevParam
				cliMstmenteCom.aryPrevDBType = PrevSearch.aryPrevDBType
				cliMstmenteCom.aryPrevValue = PrevSearch.aryPrevValue
				'登録 OR 更新
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Try
						db.ctlTran(clsDB.Enum_TranMode.Begin)
						'変更
						cliMstmenteCom.modifyData(db)
						'カスタム変更
'(M) STR V4-15007-000 004 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'						modifyDataEx(db)
						modifyDataExUpdate(db)
'(M) END V4-15007-000 004 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As SqlClient.SqlException
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					Catch ex As Exception
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End Using
				'画面設定
				Dim iRow As Integer = dgv001XMS000F020.FirstDisplayedScrollingRowIndex
				If cliMstmenteCom.isSearch() Then
					'前回検索値より
					cliMstmenteCom.setDataToGridFromPrev()
				Else
					'マスタ全件
					cliMstmenteCom.setDataToGrid()
				End If
				If iRow > -1 Then
					dgv001XMS000F020.FirstDisplayedScrollingRowIndex = iRow
				End If
				Me.dgv001XMS000F020.Select()
				cliMstmenteCom.selectRow()
				cliMstmenteCom.clearScreen(Me._SearchKeyClear)
				Me.ValidateChildren()
				cliMstmenteCom.setFocus()
				setUpdAfterFocusControl()
			End Using
			Me.btn007XMS000F010.Enabled = False
			Return True
		Catch ex As SqlClient.SqlException
			Me.ErrorProc(ex)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			_EnableRowSelect = True
		End Try
	End Function

#End Region

#Region "オーバーライダブルメソッド"

	'''---------------------------------------------
	''' <summary>
	''' カスタムチェック処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Function checkData() As Boolean
		Try
			' 継承元でチェック記述
'(A) STR V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
			Return True
'(A) END V4-15007-000 003 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
		Catch ex As Exception
			Throw
		End Try
	End Function

'(M) STR V4-15007-000 057 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応
'	''' ---------------------------------------------
'	''' <summary>
'	''' 特別な変更処理
'	''' </summary>
'	''' <param name="db"></param>
'	''' <remarks>
'	''' 2013/05/22 新規作成　ID)平井<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Public Overridable Sub modifyDataEx(ByVal db As clsDB)
'		Try
'			' 継承元で変更処理記述
'		Catch ex As SqlClient.SqlException
'			Throw
'		Catch ex As Exception
'			Throw
'		End Try
'	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' 特別な変更処理
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2013/05/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub modifyDataExUpdate(ByVal db As clsDB)
		Try
			' 継承元で変更処理記述
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 特別な変更処理
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2013/05/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub modifyDataExDelete(ByVal db As clsDB)
		Try
			' 継承元で変更処理記述
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(M) END V4-15007-000 057 2014/03/04 ID)荒川 貸出管理レベルアップ４次開発　共通管理物の対応

	''' ---------------------------------------------
	''' <summary>
	''' フォーカス設定処理（更新後）
	''' </summary>
	''' <remarks>
	''' 2013/10/31 新規作成　ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub setUpdAfterFocusControl()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォーカス設定処理（削除後）
	''' </summary>
	''' <remarks>
	''' 2013/10/31 新規作成　ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub setDelAfterFocusControl()
	End Sub

#End Region

End Class