﻿Imports XCM
Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing

''' ---------------------------------------------
''' <summary>
''' 明細一覧ロウクラス（新規作成：V4-14028）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsRow
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------	
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "プロパティ"

	Private _RowID As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' 行名
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks></remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("行ＩＤを取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property RowID As String
		Get
			Return _RowID
		End Get
		Set(value As String)
			_RowID = value
		End Set
	End Property

	Private _RowCaption As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' 行表示名
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks></remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("行表示名を取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property RowCaption As String
		Get
			Return _RowCaption
		End Get
		Set(value As String)
			_RowCaption = value
		End Set
	End Property

	Private _Control As Control = Nothing
	''' ---------------------------------------------
	''' <summary>
	''' コントロールオブジェクト
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("リンク")> _
	<Description("画面上の関連付けられたコントロールを取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property Control As Control
		Get
			Return _Control
		End Get
		Set(value As Control)
			_Control = value
		End Set
	End Property

#End Region

End Class