﻿Imports System.ComponentModel
Imports System.Reflection
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 継承元
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSI000F010

#Region "変数"

    Private _Title As String = "処 理 名 称"

#End Region

#Region "プロパティ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' タイトル（プロパティ）
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    <Browsable(True), _
     Category("病歴大将"), _
     DefaultValue("処理名称"), _
     Description("ヘッダーのタイトルを設定します。")> _
    Public Property Title() As String
        Get
            Return _Title
        End Get
        Set(ByVal value As String)
            If value.Length = 0 Then
                value = "処理名称"
            End If
            _Title = value
            Me.lbl002XSI000F010.Text = _Title
            Me.lbl002XSI000F010.Invalidate()
            Me.pct003XSI000F010.Height = Me.lbl002XSI000F010.Height
            Me.pct003XSI000F010.Width = Me.lbl002XSI000F010.Width
            Me.pct003XSI000F010.Location = New Point(Me.lbl002XSI000F010.Location.X + 3, Me.lbl002XSI000F010.Location.Y + 3)
            Me.pct003XSI000F010.Invalidate()
        End Set
    End Property

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 初期化
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/05 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New()
        MyBase.New()
        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。
    End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/09/15 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn004XSI000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSI000F010.Click
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "終了ボタンクリックイベント start")
        Try
            Me.Cursor = Cursors.WaitCursor

            Me.EndProc() '終了処理
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了処理
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/15 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Sub EndProc()
        Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "終了処理 Start")
        Try
            Me.AutoValidate = Windows.Forms.AutoValidate.Disable
            Me.Close()
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' F12キー押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/09/15 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "Ｆ１２キー押下 Start")
        Try
            Me.EndProc() '終了処理
        Catch ex As Exception
            Throw
        End Try
        Return True
    End Function

#End Region

End Class