﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 医療費更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSI020F010

#Region "変数"

	'共通クラス
	Private cliCom As New XSP.clsCom

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSI020F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームロード START")
		Try
			Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開いた時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSI020F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォーム表示 START")
		Try
			'初期値設定
			'データ取込日
			Me.dte004XSI020F010.DateValue = DateTime.Now
			Me.dte006XSI020F010.DateValue = DateTime.Now
			'患者番号
			Me.msk008XSI020F010.Text = String.Empty
			'退院日
			With Nothing
				Dim dtNow As DateTime = DateTime.Now
				Me.dte010XSI020F010.DateValue = DateAndTime.DateSerial(dtNow.AddMonths(-1).Year, dtNow.AddMonths(-1).Month, 1)
				Me.dte012XSI020F010.DateValue = DateAndTime.DateSerial(dtNow.Year, dtNow.Month, 0)
			End With
			'退院日ラジオボタン選択
			Me.rdo009XSI020F010.Checked = True

		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSI020F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォーム終了 START")
		Dim frm As frmBase
		Try
			If Me.Owner IsNot Nothing Then
				frm = DirectCast(Me.Owner, frmBase)
				frm.setCloseFlg()
				frm.Select()
				frm.backForm(True)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 実行ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSI000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSI000F010.Click
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "実行ボタンクリック START")
		Try
			'医療費更新処理
			Me.runProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ取込日チェック変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo003XSI020F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo003XSI020F010.CheckedChanged
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "ラジオボタンチェック START")
		Try
			If DirectCast(sender, BT_RadioButton).Checked = True Then
				Me.setCtlStatus()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号チェック変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo007XSI020F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo007XSI020F010.CheckedChanged
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "ラジオボタンチェック START")
		Try
			If DirectCast(sender, BT_RadioButton).Checked = True Then
				Me.setCtlStatus()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 退院日チェック変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo009XSI020F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo009XSI020F010.CheckedChanged
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "ラジオボタンチェック START")
		Try
			If DirectCast(sender, BT_RadioButton).Checked = True Then
				Me.setCtlStatus()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ラジオボタン変更時のEnable設定
	''' </summary>
	''' <remarks>
	''' 2010/10/01 新規作成 ACS)牟禮
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCtlStatus()
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "ラジオボタン変更時のコントロールのEnabled設定 START")
		Try
			'データ取込日
			Me.dte004XSI020F010.Enabled = Me.rdo003XSI020F010.Checked
			Me.dte006XSI020F010.Enabled = Me.rdo003XSI020F010.Checked
			If Me.rdo003XSI020F010.Checked = True Then Me.dte004XSI020F010.Focus()

			'患者番号
			Me.msk008XSI020F010.Enabled = Me.rdo007XSI020F010.Checked
			If Me.rdo007XSI020F010.Checked = True Then Me.msk008XSI020F010.Focus()

			'退院日
			Me.dte010XSI020F010.Enabled = Me.rdo009XSI020F010.Checked
			Me.dte012XSI020F010.Enabled = Me.rdo009XSI020F010.Checked
			If Me.rdo009XSI020F010.Checked = True Then Me.dte010XSI020F010.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止
	''' </summary>
	''' <remarks>
	''' 2010/10/21 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub CancelProc()
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "画面開設中止")
		Try
			If Me.Owner IsNot Nothing Then
				DirectCast(Me.Owner, frmBase).setCancelFlg(True)
			End If
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput() As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入力データチェック")
		Try
			' コントロール値確定
			If Me.ValidateChildren() = False Then Return False

			'データ取込日
			If Me.rdo003XSI020F010.Checked = True Then
				If String.IsNullOrEmpty(Me.dte004XSI020F010.Text) = True Then
					Me.addErrList("E0016", Me.dte004XSI020F010.Name, Me.rdo003XSI020F010.Text, Me.rdo003XSI020F010.Text & "(開始)", Nothing)
				End If
				If String.IsNullOrEmpty(Me.dte006XSI020F010.Text) = True Then
					Me.addErrList("E0016", Me.dte006XSI020F010.Name, Me.rdo003XSI020F010.Text, Me.rdo003XSI020F010.Text & "(終了)", Nothing)
				End If
			End If
			'患者番号
			If Me.rdo007XSI020F010.Checked = True Then
				If String.IsNullOrEmpty(Me.msk008XSI020F010.Text) = True Then
					Me.addErrList("E0016", Me.msk008XSI020F010.Name, Me.rdo007XSI020F010.Text, Me.rdo007XSI020F010.Text, Nothing)
				End If
			End If
			'退院日
			If Me.rdo009XSI020F010.Checked = True Then
				If String.IsNullOrEmpty(Me.dte010XSI020F010.Text) = True Then
					Me.addErrList("E0016", Me.dte010XSI020F010.Name, Me.rdo009XSI020F010.Text, Me.rdo009XSI020F010.Text & "(開始)", Nothing)
				End If
				If String.IsNullOrEmpty(Me.dte012XSI020F010.Text) = True Then
					Me.addErrList("E0016", Me.dte012XSI020F010.Name, Me.rdo009XSI020F010.Text, Me.rdo009XSI020F010.Text & "(終了)", Nothing)
				End If
			End If

			'エラーがある場合はエラー画面を表示する
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub runProc()
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費更新処理")
		Dim patientList As List(Of String)
		Dim totalMedCostField As String
		Try
			Me.Cursor = Cursors.WaitCursor
			'入力チェック
			If Me.chkInput() = False Then Exit Sub
			'メッセージ
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If DirectCast(Me.confMsg("Q0005", "更新", Nothing), DialogResult) = DialogResult.Cancel Then Exit Sub
			If DirectCast(Me.confMsg("Q0005", "更新", Nothing), DialogResult) = DialogResult.No Then Exit Sub
'(M) END V4-12053-000 004 2012/12/14

			Me.Refresh()

			Using db As New clsDB(clsSysMst.ctlConfigData)
				'ワークテーブル削除
				Me.delWrk(db)

				'医療費合計対象フィールド文字列を取得
				totalMedCostField = Me.getTotalField()

				'患者番号リスト作成
				patientList = Me.getPatientList(db)

				If patientList.Count > 0 Then

					'医療費情報取得中
					Me.showMsgBar("I0017", Enum_MsgIcon.None, "医療費情報", Nothing)
					Me.sst001frmBase.Refresh()

					'医療費明細ワークテーブルに対象のデータコピー
					Me.setMTW_MED_COST_INFO(db)

					Try
						'トランザクション開始
						db.ctlTran(clsDB.Enum_TranMode.Begin)

						'患者番号分ループ
						Dim patientCnt As Integer = 0
						For Each patientNo As String In patientList
							patientCnt += 1
							'医療費情報取り込み中(XX/XX)
							Me.showMsgBar("I0018", Enum_MsgIcon.None, "医療費情報", patientCnt.ToString(), patientList.Count.ToString(), Nothing)
							Me.sst001frmBase.Refresh()
							'医療費明細情報の関連付け処理
							If Me.detailRelation(db, patientNo) = False Then
								'更新異常
								'ロールバック処理
								db.ctlTran(clsDB.Enum_TranMode.RollBack)
								Exit Sub
							End If
						Next

						'対象外の医療費明細ワークレコード削除
						If Me.delDetailDataNoRel(db) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Sub
						End If

						'医療費情報削除中
						Me.showMsgBar("I0019", Enum_MsgIcon.None, "医療費情報", Nothing)
						Me.sst001frmBase.Refresh()

						'医療費情報削除
						If Me.delMedCosPre(db) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Sub
						End If

						'医療費情報書き込み中
						Me.showMsgBar("I0020", Enum_MsgIcon.None, "医療費情報", Nothing)
						Me.sst001frmBase.Refresh()

						'医療費明細から医療費情報を作成
						If Me.calcMedCost(db) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Sub
						End If

						'医療費0のデータ削除
						If Me.delMedCostZero(db) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Sub
						End If

						'医療費合計書き込み中
						Me.showMsgBar("I0020", Enum_MsgIcon.None, "医療費合計", Nothing)
						Me.sst001frmBase.Refresh()

						'医療費合計、医療費数の更新
						If Me.UpdateMedCost(db, totalMedCostField) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Sub
						End If
						'トランザクション終了
						db.ctlTran(clsDB.Enum_TranMode.Commit)

						'ワークテーブル削除
						Me.delWrk(db)
					Catch ex As SqlClient.SqlException
						If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Call Me.ErrorProc(ex)
						Exit Sub
					Catch ex As Exception
						If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					Finally
						Me.clearMsgBar()
					End Try
				End If
			End Using

			'終了メッセージ
			If patientList.Count = 0 Then
				Me.showMsg("I0001")
			Else
				Me.showMsg("I0006", "更新", Nothing)
			End If
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 対象患者リスト作成
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>患者リストコレクション</returns>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getPatientList(ByVal pDb As clsDB) As List(Of String)
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "対象患者リスト作成")
		Dim patientList As List(Of String) = Nothing
		Try
			patientList = New List(Of String)

			Select Case True
				Case Me.rdo003XSI020F010.Checked 'データ取込日
					pDb.setSQLDa(sqlXSI020F010.sqlSel_PATIENT_DATA_CAPTURE_DT)
					pDb.setParamDa(sqlXSI020F010.prmDATA_CAPTURE_DT_FROM, clsDB.Enum_dbType.dbDateTime)
					pDb.setParamDa(sqlXSI020F010.prmDATA_CAPTURE_DT_TO, clsDB.Enum_dbType.dbDateTime)
					Dim param() As String = Me.cliCom.getFromToValue(Me.dte004XSI020F010.Text, Me.dte006XSI020F010.Text)
					pDb.setValDa(sqlXSI020F010.prmDATA_CAPTURE_DT_FROM, param(0))
					pDb.setValDa(sqlXSI020F010.prmDATA_CAPTURE_DT_TO, DateTime.Parse(param(1)).AddDays(1))
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						For Each row As DataRow In dt.Rows
							patientList.Add(row.Item(sqlXSI020F010.itmPATIENT_NO).ToString())
						Next
					End Using
				Case Me.rdo007XSI020F010.Checked '患者番号
					pDb.setSQLDa(sqlXSI020F010.sqlSel_PATIENT_DATA_PATIENT_NO)
					pDb.setParamDa(sqlXSI020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI020F010.prmPATIENT_NO, Me.msk008XSI020F010.Text)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						For Each row As DataRow In dt.Rows
							patientList.Add(row.Item(sqlXSI020F010.itmPATIENT_NO).ToString())
						Next
					End Using

				Case Me.rdo009XSI020F010.Checked '退院日
					pDb.setSQLDa(sqlXSI020F010.sqlSel_MTI_PATIENT_OUT_HSP_DT)
					pDb.setParamDa(sqlXSI020F010.prmOUT_HSP_DT_FROM, clsDB.Enum_dbType.dbDateTime)
					pDb.setParamDa(sqlXSI020F010.prmOUT_HSP_DT_TO, clsDB.Enum_dbType.dbDateTime)
					Dim param() As String = Me.cliCom.getFromToValue(Me.dte010XSI020F010.Text, Me.dte012XSI020F010.Text)
					pDb.setValDa(sqlXSI020F010.prmOUT_HSP_DT_FROM, param(0))
					pDb.setValDa(sqlXSI020F010.prmOUT_HSP_DT_TO, param(1))
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						For Each row As DataRow In dt.Rows
							patientList.Add(row.Item(sqlXSI020F010.itmPATIENT_NO).ToString())
						Next
					End Using

			End Select

			Return patientList
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象患者の医療費明細情報をワークにコピー
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setMTW_MED_COST_INFO(ByVal pDb As clsDB) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "対象患者リスト作成")
		Dim ret As Integer = -1
		Try
			Select Case True
				Case Me.rdo003XSI020F010.Checked 'データ取込日
					pDb.setSQL(sqlXSI020F010.sqlIns_MTW_MED_COST_INFO_DATA_CAPTURE_DT)
					pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT_FROM, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT_TO, clsDB.Enum_dbType.dbDateTime)
					pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
					pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
					pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
					Dim param() As String = Me.cliCom.getFromToValue(Me.dte004XSI020F010.Text, Me.dte006XSI020F010.Text)
					pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT_FROM, param(0))
					pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT_TO, DateTime.Parse(param(1)).AddDays(1))
					ret = pDb.execNonQuery()
					If ret = -1 Then Return False '異常処理

				Case Me.rdo007XSI020F010.Checked '患者番号
					pDb.setSQL(sqlXSI020F010.sqlIns_MTW_MED_COST_INFO_PATIENT_NO)
					pDb.setParam(sqlXSI020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setVal(sqlXSI020F010.prmPATIENT_NO, Me.msk008XSI020F010.Text)
					pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
					pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
					pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
					ret = pDb.execNonQuery()
					If ret = -1 Then Return False '異常処理

				Case Me.rdo009XSI020F010.Checked '退院日
					pDb.setSQL(sqlXSI020F010.sqlIns_MTW_MED_COST_INFO_OUT_HSP_DT)
					pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmOUT_HSP_DT_FROM, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmOUT_HSP_DT_TO, clsDB.Enum_dbType.dbDateTime)
					pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
					pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
					pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
					Dim param() As String = Me.cliCom.getFromToValue(Me.dte010XSI020F010.Text, Me.dte012XSI020F010.Text)
					pDb.setVal(sqlXSI020F010.prmOUT_HSP_DT_FROM, param(0))
					pDb.setVal(sqlXSI020F010.prmOUT_HSP_DT_TO, param(1))
					ret = pDb.execNonQuery()
					If ret = -1 Then Return False '異常処理

			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費明細の関連付け
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function detailRelation(ByVal pDb As clsDB, ByVal patientNo As String) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費明細の関連付け Start")
		Dim arrList As ArrayList = Nothing			'入退院or科歴情報格納
		Dim arrMedCostInfo As ArrayList = Nothing	'医療費明細取得データ格納
		Try
			Dim ret As Integer = -1
			Dim strDatFrom As String = Nothing
			Dim strDatTo As String = Nothing

			'医療費の登録方法によって関連付けする情報を判断
			arrList = New ArrayList()
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)
				'入院単位で算出
				Case CStr(clsConst.Enum_MedCostInput.HspNoDetail), CStr(clsConst.Enum_MedCostInput.HspDetail)
					'入退院情報取得
					pDb.setSQL(sqlXSI020F010.sqlSel_MTI_HSP)
					pDb.setParam(sqlXSI020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setVal(sqlXSI020F010.prmPATIENT_NO, patientNo)
					ret = pDb.execQuery(GetType(datXSI020F010_HSP), arrList)
					If ret = -1 Then Return False '異常処理


					'科歴単位で算出
				Case CStr(clsConst.Enum_MedCostInput.NoInput), CStr(clsConst.Enum_MedCostInput.HspDeptNoDetail), CStr(clsConst.Enum_MedCostInput.HspDeptDetail)
					pDb.setSQL(sqlXSI020F010.sqlSel_MTI_CH)
					pDb.setParam(sqlXSI020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setVal(sqlXSI020F010.prmPATIENT_NO, patientNo)
					ret = pDb.execQuery(GetType(datXSI020F010_CH), arrList)
					If ret = -1 Then Return False '異常処理

			End Select

			'TR_医療費明細情報レコードの取得
			pDb.setSQL(sqlXSI020F010.sqlSel_MTW_MED_COST_INFO)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			pDb.setVal(sqlXSI020F010.prmPATIENT_NO, patientNo)
			arrMedCostInfo = New ArrayList()
			ret = pDb.execQuery(GetType(datXSI020F010_MED_COST_INFO), arrMedCostInfo)
			If ret = -1 Then Return False '異常処理

			'医療費明細レコードの関連付け処理
			For Each medCostInfo As datXSI020F010_MED_COST_INFO In arrMedCostInfo
				For i As Integer = 0 To arrList.Count - 1
					Dim sDate As DateTime = Nothing	'比較する開始日
					Dim eDate As DateTime = Nothing	'比較する終了日
					Dim hspHistoryNo As Integer = 0	'入退院歴番号
					Dim chNo As Integer = 0			'科歴番号

					Select Case True
						Case TypeOf arrList(i) Is datXSI020F010_HSP	'入退院
							'入院日～退院日で比較
							sDate = DirectCast(arrList(i), datXSI020F010_HSP).HSP_DT
							eDate = DirectCast(arrList(i), datXSI020F010_HSP).OUT_HSP_DT
							hspHistoryNo = DirectCast(arrList(i), datXSI020F010_HSP).HSP_HISTORY_NO
							chNo = 0
						Case TypeOf arrList(i) Is datXSI020F010_CH '科歴
							'開始日～終了日で比較
							sDate = DirectCast(arrList(i), datXSI020F010_CH).START_DT
							eDate = DirectCast(arrList(i), datXSI020F010_CH).END_DT
							hspHistoryNo = DirectCast(arrList(i), datXSI020F010_CH).HSP_HISTORY_NO
							chNo = DirectCast(arrList(i), datXSI020F010_CH).CH_NO
					End Select

					If (eDate = Nothing AndAlso DateTime.Compare(sDate, medCostInfo.MED_COST_DATE) <= 0) OrElse _
					   (DateTime.Compare(sDate, medCostInfo.MED_COST_DATE) <= 0 AndAlso DateTime.Compare(medCostInfo.MED_COST_DATE, eDate) <= 0) Then
						'医療費明細の日付が開始～終了の範囲内であれば関連付け

						'SQL文設定
						pDb.setSQL(sqlXSI020F010.sqlUpd_MTW_MED_COST_INFO)
						'パラメータ
						pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI020F010.prmMED_COST_DATE, clsDB.Enum_dbType.dbDateTime)
						pDb.setParam(sqlXSI020F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI020F010.prmOBJECT_FLG, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI020F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI020F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
						'値
						pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
						pDb.setVal(sqlXSI020F010.prmPATIENT_NO, medCostInfo.PATIENT_NO)
						pDb.setVal(sqlXSI020F010.prmMED_COST_DATE, medCostInfo.MED_COST_DATE)
						pDb.setVal(sqlXSI020F010.prmSERIAL_NO, medCostInfo.SERIAL_NO, False)
						pDb.setVal(sqlXSI020F010.prmOBJECT_FLG, "1")
						pDb.setVal(sqlXSI020F010.prmHSP_HISTORY_NO, hspHistoryNo, False)
						pDb.setVal(sqlXSI020F010.prmCH_NO, chNo, False)
						'SQL実行
						ret = pDb.execNonQuery(False)
						If ret = -1 Then Return False '異常処理
						'次の明細へ
						Exit For
					End If
				Next
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			If arrList IsNot Nothing Then arrList.Clear()
			arrList = Nothing
			If arrMedCostInfo IsNot Nothing Then arrMedCostInfo.Clear()
			arrMedCostInfo = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象外の医療費明細ワーク削除
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delDetailDataNoRel(ByRef pDb As clsDB) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "対象外の医療費明細ワーク削除 Start")
		Dim ret As Integer = -1
		Try
			pDb.setSQL(sqlXSI020F010.sqlDel_MTW_MED_COST_INFO)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI020F010.prmOBJECT_FLG, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			pDb.setVal(sqlXSI020F010.prmOBJECT_FLG, "0")
			ret = pDb.execNonQuery(False)
			If ret = -1 Then Return False '異常処理

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報の削除
	''' </summary>
	''' <param name="pDb">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delMedCosPre(ByRef pDb As clsDB) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費の削除 Start")
		Try
			Dim ret As Integer = -1

			'再計算のため、対応する医療費情報を削除
			pDb.setSQL(sqlXSI020F010.sqlDel_MTI_MED_COST_HSP)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			ret = pDb.execNonQuery(False)
			If ret = -1 Then Return False '異常処理


			'科歴単位の場合、対応する科歴番号分も削除する
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012) = CStr(clsConst.Enum_MedCostInput.NoInput) OrElse _
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012) = CStr(clsConst.Enum_MedCostInput.HspDeptNoDetail) OrElse _
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012) = CStr(clsConst.Enum_MedCostInput.HspDeptDetail) Then

				pDb.setSQL(sqlXSI020F010.sqlDel_MTI_MED_COST_CH)
				pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
				ret = pDb.execNonQuery(False)
				If ret = -1 Then Return False '異常処理
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報計算
	''' </summary>
	''' <param name="pDb">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function calcMedCost(ByVal pDb As clsDB) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費情報計算 Start")
		Try
			Dim ret As Integer = -1

			'医療費情報を再計算
			pDb.setSQL(sqlXSI020F010.sqlIns_MTI_MED_COST_CH)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlXSI020F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT, DateTime.Now)
			pDb.setVal(sqlXSI020F010.prmNEW_REG_DT, DateTime.Now)
			pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
			pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
			ret = pDb.execNonQuery(False)
			If ret = -1 Then Return False '異常処理

			'科歴単位の場合、科歴番号が'0'のレコードも追加する
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012) = CStr(clsConst.Enum_MedCostInput.NoInput) OrElse _
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012) = CStr(clsConst.Enum_MedCostInput.HspDeptNoDetail) OrElse _
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012) = CStr(clsConst.Enum_MedCostInput.HspDeptDetail) Then
				pDb.setSQL(sqlXSI020F010.sqlIns_MTI_MED_COST_HSP)
				pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setParam(sqlXSI020F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
				pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT, DateTime.Now)
				pDb.setVal(sqlXSI020F010.prmNEW_REG_DT, DateTime.Now)
				pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
				pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
				ret = pDb.execNonQuery(False)
				If ret = -1 Then Return False '異常処理
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報の削除（医療費無しのもの）
	''' </summary>
	''' <param name="pDb">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delMedCostZero(ByRef pDb As clsDB) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費情報の削除（医療費無しのもの） Start")
		Try
			Dim ret As Integer = -1

			'医療費なしの医療費情報を削除
			pDb.setSQL(sqlXSI020F010.sqlDel_MTI_MED_COST_AT0_1)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			ret = pDb.execNonQuery(False)
			If ret = -1 Then Return False '異常処理

			'対応する科歴番号分も削除する
			pDb.setSQL(sqlXSI020F010.sqlDel_MTI_MED_COST_AT0_2)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			ret = pDb.execNonQuery(False)
			If ret = -1 Then Return False '異常処理

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費合計、医療費数の更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function UpdateMedCost(ByRef pDb As clsDB, ByVal totalMedCost As String) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費合計、医療費数の更新 Start")
		Try
			Dim ret As Integer = -1

			'医療費の登録方法によって処理が分岐する
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)
				'入院単位で算出
				Case CStr(clsConst.Enum_MedCostInput.HspNoDetail), CStr(clsConst.Enum_MedCostInput.HspDetail)
					'入退院情報への医療費合計、医療費数更新
					If String.IsNullOrEmpty(totalMedCost) = True Then
						'合計対象なしのため0で更新
						pDb.setSQL(sqlXSI020F010.sqlUpd_MTI_HSP_TOTALMEDCOST_NOTCHECK)
					Else
						pDb.setSQL(String.Format(sqlXSI020F010.sqlUpd_MTI_HSP_TOTALMEDCOST, totalMedCost))
					End If

					pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
					pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT, DateTime.Now)
					pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
					pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
					ret = pDb.execNonQuery(False)
					If ret = -1 Then Return False '異常処理

					'科歴単位で算出
				Case CStr(clsConst.Enum_MedCostInput.NoInput), CStr(clsConst.Enum_MedCostInput.HspDeptNoDetail), CStr(clsConst.Enum_MedCostInput.HspDeptDetail)
					'科歴情報への医療費合計、医療費数更新
					If String.IsNullOrEmpty(totalMedCost) = True Then
						'合計対象なしのため0で更新
						pDb.setSQL(sqlXSI020F010.sqlUpd_MTI_CH_TOTALMEDCOST_NOTCHECK)
					Else
						pDb.setSQL(String.Format(sqlXSI020F010.sqlUpd_MTI_CH_TOTALMEDCOST, totalMedCost))
					End If

					pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
					pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT, DateTime.Now)
					pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
					pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
					ret = pDb.execNonQuery(False)
					If ret = -1 Then Return False '異常処理

					'科歴情報から入退院情報の医療費合計を更新
					pDb.setSQL(sqlXSI020F010.sqlUpd_MTI_HSP_TOTALMEDCOST_CH)
					pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setParam(sqlXSI020F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI020F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
					pDb.setVal(sqlXSI020F010.prmDATA_CAPTURE_DT, DateTime.Now)
					pDb.setVal(sqlXSI020F010.prmLASTUPDUSER_CD, DirectCast(Me.Owner, frmBase)._userID)
					pDb.setVal(sqlXSI020F010.prmLASTUPD_DT, DateTime.Now)
					ret = pDb.execNonQuery(False)
					If ret = -1 Then Return False '異常処理
				Case Else
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークテーブルの削除
	''' </summary>
	''' <param name="pDb">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delWrk(ByRef pDb As clsDB) As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "ワークテーブルの削除 Start")
		Try
			Dim ret As Integer = -1

			'ワークテーブルを削除
			pDb.setSQL(sqlXSI020F010.sqlDel_MTW_MED_COST_INFO_ALL)
			pDb.setParam(sqlXSI020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI020F010.prmHOST_NM, clsConst.CST_HOST_NM)
			ret = pDb.execNonQuery(False)
			If ret = -1 Then Return False '異常処理

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費の合計フィールド文字列取得
	''' </summary>
	''' <returns>合計フィールド文字列</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getTotalField() As String
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "医療費の合計フィールド文字列取得")
		Dim ret As String = Nothing
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'医療費項目マスタからデータ取得
				db.setSQLDa(sqlXSI010F010.sqlSel_MTM_MED_COST_ITM)
				Using dt As New DataTable()
					db.execQueryDa(dt)
					If dt.Rows.Count <> 0 Then
						For Each row As DataRow In dt.Rows
							Dim totalFlg As Integer = 0
							Dim costCD As Integer = 0
							If Integer.TryParse(row(sqlXSI020F010.itmTOTAL_OBJECT_FLG).ToString(), totalFlg) = True AndAlso totalFlg = clsConst.Enum_CheckBox_Flg.CheckOn _
													AndAlso Integer.TryParse(row(sqlXSI020F010.itmMED_COST_CD).ToString(), costCD) = True Then
								'合計対象フラグがONの医療費項目を合計するフィールドとして追加
								ret &= "+ ISNULL(MED_COST" & costCD.ToString("00") & ",0)"
							End If
						Next
					End If
				End Using

				'最初の+を削除
				If String.IsNullOrEmpty(ret) = False Then ret = ret.Remove(0, 1)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub EndProc()
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "終了処理 Start")
		Try
			Me.setCloseFlg()
			MyBase.EndProc()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "Ｆ７キー押下処理 START")
		Try
			'実行
			Me.runProc()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
