﻿Imports XCM
Imports XSP
Imports System.Reflection

'(M) STR V4-14054-000 437 20130926 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
#Region "データクラス"
''' ---------------------------------------------
''' <summary>
''' TI_貸出情報データクラス
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class cliLTI_LENDPREPARE
	Implements IDisposable, ICloneable

#Region "IDisposable Support"
	Private disposedValue As Boolean ' 重複する呼び出しを検出するには

	' IDisposable
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				' TODO: マネージ状態を破棄します (マネージ オブジェクト)。
				Me.SLIP_CD = Nothing				'伝票コード
				Me.RESULT_DT = Nothing				'処理日
				Me.RESULTUSER_CD = Nothing			'処理者コード
				Me.PREPARE_GRP_CD = Nothing			'準備グループコード
			End If

			' TODO: アンマネージ リソース (アンマネージ オブジェクト) を解放し、下の Finalize() をオーバーライドします。
			' TODO: 大きなフィールドを null に設定します。
		End If
		Me.disposedValue = True
	End Sub

	' TODO: 上の Dispose(ByVal disposing As Boolean) にアンマネージ リソースを解放するコードがある場合にのみ、Finalize() をオーバーライドします。
	'Protected Overrides Sub Finalize()
	'    ' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
	'    Dispose(False)
	'    MyBase.Finalize()
	'End Sub

	' このコードは、破棄可能なパターンを正しく実装できるように Visual Basic によって追加されました。
	Public Sub Dispose() Implements IDisposable.Dispose
		' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub
#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 伝票コード
	''' </summary>
	''' ---------------------------------------------
	Property SLIP_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 処理日
	''' </summary>
	''' ---------------------------------------------
	Property RESULT_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 処理者コード
	''' </summary>
	''' ---------------------------------------------
	Property RESULTUSER_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 準備グループコード
	''' </summary>
	''' ---------------------------------------------
	Property PREPARE_GRP_CD As String

#End Region

#Region "コンストラクタ"

	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/09/26 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub clear()

		Me.SLIP_CD = String.Empty			 '伝票コード
		Me.RESULT_DT = String.Empty			 '処理日
		Me.RESULTUSER_CD = String.Empty		 '処理者コード
		Me.PREPARE_GRP_CD = String.Empty	'準備グループコード

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' クローン
	''' </summary>
	''' <returns>オブジェクトのコピー</returns>
	''' <remarks>
	''' 2013/09/26 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function Clone() As Object Implements System.ICloneable.Clone
		Return Me.MemberwiseClone()
	End Function

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' TI_貸出明細情報データクラス
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class cliLTI_LENDPREPARE_DETAIL
	Implements IDisposable, ICloneable

#Region "IDisposable Support"
	Private disposedValue As Boolean ' 重複する呼び出しを検出するには

	' IDisposable
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				' TODO: マネージ状態を破棄します (マネージ オブジェクト)。
				Me.SLIP_CD = Nothing			'伝票コード
				Me.PATIENT_NO = Nothing			'患者番号
				Me.MNGITEM_CD = Nothing			'管理物コード
				Me.SERIAL_NO = Nothing			'連番
				Me.LENDAIM_CD = Nothing			'貸出目的コード
				Me.LCT_CD = Nothing				'所在場所コード
				Me.LCT_NM = Nothing				'貸出場所名称
				Me.ISSUE_DT = Nothing			'貸出日
				Me.EXPECTBACK_DT = Nothing		'返却予定日
				Me.URGEDBACK_DT = Nothing		'返却督促日
				Me.BACK_DT = Nothing			'返却日
				Me.BORROWER_CD = Nothing		'借用者コード
				Me.BORROWER_NM = Nothing		'借用者名
				Me.TAKER_CD = Nothing			'帯出者コード
				Me.TAKER_NM = Nothing			'帯出者名
				Me.PERSONOFBACK_CD = Nothing	'返却者コード
				Me.PERSONOFBACK_NM = Nothing	'返却者名称
				Me.BACKCLERK_CD = Nothing		'貸出取扱者コード
				Me.REMARKS = Nothing			'備考
				Me.LENDCMB1 = Nothing			'貸出コンボ１
				Me.LENDCMB2 = Nothing			'貸出コンボ２
				Me.LENDTEXT1 = Nothing			'貸出テキスト１
				Me.LENDTEXT2 = Nothing			'貸出テキスト２
				Me.LENDCHK1 = Nothing			'貸出チェック１
				Me.LENDCHK2 = Nothing			'貸出チェック２
				Me.APPOINTMENT_DT = Nothing		'予約日
				Me.APPOINTMENT_TIME = Nothing	'予約時間
				Me.DEL_FLG = Nothing			'削除フラグ

			End If

			' TODO: アンマネージ リソース (アンマネージ オブジェクト) を解放し、下の Finalize() をオーバーライドします。
			' TODO: 大きなフィールドを null に設定します。
		End If
		Me.disposedValue = True
	End Sub

	' TODO: 上の Dispose(ByVal disposing As Boolean) にアンマネージ リソースを解放するコードがある場合にのみ、Finalize() をオーバーライドします。
	'Protected Overrides Sub Finalize()
	'    ' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
	'    Dispose(False)
	'    MyBase.Finalize()
	'End Sub

	' このコードは、破棄可能なパターンを正しく実装できるように Visual Basic によって追加されました。
	Public Sub Dispose() Implements IDisposable.Dispose
		' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub
#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 伝票コード
	''' </summary>
	''' ---------------------------------------------
	Property SLIP_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String
	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 連番
	''' </summary>
	''' ---------------------------------------------
	Property SERIAL_NO As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的コード
	''' </summary>
	''' ---------------------------------------------
	Property LENDAIM_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 所在場所コード
	''' </summary>
	''' ---------------------------------------------
	Property LCT_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出場所名称
	''' </summary>
	''' ---------------------------------------------
	Property LCT_NM As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出日
	''' </summary>
	''' ---------------------------------------------
	Property ISSUE_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 返却予定日
	''' </summary>
	''' ---------------------------------------------
	Property EXPECTBACK_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 返却督促日
	''' </summary>
	''' ---------------------------------------------
	Property URGEDBACK_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 返却日
	''' </summary>
	''' ---------------------------------------------
	Property BACK_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 借用者コード
	''' </summary>
	''' ---------------------------------------------
	Property BORROWER_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 借用者名
	''' </summary>
	''' ---------------------------------------------
	Property BORROWER_NM As String
	''' ---------------------------------------------
	''' <summary>
	''' 帯出者コード
	''' </summary>
	''' ---------------------------------------------
	Property TAKER_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 帯出者名
	''' </summary>
	''' ---------------------------------------------
	Property TAKER_NM As String
	''' ---------------------------------------------
	''' <summary>
	''' 返却者コード
	''' </summary>
	''' ---------------------------------------------
	Property PERSONOFBACK_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 返却者名称
	''' </summary>
	''' ---------------------------------------------
	Property PERSONOFBACK_NM As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出取扱者コード
	''' </summary>
	''' ---------------------------------------------
	Property BACKCLERK_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 備考
	''' </summary>
	''' ---------------------------------------------
	Property REMARKS As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出コンボ１
	''' </summary>
	''' ---------------------------------------------
	Property LENDCMB1 As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出コンボ２
	''' </summary>
	''' ---------------------------------------------
	Property LENDCMB2 As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出テキスト１
	''' </summary>
	''' ---------------------------------------------
	Property LENDTEXT1 As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出テキスト２
	''' </summary>
	''' ---------------------------------------------
	Property LENDTEXT2 As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出チェック１
	''' </summary>
	''' ---------------------------------------------
	Property LENDCHK1 As String
	''' ---------------------------------------------
	''' <summary>
	''' 貸出チェック２
	''' </summary>
	''' ---------------------------------------------
	Property LENDCHK2 As String
	''' ---------------------------------------------
	''' <summary>
	''' 予約日
	''' </summary>
	''' ---------------------------------------------
	Property APPOINTMENT_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 予約時間
	''' </summary>
	''' ---------------------------------------------
	Property APPOINTMENT_TIME As String
	''' ---------------------------------------------
	''' <summary>
	''' 削除フラグ
	''' </summary>
	''' ---------------------------------------------
	Property DEL_FLG As String

#End Region

#Region "コンストラクタ"

	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/09/26 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub clear()

		Me.SLIP_CD = String.Empty			'伝票コード
		Me.PATIENT_NO = String.Empty		'患者番号
		Me.MNGITEM_CD = String.Empty		'管理物コード
		Me.SERIAL_NO = String.Empty			'連番
		Me.LENDAIM_CD = String.Empty		'貸出目的コード
		Me.LCT_CD = String.Empty			'所在場所コード
		Me.LCT_NM = String.Empty			'貸出場所名称
		Me.ISSUE_DT = String.Empty			'貸出日
		Me.EXPECTBACK_DT = String.Empty		'返却予定日
		Me.URGEDBACK_DT = String.Empty		'返却督促日
		Me.BACK_DT = String.Empty			'返却日
		Me.BORROWER_CD = String.Empty		'借用者コード
		Me.BORROWER_NM = String.Empty		'借用者名
		Me.TAKER_CD = String.Empty			'帯出者コード
		Me.TAKER_NM = String.Empty			'帯出者名
		Me.PERSONOFBACK_CD = String.Empty	'返却者コード
		Me.PERSONOFBACK_NM = String.Empty	'返却者名称
		Me.BACKCLERK_CD = String.Empty		'貸出取扱者コード
		Me.REMARKS = String.Empty			'備考
		Me.LENDCMB1 = String.Empty			'貸出コンボ１
		Me.LENDCMB2 = String.Empty			'貸出コンボ２
		Me.LENDTEXT1 = String.Empty			'貸出テキスト１
		Me.LENDTEXT2 = String.Empty			'貸出テキスト２
		Me.LENDCHK1 = String.Empty			'貸出チェック１
		Me.LENDCHK2 = String.Empty			'貸出チェック２
		Me.APPOINTMENT_DT = String.Empty	'予約日
		Me.APPOINTMENT_TIME = String.Empty	'予約時間
		Me.DEL_FLG = String.Empty			'削除フラグ

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' クローン
	''' </summary>
	''' <returns>オブジェクトのコピー</returns>
	''' <remarks>
	''' 2013/09/26 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function Clone() As Object Implements System.ICloneable.Clone
		Return Me.MemberwiseClone()
	End Function

#End Region

End Class

#End Region
'(M) END V4-14054-000 437 20130926 ID)平井

#Region "ログデータクラス"

''' ---------------------------------------------
''' <summary>
''' システム連携_ログクラス継承元　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_IMP_LOG_L
	Implements IDisposable

#Region "IDisposable Support"

	Protected disposedValue As Boolean ' 重複する呼び出しを検出するには

	''' ---------------------------------------------
	''' <summary>
	''' IDisposable
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				Me.SERIAL_NO = Nothing			'連番
				Me.ERR_FLG = Nothing			'エラーフラグ
				Me.ERR_CD = Nothing				'エラーコード
				Me.MESSAGE = Nothing			'エラーメッセージ
				Me.MODULE_CD = Nothing			'モジュールコード
			End If

			' TODO: アンマネージ リソース (アンマネージ オブジェクト) を解放し、下の Finalize() をオーバーライドします。
			' TODO: 大きなフィールドを null に設定します。
		End If
		Me.disposedValue = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Dispose
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 連番
	''' </summary>
	''' ---------------------------------------------
	Property SERIAL_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーフラグ
	''' </summary>
	''' ---------------------------------------------
	Property ERR_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーコード
	''' </summary>
	''' ---------------------------------------------
	Property ERR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーメッセージ
	''' </summary>
	''' ---------------------------------------------
	Property MESSAGE As String

	''' ---------------------------------------------
	''' <summary>
	''' モジュールコード
	''' </summary>
	''' ---------------------------------------------
	Property MODULE_CD As String

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub clear()

		Me.SERIAL_NO = String.Empty			'連番
		Me.ERR_FLG = "0"					'エラーフラグ
		Me.ERR_CD = String.Empty			'エラーコード
		Me.MESSAGE = String.Empty			'エラーメッセージ
		Me.MODULE_CD = String.Empty			'モジュールコード

	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' システム連携_管理物情報ログクラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_MTT_IMP_LOG_L_MNGITEMINFO
	Inherits clsXSI_IMP_LOG_L

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' データ種別
	''' </summary>
	''' ---------------------------------------------
	Property DATATYPE As String

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 区分１
	''' </summary>
	''' ---------------------------------------------
	Property DIV1_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 区分２
	''' </summary>
	''' ---------------------------------------------
	Property DIV2_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 分冊連番
	''' </summary>
	''' ---------------------------------------------
	Property VOLUMEKEY As String

	''' ---------------------------------------------
	''' <summary>
	''' 初回受領日
	''' </summary>
	''' ---------------------------------------------
	Property FIRSTRECEIVING_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 最終受領日
	''' </summary>
	''' ---------------------------------------------
	Property LASTRECEIVING_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 受領者コード
	''' </summary>
	''' ---------------------------------------------
	Property RECIPIENT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 保管場所コード
	''' </summary>
	''' ---------------------------------------------
	Property KEEPLCT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGSTATUS_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 永久保存フラグ
	''' </summary>
	''' ---------------------------------------------
	Property PERM_PRESERV_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 物番号
	''' </summary>
	''' ---------------------------------------------
	Property BYOREKI_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 日付１
	''' </summary>
	''' ---------------------------------------------
	Property DATE1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 日付２
	''' </summary>
	''' ---------------------------------------------
	Property DATE2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 医師コード
	''' </summary>
	''' ---------------------------------------------
	Property DOCTOR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' コンボ１コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCMB1 As String

	''' ---------------------------------------------
	''' <summary>
	''' コンボ２コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCMB2 As String

	''' ---------------------------------------------
	''' <summary>
	''' テキスト１
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMTEXT1 As String

	''' ---------------------------------------------
	''' <summary>
	''' テキスト２
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMTEXT2 As String

	''' ---------------------------------------------
	''' <summary>
	''' テキスト３
	''' </summary>
	''' ---------------------------------------------
	Property REMARKS As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック１
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK1 As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック２
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK2 As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック３
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK3 As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック４
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK4 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備１
	''' </summary>
	''' ---------------------------------------------
	Property YOBI1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備２
	''' </summary>
	''' ---------------------------------------------
	Property YOBI2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備３
	''' </summary>
	''' ---------------------------------------------
	Property YOBI3 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備４
	''' </summary>
	''' ---------------------------------------------
	Property YOBI4 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備５
	''' </summary>
	''' ---------------------------------------------
	Property YOBI5 As String


#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub clear()
		'継承元メソッド実行
		MyBase.clear()

		Me.DATATYPE = Nothing			'データ種別
		Me.PATIENT_NO = Nothing			'患者番号
		Me.MNGITEM_CD = Nothing			'管理物コード
		Me.DIV1_CD = Nothing			'区分１
		Me.DIV2_CD = Nothing			'区分２
		Me.VOLUMEKEY = Nothing			'分冊連番
		Me.FIRSTRECEIVING_DT = Nothing	'初回受領日
		Me.LASTRECEIVING_DT = Nothing	'最終受領日
		Me.RECIPIENT_CD = Nothing		'受領者コード
		Me.KEEPLCT_CD = Nothing			'保管場所コード
		Me.MNGSTATUS_CD = Nothing		'管理状況コード
		Me.PERM_PRESERV_FLG = Nothing	'永久保存フラグ
		Me.BYOREKI_NO = Nothing			'物番号
		Me.DATE1 = Nothing				'日付１
		Me.DATE2 = Nothing				'日付２
		Me.DOCTOR_CD = Nothing			'医師コード
		Me.MNGITEMCMB1 = Nothing		'コンボ１コード
		Me.MNGITEMCMB2 = Nothing		'コンボ２コード
		Me.MNGITEMTEXT1 = Nothing		'テキスト１
		Me.MNGITEMTEXT2 = Nothing		'テキスト２
		Me.REMARKS = Nothing			'テキスト３
		Me.MNGITEMCHK1 = Nothing		'チェック１
		Me.MNGITEMCHK2 = Nothing		'チェック２
		Me.MNGITEMCHK3 = Nothing		'チェック３
		Me.MNGITEMCHK4 = Nothing		'チェック４
		Me.YOBI1 = Nothing				'予備１
		Me.YOBI2 = Nothing				'予備２
		Me.YOBI3 = Nothing				'予備３
		Me.YOBI4 = Nothing				'予備４
		Me.YOBI5 = Nothing				'予備５
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' システム連携_患者入退院歴一覧ログクラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_LTT_IMP_LOG_BASIC_HSP
	Inherits clsXSI_IMP_LOG_L

#Region "プロパティ"
	''' ---------------------------------------------
	''' <summary>
	''' 登録日時
	''' </summary>
	''' ---------------------------------------------
	Property REG_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' データ種別
	''' </summary>
	''' ---------------------------------------------
	Property DATA_TYPE As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 氏名
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 氏名カナ
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_KNM As String

	''' ---------------------------------------------
	''' <summary>
	''' 性別コード
	''' </summary>
	''' ---------------------------------------------
	Property GENDER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 生年月日
	''' </summary>
	''' ---------------------------------------------
	Property BIRTH_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 血液型コード
	''' </summary>
	''' ---------------------------------------------
	Property BLOODTYPE_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' Ｒｈコード
	''' </summary>
	''' ---------------------------------------------
	Property RH_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 病歴番号
	''' </summary>
	''' ---------------------------------------------
	Property BYOREKI_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 診療科コード
	''' </summary>
	''' ---------------------------------------------
	Property DEPT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 主科フラグ
	''' </summary>
	''' ---------------------------------------------
	Property MAIN_DPM_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院経路コード
	''' </summary>
	''' ---------------------------------------------
	Property HSP_CNL_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院日
	''' </summary>
	''' ---------------------------------------------
	Property HSP_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院フラグ
	''' </summary>
	''' ---------------------------------------------
	Property HSP_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院時刻
	''' </summary>
	''' ---------------------------------------------
	Property HSP_TIME As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院日
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院フラグ
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院時刻
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_TIME As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院経路コード
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_CNL_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院転帰コード
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_OUTCOME_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 病棟コード
	''' </summary>
	''' ---------------------------------------------
	Property WARD_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 主病棟フラグ
	''' </summary>
	''' ---------------------------------------------
	Property MAIN_WARD_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 医師区分コード
	''' </summary>
	''' ---------------------------------------------
	Property DOCTOR_DIV As String

	''' ---------------------------------------------
	''' <summary>
	''' 医師コード
	''' </summary>
	''' ---------------------------------------------
	Property DOCTOR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 担当開始日
	''' </summary>
	''' ---------------------------------------------
	Property ATTEND_START_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 担当終了日
	''' </summary>
	''' ---------------------------------------------
	Property ATTEND_END_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 救急車有無コード
	''' </summary>
	''' ---------------------------------------------
	Property TAKE_AMBULANCE_CHK As String

	''' ---------------------------------------------
	''' <summary>
	''' 紹介状有無コード
	''' </summary>
	''' ---------------------------------------------
	Property INTRODUCTION_CHK As String

	''' ---------------------------------------------
	''' <summary>
	''' 郵便番号
	''' </summary>
	''' ---------------------------------------------
	Property ZIP_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 診療圏コード
	''' </summary>
	''' ---------------------------------------------
	Property AREA_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 住所
	''' </summary>
	''' ---------------------------------------------
	Property ADDRESS_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 電話番号
	''' </summary>
	''' ---------------------------------------------
	Property TELNUMBER As String

	''' ---------------------------------------------
	''' <summary>
	''' 国籍コード
	''' </summary>
	''' ---------------------------------------------
	Property NATIONALITY_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 出生地コード
	''' </summary>
	''' ---------------------------------------------
	Property DOMICILE_ADDRESS_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 本籍住所
	''' </summary>
	''' ---------------------------------------------
	Property DOMICILE_ADDRESS As String

	''' ---------------------------------------------
	''' <summary>
	''' 保険コード１
	''' </summary>
	''' ---------------------------------------------
	Property INSURANCE_CD1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 保険コード２
	''' </summary>
	''' ---------------------------------------------
	Property INSURANCE_CD2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 保険コード３
	''' </summary>
	''' ---------------------------------------------
	Property INSURANCE_CD3 As String

	''' ---------------------------------------------
	''' <summary>
	''' 初診日
	''' </summary>
	''' ---------------------------------------------
	Property FIRST_DIAGNOSIS_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 関連患者番号
	''' </summary>
	''' ---------------------------------------------
	Property RELATION_PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 世帯主名
	''' </summary>
	''' ---------------------------------------------
	Property HOUSEHOLDER_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 続柄コード
	''' </summary>
	''' ---------------------------------------------
	Property RELATION_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 転科先医師区分コード
	''' </summary>
	''' ---------------------------------------------
	Property TO_DEPT_DOCTOR_DIV As String

	''' ---------------------------------------------
	''' <summary>
	''' 転科先医師コード
	''' </summary>
	''' ---------------------------------------------
	Property TO_DEPT_DOCTOR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 転科先病歴番号
	''' </summary>
	''' ---------------------------------------------
	Property TO_DEPT_BYOREKI_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ入退院歴
	''' </summary>
	''' ---------------------------------------------
	Property DPC_HSP As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備１
	''' </summary>
	''' ---------------------------------------------
	Property SPARE01 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備２
	''' </summary>
	''' ---------------------------------------------
	Property SPARE02 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備３
	''' </summary>
	''' ---------------------------------------------
	Property SPARE03 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備４
	''' </summary>
	''' ---------------------------------------------
	Property SPARE04 As String

	''' ---------------------------------------------
	''' <summary>
	''' 更新者コード
	''' </summary>
	''' ---------------------------------------------
	Property LASTUPDUSER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 更新日
	''' </summary>
	''' ---------------------------------------------
	Property LASTUPD_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' クラスのパブリックプロパティを名称で取得・設定します。
	''' </summary>
	''' <param name="name"></param>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/21 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Default Public Property Item(ByVal name As String) As String
		Get
			Dim t As Type = GetType(clsXSI_LTT_IMP_LOG_BASIC_HSP)
			Dim pr As PropertyInfo = t.GetProperty(name)
			Return pr.GetValue(Me, Nothing)
		End Get
		Set(value As String)
			Dim t As Type = GetType(clsXSI_LTT_IMP_LOG_BASIC_HSP)
			Dim pr As PropertyInfo = t.GetProperty(name)
			pr.SetValue(Me, value, Nothing)
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub clear()
		'継承元メソッド実行
		MyBase.clear()

		Me.REG_DT = String.Empty				'登録日時
		Me.DATA_TYPE = String.Empty				'データ種別
		Me.MNGITEM_CD = String.Empty			'管理物コード
		Me.PATIENT_NO = String.Empty			'患者番号
		Me.PATIENT_NM = String.Empty			'氏名
		Me.PATIENT_KNM = String.Empty			'氏名カナ
		Me.GENDER_CD = String.Empty				'性別コード
		Me.BIRTH_DT = String.Empty				'生年月日
		Me.BLOODTYPE_CD = String.Empty			'血液型コード
		Me.RH_CD = String.Empty					'Ｒｈコード
		Me.BYOREKI_NO = String.Empty			'病歴番号
		Me.DEPT_CD = String.Empty				'診療科コード
		Me.MAIN_DPM_FLG = String.Empty			'主科フラグ
		Me.HSP_CNL_CD = String.Empty			'入院経路コード
		Me.HSP_DT = String.Empty				'入院日
		Me.HSP_FLG = String.Empty				'入院フラグ
		Me.HSP_TIME = String.Empty				'入院時刻
		Me.OUT_HSP_DT = String.Empty			'退院日
		Me.OUT_HSP_FLG = String.Empty			'退院フラグ
		Me.OUT_HSP_TIME = String.Empty			'退院時刻
		Me.OUT_HSP_CNL_CD = String.Empty		'退院経路コード
		Me.OUT_HSP_OUTCOME_CD = String.Empty	'退院転帰コード
		Me.WARD_CD = String.Empty				'病棟コード
		Me.MAIN_WARD_FLG = String.Empty			'主病棟フラグ
		Me.DOCTOR_DIV = String.Empty			'医師区分コード
		Me.DOCTOR_CD = String.Empty				'医師コード
		Me.ATTEND_START_DT = String.Empty		'担当開始日
		Me.ATTEND_END_DT = String.Empty			'担当終了日
		Me.TAKE_AMBULANCE_CHK = String.Empty	'救急車有無コード
		Me.INTRODUCTION_CHK = String.Empty		'紹介状有無コード
		Me.ZIP_CD = String.Empty				'郵便番号
		Me.AREA_CD = String.Empty				'診療圏コード
		Me.ADDRESS_NM = String.Empty			'住所
		Me.TELNUMBER = String.Empty				'電話番号
		Me.NATIONALITY_CD = String.Empty		'国籍コード
		Me.DOMICILE_ADDRESS_CD = String.Empty	'出生地コード
		Me.DOMICILE_ADDRESS = String.Empty		'本籍住所
		Me.INSURANCE_CD1 = String.Empty			'保険コード１
		Me.INSURANCE_CD2 = String.Empty			'保険コード２
		Me.INSURANCE_CD3 = String.Empty			'保険コード３
		Me.FIRST_DIAGNOSIS_DT = String.Empty	'初診日
		Me.RELATION_PATIENT_NO = String.Empty	'関連患者番号
		Me.HOUSEHOLDER_NM = String.Empty		'世帯主名
		Me.RELATION_CD = String.Empty			'続柄コード
		Me.TO_DEPT_DOCTOR_DIV = String.Empty	'転科先医師区分コード
		Me.TO_DEPT_DOCTOR_CD = String.Empty		'転科先医師コード
		Me.TO_DEPT_BYOREKI_NO = String.Empty	'転科先病歴番号
		Me.DPC_HSP = String.Empty				'ＤＰＣ入退院歴
		Me.SPARE01 = String.Empty				'予備１
		Me.SPARE02 = String.Empty				'予備２
		Me.SPARE03 = String.Empty				'予備３
		Me.SPARE04 = String.Empty				'予備４
		Me.LASTUPDUSER_CD = String.Empty		'更新者コード
		Me.LASTUPD_DT = String.Empty			'更新日
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' システム連携_患者基本情報一覧ログクラス　新規作成（修正番号：V4-14054）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_LTT_IMP_LOG_BASIC
	Inherits clsXSI_IMP_LOG_L

#Region "プロパティ"
'(A) STR V4-14054-000 008 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String
'(A) END V4-14054-000 008 20131030 ID)平井

	''' ---------------------------------------------
	''' <summary>
	''' 登録日時
	''' </summary>
	''' ---------------------------------------------
	Property REG_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' データ種別
	''' </summary>
	''' ---------------------------------------------
	Property DATA_TYPE As String

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 氏名
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 氏名カナ
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_KNM As String

	''' ---------------------------------------------
	''' <summary>
	''' 性別コード
	''' </summary>
	''' ---------------------------------------------
	Property GENDER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 生年月日
	''' </summary>
	''' ---------------------------------------------
	Property BIRTH_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 初回来院日
	''' </summary>
	''' ---------------------------------------------
	Property FIRSTHSPVST_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 最終来院日
	''' </summary>
	''' ---------------------------------------------
	Property LASTHSPVST_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 最終受診科コード
	''' </summary>
	''' ---------------------------------------------
	Property LASTDEPT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 最終退院日
	''' </summary>
	''' ---------------------------------------------
	Property LASTLEFTHSP_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' コメント
	''' </summary>
	''' ---------------------------------------------
	Property REMARKS As String

	''' ---------------------------------------------
	''' <summary>
	''' 院外死亡日
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_DEATH_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 院外死亡場所コード
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_DEATH_LCT As String

	''' ---------------------------------------------
	''' <summary>
	''' 院外での死亡場所備考
	''' </summary>
	''' ---------------------------------------------
	Property DEATH_REMARKS As String

	''' ---------------------------------------------
	''' <summary>
	''' 国籍コード
	''' </summary>
	''' ---------------------------------------------
	Property NATIONALITY_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 出生地コード
	''' </summary>
	''' ---------------------------------------------
	Property DOMICILE_ADDRESS_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 本籍住所
	''' </summary>
	''' ---------------------------------------------
	Property DOMICILE_ADDRESS As String

	''' ---------------------------------------------
	''' <summary>
	''' 連絡先氏名
	''' </summary>
	''' ---------------------------------------------
	Property CONTACT_PATIENT_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 連絡先郵便番号
	''' </summary>
	''' ---------------------------------------------
	Property CONTACT_ZIP_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 連絡先住所
	''' </summary>
	''' ---------------------------------------------
	Property CONTACT_ADDRESS As String

	''' ---------------------------------------------
	''' <summary>
	''' 連絡先電話番号
	''' </summary>
	''' ---------------------------------------------
	Property CONTACT_TELNUMBER As String

	''' ---------------------------------------------
	''' <summary>
	''' 連絡先続柄
	''' </summary>
	''' ---------------------------------------------
	Property CONTACT_RELATION As String

	''' ---------------------------------------------
	''' <summary>
	''' 前々回来院日
	''' </summary>
	''' ---------------------------------------------
	Property SECOND_LASTHSPVST_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備１
	''' </summary>
	''' ---------------------------------------------
	Property SPARE01 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備２
	''' </summary>
	''' ---------------------------------------------
	Property SPARE02 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備３
	''' </summary>
	''' ---------------------------------------------
	Property SPARE03 As String

	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' モジュールコード
	' ''' </summary>
	' ''' ---------------------------------------------
	''Property MODULE_CD As String

	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' エラーコード
	' ''' </summary>
	' ''' ---------------------------------------------
	''Property ERR_CD As String

	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' メッセージ
	' ''' </summary>
	' ''' ---------------------------------------------
	''Property MESSAGE As String

	''' ---------------------------------------------
	''' <summary>
	''' 更新者コード
	''' </summary>
	''' ---------------------------------------------
	Property LASTUPDUSER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 更新日
	''' </summary>
	''' ---------------------------------------------
	Property LASTUPD_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' クラスのパブリックプロパティを名称で取得・設定します。
	''' </summary>
	''' <param name="name"></param>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/13 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Default Public Property Item(ByVal name As String) As String
		Get
			Dim t As Type = GetType(clsXSI_LTT_IMP_LOG_BASIC)
			Dim pr As PropertyInfo = t.GetProperty(name)
			Return pr.GetValue(Me, Nothing)
		End Get
		Set(value As String)
			Dim t As Type = GetType(clsXSI_LTT_IMP_LOG_BASIC)
			Dim pr As PropertyInfo = t.GetProperty(name)
			pr.SetValue(Me, value, Nothing)
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/09/13 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/09/13 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub clear()
		'継承元メソッド実行
		MyBase.clear()

		Me.REG_DT = String.Empty				'登録日時
		Me.SERIAL_NO = String.Empty				'連番
		Me.ERR_FLG = String.Empty				'エラーフラグ
		Me.DATA_TYPE = String.Empty				'データ種別
		Me.PATIENT_NO = String.Empty			'患者番号
		Me.PATIENT_NM = String.Empty			'氏名
		Me.PATIENT_KNM = String.Empty			'氏名カナ
		Me.GENDER_CD = String.Empty				'性別コード
		Me.BIRTH_DT = String.Empty				'生年月日
		Me.FIRSTHSPVST_DT = String.Empty		'初回来院日
		Me.LASTHSPVST_DT = String.Empty			'最終来院日
		Me.LASTDEPT_CD = String.Empty			'最終受診科コード
		Me.LASTLEFTHSP_DT = String.Empty		'最終退院日
		Me.REMARKS = String.Empty				'コメント
		Me.OUT_HSP_DEATH_DT = String.Empty		'院外死亡日
		Me.OUT_HSP_DEATH_LCT = String.Empty		'院外死亡場所コード
		Me.DEATH_REMARKS = String.Empty			'院外での死亡場所備考
		Me.NATIONALITY_CD = String.Empty		'国籍コード
		Me.DOMICILE_ADDRESS_CD = String.Empty	'出生地コード
		Me.DOMICILE_ADDRESS = String.Empty		'本籍住所
		Me.CONTACT_PATIENT_NM = String.Empty	'連絡先氏名
		Me.CONTACT_ZIP_CD = String.Empty		'連絡先郵便番号
		Me.CONTACT_ADDRESS = String.Empty		'連絡先住所
		Me.CONTACT_TELNUMBER = String.Empty		'連絡先電話番号
		Me.CONTACT_RELATION = String.Empty		'連絡先続柄
		Me.SECOND_LASTHSPVST_DT = String.Empty	'前々回来院日
		Me.SPARE01 = String.Empty				'予備１
		Me.SPARE02 = String.Empty				'予備２
		Me.SPARE03 = String.Empty				'予備３
		Me.MODULE_CD = String.Empty				'モジュールコード
		Me.ERR_CD = String.Empty				'エラーコード
		Me.MESSAGE = String.Empty				'メッセージ
		Me.LASTUPDUSER_CD = String.Empty		'更新者コード
		Me.LASTUPD_DT = String.Empty			'更新日
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' システム連携_貸出準備報ログクラス　新規作成（修正番号：V4-14054）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_LTT_IMP_LOG_LENDINFO
	Inherits clsXSI_IMP_LOG_L

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' データ種別
	''' </summary>
	''' ---------------------------------------------
	Property DATATYPE As String

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 区分１
	''' </summary>
	''' ---------------------------------------------
	Property DIV1_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 区分２
	''' </summary>
	''' ---------------------------------------------
	Property DIV2_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 分冊連番
	''' </summary>
	''' ---------------------------------------------
	Property VOLUMEKEY As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出準備グループ
	''' </summary>
	''' ---------------------------------------------
	Property PREPARE_GRP_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的コード
	''' </summary>
	''' ---------------------------------------------
	Property LENDAIM_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 所在場所コード
	''' </summary>
	''' ---------------------------------------------
	Property LCT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出場所名称
	''' </summary>
	''' ---------------------------------------------
	Property LCT_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出日
	''' </summary>
	''' ---------------------------------------------
	Property ISSUE_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 返却予定日
	''' </summary>
	''' ---------------------------------------------
	Property EXPECTBACK_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 返却日
	''' </summary>
	''' ---------------------------------------------
	Property BACK_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 借用者コード
	''' </summary>
	''' ---------------------------------------------
	Property BORROWER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 借用者名
	''' </summary>
	''' ---------------------------------------------
	Property BORROWER_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 帯出者コード
	''' </summary>
	''' ---------------------------------------------
	Property TAKER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 帯出者名
	''' </summary>
	''' ---------------------------------------------
	Property TAKER_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出取扱者コード
	''' </summary>
	''' ---------------------------------------------
	Property LENDCLERK_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 返却者コード
	''' </summary>
	''' ---------------------------------------------
	Property PERSONOFBACK_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 返却者名称
	''' </summary>
	''' ---------------------------------------------
	Property PERSONOFBACK_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 返却取扱者コード
	''' </summary>
	''' ---------------------------------------------
	Property BACKCLERK_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出コンボ１
	''' </summary>
	''' ---------------------------------------------
	Property LENDCMB1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出コンボ２
	''' </summary>
	''' ---------------------------------------------
	Property LENDCMB2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出テキスト１
	''' </summary>
	''' ---------------------------------------------
	Property LENDTEXT1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出テキスト２
	''' </summary>
	''' ---------------------------------------------
	Property LENDTEXT2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出チェック１
	''' </summary>
	''' ---------------------------------------------
	Property LENDCHK1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 貸出チェック２
	''' </summary>
	''' ---------------------------------------------
	Property LENDCHK2 As String

	''' ---------------------------------------------
	''' <summary>
	''' コメント
	''' </summary>
	''' ---------------------------------------------
	Property COMMENT As String

	''' ---------------------------------------------
	''' <summary>
	''' 予約日
	''' </summary>
	''' ---------------------------------------------
	Property APPOINTMENT_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 予約時間
	''' </summary>
	''' ---------------------------------------------
	Property APPOINTMENT_TIME As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備１
	''' </summary>
	''' ---------------------------------------------
	Property YOBI1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備２
	''' </summary>
	''' ---------------------------------------------
	Property YOBI2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備３
	''' </summary>
	''' ---------------------------------------------
	Property YOBI3 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備４
	''' </summary>
	''' ---------------------------------------------
	Property YOBI4 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備５
	''' </summary>
	''' ---------------------------------------------
	Property YOBI5 As String


#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub clear()
		'継承元メソッド実行
		MyBase.clear()

		Me.DATATYPE = Nothing			'データ種別
		Me.PATIENT_NO = Nothing			'患者番号
		Me.MNGITEM_CD = Nothing			'管理物コード
		Me.DIV1_CD = Nothing			'区分１
		Me.DIV2_CD = Nothing			'区分２
		Me.VOLUMEKEY = Nothing			'分冊連番
		Me.PREPARE_GRP_CD = Nothing		'貸出準備グループ
		Me.LENDAIM_CD = Nothing			'最終受領日
		Me.LCT_CD = Nothing				'所在場所コード
		Me.LCT_NM = Nothing				'貸出場所名称
		Me.ISSUE_DT = Nothing			'貸出日
		Me.EXPECTBACK_DT = Nothing		'返却予定日
		Me.BACK_DT = Nothing			'返却日
		Me.BORROWER_CD = Nothing		'借用者コード
		Me.BORROWER_NM = Nothing		'借用者名
		Me.TAKER_CD = Nothing			'帯出者コード
		Me.TAKER_NM = Nothing			'帯出者名
		Me.LENDCLERK_CD = Nothing		'貸出取扱者コード
		Me.PERSONOFBACK_CD = Nothing	'返却者コード
		Me.PERSONOFBACK_NM = Nothing	'返却者名称
		Me.BACKCLERK_CD = Nothing		'返却取扱者コード
		Me.LENDCMB1 = Nothing			'貸出コンボ１
		Me.LENDCMB2 = Nothing			'貸出コンボ２
		Me.LENDTEXT1 = Nothing			'貸出テキスト１
		Me.LENDTEXT2 = Nothing			'貸出テキスト２
		Me.LENDCHK1 = Nothing			'貸出チェック１
		Me.LENDCHK2 = Nothing			'貸出チェック２
		Me.COMMENT = Nothing			'コメント
		Me.APPOINTMENT_DT = Nothing		'予約日
		Me.APPOINTMENT_TIME = Nothing	'予約時間
		Me.YOBI1 = Nothing				'予備１
		Me.YOBI2 = Nothing				'予備２
		Me.YOBI3 = Nothing				'予備３
		Me.YOBI4 = Nothing				'予備４
		Me.YOBI5 = Nothing				'予備５
	End Sub

#End Region

End Class

#End Region
