﻿Imports XCM
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 手術名等検索　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP140R010

#Region "解放処理"
    '確実な解放処理を実行するために指定
    Inherits CriticalFinalizerObject
    '解放処理を実装する為に指定
    Implements IDisposable

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
	''' 2010/11/26 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
			pFrm = Nothing							'フォーム
		End If
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
	''' 2010/11/26 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        MyBase.Finalize()
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
	''' 2010/11/26 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

#Region "変数"

	'IN項目
    Private pFrm As frmBase = Nothing                                   'フォーム

    '*********************************************
    'データグリッドItemリストとパラメータリストの項目数・指定順序は必ず一緒にする
    'また、Workテーブルの項目順とパラメータセット順も同一にする必要があります
    '※INSERT分も同様
    '*********************************************
    'データシート出力情報定義  
    'MDBパラメータセットで使用
    Private strItem() As String = New String() _
    {"", sqlXSP140R010.itmMNG_DIV, _
    sqlXSP140R010.itmMNG_NO, _
    sqlXSP140R010.itmOPE_KANJI, _
    sqlXSP140R010.itmOPE_KNM, _
    sqlXSP140R010.itmICD9CM1_CD, _
    sqlXSP140R010.itmL_GRP_CD, _
    sqlXSP140R010.itmM_GRP_CD, _
    sqlXSP140R010.itmSOCIETY_ENGLISH_NM, _
    sqlXSP140R010.itmRECEIPT_CD, _
    sqlXSP140R010.itmK_CD, _
    sqlXSP140R010.itmDSP_GRP1_FLG, _
    sqlXSP140R010.itmDSP_GRP2_FLG, _
    sqlXSP140R010.itmDSP_GRP3_FLG, _
    sqlXSP140R010.itmDSP_GRP4_FLG, _
    sqlXSP140R010.itmDSP_GRP5_FLG, _
    sqlXSP140R010.itmNONDSP_FLG, _
    sqlXSP140R010.itmDIGS3_GRP_CD, _
    sqlXSP140R010.itmLASTUPDUSER_CD, _
    sqlXSP140R010.itmLASTUPD_DT}


    Private strParm() As String = New String() _
    {sqlXSP140R010.prmMNG_DIV, _
    sqlXSP140R010.prmMNG_NO, _
    sqlXSP140R010.prmOPE_KANJI, _
    sqlXSP140R010.prmOPE_KNM, _
    sqlXSP140R010.prmICD9CM1_CD, _
    sqlXSP140R010.prmL_GRP_CD, _
    sqlXSP140R010.prmM_GRP_CD, _
    sqlXSP140R010.prmSOCIETY_ENGLISH_NM, _
    sqlXSP140R010.prmRECEIPT_CD, _
    sqlXSP140R010.prmK_CD, _
    sqlXSP140R010.prmDSP_GRP1_FLG, _
    sqlXSP140R010.prmDSP_GRP2_FLG, _
    sqlXSP140R010.prmDSP_GRP3_FLG, _
    sqlXSP140R010.prmDSP_GRP4_FLG, _
    sqlXSP140R010.prmDSP_GRP5_FLG, _
    sqlXSP140R010.prmNONDSP_FLG, _
    sqlXSP140R010.prmDIGS3_GRP_CD, _
    sqlXSP140R010.prmLASTUPDUSER_CD, _
    sqlXSP140R010.prmLASTUPD_DT}

#End Region

#Region "コンスタント"

    '帳票タイトル(頭書コメントトップが空白時使用)
    Private Const LEDGERSHEET_TITLE As String = "手術マスタ"

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="pForm">frmBase</param>
    ''' <remarks>
    ''' 2010/11/26 新規作成 CS)徳増<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Sub New(ByVal pForm As Form)
        'IN項目引き継ぎ
        pFrm = pForm                    '画面ID
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 印刷・プレビュー処理（手術名等検索）
    ''' </summary>
    ''' <param name="pValuePrint">TRUE:印刷 FALSE:プレビュー</param>
    ''' <param name="da">出力元データテーブル</param>			
    ''' <remarks>
	''' 2010/11/26 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Public Function Prn_OPE_NM_search(ByVal da As DataGridView, ByVal pValuePrint As Boolean) As Boolean
        pFrm.log(clsSysMst.logLevel.DBG, "Prn_OPE_NM_search", "印刷・プレビュー処理（手術名等検索） START")

		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim datHeader As datHeader = Nothing							'ヘッダーデータクラス
		Dim cliCom As clsCom = Nothing									'共通クラス

		'DataTableの値取得用
		Dim daRow As DataRow = Nothing
		Dim Rowcnt As Integer = 0

		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom

			'ヘッダー情報作成
			datHeader = Me.getHeaderData

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(Me.pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)

				'ヘッダーワーク削除
				Call cliReportFunc.exeHeaderDel(db, datAccess.REPORT_NM, True)

				'ワークテーブル削除
				Call cliReportFunc.exeWorkDel(db, sqlXSP140R010.sqlDel_XTW_OPE_NE_WORK, sqlXSP140R010.prmHOST_NM)

				'ワークテーブルの追加
				Call cliReportFunc.exeHeaderIns(db, datHeader, True)

				With db

					For Each dvRow As DataGridViewRow In da.Rows
						'行が削除状態の場合は処理しない
						daRow = CType(dvRow.DataBoundItem, DataRowView).Row
						If daRow.RowState = DataRowState.Deleted Then Continue For

						Rowcnt += 1

						'１行ずつデータを追加する
						.setSQL(sqlXSP140R010.sqlIns_MTW_OPE_NM_SEARCH)						 'INSERT文
						.setParam(sqlXSP140R010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlXSP140R010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP140R010.prmHOST_NM, clsConst.CST_HOST_NM)
						.setVal(sqlXSP140R010.prmSERIAL_NO, Rowcnt, False)
						Me.setParm(db, daRow)									'パラメータセット
						.execNonQuery()											'INSERT文実行
					Next

				End With

				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダーデータ取得
	''' </summary>
	''' <returns>ヘッダーデータ</returns>
	''' <remarks>
	''' 2010/11/26 新規作成 CS)徳増<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHeaderData() As datHeader
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "getHeaderData", "手術名等検索", "手術マスタ（Report）", "ヘッダーデータ取得 START")
		Dim retHeader As New datHeader
		Try
			With retHeader
				'帳票ID
				.PRT_ID = Me.GetType.Name
				'タイトル	
				.TITLE_NM = LEDGERSHEET_TITLE
			End With

			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' MDB登録パラメータセット
	''' </summary>
	''' <param name="db">クラスDB</param>
	''' <remarks>
	''' 2010/11/26 新規作成 CS)徳増<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setParm(ByVal db As clsDB, ByVal pRow As System.Data.DataRow)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "setParm", "手術マスタ", "手術マスタ（Report）", "MDB登録パラメータセット START")

		Dim dDate As DateTime = Now
		Try
			'データを出力
			For Idx As Integer = 0 To strParm.Length - 1
				With db
					Select Case strParm(Idx)
						Case sqlXSP140R010.prmMNG_NO, sqlXSP140R010.prmDSP_GRP1_FLG, _
							sqlXSP140R010.prmDSP_GRP2_FLG, sqlXSP140R010.prmDSP_GRP3_FLG, _
							sqlXSP140R010.prmDSP_GRP4_FLG, sqlXSP140R010.prmDSP_GRP5_FLG, _
							sqlXSP140R010.prmNONDSP_FLG

							'数字型
							.setParam(strParm(Idx), clsDB.Enum_dbType.dbInt)
							.setVal(strParm(Idx), CInt(pRow.Item(Idx).ToString), False)

						Case sqlXSP140R010.prmLASTUPD_DT
							'更新日にローカルシステム日付を設定
							.setParam(strParm(Idx), clsDB.Enum_dbType.dbDateTime)

							dDate = Now
							.setVal(strParm(Idx), dDate)

						Case Else
							'文字列型
							.setParam(strParm(Idx), clsDB.Enum_dbType.dbNVarChar)

							Select Case strParm(Idx)

								Case sqlXSP140R010.prmLASTUPDUSER_CD
									'更新者コード
									.setVal(strParm(Idx), clsSysMst.getLoginId)

								Case Else
									'その他文字列
									.setVal(strParm(Idx), pRow.Item(Idx).ToString)
							End Select
					End Select
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			dDate = Nothing
		End Try
	End Sub

#End Region

End Class