﻿Imports XCM
Imports System.Reflection
Imports System
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 患者登録
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP180F010

#Region "コンスタント"

	Private Const CST_XSP010F010 As String = "XSP010F010"			'患者検索画面ID
	Private Const CST_XSP090F010 As String = "XSP090F010"			'住所検索画面ID
	Private Const CST_XSP110F010 As String = "XSP110F010"			'手術検索画面ID

#End Region

#Region "変数"

	'IN項目引き継ぎ用変数
	Private _setstatus As Boolean = False					'IN項目.排他管理する場合のみ
	Private _frm As frmBase = Nothing						'IN項目.フォームベース

	'DBアクセスクラス
	Private cliMTI_CH As clsMTI_CH = Nothing				'科歴情報アクセスクラス
	Private cliMTM_ADDRESS As clsMTM_ADDRESS = Nothing		'住所情報アクセスクラス
	Private cliMTM_DEATH_LCT As clsMTM_DEATH_LCT = Nothing	'死亡場所アクセスクラス

	'フォームインスタンス
	Private frmXSP010F010 As XSP010F010 = Nothing			'患者検索画面
	Private frmXSP090F010 As XSP090F010 = Nothing			'住所検索画面
	Private frmXSP110F010 As XSP110F010 = Nothing			'手術検索画面

	'喫煙年数保持
	Private preSmokingStr As String = Nothing				'吸い始め年齢
	Private preSmokingEnd As String = Nothing				'吸い終わり年齢

	Private preRELATION_PATIENT_NO As String = Nothing		'入力値保持（関連患者番号）
	'Private preCONTACT_ZIP_CD As String = Nothing			'入力値保持（郵便番号）

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報の表示状態
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_DeathStatus
		''' ---------------------------------------------
		''' <summary>画面表示時　OR　死亡情報削除ボタンクリック時</summary>
		''' ---------------------------------------------
		ScreenMode = 0
		''' ---------------------------------------------
		''' <summary>修正時</summary>
		''' ---------------------------------------------
		WhenFixing = 1
	End Enum

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pMode">参照モード:0 登録モード:1 更新モード:2</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pGeneral">汎用（rcvData時に返す値）</param>	
	''' <param name="pSetStatus">排他を管理する場合のみTrue</param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pMode As Enum_XSP000F030_ExeMode, ByVal pPatientNo As String, Optional ByVal pGeneral As String = Nothing, Optional ByVal pSetStatus As Boolean = True)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		MyBase._patientno = pPatientNo										'患者番碁
		MyBase._prdmode = Enum_XSP000F030_PrdMode.prdM						'製品モード
		If String.IsNullOrEmpty(pPatientNo) Then							'オープンモード
			MyBase._openmode = Enum_XSP000F030_OpenMode.NoPatientNo
		Else
			MyBase._openmode = Enum_XSP000F030_OpenMode.PatientNo
		End If
		MyBase._exemode = pMode												'処理モード
		Me._general = pGeneral												'汎用（rcvData時に返す値）
		Me._setstatus = pSetStatus											'排他管理用変数
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP180F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me._errloadflg Then
			Exit Sub
		End If
		log(XCM.clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "画面ロード START")
		Dim cliBmp As clsBmp = Nothing
		Me.SuspendLayout()
		Try
			cliMTI_CH = New clsMTI_CH
			cliMTM_ADDRESS = New clsMTM_ADDRESS
			cliMTM_DEATH_LCT = New clsMTM_DEATH_LCT
			cliBmp = New clsBmp
			'親画面引き継ぎ
			Me._frm = Me.Owner

			'排他処理
			If MyBase._exemode = Enum_XSP000F030_ExeMode.Upd OrElse MyBase._exemode = Enum_XSP000F030_ExeMode.Ref Then
				If Me._setstatus AndAlso Not String.IsNullOrEmpty(MyBase._patientno) AndAlso Not Me.setStartStatus(MyBase._patientno) Then
					Me.setReturnValues(clsXSP000F030.Enum_ExeFlg.eNotRun)
					'画面を閉じる
					Me._frm.setCancelFlg(True)		'Load時にエラー処理をする場合に必要
					'排他中フラグ設定
					MyBase.pbExclusive = True
					Me.EndProc()
					Exit Sub
				End If
			Else
				If Me._setstatus AndAlso String.IsNullOrEmpty(MyBase._patientno) AndAlso Me.setStartStatus(True) = False Then
					Me.setReturnValues(clsXSP000F030.Enum_ExeFlg.eNotRun)
					'画面を閉じる
					Me._frm.setCancelFlg(True)		'Load時にエラー処理をする場合に必要
					'排他中フラグ設定
					MyBase.pbExclusive = True
					Me.EndProc()
					Exit Sub
				End If
			End If

			'アイコン設定
			Me.btn068XSP180F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Copy)

			'データソースなどの画面初期化
			Me.setInitScreen()

			'デフォルトは登録モード（ヘッダー部設定）
			Me.btn004XSP000F030.Enabled = True				'登録OR更新ボタンを使用可能
			Me.btn004XSP000F030.Text = CST_ADD_TEXT			'登録OR更新ボタンの名称を「患者登録（F7）」に変更
			Me.btn005XSP000F030.Enabled = False				'患者削除ボタンを使用不可
			Me.btn006XSP000F030.Text = CST_EXIT_TEXT		'閉じる（F12）ボタンの名称に設定する

			Me.lbl079XSP180F010.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR
			Me.lbl083XSP180F010.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR

			'参照モードなら入力フォールドを入力不可にする
			If Me._exemode = Enum_XSP000F030_ExeMode.Ref Then
				Me.Text = "【参照】" & Me.Text
				Me.txt011XSP000F030.CanInput = False	'氏名
				Me.txt013XSP000F030.CanInput = False	'旧氏名１
				Me.txt015XSP000F030.CanInput = False	'旧氏名２
				Me.txt017XSP000F030.CanInput = False	'カナ
				Me.txt019XSP000F030.CanInput = False	'旧カナ１
				Me.txt021XSP000F030.CanInput = False	'旧カナ２
				Me.cmb023XSP000F030.CanInput = False	'性別コード
				Me.dte026XSP000F030.CanInput = False	'生年月日
				Me.txt028XSP000F030.CanInput = False	'コメント
				Me.dte030XSP000F030.CanInput = False	'初回来院日
				Me.dte032XSP000F030.CanInput = False	'最終来院日
				Me.dte034XSP000F030.CanInput = False	'最終退院日
'(A) STR V4-14053-000 003 20131023 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
				Me.cmb043XSP000F030.CanInput = False	'最終受診科
'(A) END V4-14053-000 003 20131023 ID)平井
				Me.btn004XSP000F030.Visible = False		'更新ボタン
				Me.btn005XSP000F030.Visible = False		'削除ボタン

				'診療情報管理特有のコントロール
				Me.cmb002XSP180F010.CanInput = False	'血液型選択
				Me.cmb005XSP180F010.CanInput = False	'RH選択
				Me.cmb008XSP180F010.CanInput = False	'輸血歴選択
				Me.msk011XSP180F010.CanInput = False	'関連患者入力
				Me.btn010XSP180F010.CanInput = False	'関連患者ボタン
				Me.cmb015XSP180F010.CanInput = False	'喫煙歴ボタン
				Me.num018XSP180F010.CanInput = False	'吸い始め年齢
				Me.num021XSP180F010.CanInput = False	'吸い終わり年齢
				Me.num024XSP180F010.CanInput = False	'喫煙本数
				Me.num027XSP180F010.CanInput = False	'喫煙年数
				Me.cmb030XSP180F010.CanInput = False	'飲酒歴選択
				Me.cmb034XSP180F010.CanInput = False	'妊娠歴選択
				Me.num037XSP180F010.CanInput = False	'妊娠回数
				Me.cmb040XSP180F010.CanInput = False	'出産歴選択
				Me.num043XSP180F010.CanInput = False	'出産歴選択
				Me.num046XSP180F010.CanInput = False	'初潮年齢
				Me.num049XSP180F010.CanInput = False	'閉経年齢
'(D) STR V4-14053-000 003 20131023 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
'				Me.cmb052XSP180F010.CanInput = False	'最終受診科選択
'(D) END V4-14053-000 003 20131023 ID)平井
				Me.cmb055XSP180F010.CanInput = False	'国籍選択
				Me.cmb058XSP180F010.CanInput = False	'出生地選択
				Me.txt060XSP180F010.CanInput = False	'出生地フリー入力
				Me.txt064XSP180F010.CanInput = False	'連絡先氏名
				Me.cmb066XSP180F010.CanInput = False	'連絡先続柄
				Me.msk070XSP180F010.CanInput = False	'連絡先郵便番号
				Me.txt072XSP180F010.CanInput = False	'連絡先電話番号
				Me.txt074XSP180F010.CanInput = False	'連絡先住所
				Me.btn068XSP180F010.Visible = False		'連絡先コピーボタン
				Me.btn069XSP180F010.CanInput = False	'連絡先郵便番号検索ボタン
				Me.btn077XSP180F010.Visible = False		'死亡情報修正ボタン
				Me.btn078XSP180F010.Visible = False		'死亡情報削除ボタン

				'Me.lbl079XSP180F010.ForeColor = Color.Black
				'Me.lbl083XSP180F010.ForeColor = Color.Black
			End If

			Me.cmb080XSP180F010.CanInput = False	'死亡場所選択
			Me.txt082XSP180F010.CanInput = False	'死亡場所フリー入力
			Me.dte084XSP180F010.CanInput = False	'死亡日時（日）
			Me.msk085XSP180F010.CanInput = False	'死亡日時（時間）
			Me.cmb087XSP180F010.CanInput = False	'死亡区分選択
			Me.cmb090XSP180F010.CanInput = False	'剖検区分選択
			Me.cmb100XSP180F010.CanInput = False	'術後死亡区分
			Me.txt103XSP180F010.CanInput = False	'剖検番号
			Me.btn104XSP180F010.CanInput = False	'病名１ボタン
			Me.cmb105XSP180F010.CanInput = False	'病名１コンボ入力
			Me.txt106XSP180F010.CanInput = False	'病名１フリー入力
			Me.btn107XSP180F010.CanInput = False	'病名２ボタン
			Me.cmb108XSP180F010.CanInput = False	'病名２コンボ入力
			Me.txt109XSP180F010.CanInput = False	'病名２フリー入力
			Me.txt111XSP180F010.CanInput = False	'死亡情報コメント

			'履歴コピーボタンの使用可非
			If Me.btn068XSP180F010.Visible Then
				Using db As New clsDB(clsSysMst.ctlConfigData)
					If Not Me.cliMTI_CH.setChNewAddress(db, MyBase._patientno, Nothing, Nothing, Nothing) Then
						Me.btn068XSP180F010.Enabled = False
					End If
				End Using
			End If

			'患者番号が空白でない場合
'(M) STR V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
			'Me.lbl009XSP000F030.Text = Me._patientno
			Me.txt047XSP000F030.Text = Me._patientno
'(M) END V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
			Me.setUpdScreen()
'(M) STR V4-14111-000 008 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
			'Me.txt011XSP000F030.Select()
			If Me._exemode = Enum_XSP000F030_ExeMode.Ref Then
				Me.txt047XSP000F030.Select()
			Else
				Me.txt011XSP000F030.Select()
			End If
'(M) END V4-14111-000 008 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応

			'閉じるボタンに名称設定
			Me.btn006XSP000F030.Text = CST_EXIT_TEXT
		Catch ex As Exception
			ErrorProc(ex)
			If Me._frm IsNot Nothing Then Me._frm.setCancelFlg(True)
			Me.EndProc()
		Finally
			Me.ResumeLayout()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面表示（ログ表示のため）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP180F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me._errloadflg Then
			Exit Sub
		End If
		If String.IsNullOrEmpty(Me._patientno) Then
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "画面表示 START")
		Else
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "患者番号：" & Me._patientno & " 画面表示 START")
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP180F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "フォームクロージング START")
		Dim retDictionaryEntry As DictionaryEntry = Nothing
		Try
			'排他中なら排他解除
			If Not Me.pbExclusive Then
				delStartStatus()
			End If

		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Try
				'処理フラグと戻り値クラス
				retDictionaryEntry = New DictionaryEntry(Me.Name, Me._retData)
				Me.setCloseFlg()
				If Me._frm Is Nothing Then Me._frm = Me.Owner
				If Me._errloadflg Then Me._frm.setCancelFlg(True)
				Me._frm.Select()
				If Me._retFlg = CStr(Enum_FormReturn.OK) Then
					'処理済みならRepaintを実施させる
					Me._frm.backForm(True, Me._retFlg, retDictionaryEntry)
				Else
					'未処理ならRepaintは実施させない
					Me._frm.backForm(False, Me._retFlg, retDictionaryEntry)
				End If
			Catch ex As Exception
			End Try
			retDictionaryEntry = Nothing
			'解放（Nothing）
			Me._setstatus = Nothing
			Me._frm = Nothing
			Me.cliMTI_CH = Nothing
			Me.frmXSP010F010 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 関連患者番号ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn010XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "関連患者番号ボタンクリック START")
		Try
			'患者検索画面を展開する
			Me.PatientFormProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 喫煙歴有無選択変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb015XSP180F010_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb015XSP180F010.TextChanged
		If Me.cmb015XSP180F010.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "喫煙歴有無選択変更イベント START")
		Else
			log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "喫煙歴有無選択変更イベント START")
		End If
		Dim flg As Boolean = False
		Try
			If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then
				Select Case Me.cmb015XSP180F010.Text
					Case CStr(clsConst.Enum_SmokingChk.Smoking), CStr(clsConst.Enum_SmokingChk.Smoked)
						'喫煙歴があるので、吸い始め年齢から喫煙年数まで入力可能とする
						flg = True
					Case Else
						'喫煙歴がないので、吸い始め年齢から喫煙年数まで入力不可とする
						flg = False
				End Select
				Me.num018XSP180F010.CanInput = flg
				Me.num021XSP180F010.CanInput = flg
				Me.num024XSP180F010.CanInput = flg
				Me.num027XSP180F010.CanInput = flg
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 妊娠歴有無選択変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb034XSP180F010_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb034XSP180F010.TextChanged
		If Me.cmb034XSP180F010.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "妊娠歴有無選択変更イベント START")
		Else
			log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "妊娠歴有無選択変更イベント START")
		End If
		Try
			If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then
				Me.setPregencyChangeStatus()	'妊娠歴変更処理
				Me.setCbChangeStatus()			'出産歴変更処理
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 出産歴有無選択変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb040XSP180F010_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb040XSP180F010.TextChanged
		If Me.cmb040XSP180F010.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "出産歴有無選択変更イベント START")
		Else
			log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "出産歴有無選択変更イベント START")
		End If
		Try
			If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then
				Me.setCbChangeStatus()			'出産歴変更処理
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 履歴コピー処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn068XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn068XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "履歴コピー処理 START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
				'If Me.cliMTI_CH.setChNewAddress(db, Me.lbl009XSP000F030.Text, Me.msk070XSP180F010, Me.txt074XSP180F010, Me.txt072XSP180F010) Then
				If Me.cliMTI_CH.setChNewAddress(db, Me.txt047XSP000F030.Text, Me.msk070XSP180F010, Me.txt074XSP180F010, Me.txt072XSP180F010) Then
'(M) END V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
					'存在する
					Me.dte030XSP000F030.Focus()
				Else
					'存在しない
					Me.msk070XSP180F010.Focus()
				End If
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報修正ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn077XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn077XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "死亡情報修正ボタンクリック START")
		Dim cmbSelItem As String = Nothing
		Dim datDeathLct As datMTM_DEATH_LCT_OneRec = Nothing
		Me.Cursor = Cursors.WaitCursor
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				If Me.cmb080XSP180F010.CanInput = False Then
					'死亡情報を入力可能にする
					Me.setDeathStatus(Enum_DeathStatus.WhenFixing)

					cmbSelItem = Me.cmb080XSP180F010.Text
					'死亡場所(ロード時は院外情報のみ表示する）
					If Me.cmb080XSP180F010.DataSource IsNot Nothing Then CType(Me.cmb080XSP180F010.DataSource, DataTable).Dispose()
					Me.cmb080XSP180F010.DataSource = Nothing
					Me.cmb080XSP180F010.DisplayMember = sqlComboCom.itmDEATH_LCT_CD
					Me.cmb080XSP180F010.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathLctXFix1OutOnly)
					Me.cliCom.setComboValue(Me.cmb080XSP180F010, cmbSelItem)
					Me.cmb080XSP180F010.setDropDownWidth()

					'初めて修正ボタンがクリックされたときのみ病名コンボを生成する
					If Me.cmb105XSP180F010.DataSource Is Nothing Then
						If Not String.IsNullOrEmpty(Me.cmb080XSP180F010.Text) Then '院外のときのみ病名コンボの設定を行う
							'死亡場所情報取得
							datDeathLct = cliMTM_DEATH_LCT.getMTM_DEATH_LCT_OneRec(db, Me.cmb080XSP180F010.Text)
							If datDeathLct Is Nothing OrElse datDeathLct.FIXED_CD <> CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
								'院内死亡場所以外はすべて病名コンボボックスを設定する
								'病名コンボ1
								Me.setResetIcd10(CType(Me.cmb105XSP180F010, BT_MultiComboBox), db)

								'病名コンボ2
								Me.setResetIcd10(CType(Me.cmb108XSP180F010, BT_MultiComboBox), db)
							End If
						Else
							If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then '院外のときのみ病名コンボの設定を行う
								'病名コンボ1
								Me.setResetIcd10(CType(Me.cmb105XSP180F010, BT_MultiComboBox), db)

								'病名コンボ2
								Me.setResetIcd10(CType(Me.cmb108XSP180F010, BT_MultiComboBox), db)
							End If
						End If
					End If
				End If

				Me.cmb080XSP180F010.Focus()
				Me.cmb080XSP180F010.Select()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			datDeathLct = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn078XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn078XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "死亡情報削除ボタンクリック START")
		Try
			Me.setClearScreenDeath()							'死亡情報をクリア
			Me.setDeathStatus(Enum_DeathStatus.ScreenMode)		'死亡情報を入力不可にする
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡場所選択変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb080XSP180F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb080XSP180F010.SelectedIndexChanged
		If Me.cmb080XSP180F010.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "死亡場所選択変更イベント START")
		Else
			log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "死亡場所選択変更イベント START")
		End If
		Try
			'死亡場所変更時の画面イメージにする
			Me.setDeathInOutStatus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡日入力確定イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte084XSP180F010_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dte084XSP180F010.Validated
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "死亡日入力確定イベント START")
		Try
			Me.setNenTukiNiti()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 生年月日入力確定イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte026XSP000F030_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dte026XSP000F030.Validated
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "生年月日入力確定イベント START")
		Try
			Me.setNenTukiNiti()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡病名１ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn104XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn104XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "死亡病名１ボタンクリック START")
		Try
			Me.Icd10FormProc(Me.cmb105XSP180F010)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡病名２ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn107XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn107XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "死亡病名２ボタンクリック START")
		Try
			Me.Icd10FormProc(Me.cmb108XSP180F010)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 郵便番号ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn069XSP180F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn069XSP180F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "郵便番号ボタンクリック START")
		Try
			'住所検索
			Me.AddressFormProc(Me.msk070XSP180F010)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 関連患者番号入力終了
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk011XSP180F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk011XSP180F010.Validated
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "関連患者番号入力終了 START")
		Try
			If Me.cliXTI_BASICINFO.isExist(Me.msk011XSP180F010.Text, Me.lbl012XSP180F010.Text) Then
				'存在する
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 郵便番号入力終了
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk070XSP180F010_Leave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles msk070XSP180F010.Leave
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "郵便番号入力終了 START")
		Dim arData As ArrayList = Nothing
		Dim dbData As datMTM_ADDRESS_OneRec = Nothing
		Try
			If String.IsNullOrEmpty(Me.txt074XSP180F010.Text) Then
				arData = cliMTM_ADDRESS.getMTM_ADDRESS_Zip(Me.msk070XSP180F010.Text)
				If arData IsNot Nothing AndAlso arData.Count > 0 Then
					dbData = DirectCast(arData(0), datMTM_ADDRESS_OneRec)
					If dbData IsNot Nothing Then
						With dbData
							' 郵便番号 ← 取得した郵便番号
							Me.msk070XSP180F010.Text = .ZIP_CD
							' 住所 ← 取得した都道府県名＆取得した市区町村名＆取得した地区名
							Me.txt074XSP180F010.Text = .PREFECTURE_NM & .MUNICIPALITY_NM & .DISTRICT_NM
						End With
					End If
				End If
				'preCONTACT_ZIP_CD = Me.msk070XSP180F010.Text
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 死亡時の年齢、月齢、日齢を計算してコントロールに設定する
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setNenTukiNiti()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "死亡時の年齢、月齢、日齢を計算してコントロールに設定する START")
		Dim nen As Integer = 0				'年齢
		Dim tuki As Integer = 0				'日齢
		Dim niti As Integer = 0				'月齢
		Try
			'年齢　＆　月齢　＆　日齢計算
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte084XSP180F010.DateValue.Equals(Nothing) Then
				Me.cliCom.setCalcNenGetuNiti(Me.dte026XSP000F030.DateValue, Me.dte084XSP180F010.DateValue, nen, tuki, niti)
			End If

			'各コントロールに設定
			Me.lbl093XSP180F010.Text = nen
			Me.lbl095XSP180F010.Text = tuki
			Me.lbl097XSP180F010.Text = niti

			'日付MAX（９９９）なら日齢部を非表示にする
			If niti = clsConst.CST_DAYAGE_MAX Then
				Me.lbl097XSP180F010.Visible = False
				Me.lbl098XSP180F010.Visible = False
			Else
				Me.lbl097XSP180F010.Visible = True
				Me.lbl098XSP180F010.Visible = True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報画面ステータス設定
	''' </summary>
	''' <param name="emode">設定したい死亡情報の表示状態</param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDeathStatus(ByVal emode As Enum_DeathStatus)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "死亡情報画面ステータス設定 START")
		Try
			Select Case emode
				Case Enum_DeathStatus.ScreenMode
					'画面表示時　OR　削除処理後時
					Me.cmb080XSP180F010.CanInput = False	'死亡場所選択
					Me.txt082XSP180F010.CanInput = False	'死亡場所フリー入力
					Me.dte084XSP180F010.CanInput = False	'死亡日時（日）
					Me.msk085XSP180F010.CanInput = False	'死亡日時（時間）
					Me.cmb087XSP180F010.CanInput = False	'死亡区分選択
					Me.cmb090XSP180F010.CanInput = False	'剖検区分選択
					Me.cmb100XSP180F010.CanInput = False	'術後死亡区分
					Me.txt103XSP180F010.CanInput = False	'剖検番号
					Me.btn104XSP180F010.CanInput = False	'病名１ボタン
					Me.cmb105XSP180F010.CanInput = False	'病名１コンボ入力
					Me.txt106XSP180F010.CanInput = False	'病名１フリー入力
					Me.btn107XSP180F010.CanInput = False	'病名２ボタン
					Me.cmb108XSP180F010.CanInput = False	'病名２コンボ入力
					Me.txt109XSP180F010.CanInput = False	'病名２フリー入力
					Me.txt111XSP180F010.CanInput = False	'死亡情報コメント
				Case Enum_DeathStatus.WhenFixing
					'修正時
					Me.cmb080XSP180F010.CanInput = True		'死亡場所選択
					Me.txt082XSP180F010.CanInput = True		'死亡場所フリー入力
					Me.dte084XSP180F010.CanInput = True		'死亡日時（日）
					Me.msk085XSP180F010.CanInput = True		'死亡日時（時間）
					Me.cmb087XSP180F010.CanInput = True		'死亡区分選択
					Me.cmb090XSP180F010.CanInput = True		'剖検区分選択
					Me.cmb100XSP180F010.CanInput = True		'術後死亡区分
					Me.txt103XSP180F010.CanInput = True		'剖検番号
					Me.btn104XSP180F010.CanInput = True		'病名１ボタン
					Me.cmb105XSP180F010.CanInput = True		'病名１コンボ入力
					Me.txt106XSP180F010.CanInput = True		'病名１フリー入力
					Me.btn107XSP180F010.CanInput = True		'病名２ボタン
					Me.cmb108XSP180F010.CanInput = True		'病名２コンボ入力
					Me.txt109XSP180F010.CanInput = True		'病名２フリー入力
					Me.txt111XSP180F010.CanInput = True		'死亡情報コメント
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 院内・院外選択時の画面制御
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDeathInOutStatus()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "院内・院外選択時の画面制御 START")
		Try
			With Me.cmb080XSP180F010
				If Not String.IsNullOrEmpty(Me.cmb080XSP180F010.Text) Then
					'死亡場所の固定コード１を判断して、表示を切り替える
					If .DataSource IsNot Nothing Then
						If .SelectedIndex > -1 Then
							If CType(.DataSource, DataTable).Rows(.SelectedIndex).Item(sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
								'院内選択
								Me.cmb080XSP180F010.Visible = True	'死亡場所選択
								Me.txt082XSP180F010.Visible = False	'死亡場所フリー入力
								Me.dte084XSP180F010.Visible = True	'死亡日時（日）
								Me.msk085XSP180F010.Visible = True	'死亡日時（時間）
								Me.lbl086XSP180F010.Visible = True	'死亡区分選択ラベル
								Me.cmb087XSP180F010.Visible = True	'死亡区分選択
								Me.lbl088XSP180F010.Visible = True	'死亡区分選択名称ラベル
								Me.lbl089XSP180F010.Visible = True	'剖検区分選択ラベル
								Me.cmb090XSP180F010.Visible = True	'剖検区分選択
								Me.lbl091XSP180F010.Visible = True	'剖検区分選択名称ラベル
								Me.lbl099XSP180F010.Visible = True	'術後死亡区分ラベル
								Me.cmb100XSP180F010.Visible = True	'術後死亡区分
								Me.lbl101XSP180F010.Visible = True	'術後死亡区分名称ラベル
								Me.lbl102XSP180F010.Visible = True	'剖検番号ラベル
								Me.txt103XSP180F010.Visible = True	'剖検番号
								Me.btn104XSP180F010.Visible = False	'病名１ボタン
								Me.cmb105XSP180F010.Visible = False	'病名１コンボ入力
								Me.txt106XSP180F010.Visible = False	'病名１フリー入力
								Me.btn107XSP180F010.Visible = False	'病名２ボタン
								Me.cmb108XSP180F010.Visible = False	'病名２コンボ入力
								Me.txt109XSP180F010.Visible = False	'病名２フリー入力
								Me.txt111XSP180F010.Visible = True	'死亡情報コメント
								Me.btn077XSP180F010.Visible = False	'死亡情報修正ボタン
								Me.btn078XSP180F010.Visible = False	'死亡情報削除ボタン

								'サイズ変更
								Me.lbl110XSP180F010.Location = New Point(5, 110)		'コメントラベル
								Me.txt111XSP180F010.Location = New Point(96, 107)		'コメント入力
								Me.lbl112XSP180F010.Location = New Point(691, 138)		'最終更新日ラベル
								Me.lbl113XSP180F010.Location = New Point(780, 135)		'最終更新日表示
'(A) STR V4-11030-000 007 20110817 FJSK)荒川 XXX号 病歴大将V4PKG問題点No115 院外死亡の場合、剖検区分・剖検番号を表示するように対応
								Me.lbl089XSP180F010.Location = New Point(616, 62)		'剖検区分選択ラベル
								Me.cmb090XSP180F010.Location = New Point(688, 59)		'剖検区分選択
								Me.lbl091XSP180F010.Location = New Point(727, 60)		'剖検区分選択名称ラベル
								Me.lbl102XSP180F010.Location = New Point(616, 86)		'剖検番号ラベル
								Me.txt103XSP180F010.Location = New Point(688, 83)		'剖検番号
'(A) END V4-11030-000 007 20110817
								Me.grp075XSP180F010.Size = New Size(882, 160)
								Me.Size = New Size(897, 678)
								Exit Sub
							End If
						End If
					End If
				End If
			End With

			'死亡場所のコンボに何か入力されている　かつ
			'死亡場所のコンボで何か選択されている　かつ
			'選択している死亡場所が院内死亡場所なら　「院内」と判断するが、
			'それ以外はすべて院外死亡の表示にする
			Me.cmb080XSP180F010.Visible = True		'死亡場所選択
			Me.txt082XSP180F010.Visible = True		'死亡場所フリー入力
			Me.dte084XSP180F010.Visible = True		'死亡日時（日）
			Me.msk085XSP180F010.Visible = True		'死亡日時（時間）
			Me.lbl086XSP180F010.Visible = False		'死亡区分選択ラベル
			Me.cmb087XSP180F010.Visible = False		'死亡区分選択
			Me.lbl088XSP180F010.Visible = False		'死亡区分選択名称ラベル
'(M) STR V4-11030-000 008 20110817 FJSK)荒川 XXX号 病歴大将V4PKG問題点No115 院外死亡の場合、剖検区分・剖検番号を表示するように対応
'			Me.lbl089XSP180F010.Visible = False		'剖検区分選択ラベル
'			Me.cmb090XSP180F010.Visible = False		'剖検区分選択
'			Me.lbl091XSP180F010.Visible = False		'剖検区分選択名称ラベル
			Me.lbl089XSP180F010.Visible = True		'剖検区分選択ラベル
			Me.cmb090XSP180F010.Visible = True		'剖検区分選択
			Me.lbl091XSP180F010.Visible = True		'剖検区分選択名称ラベル
'(M) END V4-11030-000 008 20110817
			Me.lbl099XSP180F010.Visible = False		'術後死亡区分ラベル
			Me.cmb100XSP180F010.Visible = False		'術後死亡区分
			Me.lbl101XSP180F010.Visible = False		'術後死亡区分名称ラベル
'(M) STR V4-11030-000 006 20110817 FJSK)荒川 XXX号 病歴大将V4PKG問題点No115 院外死亡の場合、剖検区分・剖検番号を表示するように対応
'			Me.lbl102XSP180F010.Visible = False		'剖検番号ラベル
'			Me.txt103XSP180F010.Visible = False		'剖検番号
			Me.lbl102XSP180F010.Visible = True		'剖検番号ラベル
			Me.txt103XSP180F010.Visible = True		'剖検番号
'(M) END V4-11030-000 006 20110817
			Me.btn104XSP180F010.Visible = True		'病名１ボタン
			Me.cmb105XSP180F010.Visible = True		'病名１コンボ入力
			Me.txt106XSP180F010.Visible = True		'病名１フリー入力
			Me.btn107XSP180F010.Visible = True		'病名２ボタン
			Me.cmb108XSP180F010.Visible = True		'病名２コンボ入力
			Me.txt109XSP180F010.Visible = True		'病名２フリー入力
			Me.txt111XSP180F010.Visible = True		'死亡情報コメント
			If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then
				'参照モード以外で処理する
				Me.btn077XSP180F010.Visible = True		'死亡情報修正ボタン
				Me.btn078XSP180F010.Visible = True		'死亡情報削除ボタン
			End If

			'サイズ変更
			Me.lbl110XSP180F010.Location = New Point(5, 156)		'コメントラベル
			Me.txt111XSP180F010.Location = New Point(96, 153)		'コメント入力
			Me.lbl112XSP180F010.Location = New Point(691, 184)		'最終更新日ラベル
			Me.lbl113XSP180F010.Location = New Point(780, 181)		'最終更新日表示
'(A) STR V4-11030-000 007 20110817 FJSK)荒川 XXX号 病歴大将V4PKG問題点No115 院外死亡の場合、剖検区分・剖検番号を表示するように対応
			Me.lbl089XSP180F010.Location = New Point(288, 62)		'剖検区分選択ラベル
			Me.cmb090XSP180F010.Location = New Point(360, 59)		'剖検区分選択
			Me.lbl091XSP180F010.Location = New Point(399, 60)		'剖検区分選択名称ラベル
			Me.lbl102XSP180F010.Location = New Point(288, 86)		'剖検番号ラベル
			Me.txt103XSP180F010.Location = New Point(360, 83)		'剖検番号
'(A) END V4-11030-000 007 20110817
			Me.grp075XSP180F010.Size = New Size(882, 206)
			Me.Size = New Size(897, 724)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 性別選択画面制御
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGenderStatus()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "性別選択画面制御 START")
		Try
			If Me.cmb023XSP000F030.Text = CStr(clsConst.Enum_Gender.Woman) Then
				'性別が女なら妊娠・出産歴入力フィールドを有効にする
				Me.pnl032XSP180F010.Visible = True
			Else
				'性別が男なら妊娠・出産歴入力フィールドを無効（非表示）にする
				Me.pnl032XSP180F010.Visible = False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者検索画面表示
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub PatientFormProc()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "患者検索画面表示 START")
		Try
			Me.frmXSP010F010 = Nothing
			Me.frmXSP010F010 = New XSP010F010(CST_XSP010F010, Me.msk011XSP180F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)
			Me.nextForm(frmXSP010F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名検索画面表示
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub Icd10FormProc(ByVal cmb As BT_MultiComboBox)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "病名検索画面表示 START")
		Try
			Me.frmXSP110F010 = Nothing
			Me.frmXSP110F010 = New XSP110F010(cmb.Name, clsConst.Enum_OverWrite.OverWrite, Me.cmb023XSP000F030.Text, cmb.Text)
			Me.nextForm(Me.frmXSP110F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 住所検索画面表示
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddressFormProc(ByVal msk As BT_Mask)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "住所検索画面表示 START")
		Try
			Me.frmXSP090F010 = Nothing
			Me.frmXSP090F010 = New XSP090F010(msk.Name)
			Me.nextForm(Me.frmXSP090F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 妊娠歴変更処理
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setPregencyChangeStatus()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "妊娠歴変更処理 START")
		Try
			If Me.cmb034XSP180F010.Text = CStr(clsConst.Enum_Chk.ChkOn) Then
				'妊娠歴がある
				Me.num037XSP180F010.CanInput = True
				Me.cmb040XSP180F010.CanInput = True
			Else
				'妊娠歴がない
				Me.num037XSP180F010.CanInput = False
				Me.cmb040XSP180F010.CanInput = False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 出産歴変更処理
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCbChangeStatus()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "出産歴変更処理 START")
		Try
			If Me.cmb040XSP180F010.Text = CStr(clsConst.Enum_Chk.ChkOn) AndAlso Me.cmb034XSP180F010.Text = CStr(clsConst.Enum_Chk.ChkOn) Then
				'出産歴がある
				Me.num043XSP180F010.CanInput = True
			Else
				'出産歴がない
				Me.num043XSP180F010.CanInput = False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報をクリアする
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setClearScreenDeath()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "死亡情報をクリアする START")
		Try
			Me.cliCom.setComboValue(Me.cmb080XSP180F010, Nothing)	'死亡場所
			Me.txt082XSP180F010.Text = Nothing						'死亡場所フリー
			Me.dte084XSP180F010.DateValue = Nothing					'死亡日時（日）
			Me.msk085XSP180F010.Text = Nothing						'死亡日時（時間）
			Me.cliCom.setComboValue(Me.cmb087XSP180F010, Nothing)	'死亡区分
			Me.cliCom.setComboValue(Me.cmb090XSP180F010, Nothing)	'剖検区分
			Me.cliCom.setComboValue(Me.cmb100XSP180F010, Nothing)	'術後死亡区分
			Me.lbl093XSP180F010.Text = Nothing						'年齢
			Me.lbl095XSP180F010.Text = Nothing						'月齢
			Me.lbl097XSP180F010.Text = Nothing						'日齢
			Me.lbl097XSP180F010.Visible = False						'日齢非表示
			Me.lbl098XSP180F010.Visible = False						  '（）非表示
			Me.txt103XSP180F010.Text = Nothing						'剖検番号
			Me.cliCom.setComboValue(Me.cmb105XSP180F010, Nothing)	'病名コンボ１
			Me.txt106XSP180F010.Text = Nothing						'病名コンボ１テキスト
			Me.cliCom.setComboValue(Me.cmb108XSP180F010, Nothing)	'病名コンボ２
			Me.txt109XSP180F010.Text = Nothing						'病名コンボ２テキスト
			Me.txt111XSP180F010.Text = Nothing						'死亡情報コメント
			Me.lbl113XSP180F010.Text = Nothing						'死亡情報最終更新日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルの有無を判断して項目を返す
	''' </summary>
	''' <param name="dtTbl">データテーブル</param>
	''' <param name="itm">項目名</param>
	''' <returns>内容</returns>
	''' <remarks>
	''' 2010/11/15 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDtRXScreen(ByVal dtTbl As DataTable, ByVal itm As String) As String
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "データテーブルの有無を判断して項目を返す START")
		Try
			If dtTbl IsNot Nothing AndAlso dtTbl.Rows.Count > 0 Then
				Return dtTbl.Rows(0).Item(itm).ToString()
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ICD10コンボ再設定
	''' </summary>
	''' <param name="ctl">ICD10コードコンボ</param>
	''' <param name="db">クラスDB</param>
	''' <remarks>
	''' 2011/05/24 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setResetIcd10(ctl As BT_MultiComboBox, db As clsDB)
		Try
			Dim strIcd10 As String = Nothing
			Dim strIcd10Nm As String = Nothing
			Dim txtCtl As Control() = Me.Controls.Find(ctl.LinkControl, True)
			If txtCtl.Length > 0 Then
				strIcd10Nm = CType(txtCtl(0), BT_TextBox).Text
			End If

			With CType(ctl, BT_MultiComboBox)
				strIcd10 = .Text

				If .DataSource IsNot Nothing Then CType(.DataSource, DataTable).Dispose()
				.DataSource = Nothing
				.DisplayMember = "ICD10_CD"
				.DisplayMemberEx = "DISEASE_NM"
				'.ValueMember = "ICD10_CD"
				.MaxLength = 6
			End With

			'病名コンボ
			cliComboCom.setICD10Combo(Me, CType(ctl, BT_MultiComboBox), db)

			Me.cliCom.setComboValue(CType(ctl, BT_MultiComboBox), strIcd10)
			If txtCtl.Length > 0 Then
				CType(txtCtl(0), BT_TextBox).Text = strIcd10Nm
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ロード時の画面初期化処理
	''' </summary>
	''' <remarks>
	''' 2010/11/09 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setInitScreen()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "ロード時の画面初期化処理 START")
		Dim dtChk As DataTable = Nothing
		Dim dtIcd10 As DataTable = Nothing
		Try
			'画面初期化
			MyBase.setInitScreen()

			Using db As New clsDB(clsSysMst.ctlConfigData)
				With cliComboCom
					dtChk = .getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Chk)

					'血液型選択
					Me.cmb002XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_BloodType)
					Me.cmb002XSP180F010.setDropDownWidth()

					'Rh型選択
					Me.cmb005XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Rh)
					Me.cmb005XSP180F010.setDropDownWidth()

					'輸血歴選択
					Me.cmb008XSP180F010.DataSource = dtChk.Copy
					Me.cmb008XSP180F010.setDropDownWidth()

					'喫煙歴選択
					Me.cmb015XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_SmokinChk)
					Me.cmb015XSP180F010.setDropDownWidth()

					'飲酒歴選択
					Me.cmb030XSP180F010.DataSource = dtChk.Copy
					Me.cmb030XSP180F010.setDropDownWidth()

					'妊娠歴選択
					Me.cmb034XSP180F010.DataSource = dtChk.Copy
					Me.cmb034XSP180F010.setDropDownWidth()

					'出産歴選択
					Me.cmb040XSP180F010.DataSource = dtChk.Copy
					Me.cmb040XSP180F010.setDropDownWidth()

'(D) STR V4-14053-000 005 20131023 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
'					'最終受診科
'					Me.cmb052XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Dept_Dsp)
'					Me.cmb052XSP180F010.setDropDownWidth()
'(D) STR V4-14053-000 005 20131023 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)

					'国籍
					Me.cmb055XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Nnationality)
					Me.cmb055XSP180F010.setDropDownWidth()

					'出生地選択
					Me.cmb058XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Prefecture)
					Me.cmb058XSP180F010.setDropDownWidth()

					'続柄選択
					Me.cmb066XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Relation)
					Me.cmb066XSP180F010.setDropDownWidth()

					'死亡場所(ロード時は院内を含めた情報を表示する
					Me.cmb080XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathLctXFix1)
					Me.cmb080XSP180F010.setDropDownWidth()

					'死亡区分
					Me.cmb087XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathDiv)
					Me.cmb087XSP180F010.setDropDownWidth()

					'剖検区分
					Me.cmb090XSP180F010.DataSource = dtChk.Copy
					Me.cmb090XSP180F010.setDropDownWidth()

					'術後死亡区分
					Me.cmb100XSP180F010.DataSource = .getCombo(db, clsComboCom.Enum_ComboType.Enum_M_PostperativeDeceaseDiv)
					Me.cmb100XSP180F010.setDropDownWidth()
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			dtChk = Nothing
			dtIcd10 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 戻り処理
	''' </summary>
	''' <param name="ret">処理フラグ</param>
	''' <param name="de">処理データ（Key、Data）</param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "戻り処理 START")
		Try
			Select Case de.Key
				Case CST_XSP170F010
					'診療情報管理の患者登録画面から患者番号入力画面は立ち上がらない
				Case CST_XSP010F010
					'関連患者番号検索画面からの戻り
					If Me.frmXSP010F010 IsNot Nothing Then Me.frmXSP010F010.Dispose()
					Me.frmXSP010F010 = Nothing

					'確定したなら関連患者番号と氏名を変更する
					If ret = Enum_FormReturn.OK Then
						With CType(de.Value, datXTI_BASICINFO_OneRec)
							Me.msk011XSP180F010.Text = .PATIENT_NO
							Me.lbl012XSP180F010.Text = .PATIENT_NM
						End With
					End If

					'関連患者番号を指定する
					Me.msk011XSP180F010.Focus()
					Me.msk011XSP180F010.SelectAll()
				Case Me.msk070XSP180F010.Name
					'住所検索画面からの戻り
					If Me.frmXSP090F010 IsNot Nothing Then Me.frmXSP090F010.Dispose()
					Me.frmXSP090F010 = Nothing

					If ret = Enum_FormReturn.OK Then
						If de.Value IsNot Nothing AndAlso TypeOf de.Value Is ArrayList Then
							With CType(de.Value, ArrayList)
								If .Count = 2 Then
									Me.msk070XSP180F010.Text = CType(.Item(1), datMTM_ADDRESS_OneRec).ZIP_CD
									If .Item(0) = CStr(clsConst.Enum_OverWrite.OverWrite) Then
										Me.txt074XSP180F010.Text = CType(.Item(1), datMTM_ADDRESS_OneRec).PREFECTURE_NM & _
										 CType(.Item(1), datMTM_ADDRESS_OneRec).MUNICIPALITY_NM & _
										 CType(.Item(1), datMTM_ADDRESS_OneRec).DISTRICT_NM
									End If
								End If
							End With
						End If
					End If

					'郵便番号にフォーカスを充てる
					Me.msk070XSP180F010.Focus()
					Me.msk070XSP180F010.SelectAll()
				Case Me.cmb105XSP180F010.Name, Me.cmb108XSP180F010.Name
					'病名検索画面からの戻り
					If Me.frmXSP110F010 IsNot Nothing Then Me.frmXSP110F010.Dispose()
					Me.frmXSP110F010 = Nothing

					Me.SuspendLayout()
					Try
						If Not String.IsNullOrEmpty(de.Key) Then
							Dim strIcd10 As String = Nothing
							Dim strIcd10Nm As String = Nothing
							Dim cmbCtl As Control() = Me.Controls.Find(de.Key, True)

							If cmbCtl.Length > 0 Then
								Using db As New clsDB(clsSysMst.ctlConfigData)
									Me.setResetIcd10(CType(cmbCtl(0), BT_MultiComboBox), db)
								End Using

								With CType(cmbCtl(0), BT_MultiComboBox)
									.Focus()
									.SelectAll()
								End With
							End If
						End If

						If ret = Enum_FormReturn.OK Then
							If de.Value IsNot Nothing AndAlso TypeOf de.Value Is ArrayList Then
								With CType(de.Value, ArrayList)
									If .Count = 2 Then
										'コンボとラベルに選択した内容を表示する
										Dim ctl As Control() = Me.Controls.Find(de.Key, True)
										If ctl.Length > 0 Then
											'コンボに設定
											Me.cliCom.setComboValue(CType(ctl(0), BT_MultiComboBox), CType(.Item(1), datMTM_DISEASE_OneRec).ICD10_CD)
											'CType(ctl(0), BT_MultiComboBox).Text = CType(.Item(1), datMTM_DISEASE_OneRec).ICD10_CD
											ctl(0).Focus()			'フォーカス移動

											'ラベルに設定
											If Not String.IsNullOrEmpty(CType(ctl(0), BT_MultiComboBox).LinkControl) Then
												Dim txtctl As Control() = Me.Controls.Find(CType(ctl(0), BT_MultiComboBox).LinkControl, True)
												If txtctl.Length > 0 AndAlso .Item(0) = CStr(clsConst.Enum_OverWrite.OverWrite) Then
													txtctl(0).Text = CType(.Item(1), datMTM_DISEASE_OneRec).DISEASE_NM
												End If
											End If
										End If
									End If
								End With
							End If
						End If
					Catch ex As Exception
						Throw
					Finally
						Me.ResumeLayout()
					End Try

'(A) STR V4-14053-000 024 20131018 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
				Case "XSP260F010"
					If ret = frmBase.Enum_FormReturn.OK Then

						If arXTM_SUBJECT_CONSULTATION_Mng.Rows.Count > 0 Then

							Dim dv As New DataView(arXTM_SUBJECT_CONSULTATION_Mng)

							'データテーブル変数をソート（来週来院日降順、診療科コード昇順）これの先頭レコードをセットする。
							dv.Sort = "FINALHSPVST_DT DESC , DEPT_CD ASC"
							cmb043XSP000F030.Text = dv.Item(0).Item(1)			'最終診療科コード
							If IsDBNull(dv.Item(0).Item(3)) Then
								dte030XSP000F030.DateValue = Nothing			'初回来院日
							Else
								dte030XSP000F030.DateValue = dv.Item(0).Item(3)	'初回来院日
							End If
							If IsDBNull(dv.Item(0).Item(5)) Then
								dte032XSP000F030.DateValue = Nothing			'最終来院日
							Else
								dte032XSP000F030.DateValue = dv.Item(0).Item(5)	'最終来院日
							End If
						End If
					End If
'(A) END V4-14053-000 024 20131018 ID)平井

				Case Else
			End Select
		Catch ex As Exception
			Throw
		Finally
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面情報初期化
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setClearScreen()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "画面情報初期化 START")
		Try
			'共通
'(M) STR V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
			'Me.lbl009XSP000F030.Text = Nothing						'患者番号
			Me.txt047XSP000F030.Text = Nothing						'患者番号
'(M) END V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
			Me.txt011XSP000F030.Text = Nothing						'氏名
			Me.txt013XSP000F030.Text = Nothing						'旧氏名１
			Me.txt015XSP000F030.Text = Nothing						'旧氏名２
			Me.txt017XSP000F030.Text = Nothing						'カナ
			Me.txt019XSP000F030.Text = Nothing						'旧カナ１
			Me.txt021XSP000F030.Text = Nothing						'旧カナ２
			Me.cliCom.setComboValue(Me.cmb023XSP000F030, Nothing)	'性別コード
			Me.dte026XSP000F030.DateValue = Nothing					'生年月日
			Me.txt028XSP000F030.Text = Nothing						'備考
			Me.dte030XSP000F030.DateValue = Nothing					'初回来院日
			Me.dte032XSP000F030.DateValue = Nothing					'最終来院日
			Me.dte034XSP000F030.DateValue = Nothing					'最終退院日
			Me.lbl036XSP000F030.Text = Nothing						'最終更新日
			Me.lbl038XSP000F030.Text = Nothing						'データ取り込み日
			Me.lbl040XSP000F030.Text = Nothing						'新規登録日

			'診療情報管理
			Me.cliCom.setComboValue(Me.cmb002XSP180F010, Nothing)	'血液型
			Me.cliCom.setComboValue(Me.cmb005XSP180F010, Nothing)	'RH
			Me.cliCom.setComboValue(Me.cmb008XSP180F010, Nothing)	'輸血歴
			Me.msk011XSP180F010.Text = Nothing						'関連患者番号
			Me.lbl012XSP180F010.Text = Nothing						'関連患者番号（氏名）
			Me.cliCom.setComboValue(Me.cmb015XSP180F010, Nothing)	'喫煙歴有無
			Me.num018XSP180F010.Text = Nothing						'吸い始め年齢
			Me.num021XSP180F010.Text = Nothing						'吸い終わり年齢
			Me.num024XSP180F010.Text = Nothing						'喫煙本数
			Me.num027XSP180F010.Text = Nothing						'喫煙年数
			Me.cliCom.setComboValue(Me.cmb030XSP180F010, Nothing)	'飲酒歴
			Me.cliCom.setComboValue(Me.cmb034XSP180F010, Nothing)	'妊娠歴
			Me.num037XSP180F010.Text = Nothing						'妊娠回数
			Me.cliCom.setComboValue(Me.cmb040XSP180F010, Nothing)	'出産歴
			Me.num043XSP180F010.Text = Nothing						'出産回数
			Me.num046XSP180F010.Text = Nothing						'初潮年齢
			Me.num049XSP180F010.Text = Nothing						'閉経年齢
'(D) STR V4-14053-000 003 20131023 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
'			Me.cliCom.setComboValue(Me.cmb052XSP180F010, Nothing)	'最終受診科
'(D) END V4-14053-000 003 20131023 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
			Me.cliCom.setComboValue(Me.cmb055XSP180F010, Nothing)	'国籍コード
			Me.cliCom.setComboValue(Me.cmb058XSP180F010, Nothing)	'出生地
			Me.txt060XSP180F010.Text = Nothing						'出生地フリー
			Me.txt064XSP180F010.Text = Nothing						'氏名
			Me.cliCom.setComboValue(Me.cmb066XSP180F010, Nothing)	'続柄
			Me.msk070XSP180F010.Text = Nothing						'郵便番号
			Me.txt072XSP180F010.Text = Nothing						'電話番号
			Me.txt074XSP180F010.Text = Nothing						'住所

			'死亡情報をクリアする
			Me.setClearScreenDeath()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面の内容を保存メモリに保持
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setMemoryData(ByRef datBasic As datXSP000F030_Basicinfo, ByRef datDeath As datXSP000F030_Death)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, " 画面の内容を保存メモリに保持 START")
		Dim datDeathLct As datMTM_DEATH_LCT_OneRec = Nothing
		Try
			datBasic = Nothing
			datBasic = New datXSP000F030_Basicinfo				'基本情報インスタンス化
			datDeath = Nothing										'死亡情報は登録しないためNothing（デフォルト）

			'貸出管理は基本情報のみ更新する
			With datBasic
'(M) STR V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
				'.PATIENT_NO = Me.lbl009XSP000F030.Text					'患者番号
				.PATIENT_NO = Me.txt047XSP000F030.Text					'患者番号
'(M) END V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
				.PATIENT_NM = Me.txt011XSP000F030.Text					'氏名
				.PREVIOUS1_NM = Me.txt013XSP000F030.Text				'旧氏名１
				.PREVIOUS2_NM = Me.txt015XSP000F030.Text				'旧氏名２
				.PATIENT_KNM = Me.txt017XSP000F030.Text					'カナ
				.PREVIOUS1_KNM = Me.txt019XSP000F030.Text				'旧カナ１
				.PREVIOUS2_KNM = Me.txt021XSP000F030.Text				'旧カナ２

				.GENDER_CD = Me.cmb023XSP000F030.Text					'性別コード
				.BIRTH_DT = Me.dte026XSP000F030.DateValue				'生年月日

				.REMARKS = Me.txt028XSP000F030.Text						'備考

				.FIRSTHSPVST_DT = Me.dte030XSP000F030.DateValue			'初回来院日
				.LASTHSPVST_DT = Me.dte032XSP000F030.DateValue			'最終来院日
				.LASTLEFTHSP_DT = Me.dte034XSP000F030.DateValue			'最終退院日

				'診療情報管理
				.BLOODTYPE_CD = Me.cmb002XSP180F010.Text				'血液型
				.RH_CD = Me.cmb005XSP180F010.Text						'RH型
				.BLOOD_TRAN_CHK = Me.cmb008XSP180F010.Text				'輸血歴
				.RELATION_PATIENT_NO = Me.msk011XSP180F010.Text			'関連患者番号
				.SMOKING_CHK = Me.cmb015XSP180F010.Text					'喫煙歴選択
				If Me.num018XSP180F010.CanInput Then .SMOKING_START_AGE = Me.num018XSP180F010.Text '吸い始め年齢
				If Me.num021XSP180F010.CanInput Then .SMOKING_END_AGE = Me.num021XSP180F010.Text '吸い終わり年齢
				If Me.num024XSP180F010.CanInput Then .SMOKING_COUNT = Me.num024XSP180F010.Text '喫煙本数
				If Me.num027XSP180F010.CanInput Then .SMOKING_AGE = Me.num027XSP180F010.Text '喫煙年数
				.DRINKING_CHK = Me.cmb030XSP180F010.Text				'飲酒歴
				If Me.pnl032XSP180F010.Visible Then .PREGNANCY_CHK = Me.cmb034XSP180F010.Text '妊娠歴
				If Me.pnl032XSP180F010.Visible AndAlso Me.num037XSP180F010.CanInput Then .PREGNANCY_COUNT = Me.num037XSP180F010.Text '妊娠回数
				If Me.pnl032XSP180F010.Visible AndAlso Me.cmb040XSP180F010.CanInput Then .CB_CHK = Me.cmb040XSP180F010.Text '出産歴
				If Me.pnl032XSP180F010.Visible AndAlso Me.num043XSP180F010.CanInput Then .CB_COUNT = Me.num043XSP180F010.Text '出産回数
				If Me.pnl032XSP180F010.Visible Then .MENARCHE_AGE = Me.num046XSP180F010.Text '初潮年齢
				If Me.pnl032XSP180F010.Visible Then .MENOPAUSE_AGE = Me.num049XSP180F010.Text '閉経年齢

'(A) STR V4-14053-000 004 20130909 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
				'.LASTDEPT_CD = Me.cmb052XSP180F010.Text					'最終受診科コード
				.LASTDEPT_CD = Me.cmb043XSP000F030.Text
'(A) STR V4-14053-000 004 20130909 ID)平井
				.NATIONALITY_CD = Me.cmb055XSP180F010.Text				'国籍コード
				.DOMICILE_ADDRESS_CD = Me.cmb058XSP180F010.Text			'出生地コード
				.DOMICILE_ADDRESS = Me.txt060XSP180F010.Text			'出生地
				.CONTACT_PATIENT_NM = Me.txt064XSP180F010.Text			'連絡先氏名
				.CONTACT_RELATION = Me.cmb066XSP180F010.Text			'連絡先続柄

				'.CONTACT_ZIP_CD = Me.msk070XSP180F010.Text
				If Not Me.msk070XSP180F010.IsNullOrEmpty Then
					.CONTACT_ZIP_CD = Me.msk070XSP180F010.Text.Replace("-", "")				 '連絡先郵便番号
				End If

				.CONTACT_TELNUMBER = Me.txt072XSP180F010.Text			'連絡先電話番号
				.CONTACT_ADDRESS = Me.txt074XSP180F010.Text				'連絡先連絡先
			End With

			If Not (Not Me.cmb080XSP180F010.CanInput AndAlso String.IsNullOrEmpty(Me.cmb080XSP180F010.Text)) Then
				'院外のみ更新
				If Not String.IsNullOrEmpty(Me.cmb080XSP180F010.Text) Then
					Using db As New clsDB(clsSysMst.ctlConfigData)
						'死亡場所情報取得
						datDeathLct = cliMTM_DEATH_LCT.getMTM_DEATH_LCT_OneRec(db, Me.cmb080XSP180F010.Text)
						If datDeathLct Is Nothing OrElse datDeathLct.FIXED_CD <> CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
							datDeath = New datXSP000F030_Death				'死亡情報は登録しないためNothing（デフォルト）
							With datDeath
								.DEATH_LCT_CD = Me.cmb080XSP180F010.Text			'死亡場所
								.DEATH_LCT = Me.txt082XSP180F010.Text				'死亡場所フリー
								.DEATH_DT = Me.dte084XSP180F010.DateValue			'死亡日（日）
								If Not Me.msk085XSP180F010.IsNullOrEmpty Then
									.DEATH_TIME = Me.msk085XSP180F010.Text				'死亡時間（時間）
								End If
								.DEATH_DIV = Me.cmb087XSP180F010.Text				'死亡区分
								.AUTOPSY_CHK = Me.cmb090XSP180F010.Text				'剖検区分
								.DEATH_AGE = Me.lbl093XSP180F010.Text				'死亡時年齢
								.DEATH_MONTH_AGE = Me.lbl095XSP180F010.Text			'死亡時月齢
								.DEATH_DAY_AGE = Me.lbl097XSP180F010.Text			'死亡時日齢
								.AFTER_OPE_DEATH_DIV = Me.cmb100XSP180F010.Text		'術後死亡区分
								.AUTOPSY_NO = Me.txt103XSP180F010.Text				'剖検番号
								.DEATH_REMARKS = Me.txt111XSP180F010.Text			'死亡時コメント
								.DEATH_DISEASE1_CD = Me.cmb105XSP180F010.Text		'病名１コード
								.DEATH_DISEASE1 = Me.txt106XSP180F010.Text			'病名１名称
								.DEATH_DISEASE2_CD = Me.cmb108XSP180F010.Text		'病名２コード
								.DEATH_DISEASE2 = Me.txt109XSP180F010.Text			'病名２名称
							End With
						End If
					End Using
				End If
			End If

			Me.deathNoUpdFlg = False
			If Me.cmb080XSP180F010.CanInput = False Then
				'死亡情報欄が未入力状態なら何もしない
				'※生年月日変更での死亡情報の変更はこのフラグの対象から除く
				Me.deathNoUpdFlg = True
			End If

			Me.deathDellflg = False
			If String.IsNullOrEmpty(Me.cmb080XSP180F010.Text) Then
				'死亡場所がNULLの場合は死亡情報を削除する
				'死亡情報を削除する
				Me.deathDellflg = True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報最終更新日更新
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setDeathLastUpd()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "死亡情報最終更新日更新 START")
		Try
			Me.lbl113XSP180F010.Text = Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DB情報で画面内容を更新する
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setUpdScreen()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "DB情報で画面内容を更新する START")
		Dim datBasic As DataTable = Nothing
		Dim datRelaBasic As datXTI_BASICINFO_OneRec = Nothing
		Dim datDeath As datMTI_DEATH_OneRec = Nothing
		Dim datDeathLct As datMTM_DEATH_LCT_OneRec = Nothing
		Try
			'患者番号が指定されている場合は患者情報を設定
'(M) STR V4-14111-000 006 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
			'datBasic = Me.cliXTI_BASICINFO.getPatientOneRecDa(Me.lbl009XSP000F030.Text)
			'datDeath = Me.cliMTI_DEATH.getDeathOneRec(Me.lbl009XSP000F030.Text)
			datBasic = Me.cliXTI_BASICINFO.getPatientOneRecDa(Me.txt047XSP000F030.Text)
			datDeath = Me.cliMTI_DEATH.getDeathOneRec(Me.txt047XSP000F030.Text)
'(M) END V4-14111-000 006 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応

			If datBasic Is Nothing OrElse datBasic.Rows.Count = 0 Then
				'データがなければ必ず新規モードとする
				Me._exemode = Enum_XSP000F030_ExeMode.Ins
			Else
				'参照モードで無い場合はデータが存在すればかならず更新モードとする
				If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then
					Me._exemode = Enum_XSP000F030_ExeMode.Upd
				End If

				'更新モード（ヘッダー部設定）
				Me.btn004XSP000F030.Enabled = True														'更新ボタン有効
				Me.btn004XSP000F030.Text = CST_UPD_TEXT													'更新ボタン名称変更「患者更新(F7)」
				Me.btn005XSP000F030.Enabled = True														'削除ボタン有効
			End If

			If datDeath Is Nothing Then
				datDeath = New datMTI_DEATH_OneRec
			End If

			'取得したデータクラスで画面を構成する
			'With datBasic
			If datBasic IsNot Nothing AndAlso datBasic.Rows.Count > 0 Then
				With datBasic.Rows(0)
					Me.txt011XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmPATIENT_NM).ToString											'氏名
					Me.txt013XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmPREVIOUS1_NM).ToString											'旧氏名１
					Me.txt015XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmPREVIOUS2_NM).ToString											'旧氏名２
					Me.txt017XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmPATIENT_KNM).ToString											'カナ	
					Me.txt019XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmPREVIOUS1_KNM).ToString										'旧カナ１
					Me.txt021XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmPREVIOUS2_KNM).ToString										'旧カナ２
					Me.cliCom.setComboValue(Me.cmb023XSP000F030, .Item(sqlXTI_BASICINFO.itmGENDER_CD).ToString)							'性別コード

'(A) STR V4-14053-000 003 20130909 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
					Me.cliCom.setComboValue(Me.cmb043XSP000F030, .Item(sqlXTI_BASICINFO.itmLASTDEPT_CD).ToString)						'最終受診科
'(A) STR V4-14053-000 003 20130909 ID)平井

					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmBIRTH_DT).ToString) Then											'生年月日日
						Me.dte026XSP000F030.DateValue = Nothing
					Else
						Me.dte026XSP000F030.DateValue = CDate(.Item(sqlXTI_BASICINFO.itmBIRTH_DT))
					End If

					Me.txt028XSP000F030.Text = .Item(sqlXTI_BASICINFO.itmREMARKS).ToString												'コメント
					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmFIRSTHSPVST_DT).ToString) Then									'初回来院日
						Me.dte030XSP000F030.DateValue = Nothing
					Else
						Me.dte030XSP000F030.DateValue = CDate(.Item(sqlXTI_BASICINFO.itmFIRSTHSPVST_DT))
					End If

					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmLASTHSPVST_DT).ToString) Then										'最終来院日
						Me.dte032XSP000F030.DateValue = Nothing
					Else
						Me.dte032XSP000F030.DateValue = CDate(.Item(sqlXTI_BASICINFO.itmLASTHSPVST_DT))
					End If

					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmLASTLEFTHSP_DT).ToString) Then									'最終退院日
						Me.dte034XSP000F030.DateValue = Nothing
					Else
						Me.dte034XSP000F030.DateValue = CDate(.Item(sqlXTI_BASICINFO.itmLASTLEFTHSP_DT))
					End If


					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmLASTUPD_DT).ToString) Then										'最終更新日
						Me.lbl036XSP000F030.Text = Nothing
					Else
						Me.lbl036XSP000F030.Text = CDate(.Item(sqlXTI_BASICINFO.itmLASTUPD_DT)).ToString(clsConst.CST_YYYYMMDD_FORMAT)
					End If

					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmDATA_CAPTURE_DT).ToString) Then									'データ取込日
						Me.lbl038XSP000F030.Text = Nothing
					Else
						Me.lbl038XSP000F030.Text = CDate(.Item(sqlXTI_BASICINFO.itmDATA_CAPTURE_DT)).ToString(clsConst.CST_YYYYMMDD_FORMAT)
					End If

					If String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmNEW_REG_DT).ToString) Then										'初回登録日
						Me.lbl040XSP000F030.Text = Nothing
					Else
						Me.lbl040XSP000F030.Text = CDate(.Item(sqlXTI_BASICINFO.itmNEW_REG_DT)).ToString(clsConst.CST_YYYYMMDD_FORMAT)
					End If

					'診療情報管理
					Me.cliCom.setComboValue(Me.cmb002XSP180F010, .Item(sqlXTI_BASICINFO.itmBLOODTYPE_CD).ToString)						'血液型
					Me.cliCom.setComboValue(Me.cmb005XSP180F010, .Item(sqlXTI_BASICINFO.itmRH_CD).ToString)								'RH
					Me.cliCom.setComboValue(Me.cmb008XSP180F010, .Item(sqlXTI_BASICINFO.itmBLOOD_TRAN_CHK).ToString)					'輸血歴
					Me.msk011XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmRELATION_PATIENT_NO).ToString									'関連患者番号

					'関連患者番号（氏名）
					datRelaBasic = cliXTI_BASICINFO.getPatientOneRec(.Item(sqlXTI_BASICINFO.itmRELATION_PATIENT_NO).ToString)
					If datRelaBasic IsNot Nothing AndAlso Not String.IsNullOrEmpty(.Item(sqlXTI_BASICINFO.itmRELATION_PATIENT_NO).ToString) Then
						Me.lbl012XSP180F010.Text = datRelaBasic.PATIENT_NM
					Else
						Me.lbl012XSP180F010.Text = Nothing
					End If

					Me.cliCom.setComboValue(Me.cmb015XSP180F010, .Item(sqlXTI_BASICINFO.itmSMOKING_CHK).ToString)						'喫煙歴有無
					Me.num018XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmSMOKING_START_AGE).ToString									'吸い始め年齢
					Me.num021XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmSMOKING_END_AGE).ToString										'吸い終わり年齢
					Me.num024XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmSMOKING_COUNT).ToString										'喫煙本数
					Me.num027XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmSMOKING_AGE).ToString											'喫煙年数
					Me.cliCom.setComboValue(Me.cmb030XSP180F010, .Item(sqlXTI_BASICINFO.itmDRINKING_CHK).ToString)						'飲酒歴
					Me.cliCom.setComboValue(Me.cmb034XSP180F010, .Item(sqlXTI_BASICINFO.itmPREGNANCY_CHK).ToString)						'妊娠歴
					Me.num037XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmPREGNANCY_COUNT).ToString										'妊娠回数
					Me.cliCom.setComboValue(Me.cmb040XSP180F010, .Item(sqlXTI_BASICINFO.itmCB_CHK).ToString)							'出産歴
					Me.num043XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmCB_COUNT).ToString												'出産回数
					Me.num046XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmMENARCHE_AGE).ToString											'初潮年齢
					Me.num049XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmMENOPAUSE_AGE).ToString										'閉経年齢
'(D) STR V4-14053-000 003 20130909 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
'					Me.cliCom.setComboValue(Me.cmb052XSP180F010, .Item(sqlXTI_BASICINFO.itmLASTDEPT_CD).ToString)						'最終受診科
'(D) END V4-14053-000 003 20130909 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
					Me.cliCom.setComboValue(Me.cmb055XSP180F010, .Item(sqlXTI_BASICINFO.itmNATIONALITY_CD).ToString)					'国籍コード
					Me.cliCom.setComboValue(Me.cmb058XSP180F010, .Item(sqlXTI_BASICINFO.itmDOMICILE_ADDRESS_CD).ToString)				'出生地
					Me.txt060XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmDOMICILE_ADDRESS).ToString										'出生地フリー
					Me.txt064XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmCONTACT_PATIENT_NM).ToString									'氏名
					Me.cliCom.setComboValue(Me.cmb066XSP180F010, .Item(sqlXTI_BASICINFO.itmCONTACT_RELATION).ToString)					'続柄
					Me.msk070XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmCONTACT_ZIP_CD).ToString										'郵便番号
					Me.txt072XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmCONTACT_TELNUMBER).ToString									'電話番号
					Me.txt074XSP180F010.Text = .Item(sqlXTI_BASICINFO.itmCONTACT_ADDRESS).ToString										'住所
				End With
			Else
				Me.txt011XSP000F030.Text = Nothing												'氏名
				Me.txt013XSP000F030.Text = Nothing												'旧氏名１
				Me.txt015XSP000F030.Text = Nothing												'旧氏名２
				Me.txt017XSP000F030.Text = Nothing												'カナ	
				Me.txt019XSP000F030.Text = Nothing												'旧カナ１
				Me.txt021XSP000F030.Text = Nothing												'旧カナ２
				Me.cliCom.setComboValue(Me.cmb023XSP000F030, Nothing)							'性別コード
				Me.dte026XSP000F030.DateValue = Nothing											'生年月日
				Me.txt028XSP000F030.Text = Nothing												'コメント
				Me.dte030XSP000F030.DateValue = Nothing											'初回来院日
				Me.dte032XSP000F030.DateValue = Nothing											'最終来院日
				Me.dte034XSP000F030.DateValue = Nothing											'最終退院日
				Me.lbl036XSP000F030.Text = Nothing												'最終更新日
				Me.lbl038XSP000F030.Text = Nothing												'データ取込日
				Me.lbl040XSP000F030.Text = Nothing												'初回登録日

				'診療情報管理
				Me.cliCom.setComboValue(Me.cmb002XSP180F010, Nothing)							'血液型
				Me.cliCom.setComboValue(Me.cmb005XSP180F010, Nothing)							'RH
				Me.cliCom.setComboValue(Me.cmb008XSP180F010, Nothing)							'輸血歴
				Me.msk011XSP180F010.Text = Nothing												'関連患者番号
				Me.lbl012XSP180F010.Text = Nothing												'関連患者番号氏名

				Me.cliCom.setComboValue(Me.cmb015XSP180F010, Nothing)							'喫煙歴有無
				Me.num018XSP180F010.Text = Nothing												'吸い始め年齢
				Me.num021XSP180F010.Text = Nothing												'吸い終わり年齢
				Me.num024XSP180F010.Text = Nothing												'喫煙本数
				Me.num027XSP180F010.Text = Nothing												'喫煙年数
				Me.cliCom.setComboValue(Me.cmb030XSP180F010, Nothing)							'飲酒歴
				Me.cliCom.setComboValue(Me.cmb034XSP180F010, Nothing)							'妊娠歴
				Me.num037XSP180F010.Text = Nothing												'妊娠回数
				Me.cliCom.setComboValue(Me.cmb040XSP180F010, Nothing)							'出産歴
				Me.num043XSP180F010.Text = Nothing												'出産回数
				Me.num046XSP180F010.Text = Nothing												'初潮年齢
				Me.num049XSP180F010.Text = Nothing												'閉経年齢
'(D) STR V4-14053-000 003 20130909 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
'				Me.cliCom.setComboValue(Me.cmb052XSP180F010, Nothing)							'最終受診科
'(D) END V4-14053-000 003 20130909 ID)平井(貸出管理レベルアップ２次開発　科別の最終来院日管理)
				Me.cliCom.setComboValue(Me.cmb055XSP180F010, Nothing)							'国籍コード
				Me.cliCom.setComboValue(Me.cmb058XSP180F010, Nothing)							'出生地
				Me.txt060XSP180F010.Text = Nothing												'出生地フリー
				Me.txt064XSP180F010.Text = Nothing												'氏名
				Me.cliCom.setComboValue(Me.cmb066XSP180F010, Nothing)							'続柄
				Me.msk070XSP180F010.Text = Nothing												'郵便番号
				Me.txt072XSP180F010.Text = Nothing												'電話番号
				Me.txt074XSP180F010.Text = Nothing												'住所
			End If
			'End With
			With datDeath
				Me.cliCom.setComboValue(Me.cmb080XSP180F010, .DEATH_LCT_CD)						'死亡場所
				Me.txt082XSP180F010.Text = .DEATH_LCT											'死亡場所フリー
				Me.dte084XSP180F010.DateValue = datDeath.DEATH_DT								'死亡日時（日）
				Me.msk085XSP180F010.Text = datDeath.DEATH_TIME									'死亡日時（時間）
				Me.cliCom.setComboValue(Me.cmb087XSP180F010, .DEATH_DIV)						'死亡区分
				Me.cliCom.setComboValue(Me.cmb090XSP180F010, .AUTOPSY_CHK)						'剖検区分
				Me.cliCom.setComboValue(Me.cmb100XSP180F010, .AFTER_OPE_DEATH_DIV)				'術後死亡区分
				Me.lbl093XSP180F010.Text = .DEATH_AGE											'年齢
				Me.lbl095XSP180F010.Text = .DEATH_MONTH_AGE										'月齢
				Me.lbl097XSP180F010.Text = .DEATH_DAY_AGE										'日齢

				If clsConst.CST_DAYAGE_MAX <= .DEATH_DAY_AGE Then
					Me.lbl097XSP180F010.Visible = False											'日齢非表示
					Me.lbl098XSP180F010.Visible = False											'（）非表示
				Else
					Me.lbl097XSP180F010.Visible = True											'日齢非表示
					Me.lbl098XSP180F010.Visible = True											'（）非表示
				End If

				Me.txt103XSP180F010.Text = .AUTOPSY_NO

				'If Not String.IsNullOrEmpty(Me.cmb080XSP180F010.Text) Then '院外のときのみ病名コンボの設定を行う
				'	Using db As New clsDB(clsSysMst.ctlConfigData)
				'		'死亡場所情報取得
				'		datDeathLct = cliMTM_DEATH_LCT.getMTM_DEATH_LCT_OneRec(db, Me.cmb080XSP180F010.Text)
				'		If datDeathLct Is Nothing OrElse datDeathLct.FIXED_CD <> CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
				'			'院内死亡場所以外はすべて病名コンボボックスを設定する
				'			'病名コンボ1
				'			cliComboCom.setICD10Combo(Me, Me.cmb105XSP180F010, db)

				'			'病名コンボ2
				'			cliComboCom.setICD10Combo(Me, Me.cmb108XSP180F010, db)
				'		End If
				'	End Using
				'Else
				'	If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then '院外のときのみ病名コンボの設定を行う
				'		Using db As New clsDB(clsSysMst.ctlConfigData)
				'			'病名コンボ1
				'			cliComboCom.setICD10Combo(Me, Me.cmb105XSP180F010, db)

				'			'病名コンボ2
				'			cliComboCom.setICD10Combo(Me, Me.cmb108XSP180F010, db)
				'		End Using
				'	End If
				'End If

				Me.cliCom.setManyValueComboValue(Me.cmb105XSP180F010, .DEATH_DISEASE1_CD, "", "")				 '病名コンボ１
				Me.txt106XSP180F010.Text = .DEATH_DISEASE1														'病名コンボ１テキスト
				Me.cliCom.setManyValueComboValue(Me.cmb108XSP180F010, .DEATH_DISEASE2_CD, "", "")				 '病名コンボ２
				Me.txt109XSP180F010.Text = .DEATH_DISEASE2														'病名コンボ２テキスト
				Me.txt111XSP180F010.Text = .DEATH_REMARKS														'死亡情報コメント
				If .LASTUPD_DT.Equals(Nothing) Then
					Me.lbl113XSP180F010.Text = Nothing											'死亡情報最終更新日
				Else
					Me.lbl113XSP180F010.Text = .LASTUPD_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)	'死亡情報最終更新日
				End If
			End With

			'一度画面に反映した内容をメモリに設定する
			Me.setMemoryData(Me.datSAVE_BASICINFO, Me.datSAVE_DEATH)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "入力チェック START")
		Dim datDeathLct As datMTM_DEATH_LCT_OneRec = Nothing
		Try
			' コントロール値確定
			If Not Me.ValidateChildren() Then
				Return False
			End If

			' 氏名
			If String.IsNullOrEmpty(Me.txt011XSP000F030.Text) Then
				addErrList("E0001", Me.txt011XSP000F030.Name, Me.lbl010XSP000F030.Text, Nothing)
			End If

			' 氏名カナ
			If String.IsNullOrEmpty(Me.txt017XSP000F030.Text) Then
				addErrList("E0001", Me.txt017XSP000F030.Name, Me.lbl016XSP000F030.Text, Nothing)
			End If

			' 性別
			If String.IsNullOrEmpty(Me.cmb023XSP000F030.Text) Then
				addErrList("E0001", Me.cmb023XSP000F030.Name, Me.lbl022XSP000F030.Text, Nothing)
			End If

			' 生年月日
			If Me.dte026XSP000F030.DateValue.Equals(Nothing) Then
				addErrList("E0001", Me.dte026XSP000F030.Name, Me.lbl025XSP000F030.Text, Nothing)
			End If

			' 生年月日＞初回来院日
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte030XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte026XSP000F030.DateValue > Me.dte030XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte026XSP000F030.Name, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl029XSP000F030.Text, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl029XSP000F030.Text, _
					  Nothing)
				End If
			End If

			' 生年月日＞最終来院日
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte032XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte026XSP000F030.DateValue > Me.dte032XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte026XSP000F030.Name, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Nothing)
				End If
			End If

			' 生年月日＞最終退院日
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte034XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte026XSP000F030.DateValue > Me.dte034XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte026XSP000F030.Name, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl033XSP000F030.Text, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl033XSP000F030.Text, _
					  Nothing)
				End If
			End If

			'初回来院日＞最終来院日
			If Not Me.dte030XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte032XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte030XSP000F030.DateValue > Me.dte032XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte030XSP000F030.Name, _
					  Me.lbl029XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Me.lbl029XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Nothing)
				End If
			End If

			'関連患者番号の入力チェック
			If Not String.IsNullOrEmpty(Me.msk011XSP180F010.Text) Then
'(M) STR V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
				'If Me.lbl009XSP000F030.Text = Me.msk011XSP180F010.Text OrElse Not cliXTI_BASICINFO.isExist(Me.msk011XSP180F010.Text) Then
				If Me.txt047XSP000F030.Text = Me.msk011XSP180F010.Text OrElse Not cliXTI_BASICINFO.isExist(Me.msk011XSP180F010.Text) Then
'(M) END V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
					Me.addErrList("E0021", _
					  Me.msk011XSP180F010.Name, _
					  Me.btn010XSP180F010.ButtonText, _
					  "関連患者番号が存在しないか入力中の患者番号", Nothing)
				End If
			End If

			If Not (Not Me.cmb080XSP180F010.CanInput AndAlso String.IsNullOrEmpty(Me.cmb080XSP180F010.Text)) Then
				'院外のみチェックする
				If Not String.IsNullOrEmpty(Me.cmb080XSP180F010.Text) Then
					Using db As New clsDB(clsSysMst.ctlConfigData)
						'死亡場所情報取得
						datDeathLct = cliMTM_DEATH_LCT.getMTM_DEATH_LCT_OneRec(db, Me.cmb080XSP180F010.Text)
						If datDeathLct Is Nothing OrElse datDeathLct.FIXED_CD <> CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
							''死亡場所が未入力
							'If String.IsNullOrEmpty(Me.txt082XSP180F010.Text) Then
							'	addErrList("E0001", Me.txt082XSP180F010.Name, Me.lbl079XSP180F010.Text, Nothing)
							'End If

							'死亡日が未入力
							If Me.dte084XSP180F010.DateValue.Equals(Nothing) Then
								addErrList("E0001", Me.dte084XSP180F010.Name, Me.lbl083XSP180F010.Text, Nothing)
							End If

							'死亡日の整合性チェック
'(M) STR V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
							'If Not Me.cliMTI_CH.chkChStrEndToDeathDt(db, Me.lbl009XSP000F030.Text, Me.dte084XSP180F010.DateValue) Then
							If Not Me.cliMTI_CH.chkChStrEndToDeathDt(db, Me.txt047XSP000F030.Text, Me.dte084XSP180F010.DateValue) Then
'(M) END V4-14111-000 004 2014/01/29 ID)唐渡 貸出管理レベルアップ３次開発 患者番号コピー可能対応
								addErrList("E0021", Me.dte084XSP180F010.Name, Me.lbl083XSP180F010.Text, "死亡日に開始日または終了日より以前の日付", Nothing)
							End If

							'死亡日に生年月日より以前の日付が入力された場合
							If Me.dte026XSP000F030.DateValue > Me.dte084XSP180F010.DateValue Then
								addErrList("E0021", Me.dte084XSP180F010.Name, Me.lbl083XSP180F010.Text, "死亡日に生年月日より以前の日付", Nothing)
							End If
						End If
					End Using
				End If
			End If

			If Me.getErrCount() > 0 Then
				'エラー画面表示
				Me.nextErrForm()
				Return False
			Else
				'正常
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F1キークリック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "F1キークリック START")
		Try
			MyBase.F1KeyProc()
			Select Case True
				Case Me.msk011XSP180F010.CanInput AndAlso Me.ActiveControl.Name = Me.msk011XSP180F010.Name
					'関連患者番号
					Me.PatientFormProc()
				Case Me.cmb105XSP180F010.CanInput AndAlso Me.ActiveControl.Name = Me.cmb105XSP180F010.Name
					'病名コンボ１
					Me.Icd10FormProc(Me.cmb105XSP180F010)
				Case Me.cmb108XSP180F010.CanInput AndAlso Me.ActiveControl.Name = Me.cmb108XSP180F010.Name
					'病名コンボ２
					Me.Icd10FormProc(Me.cmb108XSP180F010)
				Case Me.msk070XSP180F010.CanInput AndAlso Me.ActiveControl.Name = Me.msk070XSP180F010.Name
					'住所検索
					Me.AddressFormProc(Me.msk070XSP180F010)
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 性別変更処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub GenderIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "性別変更イベント START")
		Try
			MyBase.GenderIndexChanged(sender, e)
			Me.setGenderStatus()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
