﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出物情報
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsMTI_LENDITM
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報取得処理
	''' </summary>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <param name="arLendItem">貸出物マスタ配列</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/18 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItem(ByVal strPatient_No As String,
	  ByVal iHsp_History_No As Integer,
	  ByVal iCh_No As Integer,
	  ByVal arLendItem As ArrayList) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItem(db, strPatient_No, iHsp_History_No, iCh_No, arLendItem)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報取得処理
	''' </summary>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <param name="arLendItem">貸出物マスタ配列</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/18 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItem(ByVal db As clsDB, _
	 ByVal strPatient_No As String, _
	 ByVal iHsp_History_No As Integer, _
	 ByVal iCh_No As Integer, _
	 ByVal arLendItem As ArrayList) As ArrayList
		Dim arData As ArrayList = Nothing
		Dim iRet As Integer
		Try
			arData = New ArrayList()
			Using cliMTM_LENDITEM As clsMTM_LENDITEM = New clsMTM_LENDITEM
				With db
					.setSQL(sqlMTI_LENDITM.sqlSelFromPatient_No)
					' 患者番号
					.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmPATIENT_NO, strPatient_No)
					' カルテ
					' 貸出物コード
					.setParam(sqlMTI_LENDITM.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmLENDITEM_CD1, clsConst.Enum_Lenditem.MedicalRecord)
					' 入退院歴番号
					.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO1, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO1, cliMTM_LENDITEM.getHsp_History_No(arLendItem, clsConst.Enum_Lenditem.MedicalRecord, iHsp_History_No).ToString)
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO1, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO1, cliMTM_LENDITEM.getCh_No(arLendItem, clsConst.Enum_Lenditem.MedicalRecord, iCh_No).ToString)
					' サマリ
					' 貸出物コード
					.setParam(sqlMTI_LENDITM.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmLENDITEM_CD2, clsConst.Enum_Lenditem.Summary)
					' 入退院歴番号
					.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO2, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO2, cliMTM_LENDITEM.getHsp_History_No(arLendItem, clsConst.Enum_Lenditem.Summary, iHsp_History_No).ToString)
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO2, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO2, cliMTM_LENDITEM.getCh_No(arLendItem, clsConst.Enum_Lenditem.Summary, iCh_No).ToString)
					' 他１
					' 貸出物コード
					.setParam(sqlMTI_LENDITM.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmLENDITEM_CD3, clsConst.Enum_Lenditem.LendItem3)
					' 入退院歴番号
					.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO3, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO3, cliMTM_LENDITEM.getHsp_History_No(arLendItem, clsConst.Enum_Lenditem.LendItem3, iHsp_History_No).ToString)
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO3, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO3, cliMTM_LENDITEM.getCh_No(arLendItem, clsConst.Enum_Lenditem.LendItem3, iCh_No).ToString)
					' 他２
					' 貸出物コード
					.setParam(sqlMTI_LENDITM.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmLENDITEM_CD4, clsConst.Enum_Lenditem.LendItem4)
					' 入退院歴番号
					.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO4, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO4, cliMTM_LENDITEM.getHsp_History_No(arLendItem, clsConst.Enum_Lenditem.LendItem4, iHsp_History_No).ToString)
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO4, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO4, cliMTM_LENDITEM.getCh_No(arLendItem, clsConst.Enum_Lenditem.LendItem4, iCh_No).ToString)
					' 他３
					' 貸出物コード
					.setParam(sqlMTI_LENDITM.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmLENDITEM_CD5, clsConst.Enum_Lenditem.LendItem5)
					' 入退院歴番号
					.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO5, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO5, cliMTM_LENDITEM.getHsp_History_No(arLendItem, clsConst.Enum_Lenditem.LendItem5, iHsp_History_No).ToString)
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO5, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO5, cliMTM_LENDITEM.getCh_No(arLendItem, clsConst.Enum_Lenditem.LendItem5, iCh_No).ToString)

					iRet = .execQuery(GetType(datLENDITM_INFO), arData)
				End With
			End Using
			Return arData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報取得処理
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItmMngStatus(ByVal db As clsDB, _
	 ByVal strPatient_No As String, _
	 ByVal iHsp_History_No As Integer, _
	 ByVal iCh_No As Integer) As datMTI_LENDITM_MNGSTATUS
		Dim arData As ArrayList = Nothing
		Dim iRet As Integer
		Try
			arData = New ArrayList()
			With db
				.setSQL(XSP.sqlMTI_LENDITM.sqlSelMngStatus)	 'SELECT文設定（Record Lock）
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, iCh_No.ToString)

				iRet = .execQuery(GetType(datMTI_LENDITM_MNGSTATUS), arData, False)	  '値取得
			End With
			If iRet = 0 Then
				Return Nothing
			Else
				Return CType(arData(0), datMTI_LENDITM_MNGSTATUS)
			End If
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 開始日、終了日 取得処理
	''' </summary>
	''' <param name="db"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getStartEnd_Dt(ByVal db As clsDB, _
	 ByVal strPatient_No As String, _
	 ByVal iHsp_History_No As Integer, _
	 Optional ByVal iCh_No As Integer = 0) As datSTARTEND_DT
		Dim arData As ArrayList = Nothing
		Dim iRet As Integer
		Try
			arData = New ArrayList()
			With db
				If iCh_No = 0 Then
					.setSQL(XSP.sqlMTI_LENDITM.sqlSelHsp_StartEnd_Dt)	 'SELECT文設定
				Else
					.setSQL(XSP.sqlMTI_LENDITM.sqlSelCh_StartEnd_Dt)	 'SELECT文設定
				End If
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				If iCh_No > 0 Then
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO, iCh_No.ToString)
				End If

				iRet = .execQuery(GetType(datSTARTEND_DT), arData)	 '値取得
			End With
			If iRet = 0 Then
				Return Nothing
			Else
				Return CType(arData(0), datSTARTEND_DT)
			End If
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報　管理状況更新処理
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="dat">貸出物情報データ受渡しクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updLendItmMngStatus(ByVal db As clsDB, ByVal dat As datLENDITM_MNGSTATUS) As Integer
		Try
			Dim iRet As Integer
			With db
				Select Case dat.LENDITEM_CD
					Case clsConst.Enum_Lenditem.MedicalRecord
						' ■カルテ更新
						.setSQL(sqlMTI_LENDITM.sqlUpdLendItmMngStatus1)
					Case clsConst.Enum_Lenditem.Summary
						' ■サマリ更新
						.setSQL(sqlMTI_LENDITM.sqlUpdLendItmMngStatus2)
					Case clsConst.Enum_Lenditem.LendItem3
						' ■他１更新
						.setSQL(sqlMTI_LENDITM.sqlUpdLendItmMngStatus3)
					Case clsConst.Enum_Lenditem.LendItem4
						' ■他２更新
						.setSQL(sqlMTI_LENDITM.sqlUpdLendItmMngStatus4)
					Case clsConst.Enum_Lenditem.LendItem5
						' ■他３更新
						.setSQL(sqlMTI_LENDITM.sqlUpdLendItmMngStatus5)
					Case Else
				End Select
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 管理状況コード
				.setParam(sqlMTI_LENDITM.prmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmMNGSTATUS_CD, dat.MNGSTATUS_CD)
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（カルテ）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updLendItm1(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ■カルテ更新
				.setSQL(sqlMTI_LENDITM.sqlUpdLendItm1)
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' カルテ数
				.setParam(sqlMTI_LENDITM.prmRECORD_COUNT, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmRECORD_COUNT, dat.COUNT)
				' カルテ受領日
				.setParam(sqlMTI_LENDITM.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmRECORD_RECEIPT_DT, dat.RECEIPT_DT)
				' カルテ受領者コード
				.setParam(sqlMTI_LENDITM.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmRECORD_RECIPIENT_CD, dat.RECORD_RECIPIENT_CD)
				' カルテ保管場所コード
				.setParam(sqlMTI_LENDITM.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmRECORD_KEEPLCT_CD, dat.KEEPLCT_CD)
				' カルテ整理状況コード
				.setParam(sqlMTI_LENDITM.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmRECORD_ARG_STATUS_CD, dat.RECORD_ARG_STATUS_CD)
				' カルテ管理状況コード
				.setParam(sqlMTI_LENDITM.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmRECORD_MNGSTATUS_CD, dat.MNGSTATUS_CD)
'(A) STR V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				.setParam(sqlMTI_LENDITM.prmRECORD_BARCODE, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmRECORD_BARCODE, dat.OLD_BARCODE)
'(A) END V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（サマリ）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updLendItm2(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ■サマリ更新
				.setSQL(sqlMTI_LENDITM.sqlUpdLendItm2)
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' サマリ数
				.setParam(sqlMTI_LENDITM.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_COUNT, dat.COUNT)
				' サマリ受領日
				.setParam(sqlMTI_LENDITM.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_RECEIPT_DT, dat.RECEIPT_DT)
				' サマリ保管場所コード
				.setParam(sqlMTI_LENDITM.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_KEEPLCT_CD, dat.KEEPLCT_CD)
				' サマリ管理状況コード
				.setParam(sqlMTI_LENDITM.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_MNGSTATUS_CD, dat.MNGSTATUS_CD)
				' サマリ作成者コード
				.setParam(sqlMTI_LENDITM.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_MAKER_CD, dat.SUMMARY_MAKER_CD)
				' サマリ承認日
				.setParam(sqlMTI_LENDITM.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_APPROVAL_DT, dat.SUMMARY_APPROVAL_DT)
'(A) STR V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				.setParam(sqlMTI_LENDITM.prmSUMMARY_BARCODE, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmSUMMARY_BARCODE, dat.OLD_BARCODE)
'(A) END V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（他１）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updLendItm3(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ■他１更新
				.setSQL(sqlMTI_LENDITM.sqlUpdLendItm3)
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 他１数
				.setParam(sqlMTI_LENDITM.prmOTHER1_COUNT, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmOTHER1_COUNT, dat.COUNT)
				' 他１受領日
				.setParam(sqlMTI_LENDITM.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmOTHER1_RECEIPT_DT, dat.RECEIPT_DT)
				' 他１保管場所コード
				.setParam(sqlMTI_LENDITM.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER1_KEEPLCT_CD, dat.KEEPLCT_CD)
				' 他１管理状況コード
				.setParam(sqlMTI_LENDITM.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER1_MNGSTATUS_CD, dat.MNGSTATUS_CD)
'(A) STR V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				.setParam(sqlMTI_LENDITM.prmOTHER1_BARCODE, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER1_BARCODE, dat.OLD_BARCODE)
'(A) END V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（他２）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updLendItm4(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ■他２更新
				.setSQL(sqlMTI_LENDITM.sqlUpdLendItm4)
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 他２数
				.setParam(sqlMTI_LENDITM.prmOTHER2_COUNT, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmOTHER2_COUNT, dat.COUNT)
				' 他２受領日
				.setParam(sqlMTI_LENDITM.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmOTHER2_RECEIPT_DT, dat.RECEIPT_DT)
				' 他２保管場所コード
				.setParam(sqlMTI_LENDITM.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER2_KEEPLCT_CD, dat.KEEPLCT_CD)
				' 他２管理状況コード
				.setParam(sqlMTI_LENDITM.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER2_MNGSTATUS_CD, dat.MNGSTATUS_CD)
'(A) STR V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				.setParam(sqlMTI_LENDITM.prmOTHER2_BARCODE, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER2_BARCODE, dat.OLD_BARCODE)
'(A) END V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（他３）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updLendItm5(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ■他３更新
				.setSQL(sqlMTI_LENDITM.sqlUpdLendItm5)
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 他３数
				.setParam(sqlMTI_LENDITM.prmOTHER3_COUNT, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmOTHER3_COUNT, dat.COUNT)
				' 他３受領日
				.setParam(sqlMTI_LENDITM.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmOTHER3_RECEIPT_DT, dat.RECEIPT_DT)
				' 他３保管場所コード
				.setParam(sqlMTI_LENDITM.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER3_KEEPLCT_CD, dat.KEEPLCT_CD)
				' 他３管理状況コード
				.setParam(sqlMTI_LENDITM.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER3_MNGSTATUS_CD, dat.MNGSTATUS_CD)
'(A) STR V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				.setParam(sqlMTI_LENDITM.prmOTHER3_BARCODE, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmOTHER3_BARCODE, dat.OLD_BARCODE)
'(A) END V4-12014-000 005 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（空白更新なし）（カルテ）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updVarLendItm1(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ＳＱＬ文編集
				Dim strSql As String = sqlMTI_LENDITM.sqlUpdVarLendItm1
				' カルテ数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_COUNT
				End If
				' カルテ受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_RECEIPT_DT
				End If
				' カルテ保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_KEEPLCT_CD
				End If
				' カルテ管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_MNGSTATUS_CD
				End If
				' カルテ整理状況コード
				If Not String.IsNullOrEmpty(dat.RECORD_ARG_STATUS_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_ARG_STATUS_CD
				End If
				' カルテ受領者コード
				If Not String.IsNullOrEmpty(dat.RECORD_RECIPIENT_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_RECIPIENT_CD
				End If
'(A) STR V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_OLD_BARCODE
				End If
'(A) END V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm1_COM
				.setSQL(strSql)
				' ■カルテ更新
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' カルテ数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_COUNT, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmRECORD_COUNT, dat.COUNT)
				End If
				' カルテ受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMTI_LENDITM.prmRECORD_RECEIPT_DT, dat.RECEIPT_DT)
				End If
				' カルテ受領者コード
				If Not String.IsNullOrEmpty(dat.RECORD_RECIPIENT_CD) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmRECORD_RECIPIENT_CD, dat.RECORD_RECIPIENT_CD)
				End If
				' カルテ保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmRECORD_KEEPLCT_CD, dat.KEEPLCT_CD)
				End If
				' カルテ整理状況コード
				If Not String.IsNullOrEmpty(dat.RECORD_ARG_STATUS_CD) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmRECORD_ARG_STATUS_CD, dat.RECORD_ARG_STATUS_CD)
				End If
				' カルテ管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmRECORD_MNGSTATUS_CD, dat.MNGSTATUS_CD)
				End If
'(A) STR V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					.setParam(sqlMTI_LENDITM.prmRECORD_BARCODE, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmRECORD_BARCODE, dat.OLD_BARCODE)
				End If
'(A) END V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（空白更新なし）（サマリ）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updVarLendItm2(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ＳＱＬ文編集
				Dim strSql As String = sqlMTI_LENDITM.sqlUpdVarLendItm2
				' サマリ数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_COUNT
				End If
				' サマリ受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_RECEIPT_DT
				End If
				' サマリ保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_KEEPLCT_CD
				End If
				' サマリ管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_MNGSTATUS_CD
				End If
				' サマリ作成者コード
				If Not String.IsNullOrEmpty(dat.SUMMARY_MAKER_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_MAKER_CD
				End If
				' サマリ承認日
				If Not String.IsNullOrEmpty(dat.SUMMARY_APPROVAL_DT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_APPROVAL_DT
				End If
'(A) STR V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_OLD_BARCODE
				End If
'(A) END V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm2_COM
				' ■サマリ更新
				.setSQL(strSql)
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' サマリ数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_COUNT, dat.COUNT)
				End If
				' サマリ受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_RECEIPT_DT, dat.RECEIPT_DT)
				End If
				' サマリ保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_KEEPLCT_CD, dat.KEEPLCT_CD)
				End If
				' サマリ管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_MNGSTATUS_CD, dat.MNGSTATUS_CD)
				End If
				' サマリ作成者コード
				If Not String.IsNullOrEmpty(dat.SUMMARY_MAKER_CD) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_MAKER_CD, dat.SUMMARY_MAKER_CD)
				End If
				' サマリ承認日
				If Not String.IsNullOrEmpty(dat.SUMMARY_APPROVAL_DT) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_APPROVAL_DT, dat.SUMMARY_APPROVAL_DT)
				End If
'(A) STR V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					.setParam(sqlMTI_LENDITM.prmSUMMARY_BARCODE, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmSUMMARY_BARCODE, dat.OLD_BARCODE)
				End If
'(A) END V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（空白更新しない）（他１）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updVarLendItm3(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ＳＱＬ文編集
				Dim strSql As String = sqlMTI_LENDITM.sqlUpdVarLendItm3
				' 他１数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm3_COUNT
				End If
				' 他１受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm3_RECEIPT_DT
				End If
				' 他１保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm3_KEEPLCT_CD
				End If
				' 他１管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm3_MNGSTATUS_CD
				End If
'(A) STR V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm3_OLD_BARCODE
				End If
'(A) END V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm3_COM
				.setSQL(strSql)
				' ■他１更新
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 他１数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					.setParam(sqlMTI_LENDITM.prmOTHER1_COUNT, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmOTHER1_COUNT, dat.COUNT)
				End If
				' 他１受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					.setParam(sqlMTI_LENDITM.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMTI_LENDITM.prmOTHER1_RECEIPT_DT, dat.RECEIPT_DT)
				End If
				' 他１保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					.setParam(sqlMTI_LENDITM.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER1_KEEPLCT_CD, dat.KEEPLCT_CD)
				End If
				' 他１管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					.setParam(sqlMTI_LENDITM.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER1_MNGSTATUS_CD, dat.MNGSTATUS_CD)
				End If
'(A) STR V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					.setParam(sqlMTI_LENDITM.prmOTHER1_BARCODE, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER1_BARCODE, dat.OLD_BARCODE)
				End If
'(A) END V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（空白更新しない）（他２）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updVarLendItm4(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ＳＱＬ文編集
				Dim strSql As String = sqlMTI_LENDITM.sqlUpdVarLendItm4
				' 他１数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm4_COUNT
				End If
				' 他１受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm4_RECEIPT_DT
				End If
				' 他１保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm4_KEEPLCT_CD
				End If
				' 他１管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm4_MNGSTATUS_CD
				End If
'(A) STR V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm4_OLD_BARCODE
				End If
'(A) END V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm4_COM
				.setSQL(strSql)
				' ■他２更新
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 他２数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					.setParam(sqlMTI_LENDITM.prmOTHER2_COUNT, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmOTHER2_COUNT, dat.COUNT)
				End If
				' 他２受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					.setParam(sqlMTI_LENDITM.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMTI_LENDITM.prmOTHER2_RECEIPT_DT, dat.RECEIPT_DT)
				End If
				' 他２保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					.setParam(sqlMTI_LENDITM.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER2_KEEPLCT_CD, dat.KEEPLCT_CD)
				End If
				' 他２管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					.setParam(sqlMTI_LENDITM.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER2_MNGSTATUS_CD, dat.MNGSTATUS_CD)
				End If
'(A) STR V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					.setParam(sqlMTI_LENDITM.prmOTHER2_BARCODE, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER2_BARCODE, dat.OLD_BARCODE)
				End If
'(A) END V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報更新（空白更新しない）（他３）
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="dat">貸出物情報クラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updVarLendItm5(ByVal db As clsDB, ByVal dat As datMTI_LENDITM) As Integer
		Dim iRet As Integer
		Try
			With db
				' ＳＱＬ文編集
				Dim strSql As String = sqlMTI_LENDITM.sqlUpdVarLendItm5
				' 他１数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm5_COUNT
				End If
				' 他１受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm5_RECEIPT_DT
				End If
				' 他１保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm5_KEEPLCT_CD
				End If
				' 他１管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm5_MNGSTATUS_CD
				End If
'(A) STR V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm5_OLD_BARCODE
				End If
'(A) END V4-12014-000 006 2012/01/24 旧バーコードデータメンテ対応
				strSql &= sqlMTI_LENDITM.sqlUpdVarLendItm5_COM
				.setSQL(strSql)
				' ■他３更新
				' 患者番号
				.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmPATIENT_NO, dat.PATIENT_NO)
				' 入退院歴番号
				.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
				' 科歴番号
				.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMTI_LENDITM.prmCH_NO, dat.CH_NO.ToString)
				' 他３数
				If Not String.IsNullOrEmpty(dat.COUNT) Then
					.setParam(sqlMTI_LENDITM.prmOTHER3_COUNT, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmOTHER3_COUNT, dat.COUNT)
				End If
				' 他３受領日
				If Not String.IsNullOrEmpty(dat.RECEIPT_DT) Then
					.setParam(sqlMTI_LENDITM.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMTI_LENDITM.prmOTHER3_RECEIPT_DT, dat.RECEIPT_DT)
				End If
				' 他３保管場所コード
				If Not String.IsNullOrEmpty(dat.KEEPLCT_CD) Then
					.setParam(sqlMTI_LENDITM.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER3_KEEPLCT_CD, dat.KEEPLCT_CD)
				End If
				' 他３管理状況コード
				If Not String.IsNullOrEmpty(dat.MNGSTATUS_CD) Then
					.setParam(sqlMTI_LENDITM.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER3_MNGSTATUS_CD, dat.MNGSTATUS_CD)
				End If
'(A) STR V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 旧バーコード
				If Not String.IsNullOrEmpty(dat.OLD_BARCODE) Then
					.setParam(sqlMTI_LENDITM.prmOTHER3_BARCODE, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmOTHER3_BARCODE, dat.OLD_BARCODE)
				End If
'(A) END V4-12014-000 007 2012/01/24 旧バーコードデータメンテ対応
				' 更新者コード
				.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				' 更新日
				.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報取得処理（管理物コード単位での情報）
	''' </summary>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <returns>管理物コードをキーとしたHashtable（値はdatMTI_LENDITM_ByLendItmCd型）</returns>
	''' <remarks>
	''' 2010/11/12 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItmByLendItmCd(ByVal strPatient_No As String, ByVal iHsp_History_No As Integer, ByVal iCh_No As Integer) As Hashtable
		Dim arData As ArrayList = Nothing
		Dim htData As Hashtable = Nothing
		Dim iRet As Integer
		Try
			arData = New ArrayList()
			htData = New Hashtable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'SELECT文設定
					.setSQL(XSP.sqlMTI_LENDITM.sqlSelLendItmByLendItmCd)
					' 患者番号
					.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMTI_LENDITM.prmPATIENT_NO, strPatient_No)
					' 入退院歴番号
					.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
					' 科歴番号
					.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMTI_LENDITM.prmCH_NO, iCh_No.ToString)
					'値取得
					iRet = .execQuery(GetType(datMTI_LENDITM_ByLendItmCd), arData, False)
				End With
			End Using
			If iRet > 0 Then
				Dim dLendItm As datMTI_LENDITM_ByLendItmCd
				For i As Integer = 0 To arData.Count - 1
					dLendItm = DirectCast(arData(i), datMTI_LENDITM_ByLendItmCd)
					If Not htData.Contains(dLendItm.LENDITEM_CD) Then
						htData.Add(dLendItm.LENDITEM_CD, dLendItm)
					End If
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
		Return htData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の貸出物情報を取得します（データクラス）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の貸出物情報（ArrayList内にdatMTI_LENDITM_OneRecクラス）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemPatient(ByVal pPatientNo As String) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemPatient(db, pPatientNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の貸出物情報を取得します（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の貸出物情報（ArrayList内にdatMTI_LENDITM_OneRecクラス）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemPatient(ByVal db As clsDB, ByVal pPatientNo As String) As ArrayList
		Dim retData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			retData = New ArrayList()

			'キーチェック
			If String.IsNullOrWhiteSpace(pPatientNo) Then
				Return Nothing
			End If

			db.setSQL(sqlMTI_LENDITM.sqlSelLendItem_Patient)	'SELECT文設定
			db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
			db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
			iRet = db.execQuery(GetType(datMTI_LENDITM_OneRec), retData)	'値取得
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の貸出物情報を取得します（データテーブル）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の貸出物情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemPatientDa(ByVal pPatientNo As String) As DataTable
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemPatientDa(db, pPatientNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の貸出物情報を取得します（データテーブル）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の貸出物情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemPatientDa(ByVal db As clsDB, ByVal pPatientNo As String) As DataTable
		Dim retDat As DataTable = Nothing
		Try
			retDat = New DataTable

			'SQL文設定
			db.setSQLDa(sqlMTI_LENDITM.sqlSelLendItem_Patient)	'SELECT文設定

			db.setParamDa(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
			db.setValDa(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
			db.execQueryDa(retDat)	'値取得
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retDat
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １入退院分の貸出物情報を取得します（データクラス）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>１入退院分の貸出物情報（ArrayList内にdatMTI_LENDITM_OneRecクラス）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemHsp(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemHsp(db, pPatientNo, pHspHistoryNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １入退院分の貸出物情報を取得します（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>１入退院分の貸出物情報（ArrayList内にdatMTI_LENDITM_OneRecクラス）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemHsp(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer) As ArrayList
		Dim retData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			retData = New ArrayList()

			'キーチェック
			If String.IsNullOrWhiteSpace(pPatientNo) Then
				Return Nothing
			End If

			db.setSQL(sqlMTI_LENDITM.sqlSelLendItem_Hsp)	'SELECT文設定
			db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
			db.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
			db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
			db.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pHspHistoryNo, False)
			iRet = db.execQuery(GetType(datMTI_LENDITM_OneRec), retData)	'値取得
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １入退院分の貸出物情報を取得します（データテーブル）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>１入退院分の貸出物情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemHspDa(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer) As DataTable
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemHspDa(db, pPatientNo, pHspHistoryNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １入退院分の貸出物情報を取得します（データテーブル）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>１入退院分の貸出物情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemHspDa(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer) As DataTable
		Dim retDat As DataTable = Nothing
		Try
			retDat = New DataTable

			'SQL文設定
			db.setSQLDa(sqlMTI_LENDITM.sqlSelLendItem_Hsp)	'SELECT文設定

			db.setParamDa(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
			db.setParamDa(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
			db.setValDa(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
			db.setValDa(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pHspHistoryNo, False)
			db.execQueryDa(retDat)	'値取得
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retDat
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報を１件取得します（データクラス）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <returns>貸出物情報クラス</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemOneRec(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer) As datMTI_LENDITM_OneRec
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemOneRec(db, pPatientNo, pHspHistoryNo, pChNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報を１件取得します（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <returns>貸出物情報クラス</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemOneRec(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer) As datMTI_LENDITM_OneRec
		Dim retDat As datMTI_LENDITM_OneRec = Nothing
		Dim arData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			arData = New ArrayList()

			'キーチェック
			If String.IsNullOrWhiteSpace(pPatientNo) Then
				Return Nothing
			End If

			db.setSQL(sqlMTI_LENDITM.sqlSelLendItem_OneRec)	'SELECT文設定
			db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'患者番号
			db.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)	'入退院歴番号
			db.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)			'科歴番号
			db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
			db.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pHspHistoryNo, False)
			db.setVal(sqlMTI_LENDITM.prmCH_NO, pChNo, False)
			iRet = db.execQuery(GetType(datMTI_LENDITM_OneRec), arData)	'値取得
			If iRet > 0 Then									   'レコードあり
				retDat = DirectCast(arData(0), datMTI_LENDITM_OneRec)
			Else
				retDat = Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
		End Try
		'返り値設定
		Return retDat
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報を１件取得します（データテーブル）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <returns>貸出物情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemOneRecDa(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer) As DataTable
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemOneRecDa(db, pPatientNo, pHspHistoryNo, pChNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報を１件取得します（データテーブル）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <returns>貸出物情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemOneRecDa(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer) As DataTable
		Dim retDat As DataTable = Nothing
		Try
			retDat = New DataTable

			'SQL文設定
			db.setSQLDa(sqlMTI_LENDITM.sqlSelLendItem_OneRec)

			db.setParamDa(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'患者番号
			db.setParamDa(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)	'入退院歴番号
			db.setParamDa(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
			db.setValDa(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
			db.setValDa(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pHspHistoryNo, False)
			db.setValDa(sqlMTI_LENDITM.prmCH_NO, pChNo, False)

			'値取得
			db.execQueryDa(retDat)
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retDat
	End Function

'(A) STR V4-11045-000 020 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報を１件取得します（データクラス）
	''' </summary>
	''' <param name="barcode">バーコード</param>
	''' <returns>貸出物情報クラス</returns>
	''' <remarks>
	''' 2011/09/28 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemBarcode(ByVal barcode As String) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getLendItemBarcode(db, barcode)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11045-000 020 20110909
'(A) STR V4-11045-000 039 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報を１件取得します（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="barcode">バーコード</param>
	''' <returns>貸出物情報</returns>
	''' <remarks>
	''' 2011/09/28 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLendItemBarcode(ByVal db As clsDB, ByVal barcode As String) As ArrayList
		Dim arData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			arData = New ArrayList()

			'SQL文設定
			db.setSQL(sqlMTI_LENDITM.sqlSelLendItem_Barcode)

			db.setParam(sqlMTI_LENDITM.prmRECORD_BARCODE, clsDB.Enum_dbType.dbNVarChar)	'カルテバーコード
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_BARCODE, clsDB.Enum_dbType.dbNVarChar)	'サマリバーコード
			db.setParam(sqlMTI_LENDITM.prmOTHER1_BARCODE, clsDB.Enum_dbType.dbNVarChar)	'他１バーコード
			db.setParam(sqlMTI_LENDITM.prmOTHER2_BARCODE, clsDB.Enum_dbType.dbNVarChar)	'他２バーコード
			db.setParam(sqlMTI_LENDITM.prmOTHER3_BARCODE, clsDB.Enum_dbType.dbNVarChar)	'他３バーコード
			db.setVal(sqlMTI_LENDITM.prmRECORD_BARCODE, barcode)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_BARCODE, barcode)
			db.setVal(sqlMTI_LENDITM.prmOTHER1_BARCODE, barcode)
			db.setVal(sqlMTI_LENDITM.prmOTHER2_BARCODE, barcode)
			db.setVal(sqlMTI_LENDITM.prmOTHER3_BARCODE, barcode)

			iRet = db.execQuery(GetType(datMTI_LENDITM_OneRec), arData)	'値取得
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return arData
	End Function
'(A) END V4-11045-000 039 20110909
	''' ---------------------------------------------
	''' <summary>
	''' １患者分の貸出物情報を削除します
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub execDelLendItemPatient(ByVal db As clsDB, ByVal pPatientNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "貸出物情報アクセスクラス", "１患者分の貸出物情報を削除 Start")
		Try
			'キーチェック
			If Not String.IsNullOrWhiteSpace(pPatientNo) Then
				' 削除実行
				db.setSQL(sqlMTI_LENDITM.sqlDelLendItem_Patient)	'DELETE文設定
				db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
				db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
				db.execNonQuery(False)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' １入退院分の貸出物情報を削除します
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub execDelLendItemHsp(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "貸出物情報アクセスクラス", "１入退院分の貸出物情報を削除 Start")
		Try
			'キーチェック
			If Not String.IsNullOrWhiteSpace(pPatientNo) Then
				' 削除実行
				db.setSQL(sqlMTI_LENDITM.sqlDelLendItem_Hsp)	'DELETE文設定
				db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
				db.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
				db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
				db.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pHspHistoryNo, False)
				db.execNonQuery(False)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報１データを削除します
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub execDelLendItemOneRec(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "貸出物情報アクセスクラス", "貸出物情報１データを削除 Start")
		Try
			'キーチェック
			If Not String.IsNullOrWhiteSpace(pPatientNo) Then
				' 削除実行
				db.setSQL(sqlMTI_LENDITM.sqlDelLendItem_OneRec)	'DELETE文設定
				db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
				db.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
				db.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
				db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pPatientNo)
				db.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pHspHistoryNo, False)
				db.setVal(sqlMTI_LENDITM.prmCH_NO, pChNo, False)
				db.execNonQuery(False)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報１データを追加します
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pLendItemRec">貸出物情報クラス</param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function execInsLendItemOneRec(ByVal db As clsDB, ByVal pLendItemRec As datMTI_LENDITM_OneRec) As Integer
		Try
			Return execInsLendItemOneRec(db, pLendItemRec, True)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報１データを追加します
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pLendItemRec">貸出物情報クラス</param>
	''' <param name="bLastUpdate">最終更新日の変更可否</param>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function execInsLendItemOneRec(ByVal db As clsDB, ByVal pLendItemRec As datMTI_LENDITM_OneRec, ByVal bLastUpdate As Boolean) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "貸出物情報アクセスクラス", "貸出物情報１データを追加 Start")
		Try
			If pLendItemRec Is Nothing Then
				Return 0
			End If
			' INSERT文設定
			db.setSQL(sqlMTI_LENDITM.sqlInsLendItem_OneRec)
			' 患者番号
			db.setParam(sqlMTI_LENDITM.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmPATIENT_NO, pLendItemRec.PATIENT_NO)
			' 入退院歴番号
			db.setParam(sqlMTI_LENDITM.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmHSP_HISTORY_NO, pLendItemRec.HSP_HISTORY_NO, False)
			' 科歴番号
			db.setParam(sqlMTI_LENDITM.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmCH_NO, pLendItemRec.CH_NO, False)
			' カルテ数
			db.setParam(sqlMTI_LENDITM.prmRECORD_COUNT, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmRECORD_COUNT, pLendItemRec.RECORD_COUNT, False)
			' カルテ受領日
			db.setParam(sqlMTI_LENDITM.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMTI_LENDITM.prmRECORD_RECEIPT_DT, pLendItemRec.RECORD_RECEIPT_DT)
			' カルテ受領者コード
			db.setParam(sqlMTI_LENDITM.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmRECORD_RECIPIENT_CD, pLendItemRec.RECORD_RECIPIENT_CD)
			' カルテ保管場所コード
			db.setParam(sqlMTI_LENDITM.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmRECORD_KEEPLCT_CD, pLendItemRec.RECORD_KEEPLCT_CD)
			' カルテ整理状況コード
			db.setParam(sqlMTI_LENDITM.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmRECORD_ARG_STATUS_CD, pLendItemRec.RECORD_ARG_STATUS_CD)
			' カルテ管理状況コード
			db.setParam(sqlMTI_LENDITM.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmRECORD_MNGSTATUS_CD, pLendItemRec.RECORD_MNGSTATUS_CD)
'(A) STR V4-11045-000 005 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
			' カルテバーコード
			db.setParam(sqlMTI_LENDITM.prmRECORD_BARCODE, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmRECORD_BARCODE, pLendItemRec.RECORD_BARCODE)
'(A) END V4-11045-000 005 20110909
			' サマリ数
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_COUNT, pLendItemRec.SUMMARY_COUNT, False)
			' サマリ受領日
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_RECEIPT_DT, pLendItemRec.SUMMARY_RECEIPT_DT)
			' サマリ保管場所コード
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_KEEPLCT_CD, pLendItemRec.SUMMARY_KEEPLCT_CD)
			' サマリ作成者コード
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_MAKER_CD, pLendItemRec.SUMMARY_MAKER_CD)
			' サマリ管理状況コード
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_MNGSTATUS_CD, pLendItemRec.SUMMARY_MNGSTATUS_CD)
'(A) STR V4-11045-000 005 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
			' サマリバーコード
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_BARCODE, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_BARCODE, pLendItemRec.SUMMARY_BARCODE)
'(A) END V4-11045-000 005 20110909
			' 他１数
			db.setParam(sqlMTI_LENDITM.prmOTHER1_COUNT, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmOTHER1_COUNT, pLendItemRec.OTHER1_COUNT, False)
			' 他１受領日
			db.setParam(sqlMTI_LENDITM.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMTI_LENDITM.prmOTHER1_RECEIPT_DT, pLendItemRec.OTHER1_RECEIPT_DT)
			' 他１保管場所コード
			db.setParam(sqlMTI_LENDITM.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER1_KEEPLCT_CD, pLendItemRec.OTHER1_KEEPLCT_CD)
			' 他１管理状況コード
			db.setParam(sqlMTI_LENDITM.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER1_MNGSTATUS_CD, pLendItemRec.OTHER1_MNGSTATUS_CD)
'(A) STR V4-11045-000 005 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
			' 他１バーコード
			db.setParam(sqlMTI_LENDITM.prmOTHER1_BARCODE, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER1_BARCODE, pLendItemRec.OTHER1_BARCODE)
'(A) END V4-11045-000 005 20110909
			' 他２数
			db.setParam(sqlMTI_LENDITM.prmOTHER2_COUNT, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmOTHER2_COUNT, pLendItemRec.OTHER2_COUNT, False)
			' 他２受領日
			db.setParam(sqlMTI_LENDITM.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMTI_LENDITM.prmOTHER2_RECEIPT_DT, pLendItemRec.OTHER2_RECEIPT_DT)
			' 他２保管場所コード
			db.setParam(sqlMTI_LENDITM.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER2_KEEPLCT_CD, pLendItemRec.OTHER2_KEEPLCT_CD)
			' 他２管理状況コード
			db.setParam(sqlMTI_LENDITM.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER2_MNGSTATUS_CD, pLendItemRec.OTHER2_MNGSTATUS_CD)
'(A) STR V4-11045-000 005 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
			' 他２バーコード
			db.setParam(sqlMTI_LENDITM.prmOTHER2_BARCODE, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER2_BARCODE, pLendItemRec.OTHER2_BARCODE)
'(A) END V4-11045-000 005 20110909
			' 他３数
			db.setParam(sqlMTI_LENDITM.prmOTHER3_COUNT, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlMTI_LENDITM.prmOTHER3_COUNT, pLendItemRec.OTHER3_COUNT, False)
			' 他３受領日
			db.setParam(sqlMTI_LENDITM.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMTI_LENDITM.prmOTHER3_RECEIPT_DT, pLendItemRec.OTHER3_RECEIPT_DT)
			' 他３保管場所コード
			db.setParam(sqlMTI_LENDITM.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER3_KEEPLCT_CD, pLendItemRec.OTHER3_KEEPLCT_CD)
			' 他３管理状況コード
			db.setParam(sqlMTI_LENDITM.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER3_MNGSTATUS_CD, pLendItemRec.OTHER3_MNGSTATUS_CD)
'(A) STR V4-11045-000 005 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No94 旧バーコードを読み込む仕組みを追加対応
			' 他３バーコード
			db.setParam(sqlMTI_LENDITM.prmOTHER3_BARCODE, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMTI_LENDITM.prmOTHER3_BARCODE, pLendItemRec.OTHER3_BARCODE)
'(A) END V4-11045-000 005 20110909
			' サマリ承認日
			db.setParam(sqlMTI_LENDITM.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMTI_LENDITM.prmSUMMARY_APPROVAL_DT, pLendItemRec.SUMMARY_APPROVAL_DT)
			' 更新者コード
			db.setParam(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			If bLastUpdate OrElse String.IsNullOrEmpty(pLendItemRec.LASTUPDUSER_CD) Then
				' 更新者コード←ログインＩＤ
				db.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
			Else
				db.setVal(sqlMTI_LENDITM.prmLASTUPDUSER_CD, pLendItemRec.LASTUPDUSER_CD)
			End If
			' 最終更新日
			db.setParam(sqlMTI_LENDITM.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			If bLastUpdate OrElse pLendItemRec.LASTUPD_DT.Equals(Nothing) Then
				' 最終更新日←システム日付
				db.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, Now())
			Else
				db.setVal(sqlMTI_LENDITM.prmLASTUPD_DT, pLendItemRec.LASTUPD_DT)
			End If
			' 追加実行
			Return db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try
	End Function
End Class
