﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 補足項目タブマスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_ASST_TAB
    Implements IDisposable

#Region "解放処理"

    '解放処理時使用＊＊
    Protected disposed As Boolean = False

    ''' ---------------------------------------------	
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
    ''' 2010/12/15 新規作成　CS)森田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If Not Me.disposed Then
        End If
        Me.disposed = True
    End Sub

    ''' ---------------------------------------------	
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/15 新規作成　CS)森田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------	
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/15 新規作成　CS)森田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/15 新規作成　CS)森田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Sub New()
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 補足項目タブマスタの取得
    ''' </summary>
    ''' <returns>補足項目タブマスタ</returns>
    ''' <remarks>
    ''' 2010/12/15 新規作成　CS)森田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function getAsstTabtmInfo(ByVal TAB_CD As String) As String
        Dim retData As datMTM_ASST_TAB = Nothing
        Try
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                retData = getAsstTabItmInfo(db, TAB_CD)
                If retData Is Nothing Then
                    Return Nothing
                Else
                    Return retData.TAB_NM
                End If
            End Using
        Catch ex As Exception
            Throw
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 補足項目タブマスタの取得
    ''' </summary>
    ''' <param name="db">ＤＢクラス</param>
    ''' <returns>補足項目タブマスタのテキスト</returns>
    ''' <remarks>
    ''' 2010/12/15 新規作成　CS)森田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function getAsstTabItmInfo(ByVal db As clsDB, ByVal TAB_CD As String) As datMTM_ASST_TAB
        Dim retData As datMTM_ASST_TAB = Nothing
        Dim arData As ArrayList
        Dim iRet As Integer
        Try
            arData = New ArrayList()
            db.setSQL(sqlMTM_ASST_TAB.sqlSelAsstTabItm)
			db.setParam(sqlMTM_ASST_TAB.prmTAB_CD, clsDB.Enum_dbType.dbNVarChar)
            db.setVal(sqlMTM_ASST_TAB.prmTAB_CD, TAB_CD)
            'SQL実行
            iRet = db.execQuery(GetType(datMTM_ASST_TAB), arData)

            If iRet > 0 Then                                       'レコードあり
                retData = DirectCast(arData(0), datMTM_ASST_TAB)
            Else
                retData = Nothing
            End If
        Catch ex As Exception
            Throw
        End Try
        Return retData
    End Function

End Class
