﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 共通処理_監査マスタクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_INSPECT
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 監査マスタを全件取得します。
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAll() As DataTable
		Try
			Dim dtData As New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(XSP.sqlMTM_INSPECT.sqlSelAll)	'SELECT文設定
				db.execQueryDa(dtData)						'値取得
			End Using

			Return dtData

		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

End Class
