﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出目的クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_LENDAIM
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
			'ここで変数のクリアを行う
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的マスタを全件取得します。
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAll() As DataTable
		Try
			Dim dtData As New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(XSP.sqlMTM_LENDAIM.sqlSelAll)	'SELECT文設定
				db.execQueryDa(dtData)									'値取得
			End Using
			Return dtData

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理目的コードの初期値（固定コード）を取得する。
	''' </summary>
	''' <param name="strLendAim_Cd">貸出目的コード</param>
	''' <param name="eFix">固定コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDefaultCdFromFix(ByVal strLendAim_Cd As String,
	   ByVal eFix As clsConst.Enum_LendAim_Fix1,
	   Optional ByVal dtFrom As DataTable = Nothing) As String
		Dim cliCom As New clsCom
		Try
			Dim dt As DataTable
			If dtFrom Is Nothing Then
				dt = getAll()
			Else
				dt = dtFrom
			End If
			If dt IsNot Nothing Then
				Dim dr() As DataRow = dt.Select(sqlMTM_LENDAIM.itmLENDAIM_CD & " = '" & cliCom.getDtItmValue(strLendAim_Cd) & "'" &
				 " AND " & sqlMTM_LENDAIM.itmFIXED_CD & " = '" & cliCom.getDtItmValue(CType(eFix, String)) & "'")
				Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
				If dtw IsNot Nothing AndAlso
				 dtw.Rows.Count > 0 Then
					Return dtw.Rows(0)(sqlMTM_LENDAIM.itmLENDAIM_CD).ToString
				Else
					Return Nothing
				End If
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理目的コードの初期値（固定コード）のデータロウを取得する。
	''' </summary>
	''' <param name="eFix">固定コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDefaultDataRowFromFix(ByVal eFix As clsConst.Enum_LendAim_Fix1,
	 Optional ByVal dtFrom As DataTable = Nothing) As DataRow
		Dim cliCom As New clsCom
		Try
			Dim dt As DataTable
			If dtFrom Is Nothing Then
				dt = getAll()
			Else
				dt = dtFrom
			End If
			If dt IsNot Nothing Then
				Dim dr() As DataRow = dt.Select(sqlMTM_LENDAIM.itmFIXED_CD & " = '" & cliCom.getDtItmValue(CType(eFix, String)) & "'")
				Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
				If dtw IsNot Nothing AndAlso
				 dtw.Rows.Count > 0 Then
					Return dtw.Rows(0)
				Else
					Return Nothing
				End If
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理目的コードのデータロウを取得する。
	''' </summary>
	''' <param name="strLendAim_Cd">貸出目的コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDataRow(ByVal strLendAim_Cd As String,
	  Optional ByVal dtFrom As DataTable = Nothing) As DataRow
		Dim cliCom As New clsCom
		Try
			Dim dt As DataTable
			If dtFrom Is Nothing Then
				dt = getAll()
			Else
				dt = dtFrom
			End If
			If dt IsNot Nothing Then
				Dim dr() As DataRow = dt.Select(sqlMTM_LENDAIM.itmLENDAIM_CD & " = '" & cliCom.getDtItmValue(strLendAim_Cd) & "'")
				Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
				If dtw IsNot Nothing AndAlso
				 dtw.Rows.Count > 0 Then
					Return dtw.Rows(0)
				Else
					Return Nothing
				End If
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的情報を取得します（データクラス）
	''' </summary>
	''' <returns>貸出目的情報（ArrayList内にdatMTM_LENDAIMクラス）</returns>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAllLendAim() As ArrayList
		Dim retData As ArrayList = New ArrayList()
		Dim iRet As Long
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(XSP.sqlMTM_LENDAIM.sqlSelAll)	'SELECT文設定
				iRet = db.execQuery(GetType(datMTM_LENDAIM), retData)	'値取得
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

#End Region

End Class
