﻿Imports XCM
Imports System.Reflection
''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出物管理状況マスタクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_LENDITEM_MNGSTATUS
	Implements IDisposable

#Region "解放処理"

    '解放処理時使用＊＊
    Protected disposed As Boolean = False

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If Not Me.disposed Then
            'ここで変数のクリアを行う
        End If
        Me.disposed = True
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物管理状況マスタを全件取得します。
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
    Public Function getAll() As DataTable
        Try
            Dim dtData As New DataTable
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                db.setSQLDa(XSP.sqlMTM_LENDITEM_MNGSTATUS.sqlSelAll)    'SELECT文設定
                db.execQueryDa(dtData)                                  '値取得
            End Using
            Return dtData

        Catch ex As Exception
            Throw
        End Try
    End Function

	''' ---------------------------------------------
	''' <summary>
    ''' 管理状況コードの初期値（固定コード１）を取得する。
    ''' </summary>
	''' <param name="eLendItem">貸出物コード</param>
	''' <param name="eFix1">固定コード１</param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Public Function getDefaultCdFromFix1(ByVal eLendItem As clsConst.Enum_Lenditem,
	 ByVal eFix1 As clsConst.Enum_LendStat_Fix1,
	 Optional ByVal dtFrom As DataTable = Nothing) As String
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_MNGSTATUS.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_MNGSTATUS.itmFIXED_CD1 & " = '" & cliCom.getDtItmValue(CType(eFix1, String)) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS_CD).ToString
                Else
                    Return Nothing
                End If
            Else
                Return Nothing
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況コードの初期値（固定コード１）のデータロウを取得する。
	''' </summary>
	''' <param name="eLendItem">貸出物コード</param>
	''' <param name="eFix1">固定コード１</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDefaultDataRowFromFix1(ByVal eLendItem As clsConst.Enum_Lenditem,
	 ByVal eFix1 As clsConst.Enum_LendStat_Fix1,
	 Optional ByVal dtFrom As DataTable = Nothing) As DataRow
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_MNGSTATUS.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_MNGSTATUS.itmFIXED_CD1 & " = '" & cliCom.getDtItmValue(CType(eFix1, String)) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)
                Else
                    Return Nothing
                End If
            Else
                Return Nothing
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況コードのデータロウを取得する。
	''' </summary>
	''' <param name="eLendItem">貸出物コード</param>
	''' <param name="strMngStatus_Cd">管理状況コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDataRow(ByVal eLendItem As clsConst.Enum_Lenditem,
	 ByVal strMngStatus_Cd As String,
	 Optional ByVal dtFrom As DataTable = Nothing) As DataRow
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_MNGSTATUS.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS_CD & " = '" & cliCom.getDtItmValue(strMngStatus_Cd) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)
                Else
                    Return Nothing
                End If
            Else
                Return Nothing
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

    ''' <summary>
    ''' 管理状況コードの初期値（固定コード２）を取得する。
    ''' </summary>
    ''' <param name="eLendItem"></param>
    ''' <param name="eFix2"></param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Public Function getDefaultCdFromFix2(ByVal eLendItem As clsConst.Enum_Lenditem,
		   ByVal eFix2 As clsConst.Enum_LendStat_Fix2,
		   Optional ByVal dtFrom As DataTable = Nothing) As String
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_MNGSTATUS.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_MNGSTATUS.itmFIXED_CD2 & " = '" & cliCom.getDtItmValue(CType(eFix2, String)) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS_CD).ToString
                Else
                    Return Nothing
                End If
            Else
                Return False
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

#End Region

End Class
