﻿Imports XCM
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 検索クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsSearch

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	Public Overloads Sub Dispose(ByVal disposing As Boolean)
		aryInput.Clear()
		aryInput = Nothing
		datOutPut = Nothing
	End Sub

	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"
	''' ---------------------------------------------
	''' <summary>
	''' 検索条件タイプ
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_SEARCH_TYPE As Byte
		''' <summary>
		''' 標準検索
		''' </summary>
		NORNAL = 0
		''' <summary>
		''' 範囲検索
		''' </summary>
		RANGE = 1
		''' <summary>
		''' あいまい検索
		''' </summary>
		AMBIGUOUS = 2
		''' <summary>
		''' 氏名検索
		''' </summary>
		PATIENT_NM = 3
'(A) STR V4-15007-000 004 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		''' <summary>管理物候補選定</summary>
		EXISTS_MNGITEM_CD = 4
'(A) END V4-15007-000 004 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 入力コントロールのタイプ
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_SQL_CTYPE As Byte
		''' <summary>
		''' 標準（Item = @パラメータ)
		''' </summary>
		cNORMAL = 0
		''' <summary>
		''' 範囲From（Item BETWEEN @パラメータFROM AND @パラメータ）
		''' </summary>
		cFROM = 1
		''' <summary>
		''' 範囲To（Item BETWEEN @パラメータ AND @パラメータTO）
		''' </summary>
		cTO = 2
		''' <summary>
		''' あいまい検索（Item Like @パラメータ）
		''' </summary>
		cLIKE = 3
'(A) STR V4-15007-000 004 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		''' <summary>管理物候補選定（EXISTS(・・・Item = @パラメータ））</summary>
		cExistsMngItemCd = 4
'(A) END V4-15007-000 004 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		''' <summary>
		''' 否定条件
		''' </summary>
		cNOT = 99
	End Enum

	'SQL WHERE文
	Private Const CST_WHERE_EQUAL As String = "{0} = {1}"
	Private Const CST_WHERE_NOT_EQUAL As String = "NOT {0} = {1}"

	Private Const CST_WHERE_BETWEEN As String = "{0} BETWEEN {1} AND {2}"
	Private Const CST_WHERE_BETWEEN_DATE As String = "{0} >= {1} AND {0} < {2}"
	Private Const CST_WHERE_G_EQUAL As String = "{0} >= {1}"
	Private Const CST_WHERE_L_EQUAL As String = "{0} <= {1}"
	Private Const CST_WHERE_LESSSR As String = "{0} < {1}"

	Private Const CST_WHERE_NULL As String = "{0} IS NULL"
	Private Const CST_WHERE_NOT_NULL As String = "{0} IS NOT NULL"

	Private Const CST_WHERE_LIKE As String = "{0} LIKE {1}"
'(A) STR V4-15007-000 010 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	Public Const CST_WHERE_EXISTS_MNGITEM_CD As String = "( EXISTS ( SELECT MNGITEM_CD" _
																& " FROM LTM_MNGITEM MM" _
																& " WHERE" _
																& " MM.MNGITEM_CD = {0}" _
																& " AND" _
																& " MM.MNGITEM_COPY_CD = {1}" _
																& " )" _
																& " OR {0} = {1} )"
'(A) END V4-15007-000 010 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	Private Const CST_WILDCARD As String = "%"
	Private Const CST_SQL_OR As String = " OR "
	Private Const CST_SQL_AND As String = " AND "
	Private Const CST_SQL_WHERE As String = " WHERE "
	Private Const CST_PARENTHESES As String = "( {0} )"

	Public Const CST_SEPARATOR As String = "/SEPARATOR/"

	'ログ出力用
	Private Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "検索処理(clsSearch)"
#End Region

#Region "変数"

	Private aryInput As ArrayList = New ArrayList			'入力(コントロールクラス)
	Private datOutPut As datSearchOutput					'出力(DBパラメータ)

#End Region

#Region "パブリックメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' データクリア
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub delControl()
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "delControl", CST_LOG_PRODUCT, CST_LOG_CLASS, "データクリア START")
		Me.aryInput.Clear()
		datOutPut = Nothing
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力データ追加
	''' </summary>
	''' <param name="datInput">入力データ</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub addContorl(ByVal datInput As datSearchInput())
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "addContorl", CST_LOG_PRODUCT, CST_LOG_CLASS, "入力データ追加 START")
		Me.aryInput.Add(datInput)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理 (入力データを元に出力データを作成)
	''' </summary>
	''' <param name="ctl">コントロール検索対象</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getSearch(ByVal ctl As Control) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSearch", CST_LOG_PRODUCT, CST_LOG_CLASS, "検索処理 START")
		Dim cliRet As datSearchOutput
		Dim chkCtl As Control
		Dim ret As Boolean = False
		Try
			cliRet = New datSearchOutput
			For i As Integer = 0 To Me.aryInput.Count - 1
				For Each cliInput As datSearchInput In Me.aryInput(i)
					chkCtl = findControl(ctl, cliInput.CheckControl)

					'コントロールがあり、チェックONなら検索
					If chkCtl IsNot Nothing AndAlso
					  (TypeOf chkCtl Is BT_CheckBox AndAlso DirectCast(chkCtl, BT_CheckBox).Checked = True) OrElse
					  (TypeOf chkCtl Is RadioButton AndAlso DirectCast(chkCtl, RadioButton).Checked = True) Then

						Select Case cliInput.SearchType
							'標準検索
							Case ENUM_SEARCH_TYPE.NORNAL
								cliRet = Me.Search_Normal(ctl, cliInput, cliRet)

							'範囲検索
							Case ENUM_SEARCH_TYPE.RANGE
								cliRet = Me.Search_Range(ctl, cliInput, cliRet)

							'あいまい検索
							Case ENUM_SEARCH_TYPE.AMBIGUOUS
								cliRet = Me.Search_Like(ctl, cliInput, cliRet)

							'氏名検索
							Case ENUM_SEARCH_TYPE.PATIENT_NM
								cliRet = Me.Search_Like(ctl, cliInput, cliRet, cliInput.SearchType)

'(A) STR V4-15007-000 005 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
							'管理物候補選定
							Case ENUM_SEARCH_TYPE.EXISTS_MNGITEM_CD
								cliRet = Me.Search_ExistsMngItemCd(ctl, cliInput, cliRet)
'(A) END V4-15007-000 005 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
							Case Else

						End Select
						ret = True
					End If
				Next
				Me.datOutPut = cliRet
			Next
			Return ret
		Catch ex As Exception
			Throw
		Finally
			cliRet = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL条件文を取得
	''' </summary>
	''' <param name="pTableCd">処理対象テーブルコード</param>
	''' <param name="pWhere">Where句を接頭語に変換</param>
	''' <returns>SQL条件文</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)仙頭<BR/>
	'''	</remarks>
	''' ---------------------------------------------
	Public Function getSqlWhere(Optional ByVal pTableCd As String = Nothing, Optional ByVal pWhere As Boolean = False) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSqlWhere", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL条件文取得 START")
		Dim ret As String = Nothing
		Try
			For Each param As datSearchOutput.clsDbParam In Me.datOutPut.DbParam
				If (param.TableCd = pTableCd OrElse pTableCd Is Nothing) AndAlso _
					String.IsNullOrEmpty(param.Where) = False Then
					ret &= CST_SQL_AND & param.Where
				End If
			Next
			If ret IsNot Nothing AndAlso ret.Length > 0 AndAlso pWhere = True Then
				ret = CST_SQL_WHERE & ret.Substring(CST_SQL_AND.Length - 1)
			End If

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DBパラメータ設定
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="pTableCd">処理対象テーブルコード</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setDbParam(ByVal db As clsDB, Optional ByVal pTableCd As String = Nothing)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDbParam", CST_LOG_PRODUCT, CST_LOG_CLASS, "DBパラメータ設定 START")
		Try
			For Each param As datSearchOutput.clsDbParam In Me.datOutPut.DbParam
				If (param.TableCd = pTableCd OrElse pTableCd Is Nothing) AndAlso _
					String.IsNullOrEmpty(param.ParamNm) = False Then
						db.setParam(param.ParamNm, param.DbType)
						db.setVal(param.ParamNm, param.Value)
				End If
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DBパラメータ設定
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="pTableCd">処理対象テーブルコード</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setDbParamDa(ByVal db As clsDB, Optional ByVal pTableCd As String = Nothing)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDbParamDa", CST_LOG_PRODUCT, CST_LOG_CLASS, "DBパラメータ設定 START")
		Try
			For Each param As datSearchOutput.clsDbParam In Me.datOutPut.DbParam
				If (param.TableCd = pTableCd OrElse pTableCd Is Nothing) AndAlso _
					String.IsNullOrEmpty(param.ParamNm) = False Then
						db.setParamDa(param.ParamNm, param.DbType)
						db.setValDa(param.ParamNm, param.Value)
				End If
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 標準検索
	''' </summary>
	''' <param name="ctl">検索対象コントロール</param>
	''' <param name="cliInput">データコントロールクラス</param>
	''' <param name="cliRet">返却用受渡しクラス</param>
	''' <returns>返却用受渡しクラス</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function Search_Normal(ByVal ctl As Control, ByVal cliInput As datSearchInput, ByVal cliRet As datSearchOutput) As datSearchOutput
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "Search_Normal", CST_LOG_PRODUCT, CST_LOG_CLASS, "標準検索 START")
		Dim cliLink As datSearchInput.clsLinkControls	'入力コントロールクラス

		Dim ctlInput As Control = Nothing				'入力コントロール
		Dim ctlNot As Control = Nothing					'NOT

		Dim where As String = Nothing					'条件文

		Try
			'否定コントロールを取得
			cliLink = cliInput.getLinkControl(ENUM_SQL_CTYPE.cNOT)
			If cliLink IsNot Nothing Then
				ctlNot = Me.findControl(ctl, cliLink.LinkControl)
			Else
				ctlNot = Nothing
			End If

			'入力コントロールを取得
			cliLink = cliInput.getLinkControl(ENUM_SQL_CTYPE.cNORMAL)
			ctlInput = Me.findControl(ctl, cliLink.LinkControl)

			' 入力有
			If Me.chkCtlEmpty(ctlInput) = False Then
				'条件文
				Select Case Me.getValue(ctlNot)
				Case Nothing
					where = CST_WHERE_EQUAL
				Case clsConst.Enum_NotMatch.Match
					where = CST_WHERE_EQUAL
				Case clsConst.Enum_NotMatch.NotMatch
					where = CST_WHERE_NOT_EQUAL
				End Select
				where = Me.getSqlWhere(where, cliInput.ItemName, cliLink.getParamNm)

				' DBParameter 設定
				cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, cliLink.getParamNm, cliLink.DbType, Me.getValue(ctlInput)))

			' 未入力
			Else
				'条件文
				Select Case Me.getValue(ctlNot)
				Case Nothing
					where = CST_WHERE_NULL
				Case CStr(clsConst.Enum_NotMatch.Match)
					where = CST_WHERE_NULL
				Case CStr(clsConst.Enum_NotMatch.NotMatch)
					where = CST_WHERE_NOT_NULL
				End Select
				where = Me.getSqlWhere(where, cliInput.ItemName, Nothing)

				' DBParameter 設定
				cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, Nothing, Nothing, Nothing))
			End If

			Return cliRet

		Catch ex As Exception
			Throw
		Finally
			cliLink = Nothing
			ctlInput = Nothing
			ctlNot = Nothing
			where = Nothing
		End Try
	End Function

'(A) STR V4-15007-000 046 2014/03/12 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	''' ---------------------------------------------
	''' <summary>
	''' 標準検索
	''' </summary>
	''' <param name="ctl">検索対象コントロール</param>
	''' <param name="cliInput">データコントロールクラス</param>
	''' <param name="cliRet">返却用受渡しクラス</param>
	''' <returns>返却用受渡しクラス</returns>
	''' <remarks>
	''' 2014/03/12 新規作成 ID)鐘井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function Search_ExistsMngItemCd(ByVal ctl As Control, ByVal cliInput As datSearchInput, ByVal cliRet As datSearchOutput) As datSearchOutput
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "Search_ExistsMngItemCd", CST_LOG_PRODUCT, CST_LOG_CLASS, "標準検索 START")
		Dim cliLink As datSearchInput.clsLinkControls	'入力コントロールクラス

		Dim ctlInput As Control = Nothing				'入力コントロール

		Dim where As String = Nothing					'条件文

		Try
			'入力コントロールを取得
			cliLink = cliInput.getLinkControl(ENUM_SQL_CTYPE.cExistsMngItemCd)
			ctlInput = Me.findControl(ctl, cliLink.LinkControl)

			' 入力有
			If Me.chkCtlEmpty(ctlInput) = False Then
				'条件文
				where = CST_WHERE_EXISTS_MNGITEM_CD
				where = Me.getSqlWhere(where, cliInput.ItemName, cliLink.getParamNm)

				' DBParameter 設定
				cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, cliLink.getParamNm, cliLink.DbType, Me.getValue(ctlInput)))
			End If
			Return cliRet

		Catch ex As Exception
			Throw
		Finally
			cliLink = Nothing
			ctlInput = Nothing
			where = Nothing
		End Try
	End Function
'(A) END V4-15007-000 046 2014/03/12 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応

	''' ---------------------------------------------
	''' <summary>
	''' 範囲検索
	''' </summary>
	''' <param name="ctl">検索対象コントロール</param>
	''' <param name="cliInput">データコントロールクラス</param>
	''' <param name="cliRet">返却用受渡しクラス</param>
	''' <returns>返却用受渡しクラス</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function Search_Range(ByVal ctl As Control, ByVal cliInput As datSearchInput, ByVal cliRet As datSearchOutput) As datSearchOutput
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "Search_Range", CST_LOG_PRODUCT, CST_LOG_CLASS, "範囲検索 START")
		Const CST_IDX_FR As Integer = 0
		Const CST_IDX_TO As Integer = 1

		Dim cliLink(1) As datSearchInput.clsLinkControls	'コントロールクラス
		Dim ctlInput(1) As Control

		Dim where As String = Nothing						'条件文
		Dim value As String = Nothing						'値
		Try
			'入力コントロールを取得
			cliLink(CST_IDX_FR) = cliInput.getLinkControl(ENUM_SQL_CTYPE.cFROM)
			cliLink(CST_IDX_TO) = cliInput.getLinkControl(ENUM_SQL_CTYPE.cTO)
			ctlInput(CST_IDX_FR) = Me.findControl(ctl, cliLink(CST_IDX_FR).LinkControl)
			ctlInput(CST_IDX_TO) = Me.findControl(ctl, cliLink(CST_IDX_TO).LinkControl)

			If Me.chkCtlEmpty(ctlInput(CST_IDX_FR)) = False Then
				' From/To 入力有
				If Me.chkCtlEmpty(ctlInput(CST_IDX_TO)) = False Then
					Dim cliCom As New XSP.clsCom()
					Dim aryValue() As String
					Try
						'条件文
						Select Case cliLink(CST_IDX_FR).DbType
							Case clsDB.Enum_dbType.dbDateTime													'日付時刻の場合、時刻を条件にいれる
								where = CST_WHERE_BETWEEN_DATE
							Case Else
								where = CST_WHERE_BETWEEN
						End Select

						where = String.Format(where, cliInput.ItemName, cliLink(CST_IDX_FR).getParamNm, cliLink(CST_IDX_TO).getParamNm)
						'値
						Select Case cliLink(CST_IDX_FR).DbType
						Case clsDB.Enum_dbType.dbInt, clsDB.Enum_dbType.dbNumeric
							aryValue = New String() {Me.getValue(ctlInput(CST_IDX_FR)), Me.getValue(ctlInput(CST_IDX_TO))}
							If CType(aryValue(0), Double) > CType(aryValue(1), Double) Then
								aryValue = New String() {Me.getValue(ctlInput(CST_IDX_TO)), Me.getValue(ctlInput(CST_IDX_FR))}
							End If
						Case Else
							aryValue = cliCom.getFromToValue(Me.getValue(ctlInput(CST_IDX_FR)), Me.getValue(ctlInput(CST_IDX_TO)))
							If cliLink(CST_IDX_FR).DbType = clsDB.Enum_dbType.dbDateTime AndAlso IsDate(aryValue(CST_IDX_TO)) = True Then
								aryValue(CST_IDX_TO) = DateAdd(DateInterval.Day, 1, CType(aryValue(CST_IDX_TO), Date))
							End If
						End Select

						'DBParameter 設定
						cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, cliLink(CST_IDX_FR).getParamNm, cliLink(CST_IDX_FR).DbType, aryValue(CST_IDX_FR)))
						cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, Nothing, cliLink(CST_IDX_TO).getParamNm, cliLink(CST_IDX_TO).DbType, aryValue(CST_IDX_TO)))
					Catch ex As Exception
						Throw
					Finally
						cliCom = Nothing
					End Try
				' Fromのみ 入力有
				Else
					With cliLink(CST_IDX_FR)
						'条件文
						where = String.Format(CST_WHERE_G_EQUAL, cliInput.ItemName, .getParamNm)

						'DBParameter 設定
						cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, .getParamNm, .DbType, Me.getValue(ctlInput(CST_IDX_FR))))
					End With
				End If
			Else
				' Toのみ 入力有
				If Me.chkCtlEmpty(ctlInput(CST_IDX_TO)) = False Then
					With cliLink(CST_IDX_TO)
						'条件文
						Select Case .DbType
							Case clsDB.Enum_dbType.dbDateTime											'日付時刻の場合、時刻を条件にいれる
								where = CST_WHERE_LESSSR
							Case Else
								where = CST_WHERE_L_EQUAL
						End Select
						where = String.Format(where, cliInput.ItemName, .getParamNm)
						value = Me.getValue(ctlInput(CST_IDX_TO))
						If .DbType = clsDB.Enum_dbType.dbDateTime AndAlso IsDate(value) = True Then
							value = DateAdd(DateInterval.Day, 1, CType(value, Date))
						End If
						'DBParameter 設定
						cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, .getParamNm, .DbType, value))
					End With
				' From/To 未入力
				Else
						'条件文
						where = String.Format(CST_WHERE_NULL, cliInput.ItemName)

						'DBParameter 設定
						cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, Nothing, Nothing, Nothing))
				End If
			End If

			Return cliRet
		Catch ex As Exception
			Throw
		Finally
			where = Nothing
			value = Nothing
			cliLink = Nothing
			ctlInput = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Like検索
	''' </summary>
	''' <param name="ctl">検索対象コントロール</param>
	''' <param name="cliInput">データコントロールクラス</param>
	''' <param name="cliRet">返却用受渡しクラス</param>
	''' <returns>返却用受渡しクラス</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function Search_Like(ByVal ctl As Control, ByVal cliInput As datSearchInput, ByVal cliRet As datSearchOutput, _
						Optional ByVal SearchType As ENUM_SEARCH_TYPE = ENUM_SEARCH_TYPE.AMBIGUOUS) As datSearchOutput
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "Search_Like", CST_LOG_PRODUCT, CST_LOG_CLASS, "Like検索 START")
		Dim cliLink As datSearchInput.clsLinkControls	'入力コントロールクラス

		Dim ctlInput As Control = Nothing				'入力コントロール
		Dim ctlLike As Control = Nothing				'LIKEコントロール

		Dim where As String = Nothing					'条件文
		Dim value As String = Nothing					'入力値
		Try
			'LIKEコントロール
			cliLink = cliInput.getLinkControl(ENUM_SQL_CTYPE.cLIKE)
			ctlLike = Me.findControl(ctl, cliLink.LinkControl)

			'入力コントロール
			cliLink = cliInput.getLinkControl(ENUM_SQL_CTYPE.cNORMAL)
			ctlInput = Me.findControl(ctl, cliLink.LinkControl)

			' 入力有
			If Me.chkCtlEmpty(ctlInput) = False Then
				'値
				value = Me.getValue(ctlInput)

				'条件文
				Select Case Me.getValue(ctlLike)
				'選択なし
				Case BT_Like.Enum_MatchingCriteria.NoSelected
					where = CST_WHERE_EQUAL
				'前方一致
				Case BT_Like.Enum_MatchingCriteria.PrefixMatch
					where = CST_WHERE_LIKE
					value = value & CST_WILDCARD
				'後方一致
				Case BT_Like.Enum_MatchingCriteria.BackwardMatch
					where = CST_WHERE_LIKE
					value = CST_WILDCARD & value
				'部分一致
				Case BT_Like.Enum_MatchingCriteria.BroadMatch
					where = CST_WHERE_LIKE
					value = CST_WILDCARD & value & CST_WILDCARD
				'完全一致
				Case BT_Like.Enum_MatchingCriteria.ExactMatch
					where = CST_WHERE_EQUAL
				End Select
				where = Me.getSqlWhere(where, cliInput.ItemName, cliLink.getParamNm)

				' DBParameter 設定
				cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, cliLink.getParamNm, cliLink.DbType, value))

			' 未入力
			Else
				Select Case SearchType
					'氏名の場合は、検索対象を第一項目のみに
					Case ENUM_SEARCH_TYPE.PATIENT_NM
						where = Me.getSqlWhere(CST_WHERE_NULL, Split(cliInput.ItemName, CST_SEPARATOR, 2, CompareMethod.Text)(0), Nothing)
					Case Else
						where = Me.getSqlWhere(CST_WHERE_NULL, cliInput.ItemName, Nothing)
				End Select



				' DBParameter 設定
				cliRet.AddDBParam(New datSearchOutput.clsDbParam(cliInput.TableCd, where, Nothing, Nothing, Nothing))
			End If

			Return cliRet

		Catch ex As Exception
			Throw
		Finally
			cliLink = Nothing
			ctlInput = Nothing
			ctlLike = Nothing
			where = Nothing
			value = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名よりコントロールを取得
	''' </summary>
	''' <param name="ctl">検索対象コントロール</param>
	''' <param name="ctlName">コントロール名</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function findControl(ByVal ctl As Control, ByVal ctlName As String) As Control
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "findControl", CST_LOG_PRODUCT, CST_LOG_CLASS, "コントロール名よりコントロールを取得 START")
		Try
			If ctlName = Nothing Then Return Nothing

			Dim aryCtl() As Control = ctl.Controls.Find(ctlName, True)
			Try
				If aryCtl.Length > 0 Then
					Return aryCtl(0)
				Else
					Return Nothing
				End If
			Finally
				aryCtl = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロール未入力判定
	''' </summary>
	''' <param name="ctlInput">入力コントロール</param>
	''' <returns>True:入力/FALSE:未入力</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCtlEmpty(ByRef ctlInput As Control) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "chkCtlEmpty", CST_LOG_PRODUCT, CST_LOG_CLASS, "コントロール未入力判定 START")
		Try
			If ctlInput Is Nothing Then Return False

			Select Case True
				'日付コントロール
				Case TypeOf ctlInput Is BT_Date
					Return DirectCast(ctlInput, BT_Date).DateValue.Equals(Nothing)

				'コンボボックス
				Case TypeOf ctlInput Is BT_MultiComboBox
					With DirectCast(ctlInput, BT_MultiComboBox)
						Return .SelectedValue Is Nothing AndAlso String.IsNullOrEmpty(.Text) = True
					End With

				'マスク
				Case TypeOf ctlInput Is BT_Mask
					Return DirectCast(ctlInput, BT_Mask).IsNullOrEmpty

				'上記以外
				Case Else
					Return String.IsNullOrEmpty(ctlInput.Text)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロール値取得
	''' </summary>
	''' <param name="ctlInput">入力コントロール</param>
	''' <returns>コントロール値</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getValue(ByVal ctlInput As Control) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getValue", CST_LOG_PRODUCT, CST_LOG_CLASS, "コントロール値取得 START")
		Try
			If ctlInput Is Nothing Then Return Nothing

			Select Case True
				'チェックボックス
				Case TypeOf ctlInput Is BT_CheckBox
					Select Case DirectCast(ctlInput, BT_CheckBox).Checked
					Case True : Return clsConst.Enum_CheckBox_Flg.CheckOn
					Case Else : Return clsConst.Enum_CheckBox_Flg.CheckOff
					End Select

				'日付コントロール
				Case TypeOf ctlInput Is BT_Date
					With DirectCast(ctlInput, BT_Date)
						Select Case True
						Case .DateValue.Equals(Nothing)
							Return Nothing

						'誕生日の場合
						Case .DateStyle = BT_Date.Enum_DateStyle.Mon_Style
							Return .DateValue.ToString("MM/dd")

						Case Else
							Return .DateValue.ToString("yyyy/MM/dd")
						End Select
					End With

				'コンボボックス
				Case TypeOf ctlInput Is BT_MultiComboBox
					With DirectCast(ctlInput, BT_MultiComboBox)
						If .DropDownStyle = ComboBoxStyle.DropDown AndAlso
							String.IsNullOrEmpty(.LinkControl) = False AndAlso
							String.IsNullOrEmpty(.DisplayMemberEx) = False AndAlso
							.DisplayMember = .ValueMember Then
							Return .Text
						Else
							Return .SelectedValue
						End If
					End With

				'LIKEコントロール
				Case TypeOf ctlInput Is BT_Like
					Return DirectCast(ctlInput, BT_Like).MatchingCriteria

				'マスク
				Case TypeOf ctlInput Is BT_Mask
					With DirectCast(ctlInput, BT_Mask)
						Select Case True
							Case .IsNullOrEmpty()
								Return Nothing
							Case Else
								Return .Text
						End Select
					End With

				'数値項目
				Case TypeOf ctlInput Is BT_NumericUpDown
					With DirectCast(ctlInput, BT_NumericUpDown)
						If String.IsNullOrEmpty(.Text) = True Then
							Return Nothing
						Else
							Return .Value
						End If
					End With

				Case TypeOf ctlInput Is BT_Number
					With DirectCast(ctlInput, BT_Number)
						If String.IsNullOrEmpty(.Text) = True Then
							Return Nothing
						Else
							Return .DblValue
						End If
					End With

				'その他のコントロール
				Case Else
					Return ctlInput.Text

			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL条件文生成
	''' </summary>
	''' <param name="Format">SQL文書式</param>
	''' <param name="ColName">DB項目名</param>
	''' <param name="PrmName">パラメータ名</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSqlWhere(ByVal Format As String, ByVal ColName As String, ByVal ParamArray PrmName() As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSqlWhere", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL条件文生成 START")
		Dim ret As String = Nothing
		Try
			If ColName.IndexOf(CST_SEPARATOR) >= 0 Then
				'複数項目での検索
				For Each wk As String In Split(ColName, CST_SEPARATOR, -1, CompareMethod.Text)
					If PrmName Is Nothing Then
						ret &= CST_SQL_AND & String.Format(Format, wk)
					Else
						Select Case PrmName.Length
							Case 1 : ret &= CST_SQL_OR & String.Format(Format, wk, PrmName(0))
							Case 2 : ret &= CST_SQL_OR & String.Format(Format, wk, PrmName(0), PrmName(1))
							Case 3 : ret &= CST_SQL_OR & String.Format(Format, wk, PrmName(0), PrmName(1), PrmName(2))
							Case 4 : ret &= CST_SQL_OR & String.Format(Format, wk, PrmName(0), PrmName(1), PrmName(2), PrmName(3))
							Case 5 : ret &= CST_SQL_OR & String.Format(Format, wk, PrmName(0), PrmName(1), PrmName(2), PrmName(3), PrmName(4))
							Case Else : ret &= CST_SQL_OR & String.Format(Format, wk, PrmName)
						End Select
					End If
				Next
				'最初の接続子を排除し括弧つきに
				If PrmName IsNot Nothing Then
					ret = String.Format(CST_PARENTHESES, ret.Substring(CST_SQL_AND.Length))
				Else
					ret = String.Format(CST_PARENTHESES, ret.Substring(CST_SQL_OR.Length))
				End If

			Else
				If PrmName Is Nothing Then
					ret = String.Format(Format, ColName, PrmName)
				Else
					'１項目での検索
					Select Case PrmName.Length
						Case 1 : ret = String.Format(Format, ColName, PrmName(0))
						Case 2 : ret = String.Format(Format, ColName, PrmName(0), PrmName(1))
						Case 3 : ret = String.Format(Format, ColName, PrmName(0), PrmName(1), PrmName(2))
						Case 4 : ret = String.Format(Format, ColName, PrmName(0), PrmName(1), PrmName(2), PrmName(3))
						Case 5 : ret = String.Format(Format, ColName, PrmName(0), PrmName(1), PrmName(2), PrmName(3), PrmName(4))
						Case Else : ret = String.Format(Format, ColName, PrmName)													'エラーへ
					End Select
				End If
			End If
			Return ret
		Catch ex As Exception
			Throw
		Finally
			ret = Nothing
		End Try
	End Function

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' 検索条件 入力コントロールクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datSearchInput

#Region "解放処理"

		'確実な解放処理を実行するために指定
		Inherits CriticalFinalizerObject
		'解放処理を実装する為に指定
		Implements IDisposable

		Public Overloads Sub Dispose(ByVal disposing As Boolean)
			Me.CheckControl = Nothing
			Me.TableCd = Nothing
			Me.ItemName = Nothing
			Me.SearchType = Nothing
			Me.LinkControls = Nothing
		End Sub

		Public Overloads Sub Dispose() Implements IDisposable.Dispose
			Dispose(True)
			MyBase.Finalize()
			GC.SuppressFinalize(Me)
		End Sub

		Protected Overrides Sub Finalize()
			Dispose(False)
			MyBase.Finalize()
		End Sub

#End Region

#Region "変数"

		Public CheckControl As String						'チェックコントロール
		Public TableCd As String							'テーブルコード
		Public ItemName As String							'DB項目
		Public SearchType As clsSearch.ENUM_SEARCH_TYPE		'検索方法
		Public LinkControls As clsLinkControls()			'ＬＩＮＫコントロール配列

#End Region

#Region "コンストラクタ"

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ コントロールクラス
		''' </summary>
		''' <param name="pCheckControl">チェックコントロール名</param>
		''' <param name="pItemName">項目名</param>
		''' <param name="pSearchType">検索方法</param>
		''' <param name="pLinkControl">チェックボックスのＬＩＮＫコントロールクラス</param>
		''' <remarks>
		''' 2010/11/02 新規作成　ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub New(ByVal pCheckControl As String _
					 , ByVal pTableCd As String _
					 , ByVal pItemName As String _
					 , ByVal pSearchType As clsSearch.ENUM_SEARCH_TYPE _
					 , ByVal pLinkControl As clsLinkControls())

			Me.CheckControl = pCheckControl
			Me.TableCd = pTableCd
			Me.ItemName = pItemName
			Me.SearchType = pSearchType
			Me.LinkControls = pLinkControl

		End Sub

#End Region

#Region "メソッド"
		''' ---------------------------------------------
		''' <summary>
		''' LinkControlsクラスを取得
		''' </summary>
		''' <param name="cTyp"></param>
		''' <returns></returns>
		''' <remarks>
		''' 2010/11/02 新規作成　ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function getLinkControl(ByVal cTyp As clsSearch.ENUM_SQL_CTYPE) As clsLinkControls
			Try
				For Each link As clsLinkControls In Me.LinkControls
					If link.LinkControlType = cTyp Then
						Return link
					End If
				Next
				Return Nothing
			Catch ex As Exception
				Throw
			End Try
		End Function
#End Region

#Region "コントロールサブクラス"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ サブコントロールクラス
	''' </summary>
	''' ---------------------------------------------
	Public NotInheritable Class clsLinkControls
#Region "解放処理"

		'確実な解放処理を実行するために指定
		Inherits CriticalFinalizerObject
		'解放処理を実装する為に指定
		Implements IDisposable

		Public Overloads Sub Dispose(ByVal disposing As Boolean)
			Me.LinkControl = Nothing
			Me.LinkControlType = Nothing
			Me.DbType = Nothing
		End Sub

		Public Overloads Sub Dispose() Implements IDisposable.Dispose
			Dispose(True)
			MyBase.Finalize()
			GC.SuppressFinalize(Me)
		End Sub

		Protected Overrides Sub Finalize()
			Dispose(False)
			MyBase.Finalize()
		End Sub

#End Region

		Private Const CST_SQL_PARAM As String = "@"

		Public LinkControl As String								'入力コントロール名
		Public LinkControlType As clsSearch.ENUM_SQL_CTYPE			'ＳＱＬ検索タイプ
		Public DbType As clsDB.Enum_dbType							'パラメータ型

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ コントロールサブクラス
		''' </summary>
		''' <param name="pLinkControl">入力コントロール名</param>
		''' <param name="pLinkControlType">ＳＱＬ検索タイプ</param>
		''' <param name="pDbType">ＬＩＮＫコントロールのＤＢタイプ</param>
		''' <remarks>
		''' 2010/11/02 新規作成　ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub New(ByVal pLinkControl As String, ByVal pLinkControlType As clsSearch.ENUM_SQL_CTYPE, ByVal pDbType As clsDB.Enum_dbType)

			Me.LinkControl = pLinkControl
			Me.LinkControlType = pLinkControlType
			Me.DbType = pDbType

		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' パラメータ名取得
		''' </summary>
		''' <returns></returns>
		''' <remarks>
		''' 2010/11/02 新規作成 ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function getParamNm() As String
			Return CST_SQL_PARAM & Me.LinkControl
		End Function

	End Class
#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' 検索条件 データ受渡しクラス
''' ＳＱＬ条件
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datSearchOutput

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	Public Overloads Sub Dispose(ByVal disposing As Boolean)
		Me.DbParam.Clear()
		DbParam = Nothing
	End Sub

	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region
		Public DbParam As New List(Of clsDbParam)		'SQL パラメータ

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <remarks>
		''' 2010/11/02 新規作成　ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub New()
			DbParam.Clear()
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' DBParam クラス追加処理
		''' </summary>
		''' <param name="cliDbParam"></param>
		''' <remarks>
		''' 2010/11/05 新規作成　ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub AddDBParam(ByVal cliDbParam As clsDbParam)
			DbParam.Add(cliDbParam)
		End Sub

#Region "サブクラス"

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件 データ受渡しサブクラス
	''' ＳＱＬ条件
	''' </summary>
	''' <remarks>
	''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
	''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Class clsDbParam

#Region "解放処理"

		'確実な解放処理を実行するために指定
		Inherits CriticalFinalizerObject
		'解放処理を実装する為に指定
		Implements IDisposable

		Public Overloads Sub Dispose(ByVal disposing As Boolean)
			Me.ParamNm = Nothing
			Me.DbType = Nothing
			Me.Value = Nothing
		End Sub

		Public Overloads Sub Dispose() Implements IDisposable.Dispose
			Dispose(True)
			MyBase.Finalize()
			GC.SuppressFinalize(Me)
		End Sub

		Protected Overrides Sub Finalize()
			Dispose(False)
			MyBase.Finalize()
		End Sub

#End Region


		Public TableCd As String = Nothing							'テーブルコード
		Public Where As String = Nothing							'条件文
		Public ParamNm As String = Nothing							'パラメータ名
		Public DbType As clsDB.Enum_dbType = Nothing				'パラメータ型
		Public Value As String = Nothing							'パラメータ値

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <param name="pTableCd">テーブルコード</param>
		''' <param name="pWhere">条件文</param>
		''' <param name="pParam_Nm">パラメータ名</param>
		''' <param name="pDbType">パラメータ型</param>
		''' <param name="pValue">パラメータ値</param>
		''' <remarks>
		''' 2010/11/05 新規作成 ACS)仙頭<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub New(ByVal pTableCd As String, ByVal pWhere As String, ByVal pParam_Nm As String, ByVal pDbType As clsDB.Enum_dbType, ByVal pValue As String)
			Me.TableCd = pTableCd
			Me.Where = pWhere
			Me.ParamNm = pParam_Nm
			Me.DbType = pDbType
			Me.Value = pValue
		End Sub

	End Class

#End Region

End Class




