﻿Imports XCM
Imports System.Windows.Forms
'''---------------------------------------------
''' <summary>
''' 表示項目選択マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsXTM_ITMSEL_LIST

#Region "コンスタント"

	'''---------------------------------------------
	''' <summary>
	''' SQLパラメータインデックス
	''' </summary>
	''' <remarks>
	''' 2010/03/08 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Enum Enum_SqlParam
		'''---------------------------------------------
		''' <summary>
		''' 一覧表示項目取得
		''' </summary>
		''' <remarks>
		''' 2010/03/08 新規作成 CS)荒川<BR/>
		''' </remarks>
		'''---------------------------------------------
		sqlSel_ITEMLIST = 1
		'''---------------------------------------------
		''' <summary>
		''' 一覧選択項目取得
		''' </summary>
		''' <remarks>
		''' 2010/03/08 新規作成 CS)荒川<BR/>
		''' </remarks>
		'''---------------------------------------------
		sqlSel_SELECTLIST = 2
		'''---------------------------------------------
		''' <summary>
		''' 一覧選択項目削除
		''' </summary>
		''' <remarks>
		''' 2010/03/08 新規作成 CS)荒川<BR/>
		''' </remarks>
		'''---------------------------------------------
		sqlDel_SELECTLIST = 3
		'''---------------------------------------------
		''' <summary>
		''' 一覧項目選択追加
		''' </summary>
		''' <remarks>
		''' 2010/03/08 新規作成 CS)荒川<BR/>
		''' </remarks>
		'''---------------------------------------------
		sqlIns_SELECTLIST = 4
	End Enum

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 一覧表示項目取得（画面コード指定）
	''' </summary>
	''' <param name="pScreencd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>
	''' <returns>一覧表示項目データクラスを返す（datXTM_ITEMLIST）</returns>
	''' <remarks>
	''' 2010/10/04 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getDispDefaultClm(ByVal pScreencd As String, ByVal pGridcd As String) As ArrayList
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'一覧表示項目取得SQL
					.setSQL(sqlXTM_ITMSEL_LIST.sqlSelXTM_ITEMLIST)

					'取得条件
					Me.setSqlParam(db, Enum_SqlParam.sqlSel_ITEMLIST, pScreencd, pGridcd)

					'取得
					.execQuery(GetType(datXTM_ITEMLIST), arData)

					If arData.Count > 0 Then
						'正常なら一覧表示項目データクラスを返す
						Return arData
					Else
						'異常ならNothingを返す
						Return Nothing
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 一覧表示項目取得（画面コード指定）（DB）
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="pScreencd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>
	''' <returns>一覧表示項目データクラスを返す（datXTM_ITEMLIST）</returns>
	''' <remarks>
	''' 2010/10/04 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getDispDefaultClm(ByVal db As clsDB, ByVal pScreencd As String, ByVal pGridcd As String) As ArrayList
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList
			With db
				'一覧表示項目取得SQL
				.setSQL(sqlXTM_ITMSEL_LIST.sqlSelXTM_ITEMLIST)

				'取得条件
				Me.setSqlParam(db, Enum_SqlParam.sqlSel_ITEMLIST, pScreencd, pGridcd)

				'取得
				.execQuery(GetType(datXTM_ITEMLIST), arData)

				If arData.Count > 0 Then
					'正常なら一覧表示項目データクラスを返す
					Return arData
				Else
					'異常ならNothingを返す
					Return Nothing
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 一覧選択項目取得（画面コード指定）
	''' </summary>
	''' <param name="pScreencd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>
	''' <param name="pUsercd">使用者コード（Me._UserId固定）</param>        
	''' <returns>一覧選択項目データクラスを返す（datXTM_SELECTLIST）</returns>
	''' <remarks>
	''' 2010/03/08 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getDispClm(ByVal pScreencd As String, ByVal pGridcd As String, ByVal pUsercd As String) As ArrayList
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'一覧選択項目取得SQL
					.setSQL(sqlXTM_ITMSEL_LIST.sqlSelXTM_SELECTLIST)

					'取得条件
					Me.setSqlParam(db, Enum_SqlParam.sqlSel_SELECTLIST, pScreencd, pGridcd, pUsercd)

					'取得
					.execQuery(GetType(datXTM_SELECTLIST), arData)
					If arData.Count > 0 Then
						'正常なら一覧選択項目データクラスを返す
						Return arData
					Else
						'異常ならNothingを返す
						Return Nothing
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 一覧選択項目取得（画面コード指定）（DB）
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="pScreencd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>
	''' <param name="pUsercd">使用者コード（Me._UserId固定）</param>        
	''' <returns>一覧選択項目データクラスを返す（datXTM_SELECTLIST）</returns>
	''' <remarks>
	''' 2010/03/08 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getDispClm(ByVal db As clsDB, ByVal pScreencd As String, ByVal pGridcd As String, ByVal pUsercd As String) As ArrayList
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList
			With db
				'一覧選択項目取得SQL
				.setSQL(sqlXTM_ITMSEL_LIST.sqlSelXTM_SELECTLIST)

				'取得条件
				Me.setSqlParam(db, Enum_SqlParam.sqlSel_SELECTLIST, pScreencd, pGridcd, pUsercd)

				'取得
				.execQuery(GetType(datXTM_SELECTLIST), arData)
				If arData.Count > 0 Then
					'正常なら一覧選択項目データクラスを返す
					Return arData
				Else
					'異常ならNothingを返す
					Return Nothing
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' グリッド列を整理
	''' </summary>
	''' <param name="pDgv">対象グリッド</param>
	''' <param name="parDisp">表示項目データクラス群（ArrayList）</param>       
	''' <remarks>
	''' 2010/03/08 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub setDispClm(ByVal pDgv As DataGridView, ByVal parDisp As ArrayList)
		Dim Check As Integer = Nothing			'チェック状態
		Dim clmNm As String = Nothing			'キー番号
		Dim clmDspOrder As Integer = 1			'表示順
		Try

			'固定列の数を求めてoffset値とする
			Dim iFixedColCnt As Integer = 0
'(A) STR V4-11048-000 003 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
			Dim bFixedFlg As Boolean
'(A) END V4-11048-000 003 20110915
			For Each pClm As DataGridViewColumn In pDgv.Columns
'(M) STR V4-11048-000 029 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'				If pClm.Frozen Then
'					iFixedColCnt += 1
'				End If
				bFixedFlg = False
				For Idx As Integer = 0 To parDisp.Count - 1
					'マッチング条件取得
					Select Case True
						Case TypeOf parDisp(Idx) Is datXTM_ITEMLIST
							'一覧表示項目
							With CType(parDisp(Idx), datXTM_ITEMLIST)
								clmNm = .KEY_NO				'キー番号
							End With
						Case TypeOf parDisp(Idx) Is datXTM_SELECTLIST
							'一覧選択項目
							With CType(parDisp(Idx), datXTM_SELECTLIST)
								clmNm = .KEY_NO				'キー番号
							End With
					End Select
					'マッチング条件の列名とデータグリッドの列名が一致するか
					If pClm.Name = clmNm Then
						bFixedFlg = True
						Exit For
					End If
				Next
				If bFixedFlg = False Then
					iFixedColCnt += 1
				End If
'(M) END V4-11048-000 029 20110915
			Next
			clmDspOrder = iFixedColCnt

			For Idx As Integer = 0 To parDisp.Count - 1
				'マッチング条件取得
				Select Case True
					Case TypeOf parDisp(Idx) Is datXTM_ITEMLIST
						'一覧表示項目
						With CType(parDisp(Idx), datXTM_ITEMLIST)
							Check = .CHKSTATE			'チェック状態
							clmNm = .KEY_NO				'キー番号
						End With
					Case TypeOf parDisp(Idx) Is datXTM_SELECTLIST
						'一覧選択項目
						With CType(parDisp(Idx), datXTM_SELECTLIST)
							Check = .CHKSTATE			'チェック状態
							clmNm = .KEY_NO				'キー番号
						End With
				End Select
				'マッチング（項目変更）
				For Each DgvClm As DataGridViewColumn In pDgv.Columns
					With DgvClm
						'マッチング条件の列名とデータグリッドの列名が一致するか
						If .Name = clmNm Then
							'一致する場合
							.Visible = IIf(Check = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)	'列を表示[1] Or 非表示[0]を設定
							.DisplayIndex = clmDspOrder				'表示順を設定

							'表示順を加算
							clmDspOrder += 1

							'レスポンス対応として、一致すれば次のマッチング条件取得に移る
							Exit For
						End If
					End With
				Next
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示項目内容を保存
	''' </summary>
	''' <param name="pUserId">使用者コード</param>
	''' <param name="pScreenCd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>
	''' <param name="pDgv">対象グリッド</param>
	''' <param name="pUnExeClm">非対象列名</param>               
	''' <remarks>
	''' 2010/03/08 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub exeUpdDispClm(ByVal pUserId As String, ByVal pScreenCd As String, ByVal pGridcd As String, ByVal pDgv As DataGridView, ByVal ParamArray pUnExeClm() As String)
		Dim Find As Boolean = False
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						'トランザクション開始
						.ctlTran(clsDB.Enum_TranMode.Begin)

						'選択項目削除
						.setSQL(sqlXTM_ITMSEL_LIST.sqlDelXTM_SELECTLIST)
						Call Me.setSqlParam(db, Enum_SqlParam.sqlDel_SELECTLIST, pScreenCd, pGridcd, pUserId)
						.execNonQuery(False)

						'更新元データグリッド列数と非対象列数が違う場合のみINSERTする
						If pDgv.Columns.Count <> pUnExeClm.Length Then
							'選択項目追加
							For Each pClm As DataGridViewColumn In pDgv.Columns
								With pClm
									'対象列かチェック
									Find = False
									For Each pStr As String In pUnExeClm
										If .Name = pStr Then
											'非対象列
											Find = True
											Exit For
										End If
									Next
									If Find Then
										'非対象列なら登録しない
										Continue For
									End If

									'一覧追加SQL
									db.setSQL(sqlXTM_ITMSEL_LIST.sqlInsXTM_SELECTLIST)
									Call Me.setSqlParam(db, Enum_SqlParam.sqlIns_SELECTLIST, pScreenCd, pGridcd, pUserId)
									db.setVal(sqlXTM_ITMSEL_LIST.prmKEY_NO, .Name)
									db.setVal(sqlXTM_ITMSEL_LIST.prmCHKSTATE, IIf(.Visible = True, clsConst.Enum_CheckBox_Flg.CheckOn, 0), False)
									db.setVal(sqlXTM_ITMSEL_LIST.prmDSPORDER, .DisplayIndex, False)
									db.setVal(sqlXTM_ITMSEL_LIST.prmLASTUPDUSER_CD, pUserId)
									db.setVal(sqlXTM_ITMSEL_LIST.prmLASTUPD_DT, Now)
									db.execNonQuery(False)
								End With
							Next
						End If

						'トランザクション更新
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						'例外発生（ロールバック）
						If .statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示項目内容を保存
	''' ：【sqlIns_SELECTLIST】の場合は、画面コードと使用者コード以外はパラメータセットのみ
	''' </summary>
	''' <param name="db">クラスDB</param>
	''' <param name="pParamIndex">SQLインデックス</param>
	''' <param name="pScreenCd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>               
	''' <param name="pUsercd">使用者コード</param>
	''' <remarks>
	''' 2010/03/08 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSqlParam(ByVal db As clsDB, ByVal pParamIndex As Enum_SqlParam, _
						   Optional ByVal pScreenCd As String = Nothing, Optional ByVal pGridCd As String = Nothing, _
						   Optional ByVal pUsercd As String = Nothing)
		Try
			With db
				'画面コード設定
				.setParam(sqlXTM_ITMSEL_LIST.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)					'画面コード
				.setVal(sqlXTM_ITMSEL_LIST.prmSCREEN_CD, pScreenCd)										'画面コード

				'グリッドコード設定
				.setParam(sqlXTM_ITMSEL_LIST.prmGRID_CD, clsDB.Enum_dbType.dbNVarChar)					'グリッドコード
				.setVal(sqlXTM_ITMSEL_LIST.prmGRID_CD, pGridCd)											'グリッドコード

				'一覧選択項目のDELETE,SELECT,INSERTで使用する使用者コード
				If pParamIndex = Enum_SqlParam.sqlDel_SELECTLIST OrElse pParamIndex = Enum_SqlParam.sqlIns_SELECTLIST OrElse _
				   pParamIndex = Enum_SqlParam.sqlSel_SELECTLIST Then
					.setParam(sqlXTM_ITMSEL_LIST.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)				'使用者コード
					.setVal(sqlXTM_ITMSEL_LIST.prmUSER_CD, pUsercd)										'使用者コード
				End If

				'INSERT系パラメータセット
				If pParamIndex = Enum_SqlParam.sqlIns_SELECTLIST Then
					.setParam(sqlXTM_ITMSEL_LIST.prmKEY_NO, clsDB.Enum_dbType.dbNVarChar)				'キーコード（コントロールコード）
					.setParam(sqlXTM_ITMSEL_LIST.prmCHKSTATE, clsDB.Enum_dbType.dbInt)					'表示状態
					.setParam(sqlXTM_ITMSEL_LIST.prmDSPORDER, clsDB.Enum_dbType.dbInt)					'表示順
					.setParam(sqlXTM_ITMSEL_LIST.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
					.setParam(sqlXTM_ITMSEL_LIST.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' グリッドのツールチップを適用する
	''' </summary>
	''' <param name="pDgv">データグリッドView</param>
	''' <param name="parDisp">表示項目初期マスタ</param>
	''' <remarks>
	''' 2011/05/24 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub setGridToolTip(ByVal pDgv As DataGridView, ByVal parDisp As ArrayList)
		Try
			'一覧表示項目の名称をツールチップへ反映
			For Each ele As datXTM_ITEMLIST In parDisp
				If pDgv.Columns.Contains(ele.KEY_NO) = True Then
					pDgv.Columns.Item(ele.KEY_NO).ToolTipText = ele.DSP_NM
				End If
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-15001-000 100 2014/02/07 ID)鐘井 動作環境設定画面の物番号タイトルの画面反映
    ''' ---------------------------------------------
    ''' <summary>
    ''' 一覧タイトル・ツールチップと表示項目一覧の表示名の設定（項目単位)
    ''' </summary>
    ''' <param name="pDgv">データグリッドView</param>
    ''' <param name="parDisp">表示項目データクラス群（ArrayList）</param>       
    ''' <param name="colname">項目名(ex.c010001MSRxxxF010)</param>
    ''' <param name="text">ヘッダ部に表示する内容</param>
    ''' <remarks>
    ''' 2014/02/07 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub setGridAndDispClm(ByVal pDgv As DataGridView, _
                                ByVal parDisp As ArrayList, _
                                ByVal colname As String, _
                                ByVal text As String)
        Try
            'データグリッドの指定項目名のタイトル設定
            setGridList(pDgv, colname, text)
            '表示項目名の表示名設定
            setDispClm(pDgv, parDisp, colname, text)
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 一覧タイトル・ツールチップの設定（項目単位)
    ''' </summary>
    ''' <param name="pDgv">データグリッドView</param>
    ''' <param name="colname">項目名(ex.c010001MSRxxxF010)</param>
    ''' <param name="text">ヘッダ部に表示する内容</param>
    ''' <remarks>
    ''' 2014/02/07 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub setGridList(ByVal pDgv As DataGridView, _
                                ByVal colname As String, _
                                ByVal text As String)
        Try
            'Nothing対応
            If text Is Nothing Then text = String.Empty

            '列項目の存在ﾁｪｯｸ
            If pDgv.Columns.Contains(colname) = False Then
                Exit Sub
            Else
                '一覧への反映
                With pDgv.Columns(colname)
                    If text.Length > 0 Then
                        .HeaderText = text
                        .ToolTipText = text
                    End If
                End With
           End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 表示項目リストのタイトル設定（項目単位)
    ''' </summary>
    ''' <param name="pDgv">データグリッドView</param>
    ''' <param name="parDisp">表示項目データクラス群（ArrayList）</param>       
    ''' <param name="colname">項目名(ex.c010001MSRxxxF010)</param>
    ''' <param name="text">ヘッダ部に表示する内容</param>
    ''' <remarks>
    ''' 2014/02/07 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub setDispClm(ByVal pDgv As DataGridView, _
                                ByVal parDisp As ArrayList, _
                                ByVal colname As String, _
                                ByVal text As String)
        Try
            'Nothing対応
            If text Is Nothing Then text = String.Empty

            '表示項目リストの更新
            Dim row As datXTM_ITEMLIST
            If parDisp IsNot Nothing Then
                For i As Integer = 0 To parDisp.Count - 1
                    row = DirectCast(parDisp.Item(i), datXTM_ITEMLIST)
                    If row.KEY_NO = colname Then
                        If text.Length > 0 Then
                            row.DSP_NM = text
                        End If
                        Exit For
                    End If
                Next
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub
'(A) END V4-15001-000 100 2014/02/07 ID)鐘井 動作環境設定画面の物番号タイトルの画面反映

#End Region

End Class
