﻿Imports XCM
Imports XSP
'''---------------------------------------------
''' <summary>
''' 科別受診情報アクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsXTM_SUBJECT_CONSULTATION
	Implements IDisposable

#Region "IDisposable Support"
	Private disposedValue As Boolean ' 重複する呼び出しを検出するには

	' IDisposable
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				' TODO: マネージ状態を破棄します (マネージ オブジェクト)。
				Me.PATIENT_NO = Nothing				'患者番号
				Me.DEPT_CD = Nothing				'診療科コード
				Me.FIRSTHSPVST_DT = Nothing			'初回来院日
				Me.SECOND_LASTHSPVST_DT = Nothing	'前々回来院日
				Me.LASTHSPVST_DT = Nothing			'最終来院日
			End If

			' TODO: アンマネージ リソース (アンマネージ オブジェクト) を解放し、下の Finalize() をオーバーライドします。
			' TODO: 大きなフィールドを null に設定します。
		End If
		Me.disposedValue = True
	End Sub

	' TODO: 上の Dispose(ByVal disposing As Boolean) にアンマネージ リソースを解放するコードがある場合にのみ、Finalize() をオーバーライドします。
	'Protected Overrides Sub Finalize()
	'    ' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
	'    Dispose(False)
	'    MyBase.Finalize()
	'End Sub

	' このコードは、破棄可能なパターンを正しく実装できるように Visual Basic によって追加されました。
	Public Sub Dispose() Implements IDisposable.Dispose
		' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub
#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String
	''' ---------------------------------------------
	''' <summary>
	''' 診療科コード
	''' </summary>
	''' ---------------------------------------------
	Property DEPT_CD As String
	''' ---------------------------------------------
	''' <summary>
	''' 初回来院日
	''' </summary>
	''' ---------------------------------------------
	Property FIRSTHSPVST_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 前々回来院日
	''' </summary>
	''' ---------------------------------------------
	Property SECOND_LASTHSPVST_DT As String
	''' ---------------------------------------------
	''' <summary>
	''' 最終来院日
	''' </summary>
	''' ---------------------------------------------
	Property LASTHSPVST_DT As String

#End Region

	'''---------------------------------------------
	''' <summary>
	''' 一患者の全科別情報を取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/06 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getSubject_ConsultationList() As DataTable
		Dim dtData As DataTable = Nothing
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXTM_SUBJECT_CONSULTATION.sqlSelSubject_Consultation)	 'SELECT文設定
				db.execQueryDa(dtData)	'値取得
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 一覧選択項目取得
	''' </summary>
	''' <param name="patientcd">画面コード</param>
	''' <param name="pGridcd">患者コード</param>
	''' <returns>一覧選択項目データクラスを返す（datXTM_SUBJECT_CONSULTATION）</returns>
	''' <remarks>
	''' 2010/03/08 新規作成 ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getDispClm(ByVal patientcd As String, ByVal pGridcd As String) As DataTable
		Dim dtData As New DataTable
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'一覧選択項目取得SQL
					.setSQLDa(sqlXTM_SUBJECT_CONSULTATION.sqlSelSubject_Consultation)

					'患者番号
					.setParamDa(sqlXTM_SUBJECT_CONSULTATION.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXTM_SUBJECT_CONSULTATION.prmPATIENT_NO, patientcd)

					'取得
					.execQueryDa(dtData)

					Return dtData

				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 一覧選択項目取得
	''' </summary>
	''' <param name="pScreencd">画面コード</param>
	''' <param name="pGridcd">グリッドコード（画面＋保持する単位）</param>
	''' <param name="pUsercd">使用者コード（Me._UserId固定）</param>        
	''' <returns>一覧選択項目データクラスを返す（datXTM_SUBJECT_CONSULTATION）</returns>
	''' <remarks>
	''' 2010/03/08 新規作成 ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getDispClm_Array(ByVal pScreencd As String, ByVal pGridcd As String, ByVal pUsercd As String) As ArrayList
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'一覧選択項目取得SQL
					.setSQL(sqlXTM_SUBJECT_CONSULTATION.sqlSelSubject_Consultation)

					'患者番号
					.setParam(sqlXTM_SUBJECT_CONSULTATION.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlXTM_SUBJECT_CONSULTATION.prmPATIENT_NO, pGridcd)

					'取得
					.execQuery(GetType(datXTM_SUBJECT_CONSULTATION), arData)
					If arData.Count > 0 Then
						'正常なら一覧選択項目データクラスを返す
						Return arData
					Else
						'異常ならNothingを返す
						Return Nothing
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' グリッド列を整理
	''' </summary>
	''' <param name="pDgv">対象グリッド</param>
	''' <param name="parDisp">表示項目データクラス群（ArrayList）</param>       
	''' <remarks>
	''' 2010/03/08 新規作成 ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub setDispClm(ByVal pDgv As DataGridView, ByVal parDisp As ArrayList)
		Dim Check As Integer = Nothing			'チェック状態
		Dim clmNm As String = Nothing			'キー番号
		Dim clmDspOrder As Integer = 1			'表示順
		Try





			'固定列の数を求めてoffset値とする
			Dim iFixedColCnt As Integer = 0
			Dim bFixedFlg As Boolean
			For Each pClm As DataGridViewColumn In pDgv.Columns
				bFixedFlg = False
				For Idx As Integer = 0 To parDisp.Count - 1
					'マッチング条件取得
					Select Case True
						Case TypeOf parDisp(Idx) Is datXTM_ITEMLIST
							'一覧表示項目
							With CType(parDisp(Idx), datXTM_ITEMLIST)
								clmNm = .KEY_NO				'キー番号
							End With
						Case TypeOf parDisp(Idx) Is datXTM_SELECTLIST
							'一覧選択項目
							With CType(parDisp(Idx), datXTM_SELECTLIST)
								clmNm = .KEY_NO				'キー番号
							End With
					End Select
					'マッチング条件の列名とデータグリッドの列名が一致するか
					If pClm.Name = clmNm Then
						bFixedFlg = True
						Exit For
					End If
				Next
				If bFixedFlg = False Then
					iFixedColCnt += 1
				End If
			Next
			clmDspOrder = iFixedColCnt

			For Idx As Integer = 0 To parDisp.Count - 1
				'マッチング条件取得
				Select Case True
					Case TypeOf parDisp(Idx) Is datXTM_ITEMLIST
						'一覧表示項目
						With CType(parDisp(Idx), datXTM_ITEMLIST)
							Check = .CHKSTATE			'チェック状態
							clmNm = .KEY_NO				'キー番号
						End With
					Case TypeOf parDisp(Idx) Is datXTM_SELECTLIST
						'一覧選択項目
						With CType(parDisp(Idx), datXTM_SELECTLIST)
							Check = .CHKSTATE			'チェック状態
							clmNm = .KEY_NO				'キー番号
						End With
				End Select
				'マッチング（項目変更）
				For Each DgvClm As DataGridViewColumn In pDgv.Columns
					With DgvClm
						'マッチング条件の列名とデータグリッドの列名が一致するか
						If .Name = clmNm Then
							'一致する場合
							.Visible = IIf(Check = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)	'列を表示[1] Or 非表示[0]を設定
							.DisplayIndex = clmDspOrder				'表示順を設定

							'表示順を加算
							clmDspOrder += 1

							'レスポンス対応として、一致すれば次のマッチング条件取得に移る
							Exit For
						End If
					End With
				Next
			Next


		Catch ex As Exception
			Throw
		End Try
	End Sub

End Class
