﻿''' ---------------------------------------------
''' <summary>
''' 死亡情報取得
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_DEATH_OneRec
	Public PATIENT_NO As String = Nothing						'患者番号
	Public DEATH_DT As Date = Nothing							'死亡日
	Public DEATH_TIME As String = Nothing						'死亡時刻
	Public DEATH_AGE As Integer = Nothing						'死亡時年齢
	Public DEATH_MONTH_AGE As Integer = Nothing					'死亡時月齢
	Public DEATH_DAY_AGE As Integer = Nothing					'死亡時日齢
	Public AUTOPSY_CHK As String = Nothing						'剖検有無区分コード
	Public AUTOPSY_NO As String = Nothing						'剖検番号
	Public DEATH_DIV As String = Nothing						'死亡区分コード
	Public AFTER_OPE_DEATH_DIV As String = Nothing				'術後死亡区分コード
	Public DEATH_LCT_CD As String = Nothing						'死亡場所コード
	Public DEATH_LCT As String = Nothing						'死亡場所
	Public DEATH_DISEASE1_CD As String = Nothing				'死亡病名１コード
	Public DEATH_DISEASE1 As String = Nothing					'死亡病名１
	Public DEATH_DISEASE2_CD As String = Nothing				'死亡病名２コード
	Public DEATH_DISEASE2 As String = Nothing					'死亡病名２
	Public DEATH_REMARKS As String = Nothing					'コメント
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_DEATH_OneRec(死亡情報１レコード）</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_DEATH_OneRec
		Dim ret As datMTI_DEATH_OneRec = New datMTI_DEATH_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.DEATH_DT = Me.DEATH_DT
			.DEATH_TIME = Me.DEATH_TIME
			.DEATH_AGE = Me.DEATH_AGE
			.DEATH_MONTH_AGE = Me.DEATH_MONTH_AGE
			.DEATH_DAY_AGE = Me.DEATH_DAY_AGE
			.AUTOPSY_CHK = Me.AUTOPSY_CHK
			.AUTOPSY_NO = Me.AUTOPSY_NO
			.DEATH_DIV = Me.DEATH_DIV
			.AFTER_OPE_DEATH_DIV = Me.AFTER_OPE_DEATH_DIV
			.DEATH_LCT_CD = Me.DEATH_LCT_CD
			.DEATH_LCT = Me.DEATH_LCT
			.DEATH_DISEASE1_CD = Me.DEATH_DISEASE1_CD
			.DEATH_DISEASE1 = Me.DEATH_DISEASE1
			.DEATH_DISEASE2_CD = Me.DEATH_DISEASE2_CD
			.DEATH_DISEASE2 = Me.DEATH_DISEASE2
			.DEATH_REMARKS = Me.DEATH_REMARKS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 死亡情報＋名称取得
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_DEATH_PLUS_OneRec
	' 死亡情報
	Public PATIENT_NO As String = Nothing						'患者番号
	Public DEATH_DT As Date = Nothing							'死亡日
	Public DEATH_TIME As String = Nothing						'死亡時刻
	Public DEATH_AGE As Integer = Nothing						'死亡時年齢
	Public DEATH_MONTH_AGE As Integer = Nothing					'死亡時月齢
	Public DEATH_DAY_AGE As Integer = Nothing					'死亡時日齢
	Public AUTOPSY_CHK As String = Nothing						'剖検有無区分コード
	Public AUTOPSY_NO As String = Nothing						'剖検番号
	Public DEATH_DIV As String = Nothing						'死亡区分コード
	Public AFTER_OPE_DEATH_DIV As String = Nothing				'術後死亡区分コード
	Public DEATH_LCT_CD As String = Nothing						'死亡場所コード
	Public DEATH_LCT As String = Nothing						'死亡場所
	Public DEATH_DISEASE1_CD As String = Nothing				'死亡病名１コード
	Public DEATH_DISEASE1 As String = Nothing					'死亡病名１
	Public DEATH_DISEASE2_CD As String = Nothing				'死亡病名２コード
	Public DEATH_DISEASE2 As String = Nothing					'死亡病名２
	Public DEATH_REMARKS As String = Nothing					'コメント
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日
	' 死亡場所マスタ
	Public DEATH_LCT_NM As String = Nothing						'死亡場所名
	Public DEATH_LCT_RNM As String = Nothing					'死亡場所略称名
	Public DEATH_LCT_FIXED_CD As String = Nothing				'固定コード
	' 死亡区分マスタ
	Public DEATH_DIV_NM As String = Nothing						'死亡区分名
	Public DEATH_DIV_RNM As String = Nothing					'死亡区分略称名
	Public DEATH_DIV_FIXED_CD As String = Nothing				'固定コード
	' 術後死亡区分マスタ
	Public AFTER_OPE_DEATH_DIV_NM As String = Nothing			'術後死亡区分名
	Public AFTER_OPE_DEATH_DIV_RNM As String = Nothing			'術後死亡区分略称名
	Public AFTER_OPE_DEATH_DIV_FIXED_CD As String = Nothing		'固定コード
	' 有無マスタ
	Public AUTOPSY_CHK_NM As String = Nothing					'剖検有無

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_DEATH_PLUS_OneRec(死亡情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_DEATH_PLUS_OneRec
		Dim ret As datMTI_DEATH_PLUS_OneRec = New datMTI_DEATH_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.DEATH_DT = Me.DEATH_DT
			.DEATH_TIME = Me.DEATH_TIME
			.DEATH_AGE = Me.DEATH_AGE
			.DEATH_MONTH_AGE = Me.DEATH_MONTH_AGE
			.DEATH_DAY_AGE = Me.DEATH_DAY_AGE
			.AUTOPSY_CHK = Me.AUTOPSY_CHK
			.AUTOPSY_NO = Me.AUTOPSY_NO
			.DEATH_DIV = Me.DEATH_DIV
			.AFTER_OPE_DEATH_DIV = Me.AFTER_OPE_DEATH_DIV
			.DEATH_LCT_CD = Me.DEATH_LCT_CD
			.DEATH_LCT = Me.DEATH_LCT
			.DEATH_DISEASE1_CD = Me.DEATH_DISEASE1_CD
			.DEATH_DISEASE1 = Me.DEATH_DISEASE1
			.DEATH_DISEASE2_CD = Me.DEATH_DISEASE2_CD
			.DEATH_DISEASE2 = Me.DEATH_DISEASE2
			.DEATH_REMARKS = Me.DEATH_REMARKS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.DEATH_LCT_NM = Me.DEATH_LCT_NM
			.DEATH_LCT_RNM = Me.DEATH_LCT_RNM
			.DEATH_LCT_FIXED_CD = Me.DEATH_LCT_FIXED_CD
			.DEATH_DIV_NM = Me.DEATH_DIV_NM
			.DEATH_DIV_RNM = Me.DEATH_DIV_RNM
			.DEATH_DIV_FIXED_CD = Me.DEATH_DIV_FIXED_CD
			.AFTER_OPE_DEATH_DIV_NM = Me.AFTER_OPE_DEATH_DIV_NM
			.AFTER_OPE_DEATH_DIV_RNM = Me.AFTER_OPE_DEATH_DIV_RNM
			.AFTER_OPE_DEATH_DIV_FIXED_CD = Me.AFTER_OPE_DEATH_DIV_FIXED_CD
			.AUTOPSY_CHK_NM = Me.AUTOPSY_CHK_NM
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（死亡情報）
	''' </summary>
	''' <returns>datMTI_DEATH_OneRec(死亡情報１レコード）</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_DEATH_OneRec
		Dim ret As datMTI_DEATH_OneRec = New datMTI_DEATH_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.DEATH_DT = Me.DEATH_DT
			.DEATH_TIME = Me.DEATH_TIME
			.DEATH_AGE = Me.DEATH_AGE
			.DEATH_MONTH_AGE = Me.DEATH_MONTH_AGE
			.DEATH_DAY_AGE = Me.DEATH_DAY_AGE
			.AUTOPSY_CHK = Me.AUTOPSY_CHK
			.AUTOPSY_NO = Me.AUTOPSY_NO
			.DEATH_DIV = Me.DEATH_DIV
			.AFTER_OPE_DEATH_DIV = Me.AFTER_OPE_DEATH_DIV
			.DEATH_LCT_CD = Me.DEATH_LCT_CD
			.DEATH_LCT = Me.DEATH_LCT
			.DEATH_DISEASE1_CD = Me.DEATH_DISEASE1_CD
			.DEATH_DISEASE1 = Me.DEATH_DISEASE1
			.DEATH_DISEASE2_CD = Me.DEATH_DISEASE2_CD
			.DEATH_DISEASE2 = Me.DEATH_DISEASE2
			.DEATH_REMARKS = Me.DEATH_REMARKS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 死亡情報取得SQLクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class sqlMTI_DEATH
	''' ----------------------------------------
	''' <summary>
	''' 死亡情報取得SQLパターン
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Enum Enum_SqlNo
		sqlNull = 0
		''' ---------------------------------------------
		''' <summary>死亡情報１データを取得(Class)</summary>
		''' ---------------------------------------------
		sqlSelDeath_OneRec = 1
		''' ---------------------------------------------
		''' <summary>死亡情報１データを取得(DataTable)</summary>
		''' ---------------------------------------------
		sqlSelDeath_OneRec_Da = 2
		''' ---------------------------------------------
		''' <summary>死亡情報＋名称１データを取得(Class)</summary>
		''' ---------------------------------------------
		sqlSelDeath_Plus_OneRec = 3
		''' ---------------------------------------------
		''' <summary>死亡情報＋名称１データを取得(DataTable)</summary>
		''' ---------------------------------------------
		sqlSelDeath_Plus_OneRec_Da = 4
	End Enum

	Public Const itmPATIENT_NO As String = "PATIENT_NO"											'患者番号
	Public Const itmDEATH_DT As String = "DEATH_DT"												'死亡日
	Public Const itmDEATH_TIME As String = "DEATH_TIME"											'死亡時刻
	Public Const itmDEATH_AGE As String = "DEATH_AGE"											'死亡時年齢
	Public Const itmDEATH_MONTH_AGE As String = "DEATH_MONTH_AGE"								'死亡時月齢
	Public Const itmDEATH_DAY_AGE As String = "DEATH_DAY_AGE"									'死亡時日齢
	Public Const itmAUTOPSY_CHK As String = "AUTOPSY_CHK"										'剖検有無区分コード
	Public Const itmAUTOPSY_NO As String = "AUTOPSY_NO"											'剖検番号
	Public Const itmDEATH_DIV As String = "DEATH_DIV"											'死亡区分コード
	Public Const itmAFTER_OPE_DEATH_DIV As String = "AFTER_OPE_DEATH_DIV"						'術後死亡区分コード
	Public Const itmDEATH_LCT_CD As String = "DEATH_LCT_CD"										'死亡場所コード
	Public Const itmDEATH_LCT As String = "DEATH_LCT"											'死亡場所
	Public Const itmDEATH_DISEASE1_CD As String = "DEATH_DISEASE1_CD"							'死亡病名１コード
	Public Const itmDEATH_DISEASE1 As String = "DEATH_DISEASE1"									'死亡病名１
	Public Const itmDEATH_DISEASE2_CD As String = "DEATH_DISEASE2_CD"							'死亡病名２コード
	Public Const itmDEATH_DISEASE2 As String = "DEATH_DISEASE2"									'死亡病名２
	Public Const itmDEATH_REMARKS As String = "DEATH_REMARKS"									'コメント
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"									'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"											'最終更新日

	Public Const itmDEATH_LCT_NM As String = "DEATH_LCT_NM"
	Public Const itmDEATH_LCT_RNM As String = "DEATH_LCT_RNM"
	Public Const itmDEATH_LCT_FIXED_CD As String = "DEATH_LCT_FIXED_CD"
	Public Const itmDEATH_DIV_NM As String = "DEATH_DIV_NM"
	Public Const itmDEATH_DIV_RNM As String = "DEATH_DIV_RNM"
	Public Const itmDEATH_DIV_FIXED_CD As String = "DEATH_DIV_FIXED_CD"
	Public Const itmAFTER_OPE_DEATH_DIV_NM As String = "AFTER_OPE_DEATH_DIV_NM"
	Public Const itmAFTER_OPE_DEATH_DIV_RNM As String = "AFTER_OPE_DEATH_DIV_RNM"
	Public Const itmAFTER_OPE_DEATH_DIV_FIXED_CD As String = "AFTER_OPE_DEATH_DIV_FIXED_CD"
	Public Const itmAUTOPSY_CHK_NM As String = "AUTOPSY_CHK_NM"

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"										'患者番号
	Public Const prmDEATH_DT As String = "@DEATH_DT"											'死亡日
	Public Const prmDEATH_TIME As String = "@DEATH_TIME"										'死亡時刻
	Public Const prmDEATH_AGE As String = "@DEATH_AGE"											'死亡時年齢
	Public Const prmDEATH_MONTH_AGE As String = "@DEATH_MONTH_AGE"								'死亡時月齢
	Public Const prmDEATH_DAY_AGE As String = "@DEATH_DAY_AGE"									'死亡時日齢
	Public Const prmAUTOPSY_CHK As String = "@AUTOPSY_CHK"										'剖検有無区分コード
	Public Const prmAUTOPSY_NO As String = "@AUTOPSY_NO"										'剖検番号
	Public Const prmDEATH_DIV As String = "@DEATH_DIV"											'死亡区分コード
	Public Const prmAFTER_OPE_DEATH_DIV As String = "@AFTER_OPE_DEATH_DIV"						'術後死亡区分コード
	Public Const prmDEATH_LCT_CD As String = "@DEATH_LCT_CD"									'死亡場所コード
	Public Const prmDEATH_LCT As String = "@DEATH_LCT"											'死亡場所
	Public Const prmDEATH_DISEASE1_CD As String = "@DEATH_DISEASE1_CD"							'死亡病名１コード
	Public Const prmDEATH_DISEASE1 As String = "@DEATH_DISEASE1"								'死亡病名１
	Public Const prmDEATH_DISEASE2_CD As String = "@DEATH_DISEASE2_CD"							'死亡病名２コード
	Public Const prmDEATH_DISEASE2 As String = "@DEATH_DISEASE2"								'死亡病名２
	Public Const prmDEATH_REMARKS As String = "@DEATH_REMARKS"									'コメント
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"								'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"										'最終更新日

	' 死亡情報１データを取得
	Public Const sqlSelDeath_OneRec As String = _
	 "SELECT" _
	  & " PATIENT_NO," _
	  & " DEATH_DT, DEATH_TIME, DEATH_AGE, DEATH_MONTH_AGE, DEATH_DAY_AGE," _
	  & " AUTOPSY_CHK, AUTOPSY_NO," _
	  & " DEATH_DIV, AFTER_OPE_DEATH_DIV," _
	  & " DEATH_LCT_CD, DEATH_LCT," _
	  & " DEATH_DISEASE1_CD, DEATH_DISEASE1, DEATH_DISEASE2_CD, DEATH_DISEASE2, DEATH_REMARKS," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_DEATH" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' 死亡情報＋名称１データを取得
	Public Const sqlSelDeath_Plus_OneRec As String = _
	 "SELECT" _
	  & " A.PATIENT_NO," _
	  & " A.DEATH_DT, A.DEATH_TIME, A.DEATH_AGE, A.DEATH_MONTH_AGE, A.DEATH_DAY_AGE," _
	  & " A.AUTOPSY_CHK, A.AUTOPSY_NO," _
	  & " A.DEATH_DIV, A.AFTER_OPE_DEATH_DIV," _
	  & " A.DEATH_LCT_CD, A.DEATH_LCT," _
	  & " A.DEATH_DISEASE1_CD, A.DEATH_DISEASE1, A.DEATH_DISEASE2_CD, A.DEATH_DISEASE2, A.DEATH_REMARKS," _
	  & " A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.DEATH_LCT_NM, B.DEATH_LCT_RNM, B.FIXED_CD AS DEATH_LCT_FIXED_CD," _
	  & " C.DEATH_DIV_NM, C.DEATH_DIV_RNM, C.FIXED_CD AS DEATH_DIV_FIXED_CD," _
	  & " D.AFTER_OPE_DEATH_DIV_NM, D.AFTER_OPE_DEATH_DIV_RNM, D.FIXED_CD AS AFTER_OPE_DEATH_DIV_FIXED_CD," _
	  & " E.CHK_NM AS AUTOPSY_CHK_NM" _
	  & " FROM MTI_DEATH AS A" _
	  & " LEFT JOIN MTM_DEATH_LCT AS B ON A.DEATH_LCT_CD = B.DEATH_LCT_CD" _
	  & " LEFT JOIN MTM_DEATH_DIV AS C ON A.DEATH_DIV = C.DEATH_DIV_CD" _
	  & " LEFT JOIN MTM_AFTER_OPE_DEATH_DIV AS D ON A.AFTER_OPE_DEATH_DIV = D.AFTER_OPE_DEATH_DIV_CD" _
	  & " LEFT JOIN XTM_CHK AS E ON A.AUTOPSY_CHK = E.CHK_CD" _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO

	' 死亡情報１データを削除
	Public Const sqlDelDeath_OneRec As String = _
	 "DELETE FROM MTI_DEATH" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' 死亡情報１データを追加
	Public Const sqlInsDeath_OneRec As String = _
	 "INSERT INTO MTI_DEATH (" _
	  & " PATIENT_NO," _
	  & " DEATH_DT, DEATH_TIME, DEATH_AGE, DEATH_MONTH_AGE, DEATH_DAY_AGE," _
	  & " AUTOPSY_CHK, AUTOPSY_NO," _
	  & " DEATH_DIV, AFTER_OPE_DEATH_DIV," _
	  & " DEATH_LCT_CD, DEATH_LCT," _
	  & " DEATH_DISEASE1_CD, DEATH_DISEASE1, DEATH_DISEASE2_CD, DEATH_DISEASE2, DEATH_REMARKS," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmDEATH_DT & "," _
	  & prmDEATH_TIME & "," _
	  & prmDEATH_AGE & "," _
	  & prmDEATH_MONTH_AGE & "," _
	  & prmDEATH_DAY_AGE & "," _
	  & prmAUTOPSY_CHK & "," _
	  & prmAUTOPSY_NO & "," _
	  & prmDEATH_DIV & "," _
	  & prmAFTER_OPE_DEATH_DIV & "," _
	  & prmDEATH_LCT_CD & "," _
	  & prmDEATH_LCT & "," _
	  & prmDEATH_DISEASE1_CD & "," _
	  & prmDEATH_DISEASE1 & "," _
	  & prmDEATH_DISEASE2_CD & "," _
	  & prmDEATH_DISEASE2 & "," _
	  & prmDEATH_REMARKS & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
