﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_医師情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_DOCTOR_OneRec
	Public PATIENT_NO As String = Nothing				'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing			'入退院歴番号
	Public CH_NO As Integer = Nothing					'科歴番号
	Public DOCTOR_SERIAL_NO As Integer = Nothing		'医師連番
	Public MAIN_DOCTOR_FLG As Integer = Nothing			'主治医フラグ
	Public DOCTOR_DIV As String = Nothing				'医師区分コード
	Public DOCTOR_CD As String = Nothing				'医師コード
	Public ATTEND_START_DT As Date = Nothing			'担当開始日
	Public ATTEND_END_DT As Date = Nothing				'担当終了日
	Public LASTUPDUSER_CD As String = Nothing			'更新者コード
	Public LASTUPD_DT As Date = Nothing					'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_DOCTOR_OneRec(医師情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_DOCTOR_OneRec
		Dim ret As datMTI_DOCTOR_OneRec = New datMTI_DOCTOR_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.DOCTOR_SERIAL_NO = Me.DOCTOR_SERIAL_NO
			.MAIN_DOCTOR_FLG = Me.MAIN_DOCTOR_FLG
			.DOCTOR_DIV = Me.DOCTOR_DIV
			.DOCTOR_CD = Me.DOCTOR_CD
			.ATTEND_START_DT = Me.ATTEND_START_DT
			.ATTEND_END_DT = Me.ATTEND_END_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_医師情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_DOCTOR_PLUS_OneRec
	' 医師情報
	Public PATIENT_NO As String = Nothing				'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing			'入退院歴番号
	Public CH_NO As Integer = Nothing					'科歴番号
	Public DOCTOR_SERIAL_NO As Integer = Nothing		'医師連番
	Public MAIN_DOCTOR_FLG As Integer = Nothing			'主治医フラグ
	Public DOCTOR_DIV As String = Nothing				'医師区分コード
	Public DOCTOR_CD As String = Nothing				'医師コード
	Public ATTEND_START_DT As Date = Nothing			'担当開始日
	Public ATTEND_END_DT As Date = Nothing				'担当終了日
	Public LASTUPDUSER_CD As String = Nothing			'更新者コード
	Public LASTUPD_DT As Date = Nothing					'最終更新日
	' 医師区分マスタ
	Public DOCTOR_DIV_NM As String = Nothing			'医師区分
	Public DOCTOR_DIV_RNM As String = Nothing			'医師区分略称名
	' 職員マスタ
	Public DOCTOR_NM As String = Nothing				'医師名

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_DOCTOR_PLUS_OneRec(医師情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_DOCTOR_PLUS_OneRec
		Dim ret As datMTI_DOCTOR_PLUS_OneRec = New datMTI_DOCTOR_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.DOCTOR_SERIAL_NO = Me.DOCTOR_SERIAL_NO
			.MAIN_DOCTOR_FLG = Me.MAIN_DOCTOR_FLG
			.DOCTOR_DIV = Me.DOCTOR_DIV
			.DOCTOR_CD = Me.DOCTOR_CD
			.ATTEND_START_DT = Me.ATTEND_START_DT
			.ATTEND_END_DT = Me.ATTEND_END_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.DOCTOR_DIV_NM = Me.DOCTOR_DIV_NM
			.DOCTOR_DIV_RNM = Me.DOCTOR_DIV_RNM
			.DOCTOR_NM = Me.DOCTOR_NM
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（医師情報）
	''' </summary>
	''' <returns>datMTI_DOCTOR_OneRec(医師情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_DOCTOR_OneRec
		Dim ret As datMTI_DOCTOR_OneRec = New datMTI_DOCTOR_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.DOCTOR_SERIAL_NO = Me.DOCTOR_SERIAL_NO
			.MAIN_DOCTOR_FLG = Me.MAIN_DOCTOR_FLG
			.DOCTOR_DIV = Me.DOCTOR_DIV
			.DOCTOR_CD = Me.DOCTOR_CD
			.ATTEND_START_DT = Me.ATTEND_START_DT
			.ATTEND_END_DT = Me.ATTEND_END_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 医師情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_DOCTOR
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"				'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"		'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"							'科歴番号
	Public Const prmDOCTOR_SERIAL_NO As String = "@DOCTOR_SERIAL_NO"	'医師連番
	Public Const prmMAIN_DOCTOR_FLG As String = "@MAIN_DOCTOR_FLG"		'主治医フラグ
	Public Const prmDOCTOR_DIV As String = "@DOCTOR_DIV"				'医師区分コード
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"					'医師コード
	Public Const prmATTEND_START_DT As String = "@ATTEND_START_DT"		'担当開始日
	Public Const prmATTEND_END_DT As String = "@ATTEND_END_DT"			'担当終了日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"		'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"				'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"					'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"			'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"							'科歴番号
	Public Const itmDOCTOR_SERIAL_NO As String = "DOCTOR_SERIAL_NO"		'医師連番
	Public Const itmMAIN_DOCTOR_FLG As String = "MAIN_DOCTOR_FLG"		'主治医フラグ
	Public Const itmDOCTOR_DIV As String = "DOCTOR_DIV"					'医師区分コード
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"					'医師コード
	Public Const itmATTEND_START_DT As String = "ATTEND_START_DT"		'担当開始日
	Public Const itmATTEND_END_DT As String = "ATTEND_END_DT"			'担当終了日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"			'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"					'最終更新日

	Public Const itmDOCTOR_DIV_NM As String = "DOCTOR_DIV_NM"			'医師区分
	Public Const itmDOCTOR_DIV_RNM As String = "DOCTOR_DIV_RNM"			'医師区分略称名
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"					'医師名

	' 医師情報取得用SQLのSELECT句
	Private Const sqlSelect_Doctor As String = _
	 "SELECT" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, DOCTOR_SERIAL_NO," _
	  & " MAIN_DOCTOR_FLG, DOCTOR_DIV, DOCTOR_CD, ATTEND_START_DT, ATTEND_END_DT," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_DOCTOR"

	' 医師情報＋名称取得用SQLのSELECT句
	Private Const sqlSelect_Doctor_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.DOCTOR_SERIAL_NO," _
	  & " A.MAIN_DOCTOR_FLG, A.DOCTOR_DIV, A.DOCTOR_CD, A.ATTEND_START_DT, A.ATTEND_END_DT," _
	  & " A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.DOCTOR_DIV_NM, B.DOCTOR_DIV_RNM," _
	  & " C.STAFF_NM AS DOCTOR_NM" _
	  & " FROM MTI_DOCTOR AS A" _
	  & " LEFT JOIN MTM_DOCTOR_DIV AS B ON A.DOCTOR_DIV = B.DOCTOR_DIV_CD" _
	  & " LEFT JOIN XTM_STAFF AS C ON A.DOCTOR_CD = C.STAFF_CD"

	' １科歴分の医師情報を取得
	Public Const sqlSelDoctor_Ch As String = sqlSelect_Doctor _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " ORDER BY DOCTOR_SERIAL_NO"

	' 医師情報１データを取得
	Public Const sqlSelDoctor_OneRec As String = sqlSelect_Doctor _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND DOCTOR_SERIAL_NO = " & prmDOCTOR_SERIAL_NO

	' １科歴分の医師情報＋名称を取得
	Public Const sqlSelDoctor_Plus_Ch As String = sqlSelect_Doctor_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY A.DOCTOR_SERIAL_NO"

	' 医師情報＋名称１データを取得
	Public Const sqlSelDoctor_Plus_OneRec As String = sqlSelect_Doctor_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.DOCTOR_SERIAL_NO = " & prmDOCTOR_SERIAL_NO

	' １患者分の医師情報を削除
	Public Const sqlDelDoctor_Patient As String = _
	 "DELETE FROM MTI_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の医師情報を削除
	Public Const sqlDelDoctor_Hsp As String = _
	 "DELETE FROM MTI_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の医師情報を削除
	Public Const sqlDelDoctor_Ch As String = _
	 "DELETE FROM MTI_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 医師情報１データを削除
	Public Const sqlDelDoctor_OneRec As String = _
	 "DELETE FROM MTI_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND DOCTOR_SERIAL_NO = " & prmDOCTOR_SERIAL_NO

	' 医師情報１データを追加
	Public Const sqlInsDoctor_OneRec As String = _
	 "INSERT INTO MTI_DOCTOR (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, DOCTOR_SERIAL_NO," _
	  & " MAIN_DOCTOR_FLG, DOCTOR_DIV, DOCTOR_CD, ATTEND_START_DT, ATTEND_END_DT," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmDOCTOR_SERIAL_NO & "," _
	  & prmMAIN_DOCTOR_FLG & "," _
	  & prmDOCTOR_DIV & "," _
	  & prmDOCTOR_CD & "," _
	  & prmATTEND_START_DT & "," _
	  & prmATTEND_END_DT & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
