﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 共通_貸出伝票入力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datXSP080E010
	' 患者番号
	Public Patient_No As String = Nothing
	' 入退院歴番号
	Public HSP_HISTORY_NO As Integer = Nothing
	' 科歴番号
	Public CH_NO As Integer = Nothing
	' 貸出物コード
	Public LENDITEM_CD As String = Nothing
	' 貸出連番
	Public LENDSERIAL_NO As Integer = Nothing

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <param name="strLendItem_Cd">貸出物コード</param>
	''' <param name="iLendSerial_No">貸出連番</param>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal strPatient_No As String, ByVal iHsp_History_No As Integer,
	   ByVal iCh_No As Integer, ByVal strLendItem_Cd As String,
	   ByVal iLendSerial_No As Integer)
		' 保存
		Patient_No = strPatient_No
		HSP_HISTORY_NO = iHsp_History_No
		CH_NO = iCh_No
		LENDITEM_CD = strLendItem_Cd
		LENDSERIAL_NO = iLendSerial_No
	End Sub
End Class

''' ---------------------------------------------
''' <summary>
''' 共通_貸出伝票EXCELFORMATクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datXSP080E010_ExcelFormat
	' 項目名（DataTable.ColumnName)
	Public ITEM_NAME As String = Nothing
	' フォーマット文字
	Public ITEM_FORMAT As String
	' Column
	Public ITEM_X As Integer = Nothing
	' Row
	Public ITEM_Y As Integer = Nothing

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="strItem_Name">項目名</param>
	''' <param name="strItem_Format">フォーマット文字</param>
	''' <param name="iItem_X">Column</param>
	''' <param name="iItem_Y">Row</param>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal strItem_Name As String, ByVal strItem_Format As String,
	 ByVal iItem_X As Integer, ByVal iItem_Y As String)
		' 保存
		ITEM_NAME = strItem_Name
		ITEM_FORMAT = strItem_Format
		ITEM_X = iItem_X
		ITEM_Y = iItem_Y
	End Sub

End Class

''' ---------------------------------------------
''' <summary>
''' 共通_貸出伝票ＳＱＬクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class sqlXSP080E010
	' 項目
	Public Const itmPATIENT_NO As String = "PATIENT_NO"							'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"					'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"									'科歴番号
	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"							'病歴番号
	Public Const itmPATIENT_NM As String = "PATIENT_NM"							'氏名
	Public Const itmPATIENT_KNM As String = "PATIENT_KNM"						'氏名カナ
	Public Const itmBIRTH_DT As String = "BIRTH_DT"								'生年月日
	Public Const itmGENDER_CD As String = "GENDER_CD"							'性別コード
	Public Const itmGENDER_NM As String = "GENDER_NM"							'性別名称
	Public Const itmDEPT_CD As String = "DEPT_CD"								'診療科コード
	Public Const itmDEPT_NM As String = "DEPT_NM"								'診療科名
	Public Const itmDEPT_RNM As String = "DEPT_RNM"								'診療科略称名
	Public Const itmWARD_CD As String = "WARD_CD"								'病棟コード
	Public Const itmWARD_NM As String = "WARD_NM"								'病棟名
	Public Const itmWARD_RNM As String = "WARD_RNM"								'病棟略称名
	Public Const itmSTART_DT As String = "START_DT"								'開始日
	Public Const itmEND_DT As String = "END_DT"									'終了日
	Public Const itmSTART_CNL_CD As String = "START_CNL_CD"						'開始経路コード
	Public Const itmHSP_CNL_NM As String = "HSP_CNL_NM"							'入院経路
	Public Const itmHSP_CNL_RNM As String = "HSP_CNL_RNM"						'入院経路略称名
	Public Const itmEND_CNL_CD As String = "END_CNL_CD"							'終了経路コード
	Public Const itmOUT_HSP_CNL_NM As String = "OUT_HSP_CNL_NM"					'退院経路
	Public Const itmOUT_HSP_CNL_RNM As String = "OUT_HSP_CNL_RNM"				'退院経路略称名
	Public Const itmEND_OUTCOME_CD As String = "END_OUTCOME_CD"					'終了転帰コード
	Public Const itmOUT_HSP_OUTCOME_NM As String = "OUT_HSP_OUTCOME_NM"			'退院転帰
	Public Const itmOUT_HSP_OUTCOME_RNM As String = "OUT_HSP_OUTCOME_RNM"		'退院転帰略称名
	Public Const itmHSP_DAYS As String = "HSP_DAYS"								'在院日数
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"							'医師コード
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"							'職員名
	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"						'貸出物コード
	Public Const itmLENDITEM_NM As String = "LENDITEM_NM"						'貸出物
	Public Const itmKEEPLCT_CD As String = "KEEPLCT_CD"							'保管場所コード
	Public Const itmKEEPLCT_NM As String = "KEEPLCT_NM"							'保管場所
	Public Const itmERR_FLG As String = "ERR_FLG"								'エラーフラグ
	Public Const itmSEQ_NO As String = "SEQ_NO"									'対象順
	Public Const itmCOMMENT As String = "COMMENT"								'コメント
	Public Const itmRECEIPT_COUNT As String = "RECEIPT_COUNT"					'数
	Public Const itmMNGSTATUS_CD As String = "MNGSTATUS_CD"						'管理状況コード
	Public Const itmSLIP_CD As String = "SLIP_CD"								'伝票コード
	Public Const itmDEPT_DSPORDER As String = "DEPT_DSPORDER"					'診療科表示順
	Public Const itmWARD_DSPORDER As String = "WARD_DSPORDER"					'病棟表示順
	Public Const itmDOCTOR_DSPORDER As String = "DOCTOR_DSPORDER"				'医師表示順
	Public Const itmHSP_CNL_DSPORDER As String = "HSP_CNL_DSPORDER"				'開始経路表示順
	Public Const itmOUT_HSP_CNL_DSPORDER As String = "OUT_HSP_CNL_DSPORDER"		'終了経路表示順
	Public Const itmOUT_HSP_OUTCOME_DSPORDER As String = "OUT_HSP_OUTCOME_DSPORDER"	'終了転帰表示順
	Public Const itmISSUE_DT As String = "ISSUE_DT"								'貸出日
	Public Const itmMNGSTATUS_DSPORDER As String = "MNGSTATUS_DSPORDER"			'管理状況表示順
	Public Const itmKEPPLCT_DSPORDER As String = "KEPPLCT_DSPORDER"				'保管場所表示順
	Public Const itmLENDAIM_CD As String = "LENDAIM_CD"							'貸出目的コード
	Public Const itmLENDAIM_DSPORDER As String = "LENDAIM_DSPORDER"				'貸出目的表示順
	Public Const itmBORROWER_DIV As String = "BORROWER_DIV"						'借用者部門コード
	Public Const itmBORROWER_DIV_DSPORDER As String = "BORROWER_DIV_DSPORDER"	'借用者部門表示順
	Public Const itmBORROWER_CD As String = "BORROWER_CD"						'借用者コード
	Public Const itmBORROWER_DSPORDER As String = "BORROWER_DSPORDER"			'借用者表示順
	Public Const itmLCT_CD As String = "LCT_CD"									'貸出場所コード
	Public Const itmLCT_DSPORDER As String = "LCT_DSPORDER"						'貸出場所表示順
	Public Const itmLENDCLERK_CD As String = "LENDCLERK_CD"						'貸出取扱者コード
	Public Const itmLENDCLERK_DSPORDER As String = "LENDCLERK_DSPORDER"			'貸出取扱者表示順
	Public Const itmCH_HISTORY As String = "CH_HISTORY"							'転科履歴
	Public Const itmSUMMARY_MNGSTATUS_CD_1 As String = "SUMMARY_MNGSTATUS_CD_1"	'サマリ管理状況コード＿１
	Public Const itmMNGSTATUS1_RNM_1 As String = "MNGSTATUS1_RNM_1"				'略称名１＿１
	Public Const itmSUMMARY_MAKER_CD_1 As String = "SUMMARY_MAKER_CD_1"			'サマリ作成者コード＿１
	Public Const itmSTAFF_NM_1 As String = "STAFF_NM_1"							'職員名＿１
	Public Const itmSUMMARY_MNGSTATUS_CD_2 As String = "SUMMARY_MNGSTATUS_CD_2"	'サマリ管理状況コード＿２
	Public Const itmMNGSTATUS1_RNM_2 As String = "MNGSTATUS1_RNM_2"				'略称名１＿２
	Public Const itmSUMMARY_MAKER_CD_2 As String = "SUMMARY_MAKER_CD_2"			'サマリ作成者コード＿２
	Public Const itmSTAFF_NM_2 As String = "STAFF_NM_2"							'職員名＿２
	Public Const itmSUMMARY_MNGSTATUS_CD_3 As String = "SUMMARY_MNGSTATUS_CD_3"	'サマリ管理状況コード＿３
	Public Const itmMNGSTATUS1_RNM_3 As String = "MNGSTATUS1_RNM_3"				'略称名１＿３
	Public Const itmSUMMARY_MAKER_CD_3 As String = "SUMMARY_MAKER_CD_3"			'サマリ作成者コード＿３
	Public Const itmSTAFF_NM_3 As String = "STAFF_NM_3"							'職員名＿３
	Public Const itmSUMMARY_MNGSTATUS_CD_4 As String = "SUMMARY_MNGSTATUS_CD_4"	'サマリ管理状況コード＿４
	Public Const itmMNGSTATUS1_RNM_4 As String = "MNGSTATUS1_RNM_4"				'略称名１＿４
	Public Const itmSUMMARY_MAKER_CD_4 As String = "SUMMARY_MAKER_CD_4"			'サマリ作成者コード＿４
	Public Const itmSTAFF_NM_4 As String = "STAFF_NM_4"							'職員名＿４
	Public Const itmSUMMARY_MNGSTATUS_CD_5 As String = "SUMMARY_MNGSTATUS_CD_5"	'サマリ管理状況コード＿５
	Public Const itmMNGSTATUS1_RNM_5 As String = "MNGSTATUS1_RNM_5"				'略称名１＿５
	Public Const itmSUMMARY_MAKER_CD_5 As String = "SUMMARY_MAKER_CD_5"			'サマリ作成者コード＿５
	Public Const itmSTAFF_NM_5 As String = "STAFF_NM_5"							'職員名＿５

	Public Const itmLENDAIM_NM As String = "LENDAIM_NM"							'貸出目的
	Public Const itmLCT_NM As String = "LCT_NM"									'所在場所
	Public Const itmLENDCLERK_NM As String = "LENDCLERK_NM"						'貸出取扱者
	Public Const itmEXPECTBACK_DT As String = "EXPECTBACK_DT"					'返却予定日
	Public Const itmBORROWERDIV_NM As String = "BORROWERDIV_NM"					'借用者部門名
	Public Const itmBORROWER_NM As String = "BORROWER_NM"						'借用者名
	Public Const itmTAKERDIV_NM As String = "TAKERDIV_NM"						'帯出者部門名
	Public Const itmTAKER_NM As String = "TAKER_NM"								'帯出者名
	Public Const itmLENDREMARKS As String = "LENDREMARKS"						'備考（貸出情報）

	Public Const itmSUMMARY_MNGSTATUS_CD As String = "SUMMARY_MNGSTATUS_CD"		'サマリ管理状況コード
	Public Const itmMNGSTATUS1_RNM As String = "MNGSTATUS1_RNM"					'略称名１
	Public Const itmSUMMARY_MAKER_CD As String = "SUMMARY_MAKER_CD"				'サマリ作成者コード
	Public Const itmSTAFF_NM As String = "STAFF_NM"								'職員名

	' パラメータ
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"						'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"				'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"									'科歴番号
	Public Const prmLENDITEM_CD1 As String = "@LENDITEM_CD1"					'貸出物コード1
	Public Const prmLENDITEM_CD2 As String = "@LENDITEM_CD2"					'貸出物コード2
	Public Const prmLENDITEM_CD3 As String = "@LENDITEM_CD3"					'貸出物コード3
	Public Const prmLENDITEM_CD4 As String = "@LENDITEM_CD4"					'貸出物コード4
	Public Const prmLENDITEM_CD5 As String = "@LENDITEM_CD5"					'貸出物コード5
	Public Const prmLENDSERIAL_NO As String = "@LENDSERIAL_NO"					'貸出連番

	Public Const prmCHECKBOX_FLG_ON As String = "@CHECKBOX_FLG_ON"				'チェックボックスフラグＯＮ

	Public Const itmBYOREKI_NO_TITLE As String = "BYOREKI_NO_TITLE"				'病歴番号タイトル
	' 貸出票データ取得
	Public Const sqlSelLendList As String = "" _
	& "SELECT" _
	& "  LI.PATIENT_NO," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  BI.PATIENT_KNM," _
	& "  CASE WHEN BI.BIRTH_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, BI.BIRTH_DT, 111)" _
	& "  END AS BIRTH_DT," _
	& "  BI.GENDER_CD," _
	& "  G.GENDER_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_NM," _
	& "  DEP.DEPT_RNM," _
	& "  WAR.WARD_CD," _
	& "  WAR.WARD_NM," _
	& "  WAR.WARD_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.START_CNL_CD," _
	& "  HSC.HSP_CNL_NM," _
	& "  HSC.HSP_CNL_RNM," _
	& "  LI.END_CNL_CD," _
	& "  OHC.OUT_HSP_CNL_NM," _
	& "  OHC.OUT_HSP_CNL_RNM," _
	& "  LI.END_OUTCOME_CD," _
	& "  OHO.OUT_HSP_OUTCOME_NM," _
	& "  OHO.OUT_HSP_OUTCOME_RNM," _
	& "  LI.HSP_DAYS," _
	& "  LI.DOCTOR_CD," _
	& "  STFD.STAFF_NM AS DOCTOR_NM," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_NM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_NM," _
	& "  0 AS ERR_FLG," _
	& "  0 AS SEQ_NO," _
	& "  LI.COMMENT," _
	& "  LI.RECEIPT_COUNT," _
	& "  LI.MNGSTATUS_CD," _
	& "  L.SLIP_CD," _
	& "  DEP.DSPORDER AS DEPT_DSPORDER," _
	& "  WAR.DSPORDER AS WARD_DSPORDER," _
	& "  STFD.DSPORDER AS DOCTOR_DSPORDER," _
	& "  HSC.DSPORDER AS HSP_CNL_DSPORDER," _
	& "  OHC.DSPORDER AS OUT_HSP_CNL_DSPORDER," _
	& "  OHO.DSPORDER AS OUT_HSP_OUTCOME_DSPORDER," _
	& "  CASE WHEN L.ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
	& "  END AS ISSUE_DT," _
	& "  LIMS.DSPORDER AS MNGSTATUS_DSPORDER," _
	& "  LIKL.DSPORDER AS KEPPLCT_DSPORDER," _
	& "  L.LENDAIM_CD," _
	& "  LA.DSPORDER AS LENDAIM_DSPORDER," _
	& "  L.BORROWER_DIV," _
	& "  STDB.DSPORDER AS BORROWER_DIV_DSPORDER," _
	& "  L.BORROWER_CD," _
	& "  STFB.DSPORDER AS BORROWER_DSPORDER," _
	& "  L.LCT_CD," _
	& "  LIL.DSPORDER AS LCT_DSPORDER," _
	& "  L.LENDCLERK_CD," _
	& "  STFL.DSPORDER AS LENDCLERK_DSPORDER," _
	& "  '' AS CH_HISTORY," _
	& "  '' AS SUMMARY_MNGSTATUS_CD_1," _
	& "  '' AS MNGSTATUS1_RNM_1," _
	& "  '' AS SUMMARY_MAKER_CD_1," _
	& "  '' AS STAFF_NM_1," _
	& "  '' AS SUMMARY_MNGSTATUS_CD_2," _
	& "  '' AS MNGSTATUS1_RNM_2," _
	& "  '' AS SUMMARY_MAKER_CD_2," _
	& "  '' AS STAFF_NM_2," _
	& "  '' AS SUMMARY_MNGSTATUS_CD_3," _
	& "  '' AS MNGSTATUS1_RNM_3," _
	& "  '' AS SUMMARY_MAKER_CD_3," _
	& "  '' AS STAFF_NM_3," _
	& "  '' AS SUMMARY_MNGSTATUS_CD_4," _
	& "  '' AS MNGSTATUS1_RNM_4," _
	& "  '' AS SUMMARY_MAKER_CD_4," _
	& "  '' AS STAFF_NM_4," _
	& "  '' AS SUMMARY_MNGSTATUS_CD_5," _
	& "  '' AS MNGSTATUS1_RNM_5," _
	& "  '' AS SUMMARY_MAKER_CD_5," _
	& "  '' AS STAFF_NM_5," _
	& "  LA.LENDAIM_NM," _
	& "  LIL.LCT_NM," _
	& "  LIL.LCT_NM," _
	& "  STFL.STAFF_NM AS LENDCLERK_NM," _
	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
	& "  END AS EXPECTBACK_DT," _
	& "  STDB.STAFFDIV_NM AS BORROWERDIV_NM," _
	& "  L.BORROWER_NM," _
	& "  STDT.STAFFDIV_NM AS TAKERDIV_NM," _
	& "  L.TAKER_NM," _
	& "  L.REMARKS AS LENDREMARKS" _
	& " FROM" _
	& " ("

	' 貸出情報＆マスタJOIN
	Public Const sqlSel_Join As String = "" _
	& " LEFT JOIN MTI_LEND L" _
	& "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = L.CH_NO" _
	& "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
	& " LEFT JOIN XTI_BASICINFO BI" _
	& "  ON  LI.PATIENT_NO = BI.PATIENT_NO" _
	& " LEFT JOIN MTM_DEPT DEP" _
	& "  ON  LI.DEPT_CD = DEP.DEPT_CD" _
	& " LEFT JOIN XTM_GENDER G" _
	& "  ON  BI.GENDER_CD = G.GENDER_CD" _
	& " LEFT JOIN MTM_HSP_CNL HSC" _
	& "  ON  LI.START_CNL_CD = HSC.HSP_CNL_CD" _
	& " LEFT JOIN MTM_LENDAIM LA" _
	& "  ON  L.LENDAIM_CD = LA.LENDAIM_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT LIKL" _
	& "  ON  LI.LENDITEM_CD = LIKL.LENDITEM_CD" _
	& "  AND LI.KEEPLCT_CD = LIKL.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_LCT LIL" _
	& "  ON  L.LCT_CD = LIL.LCT_CD" _
	& " LEFT JOIN MTM_LENDITEM LIM" _
	& "  ON  LI.LENDITEM_CD = LIM.LENDITEM_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
	& "  ON  LI.LENDITEM_CD = LIMS.LENDITEM_CD" _
	& "  AND LI.MNGSTATUS_CD = LIMS.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_OUT_HSP_CNL OHC" _
	& "  ON  LI.END_CNL_CD = OHC.OUT_HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_OUTCOME OHO" _
	& "  ON  LI.END_OUTCOME_CD = OHO.OUT_HSP_OUTCOME_CD" _
	& " LEFT JOIN XTM_STAFFDIV STDB" _
	& "  ON  L.BORROWER_DIV = STDB.STAFFDIV_CD" _
	& " LEFT JOIN XTM_STAFF STFD" _
	& "  ON  LI.DOCTOR_CD = STFD.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF STFB" _
	& "  ON  L.BORROWER_CD = STFB.STAFF_CD" _
	& " LEFT JOIN XTM_STAFFDIV STDT" _
	& "  ON  L.TAKER_DIV = STDT.STAFFDIV_CD" _
	& " LEFT JOIN XTM_STAFF STFL" _
	& "  ON  L.LENDCLERK_CD = STFL.STAFF_CD" _
	& " LEFT JOIN MTM_WARD WAR" _
	& "  ON  LI.WARD_CD = WAR.WARD_CD"

	' ■共通■
	' カルテ
	Public Const sqlSelLendItm1 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD1 & " AS LENDITEM_CD," _
	& "  LIS.RECORD_COUNT AS RECEIPT_COUNT," _
	& "  LIS.RECORD_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  LIS.RECORD_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.START_CNL_CD," _
	& "  TR.END_CNL_CD," _
	& "  TR.END_OUTCOME_CD," _
	& "  TR.HSP_DAYS," _
	& "  TR.COMMENT" _
	& " FROM MTI_LENDITM LIS"

	' サマリ
	Public Const sqlSelLendItm2 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
	& "  LIS.SUMMARY_COUNT AS RECEIPT_COUNT," _
	& "  LIS.SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  LIS.SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.START_CNL_CD," _
	& "  TR.END_CNL_CD," _
	& "  TR.END_OUTCOME_CD," _
	& "  TR.HSP_DAYS," _
	& "  TR.COMMENT" _
	& "  FROM MTI_LENDITM LIS"

	' 他１
	Public Const sqlSelLendItm3 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD3 & " AS LENDITEM_CD," _
	& "  LIS.OTHER1_COUNT AS RECEIPT_COUNT," _
	& "  LIS.OTHER1_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  LIS.OTHER1_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.START_CNL_CD," _
	& "  TR.END_CNL_CD," _
	& "  TR.END_OUTCOME_CD," _
	& "  TR.HSP_DAYS," _
	& "  TR.COMMENT" _
	& " FROM MTI_LENDITM LIS"

	' 他２
	Public Const sqlSelLendItm4 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD4 & " AS LENDITEM_CD," _
	& "  LIS.OTHER2_COUNT AS RECEIPT_COUNT," _
	& "  LIS.OTHER2_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  LIS.OTHER2_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.START_CNL_CD," _
	& "  TR.END_CNL_CD," _
	& "  TR.END_OUTCOME_CD," _
	& "  TR.HSP_DAYS," _
	& "  TR.COMMENT" _
	& " FROM MTI_LENDITM LIS"

	' 他３
	Public Const sqlSelLendItm5 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD5 & " AS LENDITEM_CD," _
	& "  LIS.OTHER3_COUNT AS RECEIPT_COUNT," _
	& "  LIS.OTHER3_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  LIS.OTHER3_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.START_CNL_CD," _
	& "  TR.END_CNL_CD," _
	& "  TR.END_OUTCOME_CD," _
	& "  TR.HSP_DAYS," _
	& "  TR.COMMENT" _
	& " FROM MTI_LENDITM LIS"

	' 入退院歴情報（患者単位）
	Public Const sqlSel_PATIENT As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT DISTINCT" _
	& "    PATIENT_NO," _
	& "    '' AS BYOREKI_NO," _
	& "    '' AS DEPT_CD," _
	& "    '' AS WARD_CD," _
	& "    '' AS START_DT," _
	& "    '' AS END_DT," _
	& "    '' AS DOCTOR_CD," _
	& "    '' AS START_CNL_CD," _
	& "    '' AS END_CNL_CD," _
	& "    '' AS END_OUTCOME_CD," _
	& "    0 AS HSP_DAYS," _
	& "    '' AS COMMENT," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& " WHERE LIS.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND LIS.CH_NO = " & prmCH_NO

	' 入退院歴情報（入退院単位）
	Public Const sqlSel_HSP As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    HSP.PATIENT_NO," _
	& "    HSP.BYOREKI_NO," _
	& "    HSP.DEPT_CD," _
	& "    HSP.WARD_CD," _
	& "    HSP.HSP_DT AS START_DT," _
	& "    HSP.OUT_HSP_DT AS END_DT," _
	& "    HSP.DOCTOR_CD," _
	& "    HSP.HSP_CNL_CD AS START_CNL_CD," _
	& "    HSP.OUT_HSP_CNL_CD AS END_CNL_CD," _
	& "    HSP.OUT_HSP_OUTCOME_CD AS END_OUTCOME_CD," _
	& "    HSP.HSP_DAYS," _
	& "    CHS.COMMENT," _
	& "    HSP.HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP HSP" _
	& "  LEFT JOIN MTI_CH CHS" _
	& "   ON  HSP.PATIENT_NO = CHS.PATIENT_NO" _
	& "   AND HSP.HSP_HISTORY_NO = CHS.HSP_HISTORY_NO" _
	& "   AND CHS.MAIN_DPM_FLG = " & prmCHECKBOX_FLG_ON _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& " WHERE LIS.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND LIS.CH_NO = " & prmCH_NO

	' 科歴情報（科歴単位）
	Public Const sqlSel_CH As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    WARD_CD," _
	& "    START_DT," _
	& "    END_DT," _
	& "    DOCTOR_CD," _
	& "    START_CNL_CD," _
	& "    END_CNL_CD," _
	& "    END_OUTCOME_CD," _
	& "    HSP_DAYS," _
	& "    COMMENT," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO" _
	& "  FROM MTI_CH" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& "  AND LIS.CH_NO = TR.CH_NO" _
	& " WHERE LIS.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND LIS.CH_NO = " & prmCH_NO

	' End
	Public Const sqlSelEnd As String = " ) LI"

	' Where文
	Public Const sqlSel_Where As String = "" _
	& " WHERE LI.PATIENT_NO = " & prmPATIENT_NO _
	& "   AND L.LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' 転科歴取得処理
	Public Const sqlSelChange_Dept As String = "" _
	& "SELECT" _
	& "  CH.DEPT_CD," _
	& "  DEP.DEPT_RNM" _
	& " FROM MTI_CH CH" _
	& " LEFT JOIN MTM_DEPT DEP" _
	& "  ON  CH.DEPT_CD = DEP.DEPT_CD" _
	& " WHERE CH.PATIENT_NO = " & prmPATIENT_NO _
	& "   AND CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& " ORDER BY CH_NO"

	' サマリ歴情報取得処理
	Public Const sqlSelSummaryInfo As String = "" _
	& " SELECT" _
	& "   LI.SUMMARY_MNGSTATUS_CD," _
	& "   LIMS.MNGSTATUS1_RNM," _
	& "   LI.SUMMARY_MAKER_CD," _
	& "   STF.STAFF_NM" _
	& " FROM MTI_LENDITM LI" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
	& "  ON  LI.SUMMARY_MNGSTATUS_CD = LIMS.MNGSTATUS_CD" _
	& "  AND LIMS.LENDITEM_CD = " & prmLENDITEM_CD2 _
	& " LEFT JOIN XTM_STAFF STF" _
	& "  ON  LI.SUMMARY_MAKER_CD = STF.STAFF_CD"

	' サマリ歴情報取得処理（主科のみ）
	Public Const sqlSelSummaryInfo_CH As String = "" _
	& " INNER JOIN MTI_CH CH" _
	& "  ON  LI.PATIENT_NO = CH.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = CH.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = CH.CH_NO" _
	& "  AND CH.CH_NO > 0" _
	& "  AND CH.MAIN_DPM_FLG = " & prmCHECKBOX_FLG_ON

	' サマリ歴情報取得処理WHERE
	Public Const sqlSelSummaryInfo_WHERE As String = "" _
	& " WHERE LI.PATIENT_NO = " & prmPATIENT_NO _
	& "   AND LI.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND LI.CH_NO > 0" _
	& " ORDER BY LI.CH_NO"

End Class
