﻿'''---------------------------------------------
''' <summary>
''' 貸出物情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datMTI_LENDITM_CHK
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号

	Public RECORD_RECEIPT_DT As String = Nothing						'カルテ受領日
	Public RECORD_MNGSTATUS_CD As String = Nothing						'カルテ管理状況コード
	Public SUMMARY_RECEIPT_DT As String = Nothing						'サマリ受領日
	Public SUMMARY_MNGSTATUS_CD As String = Nothing						'サマリ管理状況コード
	Public OTHER1_RECEIPT_DT As String = Nothing						'他１受領日
	Public OTHER1_MNGSTATUS_CD As String = Nothing						'他１管理状況コード
	Public OTHER2_RECEIPT_DT As String = Nothing						'他２受領日
	Public OTHER2_MNGSTATUS_CD As String = Nothing						'他２管理状況コード
	Public OTHER3_RECEIPT_DT As String = Nothing						'他３受領日
	Public OTHER3_MNGSTATUS_CD As String = Nothing						'他３管理状況コード
End Class

'''---------------------------------------------
''' <summary>
''' 受領・更新＿ＳＱＬクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class sqlXSP080F020
    ' 項目名
    Public Const itmLENDITEM_CD As String = "LENDITEM_CD"                   '貸出物コード
    Public Const itmMNGSTATUS_CD As String = "MNGSTATUS_CD"                 '管理状況コード
    Public Const itmMNGSTATUS1_RNM As String = "MNGSTATUS1_RNM"             '略称名１
    Public Const itmARG_STATUS_CD As String = "ARG_STATUS_CD"               '整理状況コード
    Public Const itmARG_STATUS_RNM As String = "ARG_STATUS_RNM"             '整理状況略称名
    Public Const itmKEEPLCT_CD As String = "KEEPLCT_CD"                     '保管場所コード
    Public Const itmKEEPLCT_RNM As String = "KEEPLCT_RNM"                   '保管場所略称名
    ' パラメータ
    Public Const prmPATIENT_NO As String = "@PATIENT_NO"                    '患者番号
    Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"            '入退院歴番号
    Public Const prmCH_NO As String = "@CH_NO"                              '科歴番号
    Public Const prmRECORD_RECEIPT_DT As String = "@RECORD_RECEIPT_DT"      'カルテ受領日
    Public Const prmRECORD_MNGSTATUS_CD As String = "@RECORD_MNGSTATUS_CD"  'カルテ管理状況コード
    Public Const prmSUMMARY_RECEIPT_DT As String = "@SUMMARY_RECEIPT_DT"    'サマリ受領日
    Public Const prmSUMMARY_MNGSTATUS_CD As String = "@SUMMARY_MNGSTATUS_CD" 'サマリ管理状況コード
    Public Const prmOTHER1_RECEIPT_DT As String = "@OTHER1_RECEIPT_DT"      '他１受領日
    Public Const prmOTHER1_MNGSTATUS_CD As String = "@OTHER1_MNGSTATUS_CD"  '他１管理状況コード
    Public Const prmOTHER2_RECEIPT_DT As String = "@OTHER2_RECEIPT_DT"      '他２受領日
    Public Const prmOTHER2_MNGSTATUS_CD As String = "@OTHER2_MNGSTATUS_CD"  '他２管理状況コード
    Public Const prmOTHER3_RECEIPT_DT As String = "@OTHER3_RECEIPT_DT"      '他３受領日
    Public Const prmOTHER3_MNGSTATUS_CD As String = "@OTHER3_MNGSTATUS_CD"  '他３管理状況コード

    ' 貸出物情報存在チェック
	Public Const sqlSelExist As String = _
		"SELECT" _
		& "  PATIENT_NO," _
		& "  HSP_HISTORY_NO," _
		& "  CH_NO," _
		& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
		& "   THEN ''" _
		& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
		& "  END AS RECORD_RECEIPT_DT," _
		& "  RECORD_MNGSTATUS_CD," _
		& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
		& "   THEN ''" _
		& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
		& "  END AS SUMMARY_RECEIPT_DT," _
		& "  SUMMARY_MNGSTATUS_CD," _
		& "  CASE WHEN OTHER1_RECEIPT_DT IS NULL" _
		& "   THEN ''" _
		& "   ELSE CONVERT(varchar, OTHER1_RECEIPT_DT, 111)" _
		& "  END AS OTHER1_RECEIPT_DT," _
		& "  OTHER1_MNGSTATUS_CD," _
		& "  CASE WHEN OTHER2_RECEIPT_DT IS NULL" _
		& "   THEN ''" _
		& "   ELSE CONVERT(varchar, OTHER2_RECEIPT_DT, 111)" _
		& "  END AS OTHER2_RECEIPT_DT," _
		& "  OTHER2_MNGSTATUS_CD," _
		& "  CASE WHEN OTHER3_RECEIPT_DT IS NULL" _
		& "   THEN ''" _
		& "   ELSE CONVERT(varchar, OTHER3_RECEIPT_DT, 111)" _
		& "  END AS OTHER3_RECEIPT_DT," _
		& "  OTHER3_MNGSTATUS_CD" _
		& " FROM MTI_LENDITM" _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO _
		& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
		& "   AND CH_NO = " & prmCH_NO

End Class
