﻿Imports XCM
Imports XSP
Imports System
Imports System.Windows.Forms
Imports System.Reflection
'''---------------------------------------------
''' <summary>
''' パスワード変更画面
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class XSY040F010

#Region "変数"

	'起動状況確認用変数
	Private pbExclusive As Boolean = False

	'環境設定（パスワードの有効期限）
	Private ENV_PASS As String = Nothing

	'アクセスクラス
	Private cliXTM_USER As clsXTM_USER = Nothing			'使用者アクセスクラス

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSY040F010_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームロード START")
		Try
			cliXTM_USER = New clsXTM_USER

			'パスワード有効期間
			ENV_PASS = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00073)

			' 排他制御登録
			If Me.setStartStatus(False) = False Then
				'画面を閉じる
				Me.setCloseFlg()
				'排他中フラグ設定
				Me.pbExclusive = True
				Me.EndProc()
				Exit Sub
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォーム表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSY040F010_Shown(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォーム表示 START")
		Try
			'画面初期化
			Me.setInitForm()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSY040F010_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームクロージング START")
		Try
			' 排他制御削除（排他エラー時は削除しない）
			If Not Me.pbExclusive Then
				Me.delStartStatus()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.ENV_PASS = Nothing
			Me.cliXTM_USER = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了ﾎﾞﾀﾝ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSY000F010_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btn004XSY000F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "終了ﾎﾞﾀﾝ START")
		Try
			MyBase.EndProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新ﾎﾞﾀﾝ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001XSY040F010_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btn001XSY040F010.Click
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "更新ﾎﾞﾀﾝ START")
		Try
			'パスワード更新処理
			Me.ExecUpdProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面初期化
	''' </summary>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitForm()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "画面初期化 START")
		Dim datUSER_PASS As datXTM_USER_PASS = Nothing
		Try
			datUSER_PASS = New datXTM_USER_PASS

			'使用者データ取得
			datUSER_PASS = cliXTM_USER.getOneUser_Pass(Me._userID)

			Me.txt003XSY040F010.Text = Nothing				'現行パスワード入力
			Me.txt005XSY040F010.Text = Nothing				'新パスワード入力
			Me.txt007XSY040F010.Text = Nothing				'確認入力

			'最終更新日(NULLだったら非表示[ZZZZ]のみ表示されることを想定）
			Me.lbl009XSY040F010.Text = String.Empty
			Me.lbl011XSY040F010.Text = String.Empty
			If datUSER_PASS IsNot Nothing AndAlso Not datUSER_PASS.LASTPASSWDUPD_DT.Equals(Nothing) Then

'(M) STR V4-11002-000 017 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No10 パスワード有効期間無効化対応
'				'パスワード有効期限設定
'				If Me.ENV_PASS IsNot Nothing AndAlso IsNumeric(Me.ENV_PASS) Then
'					Me.lbl009XSY040F010.Text = DateAdd(DateInterval.Day, CInt(Me.ENV_PASS), datUSER_PASS.LASTPASSWDUPD_DT).ToString(clsConst.CST_YYYYMMDD_FORMAT)
'					Me.lbl011XSY040F010.Text = datUSER_PASS.LASTPASSWDUPD_DT.ToString(clsConst.CST_YYYYMMDDHHMMSS_FORMAT)
'				Else
'					Me.lbl009XSY040F010.Text = DateAdd(DateInterval.Day, 0, datUSER_PASS.LASTPASSWDUPD_DT).ToString(clsConst.CST_YYYYMMDD_FORMAT)
'					Me.lbl011XSY040F010.Text = datUSER_PASS.LASTPASSWDUPD_DT.ToString(clsConst.CST_YYYYMMDDHHMMSS_FORMAT)
'				End If
				'パスワード有効期限設定
				If String.IsNullOrEmpty(Me.ENV_PASS) OrElse Not IsNumeric(Me.ENV_PASS) OrElse Me.ENV_PASS = clsConst.CST_PASS_LIMITDISABLE Then
					Me.lbl009XSY040F010.Text = "無期限"
				Else
					Me.lbl009XSY040F010.Text = DateAdd(DateInterval.Day, CInt(Me.ENV_PASS), datUSER_PASS.LASTPASSWDUPD_DT).ToString(clsConst.CST_YYYYMMDD_FORMAT)
				End If
				Me.lbl011XSY040F010.Text = datUSER_PASS.LASTPASSWDUPD_DT.ToString(clsConst.CST_YYYYMMDDHHMMSS_FORMAT)
'(M) END V4-11002-000 017 20110809
			ElseIf datUSER_PASS Is Nothing Then
				'使用者が削除されている
				showMsg("E0003", "使用者情報が削除されている", "処理", Nothing)
				Me.EndProc()
			End If

		Catch ex As Exception
			Throw
		Finally
			datUSER_PASS = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' パスワード更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub ExecUpdProc()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "パスワード更新処理 START")
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList

			'入力チェック
			If Me.ChkData() = False Then
				'処理終了
				Exit Sub
			End If

			'確認メッセージ
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0001", "パスワードを変更します。", Nothing) <> MsgBoxResult.Ok Then
			If Me.confMsg("Q0001", "パスワードを変更します。", Nothing) <> MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14
				'処理しないなら抜ける
				Exit Sub
			End If

			'更新処理
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						'排他チェック（トランザクション開始）
						arData = cliXTM_USER.chkForUpdata(db, Me._userID)

						'パスワード更新
						.setSQL(sqlXSY040F010.sqlUpdPassUpd)
						.setParam(sqlXSY040F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlXSY040F010.prmPASSWORD, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlXSY040F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlXSY040F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

						.setVal(sqlXSY040F010.prmUSER_CD, Me._userID)
						.setVal(sqlXSY040F010.prmPASSWORD, clsMisc.getSha1Hash(clsConst.CST_PASSWORD_CHAR & Me.txt005XSY040F010.Text))
						.setVal(sqlXSY040F010.prmLASTUPDUSER_CD, Me._userID)
						.setVal(sqlXSY040F010.prmLASTUPD_DT, Now())
						.execNonQuery(False)	'コミット

						If .statTran() Then .ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using

			'画面を起動時の状態に戻す
			Me.setInitForm()

			'完了メッセージ
			Me.showMsg("I0006", "パスワード変更", Nothing)

			'フォーカスを設定
			Me.btn004XSY000F010.Focus()
		Catch ex As Exception
			Throw
		Finally
			'解放
			If arData IsNot Nothing Then arData.Clear()
			arData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>TRUE:正常 FALSE:異常</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入力チェック START")
		Dim datXTM_USER As datXTM_USER_PASS = Nothing
		Try
			'バリデートチェック
			If Not Me.ValidateChildren() Then
				Return False
			End If

			'未入力チェック
			If String.IsNullOrEmpty(Me.txt003XSY040F010.Text) Then
				Me.addErrList("E0001", Me.txt003XSY040F010.Name, Me.lbl002XSY040F010.Text)
			End If

			'未入力チェック
			If String.IsNullOrEmpty(Me.txt005XSY040F010.Text) Then
				Me.addErrList("E0001", Me.txt005XSY040F010.Name, Me.lbl004XSY040F010.Text)
			End If

			'未入力チェック
			If String.IsNullOrEmpty(Me.txt007XSY040F010.Text) Then
				Me.addErrList("E0001", Me.txt007XSY040F010.Name, Me.lbl006XSY040F010.Text)
			End If

			'現行パスワードの整合性チェック
			If Not String.IsNullOrEmpty(Me.txt003XSY040F010.Text) Then
				'現行パスワードのチェック
				datXTM_USER = cliXTM_USER.getOneUser_Pass(Me._userID)
				If clsMisc.getSha1Hash(clsConst.CST_PASSWORD_CHAR & Me.txt003XSY040F010.Text) <> datXTM_USER.PASSWORD Then
					Me.addErrList("E0032", Me.txt003XSY040F010.Name, Me.lbl002XSY040F010.Text, "現行パスワードが", Nothing)
				End If
			End If

			'新パスワードの整合性チェック
			If Not String.IsNullOrEmpty(Me.txt005XSY040F010.Text) AndAlso Not String.IsNullOrEmpty(Me.txt007XSY040F010.Text) Then
				If Me.txt005XSY040F010.Text <> Me.txt007XSY040F010.Text Then
					Me.addErrList("E0032", Me.txt007XSY040F010.Name, Me.lbl006XSY040F010.Text, "新パスワードと確認入力が", Nothing)
				End If
			End If

			'現行パスワードと新パスワードが同一の場合エラーではじく
			If Me.getErrCount() = 0 AndAlso Me.txt003XSY040F010.Text = Me.txt005XSY040F010.Text Then
				Me.addErrList("E0020", Me.txt005XSY040F010.Name, Me.lbl004XSY040F010.Text, "新パスワードには現行パスワード以外の文字を設定", Nothing)
			End If

			'エラー件数チェック
			If Me.getErrCount() > 0 Then
				'エラー画面表示
				Me.nextErrForm()
				Return False
			End If

			'正常終了
			Return True
		Catch ex As Exception
			Throw
		Finally
			datXTM_USER = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F7キークリック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/26 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "F7キークリック START")
		Try
			'パスワード更新処理
			Me.ExecUpdProc()
			Return MyBase.F7KeyProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F12キークリック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/26 新規作成 CS)荒川 <BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "F12キークリック START")
		Try
			'終了処理
			MyBase.EndProc()
			Return MyBase.F12KeyProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
