﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_入退院歴情報
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4KJNY1
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V3 = 41
		V4 = 50
	End Enum
	''' ---------------------------------------------
	''' <summary>
	''' 連携入退院フラグ(貸出物更新時のパラメータ)
	''' </summary>
	''' ---------------------------------------------
	Private Enum enum_HspIndex As Integer
		hsp = 1			'入院
		outHsp = 2		'退院
		ChangeDept = 3	'転科
	End Enum

#End Region

#Region "変数"

	''' ---------------------------------------------
	''' <summary>
	''' 動作環境[00013]：連携方法
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private envRenMode As String
	''' ---------------------------------------------
	''' <summary>
	''' 動作環境[00014]：連携(重複)
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private envRepetition As String

	Private csvFileNames() As String 'CSVファイル
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileNames">連携CSVファイル</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileNames() As String)
		MyBase.New(cliXSI010F010)
		Me.csvFileNames = csvFileNames

		Me.envRenMode = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00013)		'連携方法
		Me.envRepetition = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00014)	'連携(重複)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【患者入退院歴】連携処理
	''' </summary>
	''' <returns>スレッドクラス</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim nameChangeCnt As Long					'氏名変更件数
		Dim slightErrCnt As Long					'軽度エラー件数
		Dim nameChangeSerial As Integer				'氏名変更ログ連番
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Ex_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418
		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		nameChangeCnt = 0
		slightErrCnt = 0
		nameChangeSerial = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl035XSI010F010.Text)
'(A) STR V4-14019-000 007 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Ex_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 007 20130418
			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_BASIC_HSP(), cliLOG_PATIENT_NM As New clsXSI_MTT_IMP_LOG_PATIENT_NM()	'取込CSV内の１レコード(ログ登録),氏名変更ログクラス
					For Each filename As String In Me.csvFileNames
						Using cliCSV As New XSP.clsCSV(filename), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
							'連携ファイル内を1件ずつ処理
							While Not (tfpReader.EndOfData)
								row += 1
								cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア
								cliLOG_PATIENT_NM.clear()	'氏名変更ログクラスクリア

								Try
									rowData = tfpReader.ReadFields()
									'１行データを格納(V3,V4の違いを吸収)
									Select Case rowData.Length
										Case ENUM_CSV_CNT.V3
											Me.setV3Cls(rowData, cliOneCsvData)
										Case ENUM_CSV_CNT.V4
											Me.setV4Cls(rowData, cliOneCsvData)
										Case Else
											'エラー情報セット
											cliOneCsvData.ERR_FLG = "1"
											cliOneCsvData.ERR_CD = "E0026"
											'ＣＳＶの個数が違います。
											cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									End Select
								Catch ex As FileIO.MalformedLineException
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0035"
									'データの形式が不正です。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
								End Try

								cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

								If cliOneCsvData.ERR_FLG = "1" Then
									'連携ファイルエラー
								ElseIf Me.chkCsv(cliOneCsvData) = False Then
									'連携ファイル内チェックエラー
								Else
									'整合性チェック、更新
									Me.setData(db, cliOneCsvData, cliLOG_PATIENT_NM)
								End If

								'件数カウント
								Select Case cliOneCsvData.ERR_FLG
									Case "0" 'OK
										okCnt += 1
									Case "1" 'エラー
										errCnt += 1
										cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
									Case "2" '軽度
										errCnt += 1
										slightErrCnt += 1
										cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
								End Select
								If String.IsNullOrEmpty(cliLOG_PATIENT_NM.PATIENT_NO) = False Then
									nameChangeCnt += 1
								End If

								'ログ出力
								Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)
								If String.IsNullOrEmpty(cliLOG_PATIENT_NM.PATIENT_NO) = False Then
									nameChangeSerial += 1
									cliLOG_PATIENT_NM.SERIAL_NO = nameChangeCnt.ToString()
									Me.setSqlParam_MTT_IMP_LOG_PATIENT_NM(db, cliLOG_PATIENT_NM, CStr(XSI010F010.Enum_BASICINFO_CHANGE_DERIMI.eHSP))
								End If

								'件数更新
								'CST_MOD_CNT毎または最終データの場合更新
								If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
									'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eBASIC_HSP, True, allCnt, okCnt, errCnt, slightErrCnt, nameChangeCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'									Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eBASIC_HSP, True, allCnt, okCnt, errCnt, row, slightErrCnt, nameChangeCnt)
									Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eBASIC_HSP, False, allCnt, okCnt, errCnt, row, slightErrCnt, nameChangeCnt})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
								End If
							End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
							clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("患者入退院歴，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2}) 軽度等({3}) 氏名変更患者({4})", allCnt, okCnt, errCnt, slightErrCnt, nameChangeCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 008 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.SlightErrorCount = slightErrCnt
							cliTh.NameChangeCount = nameChangeCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 008 20130418
						End Using
					Next
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新 Start")
		Try
			'動作環境により取込動作変更
			'動作環境の連携方法、動作環境の連携（重複）
			Select Case True
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '入院・退院　重複なし
					Select Case cliOneCsvData.DATA_TYPE
						Case "A"
							Me.setDataPattern1_1_A(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "B"
							Me.setDataPattern1_1_B(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
					End Select

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate)	'入院・退院　重複あり
					Select Case cliOneCsvData.DATA_TYPE
						Case "A"
							Me.setDataPattern1_2_A(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "B"
							Me.setDataPattern1_2_B(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "G"
							Me.setDataPattern1_2_G(pDb, cliOneCsvData)
					End Select

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '退院 重複なし
					Select Case cliOneCsvData.DATA_TYPE
						Case "B"
							Me.setDataPattern2_1_B(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
					End Select

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate) '退院 重複あり
					Select Case cliOneCsvData.DATA_TYPE
						Case "B"
							Me.setDataPattern2_2_B(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
					End Select

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOutMove) '入院・退院・移動
					Select Case cliOneCsvData.DATA_TYPE
						Case "A"
							Me.setDataPattern3_A(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "B"
							Me.setDataPattern3_B(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "C"
							Me.setDataPattern3_C(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "G"
							Me.setDataPattern3_G(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "H"
							Me.setDataPattern3_H(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
						Case "I"
							Me.setDataPattern3_I(pDb, cliOneCsvData, cliLOG_PATIENT_NM)
					End Select

			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#Region "入院・退院　重複なし"

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院　重複なし)データ種別A
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern1_1_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院　重複なし)データ種別A Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern1_1_A(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'科歴情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'入退院情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO							'患者番号

										Select Case cliOneCsvData.HSP_FLG
											Case "0" '入院以外
												cliCh.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO				'入退院歴番号
												cliCh.CH_NO = (CInt(cliCh_DB.CH_NO) + 1).ToString()			'科歴番号
												cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'入院フラグ
												cliCh.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept) '開始経路コード

											Case "1" '入院
												cliCh.HSP_HISTORY_NO = (CLng(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
												cliCh.CH_NO = "1" '科歴番号
												cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'入院フラグ
												'入院経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													'動作環境：入院（開始）経路コードが空白の場合の設定コード
													cliCh.START_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
												Else
													cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If

										End Select

										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号
										cliCh.DEPT_CD = cliOneCsvData.DEPT_CD					'診療科コード
										cliCh.WARD_CD = cliOneCsvData.WARD_CD					'病棟コード
										'病棟コード入力時、病棟情報作成
										If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
											Using cliWARD As New clsXSI_MTI_WARD()
												cliWARD.PATIENT_NO = cliCh.PATIENT_NO							'患者番号
												cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO					'入退院歴番号
												cliWARD.CH_NO = cliCh.CH_NO										'科歴番号
												cliWARD.WARD_SERIAL_NO = "1"									'病棟連番
												cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
												cliWARD.WARD_CD = cliOneCsvData.WARD_CD							'病棟コード
												cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT					'病棟開始日
												'病棟情報削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
												'病棟情報追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
											End Using
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD '医師コード
										'医師コード入力時、医師情報作成
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO						'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO				'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO								'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"							'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV				'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD				'医師コード
												cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
												cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
												'医師情報削除
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										cliCh.START_DT = cliOneCsvData.HSP_DT		'開始日
										cliCh.START_TIME = cliOneCsvData.HSP_TIME	'開始時刻
										'開始時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

											cliCh.START_AGE = age.ToString()			'開始時時年齢
											cliCh.START_MONTH_AGE = monthAge.ToString()	'開始時月齢
											cliCh.START_DAY_AGE = dayAge.ToString()		'開始時日齢
										End With
										cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp) '登録状況コード
										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If
										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER								'電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

										'初期値を設定
										cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'退院フラグ
										cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'主科フラグ
										cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'再入院フラグ
										cliCh.END_AGE = "0"					'終了時年齢
										cliCh.END_MONTH_AGE = "0"			'終了時月齢
										cliCh.END_DAY_AGE = "0"				'終了時日齢
										cliCh.HSP_DAYS = "0"				'在院日数
										cliCh.STATURE = "0"					'身長
										cliCh.WEIGHT = "0"					'体重
										cliCh.TOTAL_MED_COST = "0"			'医療費合計
										cliCh.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '統計対象外フラグ
										cliCh.DISEASE_COUNT = "0"				 '病名数
										cliCh.OPE_COUNT = "0"				'手術数
										cliCh.CARE_COUNT = "0"				'治療処置数
										cliCh.TEST_COUNT = "0"				'検査数
										cliCh.ASST_ITM1_COUNT = "0"			'補足項目１数
										cliCh.ASST_ITM2_COUNT = "0"			'補足項目２数
										cliCh.CB_COUNT = "0"				'分娩数
										cliCh.EMERGENCY_COUNT = "0"			'救命救急数
										cliCh.OTHER_DEPT_COUNT = "0"		'対診科数
										cliCh.MED_COST_COUNT = "0"			'医療費数
										cliCh.CNR_REG_COUNT = "0"			'がん登録数
										cliCh.CNR_REG_EXPECTED_COUNT = "0"	'がん登録予定数
										cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ
										cliCh.PATH_COUNT = "0"				'パス数

										cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)	  '救急車搬送有無コード
										cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)		  '紹介状有無コード

										'登録
										Me.setInsSql_MTI_CH(pDb, False, cliCh)


										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO '患者番号

										Select Case cliOneCsvData.HSP_FLG
											Case "0" '入院以外
												cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO		'入退院歴番号
												cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)	'転科有無コード

											Case "1" '入院
												cliHsp.HSP_HISTORY_NO = (CInt(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
												'入院経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													'動作環境：入院（開始）経路コードが空白の場合の設定コード
													cliHsp.HSP_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
												Else
													cliHsp.HSP_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If

												cliHsp.HSP_DT = cliOneCsvData.HSP_DT			'入院日
												cliHsp.HSP_TIME = cliOneCsvData.HSP_TIME		'入院時刻
												'入院時年月日齢計算
												With Nothing
													Dim age As Integer = 0
													Dim monthAge As Integer = 0
													Dim dayAge As Integer = 0
													'年齢、月齢、日齢取得
													Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

													cliHsp.HSP_AGE = age.ToString()			   '入院時時年齢
													cliHsp.HSP_MONTH_AGE = monthAge.ToString() '入院時月齢
													cliHsp.HSP_DAY_AGE = dayAge.ToString()	   '入院時日齢
												End With
												cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	 '転科有無コード
												cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	 '兼科有無コード
												cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'再入院フラグ
												cliHsp.OUT_HSP_AGE = "0"					'退院時年齢
												cliHsp.OUT_HSP_MONTH_AGE = "0"				'退院時月齢
												cliHsp.OUT_HSP_DAY_AGE = "0"				'退院時日齢
												cliHsp.HSP_DAYS = "0"						'在院日数
												cliHsp.TOTAL_MED_COST = "0"					'医療費合計
												cliHsp.MED_COST_COUNT = "0"					'医療費数
												cliHsp.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'統計対象外フラグ
												cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ

										End Select
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP		 'DPC番号

										'主科科歴、入院科歴、退院科歴から値を設定
										Me.setHspMainHspOutHsp(pDb, cliHsp)

										If cliOneCsvData.HSP_FLG = "0" Then
											Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True) '更新
										Else
											Me.setInsSql_MTI_HSP(pDb, False, cliHsp) '登録
										End If

										'貸出物
										Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
													  cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院　重複なし)データ種別A
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern1_1_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院　重複なし)データ種別A Start")
		Try
			'死亡情報あればエラー
			Using cliDeath As New XSP.clsMTI_DEATH()
				Dim dat As XSP.datMTI_DEATH_OneRec = cliDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
				If dat IsNot Nothing Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0023"
					'既に死亡しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
			End Using

			'最新科歴 終了転帰死亡時エラー
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliCh_DB.END_OUTCOME_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'退院経路が「死亡」になっているため、入院できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院経路が「死亡」になっている", "入院", Nothing})
				Return False
			End If

			Select Case cliOneCsvData.HSP_FLG
				Case "0" '入院以外
					'入院情報なければエラー
					If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院中でないため、「転科」「兼科」を開始できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
						Return False
					End If
					'入院中でなければエラー
					If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = False Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院中でないため、「転科」「兼科」を開始できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
						Return False
					End If
					'最新科歴　終了経路転科でなければエラー
					If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept_ALL, cliCh_DB.END_CNL_CD) = False Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'最新の科歴が終了していないため、「転科」できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"最新の科歴が終了していない", "「転科」", Nothing})
						Return False
					End If
					'最新科歴終了日より連携ファイル開始日が過去であればエラー
					If Me.dateCompare(cliCh_DB.END_DT, cliOneCsvData.HSP_DT) > 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0031"
						'開始日が終了日より過去の日付になっています。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"開始日", "終了日より過去の日付", Nothing})
						Return False
					End If
					'最新科歴診療科コードが連携ファイル診療科コード同じならエラー
					If cliCh_DB.DEPT_CD = cliOneCsvData.DEPT_CD Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0031"
						'転科前と転科後の診療科が同じになっています。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"転科前と転科後の診療科", "同じに", Nothing})
						Return False
					End If

				Case "1" '入院
					'入退院情報なければチェックなし
					If String.IsNullOrEmpty(cliHsp_DB.PATIENT_NO) = False Then
						'最新入退院情報が退院でなければエラー
						If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0003"
							'「退院」していないため、入院できません。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"「退院」していない", "入院", Nothing})
							Return False
						End If

						'最新退院日より連携ファイル入院日が過去の場合エラー
						If Me.dateCompare(cliHsp_DB.OUT_HSP_DT, cliOneCsvData.HSP_DT) > 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0037"
							'入院期間が重複しています。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院期間", Nothing})
							Return False
						End If
						'同じ入院日、同じ診療科の入退院情報があればエラー
						pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP_TIME)
						pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParamDa(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
						pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
						pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
						pDb.setValDa(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)
						Using dt As New DataTable()
							pDb.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								If String.IsNullOrEmpty(dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString()) = False AndAlso String.IsNullOrEmpty(cliOneCsvData.HSP_TIME) = False Then
									'時刻があれば時刻まで比較
									If Me.dateCompare(cliOneCsvData.HSP_DT, dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString(), cliOneCsvData.HSP_DT, cliOneCsvData.HSP_TIME) >= 0 Then
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0037"
										'入院期間が重複しています。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院期間", Nothing})
										Return False
									End If
								Else
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0033"
									'同一入院日、同一診療科の入院歴が存在します。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"同一入院日、同一診療科の入院歴", Nothing})
									Return False
								End If
							End If
						End Using
					End If
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院　重複なし)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern1_1_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院　重複なし)データ種別B Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern1_1_B(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'科歴情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'入退院情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliCh_DB.PATIENT_NO						   '患者番号
										cliCh.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO				   '入退院歴番号
										cliCh.CH_NO = cliCh_DB.CH_NO								   '科歴番号

										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号
										cliCh.OUT_HSP_FLG = Me.changeFlg(cliOneCsvData.OUT_HSP_FLG)		'退院フラグ

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept)	'終了経路コード
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD											'終了転帰コード

											Case "1" '退院

												'主科フラグ
												With Nothing
													Dim arr As ArrayList = Nothing
													Try
														arr = Me.getMainDpm(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, pDb)
														'同じ入退院情報内に主科の科歴がなければ主科とする。
														If arr.Count = 0 Then
															cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
														End If
													Finally
														If arr IsNot Nothing Then arr.Clear()
														arr = Nothing
													End Try
												End With
												cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	  '退院フラグ

												'退院経路、退院転帰どちらかに死亡のコードが設定されている
												cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
												If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

													'終了経路コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = False Then
														'死亡のコードを設定
														cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease)
													End If
													'終了転帰コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
														'死亡のコードを設定
														cliCh.END_OUTCOME_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease)
													End If
												Else
													If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
														'動作環境：退院（終了）経路コードが空白の場合の設定コード
														cliCh.END_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00088)
													End If
												End If

										End Select

										cliCh.WARD_CD = cliOneCsvData.WARD_CD	'病棟コード
										'病棟情報登録・更新
										Me.setWardPattern1_1B(pDb, cliOneCsvData, cliCh, cliCh_DB)

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD							'医師コード
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO						'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO				'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO								'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"							'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV				'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD				'医師コード
												cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
												cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
												If String.IsNullOrEmpty(cliCh_DB.DOCTOR_CD) = False Then
													'医師情報削除
													Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												End If
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										cliCh.END_DT = cliOneCsvData.OUT_HSP_DT				'終了日
										cliCh.END_TIME = cliOneCsvData.OUT_HSP_TIME			'終了時刻
										'終了時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.OUT_HSP_DT, age, monthAge, dayAge)

											cliCh.END_AGE = age.ToString()			  '終了時時年齢
											cliCh.END_MONTH_AGE = monthAge.ToString() '終了時月齢
											cliCh.END_DAY_AGE = dayAge.ToString()	  '終了時日齢
										End With

										'在院日数計算
										'在院日数(動作環境により+1日を行う)
										cliCh.HSP_DAYS = Me.getDiffHspDays(cliCh_DB.START_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'サマリに合わせる(動作環境のサマリ作成単位／返納基準日)
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'登録状況退院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge)
												Else
													'登録状況入院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp)
												End If

											Case "1" '退院
												cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge) '登録状況コード
												'動作環境：サマリ作成単位／返納基準日
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) <> CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'2:全科/終了日以外の場合、他の科歴情報の登録状況も更新
													pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_regStatus)
													pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmWhereREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
													pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh.PATIENT_NO)
													pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh.HSP_HISTORY_NO)
													pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh.CH_NO)
													pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge))
													pDb.setVal(sqlXSI010F010.prmWhereREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp))
													pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
													pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
													pDb.execNonQuery(False)
												End If
										End Select

										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If

										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER					'電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1			'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2			'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3			'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT	'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM			'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD				'続柄コード

										If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = False Then
											cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)		'救急車搬送有無コード
										End If
										If String.IsNullOrEmpty(cliOneCsvData.INTRODUCTION_CHK) = False Then
											cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)			'紹介状有無コード
										End If


										'科歴情報更新
										Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, True)

										'死亡情報
										If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

											'終了転帰、終了経路のどちらかに死亡が設定されていれば死亡情報を追加
											Using cliDeath As New clsXSI_MTI_DEATH()
												cliDeath.PATIENT_NO = cliCh.PATIENT_NO
												cliDeath.DEATH_DT = cliCh.END_DT
												cliDeath.DEATH_TIME = cliCh.END_TIME
												cliDeath.DEATH_AGE = cliCh.END_AGE
												cliDeath.DEATH_MONTH_AGE = cliCh.END_MONTH_AGE
												cliDeath.DEATH_DAY_AGE = cliCh.END_DAY_AGE
												cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
												If cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
													'死亡区分取得
													cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
												End If

												'削除
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
												'追加
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
											End Using
										End If

										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
										cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO	'入退院歴番号
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP				'DPC番号
										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外

											Case "1" '退院
												'在院日数
												Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008)
													Case CStr(clsConst.Enum_HspStayDaysCalc.Def) '動作環境04の設定に従う
														'在院日数(動作環境により+1日を行う)
														cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
													Case CStr(clsConst.Enum_HspStayDaysCalc.StayDaysSum) '科歴の合計(兼科は除く)
														cliHsp.HSP_DAYS = Me.getHspDays(cliHsp.PATIENT_NO, cliHsp.HSP_HISTORY_NO, pDb).ToString()
												End Select
										End Select

										'主科科歴、入院科歴、退院科歴から値を設定
										Me.setHspMainHspOutHsp(pDb, cliHsp)

										'入退院情報更新
										Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)

										'管理物
										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												Me.setLendMngPattern1(pDb, enum_HspIndex.ChangeDept, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
															  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
											Case "1" '退院
												Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
															 cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
										End Select

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報登録(入院・退院　重複なし)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliCh">科歴情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setWardPattern1_1B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliCh As clsXSI_MTI_CH, ByVal cliCh_DB As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "病棟情報登録(入院・退院　重複なし)データ種別B Start")
		Dim outHsp As Boolean = False
		Try
			'退院フラグ設定
			If cliOneCsvData.OUT_HSP_FLG = "1" Then outHsp = True

			'病棟コードあれば更新 なければ追加
			If String.IsNullOrEmpty(cliOneCsvData.WARD_CD) = False Then
				Dim arr As ArrayList = Nothing
				Try
					'病棟情報取得
					arr = Me.getWardData(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, pDb)

					Select Case True
						Case arr.Count > 0 AndAlso DirectCast(arr(0), datWard).WARD_END_DT = Nothing
							Dim ward As datWard = DirectCast(arr(0), datWard)
							'最新の病棟情報　病棟終了日未設定の場合
							Using cliWard As New clsXSI_MTI_WARD()
								cliWard.PATIENT_NO = ward.PATIENT_NO					 '患者番号
								cliWard.HSP_HISTORY_NO = ward.HSP_HISTORY_NO.ToString()	 '入退院歴番号
								cliWard.CH_NO = ward.CH_NO.ToString()					 '科歴番号
								cliWard.WARD_SERIAL_NO = ward.WARD_SERIAL_NO.ToString()	 '病棟連番
								cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT			 '終了日
								cliWard.WARD_DAYS = Me.getDiffHspDays(ward.WARD_START_DT.ToString(), cliWard.WARD_END_DT, outHsp).ToString() '病棟日数
								If Integer.Parse(cliWard.WARD_DAYS) > -1 Then
									'病棟日数がﾏｲﾅｽなら更新しない
									Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWard)
								End If
							End Using
							If DirectCast(arr(0), datWard).WARD_CD <> cliOneCsvData.WARD_CD Then
								'病棟コードが違う場合追加
								Using cliWard As New clsXSI_MTI_WARD()
									cliWard.PATIENT_NO = DirectCast(arr(0), datWard).PATIENT_NO							'患者番号
									cliWard.HSP_HISTORY_NO = DirectCast(arr(0), datWard).HSP_HISTORY_NO.ToString()		'入退院歴番号
									cliWard.CH_NO = DirectCast(arr(0), datWard).CH_NO.ToString()						'科歴番号
									cliWard.WARD_SERIAL_NO = (DirectCast(arr(0), datWard).WARD_SERIAL_NO + 1).ToString() '病棟連番
									cliWard.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)					'主病棟フラグ
									cliWard.WARD_CD = cliOneCsvData.WARD_CD												'病棟コード
									cliWard.WARD_START_DT = cliOneCsvData.OUT_HSP_DT									'病棟開始日
									cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT										'病棟終了日
									cliWard.WARD_DAYS = Me.getDiffHspDays(cliWard.WARD_START_DT, cliWard.WARD_END_DT, outHsp).ToString() '病棟日数
									Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWard)
								End Using
							End If

						Case arr.Count > 0 AndAlso DirectCast(arr(0), datWard).WARD_END_DT <> Nothing AndAlso DirectCast(arr(0), datWard).WARD_CD = cliOneCsvData.WARD_CD
							'最新の病棟情報　終了日設定済　連携ファイルと同じ病棟
							If Me.dateCompare(DirectCast(arr(0), datWard).WARD_END_DT.ToString(), cliOneCsvData.OUT_HSP_DT) <> 0 Then
								Using cliWard As New clsXSI_MTI_WARD()
									cliWard.PATIENT_NO = DirectCast(arr(0), datWard).PATIENT_NO						'患者番号
									cliWard.HSP_HISTORY_NO = DirectCast(arr(0), datWard).HSP_HISTORY_NO.ToString()	'入退院歴番号
									cliWard.CH_NO = DirectCast(arr(0), datWard).CH_NO.ToString()					'科歴番号
									cliWard.WARD_SERIAL_NO = DirectCast(arr(0), datWard).WARD_SERIAL_NO.ToString()	'病棟連番
									cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT									'病棟終了日
									cliWard.WARD_DAYS = Me.getDiffHspDays(DirectCast(arr(0), datWard).WARD_START_DT.ToString(), cliWard.WARD_END_DT, outHsp).ToString()
									If Integer.Parse(cliWard.WARD_DAYS) > -1 Then
										'病棟日数がﾏｲﾅｽなら更新しない
										Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWard)
									End If
								End Using
							End If

						Case arr.Count > 0 AndAlso DirectCast(arr(0), datWard).WARD_END_DT <> Nothing AndAlso DirectCast(arr(0), datWard).WARD_CD <> cliOneCsvData.WARD_CD
							'最新の病棟情報　終了日設定済　連携ファイルと違う病棟
							'病棟終了日が退院日より未来の場合、退院日で終了日を更新
							If Me.dateCompare(DirectCast(arr(0), datWard).WARD_END_DT.ToString(), cliOneCsvData.OUT_HSP_DT) > 0 Then
								If Me.dateCompare(DirectCast(arr(0), datWard).WARD_END_DT.ToString(), cliOneCsvData.OUT_HSP_DT) <> 0 Then
									Using cliWard As New clsXSI_MTI_WARD()
										cliWard.PATIENT_NO = DirectCast(arr(0), datWard).PATIENT_NO						'患者番号
										cliWard.HSP_HISTORY_NO = DirectCast(arr(0), datWard).HSP_HISTORY_NO.ToString()	'入退院歴番号
										cliWard.CH_NO = DirectCast(arr(0), datWard).CH_NO.ToString()					'科歴番号
										cliWard.WARD_SERIAL_NO = DirectCast(arr(0), datWard).WARD_SERIAL_NO.ToString()	'病棟連番
										cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT									'病棟終了日
										cliWard.WARD_DAYS = Me.getDiffHspDays(DirectCast(arr(0), datWard).WARD_START_DT.ToString(), cliWard.WARD_END_DT, outHsp).ToString()
										If Integer.Parse(cliWard.WARD_DAYS) > -1 Then
											'病棟日数がﾏｲﾅｽなら更新しない
											Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWard)
										End If
									End Using
								End If
							End If

							'連携ファイルの病棟追加
							Using cliWard As New clsXSI_MTI_WARD()
								cliWard.PATIENT_NO = DirectCast(arr(0), datWard).PATIENT_NO							'患者番号
								cliWard.HSP_HISTORY_NO = DirectCast(arr(0), datWard).HSP_HISTORY_NO.ToString()		'入退院歴番号
								cliWard.CH_NO = DirectCast(arr(0), datWard).CH_NO.ToString()						'科歴番号
								cliWard.WARD_SERIAL_NO = (DirectCast(arr(0), datWard).WARD_SERIAL_NO + 1).ToString() '病棟連番
								cliWard.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)					'主病棟フラグ
								cliWard.WARD_CD = cliOneCsvData.WARD_CD												'病棟コード
								'病棟開始日 動作環境の転科、転棟の終了日、開始日の関係
								Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005)
									Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual)
										cliWard.WARD_START_DT = DirectCast(arr(0), datWard).WARD_END_DT.ToString()
									Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift)
										cliWard.WARD_START_DT = DirectCast(arr(0), datWard).WARD_END_DT.AddDays(1).ToString()
								End Select

								cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT						'病棟終了日
								If Me.dateCompare(cliWard.WARD_START_DT, cliWard.WARD_END_DT) > 0 Then
									'動作環境から取得した結果終了日が開始日より過去になる場合開始日と同じにする
									cliWard.WARD_END_DT = cliWard.WARD_START_DT
								End If
								cliWard.WARD_DAYS = Me.getDiffHspDays(cliWard.WARD_START_DT, cliWard.WARD_END_DT, outHsp).ToString()
								Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWard)
							End Using

						Case arr.Count = 0
							'最新の病棟情報なし
							'連携ファイルの病棟を追加
							If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
								Using cliWARD As New clsXSI_MTI_WARD()
									cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
									cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
									cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
									cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
									cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
									cliWARD.WARD_CD = cliOneCsvData.WARD_CD			'病棟コード
									cliWARD.WARD_START_DT = cliCh_DB.START_DT		'病棟開始日
									cliWARD.WARD_END_DT = cliOneCsvData.OUT_HSP_DT	'病棟終了日
									cliWARD.WARD_DAYS = Me.getDiffHspDays(cliWARD.WARD_START_DT, cliWARD.WARD_END_DT, outHsp).ToString() '病棟日数

									'病棟情報削除
									Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
									'病棟情報追加
									Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
								End Using
							End If

					End Select
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try

			ElseIf String.IsNullOrEmpty(cliCh_DB.WARD_CD) = False Then

				Dim arr As ArrayList = Nothing
				Try
					'病棟情報取得
					arr = Me.getWardData(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, pDb)

					If arr.Count > 0 Then
						Using cliWard As New clsXSI_MTI_WARD()
							cliWard.PATIENT_NO = DirectCast(arr(0), datWard).PATIENT_NO						'患者番号
							cliWard.HSP_HISTORY_NO = DirectCast(arr(0), datWard).HSP_HISTORY_NO.ToString()	'入退院歴番号
							cliWard.CH_NO = DirectCast(arr(0), datWard).CH_NO.ToString()					'科歴番号
							cliWard.WARD_SERIAL_NO = DirectCast(arr(0), datWard).WARD_SERIAL_NO.ToString()	'病棟連番
							cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT									'病棟終了日
							cliWard.WARD_DAYS = Me.getDiffHspDays(DirectCast(arr(0), datWard).WARD_START_DT.ToString(), cliWard.WARD_END_DT, cliOneCsvData.OUT_HSP_DT = "1").ToString()
							If Integer.Parse(cliWard.WARD_DAYS) > -1 Then
								'病棟日数がﾏｲﾅｽなら更新しない
								Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWard)
							End If
						End Using
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院　重複なし)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">更新対象基本情報</param>
	''' <param name="cliHsp_DB">更新対象入退院情報</param>
	''' <param name="cliCh_DB">更新対象科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern1_1_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院　重複なし)データ種別B Start")
		Try
			'死亡情報あればエラー
			Using cliDeath As New XSP.clsMTI_DEATH()
				Dim dat As XSP.datMTI_DEATH_OneRec = cliDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
				If dat IsNot Nothing Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0023"
					'既に死亡しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
			End Using

			'入院歴がない場合エラー
			If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'終了させる科歴が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了させる科歴", Nothing})
				Return False
			End If

			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If

			'最新科歴が終了している場合エラー
			If String.IsNullOrEmpty(cliCh_DB.END_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'既に退院（終了）済みのため、退院（終了）できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"既に退院（終了）済みの", "退院（終了）", Nothing})
				Return False
			End If

			'最新科歴の診療科コードと連携ファイルの診療科コードが一致しない場合エラー
			If cliCh_DB.DEPT_CD <> cliOneCsvData.DEPT_CD Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'診療科が不一致のため、退院できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"診療科が不一致の", "退院", Nothing})
				Return False
			End If
			'最新科歴の開始日と連携ファイルの終了日の前後関係
			If Me.dateCompare(cliCh_DB.START_DT, cliOneCsvData.OUT_HSP_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'退院日が入院日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院日", "入院日より過去の日付", Nothing})
				Return False
			End If
			If cliOneCsvData.OUT_HSP_FLG = "1" Then	'退院
				'同じ終了日、同じ診療科、退院フラグ =ON の科歴が存在すればエラーとする。
				'SQL文設定
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_DEPTENDDATE)
				'パラメータ設定
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmOUT_HSP_FLG, clsDB.Enum_dbType.dbInt)
				pDb.setParamDa(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)
				'値設定
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
				pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
				pDb.setValDa(sqlXSI010F010.prmOUT_HSP_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOn))
				pDb.setValDa(sqlXSI010F010.prmEND_DT, cliOneCsvData.OUT_HSP_DT)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0033"
						'同一退院日、同一診療科の退院歴が存在します。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"同一退院日、同一診療科の退院歴", Nothing})
						Return False
					End If
				End Using
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "入院・退院　重複あり"

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院　重複あり)データ種別A
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern1_2_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院　重複あり)データ種別A Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern1_2_A(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If

						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'入退院情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'科歴情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO	'患者番号
										Select Case cliOneCsvData.HSP_FLG
											Case "0" '入院以外
												cliCh.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO				'入退院歴番号
												cliCh.CH_NO = (CInt(cliCh_DB.CH_NO) + 1).ToString()			'科歴番号
												cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'入院フラグ

												'開始経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													cliCh.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelHoldDept) '兼科のコード設定
												Else
													cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If


											Case "1" '入院
												cliCh.HSP_HISTORY_NO = (CLng(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
												cliCh.CH_NO = "1" '科歴番号
												cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'入院フラグ
												'入院経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													''動作環境：入院（開始）経路コードが空白の場合の設定コード
													cliCh.START_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
												Else
													cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If

										End Select

										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号
										cliCh.DEPT_CD = cliOneCsvData.DEPT_CD '診療科コード
										cliCh.MAIN_DPM_FLG = Me.changeFlg(cliOneCsvData.MAIN_DPM_FLG) '主科フラグ

										cliCh.WARD_CD = cliOneCsvData.WARD_CD '病棟コード
										'病棟コード入力時、病棟情報作成
										If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
											Using cliWARD As New clsXSI_MTI_WARD()
												cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
												cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
												cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
												cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
												cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
												cliWARD.WARD_CD = cliOneCsvData.WARD_CD			'病棟コード
												cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT	'病棟開始日
												'病棟情報削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
												'病棟情報追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
											End Using
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD '医師コード
										'医師コード入力時、医師情報作成
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
												'医師情報削除
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										cliCh.START_DT = cliOneCsvData.HSP_DT		'開始日
										cliCh.START_TIME = cliOneCsvData.HSP_TIME	'開始時刻
										'開始時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

											cliCh.START_AGE = age.ToString()			'開始時時年齢
											cliCh.START_MONTH_AGE = monthAge.ToString()	'開始時月齢
											cliCh.START_DAY_AGE = dayAge.ToString()		'開始時日齢
										End With
										cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp) '登録状況コード
										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If
										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER '電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

										'初期値を設定
										cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'退院フラグ
										cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'主科フラグ
										cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'再入院フラグ
										cliCh.END_AGE = "0"					'終了時年齢
										cliCh.END_MONTH_AGE = "0"			'終了時月齢
										cliCh.END_DAY_AGE = "0"				'終了時日齢
										cliCh.HSP_DAYS = "0"				'在院日数
										cliCh.STATURE = "0"					'身長
										cliCh.WEIGHT = "0"					'体重
										cliCh.TOTAL_MED_COST = "0"			'医療費合計
										cliCh.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '統計対象外フラグ
										cliCh.DISEASE_COUNT = "0"				'病名数
										cliCh.OPE_COUNT = "0"				'手術数
										cliCh.CARE_COUNT = "0"				'治療処置数
										cliCh.TEST_COUNT = "0"				'検査数
										cliCh.ASST_ITM1_COUNT = "0"			'補足項目１数
										cliCh.ASST_ITM2_COUNT = "0"			'補足項目２数
										cliCh.CB_COUNT = "0"				'分娩数
										cliCh.EMERGENCY_COUNT = "0"			'救命救急数
										cliCh.OTHER_DEPT_COUNT = "0"		'対診科数
										cliCh.MED_COST_COUNT = "0"			'医療費数
										cliCh.CNR_REG_COUNT = "0"			'がん登録数
										cliCh.CNR_REG_EXPECTED_COUNT = "0"	'がん登録予定数
										cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ
										cliCh.PATH_COUNT = "0"				'パス数

										cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)	'救急車搬送有無コード
										cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)		'紹介状有無コード

										'登録
										Me.setInsSql_MTI_CH(pDb, False, cliCh)


										'主科を設定した場合、他科歴の主科フラグをOFFで更新
										If cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											Me.setSqlUpdParam_Ch_MainDpmFlg(pDb, False, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO)
										End If

										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO '患者番号

										Select Case cliOneCsvData.HSP_FLG
											Case "0" '入院以外
												cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO	'入退院歴番号

												'兼科有無コード
												If cliCh.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelHoldDept) Then
													'開始経路兼科の場合兼科ON
													cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)
												Else
													'開始経路兼科ではない場合転科ON
													cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)
												End If

											Case "1" '入院
												cliHsp.HSP_HISTORY_NO = (CInt(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()
												'入院経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													'動作環境：入院（開始）経路コードが空白の場合の設定コード
													cliHsp.HSP_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
												Else
													cliHsp.HSP_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If

												cliHsp.HSP_DT = cliOneCsvData.HSP_DT			'入院日
												cliHsp.HSP_TIME = cliOneCsvData.HSP_TIME		'入院時刻
												'入院時年月日齢計算
												With Nothing
													Dim age As Integer = 0
													Dim monthAge As Integer = 0
													Dim dayAge As Integer = 0
													'年齢、月齢、日齢取得
													Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

													cliHsp.HSP_AGE = age.ToString()			   '入院時時年齢
													cliHsp.HSP_MONTH_AGE = monthAge.ToString() '入院時月齢
													cliHsp.HSP_DAY_AGE = dayAge.ToString()	   '入院時日齢
												End With
												cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)				'転科有無コード
												cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)				'兼科有無コード
												cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'再入院フラグ
												cliHsp.OUT_HSP_AGE = "0"					'退院時年齢
												cliHsp.OUT_HSP_MONTH_AGE = "0"				'退院時月齢
												cliHsp.OUT_HSP_DAY_AGE = "0"				'退院時日齢
												cliHsp.HSP_DAYS = "0"						'在院日数
												cliHsp.TOTAL_MED_COST = "0"					'医療費合計
												cliHsp.MED_COST_COUNT = "0"					'医療費数
												cliHsp.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'統計対象外フラグ
												cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ

										End Select
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP		 'DPC番号

										'主科科歴、入院科歴、退院科歴から値を設定
										Me.setHspMainHspOutHsp(pDb, cliHsp)

										If cliOneCsvData.HSP_FLG = "0" Then
											'入院以外
											Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True) '更新
										Else
											'入院
											Me.setInsSql_MTI_HSP(pDb, False, cliHsp) '登録
										End If

										'貸出物
										If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
											'通常の入院、転科
											Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
													  cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
										ElseIf cliOneCsvData.HSP_FLG = "0" Then
											'兼科
											Me.setLendMngPattern2(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
													 cliCh.START_DT)
										Else
											'退院済に入院のデータ
											Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
													  cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
										End If

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院　重複あり)データ種別A
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern1_2_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院　重複あり)データ種別A Start")
		Try
			'死亡情報あればエラー
			Using cliDeath As New XSP.clsMTI_DEATH()
				Dim dat As XSP.datMTI_DEATH_OneRec = cliDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
				If dat IsNot Nothing Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0023"
					'既に死亡しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
			End Using

			Select Case cliOneCsvData.HSP_FLG
				Case "0" '入院以外
					'入院情報なし
					If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院中でないため、「転科」「兼科」を開始できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
						Return False
					End If
					'開始日が入院日より過去の場合エラー
					If Me.dateCompare(cliHsp_DB.HSP_DT, cliOneCsvData.HSP_DT) > 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0031"
						'終了日が開始日より過去の日付になっています。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了日", "開始日より過去の日付", Nothing})
						Return False
					End If

					'最新入退院情報の退院日入力時、開始日より過去の場合エラー
					If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
					ElseIf Me.dateCompare(cliHsp_DB.OUT_HSP_DT, cliOneCsvData.HSP_DT) < 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院フラグのたってない入力データの開始日が、対象科歴の終了日より未来のため、歴追加できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院フラグのたってない入力データの開始日が、対象科歴の終了日より未来の", "歴追加", Nothing})
						Return False
					End If

					'終了していない同じ診療科の科歴がある場合エラー
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_DEPT)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0025"
							'同一診療科に入院中です。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
							Return False
						End If
					End Using

				Case "1" '入院
					'最新科歴 終了転帰死亡時エラー
					If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliCh_DB.END_OUTCOME_CD) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'退院経路が「死亡」になっているため、入院できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院経路が「死亡」になっている", "入院", Nothing})
						Return False
					End If
					'入退院情報なければチェックなし(新規追加のため)
					If String.IsNullOrEmpty(cliHsp_DB.PATIENT_NO) = False Then
						'最新入退院情報が退院でなければエラー
						If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0003"
							'「退院」していないため、入院できません。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"「退院」していない", "入院", Nothing})
							Return False
						End If

						'連携ファイルの入院日が最新入退院情報の退院日より過去の場合エラー
						If Me.dateCompare(cliHsp_DB.OUT_HSP_DT, cliOneCsvData.HSP_DT) > 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0037"
							'入院期間が重複しています。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院期間", Nothing})
							Return False
						End If
					End If

			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院　重複あり)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern1_2_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院　重複あり)データ種別B Start")
		Dim chCount As Integer
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						chCount = Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern1_2_B(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB, chCount) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If

						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'入退院情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'科歴情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
										cliCh.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO	'入退院歴番号
										cliCh.CH_NO = cliCh_DB.CH_NO					'科歴番号

										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'終了経路コード
												If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
													'動作環境：退院（終了）経路コードが空白の場合の設定コード
													cliCh.END_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00088)
												Else
													cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
												End If
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD											'終了転帰コード

												cliCh.MAIN_DPM_FLG = Me.changeFlg(cliOneCsvData.MAIN_DPM_FLG) '主科フラグ
												cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '退院フラグ

											Case "1" '退院
												'主科
												If cliCh_DB.CH_NO = "1" Then
													'更新する科歴が科歴番号1なら主科
													cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
												ElseIf cliOneCsvData.MAIN_DPM_FLG = "1" Then
													'連携ファイル主科フラグ1なら主科
													cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
												Else
													'他の科歴に主科が存在しなければ主科
													With Nothing
														Dim arr As ArrayList = Nothing
														Try
															arr = Me.getMainDpm(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, pDb)
															'同じ入退院情報内に主科の科歴がなければ主科とする。
															If arr.Count = 0 Then
																cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
															End If
														Finally
															If arr IsNot Nothing Then arr.Clear()
															arr = Nothing
														End Try
													End With
												End If

												cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '退院フラグ

												'退院経路、退院転帰どちらかに死亡のコードが設定されている
												cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
												If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

													'終了経路コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = False Then
														'死亡のコードを設定
														cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease)
													End If
													'終了転帰コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
														'死亡のコードを設定
														cliCh.END_OUTCOME_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease)
													End If
												Else
													If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
														'動作環境：退院（終了）経路コードが空白の場合の設定コード
														cliCh.END_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00088)
													End If
												End If

										End Select

										cliCh.WARD_CD = cliOneCsvData.WARD_CD	'病棟コード
										If String.IsNullOrEmpty(cliCh.WARD_CD) = True Then
											'病棟コード入力時、病棟情報作成
											Using cliWARD As New clsXSI_MTI_WARD()
												cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
												cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
												cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
												cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
												cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
												cliWARD.WARD_CD = cliOneCsvData.WARD_CD			'病棟コード
												cliWARD.WARD_START_DT = cliCh_DB.START_DT		'病棟開始日
												cliWARD.WARD_END_DT = cliOneCsvData.OUT_HSP_DT	'病棟終了日
												cliWARD.WARD_DAYS = Me.getDiffHspDays(cliWARD.WARD_START_DT, cliWARD.WARD_END_DT, True).ToString()
												'病棟情報削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
												'病棟情報追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
											End Using
										ElseIf String.IsNullOrEmpty(cliCh_DB.WARD_CD) = False Then

											Dim arr As ArrayList = Nothing
											Try
												'病棟情報取得
												arr = Me.getWardData(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, pDb)

												If arr.Count > 0 Then
													Using cliWard As New clsXSI_MTI_WARD()
														cliWard.PATIENT_NO = DirectCast(arr(0), datWard).PATIENT_NO						'患者番号
														cliWard.HSP_HISTORY_NO = DirectCast(arr(0), datWard).HSP_HISTORY_NO.ToString()	'入退院歴番号
														cliWard.CH_NO = DirectCast(arr(0), datWard).CH_NO.ToString()					'科歴番号
														cliWard.WARD_SERIAL_NO = DirectCast(arr(0), datWard).WARD_SERIAL_NO.ToString()	'病棟連番
														cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT									'病棟終了日
														'病棟日数
														cliWard.WARD_DAYS = Me.getDiffHspDays(DirectCast(arr(0), datWard).WARD_START_DT.ToString(), cliWard.WARD_END_DT, cliOneCsvData.OUT_HSP_DT = "1").ToString()
														If Integer.Parse(cliWard.WARD_DAYS) > -1 Then
															'病棟日数がﾏｲﾅｽなら更新しない
															Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWard)
														End If
													End Using


												End If

											Finally
												If arr IsNot Nothing Then arr.Clear()
												arr = Nothing
											End Try
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD '医師コード
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
												cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
												cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
												If String.IsNullOrEmpty(cliCh_DB.DOCTOR_CD) = False Then
													'医師情報削除
													Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												End If
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										cliCh.END_DT = cliOneCsvData.OUT_HSP_DT										'終了日
										cliCh.END_TIME = cliOneCsvData.OUT_HSP_TIME									'終了時刻
										'終了時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.OUT_HSP_DT, age, monthAge, dayAge)

											cliCh.END_AGE = age.ToString()			  '終了時時年齢
											cliCh.END_MONTH_AGE = monthAge.ToString() '終了時月齢
											cliCh.END_DAY_AGE = dayAge.ToString()	  '終了時日齢
										End With
										'在院日数計算
										'在院日数(動作環境により+1日を行う)
										cliCh.HSP_DAYS = Me.getDiffHspDays(cliCh_DB.START_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'サマリに合わせる(動作環境のサマリ作成単位／返納基準日)
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'登録状況退院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge)
												Else
													'登録状況入院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp)
												End If

											Case "1" '退院
												cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge) '登録状況コード
												'動作環境のサマリ作成単位／返納基準日
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) <> CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'2:全科/終了日以外の場合、他の科歴情報の登録状況も更新
													pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_regStatus)
													pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmWhereREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
													pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh.PATIENT_NO)
													pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh.HSP_HISTORY_NO)
													pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh.CH_NO)
													pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge))
													pDb.setVal(sqlXSI010F010.prmWhereREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp))
													pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
													pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
													pDb.execNonQuery(False)
												End If

										End Select

										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If

										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER '電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

										If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = False Then
											cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)				'救急車搬送有無コード
										End If
										If String.IsNullOrEmpty(cliOneCsvData.INTRODUCTION_CHK) = False Then
											cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)					'紹介状有無コード
										End If

										'科歴情報更新
										Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, True)

										'主科を設定した場合、他科歴の主科フラグをOFFで更新
										If cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											Me.setSqlUpdParam_Ch_MainDpmFlg(pDb, False, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO)
										End If

										'死亡情報
										If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then
											'終了転帰、終了経路のどちらかに死亡が設定されていれば死亡情報を追加
											Using cliXspDeath As New XSP.clsMTI_DEATH()
												Dim datDeathOneRec As XSP.datMTI_DEATH_OneRec = cliXspDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
												Using cliDeath As New clsXSI_MTI_DEATH()
													cliDeath.PATIENT_NO = cliCh.PATIENT_NO
													cliDeath.DEATH_DT = cliCh.END_DT
													cliDeath.DEATH_TIME = cliCh.END_TIME
													cliDeath.DEATH_AGE = cliCh.END_AGE
													cliDeath.DEATH_MONTH_AGE = cliCh.END_MONTH_AGE
													cliDeath.DEATH_DAY_AGE = cliCh.END_DAY_AGE
													cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
													If cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
														'死亡区分取得
														cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
													End If

													If datDeathOneRec IsNot Nothing Then
														Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eUpd, cliDeath) '更新
													Else
														Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath) '追加
													End If
												End Using

											End Using
										End If

										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
										cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO	'入退院歴番号
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP				'DPC番号
										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'If cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
												cliCh.DEPT_CD = cliOneCsvData.DEPT_CD '診療科コード
												'病歴番号
												cliCh.BYOREKI_NO = Me.getByorekiNo(cliOneCsvData.PATIENT_NO, cliOneCsvData.BYOREKI_NO)
												If String.IsNullOrEmpty(cliCh.BYOREKI_NO) = True Then
													cliCh.BYOREKI_NO = cliCh_DB.BYOREKI_NO
												End If
												'病棟コード
												If String.IsNullOrEmpty(cliOneCsvData.WARD_CD) = False Then
													cliCh.WARD_CD = cliOneCsvData.WARD_CD
												Else
													cliCh.WARD_CD = cliCh_DB.WARD_CD
												End If
												'医師コード
												If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD) = False Then
													cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD
												Else
													cliCh.DOCTOR_CD = cliCh_DB.DOCTOR_CD
												End If


											Case "1" '退院
												If cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
													'主科の場合セット
													cliHsp.BYOREKI_NO = cliCh.BYOREKI_NO   '病歴番号
													cliHsp.DEPT_CD = cliCh.DEPT_CD		   '診療科コード
													cliHsp.WARD_CD = cliCh.WARD_CD		   '病棟コード
													cliHsp.DOCTOR_CD = cliCh.DOCTOR_CD	   '医師コード
												Else
													'主科科歴、入院科歴、退院科歴から値を設定
													Me.setHspMainHspOutHsp(pDb, cliHsp)
												End If

												cliHsp.OUT_HSP_DT = cliOneCsvData.OUT_HSP_DT		'退院日
												cliHsp.OUT_HSP_TIME = cliOneCsvData.OUT_HSP_TIME	'退院時刻
												cliHsp.OUT_HSP_AGE = cliCh.END_AGE					'退院時時年齢
												cliHsp.OUT_HSP_MONTH_AGE = cliCh.END_MONTH_AGE		'退院時月齢
												cliHsp.OUT_HSP_DAY_AGE = cliCh.END_DAY_AGE			'退院時日齢

												cliHsp.OUT_HSP_CNL_CD = cliCh.END_CNL_CD			'退院経路コード
												cliHsp.OUT_HSP_OUTCOME_CD = cliCh.END_OUTCOME_CD	'退院転帰コード

												'在院日数
												Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008)
													Case CStr(clsConst.Enum_HspStayDaysCalc.Def) '動作環境04の設定に従う
														'在院日数(動作環境により+1日を行う)
														cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
													Case CStr(clsConst.Enum_HspStayDaysCalc.StayDaysSum) '科歴の合計(兼科は除く)
														cliHsp.HSP_DAYS = Me.getHspDays(cliHsp.PATIENT_NO, cliHsp.HSP_HISTORY_NO, pDb).ToString()
												End Select

										End Select

										'入退院情報更新
										Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)

										'貸出物
										If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
											Select Case cliOneCsvData.OUT_HSP_FLG
												Case "0" '退院以外
													Me.setLendMngPattern1(pDb, enum_HspIndex.ChangeDept, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																		  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
												Case "1" '退院
													Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																		  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

											End Select
										Else
											Me.setLendMngPattern2(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, cliCh.START_DT, , cliCh.END_DT)
										End If

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)

									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院　重複あり)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">更新対象基本情報</param>
	''' <param name="cliHsp_DB">更新対象基本情報</param>
	''' <param name="cliCh_DB">更新対象科歴情報</param>
	''' <param name="chCount">更新対象取得件数</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern1_2_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH, ByVal chCount As Integer) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院　重複あり)データ種別B Start")
		Try
			If chCount = 0 Then
				'該当データが存在しない
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'終了させる科歴が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了させる科歴", Nothing})
				Return False
			End If

			Select Case cliOneCsvData.OUT_HSP_FLG
				Case "0" '退院以外
					If chCount > 1 Then
						'終了していない同一診療科の科歴が2件以上ある場合エラー
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'終了させる科歴が複数存在するため、判断できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了させる科歴が複数存在する", "判断", Nothing})
						Return False
					End If

				Case "1" '退院
					'終了していない科歴が2件以上ある場合エラー
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_NOTEND)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 1 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0003"
							'終了していない科歴があるため、退院できません。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了していない科歴がある", "退院", Nothing})
							Return False
						End If
					End Using

					'同じ終了日、同じ診療科、退院フラグ =ON の科歴が存在すればエラーとする。
					'SQL文設定
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_DEPTENDDATE)
					'パラメータ設定
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmOUT_HSP_FLG, clsDB.Enum_dbType.dbInt)
					pDb.setParamDa(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)
					'値設定
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
					pDb.setValDa(sqlXSI010F010.prmOUT_HSP_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOn))
					pDb.setValDa(sqlXSI010F010.prmEND_DT, cliOneCsvData.OUT_HSP_DT)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0033"
							'同一退院日、同一診療科の退院歴が存在します。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"同一退院日、同一診療科の退院歴", Nothing})
							Return False
						End If
					End Using

			End Select

			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院　重複あり)データ種別G
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern1_2_G(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院　重複あり)データ種別G Start")
		Dim chCount As Integer
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						chCount = Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern1_2_G(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB, chCount) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							'トランザクション開始
							pDb.ctlTran(clsDB.Enum_TranMode.Begin)

							'科歴削除
							If cliCh_DB.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
								'削除対象の科歴が入院の科歴の場合
								'入退院単位で削除
								Me.delHsp(pDb, False, cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO)

							Else
								'科歴単位で削除
								Me.delCh(pDb, False, cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO)

								'入退院情報更新
								Using cliHsp As clsXSI_MTI_HSP = DirectCast(cliHsp_DB.Clone(), clsXSI_MTI_HSP)
									If cliCh_DB.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
										'取り消した科歴が退院
										cliHsp.OUT_HSP_DT = String.Empty			'退院日
										cliHsp.OUT_HSP_TIME = String.Empty			'退院時刻
										cliHsp.OUT_HSP_AGE = "0"					'退院時年齢
										cliHsp.OUT_HSP_MONTH_AGE = "0"				'退院時月齢
										cliHsp.OUT_HSP_DAY_AGE = "0"				'退院時日齢
										cliHsp.OUT_HSP_CNL_CD = String.Empty		'退院経路コード
										cliHsp.OUT_HSP_OUTCOME_CD = String.Empty	'退院転帰コード
										cliHsp.HSP_DAYS = "0"						'在院日数
									End If

									If (cliHsp_DB.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn) AndAlso cliCh_DB.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept)) OrElse _
									   (cliHsp_DB.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn) AndAlso cliCh_DB.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelHoldDept)) Then
										'取り消した科歴の開始経路が転科または兼科
										'SQL文設定
										pDb.setSQL(sqlXSI010F010.sqlSel_MTI_CH_HSPALL)
										'パラメータ設定
										pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
										pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
										'値設定
										pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliHsp_DB.PATIENT_NO)
										pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliHsp_DB.HSP_HISTORY_NO)
										Dim arr As ArrayList = Nothing
										Try
											arr = New ArrayList()
											pDb.execQuery(GetType(datCH), arr)
											cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	'転科有無コード
											cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	'兼科有無コード
											For Each ch As datCH In arr
												Select Case ch.START_CNL_CD
													Case Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept)
														'転科有無コード
														cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)
													Case Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelHoldDept)
														'兼科有無コード
														cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)
												End Select
											Next
										Finally
											If arr IsNot Nothing Then arr.Clear()
											arr = Nothing
										End Try
									End If
									'主科科歴、入院科歴、退院科歴から値を設定
									Me.setHspMainHspOutHsp(pDb, cliHsp)
									'更新
									Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eNomal, cliHsp, False)
								End Using
							End If

							'死亡情報更新
							If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliCh_DB.END_OUTCOME_CD) = True Then
								'取り消した科歴が死亡
								'SQL文設定
								pDb.setSQL(sqlXSI010F010.sqlSel_MTI_DEATH_LCTFIX)
								'パラメータ設定
								pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								pDb.setParam(sqlXSI010F010.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
								'値設定
								pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
								pDb.setVal(sqlXSI010F010.prmFIXED_CD, CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp))
								'SQL実行
								Dim arr As ArrayList = Nothing
								Try
									arr = New ArrayList()
									pDb.execQuery(GetType(datPatient), arr)
									If arr.Count > 0 Then
										'SQL文設定
										pDb.setSQL(sqlXSI010F010.sqlSel_MTI_CH_DEATH)
										'パラメータ設定
										pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
										pDb.setParam(sqlXSI010F010.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
										'値設定
										pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
										pDb.setVal(sqlXSI010F010.prmFIXED_CD, CStr(clsConst.Enum_DiscchargeCannel_Fix1.Decease))
										Dim arrCnt As ArrayList = Nothing
										Try
											arrCnt = New ArrayList()
											pDb.execQuery(GetType(datCount), arrCnt)
											If DirectCast(arrCnt(0), datCount).CNT = 0 Then
												'終了経路死亡が0件なら死亡情報削除
												Using cliDeath As New clsXSI_MTI_DEATH()
													cliDeath.PATIENT_NO = cliCh_DB.PATIENT_NO
													Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
												End Using
											End If
										Finally
											If arrCnt IsNot Nothing Then arr.Clear()
											arrCnt = Nothing
										End Try
									End If
								Finally
									If arr IsNot Nothing Then arr.Clear()
									arr = Nothing
								End Try
							End If

							'トランザクション終了
							pDb.ctlTran(clsDB.Enum_TranMode.Commit)

						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院　重複あり)データ種別G
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/11 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern1_2_G(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH, ByVal chCount As Integer) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院　重複あり)データ種別G Start")
		Try

			'対象となる科歴の存在確認
			If chCount = 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'対象の科歴情報が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
				Return False
			End If

			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If

			'取消科歴の入院フラグ=ON かつ他に科歴が存在する場合
			If cliCh_DB.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_NOT)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
				pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
				pDb.setValDa(sqlXSI010F010.prmCH_NO, cliCh_DB.CH_NO)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'取消データに入院フラグがたっていますが、他に科歴が存在するため取消できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"取消データに入院フラグがたっていますが、他に科歴が存在する", "取消", Nothing})
						Return False
					End If
				End Using
			End If

			'取消科歴の主科フラグ、入院フラグ、退院フラグ整合性チェック
			If cliCh_DB.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) AndAlso cliCh_DB.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) AndAlso
																						cliCh_DB.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'取消データに主科フラグがたっていますが、入退院フラグがたっていないため不整合が発生し取消できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"取消データに主科フラグがたっていますが、入退院フラグがたっていない", "不整合が発生し取消", Nothing})
				Return False
			End If

			'取消科歴に関連する貸出物情報に受領日が入っている場合エラー
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_LENDITM)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
			Select Case Me.cliXSI010F010.lendItmUnit(clsConst.Enum_Lenditem.MedicalRecord)
				Case clsConst.Enum_LendUnit.Each_Dept '科歴毎
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
					pDb.setValDa(sqlXSI010F010.prmCH_NO, cliCh_DB.CH_NO)
				Case clsConst.Enum_LendUnit.Each_Hosp '入退院毎
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
					pDb.setValDa(sqlXSI010F010.prmCH_NO, "0")
				Case clsConst.Enum_LendUnit.Each_Patient '患者毎
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, "0")
					pDb.setValDa(sqlXSI010F010.prmCH_NO, "0")
			End Select
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 AndAlso String.IsNullOrEmpty(dt.Rows(0).Item(sqlXSI010F010.itmRECORD_RECEIPT_DT).ToString()) = False Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'取消データですが、既に受領日が入っているため取消できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"取消データですが、既に受領日が入っている", "取消", Nothing})
					Return False
				End If
			End Using

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "退院　重複なし"

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(退院　重複なし)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern2_1_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(退院　重複なし)データ種別B Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)
						'整合性チェック
						If Me.chkDataPattern2_1_B(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'入退院情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'科歴情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO	'患者番号
										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号
										cliCh.DEPT_CD = cliOneCsvData.DEPT_CD		'診療科コード

										cliCh.START_DT = cliOneCsvData.HSP_DT		'開始日
										cliCh.START_TIME = cliOneCsvData.HSP_TIME	'開始時刻
										'開始時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

											cliCh.START_AGE = age.ToString()			'開始時時年齢
											cliCh.START_MONTH_AGE = monthAge.ToString()	'開始時月齢
											cliCh.START_DAY_AGE = dayAge.ToString()		'開始時日齢
										End With
										'在院日数計算
										cliCh.HSP_DAYS = Me.getDiffHspDays(cliOneCsvData.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliOneCsvData.OUT_HSP_FLG = "1").ToString()

										cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'入院フラグ
										cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'主科フラグ
										cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'退院フラグ
										cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'再入院フラグ

										Select Case cliOneCsvData.HSP_FLG
											Case "0" '入院以外
												cliCh.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO			'入退院歴番号
												cliCh.CH_NO = (CInt(cliCh_DB.CH_NO) + 1).ToString()		'科歴番号
												'開始経路コード　転科のコード設定
												cliCh.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept)

											Case "1" '入院
												cliCh.HSP_HISTORY_NO = (CInt(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
												cliCh.CH_NO = "1"														'科歴番号

												'入院経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													'動作環境：入院（開始）経路コードが空白の場合の設定コード
													cliCh.START_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
												Else
													cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If
												cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '入院フラグ

										End Select

										cliCh.END_DT = cliOneCsvData.OUT_HSP_DT			'終了日
										cliCh.END_TIME = cliOneCsvData.OUT_HSP_TIME		'終了時刻
										'終了時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.OUT_HSP_DT, age, monthAge, dayAge)

											cliCh.END_AGE = age.ToString()			  '終了時時年齢
											cliCh.END_MONTH_AGE = monthAge.ToString() '終了時月齢
											cliCh.END_DAY_AGE = dayAge.ToString()	  '終了時日齢
										End With

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'終了経路コード
												cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept)
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD	'終了転帰コード

											Case "1" '退院
												'主科フラグ
												If cliCh.CH_NO = "1" Then
													cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
												Else
													With Nothing
														Dim arr As ArrayList = Nothing
														Try
															arr = Me.getMainDpm(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, pDb)
															'同じ入退院情報内に主科の科歴がなければ主科とする。
															If arr.Count = 0 Then
																cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
															End If
														Finally
															If arr IsNot Nothing Then arr.Clear()
															arr = Nothing
														End Try
													End With
												End If

												cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '退院フラグ

												'退院経路、退院転帰どちらかに死亡のコードが設定されている
												cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
												If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

													'終了経路コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = False Then
														'死亡のコードを設定
														cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease)
													End If
													'終了転帰コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
														'死亡のコードを設定
														cliCh.END_OUTCOME_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease)
													End If
												Else
													If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
														'動作環境：退院（終了）経路コードが空白の場合の設定コード
														cliCh.END_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00088)
													End If
												End If
										End Select

										cliCh.WARD_CD = cliOneCsvData.WARD_CD	'病棟コード
										If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
											'病棟コード入力時、病棟情報作成
											Using cliWARD As New clsXSI_MTI_WARD()
												cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
												cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
												cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
												cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
												cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
												cliWARD.WARD_CD = cliOneCsvData.WARD_CD				'病棟コード
												cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT		'病棟開始日
												cliWARD.WARD_END_DT = cliOneCsvData.OUT_HSP_DT		'病棟終了日
												cliWARD.WARD_DAYS = Me.getDiffHspDays(cliWARD.WARD_START_DT, cliWARD.WARD_END_DT, True).ToString()
												'病棟情報削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
												'病棟情報追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
											End Using
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD '医師コード
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
												cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
												cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
												If String.IsNullOrEmpty(cliCh_DB.DOCTOR_CD) = False Then
													'医師情報削除
													Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												End If
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'サマリに合わせる(動作環境のサマリ作成単位／返納基準日)
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'登録状況退院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge)
												Else
													'登録状況入院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp)
												End If

											Case "1" '退院
												cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge) '登録状況コード
												'動作環境のサマリ作成単位／返納基準日
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) <> CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'2:全科/終了日以外の場合、他の科歴情報の登録状況も更新
													pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_regStatus)
													pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmWhereREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
													pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh.PATIENT_NO)
													pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh.HSP_HISTORY_NO)
													pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh.CH_NO)
													pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge))
													pDb.setVal(sqlXSI010F010.prmWhereREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp))
													pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
													pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
													pDb.execNonQuery(False)
												End If

										End Select

										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If

										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER '電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

										If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = False Then
											cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)				'救急車搬送有無コード
										End If
										If String.IsNullOrEmpty(cliOneCsvData.INTRODUCTION_CHK) = False Then
											cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)					'紹介状有無コード
										End If

										'初期値を設定
										cliCh.STATURE = "0"					'身長
										cliCh.WEIGHT = "0"					'体重
										cliCh.TOTAL_MED_COST = "0"			'医療費合計
										cliCh.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '統計対象外フラグ
										cliCh.DISEASE_COUNT = "0"				'病名数
										cliCh.OPE_COUNT = "0"				'手術数
										cliCh.CARE_COUNT = "0"				'治療処置数
										cliCh.TEST_COUNT = "0"				'検査数
										cliCh.ASST_ITM1_COUNT = "0"			'補足項目１数
										cliCh.ASST_ITM2_COUNT = "0"			'補足項目２数
										cliCh.CB_COUNT = "0"				'分娩数
										cliCh.EMERGENCY_COUNT = "0"			'救命救急数
										cliCh.OTHER_DEPT_COUNT = "0"		'対診科数
										cliCh.MED_COST_COUNT = "0"			'医療費数
										cliCh.CNR_REG_COUNT = "0"			'がん登録数
										cliCh.CNR_REG_EXPECTED_COUNT = "0"	'がん登録予定数
										cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ
										cliCh.PATH_COUNT = "0"				'パス数

										'登録
										Me.setInsSql_MTI_CH(pDb, False, cliCh)


										'主科を設定した場合、他科歴の主科フラグをOFFで更新
										If cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											Me.setSqlUpdParam_Ch_MainDpmFlg(pDb, False, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO)
										End If

										'死亡情報
										If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

											'終了転帰、終了経路のどちらかに死亡が設定されていれば死亡情報を追加
											Using cliDeath As New clsXSI_MTI_DEATH()
												cliDeath.PATIENT_NO = cliCh.PATIENT_NO
												cliDeath.DEATH_DT = cliCh.END_DT
												cliDeath.DEATH_TIME = cliCh.END_TIME
												cliDeath.DEATH_AGE = cliCh.END_AGE
												cliDeath.DEATH_MONTH_AGE = cliCh.END_MONTH_AGE
												cliDeath.DEATH_DAY_AGE = cliCh.END_DAY_AGE
												cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
												'死亡区分取得
												If cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
													cliDeath.DEATH_DIV = Me.getDeathDiv(cliCh.START_DT, cliCh.START_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
												Else
													cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
												End If

												'削除
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
												pDb.execNonQuery(False)
												'追加
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
											End Using
										End If

										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
										cliHsp.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP				 'DPC番号
										If cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											'入院科歴を追加した場合
											cliHsp.HSP_DT = cliCh.START_DT					'入院日
											cliHsp.HSP_TIME = cliCh.START_TIME				'入院時刻
											cliHsp.HSP_AGE = cliCh.START_AGE				'入院時年齢
											cliHsp.HSP_MONTH_AGE = cliCh.START_MONTH_AGE	'入院時月齢
											cliHsp.HSP_DAY_AGE = cliCh.START_DAY_AGE		'入院時日齢
											cliHsp.HSP_CNL_CD = cliCh.START_CNL_CD			'入院経路コード

										End If

										If cliCh.CH_NO = "1" Then
											'科歴番号1(入院)で追加した場合
											cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	 '転科有無
											cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	 '兼科有無
										End If

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn) '転科有無コード

											Case "1" '退院
												'在院日数
												Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008)
													Case CStr(clsConst.Enum_HspStayDaysCalc.Def) '動作環境04の設定に従う
														'在院日数(動作環境により+1日を行う)
'(M) STR V4-11049-000 009 20111028 FJSK)H.Y V4.10.11.4(在院日数計算修正)
														'cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
														If cliCh.CH_NO = "1" Then
															'科歴番号1(入院)で追加した場合
															cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
														Else
															cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
														End If
'(M) END V4-11049-000 009 20111028 FJSK)H.Y V4.10.11.4(在院日数計算修正)
													Case CStr(clsConst.Enum_HspStayDaysCalc.StayDaysSum) '科歴の合計(兼科は除く)
														cliHsp.HSP_DAYS = Me.getHspDays(cliHsp.PATIENT_NO, cliHsp.HSP_HISTORY_NO, pDb).ToString()
												End Select
										End Select

										'下記初期化
										cliHsp.TOTAL_MED_COST = "0"													'医療費
										cliHsp.MED_COST_COUNT = "0"													'医療費数
										cliHsp.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'統計対象外フラグ
										cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ

										'主科、入院科歴、退院科歴から値を設定
										Me.setHspMainHspOutHsp(pDb, cliHsp)

										If cliOneCsvData.HSP_FLG = "1" Then
											Me.setInsSql_MTI_HSP(pDb, False, cliHsp)
										Else
											Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)
										End If

										'貸出物
										If Me.cliXSI010F010.lendItmUnit(clsConst.Enum_Lenditem.MedicalRecord) = clsConst.Enum_LendUnit.Each_Dept Then
											'カルテ科歴単位管理
											Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																					cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
										Else
											Select Case cliOneCsvData.OUT_HSP_FLG
												Case "0" '退院以外
													If cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO AndAlso String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = False Then
														'退院の入退院情報に転科の科歴を付加(退院として更新を行う)
														Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
													ElseIf cliOneCsvData.HSP_FLG = "0" Then
														'開始が転科の科歴を追加した場合
														Me.setLendMngPattern1(pDb, enum_HspIndex.ChangeDept, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
													Else
														'開始が入院の科歴を追加した場合
														Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

													End If
												Case "1" '退院
													Select Case cliOneCsvData.HSP_FLG
														Case "0" '入院以外
															Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																	cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
														Case "1" '入院
															Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																	cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
													End Select
											End Select

										End If
										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(退院　重複なし)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern2_1_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(退院　重複なし)データ種別B Start")
		Try
			'死亡情報あればエラー
			Using cliDeath As New XSP.clsMTI_DEATH()
				Dim dat As XSP.datMTI_DEATH_OneRec = cliDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
				If dat IsNot Nothing Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0023"
					'既に死亡しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
			End Using

			'最新科歴の終了転帰が死亡の場合エラー
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliCh_DB.END_OUTCOME_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'退院経路が「死亡」になっているため、入院できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院経路が「死亡」になっている", "入院", Nothing})
				Return False
			End If

			If cliCh_DB.CH_NO <> "0" Then '最新科歴が取得できた場合
				'最新科歴終了していなければエラー
				If String.IsNullOrEmpty(cliCh_DB.END_DT) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'終了していない科歴があるため、退院（終了）できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了していない科歴がある", "退院（終了）", Nothing})
					Return False
				End If
				'最新の科歴の終了日より開始日が過去のときエラー
				If Me.dateCompare(cliCh_DB.END_DT, cliOneCsvData.HSP_DT) > 0 Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0031"
					'開始日が終了日より過去の日付になっています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"開始日", "終了日より過去の日付", Nothing})
					Return False
				End If
			End If

			Select Case cliOneCsvData.HSP_FLG
				Case "0" '入院以外
					'入院情報がない場合エラー
					If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院中でないため、「転科」「兼科」を開始できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
						Return False
					End If
					If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = False Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院中でないため、「転科」「兼科」を開始できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
						Return False
					End If
					'最新科歴転科で終了していなければエラー
					If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept_ALL, cliCh_DB.END_CNL_CD) = False Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'最新の科歴が終了していないため、「転科」できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"最新の科歴が終了していない", "「転科」", Nothing})
						Return False
					End If


					With Nothing
						Dim dtEnd As DateTime
						'動作環境の転科、転棟の終了日、開始日の関係
						Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005)
							Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual) '同一日
								DateTime.TryParse(cliCh_DB.END_DT, dtEnd)
							Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift) '一日ずらす
								DateTime.TryParse(cliCh_DB.END_DT, dtEnd)
								dtEnd = dtEnd.AddDays(1) '１日ずらした日付セット
						End Select
						If Me.dateCompare(cliOneCsvData.HSP_DT, dtEnd.ToString()) <> 0 AndAlso Me.dateCompare(cliOneCsvData.HSP_DT, cliCh_DB.END_DT) <> 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0037"
							'転科入院期間が重複しています。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"転科入院期間", Nothing})
							Return False
						End If
					End With


				Case "1" '入院
					If cliCh_DB.CH_NO <> "0" Then '最新科歴が取得できた場合
						'入院中かチェック
						If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0003"
							'まだ退院していないため、入院できません。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"まだ退院していない", "入院", Nothing})
							Return False
						End If

						'@@同じ入院日、同じ診療科の入退院情報があればエラー
						pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP_TIME)
						pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParamDa(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
						pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
						pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
						pDb.setValDa(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)
						Using dt As New DataTable()
							pDb.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								If String.IsNullOrEmpty(dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString()) = False AndAlso String.IsNullOrEmpty(cliOneCsvData.HSP_TIME) = False Then
									'時刻があれば時刻まで比較
									If Me.dateCompare(cliOneCsvData.HSP_DT, dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString(), cliOneCsvData.HSP_DT, cliOneCsvData.HSP_TIME) >= 0 Then
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0037"
										'入院期間が重複しています。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院期間", Nothing})
										Return False
									End If
								Else
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0033"
									'同一入院日、同一診療科の入院歴が存在します。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"同一入院日、同一診療科の入院歴", Nothing})
									Return False
								End If
							End If
						End Using
					End If

			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "退院　重複あり"

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(退院　重複あり)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern2_2_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(退院　重複あり)データ種別B Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)
						'整合性チェック
						If Me.chkDataPattern2_2_B(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'入退院情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'科歴情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO	'患者番号
										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号
										cliCh.DEPT_CD = cliOneCsvData.DEPT_CD		'診療科コード

										cliCh.START_DT = cliOneCsvData.HSP_DT		'開始日
										cliCh.START_TIME = cliOneCsvData.HSP_TIME	'開始時刻
										'開始時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

											cliCh.START_AGE = age.ToString()			'開始時時年齢
											cliCh.START_MONTH_AGE = monthAge.ToString()	'開始時月齢
											cliCh.START_DAY_AGE = dayAge.ToString()		'開始時日齢
										End With
										'在院日数計算
										cliCh.HSP_DAYS = Me.getDiffHspDays(cliOneCsvData.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliOneCsvData.OUT_HSP_FLG = "1").ToString()

										cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'入院フラグ
										cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'主科フラグ
										cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'退院フラグ
										cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'再入院フラグ

										Select Case cliOneCsvData.HSP_FLG
											Case "0" '入院以外
												cliCh.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO			'入退院歴番号
												cliCh.CH_NO = (CInt(cliCh_DB.CH_NO) + 1).ToString()		'科歴番号
												'開始経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													'空の場合、兼科のコード設定
													cliCh.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelHoldDept)
												Else
													cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If

											Case "1" '入院
												cliCh.HSP_HISTORY_NO = (CInt(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
												cliCh.CH_NO = "1"														'科歴番号

												'入院経路コード
												If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
													'動作環境：入院（開始）経路コードが空白の場合の設定コード
													cliCh.START_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
												Else
													cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
												End If
												cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '入院フラグ

										End Select

										cliCh.END_DT = cliOneCsvData.OUT_HSP_DT			'終了日
										cliCh.END_TIME = cliOneCsvData.OUT_HSP_TIME		'終了時刻
										'終了時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.OUT_HSP_DT, age, monthAge, dayAge)

											cliCh.END_AGE = age.ToString()			  '終了時時年齢
											cliCh.END_MONTH_AGE = monthAge.ToString() '終了時月齢
											cliCh.END_DAY_AGE = dayAge.ToString()	  '終了時日齢
										End With

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'終了経路コード
												cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept)
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD	'終了転帰コード

												cliCh.MAIN_DPM_FLG = Me.changeFlg(cliOneCsvData.MAIN_DPM_FLG) '主科フラグ
											Case "1" '退院
												'主科フラグ
												If cliCh.CH_NO = "1" Then
													cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
												Else
													With Nothing
														Dim arr As ArrayList = Nothing
														Try
															arr = Me.getMainDpm(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, pDb)
															'同じ入退院情報内に主科の科歴がなければ主科とする。
															If arr.Count = 0 Then
																cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
															End If
														Finally
															If arr IsNot Nothing Then arr.Clear()
															arr = Nothing
														End Try
													End With
												End If

												cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '退院フラグ

												'退院経路、退院転帰どちらかに死亡のコードが設定されている
												cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
												cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
												If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

													'終了経路コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = False Then
														'死亡のコードを設定
														cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease)
													End If
													'終了転帰コード
													If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
														'死亡のコードを設定
														cliCh.END_OUTCOME_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease)
													End If
												Else
													If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
														'動作環境：退院（終了）経路コードが空白の場合の設定コード
														cliCh.END_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00088)
													End If
												End If
										End Select

										cliCh.WARD_CD = cliOneCsvData.WARD_CD	'病棟コード
										If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
											'病棟コード入力時、病棟情報作成
											Using cliWARD As New clsXSI_MTI_WARD()
												cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
												cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
												cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
												cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
												cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
												cliWARD.WARD_CD = cliOneCsvData.WARD_CD				'病棟コード
												cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT		'病棟開始日
												cliWARD.WARD_END_DT = cliOneCsvData.OUT_HSP_DT		'病棟終了日
												cliWARD.WARD_DAYS = Me.getDiffHspDays(cliWARD.WARD_START_DT, cliWARD.WARD_END_DT, True).ToString()
												'病棟情報削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
												'病棟情報追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
											End Using
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD '医師コード
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
												cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
												cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
												If String.IsNullOrEmpty(cliCh_DB.DOCTOR_CD) = False Then
													'医師情報削除
													Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												End If
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'サマリに合わせる(動作環境のサマリ作成単位／返納基準日)
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'登録状況退院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge)
												Else
													'登録状況入院にする
													cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp)
												End If

											Case "1" '退院
												cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge) '登録状況コード
												'動作環境のサマリ作成単位／返納基準日
												If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) <> CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
													'2:全科/終了日以外の場合、他の科歴情報の登録状況も更新
													pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_regStatus)
													pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
													pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmWhereREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
													pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
													pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh.PATIENT_NO)
													pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh.HSP_HISTORY_NO)
													pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh.CH_NO)
													pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge))
													pDb.setVal(sqlXSI010F010.prmWhereREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp))
													pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
													pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
													pDb.execNonQuery(False)
												End If

										End Select

										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If

										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER '電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

										If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = False Then
											cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)				'救急車搬送有無コード
										End If
										If String.IsNullOrEmpty(cliOneCsvData.INTRODUCTION_CHK) = False Then
											cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)					'紹介状有無コード
										End If

'(A) STR V4-12015-000 021 20120206 FJSK)H.Y V4.10.11.6(統計対象外フラグをNULLにしない)
										'初期値を設定
										cliCh.STATURE = "0"					'身長
										cliCh.WEIGHT = "0"					'体重
										cliCh.TOTAL_MED_COST = "0"			'医療費合計
										cliCh.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'統計対象外フラグ
										cliCh.DISEASE_COUNT = "0"			'病名数
										cliCh.OPE_COUNT = "0"				'手術数
										cliCh.CARE_COUNT = "0"				'治療処置数
										cliCh.TEST_COUNT = "0"				'検査数
										cliCh.ASST_ITM1_COUNT = "0"			'補足項目１数
										cliCh.ASST_ITM2_COUNT = "0"			'補足項目２数
										cliCh.CB_COUNT = "0"				'分娩数
										cliCh.EMERGENCY_COUNT = "0"			'救命救急数
										cliCh.OTHER_DEPT_COUNT = "0"		'対診科数
										cliCh.MED_COST_COUNT = "0"			'医療費数
										cliCh.CNR_REG_COUNT = "0"			'がん登録数
										cliCh.CNR_REG_EXPECTED_COUNT = "0"	'がん登録予定数
										cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ
										cliCh.PATH_COUNT = "0"				'パス数
'(A) END V4-12015-000 021 20120206 FJSK)H.Y V4.10.11.6(統計対象外フラグをNULLにしない)

										'登録
										Me.setInsSql_MTI_CH(pDb, False, cliCh)


										'死亡情報
										If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

											'終了転帰、終了経路のどちらかに死亡が設定されていれば死亡情報を追加
											Using cliDeath As New clsXSI_MTI_DEATH()
												cliDeath.PATIENT_NO = cliCh.PATIENT_NO
												cliDeath.DEATH_DT = cliCh.END_DT
												cliDeath.DEATH_TIME = cliCh.END_TIME
												cliDeath.DEATH_AGE = cliCh.END_AGE
												cliDeath.DEATH_MONTH_AGE = cliCh.END_MONTH_AGE
												cliDeath.DEATH_DAY_AGE = cliCh.END_DAY_AGE
												cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
												'死亡区分取得
												If cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
													cliDeath.DEATH_DIV = Me.getDeathDiv(cliCh.START_DT, cliCh.START_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
												Else
													cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
												End If

												''削除
												'Me.setSqlParam_MTI_DEATH(pDb, Enum_SqlIdx.eDel, cliDeath)
												'pDb.execNonQuery(False)
												'追加
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
											End Using
										End If

										'主科を設定した場合、他科歴の主科フラグをOFFで更新
										If cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											Me.setSqlUpdParam_Ch_MainDpmFlg(pDb, False, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO)
										End If

										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
										cliHsp.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP				 'DPC番号
										If cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											cliHsp.HSP_DT = cliCh.START_DT					'入院日
											cliHsp.HSP_TIME = cliCh.START_TIME				'入院時刻
											cliHsp.HSP_AGE = cliCh.START_AGE				'入院時年齢
											cliHsp.HSP_MONTH_AGE = cliCh.START_MONTH_AGE	'入院時月齢
											cliHsp.HSP_DAY_AGE = cliCh.START_DAY_AGE		'入院時日齢
											cliHsp.HSP_CNL_CD = cliCh.START_CNL_CD			'入院経路コード
										End If

										If cliCh.CH_NO = "1" Then
											'科歴番号1(入院)で追加した場合
											cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	 '転科有無
											cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)	 '兼科有無
										Else
											Select Case cliCh.START_CNL_CD
												Case Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept)	'開始経路転科
													cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)
												Case Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelHoldDept)		'開始経路兼科
													cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)
											End Select
										End If

										Select Case cliOneCsvData.OUT_HSP_FLG
											Case "0" '退院以外
												'cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '転科有無コード

											Case "1" '退院
												'在院日数
												Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008)
													Case CStr(clsConst.Enum_HspStayDaysCalc.Def) '動作環境04の設定に従う
														'在院日数(動作環境により+1日を行う)
'(M) STR V4-11049-000 009 20111028 FJSK)H.Y V4.10.11.4(在院日数計算修正)
														'cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
														If cliCh.CH_NO = "1" Then
															'科歴番号1(入院)で追加した場合
															cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
														Else
															cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
														End If
'(M) END V4-11049-000 009 20111028 FJSK)H.Y V4.10.11.4(在院日数計算修正)
													Case CStr(clsConst.Enum_HspStayDaysCalc.StayDaysSum) '科歴の合計(兼科は除く)
														cliHsp.HSP_DAYS = Me.getHspDays(cliHsp.PATIENT_NO, cliHsp.HSP_HISTORY_NO, pDb).ToString()
												End Select
										End Select

										'主科、入院科歴、退院科歴から値を設定
										Me.setHspMainHspOutHsp(pDb, cliHsp)


										'@@ 下記初期化(V3)
										'医療費
										cliHsp.TOTAL_MED_COST = "0"
										'医療費数
										cliHsp.MED_COST_COUNT = "0"
										'統計対象外フラグ
										cliHsp.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
										'疾病再入院フラグ
										cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)

										If cliOneCsvData.HSP_FLG = "1" Then
											Me.setInsSql_MTI_HSP(pDb, False, cliHsp)
										Else
											Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)
										End If

										'貸出物
										Dim hspDt As String
										If cliOneCsvData.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
											'入院から作成
											hspDt = cliHsp.HSP_DT
										Else
											hspDt = cliHsp_DB.HSP_DT
										End If

										If Me.cliXSI010F010.lendItmUnit(clsConst.Enum_Lenditem.MedicalRecord) = clsConst.Enum_LendUnit.Each_Dept Then
											Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																					cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
										Else
											Select Case cliOneCsvData.OUT_HSP_FLG
												Case "0" '退院以外
													If cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO AndAlso String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = False Then
														'退院の入退院情報に転科の科歴を付加(退院として更新を行う)
														Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
													ElseIf cliOneCsvData.HSP_FLG = "0" Then
														'開始が転科の科歴を追加した場合
														Me.setLendMngPattern1(pDb, enum_HspIndex.ChangeDept, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
													Else
														'開始が入院の科歴を追加した場合
														Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)
													End If
												Case "1" '退院
													Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
																  hspDt, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

											End Select
										End If

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(退院　重複あり)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern2_2_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(退院　重複あり)データ種別B Start")
		Try
			'死亡情報あればエラー
			Using cliDeath As New XSP.clsMTI_DEATH()
				Dim dat As XSP.datMTI_DEATH_OneRec = cliDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
				If dat IsNot Nothing Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0023"
					'既に死亡しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
			End Using

			If cliCh_DB.CH_NO <> "0" Then
				'最新科歴が入院中
				If String.IsNullOrEmpty(cliCh_DB.END_DT) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'既に退院（終了）済みのため、退院（終了）できません。
					'終了していない科歴があるため、退院（終了）できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了していない科歴がある", "退院（終了）", Nothing})
					Return False
				End If
				'最新の入退院の入院日より連携ファイル入院日が過去のときエラー
				If Me.dateCompare(cliHsp_DB.HSP_DT, cliOneCsvData.HSP_DT) > 0 Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0031"
					'退院日が入院日より過去の日付になっています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院日", "入院日より過去の日付", Nothing})
					Return False
				End If
			End If
			Select Case cliOneCsvData.HSP_FLG
				Case "0" '入院以外
					'入院情報がない場合エラー
					If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'入院中でないため、「転科」「兼科」を開始できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
						Return False
					End If

					Select Case cliOneCsvData.OUT_HSP_FLG
						Case "0" '退院以外
							'連携ファイル入院フラグ、退院フラグどちらも0(兼科)
							'入院日と開始日チェック
							If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = False AndAlso Me.dateCompare(cliHsp_DB.HSP_DT, cliOneCsvData.HSP_DT) > 0 Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0031"
								'開始日が入院日より過去の日付になっています。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"開始日", "入院日より過去の日付", Nothing})
								Return False
							End If
							'退院日と終了日チェック
							If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = False AndAlso Me.dateCompare(cliHsp_DB.OUT_HSP_DT, cliOneCsvData.OUT_HSP_DT) < 0 Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0031"
								'終了日が退院日より未来の日付になっています。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了日", "退院日より未来の日付", Nothing})
								Return False
							End If
						Case "1" '退院
							If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = False Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0003"
								'入院中でないため、「転科」「兼科」を開始できません。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
								Return False
							End If

					End Select

				Case "1" '入院
					If cliCh_DB.CH_NO <> "0" AndAlso String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'まだ退院していないため、入院できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"まだ退院していない", "入院", Nothing})
						Return False
					End If

			End Select

			Select Case cliOneCsvData.OUT_HSP_FLG
				Case "0" '退院以外
				Case "1" '退院
					'終了していない科歴がある場合エラー
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_NOTEND)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0003"
							'終了していない科歴があるため、退院できません。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了していない科歴がある", "退院", Nothing})
							Return False
						End If
					End Using
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "入院・退院・移動"

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院・移動)データ種別A
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/11 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院・移動)データ種別A Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern3_A(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'入退院情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'科歴情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)
										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO								'患者番号
										cliCh.HSP_HISTORY_NO = (CLng(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
										cliCh.CH_NO = "1" '科歴番号
										cliCh.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'入院フラグ
										'入院経路コード
										If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
											'動作環境：入院（開始）経路コードが空白の場合の設定コード
											cliCh.START_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
										Else
											cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
										End If


										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号
										cliCh.DEPT_CD = cliOneCsvData.DEPT_CD '診療科コード
										cliCh.WARD_CD = cliOneCsvData.WARD_CD '病棟コード
										'病棟コード入力時、病棟情報作成
										If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
											Using cliWARD As New clsXSI_MTI_WARD()
												cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
												cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
												cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
												cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
												cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
												cliWARD.WARD_CD = cliOneCsvData.WARD_CD			'病棟コード
												cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT	'病棟開始日
												'病棟情報削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
												'病棟情報追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
											End Using
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD '医師コード
										'医師コード入力時、医師情報作成
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
												cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
												cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
												'医師情報削除
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										cliCh.START_DT = cliOneCsvData.HSP_DT		'開始日
										cliCh.START_TIME = cliOneCsvData.HSP_TIME	'開始時刻
										'開始時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

											cliCh.START_AGE = age.ToString()			'開始時時年齢
											cliCh.START_MONTH_AGE = monthAge.ToString()	'開始時月齢
											cliCh.START_DAY_AGE = dayAge.ToString()		'開始時日齢
										End With
										cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp) '登録状況コード
										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If
										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所


										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER '電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

										'初期値を設定
										cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'退院フラグ
										cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'主科フラグ
										cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'再入院フラグ
										cliCh.END_AGE = "0"					'終了時年齢
										cliCh.END_MONTH_AGE = "0"			'終了時月齢
										cliCh.END_DAY_AGE = "0"				'終了時日齢
										cliCh.HSP_DAYS = "0"				'在院日数
										cliCh.STATURE = "0"					'身長
										cliCh.WEIGHT = "0"					'体重
										cliCh.TOTAL_MED_COST = "0"			'医療費合計
										cliCh.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '統計対象外フラグ
										cliCh.DISEASE_COUNT = "0"				'病名数
										cliCh.OPE_COUNT = "0"				'手術数
										cliCh.CARE_COUNT = "0"				'治療処置数
										cliCh.TEST_COUNT = "0"				'検査数
										cliCh.ASST_ITM1_COUNT = "0"			'補足項目１数
										cliCh.ASST_ITM2_COUNT = "0"			'補足項目２数
										cliCh.CB_COUNT = "0"				'分娩数
										cliCh.EMERGENCY_COUNT = "0"			'救命救急数
										cliCh.OTHER_DEPT_COUNT = "0"		'対診科数
										cliCh.MED_COST_COUNT = "0"			'医療費数
										cliCh.CNR_REG_COUNT = "0"			'がん登録数
										cliCh.CNR_REG_EXPECTED_COUNT = "0"	'がん登録予定数
										cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ
										cliCh.PATH_COUNT = "0"				'パス数

										cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)	  '救急車搬送有無コード
										cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)		  '紹介状有無コード

										'登録
										Me.setInsSql_MTI_CH(pDb, False, cliCh)

										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO '患者番号
										cliHsp.HSP_HISTORY_NO = (CInt(cliHsp_DB.HSP_HISTORY_NO) + 1).ToString()	'入退院歴番号
										'入院経路コード
										If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
											'動作環境：入院（開始）経路コードが空白の場合の設定コード
											cliHsp.HSP_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00087)
										Else
											cliHsp.HSP_CNL_CD = cliOneCsvData.HSP_CNL_CD
										End If

										cliHsp.HSP_DT = cliOneCsvData.HSP_DT			'入院日
										cliHsp.HSP_TIME = cliOneCsvData.HSP_TIME		'入院時刻
										'入院時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

											cliHsp.HSP_AGE = age.ToString()			   '入院時時年齢
											cliHsp.HSP_MONTH_AGE = monthAge.ToString() '入院時月齢
											cliHsp.HSP_DAY_AGE = dayAge.ToString()	   '入院時日齢
										End With
										cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)		'転科有無コード
										cliHsp.HOLD_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)		'兼科有無コード
										cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'再入院フラグ
										cliHsp.OUT_HSP_AGE = "0"					'退院時年齢
										cliHsp.OUT_HSP_MONTH_AGE = "0"				'退院時月齢
										cliHsp.OUT_HSP_DAY_AGE = "0"				'退院時日齢
										cliHsp.HSP_DAYS = "0"						'在院日数
										cliHsp.TOTAL_MED_COST = "0"					'医療費合計
										cliHsp.MED_COST_COUNT = "0"					'医療費数
										cliHsp.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'統計対象外フラグ
										cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ

										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP		 'DPC番号

										'主科科歴、入院科歴、退院科歴から値を設定
										Me.setHspMainHspOutHsp(pDb, cliHsp)

										'登録
										Me.setInsSql_MTI_HSP(pDb, False, cliHsp)

										'貸出物
										Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
														cliHsp.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院・移動)データ種別A
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern3_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院・移動)データ種別A Start")
		Try
			'死亡情報あればエラー
			Using cliDeath As New XSP.clsMTI_DEATH()
				Dim dat As XSP.datMTI_DEATH_OneRec = cliDeath.getDeathOneRec(pDb, cliOneCsvData.PATIENT_NO)
				If dat IsNot Nothing Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0023"
					'既に死亡しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
			End Using

			'最新科歴 終了転帰死亡時エラー
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliCh_DB.END_OUTCOME_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'退院経路が「死亡」になっているため、入院できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院経路が「死亡」になっている", "入院", Nothing})
				Return False
			End If

			'入退院情報なければチェックなし
			If String.IsNullOrEmpty(cliHsp_DB.PATIENT_NO) = False Then
				'最新入退院情報が退院でなければエラー
				If String.IsNullOrEmpty(cliHsp_DB.OUT_HSP_DT) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'「退院」していないため、入院できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"「退院」していない", "入院", Nothing})
					Return False
				End If

				'最新退院日より連携ファイル入院日が過去の場合エラー
				If Me.dateCompare(cliHsp_DB.OUT_HSP_DT, cliOneCsvData.HSP_DT) > 0 Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0037"
					'入院期間が重複しています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院期間", Nothing})
					Return False
				End If
				'同じ入院日、同じ診療科の入退院情報があればエラー
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP_TIME)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
				pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
				pDb.setValDa(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						If String.IsNullOrEmpty(dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString()) = False AndAlso String.IsNullOrEmpty(cliOneCsvData.HSP_TIME) = False Then
							'時刻があれば時刻まで比較
							If Me.dateCompare(cliOneCsvData.HSP_DT, dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString(), cliOneCsvData.HSP_DT, cliOneCsvData.HSP_TIME) >= 0 Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0037"
								'入院期間が重複しています。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院期間", Nothing})
								Return False
							End If
						Else
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0033"
							'同一入院日、同一診療科の入院歴が存在します。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"同一入院日、同一診療科の入院歴", Nothing})
							Return False
						End If
					End If
				End Using
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院・移動)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/11 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院・移動)データ種別B Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern3_B(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
								Using cliCh As New clsXSI_MTI_CH()				'入退院情報 DBセット用
									Using cliHsp As New clsXSI_MTI_HSP()		'科歴情報 DBセット用
										'トランザクション開始
										pDb.ctlTran(clsDB.Enum_TranMode.Begin)

										'基本情報
										Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

										'科歴情報
										cliCh.PATIENT_NO = cliCh_DB.PATIENT_NO							'患者番号
										cliCh.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO					'入退院歴番号
										cliCh.CH_NO = cliCh_DB.CH_NO									'科歴番号
										cliCh.BYOREKI_NO = Me.getByorekiNo(cliCh.PATIENT_NO, cliOneCsvData.BYOREKI_NO) '病歴番号

										'主科フラグ
										If cliCh.CH_NO = "1" Then
											cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
										Else
											Dim arr As ArrayList = Nothing
											Try
												arr = Me.getMainDpm(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, pDb)
												'同じ入退院情報内に主科の科歴がなければ主科とする。
												If arr.Count = 0 Then
													cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
												End If
											Finally
												If arr IsNot Nothing Then arr.Clear()
												arr = Nothing
											End Try
										End If
										cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	  '退院フラグ

										'退院経路、退院転帰どちらかに死亡のコードが設定されている
										cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
										cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
										If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
											Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

											'終了経路コード
											If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = False Then
												'死亡のコードを設定
												cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease)
											End If
											'終了転帰コード
											If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
												'死亡のコードを設定
												cliCh.END_OUTCOME_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease)
											End If
										Else
											If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
												'動作環境：退院（終了）経路コードが空白の場合の設定コード
												cliCh.END_CNL_CD = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00088)
											End If
										End If

										cliCh.WARD_CD = cliOneCsvData.WARD_CD	'病棟コード
										'病棟情報更新
										If String.IsNullOrEmpty(cliCh_DB.WARD_CD) = True AndAlso String.IsNullOrEmpty(cliOneCsvData.WARD_CD) = False Then
											'病棟情報追加
											cliCh.DEPT_CD = cliOneCsvData.DEPT_CD '病棟コード
											Using cliWard As New clsXSI_MTI_WARD()
												cliWard.PATIENT_NO = cliCh.PATIENT_NO
												cliWard.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO
												cliWard.CH_NO = cliCh.CH_NO
												cliWard.WARD_SERIAL_NO = "1"
												cliWard.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
												cliWard.WARD_CD = cliOneCsvData.WARD_CD
												cliWard.WARD_START_DT = cliCh_DB.START_DT
												cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT
												cliWard.WARD_DAYS = Me.getDiffHspDays(cliWard.WARD_START_DT, cliWard.WARD_END_DT, True).ToString()
												'削除
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWard)
												'追加
												Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWard)
											End Using
										ElseIf String.IsNullOrEmpty(cliCh_DB.WARD_CD) = False Then
											'既存の病棟終了日更新
											Dim arr As ArrayList = Nothing
											Try
												arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
												For Each ward As datWard In arr
													If ward.WARD_END_DT = Nothing Then
														Using cliWard As New clsXSI_MTI_WARD()
															cliWard.PATIENT_NO = ward.PATIENT_NO
															cliWard.HSP_HISTORY_NO = ward.HSP_HISTORY_NO.ToString()
															cliWard.CH_NO = ward.CH_NO.ToString()
															cliWard.WARD_SERIAL_NO = ward.WARD_SERIAL_NO.ToString()
															cliWard.WARD_END_DT = cliOneCsvData.OUT_HSP_DT
															If ward.WARD_START_DT = Nothing Then
																cliWard.WARD_DAYS = Me.getDiffHspDays(String.Empty, cliWard.WARD_END_DT, True).ToString()
															Else
																cliWard.WARD_DAYS = Me.getDiffHspDays(ward.WARD_START_DT.ToString(), cliWard.WARD_END_DT, True).ToString()
															End If
															'更新
															Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWard)
														End Using
													End If
												Next

											Finally
												If arr IsNot Nothing Then arr.Clear()
												arr = Nothing
											End Try
										End If

										cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD								'医師コード
										'医師情報更新
										If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
											Using cliDoctor As New clsXSI_MTI_DOCTOR()
												cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
												cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
												cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
												cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
												cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
												cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
												cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
												If String.IsNullOrEmpty(cliCh_DB.DOCTOR_CD) = False Then
													'医師情報削除
													Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
												End If
												'医師情報追加
												Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
											End Using
										End If

										cliCh.END_DT = cliOneCsvData.OUT_HSP_DT			'終了日
										cliCh.END_TIME = cliOneCsvData.OUT_HSP_TIME		'終了時刻
										'終了時年月日齢計算
										With Nothing
											Dim age As Integer = 0
											Dim monthAge As Integer = 0
											Dim dayAge As Integer = 0
											'年齢、月齢、日齢取得
											Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.OUT_HSP_DT, age, monthAge, dayAge)

											cliCh.END_AGE = age.ToString()			  '終了時時年齢
											cliCh.END_MONTH_AGE = monthAge.ToString() '終了時月齢
											cliCh.END_DAY_AGE = dayAge.ToString()	  '終了時日齢
										End With

										'在院日数計算
										'在院日数(動作環境により+1日を行う)
										cliCh.HSP_DAYS = Me.getDiffHspDays(cliCh_DB.START_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
										cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge) '登録状況コード
										'動作環境のサマリ作成単位／返納基準日
										If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) <> CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
											'2:全科/終了日以外の場合、他の科歴情報の登録状況も更新
											pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_regStatus)
											pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmWhereREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
											pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh.PATIENT_NO)
											pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh.HSP_HISTORY_NO)
											pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh.CH_NO)
											pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge))
											pDb.setVal(sqlXSI010F010.prmWhereREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp))
											pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
											pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
											pDb.execNonQuery(False)
										End If

										cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
										'診療圏コード
										If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
											'住所マスタより取得
											cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
										Else
											cliCh.AREA_CD = cliOneCsvData.AREA_CD
										End If

										cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所

										cliCh.TELNUMBER = cliOneCsvData.TELNUMBER					'電話番号
										cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1			'保険コード１
										cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2			'保険コード２
										cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3			'保険コード３
										cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT	'初診日
										cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM			'世帯主名
										cliCh.RELATION_CD = cliOneCsvData.RELATION_CD				'続柄コード

										If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = False Then
											cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)	'救急車搬送有無コード
										End If
										If String.IsNullOrEmpty(cliOneCsvData.INTRODUCTION_CHK) = False Then
											cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)		'紹介状有無コード
										End If

										'科歴情報更新
										Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, True)

										'死亡情報
										If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelDecease_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True OrElse
													Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then

											'終了転帰、終了経路のどちらかに死亡が設定されていれば死亡情報を追加
											Using cliDeath As New clsXSI_MTI_DEATH()
												cliDeath.PATIENT_NO = cliCh.PATIENT_NO
												cliDeath.DEATH_DT = cliCh.END_DT
												cliDeath.DEATH_TIME = cliCh.END_TIME
												cliDeath.DEATH_AGE = cliCh.END_AGE
												cliDeath.DEATH_MONTH_AGE = cliCh.END_MONTH_AGE
												cliDeath.DEATH_DAY_AGE = cliCh.END_DAY_AGE
												cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
												'死亡区分取得
												cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)

												'削除
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
												'追加
												Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
											End Using
										End If


										'入退院情報
										cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
										cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO	'入退院歴番号
										cliHsp.DPC_NO = cliOneCsvData.DPC_HSP				 'DPC番号

										cliHsp.OUT_HSP_DT = cliOneCsvData.OUT_HSP_DT		'退院日
										cliHsp.OUT_HSP_TIME = cliOneCsvData.OUT_HSP_TIME	'退院時刻
										cliHsp.OUT_HSP_AGE = cliCh.END_AGE					'退院時時年齢
										cliHsp.OUT_HSP_MONTH_AGE = cliCh.END_MONTH_AGE		'退院時月齢
										cliHsp.OUT_HSP_DAY_AGE = cliCh.END_DAY_AGE			'退院時日齢

										cliHsp.OUT_HSP_CNL_CD = cliCh.END_CNL_CD			'退院経路コード
										cliHsp.OUT_HSP_OUTCOME_CD = cliCh.END_OUTCOME_CD	'退院転帰コード

										'在院日数
										Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008)
											Case CStr(clsConst.Enum_HspStayDaysCalc.Def) '動作環境04の設定に従う
												'在院日数(動作環境により+1日を行う)
												cliHsp.HSP_DAYS = Me.getDiffHspDays(cliHsp_DB.HSP_DT, cliOneCsvData.OUT_HSP_DT, cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)).ToString()
											Case CStr(clsConst.Enum_HspStayDaysCalc.StayDaysSum) '科歴の合計(兼科は除く)
												cliHsp.HSP_DAYS = Me.getHspDays(cliHsp.PATIENT_NO, cliHsp.HSP_HISTORY_NO, pDb).ToString
										End Select

										'主科、入院、退院の科歴から値をセット
										Me.setHspMainHspOutHsp(pDb, cliHsp)

										Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)

										'管理物
										Me.setLendMngPattern1(pDb, enum_HspIndex.outHsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
													 cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

										'トランザクション終了
										pDb.ctlTran(clsDB.Enum_TranMode.Commit)
									End Using
								End Using
							End Using
						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院・移動)データ種別B
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">更新対象基本情報</param>
	''' <param name="cliHsp_DB">更新対象入退院情報</param>
	''' <param name="cliCh_DB">更新対象科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern3_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院・移動)データ種別B Start")
		Try
			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If

			'科歴情報がない場合エラー
			If String.IsNullOrEmpty(cliCh_DB.START_DT) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'終了させる科歴が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了させる科歴", Nothing})
				Return False
			End If

			'最新科歴が終了している場合エラー
			If String.IsNullOrEmpty(cliCh_DB.END_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'既に退院（終了）済みのため、退院（終了）できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"既に退院（終了）済みの", "退院（終了）", Nothing})
				Return False
			End If

			'最新科歴の診療科コードと連携ファイルの診療科コードが一致しない場合エラー
			If cliCh_DB.DEPT_CD <> cliOneCsvData.DEPT_CD Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'診療科が不一致のため、退院できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"診療科が不一致の", "退院", Nothing})
				Return False
			End If
			'最新科歴の開始日と連携ファイルの終了日の前後関係
			If Me.dateCompare(cliCh_DB.START_DT, cliOneCsvData.OUT_HSP_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'退院日が入院日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院日", "入院日より過去の日付", Nothing})
				Return False
			End If
			'同じ終了日、同じ診療科、退院フラグ =ON の科歴が存在すればエラーとする。
			'SQL文設定
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH_DEPTENDDATE)
			'パラメータ設定
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmOUT_HSP_FLG, clsDB.Enum_dbType.dbInt)
			pDb.setParamDa(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
			pDb.setValDa(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)
			pDb.setValDa(sqlXSI010F010.prmOUT_HSP_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOn))
			pDb.setValDa(sqlXSI010F010.prmEND_DT, cliOneCsvData.OUT_HSP_DT)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0033"
					'同一退院日、同一診療科の退院歴が存在します。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"同一退院日、同一診療科の退院歴", Nothing})
					Return False
				End If
			End Using

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院・移動)データ種別C
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/11 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_C(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院・移動)データ種別C Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern3_C(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If
						Try
							'トランザクション開始
							pDb.ctlTran(clsDB.Enum_TranMode.Begin)

							If String.IsNullOrEmpty(cliOneCsvData.DEPT_CD) = False AndAlso cliCh_DB.DEPT_CD <> cliOneCsvData.DEPT_CD Then
								'転科
								Me.setDataPattern3_C_ChangeDept(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)
							Else
								'転棟
								Me.setDataPattern3_C_ChangeWard(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliCh_DB)
							End If

							'トランザクション終了
							pDb.ctlTran(clsDB.Enum_TranMode.Commit)

						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院・移動)データ種別C
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern3_C(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院・移動)データ種別C Start")
		Try
			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If
			'入院中かどうか
			If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'入院中でないため、「転科」「兼科」を開始できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院中でない", "「転科」「兼科」を開始", Nothing})
				Return False
			End If


			'診療科と病棟のチェック
			'棟：科 |未入力|  =  | <> |
			'未入力 | ERR  | ERR |転科|
			'=      | ERR  | ERR |転科|
			'<>     | 病棟 | 病棟|転科|

			If String.IsNullOrEmpty(cliOneCsvData.DEPT_CD) = False AndAlso cliCh_DB.DEPT_CD <> cliOneCsvData.DEPT_CD Then
				'転科チェック
				'最新科歴が終了している場合エラー
				If String.IsNullOrEmpty(cliCh_DB.END_DT) = False Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'既に終了済みのため、移動できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"既に終了済みの", "移動", Nothing})
					Return False
				End If
				'最新科歴の開始日と連携ファイル開始日チェック
				If Me.dateCompare(cliCh_DB.START_DT, cliOneCsvData.HSP_DT) > 0 Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0031"
					'移動日が開始日より前になっています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"移動日", "開始日より前", Nothing})
					Return False
				End If
			Else
				'転棟チェック
				'最新病棟チェック
				'@@ 病棟情報読み込み
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_WARD)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
				pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
				pDb.setValDa(sqlXSI010F010.prmCH_NO, cliCh_DB.CH_NO)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)

					'病棟情報存在確認　最新科歴開始日と連携ファイル入院日が同じなら病棟情報を作成するためエラーとしない。
					If dt.Rows.Count = 0 AndAlso Me.dateCompare(cliCh_DB.START_DT, cliOneCsvData.HSP_DT) <> 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0015"
						'病棟情報が存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"病棟情報", Nothing})
						Return False
					End If

					'移動開始日が最新の科歴開始日より過去のとき
					If Me.dateCompare(cliCh_DB.START_DT, cliOneCsvData.HSP_DT) > 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0031"
						'移動日が開始日より前になっています。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"移動日", "開始日より前", Nothing})
						Return False
					End If

					'連携ファイル病棟コード入力チェック
					If String.IsNullOrEmpty(cliOneCsvData.WARD_CD) = True Then
						cliOneCsvData.ERR_FLG = "2"
						cliOneCsvData.ERR_CD = "E0024"
						'無視（転科・転棟の判断がつきません。軽度のエラーです。）
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
						Return False
					End If

					If dt.Rows.Count > 0 Then
						'最新病棟と連携ファイル病棟同じなら軽度エラー
						If dt.Rows(0).Item(sqlXSI010F010.itmWARD_CD).ToString() = cliOneCsvData.WARD_CD Then
							cliOneCsvData.ERR_FLG = "2"
							cliOneCsvData.ERR_CD = "E0024"
							'無視（転科・転棟の判断がつきません。軽度のエラーです。）
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
							Return False
						End If

						'最新病棟の終了日が入力済であればエラー
						If String.IsNullOrEmpty(dt.Rows(0).Item(sqlXSI010F010.itmWARD_END_DT).ToString()) = False Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0003"
							'既に終了済みのため、移動できません。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"既に終了済みの", "移動", Nothing})
							Return False
						End If

						'移動開始日が最新の病棟開始日より過去のとき
						If Me.dateCompare(dt.Rows(0).Item(sqlXSI010F010.itmWARD_START_DT).ToString(), cliOneCsvData.HSP_DT) > 0 Then
							cliOneCsvData.ERR_FLG = "1"
							cliOneCsvData.ERR_CD = "E0031"
							'移動日が開始日より前の日付になっています。
							cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"移動日", "開始日より前", Nothing})
							Return False
						End If
					End If
				End Using
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新(入院・退院・移動)データ種別C_転科
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <remarks>
	''' 2010/11/11 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_C_ChangeDept(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM, _
											 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "更新(入院・退院・移動)データ種別C_転科 Start")
		Try
			Using cliBasicInfo As New clsXSI_XTI_BASICINFO()	'基本情報 DBセット用
				Using cliCh As New clsXSI_MTI_CH()				'科歴情報 DBセット用
					Using cliHsp As New clsXSI_MTI_HSP()		'入退院情報 DBセット用
						'基本情報
						Me.setBasicInfo(pDb, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)

						'科歴情報
						'転科元情報の更新
						cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
						cliCh.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO	'入退院歴番号
						cliCh.CH_NO = cliCh_DB.CH_NO					'科歴番号

						cliCh.BYOREKI_NO = Me.getByorekiNo(cliOneCsvData.PATIENT_NO, cliOneCsvData.BYOREKI_NO)			'病歴番号

						cliCh.END_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept)	'終了経路コード
						cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD						  '終了転帰コード

						'終了日 動作環境の転科、転棟の終了日、開始日の関係
						Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005)
							Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual)
								cliCh.END_DT = cliOneCsvData.HSP_DT
							Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift)
								cliCh.END_DT = DateTime.Parse(cliOneCsvData.HSP_DT).AddDays(-1).ToString()
						End Select
						If Me.dateCompare(cliCh_DB.START_DT, cliCh.END_DT) > 0 Then
							'動作環境から取得した結果 終了日が開始日より過去になる場合開始日と同じにする
							cliCh.END_DT = cliCh_DB.START_DT
						End If

						'動作環境の転科時の時間設定 (動作環境と00005と関連) + 動作環境の転科、転棟の終了日、開始日の関係
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00095) = CStr(clsConst.Enum_ChangeDeptTime.NoSetting) AndAlso _
									clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005) = CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual) Then
							cliCh.END_TIME = cliOneCsvData.HSP_TIME									  '終了時刻
						End If

						'終了時年月日齢計算
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'年齢、月齢、日齢取得
							Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliCh.END_DT, age, monthAge, dayAge)

							cliCh.END_AGE = age.ToString()			  '終了時時年齢
							cliCh.END_MONTH_AGE = monthAge.ToString() '終了時月齢
							cliCh.END_DAY_AGE = dayAge.ToString()	  '終了時日齢
						End With
						'在院日数計算
						'在院日数(動作環境により+1日を行う)
						cliCh.HSP_DAYS = Me.getDiffHspDays(cliCh_DB.START_DT, cliCh.END_DT, False).ToString()


						'病棟更新
						If String.IsNullOrEmpty(cliCh_DB.WARD_CD) = False Then
							'病棟情報取得
							Dim arr As ArrayList = Nothing
							Try
								arr = Me.getWardData(cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, pDb)
								If arr.Count > 0 Then
									'病棟情報更新
									Dim ward As datWard = DirectCast(arr(0), datWard)
									Using cliWARD As New clsXSI_MTI_WARD()
										cliWARD.PATIENT_NO = ward.PATIENT_NO
										cliWARD.HSP_HISTORY_NO = ward.HSP_HISTORY_NO.ToString()
										cliWARD.CH_NO = ward.CH_NO.ToString()
										cliWARD.WARD_SERIAL_NO = ward.WARD_SERIAL_NO.ToString()
										cliWARD.WARD_END_DT = cliCh.END_DT	'病棟終了日
										cliWARD.WARD_DAYS = Me.getDiffHspDays(DirectCast(arr(0), datWard).WARD_START_DT.ToString(), cliCh.END_DT, False).ToString()
										'病棟情報更新
										Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWARD)
									End Using

								End If
							Finally
								If arr IsNot Nothing Then arr.Clear()
								arr = Nothing
							End Try
						End If

						cliCh.DOCTOR_CD = cliOneCsvData.DOCTOR_CD								  '医師コード
						If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD) = False Then
							Using cliDoctor As New clsXSI_MTI_DOCTOR()
								cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
								cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
								cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
								cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
								cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
								cliDoctor.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV		'医師区分
								cliDoctor.DOCTOR_CD = cliOneCsvData.DOCTOR_CD		'医師コード
								cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
								cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
								'医師情報削除
								Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
								'医師情報追加
								Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
							End Using
						End If

						'登録状況サマリに合わせる(動作環境のサマリ作成単位／返納基準日)
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then
							'登録状況退院にする
							cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusDisccharge)
						Else
							'登録状況入院にする
							cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp)
						End If

						cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
						'診療圏コード
						If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
							'住所マスタより取得
							cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
						Else
							cliCh.AREA_CD = cliOneCsvData.AREA_CD
						End If
						cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所


						cliCh.TELNUMBER = cliOneCsvData.TELNUMBER						'電話番号
						cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1				'保険コード１
						cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2				'保険コード２
						cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3				'保険コード３
						cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT		'初診日
						cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM				'世帯主名
						cliCh.RELATION_CD = cliOneCsvData.RELATION_CD					'続柄コード

						cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)	  '救急車搬送有無コード
						cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)		  '紹介状有無コード

						'更新
						Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, True)

						'貸出物
						Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
										cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)


						'転科先情報の登録
						cliCh.clear() 'クリア

						cliCh.PATIENT_NO = cliOneCsvData.PATIENT_NO			'患者番号
						cliCh.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO		'入退院歴番号
						cliCh.CH_NO = (CInt(cliCh_DB.CH_NO) + 1).ToString()	'科歴番号
						cliCh.DEPT_CD = cliOneCsvData.DEPT_CD				'診療科コード

						cliCh.BYOREKI_NO = Me.getByorekiNo(cliOneCsvData.PATIENT_NO, cliOneCsvData.TO_DEPT_BYOREKI_NO)			'病歴番号

						cliCh.START_CNL_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept)	'開始経路コード

						cliCh.WARD_CD = cliOneCsvData.WARD_CD				'病棟コード
						If String.IsNullOrEmpty(cliCh.WARD_CD) = False Then
							Using cliWARD As New clsXSI_MTI_WARD()
								cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
								cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
								cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
								cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
								cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
								cliWARD.WARD_CD = cliOneCsvData.WARD_CD			'病棟コード
								cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT	'病棟開始日
								'病棟情報削除
								Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
								'病棟情報追加
								Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
							End Using
						Else
							'病棟コード未入力時転科元科歴から作成
							Dim arr As ArrayList = Nothing
							Try
								arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
								If arr.Count > 0 Then
									Dim ward As datWard = DirectCast(arr(0), datWard)
									Using cliWARD As New clsXSI_MTI_WARD()
										cliWARD.PATIENT_NO = cliCh.PATIENT_NO			'患者番号
										cliWARD.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO	'入退院歴番号
										cliWARD.CH_NO = cliCh.CH_NO						'科歴番号
										cliWARD.WARD_SERIAL_NO = "1"					'病棟連番
										cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) '主病棟フラグ
										cliWARD.WARD_CD = ward.WARD_CD					'病棟コード
										cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT	'病棟開始日
										'病棟情報削除
										Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eDel, cliWARD)
										'病棟情報追加
										Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
										cliCh.WARD_CD = cliWARD.WARD_CD	'科歴の病棟コードに登録した病棟コードを設定
									End Using
								End If
							Finally
								If arr IsNot Nothing Then arr.Clear()
								arr = Nothing
							End Try
						End If
						cliCh.DOCTOR_CD = cliOneCsvData.TO_DEPT_DOCTOR_CD								 '医師コード
						If String.IsNullOrEmpty(cliCh.DOCTOR_CD) = False Then
							Using cliDoctor As New clsXSI_MTI_DOCTOR()
								cliDoctor.PATIENT_NO = cliCh.PATIENT_NO				'患者番号
								cliDoctor.HSP_HISTORY_NO = cliCh.HSP_HISTORY_NO		'入退院歴番号
								cliDoctor.CH_NO = cliCh.CH_NO						'科歴番号
								cliDoctor.DOCTOR_SERIAL_NO = "1"					'医師連番
								cliDoctor.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主治医フラグ
								cliDoctor.DOCTOR_DIV = cliOneCsvData.TO_DEPT_DOCTOR_DIV		'医師区分
								cliDoctor.DOCTOR_CD = cliOneCsvData.TO_DEPT_DOCTOR_CD		'医師コード
								cliDoctor.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT	'担当開始日
								cliDoctor.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT		'担当終了日
								'医師情報削除
								Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliDoctor)
								'医師情報追加
								Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliDoctor)
							End Using
						End If

						cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp) '登録状況コード

						cliCh.START_DT = cliOneCsvData.HSP_DT		'開始日
						'動作環境の転科時の時間設定 (動作環境と00005と関連) + 動作環境の転科、転棟の終了日、開始日の関係
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00095) = CStr(clsConst.Enum_ChangeDeptTime.NoSetting) AndAlso _
										clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005) = CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual) Then
							cliCh.START_TIME = cliOneCsvData.HSP_TIME	'開始時刻
						End If

						'開始時年月日齢計算
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'年齢、月齢、日齢取得
							Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliOneCsvData.HSP_DT, age, monthAge, dayAge)

							cliCh.START_AGE = age.ToString()			'開始時時年齢
							cliCh.START_MONTH_AGE = monthAge.ToString()	'開始時月齢
							cliCh.START_DAY_AGE = dayAge.ToString()		'開始時日齢
						End With
						cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp) '登録状況コード
						cliCh.ZIP_CD = cliOneCsvData.ZIP_CD	'郵便番号
						'診療圏コード
						If String.IsNullOrEmpty(cliOneCsvData.AREA_CD) = True Then
							'住所マスタより取得
							cliCh.AREA_CD = Me.getAreaCd(cliCh.ZIP_CD)
						Else
							cliCh.AREA_CD = cliOneCsvData.AREA_CD
						End If
						cliCh.ADDRESS_NM = cliOneCsvData.ADDRESS_NM	'住所


						cliCh.TELNUMBER = cliOneCsvData.TELNUMBER '電話番号
						cliCh.INSURANCE_CD1 = cliOneCsvData.INSURANCE_CD1						'保険コード１
						cliCh.INSURANCE_CD2 = cliOneCsvData.INSURANCE_CD2						'保険コード２
						cliCh.INSURANCE_CD3 = cliOneCsvData.INSURANCE_CD3						'保険コード３
						cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT				'初診日
						cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM						'世帯主名
						cliCh.RELATION_CD = cliOneCsvData.RELATION_CD							'続柄コード

						'初期値を設定
						cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'退院フラグ
						cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'主科フラグ
						cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)		'再入院フラグ
						cliCh.END_AGE = "0"					'終了時年齢
						cliCh.END_MONTH_AGE = "0"			'終了時月齢
						cliCh.END_DAY_AGE = "0"				'終了時日齢
						cliCh.HSP_DAYS = "0"				'在院日数
						cliCh.STATURE = "0"					'身長
						cliCh.WEIGHT = "0"					'体重
						cliCh.TOTAL_MED_COST = "0"			'医療費合計
						cliCh.EXCLUDE_STATISTICS_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '統計対象外フラグ
						cliCh.DISEASE_COUNT = "0"				'病名数
						cliCh.OPE_COUNT = "0"				'手術数
						cliCh.CARE_COUNT = "0"				'治療処置数
						cliCh.TEST_COUNT = "0"				'検査数
						cliCh.ASST_ITM1_COUNT = "0"			'補足項目１数
						cliCh.ASST_ITM2_COUNT = "0"			'補足項目２数
						cliCh.CB_COUNT = "0"				'分娩数
						cliCh.EMERGENCY_COUNT = "0"			'救命救急数
						cliCh.OTHER_DEPT_COUNT = "0"		'対診科数
						cliCh.MED_COST_COUNT = "0"			'医療費数
						cliCh.CNR_REG_COUNT = "0"			'がん登録数
						cliCh.CNR_REG_EXPECTED_COUNT = "0"	'がん登録予定数
						cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)	'疾病再入院フラグ
						cliCh.PATH_COUNT = "0"				'パス数

						cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)	  '救急車搬送有無コード
						cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)		  '紹介状有無コード

						'登録
						Me.setInsSql_MTI_CH(pDb, False, cliCh)

						'入退院情報
						cliHsp.PATIENT_NO = cliOneCsvData.PATIENT_NO						'患者番号
						cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO					'入退院歴番号
						cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOn)				'転科有無コード
						'主科、入院、退院の科歴から値をセット
						Me.setHspMainHspOutHsp(pDb, cliHsp)

						Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)

						'貸出物
						Me.setLendMngPattern1(pDb, enum_HspIndex.ChangeDept, cliCh.PATIENT_NO, cliCh.HSP_HISTORY_NO, cliCh.CH_NO, _
										cliHsp_DB.HSP_DT, cliHsp.OUT_HSP_DT, cliCh.END_DT, cliCh.OUT_HSP_FLG)

					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新(入院・退院・移動)データ種別C_転棟
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <remarks>
	''' 2010/11/11 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_C_ChangeWard(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM, _
											  ByVal cliCh_DB As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "更新(入院・退院・移動)データ種別C_転棟 Start")
		Dim arr As ArrayList = Nothing
		Try
			arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
			If arr.Count > 0 Then
				Dim ward As datWard = DirectCast(arr(0), datWard)
				Using cliWARD As New clsXSI_MTI_WARD
					cliWARD.PATIENT_NO = ward.PATIENT_NO
					cliWARD.HSP_HISTORY_NO = ward.HSP_HISTORY_NO.ToString()
					cliWARD.CH_NO = ward.CH_NO.ToString()
					cliWARD.WARD_SERIAL_NO = ward.WARD_SERIAL_NO.ToString()
					cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					'病棟終了日計算
					'終了日 動作環境の転科、転棟の終了日、開始日の関係
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005)
						Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual)
							cliWARD.WARD_END_DT = cliOneCsvData.HSP_DT
						Case CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift)
							cliWARD.WARD_END_DT = DateTime.Parse(cliOneCsvData.HSP_DT).AddDays(-1).ToString()
					End Select
					If Me.dateCompare(ward.WARD_START_DT.ToString(), cliWARD.WARD_END_DT) > 0 Then
						'動作環境から取得した結果 終了日が開始日より過去になる場合開始日と同じにする
						cliWARD.WARD_END_DT = ward.WARD_START_DT.ToString()
					End If
					If ward.WARD_START_DT = Nothing Then
						cliWARD.WARD_DAYS = Me.getDiffHspDays(String.Empty, cliWARD.WARD_END_DT, False).ToString()
					Else
						cliWARD.WARD_DAYS = Me.getDiffHspDays(ward.WARD_START_DT.ToString(), cliWARD.WARD_END_DT, False).ToString()
					End If

					'更新
					Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eUpd, cliWARD)
				End Using

				'転棟先を主病棟とするため、他の病棟から主病棟フラグを外す
				If ward.MAIN_WARD_FLG = clsConst.Enum_CheckBox_Flg.CheckOff Then
					'最新病棟が主病棟でなければ他の病棟が主病棟
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_WARD_MAIN_WARD_FLG)
					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmMAIN_WARD_FLG, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmMAIN_WARD_FLG_Where, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh_DB.CH_NO)
					pDb.setVal(sqlXSI010F010.prmMAIN_WARD_FLG, clsConst.Enum_CheckBox_Flg.CheckOff, False)
					pDb.setVal(sqlXSI010F010.prmMAIN_WARD_FLG_Where, clsConst.Enum_CheckBox_Flg.CheckOn, False)
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
					pDb.execNonQuery(False)
				End If

				'転棟先追加
				Using cliWARD As New clsXSI_MTI_WARD
					cliWARD.PATIENT_NO = cliCh_DB.PATIENT_NO							'患者番号
					cliWARD.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO					'入退院歴番号
					cliWARD.CH_NO = cliCh_DB.CH_NO										'科歴番号
					cliWARD.WARD_SERIAL_NO = (ward.WARD_SERIAL_NO + 1).ToString()		'病棟連番
					cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主病棟フラグ
					cliWARD.WARD_CD = cliOneCsvData.WARD_CD								'病棟コード
					cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT						'病棟開始日
					Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
				End Using
			Else
				'最新病棟ないため、連携ファイルの病棟の追加のみ
				Using cliWARD As New clsXSI_MTI_WARD
					cliWARD.PATIENT_NO = cliCh_DB.PATIENT_NO							'患者番号
					cliWARD.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO					'入退院歴番号
					cliWARD.CH_NO = cliCh_DB.CH_NO										'科歴番号
					cliWARD.WARD_SERIAL_NO = "1"										'病棟連番
					cliWARD.MAIN_WARD_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)	'主病棟フラグ
					cliWARD.WARD_CD = cliOneCsvData.WARD_CD								'病棟コード
					cliWARD.WARD_START_DT = cliOneCsvData.HSP_DT						'病棟開始日
					Me.setSqlParam_MTI_WARD(pDb, False, Enum_SqlIdx.eIns, cliWARD)
				End Using
			End If

			'科歴情報
			Using cliCh As New clsXSI_MTI_CH()
				cliCh.PATIENT_NO = cliCh_DB.PATIENT_NO
				cliCh.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO
				cliCh.CH_NO = cliCh_DB.CH_NO
				cliCh.WARD_CD = cliOneCsvData.WARD_CD
				'更新
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, True)
			End Using

			'入退院情報
			Using cliHsp As New clsXSI_MTI_HSP()
				cliHsp.PATIENT_NO = cliCh_DB.PATIENT_NO
				cliHsp.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO
				cliHsp.WARD_CD = cliOneCsvData.WARD_CD
				Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)
			End Using
		Catch ex As Exception
			Throw
		Finally
			If arr IsNot Nothing Then arr.Clear()
			arr = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院・移動)データ種別G
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_G(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院・移動)データ種別G Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern3_G(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If

						Try
							'トランザクション開始
							pDb.ctlTran(clsDB.Enum_TranMode.Begin)

							'入退院単位で削除
							Me.delHsp(pDb, False, cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO)

							'トランザクション終了
							pDb.ctlTran(clsDB.Enum_TranMode.Commit)

						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院・移動)データ種別G
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern3_G(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院・移動)データ種別G Start")
		Try
			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If
			'入院歴が存在するか
			If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'対象患者は入院していないため、取消できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象患者は入院していない", "取消", Nothing})
				Return False
			End If

			'最新科歴が終了しているか
			If String.IsNullOrEmpty(cliCh_DB.END_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'対象患者は終了済みのため、取消できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象患者は終了済みの", "取消", Nothing})
				Return False
			End If
			'最新科歴の科歴番号が1ではない(転科している)
			If cliCh_DB.CH_NO <> "1" Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'対象患者は転科しているため、取消できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象患者は転科している", "取消", Nothing})
				Return False
			End If

			'最新科歴の診療科コードと連携ファイルの診療科コードが一致しない
			If cliCh_DB.DEPT_CD <> cliOneCsvData.DEPT_CD Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'対象の入退院歴が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の入退院歴", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院・移動)データ種別H
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_H(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院・移動)データ種別H Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern3_H(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If

						Try
							'トランザクション開始
							pDb.ctlTran(clsDB.Enum_TranMode.Begin)

							'病棟終了日クリア
							'最新病棟情報取得
							With Nothing
								Dim arr As ArrayList = Nothing
								Try
									arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
									If arr.Count > 0 Then
										Dim ward As datWard = DirectCast(arr(0), datWard)
										'SQL文設定
										pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_WARD_MAIN_WARD_CLEAR_H)
										'パラメータ設定
										pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
										pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
										pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
										pDb.setParam(sqlXSI010F010.prmWARD_SERIAL_NO, clsDB.Enum_dbType.dbInt)
										pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
										pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
										'値設定
										pDb.setVal(sqlXSI010F010.prmPATIENT_NO, ward.PATIENT_NO)
										pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, ward.HSP_HISTORY_NO)
										pDb.setVal(sqlXSI010F010.prmCH_NO, ward.CH_NO)
										pDb.setVal(sqlXSI010F010.prmWARD_SERIAL_NO, ward.WARD_SERIAL_NO)
										pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
										pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
										'SQL実行
										pDb.execNonQuery(False)
									End If
								Finally
									If arr IsNot Nothing Then arr.Clear()
									arr = Nothing
								End Try
							End With

							'科歴情報から終了情報をクリア
							Using cliCh As clsXSI_MTI_CH = DirectCast(cliCh_DB.Clone(), clsXSI_MTI_CH)
								cliCh.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '主科フラグ
								cliCh.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff) '退院フラグ
								cliCh.END_DT = String.Empty			'終了日
								cliCh.END_TIME = String.Empty		'終了時刻
								cliCh.END_AGE = "0"					'終了時年齢
								cliCh.END_MONTH_AGE = "0"			'終了時月齢
								cliCh.END_DAY_AGE = "0"				'終了時日齢
								cliCh.HSP_DAYS = "0"				'在院日数
								cliCh.END_CNL_CD = String.Empty		'終了経路コード
								cliCh.END_OUTCOME_CD = String.Empty	'終了転帰コード
								cliCh.REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp) '登録状況コード
								'更新
								Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eNomal, cliCh, False)
							End Using

							'入退院情報から終了情報をクリア
							Using cliHsp As clsXSI_MTI_HSP = DirectCast(cliHsp_DB.Clone(), clsXSI_MTI_HSP)
								cliHsp.PATIENT_NO = cliHsp_DB.PATIENT_NO
								cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO
								Me.setHspMainHspOutHsp(pDb, cliHsp)

								cliHsp.OUT_HSP_DT = String.Empty		'退院日
								cliHsp.OUT_HSP_TIME = String.Empty		'退院時刻
								cliHsp.OUT_HSP_AGE = "0"				'退院時年齢
								cliHsp.OUT_HSP_MONTH_AGE = "0"			'退院時月齢
								cliHsp.OUT_HSP_DAY_AGE = "0"			'退院時日齢
								cliHsp.HSP_DAYS = "0"					'在院日数
								cliHsp.OUT_HSP_CNL_CD = String.Empty	'退院経路コード
								cliHsp.OUT_HSP_OUTCOME_CD = String.Empty '退院転帰コード
								'更新
								Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eNomal, cliHsp, False)
							End Using

							'貸出物更新
							Me.setLendMngPattern1(pDb, enum_HspIndex.hsp, cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, cliHsp_DB.HSP_DT)

							'トランザクション終了
							pDb.ctlTran(clsDB.Enum_TranMode.Commit)

						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院・移動)データ種別H
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern3_H(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院・移動)データ種別H Start")
		Try
			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If
			'入院歴が存在するか
			If String.IsNullOrEmpty(cliHsp_DB.HSP_DT) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'対象患者は入院していないため、取消できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象患者は入院していない", "取消", Nothing})
				Return False
			End If

			'最新科歴が終了しているか
			If String.IsNullOrEmpty(cliCh_DB.END_DT) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'対象の患者が入院中のため、取消できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の患者が入院中の", "取消", Nothing})
				Return False
			End If

			'最新科歴の診療科コードと連携ファイルの科歴コードが一致しない
			If cliCh_DB.DEPT_CD <> cliOneCsvData.DEPT_CD Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'対象の入退院歴が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の入退院歴", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック + 更新(入院・退院・移動)データ種別I
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataPattern3_I(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック + 更新(入院・退院・移動)データ種別I Start")
		Try
			Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO()
				Using cliHsp_DB As New clsXSI_MTI_HSP()
					Using cliCh_DB As New clsXSI_MTI_CH()
						'基本、入退院、科歴取得
						Me.getBasicHspCh_NEW(pDb, cliOneCsvData.PATIENT_NO, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

						'整合性チェック
						If Me.chkDataPattern3_I(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
							'整合性チェック異常あり
							Exit Sub
						End If

						Try
							'トランザクション開始
							pDb.ctlTran(clsDB.Enum_TranMode.Begin)


							If cliOneCsvData.DEPT_CD = cliCh_DB.DEPT_CD Then
								'転科取消
								'科歴情報削除
								Me.delCh(pDb, False, cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO)
								Using cliHsp As clsXSI_MTI_HSP = DirectCast(cliHsp_DB.Clone(), clsXSI_MTI_HSP)
									cliHsp.PATIENT_NO = cliHsp_DB.PATIENT_NO
									cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO
									If cliCh_DB.CH_NO = "2" Then
										'取り消した科歴が2の場合、転科がなくなるため転科有無をコードをOFFに
										cliHsp.CHANGE_DEPT_CHK = CStr(clsConst.Enum_Chk.ChkOff)
									End If
									'主科、入院、退院の科歴から値をセット
									Me.setHspMainHspOutHsp(pDb, cliHsp)
									Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eNomal, cliHsp, False)
								End Using
								'科歴情報から終了情報をクリア(最新科歴番号-1の科歴)
								'SQL文設定
								pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_CLEAR_I)
								'パラメータ設定
								pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
								pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)
								pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
								pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
								'値設定
								pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh_DB.PATIENT_NO)
								pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh_DB.HSP_HISTORY_NO)
								pDb.setVal(sqlXSI010F010.prmCH_NO, (CInt(cliCh_DB.CH_NO) - 1).ToString)
								pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.regStatusHsp))
								pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
								pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
								'SQL実行
								pDb.execNonQuery(False)

								'病棟終了日クリア(最新科歴番号-1の科歴の病棟情報)
								'最新病棟情報取得
								With Nothing
									Dim arr As ArrayList = Nothing
									Try
										arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, (CInt(cliCh_DB.CH_NO) - 1).ToString(), pDb)
										If arr.Count > 0 Then
											Dim ward As datWard = DirectCast(arr(0), datWard)
											'SQL文設定
											pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_WARD_MAIN_WARD_CLEAR_H)
											'パラメータ設定
											pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmWARD_SERIAL_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
											'値設定
											pDb.setVal(sqlXSI010F010.prmPATIENT_NO, ward.PATIENT_NO)
											pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, ward.HSP_HISTORY_NO)
											pDb.setVal(sqlXSI010F010.prmCH_NO, ward.CH_NO)
											pDb.setVal(sqlXSI010F010.prmWARD_SERIAL_NO, ward.WARD_SERIAL_NO)
											pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
											pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
											'SQL実行
											pDb.execNonQuery(False)
										End If
									Finally
										If arr IsNot Nothing Then arr.Clear()
										arr = Nothing
									End Try
								End With
							Else
								'転棟取消
								With Nothing
									Dim arr As ArrayList = Nothing
									Try
										arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
										If arr.Count > 1 Then
											'最新病棟削除
											Dim ward_New As datWard = DirectCast(arr(0), datWard)
											'SQL文設定
											pDb.setSQL(sqlXSI010F010.sqlDel_MTI_WARD)
											'パラメータ設定
											pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmWARD_SERIAL_NO, clsDB.Enum_dbType.dbInt)
											'値設定
											pDb.setVal(sqlXSI010F010.prmPATIENT_NO, ward_New.PATIENT_NO)
											pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, ward_New.HSP_HISTORY_NO)
											pDb.setVal(sqlXSI010F010.prmCH_NO, ward_New.CH_NO)
											pDb.setVal(sqlXSI010F010.prmWARD_SERIAL_NO, ward_New.WARD_SERIAL_NO)
											pDb.execNonQuery(False)

											'削除後最新となった病棟の終了日クリア
											Dim ward As datWard = DirectCast(arr(1), datWard)
											'SQL文設定
											pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_WARD_MAIN_WARD_CLEAR_I)
											'パラメータ設定
											pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmWARD_SERIAL_NO, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmMAIN_WARD_FLG, clsDB.Enum_dbType.dbInt)
											pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
											pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
											'値設定
											pDb.setVal(sqlXSI010F010.prmPATIENT_NO, ward.PATIENT_NO)
											pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, ward.HSP_HISTORY_NO)
											pDb.setVal(sqlXSI010F010.prmCH_NO, ward.CH_NO)
											pDb.setVal(sqlXSI010F010.prmWARD_SERIAL_NO, ward.WARD_SERIAL_NO)
											If ward_New.MAIN_WARD_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
												'削除した病棟が主病棟の場合、主病棟フラグセット
												pDb.setVal(sqlXSI010F010.prmMAIN_WARD_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOn))
											Else
												pDb.setVal(sqlXSI010F010.prmMAIN_WARD_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOff))
											End If
											pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
											pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
											'SQL実行
											pDb.execNonQuery(False)

											If ward_New.MAIN_WARD_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
												'主病棟が変更されたので科歴の病棟更新
												Using cliCh As New clsXSI_MTI_CH()
													cliCh.PATIENT_NO = cliCh_DB.PATIENT_NO
													cliCh.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO
													cliCh.CH_NO = cliCh_DB.CH_NO
													cliCh.WARD_CD = ward.WARD_CD
													'更新
													Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, False)
												End Using

												'入退院の病棟更新
												Using cliHsp As New clsXSI_MTI_HSP()
													cliHsp.PATIENT_NO = cliHsp_DB.PATIENT_NO
													cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO
													cliHsp.WARD_CD = ward.WARD_CD
													Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, False)
												End Using
											End If
										End If
									Finally
										If arr IsNot Nothing Then arr.Clear()
										arr = Nothing
									End Try
								End With
							End If

							'トランザクション終了
							pDb.ctlTran(clsDB.Enum_TranMode.Commit)

						Catch ex As SqlClient.SqlException
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Call Me.cliXSI010F010.ErrorProc(ex)
							cliOneCsvData.ERR_FLG = "1"
						Catch ex As Exception
							If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						Finally
						End Try
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 整合性チェック(入院・退院・移動)データ種別I
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">最新基本情報</param>
	''' <param name="cliHsp_DB">最新基本情報</param>
	''' <param name="cliCh_DB">最新科歴情報</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataPattern3_I(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, _
															 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "整合性チェック(入院・退院・移動)データ種別I Start")
		Try
			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If

			If cliCh_DB.DEPT_CD = cliOneCsvData.DEPT_CD Then
				'転科チェック
				'最新科歴が終了している
				If String.IsNullOrEmpty(cliCh_DB.END_DT) = False Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'既に終了済みのため、取消できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"既に終了済みの", "取消", Nothing})
					Return False
				End If

				'最新科歴の開始経路が転科ではない
				If cliCh_DB.START_CNL_CD <> Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.hspChannelChangeDept) Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴", Nothing})
					Return False
				End If
			Else
				'転棟チェック
				'連携ファイル病棟コード入力
				If String.IsNullOrEmpty(cliOneCsvData.WARD_CD) = True Then
					cliOneCsvData.ERR_FLG = "2"
					cliOneCsvData.ERR_CD = "E0024"
					'無視（転科・転棟の判断がつきません。軽度のエラーです。）
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getWardData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
					If arr.Count = 0 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0015"
						'病棟情報が存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"病棟情報", Nothing})
						Return False
					End If

					Dim ward As datWard = DirectCast(arr(0), datWard)
					'転棟コード比較
					If ward.WARD_CD <> cliOneCsvData.WARD_CD Then
						cliOneCsvData.ERR_FLG = "2"
						cliOneCsvData.ERR_CD = "E0024"
						'無視（転科・転棟の判断がつきません。軽度のエラーです。）
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
						Return False
					End If
					'病棟終了日が入力されている
					If ward.WARD_END_DT <> Nothing Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'既に終了済みのため、取消できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"既に終了済みの", "移動", Nothing})
						Return False
					End If

					'転棟をしているかどうか
					If arr.Count = 1 Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'転科・転棟していないため移動取消できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"転科・転棟していない", "移動取消", Nothing})
						Return False
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

	''' ---------------------------------------------
	''' <summary>
	''' CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/11/05 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCsv(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char 'データ種別パターン
		Try
			'データ種別パターン取得
			'動作環境の連携方法、動作環境の連携（重複）
			Select Case True
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '入院・退院　重複なし
					dataTypePattern = New Char() {"A"c, "B"c}
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate)	'入院・退院　重複あり
					dataTypePattern = New Char() {"A"c, "B"c, "G"c}
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '退院 重複なし
					dataTypePattern = New Char() {"B"c}
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate) '退院 重複あり
					dataTypePattern = New Char() {"B"c}
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOutMove) '入院・退院・移動
					dataTypePattern = New Char() {"A"c, "B"c, "C"c, "G"c, "H"c, "I"c}
				Case Else
					dataTypePattern = New Char() {" "c}
			End Select

			'チェック対象アイテムリスト取得
			oneCsv = Me.getCsvCheckItemList(cliOneCsvData)

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case True
					Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '入院・退院　重複なし
						Select Case idx
							Case 0, 1, 2, 3, 4, 5, 9 : bRequired = True
							Case 12, 13 : If cliOneCsvData.DATA_TYPE.Equals("A") = True Then bRequired = True
							Case 15, 16 : If cliOneCsvData.DATA_TYPE.Equals("B") = True Then bRequired = True
							Case Else : bRequired = False
						End Select

					Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate)	'入院・退院　重複あり
						Select Case idx
							Case 0, 1, 2, 3, 4, 5, 9, 12 : bRequired = True
							Case 13 : If cliOneCsvData.DATA_TYPE.Equals("A") = True Then bRequired = True
							Case 15, 16 : If cliOneCsvData.DATA_TYPE.Equals("B") = True Then bRequired = True
							Case Else : bRequired = False
						End Select

					Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '退院 重複なし
						Select Case idx
							Case 0, 1, 2, 3, 4, 5, 9, 12, 13, 15, 16 : bRequired = True
							Case Else : bRequired = False
						End Select

					Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate) '退院 重複あり
						Select Case idx
							Case 0, 1, 2, 3, 4, 5, 9, 12, 13, 15, 16 : bRequired = True
							Case Else : bRequired = False
						End Select

					Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOutMove) '入院・退院・移動
						Select Case idx
							Case 0, 1, 2, 3, 4, 5 : bRequired = True
							Case 9
								Select Case cliOneCsvData.DATA_TYPE
									Case "A", "B", "G", "H" : bRequired = True
									Case "C", "I"
										'病棟コード空なら必須
										If String.IsNullOrEmpty(cliOneCsvData.WARD_CD) = True Then
											bRequired = True
										Else
											bRequired = False
										End If
									Case Else : bRequired = False
								End Select

							Case 12
								Select Case cliOneCsvData.DATA_TYPE
									Case "A", "C" : bRequired = True
									Case Else : bRequired = False
								End Select

							Case 15 : If cliOneCsvData.DATA_TYPE.Equals("B") = True Then bRequired = True
							Case 20
								Select Case cliOneCsvData.DATA_TYPE
									Case "C", "I"
										'診療科コード空なら必須
										If String.IsNullOrEmpty(cliOneCsvData.DEPT_CD) = True Then
											bRequired = True
										Else
											bRequired = False
										End If
									Case Else : bRequired = False
								End Select
							Case Else : bRequired = False
						End Select

				End Select

				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1, 39 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 4 '性別コード
							If Me.chkCsvGender(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 5, 12, 15, 24, 25, 38 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 14, 17	'時刻チェック
							If Me.chkCsvTime(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			'生年月日と入院日の前後関係
			If String.IsNullOrEmpty(cliOneCsvData.HSP_DT) = True Then
				'入院日未入力の場合チェックしない
			ElseIf Me.dateCompare(cliOneCsvData.BIRTH_DT, cliOneCsvData.HSP_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'入院日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入院日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'生年月日と退院日の前後関係
			If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DT) = True Then
				'退院日未入力の場合チェックしない
			ElseIf Me.dateCompare(cliOneCsvData.BIRTH_DT, cliOneCsvData.OUT_HSP_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'退院日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'入院日、退院日の前後関係
			If String.IsNullOrEmpty(cliOneCsvData.HSP_DT) = True OrElse String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DT) = True Then
			ElseIf Me.dateCompare(cliOneCsvData.HSP_DT, cliOneCsvData.OUT_HSP_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'退院日が入院日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退院日", "入院日より過去の日付", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			'動作環境の連携方法、動作環境の連携（重複）
			Select Case True
				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '入院・退院　重複なし
					disit.Add(1)	   'データ種別
					disit.Add(10)	   '患者番号
					disit.Add(20)	   '氏名
					disit.Add(30)	   '氏名カナ
					disit.Add(1)	   '性別コード
					disit.Add(10)	   '生年月日
					disit.Add(1)	   '血液型コード
					disit.Add(1)	   'Rｈコード
					disit.Add(10)	   '病歴番号
					disit.Add(2)	   '診療科コード
					disit.Add(1)	   '　―――
					disit.Add(2)	   '入院（開始）経路コード
					disit.Add(10)	   '入院日（開始日）
					disit.Add(1)	   '入院フラグ
					disit.Add(5)	   '入院（開始）時刻
					disit.Add(10)	   '退院日（終了日）
					disit.Add(1)	   '退院フラグ
					disit.Add(5)	   '退院（終了）時刻
					disit.Add(2)	   '退院（終了）経路コード
					disit.Add(2)	   '退院（終了）転帰コード
					disit.Add(3)	   '病棟コード
					disit.Add(1)	   '　―――
					disit.Add(2)	   '医師区分コード
					disit.Add(8)	   '医師コード
					disit.Add(10)	   '担当開始日
					disit.Add(10)	   '担当終了日
					disit.Add(1)	   '救急車有無コード
					disit.Add(1)	   '紹介状有無コード
					disit.Add(7)	   '郵便番号
					disit.Add(11)	   '診療圏コード
					disit.Add(80)	   '住所
					disit.Add(15)	   '電話番号
					disit.Add(2)	   '国籍コード
					disit.Add(2)	   '出生地コード
					disit.Add(80)	   '出生地住所
					disit.Add(6)	   '保険コード１
					disit.Add(6)	   '保険コード２
					disit.Add(6)	   '保険コード３
					disit.Add(10)	   '初診日
					disit.Add(10)	   '関連患者番号
					disit.Add(20)	   '世帯主
					disit.Add(2)	   '続柄
					disit.Add(20)	   'DPC（入退院歴）
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOut) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate)	'入院・退院　重複あり
					disit.Add(1)	   'データ種別
					disit.Add(10)	   '患者番号
					disit.Add(20)	   '氏名
					disit.Add(30)	   '氏名カナ
					disit.Add(1)	   '性別コード
					disit.Add(10)	   '生年月日
					disit.Add(1)	   '血液型コード
					disit.Add(1)	   'Rｈコード
					disit.Add(10)	   '病歴番号
					disit.Add(2)	   '診療科コード
					disit.Add(1)	   '主科フラグ
					disit.Add(2)	   '入院（開始）経路コード
					disit.Add(10)	   '入院日（開始日）
					disit.Add(1)	   '入院フラグ
					disit.Add(5)	   '入院（開始）時刻
					disit.Add(10)	   '退院日（終了日）
					disit.Add(1)	   '退院フラグ
					disit.Add(5)	   '退院（終了）時刻
					disit.Add(2)	   '退院（終了）経路コード
					disit.Add(2)	   '退院（終了）転帰コード
					disit.Add(3)	   '病棟コード
					disit.Add(1)	   '主病棟フラグ
					disit.Add(2)	   '医師区分コード
					disit.Add(8)	   '医師コード
					disit.Add(10)	   '担当開始日
					disit.Add(10)	   '担当終了日
					disit.Add(1)	   '救急車有無コード
					disit.Add(1)	   '紹介状有無コード
					disit.Add(7)	   '郵便番号
					disit.Add(11)	   '診療圏コード
					disit.Add(80)	   '住所
					disit.Add(15)	   '電話番号
					disit.Add(2)	   '国籍コード
					disit.Add(2)	   '出生地コード
					disit.Add(80)	   '出生地住所
					disit.Add(6)	   '保険コード１
					disit.Add(6)	   '保険コード２
					disit.Add(6)	   '保険コード３
					disit.Add(10)	   '初診日
					disit.Add(10)	   '関連患者番号
					disit.Add(20)	   '世帯主
					disit.Add(2)	   '続柄
					disit.Add(20)	   'DPC（入退院歴）
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――


				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.NoDuplicate) '退院 重複なし
					disit.Add(1)	   'データ種別
					disit.Add(10)	   '患者番号
					disit.Add(20)	   '氏名
					disit.Add(30)	   '氏名カナ
					disit.Add(1)	   '性別コード
					disit.Add(10)	   '生年月日
					disit.Add(1)	   '血液型コード
					disit.Add(1)	   'Rｈコード
					disit.Add(10)	   '病歴番号
					disit.Add(2)	   '診療科コード
					disit.Add(1)	   '　―――
					disit.Add(2)	   '入院（開始）経路コード
					disit.Add(10)	   '入院日（開始日）
					disit.Add(1)	   '入院フラグ
					disit.Add(5)	   '入院（開始）時刻
					disit.Add(10)	   '退院日（終了日）
					disit.Add(1)	   '退院フラグ
					disit.Add(5)	   '退院（終了）時刻
					disit.Add(2)	   '退院（終了）経路コード
					disit.Add(2)	   '退院（終了）転帰コード
					disit.Add(3)	   '病棟コード
					disit.Add(1)	   '　―――
					disit.Add(2)	   '医師区分コード
					disit.Add(8)	   '医師コード
					disit.Add(10)	   '担当開始日
					disit.Add(10)	   '担当終了日
					disit.Add(1)	   '救急車有無コード
					disit.Add(1)	   '紹介状有無コード
					disit.Add(7)	   '郵便番号
					disit.Add(11)	   '診療圏コード
					disit.Add(80)	   '住所
					disit.Add(15)	   '電話番号
					disit.Add(2)	   '国籍コード
					disit.Add(2)	   '出生地コード
					disit.Add(80)	   '出生地住所
					disit.Add(6)	   '保険コード１
					disit.Add(6)	   '保険コード２
					disit.Add(6)	   '保険コード３
					disit.Add(10)	   '初診日
					disit.Add(10)	   '関連患者番号
					disit.Add(20)	   '世帯主
					disit.Add(2)	   '続柄
					disit.Add(20)	   'DPC（入退院歴）
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.Out) AndAlso Me.envRepetition = CStr(clsConst.Enum_ImpDuplicate.Duplicate) '退院 重複あり
					disit.Add(1)	   'データ種別
					disit.Add(10)	   '患者番号
					disit.Add(20)	   '氏名
					disit.Add(30)	   '氏名カナ
					disit.Add(1)	   '性別コード
					disit.Add(10)	   '生年月日
					disit.Add(1)	   '血液型コード
					disit.Add(1)	   'Rｈコード
					disit.Add(10)	   '病歴番号
					disit.Add(2)	   '診療科コード
					disit.Add(1)	   '主科フラグ
					disit.Add(2)	   '入院（開始）経路コード
					disit.Add(10)	   '入院日（開始日）
					disit.Add(1)	   '入院フラグ
					disit.Add(5)	   '入院（開始）時刻
					disit.Add(10)	   '退院日（終了日）
					disit.Add(1)	   '退院フラグ
					disit.Add(5)	   '退院（終了）時刻
					disit.Add(2)	   '退院（終了）経路コード
					disit.Add(2)	   '退院（終了）転帰コード
					disit.Add(3)	   '病棟コード
					disit.Add(1)	   '主病棟フラグ
					disit.Add(2)	   '医師区分コード
					disit.Add(8)	   '医師コード
					disit.Add(10)	   '担当開始日
					disit.Add(10)	   '担当終了日
					disit.Add(1)	   '救急車有無コード
					disit.Add(1)	   '紹介状有無コード
					disit.Add(7)	   '郵便番号
					disit.Add(11)	   '診療圏コード
					disit.Add(80)	   '住所
					disit.Add(15)	   '電話番号
					disit.Add(2)	   '国籍コード
					disit.Add(2)	   '出生地コード
					disit.Add(80)	   '出生地住所
					disit.Add(6)	   '保険コード１
					disit.Add(6)	   '保険コード２
					disit.Add(6)	   '保険コード３
					disit.Add(10)	   '初診日
					disit.Add(10)	   '関連患者番号
					disit.Add(20)	   '世帯主
					disit.Add(2)	   '続柄
					disit.Add(20)	   'DPC（入退院歴）
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――
					disit.Add(1)	   '　―――

				Case Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOutMove) '入院・退院・移動
					disit.Add(1)	   'データ種別
					disit.Add(10)	   '患者番号
					disit.Add(20)	   '氏名
					disit.Add(30)	   '氏名カナ
					disit.Add(1)	   '性別コード
					disit.Add(10)	   '生年月日
					disit.Add(1)	   '血液型コード
					disit.Add(1)	   'Rｈコード
					disit.Add(10)	   '病歴番号
					disit.Add(2)	   '診療科コード
					disit.Add(1)	   '　―――
					disit.Add(2)	   '入院（開始）経路コード
					disit.Add(10)	   '入院日（開始日）
					disit.Add(1)	   '　―――
					disit.Add(5)	   '入院（開始）時刻
					disit.Add(10)	   '退院日（終了日）
					disit.Add(1)	   '　―――
					disit.Add(5)	   '退院（終了）時刻
					disit.Add(2)	   '退院（終了）経路コード
					disit.Add(2)	   '退院（終了）転帰コード
					disit.Add(3)	   '病棟コード
					disit.Add(1)	   '　―――
					disit.Add(2)	   '医師区分コード
					disit.Add(8)	   '医師コード
					disit.Add(10)	   '担当開始日
					disit.Add(10)	   '担当終了日
					disit.Add(1)	   '救急車有無コード
					disit.Add(1)	   '紹介状有無コード
					disit.Add(7)	   '郵便番号
					disit.Add(11)	   '診療圏コード
					disit.Add(80)	   '住所
					disit.Add(15)	   '電話番号
					disit.Add(2)	   '国籍コード
					disit.Add(2)	   '出生地コード
					disit.Add(80)	   '出生地住所
					disit.Add(6)	   '保険コード１
					disit.Add(6)	   '保険コード２
					disit.Add(6)	   '保険コード３
					disit.Add(10)	   '初診日
					disit.Add(10)	   '関連患者番号
					disit.Add(20)	   '世帯主
					disit.Add(2)	   '続柄
					disit.Add(20)	   'DPC（入退院歴）
					disit.Add(2)	   '転科先医師区分コード
					disit.Add(8)	   '転科先医師コード
					disit.Add(10)	   '転科先病歴番号

			End Select

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェックアイテムリスト作成
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>チェック対象アイテムリスト</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCsvCheckItemList(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP) As List(Of String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "チェックアイテムリスト作成 Start")
		Dim itemList As List(Of String) = Nothing
		Try
			itemList = New List(Of String)

			'取り込んだデータをワーカーに設定
			itemList.Add(cliOneCsvData.DATA_TYPE)					 'データ種別
			itemList.Add(cliOneCsvData.PATIENT_NO)					 '患者番号
			itemList.Add(cliOneCsvData.PATIENT_NM)					 '氏名
			itemList.Add(cliOneCsvData.PATIENT_KNM)					 '氏名カナ
			itemList.Add(cliOneCsvData.GENDER_CD)					 '性別コード
			itemList.Add(cliOneCsvData.BIRTH_DT)					 '生年月日
			itemList.Add(cliOneCsvData.BLOODTYPE_CD)				 '血液型コード
			itemList.Add(cliOneCsvData.RH_CD)						 'Rｈコード
			itemList.Add(cliOneCsvData.BYOREKI_NO)					 '病歴番号
			itemList.Add(cliOneCsvData.DEPT_CD)						 '診療科コード
			itemList.Add(cliOneCsvData.MAIN_DPM_FLG)				 '主科フラグ
			itemList.Add(cliOneCsvData.HSP_CNL_CD)					 '入院（開始）経路コード
			itemList.Add(cliOneCsvData.HSP_DT)						 '入院日（開始日）
			itemList.Add(cliOneCsvData.HSP_FLG)						 '入院フラグ
			itemList.Add(cliOneCsvData.HSP_TIME)					 '入院（開始）時刻
			itemList.Add(cliOneCsvData.OUT_HSP_DT)					 '退院日（終了日）
			itemList.Add(cliOneCsvData.OUT_HSP_FLG)					 '退院フラグ
			itemList.Add(cliOneCsvData.OUT_HSP_TIME)				 '退院（終了）時刻
			itemList.Add(cliOneCsvData.OUT_HSP_CNL_CD)				 '退院（終了）経路コード
			itemList.Add(cliOneCsvData.OUT_HSP_OUTCOME_CD)			 '退院（終了）転帰コード
			itemList.Add(cliOneCsvData.WARD_CD)						 '病棟コード
			itemList.Add(cliOneCsvData.MAIN_WARD_FLG)				 '主病棟フラグ
			itemList.Add(cliOneCsvData.DOCTOR_DIV)					 '医師区分コード
			itemList.Add(cliOneCsvData.DOCTOR_CD)					 '医師コード
			itemList.Add(cliOneCsvData.ATTEND_START_DT)				 '担当開始日
			itemList.Add(cliOneCsvData.ATTEND_END_DT)				 '担当終了日
			itemList.Add(cliOneCsvData.TAKE_AMBULANCE_CHK)			 '救急車有無コード
			itemList.Add(cliOneCsvData.INTRODUCTION_CHK)			 '紹介状有無コード
			itemList.Add(cliOneCsvData.ZIP_CD)						 '郵便番号
			itemList.Add(cliOneCsvData.AREA_CD)						 '診療圏コード
			itemList.Add(cliOneCsvData.ADDRESS_NM)					 '住所
			itemList.Add(cliOneCsvData.TELNUMBER)					 '電話番号
			itemList.Add(cliOneCsvData.NATIONALITY_CD)				 '国籍コード
			itemList.Add(cliOneCsvData.DOMICILE_ADDRESS_CD)			 '出生地コード
			itemList.Add(cliOneCsvData.DOMICILE_ADDRESS)			 '出生地住所
			itemList.Add(cliOneCsvData.INSURANCE_CD1)				 '保険コード１
			itemList.Add(cliOneCsvData.INSURANCE_CD2)				 '保険コード２
			itemList.Add(cliOneCsvData.INSURANCE_CD3)				 '保険コード３
			itemList.Add(cliOneCsvData.FIRST_DIAGNOSIS_DT)			 '初診日
			itemList.Add(cliOneCsvData.RELATION_PATIENT_NO)			 '関連患者番号
			itemList.Add(cliOneCsvData.HOUSEHOLDER_NM)				 '世帯主
			itemList.Add(cliOneCsvData.RELATION_CD)					 '続柄
			itemList.Add(cliOneCsvData.DPC_HSP)						 'DPC（入退院歴）
			itemList.Add(cliOneCsvData.TO_DEPT_DOCTOR_DIV)			 '転科先医師区分コード
			itemList.Add(cliOneCsvData.TO_DEPT_DOCTOR_CD)			 '転科先医師コード
			itemList.Add(cliOneCsvData.TO_DEPT_BYOREKI_NO)			 '転科先病歴番号

			Return itemList
		Catch ex As Exception
			Throw
		Finally
			itemList = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)						'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)					'患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)					'氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)					'氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)						'性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)						'生年月日
			cliOneCsvData.BLOODTYPE_CD = oneCsv(6)					'血液型コード
			cliOneCsvData.RH_CD = oneCsv(7)							'Rｈコード
			cliOneCsvData.BYOREKI_NO = oneCsv(8)					'病歴番号
			cliOneCsvData.DEPT_CD = oneCsv(9)						'診療科コード
			cliOneCsvData.MAIN_DPM_FLG = oneCsv(10)					'主科フラグ
			cliOneCsvData.HSP_CNL_CD = oneCsv(11)					'入院（開始）経路コード
			cliOneCsvData.HSP_DT = oneCsv(12)						'入院日（開始日）
			cliOneCsvData.HSP_FLG = oneCsv(13)						'入院フラグ
			cliOneCsvData.HSP_TIME = oneCsv(14)						'入院（開始）時刻
			cliOneCsvData.OUT_HSP_DT = oneCsv(15)					'退院日（終了日）
			cliOneCsvData.OUT_HSP_FLG = oneCsv(16)					'退院フラグ
			cliOneCsvData.OUT_HSP_TIME = oneCsv(17)					'退院（終了）時刻
			cliOneCsvData.OUT_HSP_CNL_CD = oneCsv(18)				'退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD = oneCsv(19)			'退院（終了）転帰コード
			cliOneCsvData.WARD_CD = oneCsv(20)						'病棟コード
			cliOneCsvData.MAIN_WARD_FLG = oneCsv(21)				'主病棟フラグ
			cliOneCsvData.DOCTOR_DIV = oneCsv(22)					'医師区分コード
			cliOneCsvData.DOCTOR_CD = oneCsv(23)					'医師コード
			cliOneCsvData.ATTEND_START_DT = oneCsv(24)				'担当開始日
			cliOneCsvData.ATTEND_END_DT = oneCsv(25)				'担当終了日
			cliOneCsvData.ZIP_CD = oneCsv(26)						'郵便番号
			cliOneCsvData.AREA_CD = oneCsv(27)						'診療圏コード
			cliOneCsvData.ADDRESS_NM = oneCsv(28)					'住所
			cliOneCsvData.TELNUMBER = oneCsv(29)					'電話番号
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(30)				'出生地住所
			cliOneCsvData.INSURANCE_CD1 = oneCsv(31)				'保険コード１
			cliOneCsvData.INSURANCE_CD2 = oneCsv(32)				'保険コード２
			cliOneCsvData.INSURANCE_CD3 = oneCsv(33)				'保険コード３
			cliOneCsvData.FIRST_DIAGNOSIS_DT = oneCsv(34)			'初診日
			cliOneCsvData.RELATION_PATIENT_NO = oneCsv(35)			'関連患者番号
			cliOneCsvData.HOUSEHOLDER_NM = oneCsv(36)				'世帯主
			cliOneCsvData.RELATION_CD = oneCsv(37)					'続柄
			cliOneCsvData.TO_DEPT_DOCTOR_DIV = oneCsv(38)			'転科先医師区分コード
			cliOneCsvData.TO_DEPT_DOCTOR_CD = oneCsv(39)			'転科先医師コード
			cliOneCsvData.TO_DEPT_BYOREKI_NO = oneCsv(40)			'転科先病歴番号

			cliOneCsvData.TAKE_AMBULANCE_CHK = String.Empty			'救急車有無コード(V3セット無し)
			cliOneCsvData.INTRODUCTION_CHK = String.Empty			'紹介状有無コード(V3セット無し)
			cliOneCsvData.NATIONALITY_CD = String.Empty				'国籍コード(V3セット無し)
			cliOneCsvData.DOMICILE_ADDRESS_CD = String.Empty		'出生地コード(V3セット無し)
			cliOneCsvData.DPC_HSP = String.Empty					'DPC（入退院歴）(V3セット無し)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "V4レイアウト変換 Start")
		Try
'(A) STR V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			Dim i As Integer
			For i = 0 To UBound(oneCsv)
				oneCsv(i) = oneCsv(i).Replace(Nothing, " "c)
				oneCsv(i) = RTrim(oneCsv(i))
			Next
'(A) END V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)				   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)			   '患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)			   '氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)			   '氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)				   '性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)				   '生年月日
			cliOneCsvData.BLOODTYPE_CD = oneCsv(6)			   '血液型コード
			cliOneCsvData.RH_CD = oneCsv(7)					   'Rｈコード
			cliOneCsvData.BYOREKI_NO = oneCsv(8)			   '病歴番号
			cliOneCsvData.DEPT_CD = oneCsv(9)				   '診療科コード
			cliOneCsvData.MAIN_DPM_FLG = oneCsv(10)			   '主科フラグ
			cliOneCsvData.HSP_CNL_CD = oneCsv(11)			   '入院（開始）経路コード
			cliOneCsvData.HSP_DT = oneCsv(12)				   '入院日（開始日）
			cliOneCsvData.HSP_FLG = oneCsv(13)				   '入院フラグ
			cliOneCsvData.HSP_TIME = oneCsv(14)				   '入院（開始）時刻
			cliOneCsvData.OUT_HSP_DT = oneCsv(15)			   '退院日（終了日）
			cliOneCsvData.OUT_HSP_FLG = oneCsv(16)			   '退院フラグ
			cliOneCsvData.OUT_HSP_TIME = oneCsv(17)			   '退院（終了）時刻
			cliOneCsvData.OUT_HSP_CNL_CD = oneCsv(18)		   '退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD = oneCsv(19)	   '退院（終了）転帰コード
			cliOneCsvData.WARD_CD = oneCsv(20)				   '病棟コード
			cliOneCsvData.MAIN_WARD_FLG = oneCsv(21)		   '主病棟フラグ
			cliOneCsvData.DOCTOR_DIV = oneCsv(22)			   '医師区分コード
			cliOneCsvData.DOCTOR_CD = oneCsv(23)			   '医師コード
			cliOneCsvData.ATTEND_START_DT = oneCsv(24)		   '担当開始日
			cliOneCsvData.ATTEND_END_DT = oneCsv(25)		   '担当終了日
			cliOneCsvData.TAKE_AMBULANCE_CHK = oneCsv(26)	   '救急車有無コード
			cliOneCsvData.INTRODUCTION_CHK = oneCsv(27)		   '紹介状有無コード
			cliOneCsvData.ZIP_CD = oneCsv(28)				   '郵便番号
			cliOneCsvData.AREA_CD = oneCsv(29)				   '診療圏コード
			cliOneCsvData.ADDRESS_NM = oneCsv(30)			   '住所
			cliOneCsvData.TELNUMBER = oneCsv(31)			   '電話番号
			cliOneCsvData.NATIONALITY_CD = oneCsv(32)		   '国籍コード
			cliOneCsvData.DOMICILE_ADDRESS_CD = oneCsv(33)	   '出生地コード
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(34)		   '出生地住所
			cliOneCsvData.INSURANCE_CD1 = oneCsv(35)		   '保険コード１
			cliOneCsvData.INSURANCE_CD2 = oneCsv(36)		   '保険コード２
			cliOneCsvData.INSURANCE_CD3 = oneCsv(37)		   '保険コード３
			cliOneCsvData.FIRST_DIAGNOSIS_DT = oneCsv(38)	   '初診日
			cliOneCsvData.RELATION_PATIENT_NO = oneCsv(39)	   '関連患者番号
			cliOneCsvData.HOUSEHOLDER_NM = oneCsv(40)		   '世帯主
			cliOneCsvData.RELATION_CD = oneCsv(41)			   '続柄
			cliOneCsvData.DPC_HSP = oneCsv(42)					'DPC（入退院歴）
			cliOneCsvData.TO_DEPT_DOCTOR_DIV = oneCsv(43)	   '転科先医師区分コード
			cliOneCsvData.TO_DEPT_DOCTOR_CD = oneCsv(44)	   '転科先医師コード
			cliOneCsvData.TO_DEPT_BYOREKI_NO = oneCsv(45)	   '転科先病歴番号
			'cliOneCsvData.SPARE01 = ""                              '予備１
			'cliOneCsvData.SPARE02 = ""                              '予備２
			'cliOneCsvData.SPARE03 = ""                              '予備３
			'cliOneCsvData.SPARE04 = ""                              '予備４

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <param name="cliBasicInfo_DB">基本情報DBデータ</param>
	''' <param name="cliBasicInfo">基本情報データ格納</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBasicInfo(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM, _
												 ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliBasicInfo As clsXSI_XTI_BASICINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "基本情報登録 Start")
		Try
			cliBasicInfo.PATIENT_NO = cliOneCsvData.PATIENT_NO						'患者番号
			cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM						'氏名
			cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM					'氏名カナ
			cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
			cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
			cliBasicInfo.BLOODTYPE_CD = cliOneCsvData.BLOODTYPE_CD					'血液型コード
			cliBasicInfo.RH_CD = cliOneCsvData.RH_CD								'Ｒｈコード
			cliBasicInfo.RELATION_PATIENT_NO = cliOneCsvData.RELATION_PATIENT_NO	'関連患者番号
			cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
			cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
			cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
			If cliOneCsvData.OUT_HSP_FLG = "1" OrElse (Me.envRenMode = CStr(clsConst.Enum_ImpMethod.HspOutMove) AndAlso cliOneCsvData.DATA_TYPE = "B") Then
				'退院の場合、最終退院日設定
				cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.OUT_HSP_DT				'最終退院日
			End If

			If String.IsNullOrEmpty(cliBasicInfo_DB.PATIENT_NO) = True Then
				Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eIns, cliBasicInfo) '登録
			Else
				'氏名変更チェック
				If cliBasicInfo_DB.PATIENT_NM <> cliBasicInfo.PATIENT_NM Then
					'基本情報氏名をずらして登録
					cliBasicInfo.PREVIOUS1_NM = cliBasicInfo_DB.PATIENT_NM				'旧姓１
					cliBasicInfo.PREVIOUS1_KNM = cliBasicInfo_DB.PATIENT_KNM			'旧姓１カナ
					cliBasicInfo.PREVIOUS2_NM = cliBasicInfo_DB.PREVIOUS1_NM			'旧姓２
					cliBasicInfo.PREVIOUS2_KNM = cliBasicInfo_DB.PREVIOUS1_KNM			'旧姓２カナ
					'ログにデータ格納
					cliLOG_PATIENT_NM.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
					cliLOG_PATIENT_NM.PATIENT_NM = cliBasicInfo.PATIENT_NM				'氏名
					cliLOG_PATIENT_NM.PATIENT_KNM = cliBasicInfo.PATIENT_KNM			'氏名カナ
					cliLOG_PATIENT_NM.PREVIOUS1_NM = cliBasicInfo.PREVIOUS1_NM			'旧姓１氏名
					cliLOG_PATIENT_NM.PREVIOUS1_KNM = cliBasicInfo.PREVIOUS1_KNM		'旧姓１氏名カナ
					cliLOG_PATIENT_NM.PREVIOUS2_NM = cliBasicInfo.PREVIOUS2_NM			'旧姓２氏名
					cliLOG_PATIENT_NM.PREVIOUS2_KNM = cliBasicInfo.PREVIOUS2_KNM		'旧姓２氏名カナ
					cliLOG_PATIENT_NM.DEL_PATIENT_NM = cliBasicInfo_DB.PREVIOUS2_NM		'削除氏名
					cliLOG_PATIENT_NM.DEL_PATIENT_KNM = cliBasicInfo_DB.PREVIOUS2_KNM	'削除氏名カナ
				End If
				If Me.dateCompare(cliBasicInfo_DB.BIRTH_DT, cliBasicInfo.BIRTH_DT) <> 0 Then
					'生年月日変更されていれば年齢再計算
					Me.UpdProc_BirthDt(pDb, False, cliOneCsvData.PATIENT_NO, DateTime.Parse(cliOneCsvData.BIRTH_DT), cliOneCsvData.GENDER_CD)
				End If
				'更新
				Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病歴番号取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="byorekiNo">デフォルト病歴番号</param>
	''' <returns>病歴番号</returns>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getByorekiNo(ByVal patientNo As String, ByVal byorekiNo As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "病歴番号取得 Start")
		Dim startIndex As Integer = 0	'開始位置
		Dim cutLength As Integer = 0	'桁数
		Dim ret As String = String.Empty
		Try
			'動作環境:患者番号をもとに病歴番号を設定（設定しない場合は０を設定）スタート位置
			Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00029), startIndex)
			'動作環境:患者番号をもとに病歴番号を設定（設定しない場合は０を設定）桁数
			Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00030), cutLength)

			If String.IsNullOrEmpty(patientNo) = False AndAlso startIndex > 0 AndAlso cutLength > 0 Then
				ret = Mid(patientNo, startIndex, cutLength)
			Else
				ret = byorekiNo
			End If

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 最新基本、入退院、科歴取得(Overloads)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="cliBasicInfo_DB">基本情報データ格納</param>
	''' <param name="cliHsp_DB">入退院情報データ格納</param>
	''' <param name="cliCh_DB">科歴情報データ格納</param>
	''' <returns>取得件数</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Function getBasicHspCh_NEW(ByVal pDb As clsDB, ByVal patientNo As String, _
											ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, _
											ByVal cliHsp_DB As clsXSI_MTI_HSP, _
											ByVal cliCh_DB As clsXSI_MTI_CH) As Integer

		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "最新基本、入退院、科歴取得 Start")
		Try

			'SQL文設定
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_BasicHspCh_NEW1)
			'パラメータセット
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)

			Return Me.setBasicHspCh_NEW(pDb, patientNo, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 最新基本、入退院、科歴取得(Overloads)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="deptCd">診療科コード</param>
	''' <param name="cliBasicInfo_DB">基本情報データ格納</param>
	''' <param name="cliHsp_DB">入退院情報データ格納</param>
	''' <param name="cliCh_DB">科歴情報データ格納</param>
	''' <returns>取得件数</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Function getBasicHspCh_NEW(ByVal pDb As clsDB, ByVal patientNo As String, ByVal deptCd As String, _
											ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, _
											ByVal cliHsp_DB As clsXSI_MTI_HSP, _
											ByVal cliCh_DB As clsXSI_MTI_CH) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "最新基本、入退院、科歴取得 Start")
		Try
			'SQL文設定
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_BasicHspCh_NEW2)
			'パラメータセット
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setValDa(sqlXSI010F010.prmDEPT_CD, deptCd)

			Return Me.setBasicHspCh_NEW(pDb, patientNo, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 最新基本、入退院、科歴取得(Overloads)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="deptCd">診療科コード</param>
	''' <param name="cliBasicInfo_DB">基本情報データ格納</param>
	''' <param name="cliHsp_DB">入退院情報データ格納</param>
	''' <param name="cliCh_DB">科歴情報データ格納</param>
	''' <returns>取得件数</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Function getBasicHspCh_NEW(ByVal pDb As clsDB, ByVal patientNo As String, ByVal deptCd As String, ByVal startDt As String, _
											ByRef cliBasicInfo_DB As clsXSI_XTI_BASICINFO, _
											ByRef cliHsp_DB As clsXSI_MTI_HSP, _
											ByRef cliCh_DB As clsXSI_MTI_CH) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "最新基本、入退院、科歴取得(1-1G) Start")
		Try
			'SQL文設定
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_BasicHspCh_NEW3)
			'パラメータセット
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmSTART_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setValDa(sqlXSI010F010.prmDEPT_CD, deptCd)
			pDb.setValDa(sqlXSI010F010.prmSTART_DT, startDt)

			Return Me.setBasicHspCh_NEW(pDb, patientNo, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 最新基本、入退院、科歴をデータクラスにセット
	''' </summary>
	''' <param name="pDb">DBクラス(SQL文、パラメータ、値セット済み)</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="cliBasicInfo_DB">基本情報データ格納</param>
	''' <param name="cliHsp_DB">入退院情報データ格納</param>
	''' <param name="cliCh_DB">科歴情報データ格納</param>
	''' <returns>件数</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function setBasicHspCh_NEW(ByVal pDb As clsDB, ByVal patientNo As String, _
											ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, _
											ByVal cliHsp_DB As clsXSI_MTI_HSP, _
											ByVal cliCh_DB As clsXSI_MTI_CH) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "最新基本、入退院、科歴をデータクラスにセット Start")
		Dim ret As Integer
		Try
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)

				ret = dt.Rows.Count
				'データ無し
				If dt.Rows.Count > 0 Then
					'基本情報
					cliBasicInfo_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_PATIENT_NO).ToString()			   '患者番号
					cliBasicInfo_DB.PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()				   '氏名
					cliBasicInfo_DB.PATIENT_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()				   '氏名カナ
					cliBasicInfo_DB.PREVIOUS1_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()			   '旧姓１
					cliBasicInfo_DB.PREVIOUS1_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()			   '旧姓１カナ
					cliBasicInfo_DB.PREVIOUS2_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()			   '旧姓２
					cliBasicInfo_DB.PREVIOUS2_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()			   '旧姓２カナ
					cliBasicInfo_DB.GENDER_CD = dt.Rows(0).Item(sqlXSI010F010.itmGENDER_CD).ToString()					   '性別コード
					cliBasicInfo_DB.BIRTH_DT = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()					   '生年月日
					cliBasicInfo_DB.BLOODTYPE_CD = dt.Rows(0).Item(sqlXSI010F010.itmBLOODTYPE_CD).ToString()			   '血液型コード
					cliBasicInfo_DB.RH_CD = dt.Rows(0).Item(sqlXSI010F010.itmRH_CD).ToString()							   'Ｒｈコード
					cliBasicInfo_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_BLOOD_TRAN_CHK).ToString()	   '輸血歴有無コード
					cliBasicInfo_DB.RELATION_PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_PATIENT_NO).ToString() '関連患者番号
					cliBasicInfo_DB.SMOKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_CHK).ToString()				   '喫煙歴有無コード
					cliBasicInfo_DB.SMOKING_START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_START_AGE).ToString()	   '喫煙開始年齢
					cliBasicInfo_DB.SMOKING_END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_END_AGE).ToString()		   '喫煙終了年齢
					cliBasicInfo_DB.SMOKING_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_COUNT).ToString()			   '喫煙本数
					cliBasicInfo_DB.SMOKING_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_AGE).ToString()				   '喫煙年数
					cliBasicInfo_DB.DRINKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmDRINKING_CHK).ToString()			   '飲酒有無コード
					cliBasicInfo_DB.PREGNANCY_CHK = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_CHK).ToString()			   '妊娠歴有無コード
					cliBasicInfo_DB.PREGNANCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_COUNT).ToString()		   '妊娠回数
					cliBasicInfo_DB.CB_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCB_CHK).ToString()						   '出産歴有無コード
					cliBasicInfo_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_CB_COUNT).ToString()				   '出産回数
					cliBasicInfo_DB.MENARCHE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENARCHE_AGE).ToString()			   '初潮年齢
					cliBasicInfo_DB.MENOPAUSE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENOPAUSE_AGE).ToString()			   '閉経年齢
					cliBasicInfo_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_REMARKS).ToString()				   'コメント
					cliBasicInfo_DB.FIRSTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRSTHSPVST_DT).ToString()		   '初回来院日
					cliBasicInfo_DB.LASTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTHSPVST_DT).ToString()			   '最終来院日
					cliBasicInfo_DB.LASTDEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmLASTDEPT_CD).ToString()				   '最終受診科コード
					cliBasicInfo_DB.LASTLEFTHSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTLEFTHSP_DT).ToString()		   '最終退院日
					cliBasicInfo_DB.NATIONALITY_CD = dt.Rows(0).Item(sqlXSI010F010.itmNATIONALITY_CD).ToString()		   '国籍
					cliBasicInfo_DB.DOMICILE_ADDRESS_CD = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS_CD).ToString() '出生地コード
					cliBasicInfo_DB.DOMICILE_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS).ToString()	   '本籍住所
					cliBasicInfo_DB.CONTACT_PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_PATIENT_NM).ToString()   '連絡先氏名
					cliBasicInfo_DB.CONTACT_RELATION = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_RELATION).ToString()	   '連絡先続柄コード
					cliBasicInfo_DB.CONTACT_ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ZIP_CD).ToString()		   '連絡先郵便番号
					cliBasicInfo_DB.CONTACT_TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_TELNUMBER).ToString()	   '連絡先電話番号
					cliBasicInfo_DB.CONTACT_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ADDRESS).ToString()		   '連絡先住所

					'入退院歴情報
					cliHsp_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmHSP_PATIENT_NO).ToString()							   '患者番号
					cliHsp_DB.HSP_HISTORY_NO = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_HISTORY_NO).ToString()					   '入退院歴番号
					cliHsp_DB.BYOREKI_NO = dt.Rows(0).Item(sqlXSI010F010.itmHSP_BYOREKI_NO).ToString()							   '病歴番号
					cliHsp_DB.DEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DEPT_CD).ToString()								   '診療科コード
					cliHsp_DB.WARD_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_WARD_CD).ToString()								   '病棟コード
					cliHsp_DB.DOCTOR_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DOCTOR_CD).ToString()							   '医師コード
					cliHsp_DB.HSP_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_CNL_CD).ToString()								   '入院経路コード
					cliHsp_DB.READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_READMISSION_FLG).ToString()				   '再入院フラグ
					cliHsp_DB.HSP_AIM_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_AIM_CD).ToString()							   '入院目的コード
					cliHsp_DB.HSP_FORM_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_FORM_CD).ToString()						   '入院形態コード
					cliHsp_DB.HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()										   '入院日
					cliHsp_DB.HSP_TIME = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString()									   '入院時刻
					cliHsp_DB.HSP_AGE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_AGE).ToString()									   '入院時年齢
					cliHsp_DB.HSP_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_MONTH_AGE).ToString()						   '入院時月齢
					cliHsp_DB.HSP_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DAY_AGE).ToString()							   '入院時日齢
					cliHsp_DB.OUT_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()								   '退院日
					cliHsp_DB.OUT_HSP_TIME = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_TIME).ToString()							   '退院時刻
					cliHsp_DB.OUT_HSP_AGE = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_AGE).ToString()							   '退院時年齢
					cliHsp_DB.OUT_HSP_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_MONTH_AGE).ToString()				   '退院時月齢
					cliHsp_DB.OUT_HSP_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DAY_AGE).ToString()					   '退院時日齢
					cliHsp_DB.OUT_HSP_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_CNL_CD).ToString()						   '退院経路コード
					cliHsp_DB.OUT_HSP_OUTCOME_CD = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_OUTCOME_CD).ToString()				   '退院転帰コード
					cliHsp_DB.HSP_DAYS = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_DAYS).ToString()								   '在院日数
					cliHsp_DB.CHANGE_DEPT_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCHANGE_DEPT_CHK).ToString()					   '転科有無コード
					cliHsp_DB.HOLD_DEPT_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHOLD_DEPT_CHK).ToString()						   '兼科有無コード
					cliHsp_DB.TAKE_AMBULANCE_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TAKE_AMBULANCE_CHK).ToString()			   '救急車搬送有無コード
					cliHsp_DB.PLAN_EMERGENCY_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_PLAN_EMERGENCY_CD).ToString()			   '予定緊急コード
					cliHsp_DB.CLINICAL_TRIAL_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHSP_CLINICAL_TRIAL_CHK).ToString()			   '治験実施有無コード
					cliHsp_DB.LAST_SELF_OTHER_HSP_DIV = dt.Rows(0).Item(sqlXSI010F010.itmHSP_LAST_SELF_OTHER_HSP_DIV).ToString()   '前回自他院区分
					cliHsp_DB.LAST_OUT_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_LAST_OUT_HSP_DT).ToString()				   '前回退院日
					cliHsp_DB.DPC_NO = dt.Rows(0).Item(sqlXSI010F010.itmDPC_NO).ToString()										   'ＤＰＣ番号
					cliHsp_DB.TOTAL_MED_COST = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TOTAL_MED_COST).ToString()					   '医療費合計
					cliHsp_DB.MED_COST_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_MED_COST_COUNT).ToString()					   '医療費数
					cliHsp_DB.EXCLUDE_STATISTICS_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_EXCLUDE_STATISTICS_FLG).ToString()	   '統計対象外フラグ
					cliHsp_DB.SAME_DISEASE_LAST_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_SAME_DISEASE_LAST_HSP_DT).ToString() '同一疾病前回退院日
					cliHsp_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmHSP_REMARKS).ToString()								   '備考
					cliHsp_DB.HSP_INFECTION_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_INFECTION_CHK).ToString()			   '院内感染症有無コード
					cliHsp_DB.HSP_FREEITEM1 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM1).ToString()						   '一般病棟以外からの移動有無コード
					cliHsp_DB.HSP_FREEITEM2 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM2).ToString()						   '一般病棟以外への移動有無コード
					cliHsp_DB.HSP_FREEITEM3 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM3).ToString()						   '入退院有無コード3
					cliHsp_DB.HSP_FREEITEM4 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM4).ToString()						   '入退院有無コード4
					cliHsp_DB.HSP_FREEITEM5 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM5).ToString()						   '入退院有無コード5
					cliHsp_DB.HSP_FREEITEM6 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM6).ToString()						   '入退院有無コード6
					cliHsp_DB.DISEASE_READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DISEASE_READMISSION_FLG).ToString()   '疾病再入院フラグ
					cliHsp_DB.STATURE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_STATURE).ToString()								   '身長
					cliHsp_DB.WEIGHT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_WEIGHT).ToString()									   '体重
					cliHsp_DB.TIME_OUT_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME_OUT_FLG).ToString()						   '時間外フラグ

					'科歴情報
					cliCh_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_PATIENT_NO).ToString()								   '患者番号
					cliCh_DB.HSP_HISTORY_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_HISTORY_NO).ToString()						   '入退院歴番号
					cliCh_DB.CH_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()												   '科歴番号
					cliCh_DB.BYOREKI_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_BYOREKI_NO).ToString()								   '病歴番号
					cliCh_DB.DEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_DEPT_CD).ToString()										   '診療科コード
					cliCh_DB.WARD_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_WARD_CD).ToString()										   '病棟コード
					cliCh_DB.DOCTOR_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_DOCTOR_CD).ToString()									   '医師コード
					cliCh_DB.HSP_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FLG).ToString()											   '入院フラグ
					cliCh_DB.OUT_HSP_FLG = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_FLG).ToString()									   '退院フラグ
					cliCh_DB.MAIN_DPM_FLG = dt.Rows(0).Item(sqlXSI010F010.itmMAIN_DPM_FLG).ToString()								   '主科フラグ
					cliCh_DB.ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmZIP_CD).ToString()											   '郵便番号
					cliCh_DB.AREA_CD = dt.Rows(0).Item(sqlXSI010F010.itmAREA_CD).ToString()											   '診療圏コード
					cliCh_DB.ADDRESS_NM = dt.Rows(0).Item(sqlXSI010F010.itmADDRESS_NM).ToString()											 '住所
					cliCh_DB.TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmTELNUMBER).ToString()										   '電話番号
					cliCh_DB.READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_READMISSION_FLG).ToString()						   '再入院フラグ
					cliCh_DB.HSP_AIM_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_AIM_CD).ToString()								   '入院目的コード
					cliCh_DB.HSP_FORM_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_FORM_CD).ToString()								   '入院形態コード
					cliCh_DB.INTRODUCED_CD = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_CD).ToString()								   '紹介元コード
					cliCh_DB.INTRODUCED_NM = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_NM).ToString()								   '紹介元名
					cliCh_DB.INTRODUCED_DOCTOR_NM = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_DOCTOR_NM).ToString()				   '紹介元医師名
					cliCh_DB.INTRODUCED_REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_REMARKS).ToString()					   '紹介元備考
					cliCh_DB.REFERENCE_CD = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_CD).ToString()								   '紹介先コード
					cliCh_DB.REFERENCE_NM = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_NM).ToString()								   '紹介先名
					cliCh_DB.REFERENCE_DOCTOR_NM = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_DOCTOR_NM).ToString()					   '紹介先医師名
					cliCh_DB.REFERENCE_REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_REMARKS).ToString()						   '紹介先備考
					cliCh_DB.START_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmSTART_CNL_CD).ToString()								   '開始経路コード
					cliCh_DB.START_DT = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()										   '開始日
					cliCh_DB.START_TIME = dt.Rows(0).Item(sqlXSI010F010.itmSTART_TIME).ToString()									   '開始時刻
					cliCh_DB.START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSTART_AGE).ToString()										   '開始時年齢
					cliCh_DB.START_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSTART_MONTH_AGE).ToString()							   '開始時月齢
					cliCh_DB.START_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DAY_AGE).ToString()								   '開始時日齢
					cliCh_DB.END_DT = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()											   '終了日
					cliCh_DB.END_TIME = dt.Rows(0).Item(sqlXSI010F010.itmEND_TIME).ToString()										   '終了時刻
					cliCh_DB.END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmEND_AGE).ToString()											   '終了時年齢
					cliCh_DB.END_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmEND_MONTH_AGE).ToString()								   '終了時月齢
					cliCh_DB.END_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmEND_DAY_AGE).ToString()									   '終了時日齢
					cliCh_DB.HSP_DAYS = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_DAYS).ToString()									   '在院日数
					cliCh_DB.END_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmEND_CNL_CD).ToString()									   '終了経路コード
					cliCh_DB.END_OUTCOME_CD = dt.Rows(0).Item(sqlXSI010F010.itmEND_OUTCOME_CD).ToString()							   '終了転帰コード
					cliCh_DB.STATURE = dt.Rows(0).Item(sqlXSI010F010.itmCH_STATURE).ToString()										   '身長
					cliCh_DB.WEIGHT = dt.Rows(0).Item(sqlXSI010F010.itmCH_WEIGHT).ToString()										   '体重
					cliCh_DB.INSURANCE_CD1 = dt.Rows(0).Item(sqlXSI010F010.itmINSURANCE_CD1).ToString()								   '保険コード１
					cliCh_DB.INSURANCE_CD2 = dt.Rows(0).Item(sqlXSI010F010.itmINSURANCE_CD2).ToString()								   '保険コード２
					cliCh_DB.INSURANCE_CD3 = dt.Rows(0).Item(sqlXSI010F010.itmINSURANCE_CD3).ToString()								   '保険コード３
					cliCh_DB.CURRENT_JOB_CD = dt.Rows(0).Item(sqlXSI010F010.itmCURRENT_JOB_CD).ToString()							   '職業コード
					cliCh_DB.FIRST_DIAGNOSIS_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRST_DIAGNOSIS_DT).ToString()					   '初診日
					cliCh_DB.OTHER_DEPT_CHK = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_DEPT_CHK).ToString()							   '対診有無コード
					cliCh_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_BLOOD_TRAN_CHK).ToString()						   '輸血有無コード
					cliCh_DB.OPE_CHK = dt.Rows(0).Item(sqlXSI010F010.itmOPE_CHK).ToString()											   '手術有無コード
					cliCh_DB.DPC_CD = dt.Rows(0).Item(sqlXSI010F010.itmDPC_CD).ToString()											   'ＤＰＣコード
					cliCh_DB.TOTAL_MED_COST = dt.Rows(0).Item(sqlXSI010F010.itmCH_TOTAL_MED_COST).ToString()						   '医療費合計
					cliCh_DB.INFECTION1 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION1).ToString()									   '感染症１
					cliCh_DB.INFECTION2 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION2).ToString()									   '感染症２
					cliCh_DB.INFECTION3 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION3).ToString()									   '感染症３
					cliCh_DB.INFECTION4 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION4).ToString()									   '感染症４
					cliCh_DB.INFECTION5 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION5).ToString()									   '感染症５
					cliCh_DB.INFECTION6 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION6).ToString()									   '感染症６
					cliCh_DB.OTHER_INFECTION = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_INFECTION).ToString()							   '感染症その他
					cliCh_DB.ALLERGY1 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY1).ToString()										   'アレルギー１
					cliCh_DB.ALLERGY2 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY2).ToString()										   'アレルギー２
					cliCh_DB.ALLERGY3 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY3).ToString()										   'アレルギー３
					cliCh_DB.ALLERGY4 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY4).ToString()										   'アレルギー４
					cliCh_DB.ALLERGY5 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY5).ToString()										   'アレルギー５
					cliCh_DB.ALLERGY6 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY6).ToString()										   'アレルギー６
					cliCh_DB.OTHER_ALLERGY = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_ALLERGY).ToString()								   'アレルギーその他
					cliCh_DB.LAST_OUT_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmCH_LAST_OUT_HSP_DT).ToString()						   '前回退院日
					cliCh_DB.LAST_SELF_OTHER_HSP_DIV = dt.Rows(0).Item(sqlXSI010F010.itmCH_LAST_SELF_OTHER_HSP_DIV).ToString()		   '前回自他院区分
					cliCh_DB.COMMENT = dt.Rows(0).Item(sqlXSI010F010.itmCOMMENT).ToString()											   'コメント
					cliCh_DB.EXCLUDE_STATISTICS_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_EXCLUDE_STATISTICS_FLG).ToString()		   '統計対象外フラグ
					cliCh_DB.REG_STATUS_CD = dt.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()								   '登録状況コード
					cliCh_DB.REG_FINISHED_DT = dt.Rows(0).Item(sqlXSI010F010.itmREG_FINISHED_DT).ToString()							   '登録完了日
					cliCh_DB.REG_PERSON_CD = dt.Rows(0).Item(sqlXSI010F010.itmREG_PERSON_CD).ToString()								   '登録者コード
					cliCh_DB.DISEASE_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmDISEASE_COUNT).ToString()										   '病名数
					cliCh_DB.OPE_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmOPE_COUNT).ToString()										   '手術数
					cliCh_DB.CARE_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCARE_COUNT).ToString()									   '治療処置数
					cliCh_DB.TEST_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmTEST_COUNT).ToString()									   '検査数
					cliCh_DB.ASST_ITM1_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmASST_ITM1_COUNT).ToString()							   '補足項目１数
					cliCh_DB.ASST_ITM2_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmASST_ITM2_COUNT).ToString()							   '補足項目２数
					cliCh_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCB_COUNT).ToString()										   '分娩数
					cliCh_DB.EMERGENCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmEMERGENCY_COUNT).ToString()							   '救命救急数
					cliCh_DB.OTHER_DEPT_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_DEPT_COUNT).ToString()						   '対診科数
					cliCh_DB.MED_COST_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCH_MED_COST_COUNT).ToString()						   '医療費数
					cliCh_DB.HOUSEHOLDER_NM = dt.Rows(0).Item(sqlXSI010F010.itmHOUSEHOLDER_NM).ToString()							   '世帯主名
					cliCh_DB.RELATION_CD = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_CD).ToString()									   '続柄コード
					cliCh_DB.TAKE_AMBULANCE_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_TAKE_AMBULANCE_CHK).ToString()				   '救急車搬送有無コード
					cliCh_DB.PLAN_EMERGENCY_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_PLAN_EMERGENCY_CD).ToString()					   '予定緊急コード
					cliCh_DB.CLINICAL_TRIAL_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_CLINICAL_TRIAL_CHK).ToString()				   '治験実施有無コード
					cliCh_DB.CNR_REG_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCNR_REG_COUNT).ToString()								   'がん登録数
					cliCh_DB.CNR_REG_EXPECTED_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCNR_REG_EXPECTED_COUNT).ToString()			   'がん登録予定数
					cliCh_DB.SAME_DISEASE_LAST_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmCH_SAME_DISEASE_LAST_HSP_DT).ToString()	   '同一疾病前回退院日
					cliCh_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmCH_REMARKS).ToString()										   '備考
					cliCh_DB.HSP_INFECTION_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_INFECTION_CHK).ToString()					   '院内感染症有無コード
					cliCh_DB.DISEASE_READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_DISEASE_READMISSION_FLG).ToString()		   '疾病再入院フラグ
					cliCh_DB.PATH_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPATH_COUNT).ToString()									   'パス数
					cliCh_DB.PAST_JOB_CD = dt.Rows(0).Item(sqlXSI010F010.itmPAST_JOB_CD).ToString()									   '既職コード
					cliCh_DB.LIVE_TOGETHER_STATE_CD = dt.Rows(0).Item(sqlXSI010F010.itmLIVE_TOGETHER_STATE_CD).ToString()			   '同居状況コード
					cliCh_DB.INTRODUCTION_CHK = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCTION_CHK).ToString()						   '紹介状有無コード
					cliCh_DB.TIME_OUT_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_TIME_OUT_FLG).ToString()							   '時間外フラグ

				Else
					'データテーブルクリア
					dt.Clear()

					'入退院、科歴初期値を設定
					cliHsp_DB.HSP_HISTORY_NO = "0"
					cliCh_DB.HSP_HISTORY_NO = "0"
					cliCh_DB.CH_NO = "0"

					'基本情報取得
					pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliBasicInfo_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NO).ToString()					'患者番号
						cliBasicInfo_DB.PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()					'氏名
						cliBasicInfo_DB.PATIENT_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()					'氏名カナ
						cliBasicInfo_DB.PREVIOUS1_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()				'旧姓１
						cliBasicInfo_DB.PREVIOUS1_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()				'旧姓１カナ
						cliBasicInfo_DB.PREVIOUS2_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()				'旧姓２
						cliBasicInfo_DB.PREVIOUS2_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()				'旧姓２カナ
						cliBasicInfo_DB.GENDER_CD = dt.Rows(0).Item(sqlXSI010F010.itmGENDER_CD).ToString()						'性別コード
						cliBasicInfo_DB.BIRTH_DT = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()						'生年月日
						cliBasicInfo_DB.BLOODTYPE_CD = dt.Rows(0).Item(sqlXSI010F010.itmBLOODTYPE_CD).ToString()				'血液型コード
						cliBasicInfo_DB.RH_CD = dt.Rows(0).Item(sqlXSI010F010.itmRH_CD).ToString()								'Ｒｈコード
						cliBasicInfo_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmBLOOD_TRAN_CHK).ToString()			'輸血歴有無コード
						cliBasicInfo_DB.RELATION_PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_PATIENT_NO).ToString()	'関連患者番号
						cliBasicInfo_DB.SMOKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_CHK).ToString()					'喫煙歴有無コード
						cliBasicInfo_DB.SMOKING_START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_START_AGE).ToString()		'喫煙開始年齢
						cliBasicInfo_DB.SMOKING_END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_END_AGE).ToString()			'喫煙終了年齢
						cliBasicInfo_DB.SMOKING_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_COUNT).ToString()				'喫煙本数
						cliBasicInfo_DB.SMOKING_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_AGE).ToString()					'喫煙年数
						cliBasicInfo_DB.DRINKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmDRINKING_CHK).ToString()				'飲酒有無コード
						cliBasicInfo_DB.PREGNANCY_CHK = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_CHK).ToString()				'妊娠歴有無コード
						cliBasicInfo_DB.PREGNANCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_COUNT).ToString()			'妊娠回数
						cliBasicInfo_DB.CB_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCB_CHK).ToString()							'出産歴有無コード
						cliBasicInfo_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCB_COUNT).ToString()						'出産回数
						cliBasicInfo_DB.MENARCHE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENARCHE_AGE).ToString()				'初潮年齢
						cliBasicInfo_DB.MENOPAUSE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENOPAUSE_AGE).ToString()				'閉経年齢
						cliBasicInfo_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmREMARKS).ToString()							'コメント
						cliBasicInfo_DB.FIRSTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRSTHSPVST_DT).ToString()			'初回来院日
						cliBasicInfo_DB.LASTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTHSPVST_DT).ToString()				'最終来院日
						cliBasicInfo_DB.LASTDEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmLASTDEPT_CD).ToString()					'最終受診科コード
						cliBasicInfo_DB.LASTLEFTHSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTLEFTHSP_DT).ToString()			'最終退院日
						cliBasicInfo_DB.NATIONALITY_CD = dt.Rows(0).Item(sqlXSI010F010.itmNATIONALITY_CD).ToString()			'国籍
						cliBasicInfo_DB.DOMICILE_ADDRESS_CD = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS_CD).ToString()	'出生地コード
						cliBasicInfo_DB.DOMICILE_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS).ToString()		'本籍住所
						cliBasicInfo_DB.CONTACT_PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_PATIENT_NM).ToString()	'連絡先氏名
						cliBasicInfo_DB.CONTACT_RELATION = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_RELATION).ToString()		'連絡先続柄コード
						cliBasicInfo_DB.CONTACT_ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ZIP_CD).ToString()			'連絡先郵便番号
						cliBasicInfo_DB.CONTACT_TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_TELNUMBER).ToString()		'連絡先電話番号
						cliBasicInfo_DB.CONTACT_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ADDRESS).ToString()			'連絡先住所
					End If
				End If
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>病棟情報コレクション</returns>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getWardData(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "病棟情報取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb Is Nothing Then
				db = New clsDB(clsSysMst.ctlConfigData)
			Else
				db = pDb
			End If
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlSel_MTI_WARD)
			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)

			'SQL実行
			arr = New ArrayList()
			db.execQuery(GetType(datWard), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[医師情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_WARD">医師情報</param>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSqlParam_MTI_WARD(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_WARD As clsXSI_MTI_WARD)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[医師情報] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_WARD)
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_WARD)
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	   '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)	   '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)			   '科歴番号
					pDb.setParam(sqlXSI010F010.prmWARD_SERIAL_NO, clsDB.Enum_dbType.dbInt)	   '病棟連番
					pDb.setParam(sqlXSI010F010.prmMAIN_WARD_FLG, clsDB.Enum_dbType.dbInt)	   '主病棟フラグ
					pDb.setParam(sqlXSI010F010.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar)		   '病棟コード
					pDb.setParam(sqlXSI010F010.prmWARD_START_DT, clsDB.Enum_dbType.dbDateTime)	'病棟開始日
					pDb.setParam(sqlXSI010F010.prmWARD_END_DT, clsDB.Enum_dbType.dbDateTime)	   '病棟終了日
					pDb.setParam(sqlXSI010F010.prmWARD_DAYS, clsDB.Enum_dbType.dbInt)		   '病棟日数
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	 '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)	   '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_WARD.PATIENT_NO)			   '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_WARD.HSP_HISTORY_NO)	   '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_WARD.CH_NO)					   '科歴番号
					pDb.setVal(sqlXSI010F010.prmWARD_SERIAL_NO, cliMTI_WARD.WARD_SERIAL_NO)	   '病棟連番
					pDb.setVal(sqlXSI010F010.prmMAIN_WARD_FLG, cliMTI_WARD.MAIN_WARD_FLG)	   '主病棟フラグ
					pDb.setVal(sqlXSI010F010.prmWARD_CD, cliMTI_WARD.WARD_CD)				   '病棟コード
					pDb.setVal(sqlXSI010F010.prmWARD_START_DT, cliMTI_WARD.WARD_START_DT)	   '病棟開始日
					pDb.setVal(sqlXSI010F010.prmWARD_END_DT, cliMTI_WARD.WARD_END_DT)		   '病棟終了日
					pDb.setVal(sqlXSI010F010.prmWARD_DAYS, cliMTI_WARD.WARD_DAYS)			   '病棟日数
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)	   '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)					   '更新日

				Case Enum_SqlIdx.eDel
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_WARD_CH)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		  '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				  '科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_WARD.PATIENT_NO)				'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_WARD.HSP_HISTORY_NO)		'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_WARD.CH_NO)						'科歴番号

			End Select
			'SQL文実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[管理物]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_LENDITM">貸出物データクラス</param>
	''' <remarks>
	''' 2010/10/12 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_LENDITM(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_LENDITM As clsXSI_MTI_LENDITM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】SQLパラメータ設定 Start")
		Try
			'SQL文設定
			If sqlIdx = Enum_SqlIdx.eIns Then
				pDb.setSQL(sqlXSI010F010.sqlIns_MTI_LENDITM) '登録
			Else
				pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM) '更新
			End If

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			 '入退院歴番号
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					 '科歴番号
			pDb.setParam(sqlXSI010F010.prmRECORD_COUNT, clsDB.Enum_dbType.dbInt)				 'カルテ数
			pDb.setParam(sqlXSI010F010.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 'カルテ受領日
			pDb.setParam(sqlXSI010F010.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ受領者コード
			pDb.setParam(sqlXSI010F010.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ保管場所コード
			pDb.setParam(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ整理状況コード
			pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ管理状況コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbInt)			 'サマリ数
			pDb.setParam(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 'サマリ受領日
			pDb.setParam(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 'サマリ保管場所コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)		 'サマリ作成者コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 'サマリ管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER1_COUNT, clsDB.Enum_dbType.dbInt)				 '他１数
			pDb.setParam(sqlXSI010F010.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他１受領日
			pDb.setParam(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 '他１保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 '他１管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER2_COUNT, clsDB.Enum_dbType.dbInt)				 '他２数
			pDb.setParam(sqlXSI010F010.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他２受領日
			pDb.setParam(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 '他２保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 '他２管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER3_COUNT, clsDB.Enum_dbType.dbInt)				 '他３数
			pDb.setParam(sqlXSI010F010.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他３受領日
			pDb.setParam(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 '他３保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 '他３管理状況コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbDateTime)	 'サマリ承認日
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		 '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			 '更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_LENDITM.PATIENT_NO)						 '患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_LENDITM.HSP_HISTORY_NO)				 '入退院歴番号
			pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_LENDITM.CH_NO)								 '科歴番号
			pDb.setVal(sqlXSI010F010.prmRECORD_COUNT, cliMTI_LENDITM.RECORD_COUNT)					 'カルテ数
			pDb.setVal(sqlXSI010F010.prmRECORD_RECEIPT_DT, cliMTI_LENDITM.RECORD_RECEIPT_DT)		 'カルテ受領日
			pDb.setVal(sqlXSI010F010.prmRECORD_RECIPIENT_CD, cliMTI_LENDITM.RECORD_RECIPIENT_CD)	 'カルテ受領者コード
			pDb.setVal(sqlXSI010F010.prmRECORD_KEEPLCT_CD, cliMTI_LENDITM.RECORD_KEEPLCT_CD)		 'カルテ保管場所コード
			pDb.setVal(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, cliMTI_LENDITM.RECORD_ARG_STATUS_CD)	 'カルテ整理状況コード
			pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, cliMTI_LENDITM.RECORD_MNGSTATUS_CD)	 'カルテ管理状況コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_COUNT, cliMTI_LENDITM.SUMMARY_COUNT)				 'サマリ数
			pDb.setVal(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, cliMTI_LENDITM.SUMMARY_RECEIPT_DT)		 'サマリ受領日
			pDb.setVal(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, cliMTI_LENDITM.SUMMARY_KEEPLCT_CD)		 'サマリ保管場所コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MAKER_CD, cliMTI_LENDITM.SUMMARY_MAKER_CD)			 'サマリ作成者コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, cliMTI_LENDITM.SUMMARY_MNGSTATUS_CD)	 'サマリ管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER1_COUNT, cliMTI_LENDITM.OTHER1_COUNT)					 '他１数
			pDb.setVal(sqlXSI010F010.prmOTHER1_RECEIPT_DT, cliMTI_LENDITM.OTHER1_RECEIPT_DT)		 '他１受領日
			pDb.setVal(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, cliMTI_LENDITM.OTHER1_KEEPLCT_CD)		 '他１保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, cliMTI_LENDITM.OTHER1_MNGSTATUS_CD)	 '他１管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER2_COUNT, cliMTI_LENDITM.OTHER2_COUNT)					 '他２数
			pDb.setVal(sqlXSI010F010.prmOTHER2_RECEIPT_DT, cliMTI_LENDITM.OTHER2_RECEIPT_DT)		 '他２受領日
			pDb.setVal(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, cliMTI_LENDITM.OTHER2_KEEPLCT_CD)		 '他２保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, cliMTI_LENDITM.OTHER2_MNGSTATUS_CD)	 '他２管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER3_COUNT, cliMTI_LENDITM.OTHER3_COUNT)					 '他３数
			pDb.setVal(sqlXSI010F010.prmOTHER3_RECEIPT_DT, cliMTI_LENDITM.OTHER3_RECEIPT_DT)		 '他３受領日
			pDb.setVal(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, cliMTI_LENDITM.OTHER3_KEEPLCT_CD)		 '他３保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, cliMTI_LENDITM.OTHER3_MNGSTATUS_CD)	 '他３管理状況コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, cliMTI_LENDITM.SUMMARY_APPROVAL_DT)	 'サマリ承認日
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					 '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									 '更新日

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院関連情報削除
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delHsp(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal hspHistoryNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "入退院関連情報削除 Start")
		Try
			'TI_入退院情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_パス情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_PATH_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_医師情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DOCTOR_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_医療費情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_MED_COST_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_科歴情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CH_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_救命救急情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_EMERGENCY_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_検査情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_TEST_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_治療処置情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_EMERGENCY_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_手術医師情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE_DOCTOR_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_手術情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_対診科情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OTHER_DEPT_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_病棟情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_WARD_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_病名情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DISEASE_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_分娩子情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_CHILD_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_分娩子流死産情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_SB_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_分娩情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_補足項目１情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_ASST1_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TI_補足項目２情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_ASST2_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TK_監査情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_INSPECT_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TK_貸出情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_LEND_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
			'TK_貸出物情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_LENDITM_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴関連情報削除
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delCh(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "科歴関連情報削除 Start")
		Try
			'TI_パス情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_PATH)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_医師情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DOCTOR)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_医療費情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_MED_COST)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_科歴情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CH)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_救命救急情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_EMERGENCY)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_検査情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_TEST)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_治療処置情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_EMERGENCY)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_手術医師情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE_DOCTOR)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_手術情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_対診科情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OTHER_DEPT)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_病棟情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_WARD_CH)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_病名情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DISEASE)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_分娩子情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_CHILD)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_分娩子流死産情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_SB)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_分娩情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_補足項目１情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_ASST1)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TI_補足項目２情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_ASST2)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TK_監査情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_INSPECT)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TK_貸出情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_LEND)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'TK_貸出物情報
			pDb.setSQL(sqlXSI010F010.sqlDel_MTI_LENDITM)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 主科の科歴を取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <remarks>
	''' 2010/11/08 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getMainDpm(ByVal patientNo As String, ByVal hspHistoryNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "主科の科歴を取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_CH_MainDept)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmMAIN_DPM_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOn))

			arr = New ArrayList()
			db.execQuery(GetType(datPatient), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 在院日数取得(入退院情報)
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <returns>在院日数合計データクラス</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)牟禮>BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHspDays(ByVal patientNo As String, ByVal hspHistoryNo As String, Optional ByVal pDb As clsDB = Nothing) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "在院日数取得(入退院情報) Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Dim ret As Integer
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_CH_HSP_DAYS_SUM)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmFIXED_CD2, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmFIXED_CD2, clsConst.Enum_HspChannel_Fix1.HoldDept)

			arr = New ArrayList()
			db.execQuery(GetType(datHspDaysSum), arr)

			If arr.Count > 0 Then
				ret = DirectCast(arr(0), datHspDaysSum).HspDaysSum
			Else
				ret = 0
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
			If arr IsNot Nothing Then arr.Clear()
			arr = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 住所マスタから診療圏コードを取得
	''' </summary>
	''' <param name="zipCd">郵便番号</param>
	''' <returns>診療圏コード</returns>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getAreaCd(ByVal zipCd As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "住所マスタから診療圏コードを取得 Start")
		Dim ret As String = String.Empty
		Try
			'郵便番号空の場合、空文字返却
			If String.IsNullOrEmpty(zipCd) = True Then
				Return String.Empty
			End If

			Using db As New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSI010F010.sqlSelMTM_ADDRESS)
				db.setParamDa(sqlXSI010F010.prmZIP_CD, clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlXSI010F010.prmZIP_CD, zipCd)
				Using dt As New DataTable()
					db.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						ret = dt.Rows(0).Item(sqlXSI010F010.itmAREA_CD).ToString()
					End If
				End Using
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院に主科科歴、入院科歴、退院科歴から値を設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliHsp">入退院情報クラス</param>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHspMainHspOutHsp(ByVal pDb As clsDB, ByVal cliHsp As clsXSI_MTI_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "入退院に主科科歴、入院科歴、退院科歴から値を設定 Start")
		Dim arr As ArrayList = Nothing				'取得科歴情報格納

		Dim BYOREKI_NO As String = String.Empty	'最新科歴病歴番号
		Dim DEPT_CD As String = String.Empty	'最新科歴診療科コード
		Dim WARD_CD As String = String.Empty	'最新科歴病棟コード
		Dim DOCTOR_CD As String = String.Empty	'最新科歴医師コード

		Dim newFlg As Boolean = False			'最新科歴フラグ
		Dim outHspFlg As Boolean = False		'退院フラグ

		Try
			'科歴情報を全て取得
			pDb.setSQL(sqlXSI010F010.sqlSel_MTI_CH_HSP)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliHsp.PATIENT_NO)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliHsp.HSP_HISTORY_NO)

			arr = New ArrayList()
			pDb.execQuery(GetType(datCH), arr)

			For Each ch As datCH In arr
				If newFlg = False Then
					'最新科歴のコードを退避
					BYOREKI_NO = ch.BYOREKI_NO	 '病歴番号
					DEPT_CD = ch.DEPT_CD		 '診療科コード
					WARD_CD = ch.WARD_CD		 '病棟コード
					DOCTOR_CD = ch.DOCTOR_CD	 '医師コード
					newFlg = True
				End If

				'入院の科歴から設定
				If ch.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
					'動作環境の入退院情報で再入院フラグの基準となる科歴
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009) = CStr(clsConst.Enum_HspReadMissionStdCh.Hsp) Then '入院
						'再入院フラグ
						cliHsp.READMISSION_FLG = CStr(ch.READMISSION_FLG)
						If cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							'前回退院日
							If ch.LAST_OUT_HSP_DT = Nothing Then
								cliHsp.LAST_OUT_HSP_DT = String.Empty
							Else
								cliHsp.LAST_OUT_HSP_DT = ch.LAST_OUT_HSP_DT.ToString()
							End If
							'前回自他退院区分
'(M) STR V4-12021-000 008 2012/03/12 FJSK)H.Y パターン１前回自他院区分Null例外エラー対応
'							cliHsp.LAST_SELF_OTHER_HSP_DIV = ch.LAST_SELF_OTHER_HSP_DIV.ToString()
							If String.IsNullOrEmpty(ch.LAST_SELF_OTHER_HSP_DIV) Then
								cliHsp.LAST_SELF_OTHER_HSP_DIV = String.Empty
							Else
								cliHsp.LAST_SELF_OTHER_HSP_DIV = ch.LAST_SELF_OTHER_HSP_DIV.ToString()
							End If
'(M) END V4-12021-000 008 2012/03/12 FJSK)H.Y パターン１前回自他院区分Null例外エラー対応
						End If

						'同一疾病再入院フラグ
						cliHsp.DISEASE_READMISSION_FLG = CStr(ch.DISEASE_READMISSION_FLG)
						'同一疾病前回退院日
						If cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							If ch.SAME_DISEASE_LAST_HSP_DT = Nothing Then
								cliHsp.SAME_DISEASE_LAST_HSP_DT = String.Empty
							Else
								cliHsp.SAME_DISEASE_LAST_HSP_DT = ch.SAME_DISEASE_LAST_HSP_DT.ToString()
							End If
						End If
					End If

					cliHsp.TAKE_AMBULANCE_CHK = ch.TAKE_AMBULANCE_CHK	'救急車有無コード
					cliHsp.PLAN_EMERGENCY_CD = ch.PLAN_EMERGENCY_CD		'予定緊急コード
					cliHsp.STATURE = CStr(ch.STATURE)					'身長
					cliHsp.WEIGHT = CStr(ch.WEIGHT)						'体重
					cliHsp.TIME_OUT_FLG = CStr(ch.TIME_OUT_FLG)			'時間外フラグ

				End If

				'退院の科歴から値を設定
				If ch.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
					outHspFlg = True	'退院フラグセット

					'退院日
					If ch.END_DT = Nothing Then
						cliHsp.OUT_HSP_DT = String.Empty
					Else
						cliHsp.OUT_HSP_DT = ch.END_DT.ToString()
					End If
					cliHsp.OUT_HSP_TIME = ch.END_TIME					'退院時刻
					cliHsp.OUT_HSP_AGE = CStr(ch.END_AGE)				'退院時年齢
					cliHsp.OUT_HSP_MONTH_AGE = CStr(ch.END_MONTH_AGE)	'退院時月齢
					cliHsp.OUT_HSP_DAY_AGE = CStr(ch.END_DAY_AGE)		'退院時日齢
					cliHsp.OUT_HSP_CNL_CD = ch.END_CNL_CD				'退院経路コード
					cliHsp.OUT_HSP_OUTCOME_CD = ch.END_OUTCOME_CD		'退院転帰コード
				End If

				'主科の科歴から値を設定
				If ch.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
					cliHsp.BYOREKI_NO = ch.BYOREKI_NO	'病歴番号
					cliHsp.DEPT_CD = ch.DEPT_CD			'診療科コード
					cliHsp.WARD_CD = ch.WARD_CD			'病棟コード
					cliHsp.DOCTOR_CD = ch.DOCTOR_CD		'医師コード

					'動作環境の入退院情報で再入院フラグの基準となる科歴
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009) = CStr(clsConst.Enum_HspReadMissionStdCh.MainCh) Then	'主科
						'再入院フラグ
						cliHsp.READMISSION_FLG = CStr(ch.READMISSION_FLG)
						If cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							'前回退院日
							If ch.LAST_OUT_HSP_DT = Nothing Then
								cliHsp.LAST_OUT_HSP_DT = String.Empty
							Else
								cliHsp.LAST_OUT_HSP_DT = ch.LAST_OUT_HSP_DT.ToString()
							End If
							'前回自他退院区分
							cliHsp.LAST_SELF_OTHER_HSP_DIV = ch.LAST_SELF_OTHER_HSP_DIV.ToString()
						End If

						'同一疾病再入院フラグ
						cliHsp.DISEASE_READMISSION_FLG = CStr(ch.DISEASE_READMISSION_FLG)
						'同一疾病前回退院日
						If cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							If ch.SAME_DISEASE_LAST_HSP_DT = Nothing Then
								cliHsp.SAME_DISEASE_LAST_HSP_DT = String.Empty
							Else
								cliHsp.SAME_DISEASE_LAST_HSP_DT = ch.SAME_DISEASE_LAST_HSP_DT.ToString()
							End If
						End If
					End If
				End If

				'治験実施有無コード
				If ch.CLINICAL_TRIAL_CHK = CStr(clsConst.Enum_Chk.ChkOn) Then
					cliHsp.CLINICAL_TRIAL_CHK = CStr(clsConst.Enum_Chk.ChkOn)
				ElseIf String.IsNullOrEmpty(cliHsp.CLINICAL_TRIAL_CHK) = True Then
					cliHsp.CLINICAL_TRIAL_CHK = CStr(clsConst.Enum_Chk.ChkOff)
				End If
				'院内感染症有無コード
				If ch.HSP_INFECTION_CHK = CStr(clsConst.Enum_Chk.ChkOn) Then
					cliHsp.HSP_INFECTION_CHK = CStr(clsConst.Enum_Chk.ChkOn)
				ElseIf String.IsNullOrEmpty(cliHsp.HSP_INFECTION_CHK) = True Then
					cliHsp.HSP_INFECTION_CHK = CStr(clsConst.Enum_Chk.ChkOff)
				End If
			Next

			If outHspFlg = False Then
				'退院フラグONの科歴がない場合最新科歴からセット
				cliHsp.BYOREKI_NO = BYOREKI_NO	 '病歴番号
				cliHsp.DEPT_CD = DEPT_CD		 '診療科コード
				cliHsp.WARD_CD = WARD_CD		 '病棟コード
				cliHsp.DOCTOR_CD = DOCTOR_CD	 '医師コード
			End If
		Catch ex As Exception
			Throw
		Finally
			If arr IsNot Nothing Then arr.Clear()
			arr = Nothing
			BYOREKI_NO = Nothing
			DEPT_CD = Nothing
			WARD_CD = Nothing
			DOCTOR_CD = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' chNoで指定した科歴以外の主科フラグをOFFで更新する
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlUpdParam_Ch_MainDpmFlg(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "chNoで指定した科歴以外の主科フラグをOFFで更新する Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_MAIN_DPM_FLG)
			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlXSI010F010.prmMAIN_DPM_FLG, CStr(clsConst.Enum_CheckBox_Flg.CheckOff))
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物の管理状況を変更
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="hspIndex">1:入院/2:退院/3:転科</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="hspDt">入院日</param>
	''' <param name="outHspDt">退院日</param>
	''' <param name="endDt">終了日</param>
	''' <param name="outHspFlg">退院フラグ</param>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setLendMngPattern1(ByVal pDb As clsDB, ByVal hspIndex As enum_HspIndex, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, _
																				ByVal hspDt As String, Optional ByVal outHspDt As String = "", _
																				Optional ByVal endDt As String = "", Optional ByVal outHspFlg As String = "")
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "貸出物の管理状況を変更 Start")
		Dim lendItmMngStatus As Dictionary(Of Integer, Dictionary(Of clsConst.Enum_Lenditem, String)) = Nothing	  '管理状況コード格納
		Dim lendItm As Dictionary(Of clsConst.Enum_LendUnit, datLendItm) = Nothing			'貸出物(更新時用)
		Dim lendUnitCol As List(Of clsConst.Enum_LendUnit) = Nothing						'貸出物の管理単位(定数)格納
		Dim lendItmCd As List(Of clsConst.Enum_Lenditem) = Nothing							'貸出物コード
		Dim lendMngHsp As Dictionary(Of clsConst.Enum_Lenditem, String) = Nothing			'入院の管理状況コード
		Dim lendMngOut As Dictionary(Of clsConst.Enum_Lenditem, String) = Nothing			'退院の管理状況コード

		Try
			'各コレクション作成
			lendUnitCol = New List(Of clsConst.Enum_LendUnit) From {clsConst.Enum_LendUnit.Each_Dept, clsConst.Enum_LendUnit.Each_Hosp, clsConst.Enum_LendUnit.Each_Patient}
			lendItmCd = New List(Of clsConst.Enum_Lenditem) From {clsConst.Enum_Lenditem.MedicalRecord, clsConst.Enum_Lenditem.Summary}
			'各貸出物の「入院」管理状況コード格納
			lendMngHsp = New Dictionary(Of clsConst.Enum_Lenditem, String)
			lendMngHsp.Add(clsConst.Enum_Lenditem.MedicalRecord, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.RecordLendStatHsp))	'カルテ
			lendMngHsp.Add(clsConst.Enum_Lenditem.Summary, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.SummaryLendStatHsp))		'サマリ
			'各貸出物の「退院」管理状況コード格納
			lendMngOut = New Dictionary(Of clsConst.Enum_Lenditem, String)
			lendMngOut.Add(clsConst.Enum_Lenditem.MedicalRecord, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.RecordLendStatDisccharge))	'カルテ
			lendMngOut.Add(clsConst.Enum_Lenditem.Summary, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.SummaryLendStatDisccharge))		'サマリ

			'退院フラグ空の場合OFFの値設定
			If String.IsNullOrEmpty(outHspFlg) = True Then outHspFlg = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)

			'管理単位毎に管理状況コードを格納
			lendItmMngStatus = New Dictionary(Of Integer, Dictionary(Of clsConst.Enum_Lenditem, String))
			lendItm = New Dictionary(Of clsConst.Enum_LendUnit, datLendItm)

			Dim arr As ArrayList = Nothing
			Dim mngstatusCd As Dictionary(Of clsConst.Enum_Lenditem, String)
			For Each unit As clsConst.Enum_LendUnit In lendUnitCol
				Try
					Select Case unit
						Case clsConst.Enum_LendUnit.Each_Dept '科歴単位貸出物取得
							arr = Me.getLendItmData(patientNo, hspHistoryNo, chNo, pDb)
						Case clsConst.Enum_LendUnit.Each_Hosp '入退院単位貸出物取得
							arr = Me.getLendItmData(patientNo, hspHistoryNo, "0", pDb)
						Case clsConst.Enum_LendUnit.Each_Patient '患者単位貸出物取得
							arr = Me.getLendItmData(patientNo, "0", "0", pDb)
						Case Else
							arr = New ArrayList()
					End Select


					If arr.Count > 0 Then
						'管理状況コードコレクション格納
						mngstatusCd = New Dictionary(Of clsConst.Enum_Lenditem, String)
						mngstatusCd.Add(clsConst.Enum_Lenditem.MedicalRecord, DirectCast(arr(0), datLendItm).RECORD_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.Summary, DirectCast(arr(0), datLendItm).SUMMARY_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem3, DirectCast(arr(0), datLendItm).OTHER1_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem4, DirectCast(arr(0), datLendItm).OTHER2_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem5, DirectCast(arr(0), datLendItm).OTHER3_MNGSTATUS_CD)
						lendItmMngStatus.Add(unit, mngstatusCd)
						'貸出物情報格納
						lendItm.Add(unit, DirectCast(arr(0), datLendItm))
					Else
						'管理状況コードコレクション格納(空)
						mngstatusCd = New Dictionary(Of clsConst.Enum_Lenditem, String)
						mngstatusCd.Add(clsConst.Enum_Lenditem.MedicalRecord, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.Summary, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem3, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem4, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem5, String.Empty)
						lendItmMngStatus.Add(unit, mngstatusCd)
						'貸出物情報格納(空)
						lendItm.Add(unit, New datLendItm())
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
			Next

			'カルテとサマリのみ処理
			For Each itm As clsConst.Enum_Lenditem In lendItmCd
				If String.IsNullOrEmpty(lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm)) = True OrElse
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm) OrElse _
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm) Then

					'管理状況が「入院」「退院」もしくはコードが未入力の情報のみ更新
					Select Case Me.cliXSI010F010.lendItmUnit(itm)
						Case clsConst.Enum_LendUnit.Each_Dept '科歴毎
							If String.IsNullOrEmpty(endDt) = True Then
								'科終了していないため、管理状況を入院へ
								If String.IsNullOrEmpty(lendMngHsp(itm)) = False Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm)
								End If
							Else
								'科終了のため、管理状況を退院へ
								If String.IsNullOrEmpty(lendMngOut(itm)) = False Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)
								End If
							End If

						Case clsConst.Enum_LendUnit.Each_Hosp '入退院毎
							If String.IsNullOrEmpty(outHspDt) = True Then
								'入院中のため、管理状況を入院へ
								If String.IsNullOrEmpty(lendMngHsp(itm)) = False Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm)
								End If
							Else
								'退院のため、管理状況を退院へ(転科の場合は変更しない)
								If String.IsNullOrEmpty(lendMngOut(itm)) = False AndAlso hspIndex <> enum_HspIndex.ChangeDept Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)
								End If
							End If

						Case clsConst.Enum_LendUnit.Each_Patient '患者毎
							'入退院歴番号1の時のみ変更
							If hspHistoryNo = "1" Then
								'入院中のため、管理状況を入院へ
								If String.IsNullOrEmpty(outHspDt) Then
									If String.IsNullOrEmpty(lendMngHsp(itm)) = False Then
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm)
									End If
								Else
									'退院のため、管理状況を退院へ(転科の場合は変更しない)
									If String.IsNullOrEmpty(lendMngOut(itm)) = False AndAlso hspIndex <> enum_HspIndex.ChangeDept Then
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)
									End If
								End If
							End If
					End Select
				End If
			Next

			'管理状況コード更新
			For Each unit As clsConst.Enum_LendUnit In lendUnitCol
				If String.IsNullOrEmpty(lendItm(unit).PATIENT_NO) = True Then
					'レコードが存在しなければ追加する
					Using cliLendItm As New clsXSI_MTI_LENDITM()
						cliLendItm.PATIENT_NO = patientNo '患者番号
						'入退院歴番号、科歴番号
						Select Case unit
							Case clsConst.Enum_LendUnit.Each_Dept '科歴単位
								cliLendItm.HSP_HISTORY_NO = hspHistoryNo
								cliLendItm.CH_NO = chNo
							Case clsConst.Enum_LendUnit.Each_Hosp '入退院単位
								cliLendItm.HSP_HISTORY_NO = hspHistoryNo
								cliLendItm.CH_NO = "0"
							Case clsConst.Enum_LendUnit.Each_Patient '患者単位
								cliLendItm.HSP_HISTORY_NO = "0"
								cliLendItm.CH_NO = "0"
						End Select
						'カルテ
						cliLendItm.RECORD_COUNT = "0"
						cliLendItm.RECORD_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.MedicalRecord)
						'サマリ
						cliLendItm.SUMMARY_COUNT = "0"
						cliLendItm.SUMMARY_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.Summary)
						'他１
						cliLendItm.OTHER1_COUNT = "0"
						cliLendItm.OTHER1_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem3)
						'他２
						cliLendItm.OTHER2_COUNT = "0"
						cliLendItm.OTHER2_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem4)
						'他３
						cliLendItm.OTHER3_COUNT = "0"
						cliLendItm.OTHER3_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem5)
						Me.setSqlParam_MTI_LENDITM(pDb, False, Enum_SqlIdx.eIns, cliLendItm)
					End Using
				Else
					'更新
					Using cliLendItm As New clsXSI_MTI_LENDITM()
						cliLendItm.PATIENT_NO = lendItm(unit).PATIENT_NO					'患者番号
						cliLendItm.HSP_HISTORY_NO = lendItm(unit).HSP_HISTORY_NO.ToString()	'入退院歴番号
						cliLendItm.CH_NO = lendItm(unit).CH_NO.ToString()		   '科歴番号
						cliLendItm.RECORD_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.MedicalRecord)	'カルテ管理状況コード
						cliLendItm.SUMMARY_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.Summary)		'サマリ管理状況コード
						cliLendItm.OTHER1_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem3)		'他１管理状況コード
						cliLendItm.OTHER2_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem4)		'他２管理状況コード
						cliLendItm.OTHER3_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem5)		'他３管理状況コード
						Me.setSqlParam_MTI_LENDITM(pDb, False, Enum_SqlIdx.eUpd, cliLendItm)
					End Using
				End If
			Next

			'カルテ管理状況コード　管理単位=科歴、返納基準日=退院日の場合 入退院に関連する全てのカルテ管理状況コードを変更
			If Me.cliXSI010F010.lendItmUnit(clsConst.Enum_Lenditem.MedicalRecord) = clsConst.Enum_LendUnit.Each_Dept AndAlso _
					clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00026) = CStr(clsConst.Enum_LendItemReturnDt.LendItemRetDtOut) Then	'診療録返納基準日(１入院１診療録の場合は１を設定)

				'入院となる場合、関連する貸出物すべて入院に
				If String.IsNullOrEmpty(lendMngHsp(clsConst.Enum_Lenditem.MedicalRecord)) = False AndAlso _
							String.IsNullOrEmpty(lendMngOut(clsConst.Enum_Lenditem.MedicalRecord)) = False Then
					'入院のコード、退院のコード未設定時処理しない

					If String.IsNullOrEmpty(outHspDt) = True Then
						'管理状況入院に変更
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_RECORD_MNGCD_HSP)
						pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmMNGSTATUS_CD_Where, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

						pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
						pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, lendMngHsp(clsConst.Enum_Lenditem.MedicalRecord))
						pDb.setVal(sqlXSI010F010.prmMNGSTATUS_CD_Where, lendMngOut(clsConst.Enum_Lenditem.MedicalRecord))
						pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
						pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
						pDb.execNonQuery(False)
					ElseIf outHspFlg = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						'退院科歴の場合、管理状況退院で更新
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_RECORD_MNGCD_OUTHSP)
						pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmMNGSTATUS_CD_Where, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

						pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
						pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, lendMngOut(clsConst.Enum_Lenditem.MedicalRecord))
						pDb.setVal(sqlXSI010F010.prmMNGSTATUS_CD_Where, lendMngHsp(clsConst.Enum_Lenditem.MedicalRecord))
						pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
						pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
						pDb.execNonQuery(False)

					End If
				End If
			End If

			'サマリ管理状況コード　管理単位=科歴、返納基準日=退院日の場合 入退院に関連する全てのサマリ管理状況コードを変更
			If Me.cliXSI010F010.lendItmUnit(clsConst.Enum_Lenditem.Summary) = clsConst.Enum_LendUnit.Each_Dept AndAlso _
					clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) <> CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd) Then 'サマリ作成単位／返納基準日

				If String.IsNullOrEmpty(outHspDt) = True Then
					'管理状況入院に変更
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_SUMMARY_MNGCD)
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmMNGSTATUS_CD_Where, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, lendMngHsp(clsConst.Enum_Lenditem.Summary))
					pDb.setVal(sqlXSI010F010.prmMNGSTATUS_CD_Where, lendMngOut(clsConst.Enum_Lenditem.Summary))
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
					pDb.execNonQuery(False)
				ElseIf outHspFlg = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
					'退院科歴の場合、管理状況退院で更新
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_SUMMARY_MNGCD)
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmMNGSTATUS_CD_Where, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, lendMngOut(clsConst.Enum_Lenditem.Summary))
					pDb.setVal(sqlXSI010F010.prmMNGSTATUS_CD_Where, lendMngHsp(clsConst.Enum_Lenditem.Summary))
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
					pDb.execNonQuery(False)
				End If
			Else
				'退院
				pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_SUMMARY_MNGCD)
				pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI010F010.prmMNGSTATUS_CD_Where, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

				pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
				pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
				pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, lendMngOut(clsConst.Enum_Lenditem.Summary))
				pDb.setVal(sqlXSI010F010.prmMNGSTATUS_CD_Where, lendMngHsp(clsConst.Enum_Lenditem.Summary))
				pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
				pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
				pDb.execNonQuery(False)
			End If
		Catch ex As Exception
			Throw
		Finally
			'解放
			If lendItmMngStatus IsNot Nothing Then lendItmMngStatus.Clear()
			lendItmMngStatus = Nothing
			If lendItm IsNot Nothing Then lendItm.Clear()
			lendItm = Nothing
			If lendUnitCol IsNot Nothing Then lendUnitCol.Clear()
			lendUnitCol = Nothing
			If lendItmCd IsNot Nothing Then lendItmCd.Clear()
			lendItmCd = Nothing
			If lendMngHsp IsNot Nothing Then lendMngHsp.Clear()
			lendMngHsp = Nothing
			If lendMngOut IsNot Nothing Then lendMngOut.Clear()
			lendMngOut = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物の管理状況を変更(重複あり特殊パターン)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="hspIndex">1:入院/2:退院/3:転科</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="hspDt">入院日</param>
	''' <param name="outHspDt">退院日</param>
	''' <param name="endDt">終了日</param>
	''' <param name="outHspFlg">退院フラグ</param>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setLendMngPattern2(ByVal pDb As clsDB, ByVal hspIndex As enum_HspIndex, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, _
																				ByVal hspDt As String, Optional ByVal outHspDt As String = "", _
																				Optional ByVal endDt As String = "", Optional ByVal outHspFlg As String = "")
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "貸出物の管理状況を変更(重複あり特殊パターン) Start")
		Dim lendItmMngStatus As Dictionary(Of Integer, Dictionary(Of clsConst.Enum_Lenditem, String)) = Nothing	  '管理状況コード格納
		Dim lendItm As Dictionary(Of clsConst.Enum_LendUnit, datLendItm) = Nothing			'貸出物(更新時用)
		Dim lendUnitCol As List(Of clsConst.Enum_LendUnit) = Nothing						'貸出物の管理単位(定数)格納
		Dim lendItmCd As List(Of clsConst.Enum_Lenditem) = Nothing							'貸出物コード
		Dim lendMngHsp As Dictionary(Of clsConst.Enum_Lenditem, String) = Nothing			'入院の管理状況コード
		Dim lendMngOut As Dictionary(Of clsConst.Enum_Lenditem, String) = Nothing			'退院の管理状況コード

		Try
			'各コレクション作成
			lendUnitCol = New List(Of clsConst.Enum_LendUnit) From {clsConst.Enum_LendUnit.Each_Dept}
			lendItmCd = New List(Of clsConst.Enum_Lenditem) From {clsConst.Enum_Lenditem.MedicalRecord, clsConst.Enum_Lenditem.Summary}
			'各貸出物の「入院」管理状況コード格納
			lendMngHsp = New Dictionary(Of clsConst.Enum_Lenditem, String)
			lendMngHsp.Add(clsConst.Enum_Lenditem.MedicalRecord, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.RecordLendStatHsp))	'カルテ
			lendMngHsp.Add(clsConst.Enum_Lenditem.Summary, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.SummaryLendStatHsp))		'サマリ
			'各貸出物の「退院」管理状況コード格納
			lendMngOut = New Dictionary(Of clsConst.Enum_Lenditem, String)
			lendMngOut.Add(clsConst.Enum_Lenditem.MedicalRecord, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.RecordLendStatDisccharge))	'カルテ
			lendMngOut.Add(clsConst.Enum_Lenditem.Summary, Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.SummaryLendStatDisccharge))		'サマリ

			'退院フラグ空の場合OFFの値設定
			If String.IsNullOrEmpty(outHspFlg) = True Then outHspFlg = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)

			'管理単位毎に管理状況コードを格納
			lendItmMngStatus = New Dictionary(Of Integer, Dictionary(Of clsConst.Enum_Lenditem, String))
			lendItm = New Dictionary(Of clsConst.Enum_LendUnit, datLendItm)

			Dim arr As ArrayList = Nothing
			Dim mngstatusCd As Dictionary(Of clsConst.Enum_Lenditem, String)
			For Each unit As clsConst.Enum_LendUnit In lendUnitCol
				Try
					Select Case unit
						Case clsConst.Enum_LendUnit.Each_Dept '科歴単位貸出物取得
							arr = Me.getLendItmData(patientNo, hspHistoryNo, chNo, pDb)
						Case clsConst.Enum_LendUnit.Each_Hosp '入退院単位貸出物取得
							arr = Me.getLendItmData(patientNo, hspHistoryNo, "0", pDb)
						Case clsConst.Enum_LendUnit.Each_Patient '患者単位貸出物取得
							arr = Me.getLendItmData(patientNo, "0", "0", pDb)
						Case Else
							arr = New ArrayList()
					End Select


					If arr.Count > 0 Then
						'管理状況コードコレクション格納
						mngstatusCd = New Dictionary(Of clsConst.Enum_Lenditem, String)
						mngstatusCd.Add(clsConst.Enum_Lenditem.MedicalRecord, DirectCast(arr(0), datLendItm).RECORD_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.Summary, DirectCast(arr(0), datLendItm).SUMMARY_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem3, DirectCast(arr(0), datLendItm).OTHER1_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem4, DirectCast(arr(0), datLendItm).OTHER2_MNGSTATUS_CD)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem5, DirectCast(arr(0), datLendItm).OTHER3_MNGSTATUS_CD)
						lendItmMngStatus.Add(unit, mngstatusCd)
						'貸出物情報格納
						lendItm.Add(unit, DirectCast(arr(0), datLendItm))
					Else
						'管理状況コードコレクション格納(空)
						mngstatusCd = New Dictionary(Of clsConst.Enum_Lenditem, String)
						mngstatusCd.Add(clsConst.Enum_Lenditem.MedicalRecord, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.Summary, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem3, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem4, String.Empty)
						mngstatusCd.Add(clsConst.Enum_Lenditem.LendItem5, String.Empty)
						lendItmMngStatus.Add(unit, mngstatusCd)
						'貸出物情報格納(空)
						lendItm.Add(unit, New datLendItm())
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
			Next

			'カルテとサマリのみ処理
			For Each itm As clsConst.Enum_Lenditem In lendItmCd
				If lendItmMngStatus.ContainsKey(Me.cliXSI010F010.lendItmUnit(itm)) = True AndAlso _
										(String.IsNullOrEmpty(lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm)) = True OrElse _
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm) OrElse _
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)) Then


					'管理状況が「入院」「退院」もしくはコードが未入力の情報のみ更新
					Select Case Me.cliXSI010F010.lendItmUnit(itm)
						Case clsConst.Enum_LendUnit.Each_Dept '科歴毎
							If String.IsNullOrEmpty(endDt) = True Then
								'科終了していないため、管理状況を入院へ
								If String.IsNullOrEmpty(lendMngHsp(itm)) = False Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm)
								End If
							Else
								'科終了のため、管理状況を退院へ
								If String.IsNullOrEmpty(lendMngOut(itm)) = False Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)
								End If
							End If

						Case clsConst.Enum_LendUnit.Each_Hosp '入退院毎
							If String.IsNullOrEmpty(outHspDt) = True Then
								'入院中のため、管理状況を入院へ
								If String.IsNullOrEmpty(lendMngHsp(itm)) = False Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm)
								End If
							Else
								'退院のため、管理状況を退院へ(転科の場合は変更しない)
								If String.IsNullOrEmpty(lendMngOut(itm)) = False AndAlso hspIndex <> enum_HspIndex.ChangeDept Then
									lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)
								End If
							End If

						Case clsConst.Enum_LendUnit.Each_Patient '患者毎
							'入退院歴番号1の時のみ変更
							If hspHistoryNo = "1" Then
								'入院中のため、管理状況を入院へ
								If String.IsNullOrEmpty(outHspDt) Then
									If String.IsNullOrEmpty(lendMngHsp(itm)) = False Then
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngHsp(itm)
									End If
								Else
									'退院のため、管理状況を退院へ(転科の場合は変更しない)
									If String.IsNullOrEmpty(lendMngOut(itm)) = False AndAlso hspIndex <> enum_HspIndex.ChangeDept Then
										lendItmMngStatus(Me.cliXSI010F010.lendItmUnit(itm))(itm) = lendMngOut(itm)
									End If
								End If
							End If

					End Select
				End If
			Next

			'管理状況コード更新
			For Each unit As clsConst.Enum_LendUnit In lendUnitCol
				If String.IsNullOrEmpty(lendItm(unit).PATIENT_NO) = True Then
					'レコードが存在しなければ追加する
					Using cliLendItm As New clsXSI_MTI_LENDITM()
						cliLendItm.PATIENT_NO = patientNo '患者番号
						'入退院歴番号、科歴番号
						Select Case unit
							Case clsConst.Enum_LendUnit.Each_Dept '科歴単位
								cliLendItm.HSP_HISTORY_NO = hspHistoryNo
								cliLendItm.CH_NO = chNo
							Case clsConst.Enum_LendUnit.Each_Hosp '入退院単位
								cliLendItm.HSP_HISTORY_NO = hspHistoryNo
								cliLendItm.CH_NO = "0"
							Case clsConst.Enum_LendUnit.Each_Patient '患者単位
								cliLendItm.HSP_HISTORY_NO = "0"
								cliLendItm.CH_NO = "0"
						End Select
						'カルテ
						cliLendItm.RECORD_COUNT = "0"
						cliLendItm.RECORD_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.MedicalRecord)
						'サマリ
						cliLendItm.SUMMARY_COUNT = "0"
						cliLendItm.SUMMARY_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.Summary)
						'他１
						cliLendItm.OTHER1_COUNT = "0"
						cliLendItm.OTHER1_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem3)
						'他２
						cliLendItm.OTHER2_COUNT = "0"
						cliLendItm.OTHER2_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem4)
						'他３
						cliLendItm.OTHER3_COUNT = "0"
						cliLendItm.OTHER3_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem5)
						Me.setSqlParam_MTI_LENDITM(pDb, False, Enum_SqlIdx.eIns, cliLendItm)
					End Using
				Else
					'更新
					Using cliLendItm As New clsXSI_MTI_LENDITM()
						cliLendItm.PATIENT_NO = lendItm(unit).PATIENT_NO					'患者番号
						cliLendItm.HSP_HISTORY_NO = lendItm(unit).HSP_HISTORY_NO.ToString()	'入退院歴番号
						cliLendItm.CH_NO = lendItm(unit).CH_NO.ToString()					'科歴番号
						cliLendItm.RECORD_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.MedicalRecord)	'カルテ管理状況コード
						cliLendItm.SUMMARY_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.Summary)		'サマリ管理状況コード
						cliLendItm.OTHER1_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem3)		'他１管理状況コード
						cliLendItm.OTHER2_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem4)		'他２管理状況コード
						cliLendItm.OTHER3_MNGSTATUS_CD = lendItmMngStatus(unit)(clsConst.Enum_Lenditem.LendItem5)		'他３管理状況コード
						Me.setSqlParam_MTI_LENDITM(pDb, False, Enum_SqlIdx.eUpd, cliLendItm)
					End Using
				End If
			Next

		Catch ex As Exception
			Throw
		Finally
			'解放
			If lendItmMngStatus IsNot Nothing Then lendItmMngStatus.Clear()
			lendItmMngStatus = Nothing
			If lendItm IsNot Nothing Then lendItm.Clear()
			lendItm = Nothing
			If lendUnitCol IsNot Nothing Then lendUnitCol.Clear()
			lendUnitCol = Nothing
			If lendItmCd IsNot Nothing Then lendItmCd.Clear()
			lendItmCd = Nothing
			If lendMngHsp IsNot Nothing Then lendMngHsp.Clear()
			lendMngHsp = Nothing
			If lendMngOut IsNot Nothing Then lendMngOut.Clear()
			lendMngOut = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_BASIC_HSP)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)			   '登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)			   '連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)				   'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)			 'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
			pDb.setParam(sqlXSI010F010.prmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar)			 '氏名
			pDb.setParam(sqlXSI010F010.prmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)		 '氏名カナ
			pDb.setParam(sqlXSI010F010.prmGENDER_CD, clsDB.Enum_dbType.dbNVarChar)			 '性別コード
			pDb.setParam(sqlXSI010F010.prmBIRTH_DT, clsDB.Enum_dbType.dbNVarChar)			 '生年月日
			pDb.setParam(sqlXSI010F010.prmBLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)		 '血液型コード
			pDb.setParam(sqlXSI010F010.prmRH_CD, clsDB.Enum_dbType.dbNVarChar)				 'Ｒｈコード
			pDb.setParam(sqlXSI010F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)			 '病歴番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)			 '診療科コード
			pDb.setParam(sqlXSI010F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbNVarChar)		 '主科フラグ
			pDb.setParam(sqlXSI010F010.prmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)			 '入院経路コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)				 '入院日
			pDb.setParam(sqlXSI010F010.prmHSP_FLG, clsDB.Enum_dbType.dbNVarChar)			 '入院フラグ
			pDb.setParam(sqlXSI010F010.prmHSP_TIME, clsDB.Enum_dbType.dbNVarChar)			 '入院時刻
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_DT, clsDB.Enum_dbType.dbNVarChar)			 '退院日
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_FLG, clsDB.Enum_dbType.dbNVarChar)		 '退院フラグ
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_TIME, clsDB.Enum_dbType.dbNVarChar)		 '退院時刻
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)		 '退院経路コード
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)	 '退院転帰コード
			pDb.setParam(sqlXSI010F010.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar)			 '病棟コード
			pDb.setParam(sqlXSI010F010.prmMAIN_WARD_FLG, clsDB.Enum_dbType.dbNVarChar)		 '主病棟フラグ
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)			 '医師区分コード
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)			 '医師コード
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT, clsDB.Enum_dbType.dbNVarChar)	 '担当開始日
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT, clsDB.Enum_dbType.dbNVarChar)		 '担当終了日
			pDb.setParam(sqlXSI010F010.prmZIP_CD, clsDB.Enum_dbType.dbNVarChar)				 '郵便番号
			pDb.setParam(sqlXSI010F010.prmAREA_CD, clsDB.Enum_dbType.dbNVarChar)			 '診療圏コード
			pDb.setParam(sqlXSI010F010.prmADDRESS_NM, clsDB.Enum_dbType.dbNVarChar)			 '住所
			pDb.setParam(sqlXSI010F010.prmTELNUMBER, clsDB.Enum_dbType.dbNVarChar)			 '電話番号
			pDb.setParam(sqlXSI010F010.prmDOMICILE_ADDRESS, clsDB.Enum_dbType.dbNVarChar)	 '本籍住所
			pDb.setParam(sqlXSI010F010.prmINSURANCE_CD1, clsDB.Enum_dbType.dbNVarChar)		 '保険コード１
			pDb.setParam(sqlXSI010F010.prmINSURANCE_CD2, clsDB.Enum_dbType.dbNVarChar)		 '保険コード２
			pDb.setParam(sqlXSI010F010.prmINSURANCE_CD3, clsDB.Enum_dbType.dbNVarChar)		 '保険コード３
			pDb.setParam(sqlXSI010F010.prmFIRST_DIAGNOSIS_DT, clsDB.Enum_dbType.dbNVarChar)	 '初診日
			pDb.setParam(sqlXSI010F010.prmRELATION_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar) '関連患者番号
			pDb.setParam(sqlXSI010F010.prmHOUSEHOLDER_NM, clsDB.Enum_dbType.dbNVarChar)		 '世帯主名
			pDb.setParam(sqlXSI010F010.prmRELATION_CD, clsDB.Enum_dbType.dbNVarChar)		 '続柄コード
			pDb.setParam(sqlXSI010F010.prmTO_DEPT_DOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)	 '転科先医師区分コード
			pDb.setParam(sqlXSI010F010.prmTO_DEPT_DOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)	 '転科先医師コード
			pDb.setParam(sqlXSI010F010.prmTO_DEPT_BYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)	 '転科先病歴番号
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)			 'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)				 'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)			 'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		 '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		   '更新日
			pDb.setParam(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, clsDB.Enum_dbType.dbNVarChar)	 '救急車有無コード
			pDb.setParam(sqlXSI010F010.prmINTRODUCTION_CHK, clsDB.Enum_dbType.dbNVarChar)	 '紹介状有無コード
			pDb.setParam(sqlXSI010F010.prmNATIONALITY_CD, clsDB.Enum_dbType.dbNVarChar)		 '国籍コード
			pDb.setParam(sqlXSI010F010.prmDOMICILE_ADDRESS_CD, clsDB.Enum_dbType.dbNVarChar) '出生地コード
			pDb.setParam(sqlXSI010F010.prmDPC_HSP, clsDB.Enum_dbType.dbNVarChar)			 'DPC（入退院歴）
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)			 '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)			 '予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)			 '予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)			 '予備４

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)									   '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)						   '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)							   'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)						   'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)					   '患者番号
			pDb.setVal(sqlXSI010F010.prmPATIENT_NM, cliOneCsvData.PATIENT_NM)					   '氏名
			pDb.setVal(sqlXSI010F010.prmPATIENT_KNM, cliOneCsvData.PATIENT_KNM)					   '氏名カナ
			pDb.setVal(sqlXSI010F010.prmGENDER_CD, cliOneCsvData.GENDER_CD)						   '性別コード
			pDb.setVal(sqlXSI010F010.prmBIRTH_DT, cliOneCsvData.BIRTH_DT)						   '生年月日
			pDb.setVal(sqlXSI010F010.prmBLOODTYPE_CD, cliOneCsvData.BLOODTYPE_CD)				   '血液型コード
			pDb.setVal(sqlXSI010F010.prmRH_CD, cliOneCsvData.RH_CD)								   'Ｒｈコード
			pDb.setVal(sqlXSI010F010.prmBYOREKI_NO, cliOneCsvData.BYOREKI_NO)					   '病歴番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)							   '診療科コード
			pDb.setVal(sqlXSI010F010.prmMAIN_DPM_FLG, cliOneCsvData.MAIN_DPM_FLG)				   '主科フラグ
			pDb.setVal(sqlXSI010F010.prmHSP_CNL_CD, cliOneCsvData.HSP_CNL_CD)					   '入院経路コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)							   '入院日
			pDb.setVal(sqlXSI010F010.prmHSP_FLG, cliOneCsvData.HSP_FLG)							   '入院フラグ
			pDb.setVal(sqlXSI010F010.prmHSP_TIME, cliOneCsvData.HSP_TIME)						   '入院時刻
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_DT, cliOneCsvData.OUT_HSP_DT)					   '退院日
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_FLG, cliOneCsvData.OUT_HSP_FLG)					   '退院フラグ
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_TIME, cliOneCsvData.OUT_HSP_TIME)				   '退院時刻
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_CNL_CD, cliOneCsvData.OUT_HSP_CNL_CD)			   '退院経路コード
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_OUTCOME_CD, cliOneCsvData.OUT_HSP_OUTCOME_CD)	   '退院転帰コード
			pDb.setVal(sqlXSI010F010.prmWARD_CD, cliOneCsvData.WARD_CD)							   '病棟コード
			pDb.setVal(sqlXSI010F010.prmMAIN_WARD_FLG, cliOneCsvData.MAIN_WARD_FLG)				   '主病棟フラグ
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV, cliOneCsvData.DOCTOR_DIV)					   '医師区分コード
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD, cliOneCsvData.DOCTOR_CD)						   '医師コード
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT, cliOneCsvData.ATTEND_START_DT)			   '担当開始日
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT, cliOneCsvData.ATTEND_END_DT)				   '担当終了日
			pDb.setVal(sqlXSI010F010.prmZIP_CD, cliOneCsvData.ZIP_CD)							   '郵便番号
			pDb.setVal(sqlXSI010F010.prmAREA_CD, cliOneCsvData.AREA_CD)							   '診療圏コード
			pDb.setVal(sqlXSI010F010.prmADDRESS_NM, cliOneCsvData.ADDRESS_NM)							 '住所
			pDb.setVal(sqlXSI010F010.prmTELNUMBER, cliOneCsvData.TELNUMBER)						   '電話番号
			pDb.setVal(sqlXSI010F010.prmDOMICILE_ADDRESS, cliOneCsvData.DOMICILE_ADDRESS)		   '本籍住所
			pDb.setVal(sqlXSI010F010.prmINSURANCE_CD1, cliOneCsvData.INSURANCE_CD1)				   '保険コード１
			pDb.setVal(sqlXSI010F010.prmINSURANCE_CD2, cliOneCsvData.INSURANCE_CD2)				   '保険コード２
			pDb.setVal(sqlXSI010F010.prmINSURANCE_CD3, cliOneCsvData.INSURANCE_CD3)				   '保険コード３
			pDb.setVal(sqlXSI010F010.prmFIRST_DIAGNOSIS_DT, cliOneCsvData.FIRST_DIAGNOSIS_DT)	   '初診日
			pDb.setVal(sqlXSI010F010.prmRELATION_PATIENT_NO, cliOneCsvData.RELATION_PATIENT_NO)	   '関連患者番号
			pDb.setVal(sqlXSI010F010.prmHOUSEHOLDER_NM, cliOneCsvData.HOUSEHOLDER_NM)			   '世帯主名
			pDb.setVal(sqlXSI010F010.prmRELATION_CD, cliOneCsvData.RELATION_CD)					   '続柄コード
			pDb.setVal(sqlXSI010F010.prmTO_DEPT_DOCTOR_DIV, cliOneCsvData.TO_DEPT_DOCTOR_DIV)	   '転科先医師区分コード
			pDb.setVal(sqlXSI010F010.prmTO_DEPT_DOCTOR_CD, cliOneCsvData.TO_DEPT_DOCTOR_CD)		   '転科先医師コード
			pDb.setVal(sqlXSI010F010.prmTO_DEPT_BYOREKI_NO, cliOneCsvData.TO_DEPT_BYOREKI_NO)	   '転科先病歴番号
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)						   'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)							   'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)							   'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)				   '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)								   '更新日
			pDb.setVal(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, cliOneCsvData.TAKE_AMBULANCE_CHK)	   '救急車有無コード
			pDb.setVal(sqlXSI010F010.prmINTRODUCTION_CHK, cliOneCsvData.INTRODUCTION_CHK)		   '紹介状有無コード
			pDb.setVal(sqlXSI010F010.prmNATIONALITY_CD, cliOneCsvData.NATIONALITY_CD)			   '国籍コード
			pDb.setVal(sqlXSI010F010.prmDOMICILE_ADDRESS_CD, cliOneCsvData.DOMICILE_ADDRESS_CD)	   '出生地コード
			pDb.setVal(sqlXSI010F010.prmDPC_HSP, cliOneCsvData.DPC_HSP)							   'DPC（入退院歴）
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)							   '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)							   '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)							   '予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)							   '予備４

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
