﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携入退院歴補足
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4KJNY2
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V323 = 95
		V3 = 114
		V4 = 140
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【入退院歴補足】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl087XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_HSP_ASST()		'取込CSV内の１レコード(ログ登録)
					Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO(), cliHsp_DB As New clsXSI_MTI_HSP(), cliCh_DB As New clsXSI_MTI_CH()	'基本情報(DB),入退院情報(DB),科歴情報(DB)
						Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
							'連携ファイル内を1件ずつ処理
							While Not (tfpReader.EndOfData)
								row += 1
								cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア
								cliBasicInfo_DB.clear()		'基本情報データ
								cliHsp_DB.clear()			'入退院データ
								cliCh_DB.clear()			'科歴データ

								Try
									rowData = tfpReader.ReadFields()
									'１行データを格納(V3,V4の違いを吸収)
									Select Case rowData.Length
										Case ENUM_CSV_CNT.V3, ENUM_CSV_CNT.V323
											Me.setV3Cls(rowData, cliOneCsvData)
										Case ENUM_CSV_CNT.V4
											Me.setV4Cls(rowData, cliOneCsvData)
										Case Else
											'エラー情報セット
											cliOneCsvData.ERR_FLG = "1"
											cliOneCsvData.ERR_CD = "E0026"
											'ＣＳＶの個数が違います。
											cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									End Select
								Catch ex As FileIO.MalformedLineException
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0035"
									'データの形式が不正です。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
								End Try

								cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

								If cliOneCsvData.ERR_FLG = "1" Then
									'連携ファイルエラー
								ElseIf Me.chkCSV(cliOneCsvData) = False Then
									'連携ファイル内チェックエラー
								ElseIf Me.setData(db, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
									'整合性チェック+更新用領域に格納エラー
								ElseIf Me.exeSQL(db, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) <> Enum_ExeReturnFlg.eExecute Then
									'登録/更新エラー
									cliOneCsvData.ERR_FLG = "1"
								End If

								'件数カウント
								If cliOneCsvData.ERR_FLG = "0" Then
									okCnt += 1
								Else
									errCnt += 1
									cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
								End If

								'ログ出力
								Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

								'件数更新
								'CST_MOD_CNT毎または最終データの場合更新
								If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
									'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eHSP_ASST, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'									Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eHSP_ASST, True, allCnt, okCnt, errCnt, 0)
									Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eHSP_ASST, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
								End If
							End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
							clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("入退院歴補足，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
						End Using
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">基本情報データクラス</param>
	''' <param name="cliHsp_DB">入退院情報データクラス</param>
	''' <param name="cliCh_DB">科歴情報データクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' 2011/05/11 OT2-X001 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, _
								ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】DB内データと整合性チェック + 更新用領域にセット Start")
		Try
			'基本情報、入退院、科歴取得
			If Me.getSqlParam_BasicHspCh(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, cliBasicInfo_DB, cliHsp_DB, cliCh_DB) = False Then
				'該当データが存在しない
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'対象の科歴情報が存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
				Return False
			End If
			'登録状況チェック
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, cliCh_DB.REG_STATUS_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'登録状況が「完成」のため、更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
				Return False
			End If


			'入院経路、退院経路、退院転帰の整合性チェック
			If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = False Then '開始経路入力時のみチェック
				'病歴大将内の科歴情報.開始経路が転科　連携ファイル開始経路が転科以外の場合エラー
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.hspChannelChangeDept_ALL, cliCh_DB.START_CNL_CD) = True AndAlso _
				   Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.hspChannelChangeDept_ALL, cliOneCsvData.HSP_CNL_CD) = False Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録済データの入院経路が転科だが連携データが転科でないため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録済データの入院経路が転科だが連携データが転科でない", "更新", Nothing})
					Return False
				End If

				'病歴大将内の科歴情報.開始経路が転科以外　連携ファイル開始経路が転科の場合エラー
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.hspChannelChangeDept_ALL, cliCh_DB.START_CNL_CD) = False AndAlso _
				  Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.hspChannelChangeDept_ALL, cliOneCsvData.HSP_CNL_CD) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録済データの入院経路が転科ではないが連携データが転科のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録済データの入院経路が転科ではないが連携データが転科の", "更新", Nothing})
					Return False
				End If
			End If

			'病歴大将内の科歴情報.終了転帰が死亡　連携ファイル終了転帰が死亡以外の場合
			'エラーとはしないが終了経路、終了転帰、退院経路、退院転帰の更新を行わない
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliCh_DB.END_OUTCOME_CD) = True AndAlso _
			   Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
				cliOneCsvData.OUT_HSP_CNL_CD = String.Empty		'退院経路コード
				cliOneCsvData.OUT_HSP_OUTCOME_CD = String.Empty	'退院転帰コード
			End If

			If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = False Then	'終了経路入力時のみチェック
				'病歴大将内の科歴情報.終了経路が転科　連携ファイル終了経路が転科以外の場合エラー
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept_ALL, cliCh_DB.END_CNL_CD) = True AndAlso _
				  Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = False Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録済データの退院経路が転科だが連携データが転科でないため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録済データの退院経路が転科だが連携データが転科でない", "更新", Nothing})
					Return False
				End If
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char							'データ種別パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)				   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)			   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)				   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)				   '入院日（開始日）
			oneCsv.Add(cliOneCsvData.HSP_CNL_CD)			   '入院（開始）経路コード
			oneCsv.Add(cliOneCsvData.PLAN_EMERGENCY_DIV)	   '予定緊急区分コード
			oneCsv.Add(cliOneCsvData.TIME_OUT_FLG)			   '時間外フラグ
			oneCsv.Add(cliOneCsvData.TAKE_AMBULANCE_CHK)	   '救急車有無コード
			oneCsv.Add(cliOneCsvData.HSP_AIM_CD)			   '入院目的コード
			oneCsv.Add(cliOneCsvData.HSP_FORM_CD)			   '入院形態コード
			oneCsv.Add(cliOneCsvData.OUT_HSP_CNL_CD)		   '退院（終了）経路コード
			oneCsv.Add(cliOneCsvData.OUT_HSP_OUTCOME_CD)	   '退院（終了）転帰コード
			oneCsv.Add(cliOneCsvData.STATURE)				   '身長
			oneCsv.Add(cliOneCsvData.WEIGHT)				   '体重
			oneCsv.Add(cliOneCsvData.BLOOD_TRAN_CHK)		   '輸血有無コード
			oneCsv.Add(cliOneCsvData.OPE_CHK)				   '手術有無コード
			oneCsv.Add(cliOneCsvData.CLINICAL_TRIAL_CHK)	   '治験有無コード
			oneCsv.Add(cliOneCsvData.HSP_INFECTION_CHK)		   '院内感染症有無コード
			oneCsv.Add(cliOneCsvData.OTHER_DEPT_CHK)		   '対診有無コード
			oneCsv.Add(cliOneCsvData.FIRST_DIAGNOSIS_DT)	   '初診日
			oneCsv.Add(cliOneCsvData.READMISSION_FLG)		   '再入院フラグ
			oneCsv.Add(cliOneCsvData.SELF_OTHER_HSP_DIV)	   '前回自他院区分
			oneCsv.Add(cliOneCsvData.LAST_OUT_HSP_DT)		   '前回退院日
			oneCsv.Add(cliOneCsvData.DISEASE_READMISSION_FLG)  '同一疾病自院再入院フラグ
			oneCsv.Add(cliOneCsvData.SAME_DISEASE_LAST_HSP_DT) '同一疾病自院前回退院日
			oneCsv.Add(cliOneCsvData.DOCTOR_CD1)			   '医師コード１
			oneCsv.Add(cliOneCsvData.MAIN_DOCTOR_FLG1)		   '代表医師フラグ１
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV1)			   '医師区分コード１
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT1)		   '担当開始日１
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT1)		   '担当終了日１
			oneCsv.Add(cliOneCsvData.DOCTOR_CD2)			   '医師コード２
			oneCsv.Add(cliOneCsvData.MAIN_DOCTOR_FLG2)		   '代表医師フラグ２
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV2)			   '医師区分コード２
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT2)		   '担当開始日２
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT2)		   '担当終了日２
			oneCsv.Add(cliOneCsvData.DOCTOR_CD3)			   '医師コード３
			oneCsv.Add(cliOneCsvData.MAIN_DOCTOR_FLG3)		   '代表医師フラグ３
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV3)			   '医師区分コード３
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT3)		   '担当開始日３
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT3)		   '担当終了日３
			oneCsv.Add(cliOneCsvData.DOCTOR_CD4)			   '医師コード４
			oneCsv.Add(cliOneCsvData.MAIN_DOCTOR_FLG4)		   '代表医師フラグ４
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV4)			   '医師区分コード４
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT4)		   '担当開始日４
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT4)		   '担当終了日４
			oneCsv.Add(cliOneCsvData.DOCTOR_CD5)			   '医師コード５
			oneCsv.Add(cliOneCsvData.MAIN_DOCTOR_FLG5)		   '代表医師フラグ５
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV5)			   '医師区分コード５
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT5)		   '担当開始日５
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT5)		   '担当終了日５
			oneCsv.Add(cliOneCsvData.DOCTOR_CD6)			   '医師コード６
			oneCsv.Add(cliOneCsvData.MAIN_DOCTOR_FLG6)		   '代表医師フラグ６
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV6)			   '医師区分コード６
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT6)		   '担当開始日６
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT6)		   '担当終了日６
			oneCsv.Add(cliOneCsvData.INTRODUCTION_CHK)		   '紹介状有無コード
			oneCsv.Add(cliOneCsvData.INTRODUCED_CD)			   '紹介元コード
			oneCsv.Add(cliOneCsvData.INTRODUCED_NM)			   '紹介元名
			oneCsv.Add(cliOneCsvData.INTRODUCED_DOCTOR_NM)	   '紹介元医師名
			oneCsv.Add(cliOneCsvData.REFERENCE_CD)			   '紹介先コード
			oneCsv.Add(cliOneCsvData.REFERENCE_NM)			   '紹介先名
			oneCsv.Add(cliOneCsvData.REFERENCE_DOCTOR_NM)	   '紹介先医師名
			oneCsv.Add(cliOneCsvData.INFECTION1)			   '感染症１
			oneCsv.Add(cliOneCsvData.INFECTION2)			   '感染症２
			oneCsv.Add(cliOneCsvData.INFECTION3)			   '感染症３
			oneCsv.Add(cliOneCsvData.INFECTION4)			   '感染症４
			oneCsv.Add(cliOneCsvData.INFECTION5)			   '感染症５
			oneCsv.Add(cliOneCsvData.INFECTION6)			   '感染症６
			oneCsv.Add(cliOneCsvData.OTHER_INFECTION)		   '感染症その他
			oneCsv.Add(cliOneCsvData.ALLERGY1)				   'アレルギー１
			oneCsv.Add(cliOneCsvData.ALLERGY2)				   'アレルギー２
			oneCsv.Add(cliOneCsvData.ALLERGY3)				   'アレルギー３
			oneCsv.Add(cliOneCsvData.ALLERGY4)				   'アレルギー４
			oneCsv.Add(cliOneCsvData.ALLERGY5)				   'アレルギー５
			oneCsv.Add(cliOneCsvData.ALLERGY6)				   'アレルギー６
			oneCsv.Add(cliOneCsvData.OTHER_ALLERGY)			   'アレルギーその他
			oneCsv.Add(cliOneCsvData.CURRENT_JOB_CD)		   '現職コード
			oneCsv.Add(cliOneCsvData.PAST_JOB_CD)			   '既職コード
			oneCsv.Add(cliOneCsvData.DPC_CD)				   'ＤＰＣコード
			oneCsv.Add(cliOneCsvData.REMARKS_CH)			   '備考（科歴）
			oneCsv.Add(cliOneCsvData.HOUSEHOLDER_NM)		   '世帯主
			oneCsv.Add(cliOneCsvData.RELATION_CD)			   '世帯主続柄
			oneCsv.Add(cliOneCsvData.LIVE_TOGETHER_STATE_CD)   '同居状況
			oneCsv.Add(cliOneCsvData.REMARKS)				   'コメント
			oneCsv.Add(cliOneCsvData.RECORD_RECEIPT_DT)		   '診療録受領日
			oneCsv.Add(cliOneCsvData.RECORD_MNGSTATUS_CD)	   '診療録管理状況コード
			oneCsv.Add(cliOneCsvData.RECORD_KEEPLCT_CD)		   '診療録保管場所コード
			oneCsv.Add(cliOneCsvData.RECORD_ARG_STATUS_CD)	   '診療録整理状況コード
			oneCsv.Add(cliOneCsvData.RECORD_RECIPIENT_CD)	   '診療録受領者コード
			oneCsv.Add(cliOneCsvData.SUMMARY_RECEIPT_DT)	   'サマリ受領日
			oneCsv.Add(cliOneCsvData.SUMMARY_MNGSTATUS_CD)	   'サマリ管理状況コード
			oneCsv.Add(cliOneCsvData.SUMMARY_KEEPLCT_CD)	   'サマリ保管場所コード
			oneCsv.Add(cliOneCsvData.SUMMARY_MAKER_CD)		   'サマリ作成者コード
			oneCsv.Add(cliOneCsvData.SUMMARY_APPROVAL_DT)	   'サマリ承認日
			oneCsv.Add(cliOneCsvData.REG_STATUS_CD)			   '登録状況コード
			oneCsv.Add(cliOneCsvData.REG_FINISHED_DT)		   '登録完了日
			oneCsv.Add(cliOneCsvData.REG_PERSON_CD)			   '登録者コード
			oneCsv.Add(cliOneCsvData.BLOODTYPE_CD)			   '血液型コード
			oneCsv.Add(cliOneCsvData.RH_CD)					   'Rｈコード
			oneCsv.Add(cliOneCsvData.CONTACT_PATIENT_NM)	   '連絡先氏名
			oneCsv.Add(cliOneCsvData.CONTACT_ZIP_CD)		   '連絡先郵便番号
			oneCsv.Add(cliOneCsvData.CONTACT_ADDRESS)		   '連絡先住所
			oneCsv.Add(cliOneCsvData.CONTACT_TELNUMBER)		   '連絡先電話番号
			oneCsv.Add(cliOneCsvData.CONTACT_RELATION)		   '連絡先続柄コード
			oneCsv.Add(cliOneCsvData.BLOOD_TRAN_CHK_CD)		   '輸血歴有無コード
			oneCsv.Add(cliOneCsvData.DRINKING_CHK)			   '飲酒有無コード
			oneCsv.Add(cliOneCsvData.SMOKING_CHK)			   '喫煙有無コード
			oneCsv.Add(cliOneCsvData.SMOKING_COUNT)			   '喫煙本数
			oneCsv.Add(cliOneCsvData.SMOKING_START_AGE)		   '吸い始め年齢
			oneCsv.Add(cliOneCsvData.SMOKING_END_AGE)		   'やめた年齢
			oneCsv.Add(cliOneCsvData.SMOKING_AGE)			   '喫煙年数
			oneCsv.Add(cliOneCsvData.PREGNANCY_CHK)			   '妊娠歴有無コード
			oneCsv.Add(cliOneCsvData.PREGNANCY_COUNT)		   '妊娠回数
			oneCsv.Add(cliOneCsvData.CB_CHK)				   '出産歴有無コード
			oneCsv.Add(cliOneCsvData.CB_COUNT)				   '出産回数
			oneCsv.Add(cliOneCsvData.MENARCHE_AGE)			   '初潮年齢
			oneCsv.Add(cliOneCsvData.MENOPAUSE_AGE)			   '閉経年齢
			oneCsv.Add(cliOneCsvData.DEATH_LCT_CD)			   '死亡場所コード
			oneCsv.Add(cliOneCsvData.DEATH_DT)				   '死亡日
			oneCsv.Add(cliOneCsvData.DEATH_TIME)			   '死亡時刻
			oneCsv.Add(cliOneCsvData.DEATH_DIV)				   '死亡区分コード
			oneCsv.Add(cliOneCsvData.AFTER_OPE_DEATH_DIV)	   '術後死亡区分コード
			oneCsv.Add(cliOneCsvData.AUTOPSY_CHK)			   '剖検有無コード
			oneCsv.Add(cliOneCsvData.AUTOPSY_NO)			   '剖検番号
			oneCsv.Add(cliOneCsvData.DEATH_REMARKS)			   '死亡コメント
			oneCsv.Add(cliOneCsvData.DPC_HSP)				   'DPC（入退院歴）
			oneCsv.Add(cliOneCsvData.REMARKS_HSP)			   '備考（入退院歴）
			oneCsv.Add(cliOneCsvData.HSP_FREEITEM1)			   '入退院自由項目１
			oneCsv.Add(cliOneCsvData.HSP_FREEITEM2)			   '入退院自由項目２
			oneCsv.Add(cliOneCsvData.HSP_FREEITEM3)			   '入退院自由項目３
			oneCsv.Add(cliOneCsvData.HSP_FREEITEM4)			   '入退院自由項目４
			oneCsv.Add(cliOneCsvData.HSP_FREEITEM5)			   '入退院自由項目５
			oneCsv.Add(cliOneCsvData.HSP_FREEITEM6)			   '入退院自由項目６

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1, 2, 3 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 84, 89, 93	'日付チェック「9999/99/99」許可
							If oneCsv(idx) = "9999/99/99" Then
							ElseIf Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 107, 108, 109, 110, 112, 114, 115, 116, 12, 13	'数値チェック
							If Me.chkCsvNum(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3, 19, 22, 24, 28, 29, 33, 34, 38, 39, 43, 44, 48, 49, 53, 54, 95, 118	'日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 119 '時刻チェック
							If Me.chkCsvTime(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			'連携ファイルの終了転帰が死亡　連携ファイル終了経路が転科の場合エラー
			'CSV退院転帰死亡 CSV退院経路転科でエラー
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = True AndAlso _
					Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeCannelChangeDept_ALL, cliOneCsvData.OUT_HSP_CNL_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0003"
				'連携データの退院転帰が死亡だが連携データの退院経路が転科のため更新できません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"連携データの退院転帰が死亡だが連携データの退院経路が転科の", "更新", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)

			disit.Add(1)	   'データ種別
			disit.Add(10)	   '患者番号
			disit.Add(2)	   '診療科コード
			disit.Add(10)	   '入院日（開始日）
			disit.Add(2)	   '入院（開始）経路コード
			disit.Add(2)	   '予定緊急区分コード
			disit.Add(1)	   '時間外フラグ
			disit.Add(1)	   '救急車有無コード
			disit.Add(2)	   '入院目的コード
			disit.Add(2)	   '入院形態コード
			disit.Add(2)	   '退院（終了）経路コード
			disit.Add(2)	   '退院（終了）転帰コード
			disit.Add(5)	   '身長(@@ Float)
			disit.Add(5)	   '体重(@@ Float)
			disit.Add(1)	   '輸血有無コード
			disit.Add(1)	   '手術有無コード
			disit.Add(1)	   '治験有無コード
			disit.Add(1)	   '院内感染症有無コード
			disit.Add(1)	   '対診有無コード
			disit.Add(10)	   '初診日
			disit.Add(1)	   '再入院フラグ
			disit.Add(2)	   '前回自他院区分
			disit.Add(10)	   '前回退院日
			disit.Add(1)	   '同一疾病自院再入院フラグ
			disit.Add(10)	   '同一疾病自院前回退院日
			disit.Add(8)	   '医師コード１
			disit.Add(1)	   '代表医師フラグ１
			disit.Add(2)	   '医師区分コード１
			disit.Add(10)	   '担当開始日１
			disit.Add(10)	   '担当終了日１
			disit.Add(8)	   '医師コード２
			disit.Add(1)	   '代表医師フラグ２
			disit.Add(2)	   '医師区分コード２
			disit.Add(10)	   '担当開始日２
			disit.Add(10)	   '担当終了日２
			disit.Add(8)	   '医師コード３
			disit.Add(1)	   '代表医師フラグ３
			disit.Add(2)	   '医師区分コード３
			disit.Add(10)	   '担当開始日３
			disit.Add(10)	   '担当終了日３
			disit.Add(8)	   '医師コード４
			disit.Add(1)	   '代表医師フラグ４
			disit.Add(2)	   '医師区分コード４
			disit.Add(10)	   '担当開始日４
			disit.Add(10)	   '担当終了日４
			disit.Add(8)	   '医師コード５
			disit.Add(1)	   '代表医師フラグ５
			disit.Add(2)	   '医師区分コード５
			disit.Add(10)	   '担当開始日５
			disit.Add(10)	   '担当終了日５
			disit.Add(8)	   '医師コード６
			disit.Add(1)	   '代表医師フラグ６
			disit.Add(2)	   '医師区分コード６
			disit.Add(10)	   '担当開始日６
			disit.Add(10)	   '担当終了日６
			disit.Add(1)	   '紹介状有無コード
			disit.Add(9)	   '紹介元コード
			disit.Add(40)	   '紹介元名
			disit.Add(20)	   '紹介元医師名
			disit.Add(9)	   '紹介先コード
			disit.Add(40)	   '紹介先名
			disit.Add(20)	   '紹介先医師名
			disit.Add(1)	   '感染症１
			disit.Add(1)	   '感染症２
			disit.Add(1)	   '感染症３
			disit.Add(1)	   '感染症４
			disit.Add(1)	   '感染症５
			disit.Add(1)	   '感染症６
			disit.Add(20)	   '感染症その他
			disit.Add(2)	   'アレルギー１
			disit.Add(2)	   'アレルギー２
			disit.Add(2)	   'アレルギー３
			disit.Add(2)	   'アレルギー４
			disit.Add(2)	   'アレルギー５
			disit.Add(2)	   'アレルギー６
			disit.Add(20)	   'アレルギーその他
			disit.Add(4)	   '現職コード
			disit.Add(4)	   '既職コード
			disit.Add(20)	   'ＤＰＣコード
			disit.Add(20)	   '備考（科歴）
			disit.Add(20)	   '世帯主
			disit.Add(2)	   '世帯主続柄
			disit.Add(2)	   '同居状況
			disit.Add(200)	   'コメント
			disit.Add(10)	   '診療録受領日
			disit.Add(2)	   '診療録管理状況コード
			disit.Add(3)	   '診療録保管場所コード
			disit.Add(2)	   '診療録整理状況コード
			disit.Add(8)	   '診療録受領者コード
			disit.Add(10)	   'サマリ受領日
			disit.Add(2)	   'サマリ管理状況コード
			disit.Add(3)	   'サマリ保管場所コード
			disit.Add(8)	   'サマリ作成者コード
			disit.Add(10)	   'サマリ承認日
			disit.Add(2)	   '登録状況コード
			disit.Add(10)	   '登録完了日
			disit.Add(8)	   '登録者コード
			disit.Add(1)	   '血液型コード
			disit.Add(1)	   'Rｈコード
			disit.Add(20)	   '連絡先氏名
			disit.Add(7)	   '連絡先郵便番号
			disit.Add(80)	   '連絡先住所
			disit.Add(15)	   '連絡先電話番号
			disit.Add(2)	   '連絡先続柄コード
			disit.Add(1)	   '輸血歴有無コード
			disit.Add(1)	   '飲酒有無コード
			disit.Add(1)	   '喫煙有無コード
			disit.Add(10)	   '喫煙本数
			disit.Add(10)	   '吸い始め年齢(@@ 整数)
			disit.Add(10)	   'やめた年齢(@@ 整数)
			disit.Add(10)	   '喫煙年数(@@ 整数)
			disit.Add(1)	   '妊娠歴有無コード
			disit.Add(10)	   '妊娠回数(@@ 整数)
			disit.Add(1)	   '出産歴有無コード
			disit.Add(10)	   '出産回数(@@ 整数)
			disit.Add(10)	   '初潮年齢(@@ 整数)
			disit.Add(10)	   '閉経年齢(@@ 整数)
			disit.Add(2)	   '死亡場所コード
			disit.Add(10)	   '死亡日
			disit.Add(5)	   '死亡時刻
			disit.Add(2)	   '死亡区分コード
			disit.Add(2)	   '術後死亡区分コード
			disit.Add(1)	   '剖検有無コード
			disit.Add(10)	   '剖検番号
			disit.Add(100)	   '死亡コメント
			disit.Add(20)	   'DPC（入退院歴）
			disit.Add(20)	   '備考（入退院歴）
			disit.Add(5)	   '入退院自由項目１
			disit.Add(5)	   '入退院自由項目２
			disit.Add(5)	   '入退院自由項目３
			disit.Add(5)	   '入退院自由項目４
			disit.Add(5)	   '入退院自由項目５
			disit.Add(5)	   '入退院自由項目６
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――


			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院日（開始日）
			cliOneCsvData.READMISSION_FLG = oneCsv(4)			   '再入院フラグ
			cliOneCsvData.HSP_AIM_CD = oneCsv(5)				   '入院目的コード
			cliOneCsvData.HSP_FORM_CD = oneCsv(6)				   '入院形態コード
			cliOneCsvData.INTRODUCED_CD = oneCsv(7)				   '紹介元コード
			cliOneCsvData.INTRODUCED_NM = oneCsv(8)				   '紹介元名
			cliOneCsvData.INTRODUCED_DOCTOR_NM = oneCsv(9)		   '紹介元医師名
			cliOneCsvData.REFERENCE_CD = oneCsv(10)				   '紹介先コード
			cliOneCsvData.REFERENCE_NM = oneCsv(11)				   '紹介先名
			cliOneCsvData.REFERENCE_DOCTOR_NM = oneCsv(12)		   '紹介先医師名
			cliOneCsvData.STATURE = oneCsv(13)					   '身長
			cliOneCsvData.WEIGHT = oneCsv(14)					   '体重
			cliOneCsvData.CURRENT_JOB_CD = oneCsv(15)			   '職業コード
			cliOneCsvData.OTHER_DEPT_CHK = oneCsv(16)			   '対診有無コード
			cliOneCsvData.BLOOD_TRAN_CHK = oneCsv(17)			   '輸血有無コード
			cliOneCsvData.OPE_CHK = oneCsv(18)					   '手術有無コード
			cliOneCsvData.DPC_CD = oneCsv(19)					   'ＤＰＣコード
			cliOneCsvData.INFECTION1 = oneCsv(20)				   '感染症１
			cliOneCsvData.INFECTION2 = oneCsv(21)				   '感染症２
			cliOneCsvData.INFECTION3 = oneCsv(22)				   '感染症３
			cliOneCsvData.INFECTION4 = oneCsv(23)				   '感染症４
			cliOneCsvData.INFECTION5 = oneCsv(24)				   '感染症５
			cliOneCsvData.INFECTION6 = oneCsv(25)				   '感染症６
			cliOneCsvData.OTHER_INFECTION = oneCsv(26)			   '感染症その他
			cliOneCsvData.ALLERGY1 = oneCsv(27)					   'アレルギー１
			cliOneCsvData.ALLERGY2 = oneCsv(28)					   'アレルギー２
			cliOneCsvData.ALLERGY3 = oneCsv(29)					   'アレルギー３
			cliOneCsvData.ALLERGY4 = oneCsv(30)					   'アレルギー４
			cliOneCsvData.ALLERGY5 = oneCsv(31)					   'アレルギー５
			cliOneCsvData.ALLERGY6 = oneCsv(32)					   'アレルギー６
			cliOneCsvData.OTHER_ALLERGY = oneCsv(33)			   'アレルギーその他
			cliOneCsvData.LAST_OUT_HSP_DT = oneCsv(34)			   '前回退院日
			cliOneCsvData.SELF_OTHER_HSP_DIV = oneCsv(35)		   '前回自他院区分
			cliOneCsvData.REMARKS = oneCsv(36)					   'コメント
			cliOneCsvData.DOCTOR_CD1 = oneCsv(37)				   '医師コード１
			cliOneCsvData.MAIN_DOCTOR_FLG1 = oneCsv(38)			   '主治医フラグ１
			cliOneCsvData.DOCTOR_DIV1 = oneCsv(39)				   '医師区分コード１
			cliOneCsvData.ATTEND_START_DT1 = oneCsv(40)			   '担当開始日１
			cliOneCsvData.ATTEND_END_DT1 = oneCsv(41)			   '担当終了日１
			cliOneCsvData.DOCTOR_CD2 = oneCsv(42)				   '医師コード２
			cliOneCsvData.MAIN_DOCTOR_FLG2 = oneCsv(43)			   '主治医フラグ２
			cliOneCsvData.DOCTOR_DIV2 = oneCsv(44)				   '医師区分コード２
			cliOneCsvData.ATTEND_START_DT2 = oneCsv(45)			   '担当開始日２
			cliOneCsvData.ATTEND_END_DT2 = oneCsv(46)			   '担当終了日２
			cliOneCsvData.DOCTOR_CD3 = oneCsv(47)				   '医師コード３
			cliOneCsvData.MAIN_DOCTOR_FLG3 = oneCsv(48)			   '主治医フラグ３
			cliOneCsvData.DOCTOR_DIV3 = oneCsv(49)				   '医師区分コード３
			cliOneCsvData.ATTEND_START_DT3 = oneCsv(50)			   '担当開始日３
			cliOneCsvData.ATTEND_END_DT3 = oneCsv(51)			   '担当終了日３
			cliOneCsvData.DOCTOR_CD4 = oneCsv(52)				   '医師コード４
			cliOneCsvData.MAIN_DOCTOR_FLG4 = oneCsv(53)			   '主治医フラグ４
			cliOneCsvData.DOCTOR_DIV4 = oneCsv(54)				   '医師区分コード４
			cliOneCsvData.ATTEND_START_DT4 = oneCsv(55)			   '担当開始日４
			cliOneCsvData.ATTEND_END_DT4 = oneCsv(56)			   '担当終了日４
			cliOneCsvData.DOCTOR_CD5 = oneCsv(57)				   '医師コード５
			cliOneCsvData.MAIN_DOCTOR_FLG5 = oneCsv(58)			   '主治医フラグ５
			cliOneCsvData.DOCTOR_DIV5 = oneCsv(59)				   '医師区分コード５
			cliOneCsvData.ATTEND_START_DT5 = oneCsv(60)			   '担当開始日５
			cliOneCsvData.ATTEND_END_DT5 = oneCsv(61)			   '担当終了日５
			cliOneCsvData.DOCTOR_CD6 = oneCsv(62)				   '医師コード６
			cliOneCsvData.MAIN_DOCTOR_FLG6 = oneCsv(63)			   '主治医フラグ６
			cliOneCsvData.DOCTOR_DIV6 = oneCsv(64)				   '医師区分コード６
			cliOneCsvData.ATTEND_START_DT6 = oneCsv(65)			   '担当開始日６
			cliOneCsvData.ATTEND_END_DT6 = oneCsv(66)			   '担当終了日６
			cliOneCsvData.DEATH_TIME = oneCsv(67)				   '死亡時刻
			cliOneCsvData.AUTOPSY_CHK = oneCsv(68)				   '剖検有無コード
			cliOneCsvData.AUTOPSY_NO = oneCsv(69)				   '剖検番号
			cliOneCsvData.DEATH_DIV = oneCsv(70)				   '死亡区分コード
			cliOneCsvData.AFTER_OPE_DEATH_DIV = oneCsv(71)		   '術後死亡区分コード
			cliOneCsvData.DEATH_LCT_CD = oneCsv(72)				   '死亡場所コード
			cliOneCsvData.SUMMARY_RECEIPT_DT = oneCsv(73)		   'サマリ受領日
			cliOneCsvData.SUMMARY_MAKER_CD = oneCsv(74)			   'サマリ作成者コード
			cliOneCsvData.SUMMARY_MNGSTATUS_CD = oneCsv(75)		   'サマリ管理状況コード
			cliOneCsvData.REG_STATUS_CD = oneCsv(76)			   '登録状況コード
			cliOneCsvData.REG_FINISHED_DT = oneCsv(77)			   '登録完了日
			cliOneCsvData.REG_PERSON_CD = oneCsv(78)			   '登録者コード
			cliOneCsvData.PLAN_EMERGENCY_DIV = oneCsv(79)		   '予定緊急区分コード
			cliOneCsvData.TAKE_AMBULANCE_CHK = oneCsv(80)		   '救急車有無コード
			cliOneCsvData.CLINICAL_TRIAL_CHK = oneCsv(81)		   '治験有無コード
			cliOneCsvData.HSP_CNL_CD = oneCsv(82)				   '入院（開始）経路コード
			cliOneCsvData.OUT_HSP_CNL_CD = oneCsv(83)			   '退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD = oneCsv(84)		   '退院（終了）転帰コード
			cliOneCsvData.BLOODTYPE_CD = oneCsv(85)				   '血液型コード
			cliOneCsvData.RH_CD = oneCsv(86)					   'Rｈコード
			cliOneCsvData.RECORD_MNGSTATUS_CD = oneCsv(87)		   '診療録管理状況コード
			cliOneCsvData.RECORD_RECEIPT_DT = oneCsv(88)		   '診療録受領日
			cliOneCsvData.FIRST_DIAGNOSIS_DT = oneCsv(89)		   '初診日
			cliOneCsvData.DEATH_DT = oneCsv(90)					   '死亡日
			Select Case oneCsv.Length
				Case ENUM_CSV_CNT.V3
					cliOneCsvData.HSP_INFECTION_CHK = oneCsv(91)		'院内感染症有無コード
					cliOneCsvData.REMARKS_CH = oneCsv(92)				'備考（科歴）
					cliOneCsvData.SAME_DISEASE_LAST_HSP_DT = oneCsv(93)	'同一疾病自院前回退院日
					cliOneCsvData.DISEASE_READMISSION_FLG = oneCsv(94)	'同一疾病自院再入院フラグ
					cliOneCsvData.SUMMARY_APPROVAL_DT = oneCsv(95)		'サマリ承認日
					cliOneCsvData.CONTACT_PATIENT_NM = oneCsv(96)		'連絡先氏名
					cliOneCsvData.CONTACT_ZIP_CD = oneCsv(97)			'連絡先郵便番号
					cliOneCsvData.CONTACT_ADDRESS = oneCsv(98)			'連絡先住所
					cliOneCsvData.CONTACT_TELNUMBER = oneCsv(99)		'連絡先電話番号
					cliOneCsvData.CONTACT_RELATION = oneCsv(100)		'連絡先続柄
					cliOneCsvData.REMARKS_HSP = oneCsv(101)				'備考（入退院歴）
					cliOneCsvData.DPC_HSP = oneCsv(102)					'DPC（入退院歴）
					cliOneCsvData.HSP_FREEITEM1 = oneCsv(103)			'入退院自由項目１
					cliOneCsvData.HSP_FREEITEM2 = oneCsv(104)			'入退院自由項目２
					cliOneCsvData.HSP_FREEITEM3 = oneCsv(105)			'入退院自由項目３
					cliOneCsvData.HSP_FREEITEM4 = oneCsv(106)			'入退院自由項目４
					cliOneCsvData.HSP_FREEITEM5 = oneCsv(107)			'入退院自由項目５
					cliOneCsvData.HSP_FREEITEM6 = oneCsv(108)			'入退院自由項目６
					cliOneCsvData.RECORD_RECIPIENT_CD = oneCsv(109)		'診療録受領者コード
					cliOneCsvData.RECORD_KEEPLCT_CD = oneCsv(110)		'診療録保管場所コード
					cliOneCsvData.RECORD_ARG_STATUS_CD = oneCsv(111)	'診療録整理状況コード
					cliOneCsvData.SUMMARY_KEEPLCT_CD = oneCsv(112)		'サマリ保管場所コード
					'cliOneCsvData.SPARE01 = oneCsv(113)                '　―――
			End Select

			cliOneCsvData.TIME_OUT_FLG = String.Empty			  '時間外フラグ(V3なし)
			cliOneCsvData.INTRODUCTION_CHK = String.Empty		  '紹介状有無コード(V3なし)
			cliOneCsvData.PAST_JOB_CD = String.Empty			  '既職コード(V3なし)
			cliOneCsvData.HOUSEHOLDER_NM = String.Empty			  '世帯主(V3なし)
			cliOneCsvData.RELATION_CD = String.Empty			  '世帯主続柄(V3なし)
			cliOneCsvData.LIVE_TOGETHER_STATE_CD = String.Empty	  '同居状況(V3なし)
			cliOneCsvData.BLOOD_TRAN_CHK_CD = String.Empty		  '輸血歴有無コード(V3なし)
			cliOneCsvData.DRINKING_CHK = String.Empty			  '飲酒有無コード(V3なし)
			cliOneCsvData.SMOKING_CHK = String.Empty			  '喫煙有無コード(V3なし)
			cliOneCsvData.SMOKING_COUNT = String.Empty			  '喫煙本数(V3なし)
			cliOneCsvData.SMOKING_START_AGE = String.Empty		  '吸い始め年齢(V3なし)
			cliOneCsvData.SMOKING_END_AGE = String.Empty		  'やめた年齢(V3なし)
			cliOneCsvData.SMOKING_AGE = String.Empty			  '喫煙年数(V3なし)
			cliOneCsvData.PREGNANCY_CHK = String.Empty			  '妊娠歴有無コード(V3なし)
			cliOneCsvData.PREGNANCY_COUNT = String.Empty		  '妊娠回数(V3なし)
			cliOneCsvData.CB_CHK = String.Empty					  '出産歴有無コード(V3なし)
			cliOneCsvData.CB_COUNT = String.Empty				  '出産回数(V3なし)
			cliOneCsvData.MENARCHE_AGE = String.Empty			  '初潮年齢(V3なし)
			cliOneCsvData.MENOPAUSE_AGE = String.Empty			  '閉経年齢(V3なし)
			cliOneCsvData.DEATH_REMARKS = String.Empty			  '死亡コメント(V3なし)
			'cliOneCsvData.SPARE02 = ""                  '　―――(V3なし)
			'cliOneCsvData.SPARE03 = ""                  '　―――(V3なし)
			'cliOneCsvData.SPARE04 = ""                  '　―――(V3なし)
			'cliOneCsvData.SPARE05 = ""                  '　―――(V3なし)
			'cliOneCsvData.SPARE06 = ""                  '　―――(V3なし)
			'cliOneCsvData.SPARE07 = ""                  '　―――(V3なし)

			'退避
			cliOneCsvData.OUT_HSP_CNL_CD_Evacuation = oneCsv(83)			  '退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD_Evacuation = oneCsv(84)		  '退院（終了）転帰コード

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】V4レイアウト変換 Start")
		Try
'(A) STR V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			Dim i As Integer
			For i = 0 To UBound(oneCsv)
				oneCsv(i) = oneCsv(i).Replace(Nothing, " "c)
				oneCsv(i) = RTrim(oneCsv(i))
			Next
'(A) END V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院日（開始日）
			cliOneCsvData.HSP_CNL_CD = oneCsv(4)				   '入院（開始）経路コード
			cliOneCsvData.PLAN_EMERGENCY_DIV = oneCsv(5)		   '予定緊急区分コード
			cliOneCsvData.TIME_OUT_FLG = oneCsv(6)				   '時間外フラグ
			cliOneCsvData.TAKE_AMBULANCE_CHK = oneCsv(7)		   '救急車有無コード
			cliOneCsvData.HSP_AIM_CD = oneCsv(8)				   '入院目的コード
			cliOneCsvData.HSP_FORM_CD = oneCsv(9)				   '入院形態コード
			cliOneCsvData.OUT_HSP_CNL_CD = oneCsv(10)			   '退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD = oneCsv(11)		   '退院（終了）転帰コード
			cliOneCsvData.STATURE = oneCsv(12)					   '身長
			cliOneCsvData.WEIGHT = oneCsv(13)					   '体重
			cliOneCsvData.BLOOD_TRAN_CHK = oneCsv(14)			   '輸血有無コード
			cliOneCsvData.OPE_CHK = oneCsv(15)					   '手術有無コード
			cliOneCsvData.CLINICAL_TRIAL_CHK = oneCsv(16)		   '治験有無コード
			cliOneCsvData.HSP_INFECTION_CHK = oneCsv(17)		   '院内感染症有無コード
			cliOneCsvData.OTHER_DEPT_CHK = oneCsv(18)			   '対診有無コード
			cliOneCsvData.FIRST_DIAGNOSIS_DT = oneCsv(19)		   '初診日
			cliOneCsvData.READMISSION_FLG = oneCsv(20)			   '再入院フラグ
			cliOneCsvData.SELF_OTHER_HSP_DIV = oneCsv(21)		   '前回自他院区分
			cliOneCsvData.LAST_OUT_HSP_DT = oneCsv(22)			   '前回退院日
			cliOneCsvData.DISEASE_READMISSION_FLG = oneCsv(23)	   '同一疾病自院再入院フラグ
			cliOneCsvData.SAME_DISEASE_LAST_HSP_DT = oneCsv(24)	   '同一疾病自院前回退院日
			cliOneCsvData.DOCTOR_CD1 = oneCsv(25)				   '医師コード１
			cliOneCsvData.MAIN_DOCTOR_FLG1 = oneCsv(26)			   '代表医師フラグ１
			cliOneCsvData.DOCTOR_DIV1 = oneCsv(27)				   '医師区分コード１
			cliOneCsvData.ATTEND_START_DT1 = oneCsv(28)			   '担当開始日１
			cliOneCsvData.ATTEND_END_DT1 = oneCsv(29)			   '担当終了日１
			cliOneCsvData.DOCTOR_CD2 = oneCsv(30)				   '医師コード２
			cliOneCsvData.MAIN_DOCTOR_FLG2 = oneCsv(31)			   '代表医師フラグ２
			cliOneCsvData.DOCTOR_DIV2 = oneCsv(32)				   '医師区分コード２
			cliOneCsvData.ATTEND_START_DT2 = oneCsv(33)			   '担当開始日２
			cliOneCsvData.ATTEND_END_DT2 = oneCsv(34)			   '担当終了日２
			cliOneCsvData.DOCTOR_CD3 = oneCsv(35)				   '医師コード３
			cliOneCsvData.MAIN_DOCTOR_FLG3 = oneCsv(36)			   '代表医師フラグ３
			cliOneCsvData.DOCTOR_DIV3 = oneCsv(37)				   '医師区分コード３
			cliOneCsvData.ATTEND_START_DT3 = oneCsv(38)			   '担当開始日３
			cliOneCsvData.ATTEND_END_DT3 = oneCsv(39)			   '担当終了日３
			cliOneCsvData.DOCTOR_CD4 = oneCsv(40)				   '医師コード４
			cliOneCsvData.MAIN_DOCTOR_FLG4 = oneCsv(41)			   '代表医師フラグ４
			cliOneCsvData.DOCTOR_DIV4 = oneCsv(42)				   '医師区分コード４
			cliOneCsvData.ATTEND_START_DT4 = oneCsv(43)			   '担当開始日４
			cliOneCsvData.ATTEND_END_DT4 = oneCsv(44)			   '担当終了日４
			cliOneCsvData.DOCTOR_CD5 = oneCsv(45)				   '医師コード５
			cliOneCsvData.MAIN_DOCTOR_FLG5 = oneCsv(46)			   '代表医師フラグ５
			cliOneCsvData.DOCTOR_DIV5 = oneCsv(47)				   '医師区分コード５
			cliOneCsvData.ATTEND_START_DT5 = oneCsv(48)			   '担当開始日５
			cliOneCsvData.ATTEND_END_DT5 = oneCsv(49)			   '担当終了日５
			cliOneCsvData.DOCTOR_CD6 = oneCsv(50)				   '医師コード６
			cliOneCsvData.MAIN_DOCTOR_FLG6 = oneCsv(51)			   '代表医師フラグ６
			cliOneCsvData.DOCTOR_DIV6 = oneCsv(52)				   '医師区分コード６
			cliOneCsvData.ATTEND_START_DT6 = oneCsv(53)			   '担当開始日６
			cliOneCsvData.ATTEND_END_DT6 = oneCsv(54)			   '担当終了日６
			cliOneCsvData.INTRODUCTION_CHK = oneCsv(55)			   '紹介状有無コード
			cliOneCsvData.INTRODUCED_CD = oneCsv(56)			   '紹介元コード
			cliOneCsvData.INTRODUCED_NM = oneCsv(57)			   '紹介元名
			cliOneCsvData.INTRODUCED_DOCTOR_NM = oneCsv(58)		   '紹介元医師名
			cliOneCsvData.REFERENCE_CD = oneCsv(59)				   '紹介先コード
			cliOneCsvData.REFERENCE_NM = oneCsv(60)				   '紹介先名
			cliOneCsvData.REFERENCE_DOCTOR_NM = oneCsv(61)		   '紹介先医師名
			cliOneCsvData.INFECTION1 = oneCsv(62)				   '感染症１
			cliOneCsvData.INFECTION2 = oneCsv(63)				   '感染症２
			cliOneCsvData.INFECTION3 = oneCsv(64)				   '感染症３
			cliOneCsvData.INFECTION4 = oneCsv(65)				   '感染症４
			cliOneCsvData.INFECTION5 = oneCsv(66)				   '感染症５
			cliOneCsvData.INFECTION6 = oneCsv(67)				   '感染症６
			cliOneCsvData.OTHER_INFECTION = oneCsv(68)			   '感染症その他
			cliOneCsvData.ALLERGY1 = oneCsv(69)					   'アレルギー１
			cliOneCsvData.ALLERGY2 = oneCsv(70)					   'アレルギー２
			cliOneCsvData.ALLERGY3 = oneCsv(71)					   'アレルギー３
			cliOneCsvData.ALLERGY4 = oneCsv(72)					   'アレルギー４
			cliOneCsvData.ALLERGY5 = oneCsv(73)					   'アレルギー５
			cliOneCsvData.ALLERGY6 = oneCsv(74)					   'アレルギー６
			cliOneCsvData.OTHER_ALLERGY = oneCsv(75)			   'アレルギーその他
			cliOneCsvData.CURRENT_JOB_CD = oneCsv(76)			   '現職コード
			cliOneCsvData.PAST_JOB_CD = oneCsv(77)				   '既職コード
			cliOneCsvData.DPC_CD = oneCsv(78)					   'ＤＰＣコード
			cliOneCsvData.REMARKS_CH = oneCsv(79)				   '備考（科歴）
			cliOneCsvData.HOUSEHOLDER_NM = oneCsv(80)			   '世帯主
			cliOneCsvData.RELATION_CD = oneCsv(81)				   '世帯主続柄
			cliOneCsvData.LIVE_TOGETHER_STATE_CD = oneCsv(82)	   '同居状況
			cliOneCsvData.REMARKS = oneCsv(83)					   'コメント
			cliOneCsvData.RECORD_RECEIPT_DT = oneCsv(84)		   '診療録受領日
			cliOneCsvData.RECORD_MNGSTATUS_CD = oneCsv(85)		   '診療録管理状況コード
			cliOneCsvData.RECORD_KEEPLCT_CD = oneCsv(86)		   '診療録保管場所コード
			cliOneCsvData.RECORD_ARG_STATUS_CD = oneCsv(87)		   '診療録整理状況コード
			cliOneCsvData.RECORD_RECIPIENT_CD = oneCsv(88)		   '診療録受領者コード
			cliOneCsvData.SUMMARY_RECEIPT_DT = oneCsv(89)		   'サマリ受領日
			cliOneCsvData.SUMMARY_MNGSTATUS_CD = oneCsv(90)		   'サマリ管理状況コード
			cliOneCsvData.SUMMARY_KEEPLCT_CD = oneCsv(91)		   'サマリ保管場所コード
			cliOneCsvData.SUMMARY_MAKER_CD = oneCsv(92)			   'サマリ作成者コード
			cliOneCsvData.SUMMARY_APPROVAL_DT = oneCsv(93)		   'サマリ承認日
			cliOneCsvData.REG_STATUS_CD = oneCsv(94)			   '登録状況コード
			cliOneCsvData.REG_FINISHED_DT = oneCsv(95)			   '登録完了日
			cliOneCsvData.REG_PERSON_CD = oneCsv(96)			   '登録者コード
			cliOneCsvData.BLOODTYPE_CD = oneCsv(97)				   '血液型コード
			cliOneCsvData.RH_CD = oneCsv(98)					   'Rｈコード
			cliOneCsvData.CONTACT_PATIENT_NM = oneCsv(99)		   '連絡先氏名
			cliOneCsvData.CONTACT_ZIP_CD = oneCsv(100)			   '連絡先郵便番号
			cliOneCsvData.CONTACT_ADDRESS = oneCsv(101)			   '連絡先住所
			cliOneCsvData.CONTACT_TELNUMBER = oneCsv(102)		   '連絡先電話番号
			cliOneCsvData.CONTACT_RELATION = oneCsv(103)		   '連絡先続柄コード
			cliOneCsvData.BLOOD_TRAN_CHK_CD = oneCsv(104)		   '輸血歴有無コード
			cliOneCsvData.DRINKING_CHK = oneCsv(105)			   '飲酒有無コード
			cliOneCsvData.SMOKING_CHK = oneCsv(106)				   '喫煙有無コード
			cliOneCsvData.SMOKING_COUNT = oneCsv(107)			   '喫煙本数
			cliOneCsvData.SMOKING_START_AGE = oneCsv(108)		   '吸い始め年齢
			cliOneCsvData.SMOKING_END_AGE = oneCsv(109)			   'やめた年齢
			cliOneCsvData.SMOKING_AGE = oneCsv(110)				   '喫煙年数
			cliOneCsvData.PREGNANCY_CHK = oneCsv(111)			   '妊娠歴有無コード
			cliOneCsvData.PREGNANCY_COUNT = oneCsv(112)			   '妊娠回数
			cliOneCsvData.CB_CHK = oneCsv(113)					   '出産歴有無コード
			cliOneCsvData.CB_COUNT = oneCsv(114)				   '出産回数
			cliOneCsvData.MENARCHE_AGE = oneCsv(115)			   '初潮年齢
			cliOneCsvData.MENOPAUSE_AGE = oneCsv(116)			   '閉経年齢
			cliOneCsvData.DEATH_LCT_CD = oneCsv(117)			   '死亡場所コード
			cliOneCsvData.DEATH_DT = oneCsv(118)				   '死亡日
			cliOneCsvData.DEATH_TIME = oneCsv(119)				   '死亡時刻
			cliOneCsvData.DEATH_DIV = oneCsv(120)				   '死亡区分コード
			cliOneCsvData.AFTER_OPE_DEATH_DIV = oneCsv(121)		   '術後死亡区分コード
			cliOneCsvData.AUTOPSY_CHK = oneCsv(122)				   '剖検有無コード
			cliOneCsvData.AUTOPSY_NO = oneCsv(123)				   '剖検番号
			cliOneCsvData.DEATH_REMARKS = oneCsv(124)			   '死亡コメント
			cliOneCsvData.DPC_HSP = oneCsv(125)					   'DPC（入退院歴）
			cliOneCsvData.REMARKS_HSP = oneCsv(126)				   '備考（入退院歴）
			cliOneCsvData.HSP_FREEITEM1 = oneCsv(127)			   '入退院自由項目１
			cliOneCsvData.HSP_FREEITEM2 = oneCsv(128)			   '入退院自由項目２
			cliOneCsvData.HSP_FREEITEM3 = oneCsv(129)			   '入退院自由項目３
			cliOneCsvData.HSP_FREEITEM4 = oneCsv(130)			   '入退院自由項目４
			cliOneCsvData.HSP_FREEITEM5 = oneCsv(131)			   '入退院自由項目５
			cliOneCsvData.HSP_FREEITEM6 = oneCsv(132)			   '入退院自由項目６
			'cliOneCsvData.SPARE01 = oneCsv(133)                    '　―――
			'cliOneCsvData.SPARE02 = oneCsv(134)                    '　―――
			'cliOneCsvData.SPARE03 = oneCsv(135)                    '　―――
			'cliOneCsvData.SPARE04 = oneCsv(136)                    '　―――
			'cliOneCsvData.SPARE05 = oneCsv(137)                    '　―――
			'cliOneCsvData.SPARE06 = oneCsv(138)                    '　―――
			'cliOneCsvData.SPARE07 = oneCsv(139)                    '　―――

			'退避
			cliOneCsvData.OUT_HSP_CNL_CD_Evacuation = oneCsv(10)			  '退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD_Evacuation = oneCsv(11)		  '退院（終了）転帰コード

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliBasicInfo_DB">基本情報データ</param>
	''' <param name="cliHsp_DB">入退院情報データ</param>
	''' <param name="cliCh_DB">科歴情報データ</param>
	''' <returns>DB登録結果</returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, _
	   ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】登録 Start")
		Try
			Dim mainDoctor As String = String.Empty	'主治医
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			'医師情報
			Me.exeSqlDoctor(pDb, cliOneCsvData, cliCh_DB, mainDoctor)

			'死亡情報
			Me.exeSqlDEATH(pDb, cliOneCsvData, cliBasicInfo_DB, cliHsp_DB, cliCh_DB)

			'科歴情報
			Me.exeSqlCh(pDb, cliOneCsvData, cliCh_DB, mainDoctor)

			'入退院情報
			Me.exeSqlHsp(pDb, cliOneCsvData, cliHsp_DB, cliCh_DB, mainDoctor)

			'基本情報
			Me.exeSqlBasicInfo(pDb, cliOneCsvData, cliBasicInfo_DB)

			'貸出物情報(サマリ)
			Me.exeSqlLendItemSummary(pDb, cliOneCsvData, cliCh_DB)

			'貸出物情報(カルテ)
			Me.exeSqlLendItemRecord(pDb, cliOneCsvData, cliCh_DB)

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】医師情報登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliCh_DB">科歴情報</param>
	''' <param name="retMainDoctor">主治医格納</param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlDoctor(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, ByVal cliCh_DB As clsXSI_MTI_CH, ByRef retMainDoctor As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】医師情報登録 Start")

		Dim mainDoctor As String = String.Empty	'主治医
		Try
'(A) STR V4-11003-000 006 20110722 FJSK)荒川 XXX号 病歴大将V4PKG問題点No81 システム連携-医師情報連携不具合
			'医師１に何も入っていなかったら医師情報登録処理はスキップする
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD1) = True Then
				Exit Sub
			End If
'(A) END V4-11003-000 006 20110722

			'医師情報削除
			Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
				cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
				cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
				cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

				Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eDel, cliMTI_DOCTOR)
			End Using

			'医師１
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD1) = False Then
				Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
					cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
					cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
					cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

					cliMTI_DOCTOR.DOCTOR_CD = cliOneCsvData.DOCTOR_CD1	'医師コード
					cliMTI_DOCTOR.DOCTOR_SERIAL_NO = "1"				'医師連番
					'主治医フラグ
					If String.IsNullOrEmpty(mainDoctor) = True AndAlso Me.changeFlg(cliOneCsvData.MAIN_DOCTOR_FLG1) = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						mainDoctor = cliMTI_DOCTOR.DOCTOR_CD
					Else
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					cliMTI_DOCTOR.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV1			'医師区分コード
					cliMTI_DOCTOR.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT1	'担当開始日
					cliMTI_DOCTOR.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT1		'担当終了日

					'登録
					Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_DOCTOR)
				End Using
			End If

			'医師２
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD2) = False Then
				Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
					cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
					cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
					cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

					cliMTI_DOCTOR.DOCTOR_CD = cliOneCsvData.DOCTOR_CD2	'医師コード
					cliMTI_DOCTOR.DOCTOR_SERIAL_NO = "2"				'医師連番
					'主治医フラグ
					If String.IsNullOrEmpty(mainDoctor) = True AndAlso Me.changeFlg(cliOneCsvData.MAIN_DOCTOR_FLG2) = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						mainDoctor = cliMTI_DOCTOR.DOCTOR_CD
					Else
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					cliMTI_DOCTOR.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV2			'医師区分コード
					cliMTI_DOCTOR.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT2	'担当開始日
					cliMTI_DOCTOR.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT2		'担当終了日

					'登録
					Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_DOCTOR)
				End Using
			End If

			'医師３
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD3) = False Then
				Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
					cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
					cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
					cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

					cliMTI_DOCTOR.DOCTOR_CD = cliOneCsvData.DOCTOR_CD3	'医師コード
					cliMTI_DOCTOR.DOCTOR_SERIAL_NO = "3"				'医師連番
					'主治医フラグ
					If String.IsNullOrEmpty(mainDoctor) = True AndAlso Me.changeFlg(cliOneCsvData.MAIN_DOCTOR_FLG3) = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						mainDoctor = cliMTI_DOCTOR.DOCTOR_CD
					Else
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					cliMTI_DOCTOR.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV3			'医師区分コード
					cliMTI_DOCTOR.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT3	'担当開始日
					cliMTI_DOCTOR.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT3		'担当終了日

					'登録
					Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_DOCTOR)
				End Using
			End If

			'医師４
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD4) = False Then
				Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
					cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
					cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
					cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

					cliMTI_DOCTOR.DOCTOR_CD = cliOneCsvData.DOCTOR_CD4	'医師コード
					cliMTI_DOCTOR.DOCTOR_SERIAL_NO = "4"				'医師連番
					'主治医フラグ
					If String.IsNullOrEmpty(mainDoctor) = True AndAlso Me.changeFlg(cliOneCsvData.MAIN_DOCTOR_FLG4) = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						mainDoctor = cliMTI_DOCTOR.DOCTOR_CD
					Else
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					cliMTI_DOCTOR.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV4			'医師区分コード
					cliMTI_DOCTOR.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT4	'担当開始日
					cliMTI_DOCTOR.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT4		'担当終了日

					'登録
					Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_DOCTOR)
				End Using
			End If

			'医師５
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD5) = False Then
				Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
					cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
					cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
					cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

					cliMTI_DOCTOR.DOCTOR_CD = cliOneCsvData.DOCTOR_CD5	'医師コード
					cliMTI_DOCTOR.DOCTOR_SERIAL_NO = "5"				'医師連番
					'主治医フラグ
					If String.IsNullOrEmpty(mainDoctor) = True AndAlso Me.changeFlg(cliOneCsvData.MAIN_DOCTOR_FLG5) = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						mainDoctor = cliMTI_DOCTOR.DOCTOR_CD
					Else
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					cliMTI_DOCTOR.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV5			'医師区分コード
					cliMTI_DOCTOR.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT5	'担当開始日
					cliMTI_DOCTOR.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT5		'担当終了日

					'登録
					Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_DOCTOR)
				End Using
			End If

			'医師６
			If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD6) = False Then
				Using cliMTI_DOCTOR As New clsXSI_MTI_DOCTOR
					cliMTI_DOCTOR.PATIENT_NO = cliCh_DB.PATIENT_NO			   '患者番号
					cliMTI_DOCTOR.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO	   '入退院歴番号
					cliMTI_DOCTOR.CH_NO = cliCh_DB.CH_NO					   '科歴番号

					cliMTI_DOCTOR.DOCTOR_CD = cliOneCsvData.DOCTOR_CD6	'医師コード
					cliMTI_DOCTOR.DOCTOR_SERIAL_NO = "6"				'医師連番
					'主治医フラグ
					If String.IsNullOrEmpty(mainDoctor) = True AndAlso Me.changeFlg(cliOneCsvData.MAIN_DOCTOR_FLG6) = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						mainDoctor = cliMTI_DOCTOR.DOCTOR_CD
					Else
						cliMTI_DOCTOR.MAIN_DOCTOR_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					cliMTI_DOCTOR.DOCTOR_DIV = cliOneCsvData.DOCTOR_DIV6			'医師区分コード
					cliMTI_DOCTOR.ATTEND_START_DT = cliOneCsvData.ATTEND_START_DT6	'担当開始日
					cliMTI_DOCTOR.ATTEND_END_DT = cliOneCsvData.ATTEND_END_DT6		'担当終了日

					'登録
					Me.setSqlParam_MTI_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_DOCTOR)
				End Using
			End If

			'主治医設定
			retMainDoctor = mainDoctor
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】科歴情報更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliCh_DB">更新対象科歴データ</param>
	''' <param name="mainDoctor">主治医</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlCh(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, ByVal cliCh_DB As clsXSI_MTI_CH, ByVal mainDoctor As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】科歴登録 Start")
		Try
			Dim updFlg As Boolean = False
			Using cliCh As New clsXSI_MTI_CH
				'再入院フラグ
				If String.IsNullOrEmpty(cliOneCsvData.READMISSION_FLG) = True Then
				ElseIf cliCh_DB.READMISSION_FLG <> Me.changeFlg(cliOneCsvData.READMISSION_FLG) Then
					cliCh.READMISSION_FLG = Me.changeFlg(cliOneCsvData.READMISSION_FLG)
					updFlg = True
				End If
				If cliCh.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
					'再入院フラグがONの場合設定
					'前回退院日
					If String.IsNullOrEmpty(cliOneCsvData.LAST_OUT_HSP_DT) = True Then
					ElseIf cliCh_DB.LAST_OUT_HSP_DT <> cliOneCsvData.LAST_OUT_HSP_DT Then
						cliCh.LAST_OUT_HSP_DT = cliOneCsvData.LAST_OUT_HSP_DT
						updFlg = True
					End If
					'前回自他院区分
					If String.IsNullOrEmpty(cliOneCsvData.SELF_OTHER_HSP_DIV) = True Then
					ElseIf cliCh_DB.LAST_SELF_OTHER_HSP_DIV <> cliOneCsvData.SELF_OTHER_HSP_DIV Then
						cliCh.LAST_SELF_OTHER_HSP_DIV = cliOneCsvData.SELF_OTHER_HSP_DIV
						updFlg = True
					End If
				End If

				'疾病再入院フラグ
				If String.IsNullOrEmpty(cliOneCsvData.DISEASE_READMISSION_FLG) = True Then
				ElseIf cliCh_DB.DISEASE_READMISSION_FLG <> Me.changeFlg(cliOneCsvData.DISEASE_READMISSION_FLG) Then
					cliCh.DISEASE_READMISSION_FLG = Me.changeFlg(cliOneCsvData.DISEASE_READMISSION_FLG)
					updFlg = True
				End If
				If cliCh.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
					'疾病再入院フラグがONの場合設定
					'同一疾病前回退院日
					If String.IsNullOrEmpty(cliOneCsvData.SAME_DISEASE_LAST_HSP_DT) = True Then
					ElseIf cliCh_DB.SAME_DISEASE_LAST_HSP_DT <> cliOneCsvData.SAME_DISEASE_LAST_HSP_DT Then
						cliCh.SAME_DISEASE_LAST_HSP_DT = cliOneCsvData.SAME_DISEASE_LAST_HSP_DT
						updFlg = True
					End If
				End If

				'入院目的コード
				If String.IsNullOrEmpty(cliOneCsvData.HSP_AIM_CD) = True Then
				ElseIf cliCh_DB.HSP_AIM_CD <> cliOneCsvData.HSP_AIM_CD Then
					cliCh.HSP_AIM_CD = cliOneCsvData.HSP_AIM_CD
					updFlg = True
				End If

				'入院形態コード
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FORM_CD) = True Then
				ElseIf cliCh_DB.HSP_FORM_CD <> cliOneCsvData.HSP_FORM_CD Then
					cliCh.HSP_FORM_CD = cliOneCsvData.HSP_FORM_CD
					updFlg = True
				End If

				'入院経路コード
				If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
				ElseIf cliCh_DB.START_CNL_CD <> cliOneCsvData.HSP_CNL_CD Then
					cliCh.START_CNL_CD = cliOneCsvData.HSP_CNL_CD
					updFlg = True
				End If

				'退院経路コード
				If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
				ElseIf cliCh_DB.END_CNL_CD <> cliOneCsvData.OUT_HSP_CNL_CD Then
					cliCh.END_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
					updFlg = True
				End If

				'退院転帰コード
				If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then
				ElseIf cliCh_DB.END_OUTCOME_CD <> cliOneCsvData.OUT_HSP_OUTCOME_CD Then
					cliCh.END_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
					updFlg = True
				End If

				'紹介元コード
				If String.IsNullOrEmpty(cliOneCsvData.INTRODUCED_CD) = True Then
				ElseIf cliCh_DB.INTRODUCED_CD <> cliOneCsvData.INTRODUCED_CD Then
					cliCh.INTRODUCED_CD = cliOneCsvData.INTRODUCED_CD
					updFlg = True
				End If

				'紹介元名
				If String.IsNullOrEmpty(cliOneCsvData.INTRODUCED_NM) = True Then
				ElseIf cliCh_DB.INTRODUCED_NM <> cliOneCsvData.INTRODUCED_NM Then
					cliCh.INTRODUCED_NM = cliOneCsvData.INTRODUCED_NM
					updFlg = True
				End If

				'紹介元医師名
				If String.IsNullOrEmpty(cliOneCsvData.INTRODUCED_DOCTOR_NM) = True Then
				ElseIf cliCh_DB.INTRODUCED_DOCTOR_NM <> cliOneCsvData.INTRODUCED_DOCTOR_NM Then
					cliCh.INTRODUCED_DOCTOR_NM = cliOneCsvData.INTRODUCED_DOCTOR_NM
					updFlg = True
				End If

				'紹介先コード
				If String.IsNullOrEmpty(cliOneCsvData.REFERENCE_CD) = True Then
				ElseIf cliCh_DB.REFERENCE_CD <> cliOneCsvData.REFERENCE_CD Then
					cliCh.REFERENCE_CD = cliOneCsvData.REFERENCE_CD
					updFlg = True
				End If

				'紹介先名
				If String.IsNullOrEmpty(cliOneCsvData.REFERENCE_NM) = True Then
				ElseIf cliCh_DB.REFERENCE_NM <> cliOneCsvData.REFERENCE_NM Then
					cliCh.REFERENCE_NM = cliOneCsvData.REFERENCE_NM
					updFlg = True
				End If

				'紹介先医師名
				If String.IsNullOrEmpty(cliOneCsvData.REFERENCE_DOCTOR_NM) = True Then
				ElseIf cliCh_DB.REFERENCE_DOCTOR_NM <> cliOneCsvData.REFERENCE_DOCTOR_NM Then
					cliCh.REFERENCE_DOCTOR_NM = cliOneCsvData.REFERENCE_DOCTOR_NM
					updFlg = True
				End If

				'身長
				If String.IsNullOrEmpty(cliOneCsvData.STATURE) = True Then
				ElseIf cliCh_DB.STATURE <> cliOneCsvData.STATURE Then
					cliCh.STATURE = cliOneCsvData.STATURE
					updFlg = True
				End If

				'体重
				If String.IsNullOrEmpty(cliOneCsvData.WEIGHT) = True Then
				ElseIf cliCh_DB.WEIGHT <> cliOneCsvData.WEIGHT Then
					cliCh.WEIGHT = cliOneCsvData.WEIGHT
					updFlg = True
				End If

				'職業コード
				If String.IsNullOrEmpty(cliOneCsvData.CURRENT_JOB_CD) = True Then
				ElseIf cliCh_DB.CURRENT_JOB_CD <> cliOneCsvData.CURRENT_JOB_CD Then
					cliCh.CURRENT_JOB_CD = cliOneCsvData.CURRENT_JOB_CD
					updFlg = True
				End If

				'対診科有無コード
				If String.IsNullOrEmpty(cliOneCsvData.OTHER_DEPT_CHK) = True Then
				ElseIf cliCh_DB.OTHER_DEPT_CHK <> Me.changeOnOff(cliOneCsvData.OTHER_DEPT_CHK) Then
					cliCh.OTHER_DEPT_CHK = Me.changeOnOff(cliOneCsvData.OTHER_DEPT_CHK)
					updFlg = True
				End If

				'輸血有無コード
				If String.IsNullOrEmpty(cliOneCsvData.BLOOD_TRAN_CHK) = True Then
				ElseIf cliCh_DB.BLOOD_TRAN_CHK <> Me.changeOnOff(cliOneCsvData.BLOOD_TRAN_CHK) Then
					cliCh.BLOOD_TRAN_CHK = Me.changeOnOff(cliOneCsvData.BLOOD_TRAN_CHK)
					updFlg = True
				End If

				'手術有無コード
				If String.IsNullOrEmpty(cliOneCsvData.OPE_CHK) = True Then
				ElseIf cliCh_DB.OPE_CHK <> Me.changeOnOff(cliOneCsvData.OPE_CHK) Then
					cliCh.OPE_CHK = Me.changeOnOff(cliOneCsvData.OPE_CHK)
					updFlg = True
				End If

				'ＤＰＣコード
				If String.IsNullOrEmpty(cliOneCsvData.DPC_CD) = True Then
				ElseIf cliCh_DB.DPC_CD <> cliOneCsvData.DPC_CD Then
					cliCh.DPC_CD = cliOneCsvData.DPC_CD
					updFlg = True
				End If

				'アレルギー１～６
				If String.IsNullOrEmpty(cliOneCsvData.ALLERGY1) = False Then
					'アレルギー１が入力されていれば更新
					cliCh.ALLERGY1 = cliOneCsvData.ALLERGY1
					cliCh.ALLERGY2 = cliOneCsvData.ALLERGY2
					cliCh.ALLERGY3 = cliOneCsvData.ALLERGY3
					cliCh.ALLERGY4 = cliOneCsvData.ALLERGY4
					cliCh.ALLERGY5 = cliOneCsvData.ALLERGY5
					cliCh.ALLERGY6 = cliOneCsvData.ALLERGY6
					updFlg = True
				End If

				'アレルギーその他
				If String.IsNullOrEmpty(cliOneCsvData.OTHER_ALLERGY) = True Then
				ElseIf cliCh_DB.OTHER_ALLERGY <> cliOneCsvData.OTHER_ALLERGY Then
					cliCh.OTHER_ALLERGY = cliOneCsvData.OTHER_ALLERGY
					updFlg = True
				End If

				'感染症１
				If String.IsNullOrEmpty(cliOneCsvData.INFECTION1) = True Then
				ElseIf cliCh_DB.INFECTION1 <> cliOneCsvData.INFECTION1 Then
					cliCh.INFECTION1 = cliOneCsvData.INFECTION1
					updFlg = True
				End If
				'感染症２
				If String.IsNullOrEmpty(cliOneCsvData.INFECTION2) = True Then
				ElseIf cliCh_DB.INFECTION2 <> cliOneCsvData.INFECTION2 Then
					cliCh.INFECTION2 = cliOneCsvData.INFECTION2
					updFlg = True
				End If
				'感染症３
				If String.IsNullOrEmpty(cliOneCsvData.INFECTION3) = True Then
				ElseIf cliCh_DB.INFECTION3 <> cliOneCsvData.INFECTION3 Then
					cliCh.INFECTION3 = cliOneCsvData.INFECTION3
					updFlg = True
				End If
				'感染症４
				If String.IsNullOrEmpty(cliOneCsvData.INFECTION4) = True Then
				ElseIf cliCh_DB.INFECTION4 <> cliOneCsvData.INFECTION4 Then
					cliCh.INFECTION4 = cliOneCsvData.INFECTION4
					updFlg = True
				End If
				'感染症５
				If String.IsNullOrEmpty(cliOneCsvData.INFECTION5) = True Then
				ElseIf cliCh_DB.INFECTION5 <> cliOneCsvData.INFECTION5 Then
					cliCh.INFECTION5 = cliOneCsvData.INFECTION5
					updFlg = True
				End If
				'感染症６
				If String.IsNullOrEmpty(cliOneCsvData.INFECTION6) = True Then
				ElseIf cliCh_DB.INFECTION6 <> cliOneCsvData.INFECTION6 Then
					cliCh.INFECTION6 = cliOneCsvData.INFECTION6
					updFlg = True
				End If
				'感染症その他
				If String.IsNullOrEmpty(cliOneCsvData.OTHER_INFECTION) = True Then
				ElseIf cliCh_DB.OTHER_INFECTION <> cliOneCsvData.OTHER_INFECTION Then
					cliCh.OTHER_INFECTION = cliOneCsvData.OTHER_INFECTION
					updFlg = True
				End If

				'コメント
				If String.IsNullOrEmpty(cliOneCsvData.REMARKS) = True Then
				ElseIf cliCh_DB.COMMENT <> cliOneCsvData.REMARKS Then
					cliCh.COMMENT = cliOneCsvData.REMARKS
					updFlg = True
				End If

				'主治医
				If String.IsNullOrEmpty(mainDoctor) = True Then
				ElseIf cliCh_DB.DOCTOR_CD <> mainDoctor Then
					cliCh.DOCTOR_CD = mainDoctor
					updFlg = True
				End If

				'登録状況コード
				If String.IsNullOrEmpty(cliOneCsvData.REG_STATUS_CD) = True Then
				ElseIf cliCh_DB.REG_STATUS_CD <> cliOneCsvData.REG_STATUS_CD Then
					cliCh.REG_STATUS_CD = cliOneCsvData.REG_STATUS_CD
					updFlg = True
				End If

				'登録完了日
				If String.IsNullOrEmpty(cliOneCsvData.REG_FINISHED_DT) = True Then
				ElseIf cliCh_DB.REG_FINISHED_DT <> cliOneCsvData.REG_FINISHED_DT Then
					cliCh.REG_FINISHED_DT = cliOneCsvData.REG_FINISHED_DT
					updFlg = True
				End If

				'登録者コード
				If String.IsNullOrEmpty(cliOneCsvData.REG_PERSON_CD) = True Then
				ElseIf cliCh_DB.REG_PERSON_CD <> cliOneCsvData.REG_PERSON_CD Then
					cliCh.REG_PERSON_CD = cliOneCsvData.REG_PERSON_CD
					updFlg = True
				End If

				'予定緊急コード
				If String.IsNullOrEmpty(cliOneCsvData.PLAN_EMERGENCY_DIV) = True Then
				ElseIf cliCh_DB.PLAN_EMERGENCY_CD <> cliOneCsvData.PLAN_EMERGENCY_DIV Then
					cliCh.PLAN_EMERGENCY_CD = cliOneCsvData.PLAN_EMERGENCY_DIV
					updFlg = True
				End If

				'救急車有無コード
				If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = True Then
				ElseIf cliCh_DB.TAKE_AMBULANCE_CHK <> Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK) Then
					cliCh.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)
					updFlg = True
				End If

				'治験実施有無コード
				If String.IsNullOrEmpty(cliOneCsvData.CLINICAL_TRIAL_CHK) = True Then
				ElseIf cliCh_DB.CLINICAL_TRIAL_CHK <> Me.changeOnOff(cliOneCsvData.CLINICAL_TRIAL_CHK) Then
					cliCh.CLINICAL_TRIAL_CHK = Me.changeOnOff(cliOneCsvData.CLINICAL_TRIAL_CHK)
					updFlg = True
				End If

				'初診日
				If String.IsNullOrEmpty(cliOneCsvData.FIRST_DIAGNOSIS_DT) = True Then
				ElseIf cliCh_DB.FIRST_DIAGNOSIS_DT <> cliOneCsvData.FIRST_DIAGNOSIS_DT Then
					cliCh.FIRST_DIAGNOSIS_DT = cliOneCsvData.FIRST_DIAGNOSIS_DT
					updFlg = True
				End If

				'院内感染症有無コード
				If String.IsNullOrEmpty(cliOneCsvData.HSP_INFECTION_CHK) = True Then
				ElseIf cliCh_DB.HSP_INFECTION_CHK <> Me.changeOnOff(cliOneCsvData.HSP_INFECTION_CHK) Then
					cliCh.HSP_INFECTION_CHK = Me.changeOnOff(cliOneCsvData.HSP_INFECTION_CHK)
					updFlg = True
				End If

				'備考
				If String.IsNullOrEmpty(cliOneCsvData.REMARKS_CH) = True Then
				ElseIf cliCh_DB.REMARKS <> cliOneCsvData.REMARKS_CH Then
					cliCh.REMARKS = cliOneCsvData.REMARKS_CH
					updFlg = True
				End If

				'時間外フラグ
				If String.IsNullOrEmpty(cliOneCsvData.TIME_OUT_FLG) = True Then
				ElseIf cliCh_DB.TIME_OUT_FLG <> Me.changeFlg(cliOneCsvData.TIME_OUT_FLG) Then
					cliCh.TIME_OUT_FLG = Me.changeFlg(cliOneCsvData.TIME_OUT_FLG)
					updFlg = True
				End If

				'紹介状有無コード
				If String.IsNullOrEmpty(cliOneCsvData.INTRODUCTION_CHK) = True Then
				ElseIf cliCh_DB.INTRODUCTION_CHK <> Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK) Then
					cliCh.INTRODUCTION_CHK = Me.changeOnOff(cliOneCsvData.INTRODUCTION_CHK)
					updFlg = True
				End If

				'既職コード
				If String.IsNullOrEmpty(cliOneCsvData.PAST_JOB_CD) = True Then
				ElseIf cliCh_DB.PAST_JOB_CD <> cliOneCsvData.PAST_JOB_CD Then
					cliCh.PAST_JOB_CD = cliOneCsvData.PAST_JOB_CD
					updFlg = True
				End If

				'世帯主
				If String.IsNullOrEmpty(cliOneCsvData.HOUSEHOLDER_NM) = True Then
				ElseIf cliCh_DB.HOUSEHOLDER_NM <> cliOneCsvData.HOUSEHOLDER_NM Then
					cliCh.HOUSEHOLDER_NM = cliOneCsvData.HOUSEHOLDER_NM
					updFlg = True
				End If

				'世帯主続柄
				If String.IsNullOrEmpty(cliOneCsvData.RELATION_CD) = True Then
				ElseIf cliCh_DB.RELATION_CD <> cliOneCsvData.RELATION_CD Then
					cliCh.RELATION_CD = cliOneCsvData.RELATION_CD
					updFlg = True
				End If

				'同居状況
				If String.IsNullOrEmpty(cliOneCsvData.LIVE_TOGETHER_STATE_CD) = True Then
				ElseIf cliCh_DB.LIVE_TOGETHER_STATE_CD <> cliOneCsvData.LIVE_TOGETHER_STATE_CD Then
					cliCh.LIVE_TOGETHER_STATE_CD = cliOneCsvData.LIVE_TOGETHER_STATE_CD
					updFlg = True
				End If

				'科歴更新
				If updFlg = True Then
					cliCh.PATIENT_NO = cliCh_DB.PATIENT_NO		   '患者番号
					cliCh.HSP_HISTORY_NO = cliCh_DB.HSP_HISTORY_NO '入退院歴番号
					cliCh.CH_NO = cliCh_DB.CH_NO				   '科歴番号
					'更新
					Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCh, True)
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】入退院情報更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliHsp_DB">更新対象入退院データ</param>
	''' <param name="cliCh_DB">更新対象科歴データ</param>
	''' <param name="mainDoctor">主治医</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlHsp(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, ByVal cliHsp_DB As clsXSI_MTI_HSP, ByVal cliCh_DB As clsXSI_MTI_CH, ByVal mainDoctor As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】入退院登録 Start")
		Try
			Dim updFlg As Boolean = False
			Using cliHsp As New clsXSI_MTI_HSP()
				'入院の科歴から値を設定
				If cliCh_DB.HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
					'動作環境の入退院情報で再入院フラグの基準となる科歴
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009) = CStr(clsConst.Enum_HspReadMissionStdCh.Hsp) Then '動作環境の入退院情報で再入院フラグの基準となる科歴
						'再入院フラグ
						If String.IsNullOrEmpty(cliOneCsvData.READMISSION_FLG) = True Then
						ElseIf cliHsp_DB.READMISSION_FLG <> Me.changeFlg(cliOneCsvData.READMISSION_FLG) Then
							cliHsp.READMISSION_FLG = Me.changeFlg(cliOneCsvData.READMISSION_FLG)
							updFlg = True
						End If
						If cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							cliHsp.LAST_OUT_HSP_DT = cliOneCsvData.LAST_OUT_HSP_DT				'前回退院日
							cliHsp.LAST_SELF_OTHER_HSP_DIV = cliOneCsvData.SELF_OTHER_HSP_DIV	'前回自他退院区分
						End If
						'同一疾病再入院フラグ
						If String.IsNullOrEmpty(cliOneCsvData.DISEASE_READMISSION_FLG) = True Then
						ElseIf cliHsp_DB.DISEASE_READMISSION_FLG <> Me.changeFlg(cliOneCsvData.DISEASE_READMISSION_FLG) Then
							cliHsp.DISEASE_READMISSION_FLG = Me.changeFlg(cliOneCsvData.DISEASE_READMISSION_FLG)
							updFlg = True
						End If
						If cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							cliHsp.SAME_DISEASE_LAST_HSP_DT = cliOneCsvData.SAME_DISEASE_LAST_HSP_DT	'同一疾病前回退院日
						End If
					End If

					'入院目的コード
					If String.IsNullOrEmpty(cliOneCsvData.HSP_AIM_CD) = True Then
					ElseIf cliHsp_DB.HSP_AIM_CD <> cliOneCsvData.HSP_AIM_CD Then
						cliHsp.HSP_AIM_CD = cliOneCsvData.HSP_AIM_CD
						updFlg = True
					End If

					'入院形態コード
					If String.IsNullOrEmpty(cliOneCsvData.HSP_FORM_CD) = True Then
					ElseIf cliHsp_DB.HSP_FORM_CD <> cliOneCsvData.HSP_FORM_CD Then
						cliHsp.HSP_FORM_CD = cliOneCsvData.HSP_FORM_CD
						updFlg = True
					End If

					'救急車有無コード
					If String.IsNullOrEmpty(cliOneCsvData.TAKE_AMBULANCE_CHK) = True Then
					ElseIf cliHsp_DB.TAKE_AMBULANCE_CHK <> Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK) Then
						cliHsp.TAKE_AMBULANCE_CHK = Me.changeOnOff(cliOneCsvData.TAKE_AMBULANCE_CHK)
						updFlg = True
					End If

					'予定緊急コード
					If String.IsNullOrEmpty(cliOneCsvData.PLAN_EMERGENCY_DIV) = True Then
					ElseIf cliHsp_DB.PLAN_EMERGENCY_CD <> cliOneCsvData.PLAN_EMERGENCY_DIV Then
						cliHsp.PLAN_EMERGENCY_CD = cliOneCsvData.PLAN_EMERGENCY_DIV
						updFlg = True
					End If

					'入院経路コード
					If String.IsNullOrEmpty(cliOneCsvData.HSP_CNL_CD) = True Then
					ElseIf cliHsp_DB.HSP_CNL_CD <> cliOneCsvData.HSP_CNL_CD Then
						cliHsp.HSP_CNL_CD = cliOneCsvData.HSP_CNL_CD
						updFlg = True
					End If

					'身長
					If String.IsNullOrEmpty(cliOneCsvData.STATURE) = True Then
					ElseIf cliHsp_DB.STATURE <> cliOneCsvData.STATURE Then
						cliHsp.STATURE = cliOneCsvData.STATURE
						updFlg = True
					End If

					'体重
					If String.IsNullOrEmpty(cliOneCsvData.WEIGHT) = True Then
					ElseIf cliHsp_DB.WEIGHT <> cliOneCsvData.WEIGHT Then
						cliHsp.WEIGHT = cliOneCsvData.WEIGHT
						updFlg = True
					End If

					'時間外フラグ
					If String.IsNullOrEmpty(cliOneCsvData.TIME_OUT_FLG) = True Then
					ElseIf cliHsp_DB.TIME_OUT_FLG <> Me.changeFlg(cliOneCsvData.TIME_OUT_FLG) Then
						cliHsp.TIME_OUT_FLG = Me.changeFlg(cliOneCsvData.TIME_OUT_FLG)
						updFlg = True
					End If
				End If

				'退院の科歴から値を設定
				If cliCh_DB.OUT_HSP_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
					'退院経路コード
					If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_CNL_CD) = True Then
					ElseIf cliHsp_DB.OUT_HSP_CNL_CD <> cliOneCsvData.OUT_HSP_CNL_CD Then
						cliHsp.OUT_HSP_CNL_CD = cliOneCsvData.OUT_HSP_CNL_CD
						updFlg = True
					End If

					'退院転帰コード
					If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_OUTCOME_CD) = True Then
					ElseIf cliHsp_DB.OUT_HSP_OUTCOME_CD <> cliOneCsvData.OUT_HSP_OUTCOME_CD Then
						cliHsp.OUT_HSP_OUTCOME_CD = cliOneCsvData.OUT_HSP_OUTCOME_CD
						updFlg = True
					End If
				End If

				'主科の科歴から値を設定
				If cliCh_DB.MAIN_DPM_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then

					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009) = CStr(clsConst.Enum_HspReadMissionStdCh.MainCh) Then	'動作環境の入退院情報で再入院フラグの基準となる科歴
						'再入院フラグ
						If String.IsNullOrEmpty(cliOneCsvData.READMISSION_FLG) = True Then
						ElseIf cliHsp_DB.READMISSION_FLG <> Me.changeFlg(cliOneCsvData.READMISSION_FLG) Then
							cliHsp.READMISSION_FLG = Me.changeFlg(cliOneCsvData.READMISSION_FLG)
							updFlg = True
						End If
						If cliHsp.READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							cliHsp.LAST_OUT_HSP_DT = cliOneCsvData.LAST_OUT_HSP_DT				'前回退院日
							cliHsp.LAST_SELF_OTHER_HSP_DIV = cliOneCsvData.SELF_OTHER_HSP_DIV	'前回自他退院区分
						End If
						'同一疾病再入院フラグ
						If String.IsNullOrEmpty(cliOneCsvData.DISEASE_READMISSION_FLG) = True Then
						ElseIf cliHsp_DB.DISEASE_READMISSION_FLG <> Me.changeFlg(cliOneCsvData.DISEASE_READMISSION_FLG) Then
							cliHsp.DISEASE_READMISSION_FLG = Me.changeFlg(cliOneCsvData.DISEASE_READMISSION_FLG)
							updFlg = True
						End If
						If cliHsp.DISEASE_READMISSION_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							cliHsp.SAME_DISEASE_LAST_HSP_DT = cliOneCsvData.SAME_DISEASE_LAST_HSP_DT	'同一疾病前回退院日
						End If
					End If

					'医師コード
					If String.IsNullOrEmpty(mainDoctor) = True Then
					ElseIf cliHsp_DB.DOCTOR_CD <> mainDoctor Then
						cliHsp.DOCTOR_CD = mainDoctor
						updFlg = True
					End If

					'治験実施有無コード
					If String.IsNullOrEmpty(cliOneCsvData.CLINICAL_TRIAL_CHK) = True Then
					ElseIf cliHsp_DB.CLINICAL_TRIAL_CHK <> Me.changeOnOff(cliOneCsvData.CLINICAL_TRIAL_CHK) Then
						cliHsp.CLINICAL_TRIAL_CHK = Me.changeOnOff(cliOneCsvData.CLINICAL_TRIAL_CHK)
						updFlg = True
					End If

					'院内感染症有無コード
					If String.IsNullOrEmpty(cliOneCsvData.HSP_INFECTION_CHK) = True Then
					ElseIf cliHsp_DB.HSP_INFECTION_CHK <> Me.changeOnOff(cliOneCsvData.HSP_INFECTION_CHK) Then
						cliHsp.HSP_INFECTION_CHK = Me.changeOnOff(cliOneCsvData.HSP_INFECTION_CHK)
						updFlg = True
					End If

				End If

				'備考
				If String.IsNullOrEmpty(cliOneCsvData.REMARKS_HSP) = True Then
				ElseIf cliHsp_DB.REMARKS <> cliOneCsvData.REMARKS_HSP Then
					cliHsp.REMARKS = cliOneCsvData.REMARKS_HSP
					updFlg = True
				End If

				'DPC
				If String.IsNullOrEmpty(cliOneCsvData.DPC_HSP) = True Then
				ElseIf cliHsp_DB.DPC_NO <> cliOneCsvData.DPC_HSP Then
					cliHsp.DPC_NO = cliOneCsvData.DPC_HSP
					updFlg = True
				End If

				'入退院自由項目１
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FREEITEM1) = True Then
				ElseIf cliHsp_DB.HSP_FREEITEM1 <> cliOneCsvData.HSP_FREEITEM1 Then
					cliHsp.HSP_FREEITEM1 = cliOneCsvData.HSP_FREEITEM1
					updFlg = True
				End If
				'入退院自由項目２
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FREEITEM2) = True Then
				ElseIf cliHsp_DB.HSP_FREEITEM2 <> cliOneCsvData.HSP_FREEITEM2 Then
					cliHsp.HSP_FREEITEM2 = cliOneCsvData.HSP_FREEITEM2
					updFlg = True
				End If
				'入退院自由項目３
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FREEITEM3) = True Then
				ElseIf cliHsp_DB.HSP_FREEITEM3 <> cliOneCsvData.HSP_FREEITEM3 Then
					cliHsp.HSP_FREEITEM3 = cliOneCsvData.HSP_FREEITEM3
					updFlg = True
				End If
				'入退院自由項目４
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FREEITEM4) = True Then
				ElseIf cliHsp_DB.HSP_FREEITEM4 <> cliOneCsvData.HSP_FREEITEM4 Then
					cliHsp.HSP_FREEITEM4 = cliOneCsvData.HSP_FREEITEM4
					updFlg = True
				End If
				'入退院自由項目５
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FREEITEM5) = True Then
				ElseIf cliHsp_DB.HSP_FREEITEM5 <> cliOneCsvData.HSP_FREEITEM5 Then
					cliHsp.HSP_FREEITEM5 = cliOneCsvData.HSP_FREEITEM5
					updFlg = True
				End If
				'入退院自由項目６
				If String.IsNullOrEmpty(cliOneCsvData.HSP_FREEITEM6) = True Then
				ElseIf cliHsp_DB.HSP_FREEITEM6 <> cliOneCsvData.HSP_FREEITEM6 Then
					cliHsp.HSP_FREEITEM6 = cliOneCsvData.HSP_FREEITEM6
					updFlg = True
				End If

				'入退院更新
				If updFlg = True Then
					cliHsp.PATIENT_NO = cliHsp_DB.PATIENT_NO		 '患者番号
					cliHsp.HSP_HISTORY_NO = cliHsp_DB.HSP_HISTORY_NO '入退院歴番号
					Me.setUpdSql_MTI_HSP(pDb, False, Enum_Upd.eChange, cliHsp, True)
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】基本情報更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliBasicInfo_DB">更新対基本情報データ</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlBasicInfo(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】基本情報登録 Start")
		Try
			Dim updFlg As Boolean = False
			Using cliBasicInfo As New clsXSI_XTI_BASICINFO()
				'血液型コード
				If String.IsNullOrEmpty(cliOneCsvData.BLOODTYPE_CD) = True Then
				ElseIf cliBasicInfo_DB.BLOODTYPE_CD <> cliOneCsvData.BLOODTYPE_CD Then
					cliBasicInfo.BLOODTYPE_CD = cliOneCsvData.BLOODTYPE_CD
					updFlg = True
				End If

				'Ｒｈコード
				If String.IsNullOrEmpty(cliOneCsvData.RH_CD) = True Then
				ElseIf cliBasicInfo_DB.RH_CD <> cliOneCsvData.RH_CD Then
					cliBasicInfo.RH_CD = cliOneCsvData.RH_CD
					updFlg = True
				End If

				'連絡先氏名
				If String.IsNullOrEmpty(cliOneCsvData.CONTACT_PATIENT_NM) = True Then
				ElseIf cliBasicInfo_DB.CONTACT_PATIENT_NM <> cliOneCsvData.CONTACT_PATIENT_NM Then
					cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM
					updFlg = True
				End If

				'連絡先郵便番号
				If String.IsNullOrEmpty(cliOneCsvData.CONTACT_ZIP_CD) = True Then
				ElseIf cliBasicInfo_DB.CONTACT_ZIP_CD <> cliOneCsvData.CONTACT_ZIP_CD Then
					cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD
					updFlg = True
				End If

				'連絡先住所
				If String.IsNullOrEmpty(cliOneCsvData.CONTACT_ADDRESS) = True Then
				ElseIf cliBasicInfo_DB.CONTACT_ADDRESS <> cliOneCsvData.CONTACT_ADDRESS Then
					cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS
					updFlg = True
				End If

				'連絡先電話番号
				If String.IsNullOrEmpty(cliOneCsvData.CONTACT_TELNUMBER) = True Then
				ElseIf cliBasicInfo_DB.CONTACT_TELNUMBER <> cliOneCsvData.CONTACT_TELNUMBER Then
					cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER
					updFlg = True
				End If

				'連絡先続柄
				If String.IsNullOrEmpty(cliOneCsvData.CONTACT_RELATION) = True Then
				ElseIf cliBasicInfo_DB.CONTACT_RELATION <> cliOneCsvData.CONTACT_RELATION Then
					cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION
					updFlg = True
				End If

				'輸血歴有無コード
				If String.IsNullOrEmpty(cliOneCsvData.BLOOD_TRAN_CHK_CD) = True Then
				ElseIf cliBasicInfo_DB.BLOOD_TRAN_CHK <> Me.changeOnOff(cliOneCsvData.BLOOD_TRAN_CHK_CD) Then
					cliBasicInfo.BLOOD_TRAN_CHK = Me.changeOnOff(cliOneCsvData.BLOOD_TRAN_CHK_CD)
					updFlg = True
				End If

				'飲酒有無コード
				If String.IsNullOrEmpty(cliOneCsvData.DRINKING_CHK) = True Then
				ElseIf cliBasicInfo_DB.DRINKING_CHK <> Me.changeOnOff(cliOneCsvData.DRINKING_CHK) Then
					cliBasicInfo.DRINKING_CHK = Me.changeOnOff(cliOneCsvData.DRINKING_CHK)
					updFlg = True
				End If

				'喫煙有無コード
				If String.IsNullOrEmpty(cliOneCsvData.SMOKING_CHK) = True Then
				ElseIf cliBasicInfo_DB.SMOKING_CHK <> cliOneCsvData.SMOKING_CHK Then
					cliBasicInfo.SMOKING_CHK = cliOneCsvData.SMOKING_CHK
					updFlg = True
				End If

				'喫煙本数
				If String.IsNullOrEmpty(cliOneCsvData.SMOKING_COUNT) = True Then
				ElseIf cliBasicInfo_DB.SMOKING_COUNT <> cliOneCsvData.SMOKING_COUNT Then
					cliBasicInfo.SMOKING_COUNT = cliOneCsvData.SMOKING_COUNT
					updFlg = True
				End If

				'吸い始め年齢
				If String.IsNullOrEmpty(cliOneCsvData.SMOKING_START_AGE) = True Then
				ElseIf cliBasicInfo_DB.SMOKING_START_AGE <> cliOneCsvData.SMOKING_START_AGE Then
					cliBasicInfo.SMOKING_START_AGE = cliOneCsvData.SMOKING_START_AGE
					updFlg = True
				End If

				'やめた年齢
				If String.IsNullOrEmpty(cliOneCsvData.SMOKING_END_AGE) = True Then
				ElseIf cliBasicInfo_DB.SMOKING_END_AGE <> cliOneCsvData.SMOKING_END_AGE Then
					cliBasicInfo.SMOKING_END_AGE = cliOneCsvData.SMOKING_END_AGE
					updFlg = True
				End If

				'喫煙年数
				If String.IsNullOrEmpty(cliOneCsvData.SMOKING_AGE) = True Then
				ElseIf cliBasicInfo_DB.SMOKING_AGE <> cliOneCsvData.SMOKING_AGE Then
					cliBasicInfo.SMOKING_AGE = cliOneCsvData.SMOKING_AGE
					updFlg = True
				End If

				'妊娠歴有無コード
				If String.IsNullOrEmpty(cliOneCsvData.PREGNANCY_CHK) = True Then
				ElseIf cliBasicInfo_DB.PREGNANCY_CHK <> Me.changeOnOff(cliOneCsvData.PREGNANCY_CHK) Then
					cliBasicInfo.PREGNANCY_CHK = Me.changeOnOff(cliOneCsvData.PREGNANCY_CHK)
					updFlg = True
				End If

				'妊娠回数
				If String.IsNullOrEmpty(cliOneCsvData.PREGNANCY_COUNT) = True Then
				ElseIf cliBasicInfo_DB.PREGNANCY_COUNT <> cliOneCsvData.PREGNANCY_COUNT Then
					cliBasicInfo.PREGNANCY_COUNT = cliOneCsvData.PREGNANCY_COUNT
					updFlg = True
				End If

				'出産歴有無コード
				If String.IsNullOrEmpty(cliOneCsvData.CB_CHK) = True Then
				ElseIf cliBasicInfo_DB.CB_CHK <> Me.changeOnOff(cliOneCsvData.CB_CHK) Then
					cliBasicInfo.CB_CHK = Me.changeOnOff(cliOneCsvData.CB_CHK)
					updFlg = True
				End If

				'出産回数
				If String.IsNullOrEmpty(cliOneCsvData.CB_COUNT) = True Then
				ElseIf cliBasicInfo_DB.CB_COUNT <> cliOneCsvData.CB_COUNT Then
					cliBasicInfo.CB_COUNT = cliOneCsvData.CB_COUNT
					updFlg = True
				End If

				'初潮年齢
				If String.IsNullOrEmpty(cliOneCsvData.MENARCHE_AGE) = True Then
				ElseIf cliBasicInfo_DB.MENARCHE_AGE <> cliOneCsvData.MENARCHE_AGE Then
					cliBasicInfo.MENARCHE_AGE = cliOneCsvData.MENARCHE_AGE
					updFlg = True
				End If

				'閉経年齢
				If String.IsNullOrEmpty(cliOneCsvData.MENOPAUSE_AGE) = True Then
				ElseIf cliBasicInfo_DB.MENOPAUSE_AGE <> cliOneCsvData.MENOPAUSE_AGE Then
					cliBasicInfo.MENOPAUSE_AGE = cliOneCsvData.MENOPAUSE_AGE
					updFlg = True
				End If

				'基本情報更新
				If updFlg = True Then
					cliBasicInfo.PATIENT_NO = cliOneCsvData.PATIENT_NO '患者番号
					Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo)
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】貸出物情報更新[カルテ]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliCh_DB">更新対象科歴データ</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlLendItemRecord(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, ByVal cliCh_DB As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】貸出物情報更新[サマリ] Start")
		Dim cliDatLendItm As datLendItm = Nothing
		Try
			Dim arrLendItm As ArrayList = Nothing '管理物情報取得
			Try
				Dim hspHistoryNo As String = String.Empty
				Dim chNo As String = String.Empty
				'管理単位で入退院歴番号、科歴番号設定
				Select Case Me.cliXSI010F010.lendItmUnit(clsConst.Enum_Lenditem.MedicalRecord)
					Case clsConst.Enum_LendUnit.Each_Patient  '患者単位
						hspHistoryNo = "0"
						chNo = "0"
					Case clsConst.Enum_LendUnit.Each_Hosp	  '入退院単位
						hspHistoryNo = cliCh_DB.HSP_HISTORY_NO
						chNo = "0"
					Case clsConst.Enum_LendUnit.Each_Dept	  '科歴単位
						hspHistoryNo = cliCh_DB.HSP_HISTORY_NO
						chNo = cliCh_DB.CH_NO
				End Select

				arrLendItm = Me.getLendItmData(cliCh_DB.PATIENT_NO, hspHistoryNo, chNo, pDb)
				If arrLendItm.Count = 0 Then
					Exit Sub
				Else
					cliDatLendItm = DirectCast(arrLendItm(0), datLendItm)
				End If
			Finally
				If arrLendItm IsNot Nothing Then arrLendItm.Clear()
				arrLendItm = Nothing
			End Try

			Dim updFlg As Boolean = False '更新フラグ
			Using cliLendItm As New clsXSI_MTI_LENDITM()
				cliLendItm.PATIENT_NO = cliDatLendItm.PATIENT_NO
				cliLendItm.HSP_HISTORY_NO = cliDatLendItm.HSP_HISTORY_NO
				cliLendItm.CH_NO = cliDatLendItm.CH_NO

				'管理物情報更新
				'カルテ受領日 動作環境の連携での診療録受領日の上書き
				If String.IsNullOrEmpty(cliOneCsvData.RECORD_RECEIPT_DT) = True Then
					'連携ファイル未設定であれば更新しない
				ElseIf cliOneCsvData.RECORD_RECEIPT_DT = "9999/99/99" OrElse
				  clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00038) = CStr(clsConst.Enum_LendItemReceiveUpd.Upd) OrElse
				  clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00038) = CStr(clsConst.Enum_LendItemReceiveUpd.NoUpd) AndAlso cliDatLendItm.RECORD_RECEIPT_DT = Nothing Then
					cliLendItm.RECORD_RECEIPT_DT = cliOneCsvData.RECORD_RECEIPT_DT
					updFlg = True
				End If

				'カルテ管理状況コード
				If String.IsNullOrEmpty(cliOneCsvData.RECORD_MNGSTATUS_CD) = False Then
					cliLendItm.RECORD_MNGSTATUS_CD = cliOneCsvData.RECORD_MNGSTATUS_CD

					'カルテ数
					Select Case cliLendItm.RECORD_MNGSTATUS_CD
						Case Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.RecordLendStatHsp), Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.RecordLendStatDisccharge)
							cliLendItm.RECORD_COUNT = "0"
						Case Else
							cliLendItm.RECORD_COUNT = "1"
					End Select
					updFlg = True
				End If

				'カルテ受領者コード
				If String.IsNullOrEmpty(cliOneCsvData.RECORD_RECIPIENT_CD) = False Then
					cliLendItm.RECORD_RECIPIENT_CD = cliOneCsvData.RECORD_RECIPIENT_CD
					updFlg = True
				End If

				'カルテ保管場所コード
				If String.IsNullOrEmpty(cliOneCsvData.RECORD_KEEPLCT_CD) = False Then
					cliLendItm.RECORD_KEEPLCT_CD = cliOneCsvData.RECORD_KEEPLCT_CD
					updFlg = True
				End If
				'カルテ整理状況コード
				If String.IsNullOrEmpty(cliOneCsvData.RECORD_ARG_STATUS_CD) = False Then
					cliLendItm.RECORD_ARG_STATUS_CD = cliOneCsvData.RECORD_ARG_STATUS_CD
					updFlg = True
				End If

				'貸出物情報更新
				If updFlg = True Then
					Me.setSqlParam_MTI_LENDITM(pDb, cliLendItm)
					pDb.execNonQuery(False)
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliDatLendItm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】貸出物情報更新[サマリ]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliCh_DB">更新対象科歴データ</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlLendItemSummary(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, ByVal cliCh_DB As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】貸出物情報更新[サマリ] Start")
		Dim cliDatLendItm As datLendItm = Nothing
		Try
			'管理物情報取得
			Dim arr As ArrayList = Nothing
			Try
				arr = Me.getLendItmData(cliCh_DB.PATIENT_NO, cliCh_DB.HSP_HISTORY_NO, cliCh_DB.CH_NO, pDb)
				If arr.Count = 0 Then
					Exit Sub
				Else
					cliDatLendItm = DirectCast(arr(0), datLendItm)
				End If
			Finally
				If arr IsNot Nothing Then arr.Clear()
				arr = Nothing
			End Try

			Dim updFlg As Boolean = False '更新フラグ
			Using cliLendItm As New clsXSI_MTI_LENDITM()
				cliLendItm.PATIENT_NO = cliDatLendItm.PATIENT_NO.ToString()
				cliLendItm.HSP_HISTORY_NO = cliDatLendItm.HSP_HISTORY_NO.ToString()
				cliLendItm.CH_NO = cliDatLendItm.CH_NO.ToString()

				'管理物情報更新
				'サマリ受領日 動作環境の連携でのサマリ受領日の上書き
				If String.IsNullOrEmpty(cliOneCsvData.SUMMARY_RECEIPT_DT) = True Then
					'連携ファイル未設定であれば更新しない
				ElseIf cliOneCsvData.SUMMARY_RECEIPT_DT = "9999/99/99" OrElse
				   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00039) = CStr(clsConst.Enum_ImpSummaryReceiveUpd.Upd) OrElse
				   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00039) = CStr(clsConst.Enum_ImpSummaryReceiveUpd.NoUpd) AndAlso cliDatLendItm.SUMMARY_RECEIPT_DT = Nothing Then
					cliLendItm.SUMMARY_RECEIPT_DT = cliOneCsvData.SUMMARY_RECEIPT_DT
					updFlg = True
				End If

				'サマリ作成者コード
				If String.IsNullOrEmpty(cliOneCsvData.SUMMARY_MAKER_CD) = False Then
					cliLendItm.SUMMARY_MAKER_CD = cliOneCsvData.SUMMARY_MAKER_CD
					updFlg = True
				End If
				'サマリ管理状況コード
				If String.IsNullOrEmpty(cliOneCsvData.SUMMARY_MNGSTATUS_CD) = False Then
					cliLendItm.SUMMARY_MNGSTATUS_CD = cliOneCsvData.SUMMARY_MNGSTATUS_CD

					'サマリ数
					Select Case cliLendItm.SUMMARY_MNGSTATUS_CD
						Case Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.SummaryLendStatHsp), Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.SummaryLendStatDisccharge)
							cliLendItm.SUMMARY_COUNT = "0"
						Case Else
							cliLendItm.SUMMARY_COUNT = "1"
					End Select
					updFlg = True
				End If


				'サマリ承認日 動作環境の連携でのサマリ承認日の上書き
				If String.IsNullOrEmpty(cliOneCsvData.SUMMARY_APPROVAL_DT) = True Then
					'連携ファイル未設定であれば更新しない
				ElseIf cliOneCsvData.SUMMARY_APPROVAL_DT = "9999/99/99" OrElse
						clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00040) = CStr(clsConst.Enum_ImpSummaryApprovalUpd.Upd) OrElse
						clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00040) = CStr(clsConst.Enum_ImpSummaryApprovalUpd.NoUpd) AndAlso cliDatLendItm.SUMMARY_APPROVAL_DT = Nothing Then
					cliLendItm.SUMMARY_APPROVAL_DT = cliOneCsvData.SUMMARY_APPROVAL_DT
					updFlg = True
				End If

				'サマリ保管場所コード
				If String.IsNullOrEmpty(cliOneCsvData.SUMMARY_KEEPLCT_CD) = False Then
					cliLendItm.SUMMARY_KEEPLCT_CD = cliOneCsvData.SUMMARY_KEEPLCT_CD
					updFlg = True
				End If

				'貸出物情報更新
				If updFlg = True Then
					Me.setSqlParam_MTI_LENDITM(pDb, cliLendItm)
					pDb.execNonQuery(False)
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliDatLendItm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】SQLパラメータ設定[管理物]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliMTI_LENDITM">貸出物データクラス</param>
	''' <remarks>
	''' 2010/11/05 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSqlParam_MTI_LENDITM(ByVal pDb As clsDB, ByVal cliMTI_LENDITM As clsXSI_MTI_LENDITM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴連携", "【入退院歴補足】SQLパラメータ設定[管理物] Start")
		Try

			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_HSP_ASST) '更新

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			 '入退院歴番号
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					 '科歴番号
			pDb.setParam(sqlXSI010F010.prmRECORD_COUNT, clsDB.Enum_dbType.dbInt)				 'カルテ数
			pDb.setParam(sqlXSI010F010.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	 'カルテ受領日(「9999/99/99」対応)
			pDb.setParam(sqlXSI010F010.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ受領者コード
			pDb.setParam(sqlXSI010F010.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ保管場所コード
			pDb.setParam(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ整理状況コード
			pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 'カルテ管理状況コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbInt)			 'サマリ数
			pDb.setParam(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	 'サマリ受領日(「9999/99/99」対応)
			pDb.setParam(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 'サマリ保管場所コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)		 'サマリ作成者コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 'サマリ管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER1_COUNT, clsDB.Enum_dbType.dbInt)				 '他１数
			pDb.setParam(sqlXSI010F010.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他１受領日
			pDb.setParam(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 '他１保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 '他１管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER2_COUNT, clsDB.Enum_dbType.dbInt)				 '他２数
			pDb.setParam(sqlXSI010F010.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他２受領日
			pDb.setParam(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 '他２保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 '他２管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER3_COUNT, clsDB.Enum_dbType.dbInt)				 '他３数
			pDb.setParam(sqlXSI010F010.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他３受領日
			pDb.setParam(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	 '他３保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)	 '他３管理状況コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbNVarChar)	 'サマリ承認日(「9999/99/99」対応)
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		 '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			 '更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_LENDITM.PATIENT_NO)						 '患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_LENDITM.HSP_HISTORY_NO)				 '入退院歴番号
			pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_LENDITM.CH_NO)								 '科歴番号
			pDb.setVal(sqlXSI010F010.prmRECORD_COUNT, cliMTI_LENDITM.RECORD_COUNT)					 'カルテ数
			pDb.setVal(sqlXSI010F010.prmRECORD_RECEIPT_DT, cliMTI_LENDITM.RECORD_RECEIPT_DT)		 'カルテ受領日
			pDb.setVal(sqlXSI010F010.prmRECORD_RECIPIENT_CD, cliMTI_LENDITM.RECORD_RECIPIENT_CD)	 'カルテ受領者コード
			pDb.setVal(sqlXSI010F010.prmRECORD_KEEPLCT_CD, cliMTI_LENDITM.RECORD_KEEPLCT_CD)		 'カルテ保管場所コード
			pDb.setVal(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, cliMTI_LENDITM.RECORD_ARG_STATUS_CD)	 'カルテ整理状況コード
			pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, cliMTI_LENDITM.RECORD_MNGSTATUS_CD)	 'カルテ管理状況コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_COUNT, cliMTI_LENDITM.SUMMARY_COUNT)				 'サマリ数
			pDb.setVal(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, cliMTI_LENDITM.SUMMARY_RECEIPT_DT)		 'サマリ受領日
			pDb.setVal(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, cliMTI_LENDITM.SUMMARY_KEEPLCT_CD)		 'サマリ保管場所コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MAKER_CD, cliMTI_LENDITM.SUMMARY_MAKER_CD)			 'サマリ作成者コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, cliMTI_LENDITM.SUMMARY_MNGSTATUS_CD)	 'サマリ管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER1_COUNT, cliMTI_LENDITM.OTHER1_COUNT)					 '他１数
			pDb.setVal(sqlXSI010F010.prmOTHER1_RECEIPT_DT, cliMTI_LENDITM.OTHER1_RECEIPT_DT)		 '他１受領日
			pDb.setVal(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, cliMTI_LENDITM.OTHER1_KEEPLCT_CD)		 '他１保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, cliMTI_LENDITM.OTHER1_MNGSTATUS_CD)	 '他１管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER2_COUNT, cliMTI_LENDITM.OTHER2_COUNT)					 '他２数
			pDb.setVal(sqlXSI010F010.prmOTHER2_RECEIPT_DT, cliMTI_LENDITM.OTHER2_RECEIPT_DT)		 '他２受領日
			pDb.setVal(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, cliMTI_LENDITM.OTHER2_KEEPLCT_CD)		 '他２保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, cliMTI_LENDITM.OTHER2_MNGSTATUS_CD)	 '他２管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER3_COUNT, cliMTI_LENDITM.OTHER3_COUNT)					 '他３数
			pDb.setVal(sqlXSI010F010.prmOTHER3_RECEIPT_DT, cliMTI_LENDITM.OTHER3_RECEIPT_DT)		 '他３受領日
			pDb.setVal(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, cliMTI_LENDITM.OTHER3_KEEPLCT_CD)		 '他３保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, cliMTI_LENDITM.OTHER3_MNGSTATUS_CD)	 '他３管理状況コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, cliMTI_LENDITM.SUMMARY_APPROVAL_DT)	 'サマリ承認日
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					 '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									 '更新日

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】死亡情報登録
	''' </summary>
	''' <param name="pdb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliBasicInfo_DB">更新対象基本情報</param>
	''' <param name="cliHsp_DB">更新対象入退院情報</param>
	''' <param name="cliCh_DB">更新対象科歴情報</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeSqlDEATH(ByVal pdb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST, _
												ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, _
												ByVal cliHsp_DB As clsXSI_MTI_HSP, _
												ByVal cliCh_DB As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】死亡情報登録 Start")

		Try
			'連携ファイル退院転帰が死亡でなければ処理終了
			If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_OUTCOME_CD) = True OrElse _
				Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.DiscchargeOutcomeDecease_ALL, cliOneCsvData.OUT_HSP_OUTCOME_CD) = False Then
				Exit Sub
			End If

			Using cliDeath As New clsXSI_MTI_DEATH()
				Using cliXspDeath As New XSP.clsMTI_DEATH()
					Dim deathOneRec As XSP.datMTI_DEATH_OneRec = cliXspDeath.getDeathOneRec(pdb, cliOneCsvData.PATIENT_NO)

					If deathOneRec Is Nothing Then
						'死亡情報登録
						cliDeath.PATIENT_NO = cliOneCsvData.PATIENT_NO					'患者番号
						'死亡日
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_DT) = False Then
							cliDeath.DEATH_DT = cliOneCsvData.DEATH_DT
						Else
							cliDeath.DEATH_DT = cliCh_DB.END_DT
						End If
						'死亡時刻
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_TIME) = False Then
							cliDeath.DEATH_TIME = cliOneCsvData.DEATH_TIME
						Else
							cliDeath.DEATH_TIME = cliCh_DB.END_TIME
						End If

						'年齢
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'年齢、月齢、日齢取得
							Me.getDiffYearMonth(cliBasicInfo_DB.BIRTH_DT, cliDeath.DEATH_DT, age, monthAge, dayAge)

							cliDeath.DEATH_AGE = age.ToString()			   '死亡時年齢
							cliDeath.DEATH_MONTH_AGE = monthAge.ToString() '死亡時月齢
							cliDeath.DEATH_DAY_AGE = dayAge.ToString()	   '死亡時日齢
						End With

						cliDeath.AUTOPSY_CHK = Me.changeOnOff(cliOneCsvData.AUTOPSY_CHK)	'剖検有無区分コード
						cliDeath.AUTOPSY_NO = cliOneCsvData.AUTOPSY_NO		'剖検番号

						'死亡区分
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_DIV) = False Then
							cliDeath.DEATH_DIV = cliOneCsvData.DEATH_DIV
						Else
							'死亡区分なければ取得
							cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
						End If

						cliDeath.AFTER_OPE_DEATH_DIV = cliOneCsvData.AFTER_OPE_DEATH_DIV '術後死亡区分コード
						'死亡場所コード
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_LCT_CD) = False Then
							cliDeath.DEATH_LCT_CD = cliOneCsvData.DEATH_LCT_CD
						Else
							'死亡場所　固定コード「院内」のコード設定
							cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
						End If
						'死亡コメント
						cliDeath.DEATH_REMARKS = cliOneCsvData.DEATH_REMARKS

						Me.setSqlParam_MTI_DEATH(pdb, False, Enum_SqlIdx.eIns, cliDeath)
					Else
						'死亡情報更新
						cliDeath.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
						'死亡日
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_DT) = False Then
							cliDeath.DEATH_DT = cliOneCsvData.DEATH_DT
						ElseIf deathOneRec.DEATH_DT = Nothing Then
							cliDeath.DEATH_DT = String.Empty
						Else
							cliDeath.DEATH_DT = deathOneRec.DEATH_DT.ToString()
						End If
						'死亡時刻
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_TIME) = False Then
							cliDeath.DEATH_TIME = cliOneCsvData.DEATH_TIME
						Else
							cliDeath.DEATH_TIME = cliCh_DB.END_TIME
						End If

						'年齢
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'年齢、月齢、日齢取得
							Me.getDiffYearMonth(cliBasicInfo_DB.BIRTH_DT, cliDeath.DEATH_DT, age, monthAge, dayAge)

							cliDeath.DEATH_AGE = age.ToString()			   '死亡時年齢
							cliDeath.DEATH_MONTH_AGE = monthAge.ToString() '死亡時月齢
							cliDeath.DEATH_DAY_AGE = dayAge.ToString()	   '死亡時日齢
						End With
						cliDeath.AUTOPSY_CHK = Me.changeOnOff(cliOneCsvData.AUTOPSY_CHK)	'剖検有無区分コード
						cliDeath.AUTOPSY_NO = cliOneCsvData.AUTOPSY_NO		'剖検番号
						'死亡区分
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_DIV) = False Then
							cliDeath.DEATH_DIV = cliOneCsvData.DEATH_DIV
						Else
							'死亡区分なければ取得
							cliDeath.DEATH_DIV = Me.getDeathDiv(cliHsp_DB.HSP_DT, cliHsp_DB.HSP_TIME, cliDeath.DEATH_DT, cliDeath.DEATH_TIME)
						End If

						cliDeath.AFTER_OPE_DEATH_DIV = cliOneCsvData.AFTER_OPE_DEATH_DIV '術後死亡区分
						'死亡場所コード
						If String.IsNullOrEmpty(cliOneCsvData.DEATH_LCT_CD) = False Then
							cliDeath.DEATH_LCT_CD = cliOneCsvData.DEATH_LCT_CD
						Else
							'死亡場所　固定コード「院内」のコード設定
							cliDeath.DEATH_LCT_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseLctHsp)
						End If
						'死亡コメント
						cliDeath.DEATH_REMARKS = cliOneCsvData.DEATH_REMARKS

						Me.setSqlParam_MTI_DEATH(pdb, False, Enum_SqlIdx.eUpd, cliDeath)
					End If
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【入退院歴補足】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_HSP_ASST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院歴補足連携", "【入退院歴補足】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_HSP_ASST)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)					'登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)					'連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)						'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)				'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)					'診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)					'入院日
			pDb.setParam(sqlXSI010F010.prmREADMISSION_FLG, clsDB.Enum_dbType.dbNVarChar)			'再入院フラグ
			pDb.setParam(sqlXSI010F010.prmHSP_AIM_CD, clsDB.Enum_dbType.dbNVarChar)				'入院目的コード
			pDb.setParam(sqlXSI010F010.prmHSP_FORM_CD, clsDB.Enum_dbType.dbNVarChar)				'入院形態コード
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_CD, clsDB.Enum_dbType.dbNVarChar)			'紹介元コード
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_NM, clsDB.Enum_dbType.dbNVarChar)			'紹介元名
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_DOCTOR_NM, clsDB.Enum_dbType.dbNVarChar)		'紹介元医師名
			pDb.setParam(sqlXSI010F010.prmREFERENCE_CD, clsDB.Enum_dbType.dbNVarChar)				'紹介先コード
			pDb.setParam(sqlXSI010F010.prmREFERENCE_NM, clsDB.Enum_dbType.dbNVarChar)				'紹介先名
			pDb.setParam(sqlXSI010F010.prmREFERENCE_DOCTOR_NM, clsDB.Enum_dbType.dbNVarChar)		'紹介先医師名
			pDb.setParam(sqlXSI010F010.prmSTATURE, clsDB.Enum_dbType.dbNVarChar)					'身長
			pDb.setParam(sqlXSI010F010.prmWEIGHT, clsDB.Enum_dbType.dbNVarChar)					'体重
			pDb.setParam(sqlXSI010F010.prmCURRENT_JOB_CD, clsDB.Enum_dbType.dbNVarChar)			'職業コード
			pDb.setParam(sqlXSI010F010.prmOTHER_DEPT_CHK, clsDB.Enum_dbType.dbNVarChar)			'対診科有無コード
			pDb.setParam(sqlXSI010F010.prmBLOOD_TRAN_CHK, clsDB.Enum_dbType.dbNVarChar)			'輸血有無コード
			pDb.setParam(sqlXSI010F010.prmOPE_CHK, clsDB.Enum_dbType.dbNVarChar)					'手術有無コード
			pDb.setParam(sqlXSI010F010.prmDPC_CD, clsDB.Enum_dbType.dbNVarChar)					'ＤＰＣコード
			pDb.setParam(sqlXSI010F010.prmINFECTION1, clsDB.Enum_dbType.dbNVarChar)				'感染症１
			pDb.setParam(sqlXSI010F010.prmINFECTION2, clsDB.Enum_dbType.dbNVarChar)				'感染症２
			pDb.setParam(sqlXSI010F010.prmINFECTION3, clsDB.Enum_dbType.dbNVarChar)				'感染症３
			pDb.setParam(sqlXSI010F010.prmINFECTION4, clsDB.Enum_dbType.dbNVarChar)				'感染症４
			pDb.setParam(sqlXSI010F010.prmINFECTION5, clsDB.Enum_dbType.dbNVarChar)				'感染症５
			pDb.setParam(sqlXSI010F010.prmINFECTION6, clsDB.Enum_dbType.dbNVarChar)				'感染症６
			pDb.setParam(sqlXSI010F010.prmOTHER_INFECTION, clsDB.Enum_dbType.dbNVarChar)			'感染症その他
			pDb.setParam(sqlXSI010F010.prmALLERGY1, clsDB.Enum_dbType.dbNVarChar)					'アレルギー１
			pDb.setParam(sqlXSI010F010.prmALLERGY2, clsDB.Enum_dbType.dbNVarChar)					'アレルギー２
			pDb.setParam(sqlXSI010F010.prmALLERGY3, clsDB.Enum_dbType.dbNVarChar)					'アレルギー３
			pDb.setParam(sqlXSI010F010.prmALLERGY4, clsDB.Enum_dbType.dbNVarChar)					'アレルギー４
			pDb.setParam(sqlXSI010F010.prmALLERGY5, clsDB.Enum_dbType.dbNVarChar)					'アレルギー５
			pDb.setParam(sqlXSI010F010.prmALLERGY6, clsDB.Enum_dbType.dbNVarChar)					'アレルギー６
			pDb.setParam(sqlXSI010F010.prmOTHER_ALLERGY, clsDB.Enum_dbType.dbNVarChar)			'アレルギーその他
			pDb.setParam(sqlXSI010F010.prmLAST_OUT_HSP_DT, clsDB.Enum_dbType.dbNVarChar)			'前回退院日
			pDb.setParam(sqlXSI010F010.prmLAST_SELF_OTHER_HSP_DIV, clsDB.Enum_dbType.dbNVarChar)	'前回自他院区分
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)					'コメント
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD1, clsDB.Enum_dbType.dbNVarChar)				'医師コード１
			pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG1, clsDB.Enum_dbType.dbNVarChar)			'主治医フラグ１
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV1, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード１
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT1, clsDB.Enum_dbType.dbNVarChar)			'担当開始日１
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT1, clsDB.Enum_dbType.dbNVarChar)			'担当終了日１
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD2, clsDB.Enum_dbType.dbNVarChar)				'医師コード２
			pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG2, clsDB.Enum_dbType.dbNVarChar)			'主治医フラグ２
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV2, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード２
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT2, clsDB.Enum_dbType.dbNVarChar)			'担当開始日２
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT2, clsDB.Enum_dbType.dbNVarChar)			'担当終了日２
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD3, clsDB.Enum_dbType.dbNVarChar)				'医師コード３
			pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG3, clsDB.Enum_dbType.dbNVarChar)			'主治医フラグ３
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV3, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード３
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT3, clsDB.Enum_dbType.dbNVarChar)			'担当開始日３
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT3, clsDB.Enum_dbType.dbNVarChar)			'担当終了日３
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD4, clsDB.Enum_dbType.dbNVarChar)				'医師コード４
			pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG4, clsDB.Enum_dbType.dbNVarChar)			'主治医フラグ４
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV4, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード４
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT4, clsDB.Enum_dbType.dbNVarChar)			'担当開始日４
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT4, clsDB.Enum_dbType.dbNVarChar)			'担当終了日４
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD5, clsDB.Enum_dbType.dbNVarChar)				'医師コード５
			pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG5, clsDB.Enum_dbType.dbNVarChar)			'主治医フラグ５
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV5, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード５
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT5, clsDB.Enum_dbType.dbNVarChar)			'担当開始日５
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT5, clsDB.Enum_dbType.dbNVarChar)			'担当終了日５
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD6, clsDB.Enum_dbType.dbNVarChar)				'医師コード６
			pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG6, clsDB.Enum_dbType.dbNVarChar)			'主治医フラグ６
			pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV6, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード６
			pDb.setParam(sqlXSI010F010.prmATTEND_START_DT6, clsDB.Enum_dbType.dbNVarChar)			'担当開始日６
			pDb.setParam(sqlXSI010F010.prmATTEND_END_DT6, clsDB.Enum_dbType.dbNVarChar)			'担当終了日６
			pDb.setParam(sqlXSI010F010.prmDEATH_TIME, clsDB.Enum_dbType.dbNVarChar)				'死亡時刻
			pDb.setParam(sqlXSI010F010.prmAUTOPSY_CHK, clsDB.Enum_dbType.dbNVarChar)				'剖検有無区分コード
			pDb.setParam(sqlXSI010F010.prmAUTOPSY_NO, clsDB.Enum_dbType.dbNVarChar)				'剖検番号
			pDb.setParam(sqlXSI010F010.prmDEATH_DIV, clsDB.Enum_dbType.dbNVarChar)				'死亡区分コード
			pDb.setParam(sqlXSI010F010.prmAFTER_OPE_DEATH_DIV, clsDB.Enum_dbType.dbNVarChar)		'術後死亡区分コード
			pDb.setParam(sqlXSI010F010.prmDEATH_LCT_CD, clsDB.Enum_dbType.dbNVarChar)				'死亡場所コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)		'サマリ受領日
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)			'サマリ作成者コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)		'サマリ管理状況コード
			pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)			'登録状況コード
			pDb.setParam(sqlXSI010F010.prmREG_FINISHED_DT, clsDB.Enum_dbType.dbNVarChar)			'登録完了日
			pDb.setParam(sqlXSI010F010.prmREG_PERSON_CD, clsDB.Enum_dbType.dbNVarChar)			'登録者コード
			pDb.setParam(sqlXSI010F010.prmPLAN_EMERGENCY_DIV, clsDB.Enum_dbType.dbNVarChar)		'予定緊急区分コード
			pDb.setParam(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, clsDB.Enum_dbType.dbNVarChar)		'救急車有無コード
			pDb.setParam(sqlXSI010F010.prmCLINICAL_TRIAL_CHK, clsDB.Enum_dbType.dbNVarChar)		'治験実施有無コード
			pDb.setParam(sqlXSI010F010.prmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)				'入院経路コード
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)			'退院経路コード
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)		'退院転帰コード
			pDb.setParam(sqlXSI010F010.prmBLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)				'血液型コード
			pDb.setParam(sqlXSI010F010.prmRH_CD, clsDB.Enum_dbType.dbNVarChar)					'Ｒｈコード
			pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)		'カルテ管理状況コード
			pDb.setParam(sqlXSI010F010.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)		'カルテ受領日
			pDb.setParam(sqlXSI010F010.prmFIRST_DIAGNOSIS_DT, clsDB.Enum_dbType.dbNVarChar)		'初診日
			pDb.setParam(sqlXSI010F010.prmDEATH_DT, clsDB.Enum_dbType.dbNVarChar)					'死亡日
			pDb.setParam(sqlXSI010F010.prmHSP_INFECTION_CHK, clsDB.Enum_dbType.dbNVarChar)		'院内感染症有無コード
			pDb.setParam(sqlXSI010F010.prmREMARKS_CH, clsDB.Enum_dbType.dbNVarChar)				'備考科歴
			pDb.setParam(sqlXSI010F010.prmSAME_DISEASE_LAST_HSP_DT, clsDB.Enum_dbType.dbNVarChar)	'同一疾病前回退院日
			pDb.setParam(sqlXSI010F010.prmDISEASE_READMISSION_FLG, clsDB.Enum_dbType.dbNVarChar)	'疾病再入院フラグ
			pDb.setParam(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbNVarChar)		'サマリ承認日
			pDb.setParam(sqlXSI010F010.prmCONTACT_PATIENT_NM, clsDB.Enum_dbType.dbNVarChar)		'連絡先氏名
			pDb.setParam(sqlXSI010F010.prmCONTACT_ZIP_CD, clsDB.Enum_dbType.dbNVarChar)			'連絡先郵便番号
			pDb.setParam(sqlXSI010F010.prmCONTACT_ADDRESS, clsDB.Enum_dbType.dbNVarChar)			'連絡先住所
			pDb.setParam(sqlXSI010F010.prmCONTACT_TELNUMBER, clsDB.Enum_dbType.dbNVarChar)		'連絡先電話番号
			pDb.setParam(sqlXSI010F010.prmCONTACT_RELATION, clsDB.Enum_dbType.dbNVarChar)			'連絡先続柄
			pDb.setParam(sqlXSI010F010.prmREMARKS_HSP, clsDB.Enum_dbType.dbNVarChar)				'備考入退院歴
			pDb.setParam(sqlXSI010F010.prmDPC_HSP, clsDB.Enum_dbType.dbNVarChar)					'ＤＰＣ入退院歴
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM1, clsDB.Enum_dbType.dbNVarChar)			'入退院自由項目１
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM2, clsDB.Enum_dbType.dbNVarChar)			'入退院自由項目２
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM3, clsDB.Enum_dbType.dbNVarChar)			'入退院自由項目３
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM4, clsDB.Enum_dbType.dbNVarChar)			'入退院自由項目４
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM5, clsDB.Enum_dbType.dbNVarChar)			'入退院自由項目５
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM6, clsDB.Enum_dbType.dbNVarChar)			'入退院自由項目６
			pDb.setParam(sqlXSI010F010.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)		'カルテ受領者コード
			pDb.setParam(sqlXSI010F010.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)		'カルテ保管場所コード
			pDb.setParam(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)		'カルテ整理状況コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)		'サマリ保管場所コード
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)					'予備１
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)				'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)					'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)					'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日
			pDb.setParam(sqlXSI010F010.prmTIME_OUT_FLG, clsDB.Enum_dbType.dbNVarChar)				'時間外フラグ
			pDb.setParam(sqlXSI010F010.prmINTRODUCTION_CHK, clsDB.Enum_dbType.dbNVarChar)			'紹介状有無コード
			pDb.setParam(sqlXSI010F010.prmPAST_JOB_CD, clsDB.Enum_dbType.dbNVarChar)				'既職コード
			pDb.setParam(sqlXSI010F010.prmHOUSEHOLDER_NM, clsDB.Enum_dbType.dbNVarChar)			'世帯主
			pDb.setParam(sqlXSI010F010.prmRELATION_CD, clsDB.Enum_dbType.dbNVarChar)				'世帯主続柄
			pDb.setParam(sqlXSI010F010.prmLIVE_TOGETHER_STATE_CD, clsDB.Enum_dbType.dbNVarChar)	'同居状況
			pDb.setParam(sqlXSI010F010.prmBLOOD_TRAN_CHK_CD, clsDB.Enum_dbType.dbNVarChar)		'輸血歴有無コード
			pDb.setParam(sqlXSI010F010.prmDRINKING_CHK, clsDB.Enum_dbType.dbNVarChar)				'飲酒有無コード
			pDb.setParam(sqlXSI010F010.prmSMOKING_CHK, clsDB.Enum_dbType.dbNVarChar)				'喫煙有無コード
			pDb.setParam(sqlXSI010F010.prmSMOKING_COUNT, clsDB.Enum_dbType.dbNVarChar)			'喫煙本数
			pDb.setParam(sqlXSI010F010.prmSMOKING_START_AGE, clsDB.Enum_dbType.dbNVarChar)		'吸い始め年齢
			pDb.setParam(sqlXSI010F010.prmSMOKING_END_AGE, clsDB.Enum_dbType.dbNVarChar)			'やめた年齢
			pDb.setParam(sqlXSI010F010.prmSMOKING_AGE, clsDB.Enum_dbType.dbNVarChar)				'喫煙年数
			pDb.setParam(sqlXSI010F010.prmPREGNANCY_CHK, clsDB.Enum_dbType.dbNVarChar)			'妊娠歴有無コード
			pDb.setParam(sqlXSI010F010.prmPREGNANCY_COUNT, clsDB.Enum_dbType.dbNVarChar)			'妊娠回数
			pDb.setParam(sqlXSI010F010.prmCB_CHK, clsDB.Enum_dbType.dbNVarChar)					'出産歴有無コード
			pDb.setParam(sqlXSI010F010.prmCB_COUNT, clsDB.Enum_dbType.dbNVarChar)					'出産回数
			pDb.setParam(sqlXSI010F010.prmMENARCHE_AGE, clsDB.Enum_dbType.dbNVarChar)				'初潮年齢
			pDb.setParam(sqlXSI010F010.prmMENOPAUSE_AGE, clsDB.Enum_dbType.dbNVarChar)			'閉経年齢
			pDb.setParam(sqlXSI010F010.prmDEATH_REMARKS, clsDB.Enum_dbType.dbNVarChar)			'死亡コメント
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)					'予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)					'予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)					'予備４
			pDb.setParam(sqlXSI010F010.prmSPARE05, clsDB.Enum_dbType.dbNVarChar)					'予備５
			pDb.setParam(sqlXSI010F010.prmSPARE06, clsDB.Enum_dbType.dbNVarChar)					'予備６
			pDb.setParam(sqlXSI010F010.prmSPARE07, clsDB.Enum_dbType.dbNVarChar)					'予備７

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)												'登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)									'連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)										'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)									'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)								'患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)										'診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)										'入院日
			pDb.setVal(sqlXSI010F010.prmREADMISSION_FLG, cliOneCsvData.READMISSION_FLG)						'再入院フラグ
			pDb.setVal(sqlXSI010F010.prmHSP_AIM_CD, cliOneCsvData.HSP_AIM_CD)								'入院目的コード
			pDb.setVal(sqlXSI010F010.prmHSP_FORM_CD, cliOneCsvData.HSP_FORM_CD)								'入院形態コード
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_CD, cliOneCsvData.INTRODUCED_CD)							'紹介元コード
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_NM, cliOneCsvData.INTRODUCED_NM)							'紹介元名
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_DOCTOR_NM, cliOneCsvData.INTRODUCED_DOCTOR_NM)			'紹介元医師名
			pDb.setVal(sqlXSI010F010.prmREFERENCE_CD, cliOneCsvData.REFERENCE_CD)							'紹介先コード
			pDb.setVal(sqlXSI010F010.prmREFERENCE_NM, cliOneCsvData.REFERENCE_NM)							'紹介先名
			pDb.setVal(sqlXSI010F010.prmREFERENCE_DOCTOR_NM, cliOneCsvData.REFERENCE_DOCTOR_NM)				'紹介先医師名
			pDb.setVal(sqlXSI010F010.prmSTATURE, cliOneCsvData.STATURE)										'身長
			pDb.setVal(sqlXSI010F010.prmWEIGHT, cliOneCsvData.WEIGHT)										'体重
			pDb.setVal(sqlXSI010F010.prmCURRENT_JOB_CD, cliOneCsvData.CURRENT_JOB_CD)						'職業コード
			pDb.setVal(sqlXSI010F010.prmOTHER_DEPT_CHK, cliOneCsvData.OTHER_DEPT_CHK)						'対診科有無コード
			pDb.setVal(sqlXSI010F010.prmBLOOD_TRAN_CHK, cliOneCsvData.BLOOD_TRAN_CHK)						'輸血有無コード
			pDb.setVal(sqlXSI010F010.prmOPE_CHK, cliOneCsvData.OPE_CHK)										'手術有無コード
			pDb.setVal(sqlXSI010F010.prmDPC_CD, cliOneCsvData.DPC_CD)										'ＤＰＣコード
			pDb.setVal(sqlXSI010F010.prmINFECTION1, cliOneCsvData.INFECTION1)								'感染症１
			pDb.setVal(sqlXSI010F010.prmINFECTION2, cliOneCsvData.INFECTION2)								'感染症２
			pDb.setVal(sqlXSI010F010.prmINFECTION3, cliOneCsvData.INFECTION3)								'感染症３
			pDb.setVal(sqlXSI010F010.prmINFECTION4, cliOneCsvData.INFECTION4)								'感染症４
			pDb.setVal(sqlXSI010F010.prmINFECTION5, cliOneCsvData.INFECTION5)								'感染症５
			pDb.setVal(sqlXSI010F010.prmINFECTION6, cliOneCsvData.INFECTION6)								'感染症６
			pDb.setVal(sqlXSI010F010.prmOTHER_INFECTION, cliOneCsvData.OTHER_INFECTION)						'感染症その他
			pDb.setVal(sqlXSI010F010.prmALLERGY1, cliOneCsvData.ALLERGY1)									'アレルギー１
			pDb.setVal(sqlXSI010F010.prmALLERGY2, cliOneCsvData.ALLERGY2)									'アレルギー２
			pDb.setVal(sqlXSI010F010.prmALLERGY3, cliOneCsvData.ALLERGY3)									'アレルギー３
			pDb.setVal(sqlXSI010F010.prmALLERGY4, cliOneCsvData.ALLERGY4)									'アレルギー４
			pDb.setVal(sqlXSI010F010.prmALLERGY5, cliOneCsvData.ALLERGY5)									'アレルギー５
			pDb.setVal(sqlXSI010F010.prmALLERGY6, cliOneCsvData.ALLERGY6)									'アレルギー６
			pDb.setVal(sqlXSI010F010.prmOTHER_ALLERGY, cliOneCsvData.OTHER_ALLERGY)							'アレルギーその他
			pDb.setVal(sqlXSI010F010.prmLAST_OUT_HSP_DT, cliOneCsvData.LAST_OUT_HSP_DT)						'前回退院日
			pDb.setVal(sqlXSI010F010.prmLAST_SELF_OTHER_HSP_DIV, cliOneCsvData.SELF_OTHER_HSP_DIV)			'前回自他院区分
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliOneCsvData.REMARKS)										'コメント
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD1, cliOneCsvData.DOCTOR_CD1)								'医師コード１
			pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG1, cliOneCsvData.MAIN_DOCTOR_FLG1)					'主治医フラグ１
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV1, cliOneCsvData.DOCTOR_DIV1)								'医師区分コード１
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT1, cliOneCsvData.ATTEND_START_DT1)					'担当開始日１
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT1, cliOneCsvData.ATTEND_END_DT1)						'担当終了日１
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD2, cliOneCsvData.DOCTOR_CD2)								'医師コード２
			pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG2, cliOneCsvData.MAIN_DOCTOR_FLG2)					'主治医フラグ２
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV2, cliOneCsvData.DOCTOR_DIV2)								'医師区分コード２
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT2, cliOneCsvData.ATTEND_START_DT2)					'担当開始日２
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT2, cliOneCsvData.ATTEND_END_DT2)						'担当終了日２
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD3, cliOneCsvData.DOCTOR_CD3)								'医師コード３
			pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG3, cliOneCsvData.MAIN_DOCTOR_FLG3)					'主治医フラグ３
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV3, cliOneCsvData.DOCTOR_DIV3)								'医師区分コード３
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT3, cliOneCsvData.ATTEND_START_DT3)					'担当開始日３
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT3, cliOneCsvData.ATTEND_END_DT3)						'担当終了日３
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD4, cliOneCsvData.DOCTOR_CD4)								'医師コード４
			pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG4, cliOneCsvData.MAIN_DOCTOR_FLG4)					'主治医フラグ４
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV4, cliOneCsvData.DOCTOR_DIV4)								'医師区分コード４
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT4, cliOneCsvData.ATTEND_START_DT4)					'担当開始日４
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT4, cliOneCsvData.ATTEND_END_DT4)						'担当終了日４
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD5, cliOneCsvData.DOCTOR_CD5)								'医師コード５
			pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG5, cliOneCsvData.MAIN_DOCTOR_FLG5)					'主治医フラグ５
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV5, cliOneCsvData.DOCTOR_DIV5)								'医師区分コード５
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT5, cliOneCsvData.ATTEND_START_DT5)					'担当開始日５
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT5, cliOneCsvData.ATTEND_END_DT5)						'担当終了日５
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD6, cliOneCsvData.DOCTOR_CD6)								'医師コード６
			pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG6, cliOneCsvData.MAIN_DOCTOR_FLG6)					'主治医フラグ６
			pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV6, cliOneCsvData.DOCTOR_DIV6)								'医師区分コード６
			pDb.setVal(sqlXSI010F010.prmATTEND_START_DT6, cliOneCsvData.ATTEND_START_DT6)					'担当開始日６
			pDb.setVal(sqlXSI010F010.prmATTEND_END_DT6, cliOneCsvData.ATTEND_END_DT6)						'担当終了日６
			pDb.setVal(sqlXSI010F010.prmDEATH_TIME, cliOneCsvData.DEATH_TIME)								'死亡時刻
			pDb.setVal(sqlXSI010F010.prmAUTOPSY_CHK, cliOneCsvData.AUTOPSY_CHK)								'剖検有無区分コード
			pDb.setVal(sqlXSI010F010.prmAUTOPSY_NO, cliOneCsvData.AUTOPSY_NO)								'剖検番号
			pDb.setVal(sqlXSI010F010.prmDEATH_DIV, cliOneCsvData.DEATH_DIV)									'死亡区分コード
			pDb.setVal(sqlXSI010F010.prmAFTER_OPE_DEATH_DIV, cliOneCsvData.AFTER_OPE_DEATH_DIV)				'術後死亡区分コード
			pDb.setVal(sqlXSI010F010.prmDEATH_LCT_CD, cliOneCsvData.DEATH_LCT_CD)							'死亡場所コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, cliOneCsvData.SUMMARY_RECEIPT_DT)				'サマリ受領日
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MAKER_CD, cliOneCsvData.SUMMARY_MAKER_CD)					'サマリ作成者コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, cliOneCsvData.SUMMARY_MNGSTATUS_CD)			'サマリ管理状況コード
			pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, cliOneCsvData.REG_STATUS_CD)							'登録状況コード
			pDb.setVal(sqlXSI010F010.prmREG_FINISHED_DT, cliOneCsvData.REG_FINISHED_DT)						'登録完了日
			pDb.setVal(sqlXSI010F010.prmREG_PERSON_CD, cliOneCsvData.REG_PERSON_CD)							'登録者コード
			pDb.setVal(sqlXSI010F010.prmPLAN_EMERGENCY_DIV, cliOneCsvData.PLAN_EMERGENCY_DIV)				'予定緊急区分コード
			pDb.setVal(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, cliOneCsvData.TAKE_AMBULANCE_CHK)				'救急車有無コード
			pDb.setVal(sqlXSI010F010.prmCLINICAL_TRIAL_CHK, cliOneCsvData.CLINICAL_TRIAL_CHK)				'治験実施有無コード
			pDb.setVal(sqlXSI010F010.prmHSP_CNL_CD, cliOneCsvData.HSP_CNL_CD)								'入院経路コード
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_CNL_CD, cliOneCsvData.OUT_HSP_CNL_CD_Evacuation)			'退院経路コード
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_OUTCOME_CD, cliOneCsvData.OUT_HSP_OUTCOME_CD_Evacuation)	'退院転帰コード
			pDb.setVal(sqlXSI010F010.prmBLOODTYPE_CD, cliOneCsvData.BLOODTYPE_CD)							'血液型コード
			pDb.setVal(sqlXSI010F010.prmRH_CD, cliOneCsvData.RH_CD)											'Ｒｈコード
			pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, cliOneCsvData.RECORD_MNGSTATUS_CD)				'カルテ管理状況コード
			pDb.setVal(sqlXSI010F010.prmRECORD_RECEIPT_DT, cliOneCsvData.RECORD_RECEIPT_DT)					'カルテ受領日
			pDb.setVal(sqlXSI010F010.prmFIRST_DIAGNOSIS_DT, cliOneCsvData.FIRST_DIAGNOSIS_DT)				'初診日
			pDb.setVal(sqlXSI010F010.prmDEATH_DT, cliOneCsvData.DEATH_DT)									'死亡日
			pDb.setVal(sqlXSI010F010.prmHSP_INFECTION_CHK, cliOneCsvData.HSP_INFECTION_CHK)					'院内感染症有無コード
			pDb.setVal(sqlXSI010F010.prmREMARKS_CH, cliOneCsvData.REMARKS_CH)								'備考科歴
			pDb.setVal(sqlXSI010F010.prmSAME_DISEASE_LAST_HSP_DT, cliOneCsvData.SAME_DISEASE_LAST_HSP_DT)	'同一疾病前回退院日
			pDb.setVal(sqlXSI010F010.prmDISEASE_READMISSION_FLG, cliOneCsvData.DISEASE_READMISSION_FLG)		'疾病再入院フラグ
			pDb.setVal(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, cliOneCsvData.SUMMARY_APPROVAL_DT)				'サマリ承認日
			pDb.setVal(sqlXSI010F010.prmCONTACT_PATIENT_NM, cliOneCsvData.CONTACT_PATIENT_NM)				'連絡先氏名
			pDb.setVal(sqlXSI010F010.prmCONTACT_ZIP_CD, cliOneCsvData.CONTACT_ZIP_CD)						'連絡先郵便番号
			pDb.setVal(sqlXSI010F010.prmCONTACT_ADDRESS, cliOneCsvData.CONTACT_ADDRESS)						'連絡先住所
			pDb.setVal(sqlXSI010F010.prmCONTACT_TELNUMBER, cliOneCsvData.CONTACT_TELNUMBER)					'連絡先電話番号
			pDb.setVal(sqlXSI010F010.prmCONTACT_RELATION, cliOneCsvData.CONTACT_RELATION)					'連絡先続柄
			pDb.setVal(sqlXSI010F010.prmREMARKS_HSP, cliOneCsvData.REMARKS_HSP)								'備考入退院歴
			pDb.setVal(sqlXSI010F010.prmDPC_HSP, cliOneCsvData.DPC_HSP)										'ＤＰＣ入退院歴
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM1, cliOneCsvData.HSP_FREEITEM1)							'入退院自由項目１
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM2, cliOneCsvData.HSP_FREEITEM2)							'入退院自由項目２
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM3, cliOneCsvData.HSP_FREEITEM3)							'入退院自由項目３
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM4, cliOneCsvData.HSP_FREEITEM4)							'入退院自由項目４
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM5, cliOneCsvData.HSP_FREEITEM5)							'入退院自由項目５
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM6, cliOneCsvData.HSP_FREEITEM6)							'入退院自由項目６
			pDb.setVal(sqlXSI010F010.prmRECORD_RECIPIENT_CD, cliOneCsvData.RECORD_RECIPIENT_CD)				'カルテ受領者コード
			pDb.setVal(sqlXSI010F010.prmRECORD_KEEPLCT_CD, cliOneCsvData.RECORD_KEEPLCT_CD)					'カルテ保管場所コード
			pDb.setVal(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, cliOneCsvData.RECORD_ARG_STATUS_CD)			'カルテ整理状況コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, cliOneCsvData.SUMMARY_KEEPLCT_CD)				'サマリ保管場所コード
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)										'予備１
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)									'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)										'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)										'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)							'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)											'更新日
			pDb.setVal(sqlXSI010F010.prmTIME_OUT_FLG, cliOneCsvData.TIME_OUT_FLG)							'時間外フラグ
			pDb.setVal(sqlXSI010F010.prmINTRODUCTION_CHK, cliOneCsvData.INTRODUCTION_CHK)					'紹介状有無コード
			pDb.setVal(sqlXSI010F010.prmPAST_JOB_CD, cliOneCsvData.PAST_JOB_CD)								'既職コード
			pDb.setVal(sqlXSI010F010.prmHOUSEHOLDER_NM, cliOneCsvData.HOUSEHOLDER_NM)						'世帯主
			pDb.setVal(sqlXSI010F010.prmRELATION_CD, cliOneCsvData.RELATION_CD)								'世帯主続柄
			pDb.setVal(sqlXSI010F010.prmLIVE_TOGETHER_STATE_CD, cliOneCsvData.LIVE_TOGETHER_STATE_CD)		'同居状況
			pDb.setVal(sqlXSI010F010.prmBLOOD_TRAN_CHK_CD, cliOneCsvData.BLOOD_TRAN_CHK_CD)					'輸血歴有無コード
			pDb.setVal(sqlXSI010F010.prmDRINKING_CHK, cliOneCsvData.DRINKING_CHK)							'飲酒有無コード
			pDb.setVal(sqlXSI010F010.prmSMOKING_CHK, cliOneCsvData.SMOKING_CHK)								'喫煙有無コード
			pDb.setVal(sqlXSI010F010.prmSMOKING_COUNT, cliOneCsvData.SMOKING_COUNT)							'喫煙本数
			pDb.setVal(sqlXSI010F010.prmSMOKING_START_AGE, cliOneCsvData.SMOKING_START_AGE)					'吸い始め年齢
			pDb.setVal(sqlXSI010F010.prmSMOKING_END_AGE, cliOneCsvData.SMOKING_END_AGE)						'やめた年齢
			pDb.setVal(sqlXSI010F010.prmSMOKING_AGE, cliOneCsvData.SMOKING_AGE)								'喫煙年数
			pDb.setVal(sqlXSI010F010.prmPREGNANCY_CHK, cliOneCsvData.PREGNANCY_CHK)							'妊娠歴有無コード
			pDb.setVal(sqlXSI010F010.prmPREGNANCY_COUNT, cliOneCsvData.PREGNANCY_COUNT)						'妊娠回数
			pDb.setVal(sqlXSI010F010.prmCB_CHK, cliOneCsvData.CB_CHK)										'出産歴有無コード
			pDb.setVal(sqlXSI010F010.prmCB_COUNT, cliOneCsvData.CB_COUNT)									'出産回数
			pDb.setVal(sqlXSI010F010.prmMENARCHE_AGE, cliOneCsvData.MENARCHE_AGE)							'初潮年齢
			pDb.setVal(sqlXSI010F010.prmMENOPAUSE_AGE, cliOneCsvData.MENOPAUSE_AGE)							'閉経年齢
			pDb.setVal(sqlXSI010F010.prmDEATH_REMARKS, cliOneCsvData.DEATH_REMARKS)							'死亡コメント
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)										'予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)										'予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)										'予備４
			pDb.setVal(sqlXSI010F010.prmSPARE05, cliOneCsvData.SPARE05)										'予備５
			pDb.setVal(sqlXSI010F010.prmSPARE06, cliOneCsvData.SPARE06)										'予備６
			pDb.setVal(sqlXSI010F010.prmSPARE07, cliOneCsvData.SPARE07)										'予備７

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
